Key information for upgraders and new users

If you are upgrading from a previous version of Microsoft Excel

What's new in Microsoft Excel 2000?

What's new in Microsoft Excel 2000 for developers?

What do I need to know about upgrading and converting files to Microsoft Excel 2000?

What's installed with Microsoft Excel?

If you are new to spreadsheets

Overview of new features

How to get Help with Microsoft Excel 2000

Microsoft Press books about Microsoft Excel

If you are switching from another spreadsheet program

Switching from Lotus 1-2-3

Switching from Quattro Pro


What do I need to know about upgrading and converting files to Microsoft Excel 2000?

The Microsoft Excel 2000 file format does not differ from the Microsoft Excel 97 file format, but it does differ from earlier versions.

What do you want to read about?

What happens when I use Microsoft Excel 2000 files with earlier versions of Microsoft Excel?

What happens to my old workbooks when I open them in Microsoft Excel 2000?

Will my old macros and custom dialog boxes still work in Microsoft Excel 2000?

Frequently asked questions about upgrading from Microsoft Excel 97

Frequently asked questions about upgrading from Microsoft Excel 95

Frequently asked questions about upgrading from Microsoft Excel 5.0


Microsoft Excel specifications

What do you want to know about?

Worksheet and workbook specifications

Charting specifications

Workgroup specifications

Microsoft Year 2000 Resource Center


What's installed with Microsoft Excel

This topic provides reference information about what features are installed with Excel and where you can find these features in both the Excel 2000 and Office 2000 installation programs.

Installed (default)

Installed on first use (default)

Not installed (custom installation only)

For current information about the features included in Excel 2000, see the Xlread9.txt file in your Microsoft Office\Office folder (or Microsoft Office folder if you installed the stand-alone version of Microsoft Excel).

Installed (default)

Feature | Location in the installation program
Microsoft Excel Program Files | Microsoft Excel for Windows
Help for Microsoft Excel | Microsoft Excel for Windows; Help
Clip Gallery | Office Tools; Clip Gallery
Digital Signature | Office Tools
Language Settings Tool | Office Tools
MS Info (Microsoft system information) | Office Tools
Spelling Checker | Office Tools; Proofing Tools
Office Assistants (1 Assistant) | Office Tools; Office Assistant
Microsoft Office Shortcut Bar | Office Tools
Web Publishing | Office Tools; Web Publishing
Office Web Components (including Help) | Office Tools; Web Publishing
Web Discussions | Office Tools
Graphics filters (Office: 18 filters; Excel: 8 filters) | Converters and Filters; Graphics Filters
Microsoft Excel Converter | Converters and Filters; Text Converters

Return to top

Installed on first use (default)

Feature | Location in the installation program
Help for Visual Basic | Office Tools; Visual Basic Help; Visual Basic Help for Microsoft Excel
Office Assistants (7 additional Assistants) | Office Tools; Office Assistant
AccessLinks Add-in | Microsoft Excel for Windows; Add-ins
Analysis ToolPak | Microsoft Excel for Windows; Add-ins
AutoSave Add-in | Microsoft Excel for Windows; Add-ins
Conditional Sum Wizard | Microsoft Excel for Windows; Add-ins
Lookup Wizard | Microsoft Excel for Windows; Add-ins
ODBC Add-in | Microsoft Excel for Windows; Add-ins
Report Manager | Microsoft Excel for Windows; Add-ins
Solver Add-in | Microsoft Excel for Windows; Add-ins
Template Wizard with Data Tracking | Microsoft Excel for Windows; Add-ins
Update Add-in Links | Microsoft Excel for Windows; Add-ins
Expense Report Template | Microsoft Excel for Windows; Spreadsheet Templates
Invoice Template | Microsoft Excel for Windows; Spreadsheet Templates
Purchase Order Template | Microsoft Excel for Windows; Spreadsheet Templates
Microsoft Map | Microsoft Excel for Windows
Village Software | Microsoft Excel for Windows; Spreadsheet Templates
Find Fast | Office Tools; Find Fast Control Panel; Find Fast
Organization Chart | Office Tools
Microsoft Query (including Help and drivers) | Office Tools
Scanner and Camera Add-in | Office Tools
Web Scripting (Microsoft Script Editor) | Office Tools; HTML Source Editing

Return to top

Not installed (custom installation only)

Feature | Location in the installation program
Sample Files | Microsoft Excel for Windows; Sample Files
Quattro Pro Converter | Microsoft Excel for Windows
Popular clip art | Office Tools; Clip Gallery; Thumbnails
Microsoft PhotoDraw | Office Tools
Microsoft Binder Program Files | Office Tools
Microsoft Binder Help | Office Tools; Microsoft Binder
Converters for use with Lotus Notes | Converters and Filters; Text Converters

Return to top


What's new in Microsoft Excel 2000?

By clicking the following categories, you'll find information about new or improved features — both in Excel 2000 and in earlier versions of Excel.

Basic features

Installation, graphics, worldwide settings, and integration with Microsoft Office

Specifications and performance

Formulas and data entry

Worksheet functions

Formatting and layout

List management and data summary

Data analysis and presentation with charts

Microsoft Excel and the Web

Data analysis in PivotTable reports

Shared workbooks, change highlighting, and change history

Data retrieval from external databases

Security

User assistance and other Microsoft technical resources

What's new for developers


 About using Microsoft Excel 2000 files with earlier versions of Excel

About using Microsoft Excel 2000 files with earlier versions of Excel

Change the default file format By default, Excel saves workbooks in Microsoft Excel 2000 format. If others you work with use an earlier version of Excel or another spreadsheet program, you can change the default file format that Excel 2000 uses when saving workbooks. For example, if many people in your company still use Excel version 5.0, you can save your Excel 2000 workbooks in Microsoft Excel 5.0/95 Workbook format. That way, all workbooks that you save will be saved in Excel 5.0/95 format unless you specify a different file format in the Save As dialog box (File menu).

Use the dual file format If Excel 5.0 or Excel 95 is still widely used in your workplace, you can save your Microsoft Excel 2000 workbooks in a special dual file format.

  • What is the dual file format? When you save a workbook in the Microsoft Excel 97-2000 & 5.0/95 Workbook format, the workbook is saved in a single file that includes both Excel 97/2000 and Excel 5.0/95 file formats. (Excel 5.0 and Excel 95 have identical file formats.) Users of Excel 2000 can continue to work in a workbook saved in the dual format without losing any features or formatting unique to this version. When users of Excel 5.0 or Excel 95 open the workbook, a message is displayed that recommends that they use the file read-only. However, if users ignore the recommendation and save the workbooks in an earlier version of Excel, features and formatting that are available only in Excel 2000 and Excel 97 are lost.

  • Protect your work To avoid losing work performed in Excel 2000, you can protect a workbook from changes by requiring a password to change the workbook or by making the workbook read-only.

You can save specific workbooks in the dual file format by using the Save As command on the File menu, or you can specify the dual file format as the default file format for saving all your workbooks. Workbooks saved in the dual file format are larger than those saved in a single format.

More information

Learn about Excel 2000 features that are unavailable in earlier versions of Excel and other programs.


Frequently asked questions about upgrading from Microsoft Excel 97

What happened to the Office Assistant?

The Office Assistant is now out of the box — that is, the Assistant floats around your screen outside of a window. The Assistant uses less space on your screen while still providing great help when you need it. If you don't like the Assistant, you can turn it off permanently and use the Help index or table of contents.

What happened to the menus and toolbars?

Only the items that you use most often are prominently featured on the new personalized menus and toolbars.

You can easily expand menus to reveal all commands. After you click a command, it appears on your personalized menu. If you would like to see all of the commands on menus at first, you can disable the short menus. On the Tools menu, click Customize. On the Options tab, clear the Menus show recently used commands first check box.

Toolbars share space in a single row on the screen, so you have more room for your work. When you click a button on a toolbar, that button is automatically added to the personalized toolbars on your screen. You can easily customize your toolbars by dragging command controls onto the toolbar.

Why am I asked whether I want to install some features when I use them?

To improve performance and save disk space, not all features are installed when you choose the Install Now command during setup. As you use Excel 2000, you might see shortcuts, icons, and commands for programs and components that weren't installed. When you need this functionality, you can just click a command, and Excel 2000 installs the program or component for you.

What happened to File Open and File Save?

In the improved Open and Save dialog boxes, you can see more files at one time. You can use the new Places Bar to get to the folders and locations you use the most, click History to see the last 20 to 50 documents and folders you have worked with, or click the Back button [image] on the toolbar to easily return to folders you have recently visited.

Why does it take longer to open some files?

To ensure that your workbooks are properly calculated whenever you work with them, Excel 2000 completely recalculates a workbook each time you open it. This process means that it might take longer to open an earlier version file than you were used to. If you save the workbook as an Excel 2000 workbook, it will open more quickly the next time.

Has anything changed in number formatting?

Additional number formats are available with the euro currency symbol Euro currency symbol. Additional date formats include formats that display four-digit years.

Why is the selection highlight different?

When you select cells with colored text, the color remains the same instead of appearing in an inverse color scheme. As you work with the selected range — changing the color of the font or the color of the cell formatting — it's easier for you to view the new color after you've made the change.

What happened to the Save as HTML command?

The Save as Web Page command replaces the Save as HTML command. When you select the Save as Web Page command, you now have the choice of saving the entire workbook as a Web page or saving only a section of the workbook. If you click Publish, you are provided with additional options, such as saving the selection as an interactive spreadsheet that can be used on a Web page.

What happened to the PivotTable Report Wizard?

Instead of using a wizard to lay out your PivotTable report, you can now lay out the report directly on your worksheet with the PivotTable and PivotChart Report Wizard by dragging the fields from the toolbar to the drop areas.

Why does Excel suddenly enter numbers and formatting for me?

Excel 2000 automatically extends formatting and formulas in lists, simplifying this common task.

Can I run my Lotus macros in Excel 2000?

Excel 2000 does not run Lotus 1-2-3 or Quattro Pro macros. You can rewrite any macros that you need in Microsoft Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.


Frequently asked questions about upgrading from Microsoft Excel 95

How do I insert a chart on its own sheet?

The Chart command on the Insert menu now starts the Chart Wizard. In Step 4 of the Chart Wizard, you can specify that the chart be inserted either as an embedded object on a worksheet or on its own chart sheet. You can still create a chart sheet in one step with the default chart type and formatting by pressing the F11 key.

Why does it take longer to open some files?

To ensure that your workbooks are properly calculated whenever you work with them, Excel 2000 completely recalculates a workbook each time you open it. This means that it might take longer to open an earlier version file than you were used to. If you save the workbook as an Excel 2000 workbook, it will open more quickly the next time.

Where are the Answer Wizard and TipWizard?

The Office Assistant replaces the TipWizard from Excel 5.0 and Excel 95 and includes Answer Wizard IntelliSense technology from Excel 95. When you need Help, just click the Microsoft Excel Help button [image] and ask the Assistant a question in your own words. When a yellow light bulb appears with the Assistant, a program tip is available; click the light bulb to see the tip.

What happened to the menus and toolbars?

Only the items that you use most often are prominently featured on the new personalized menus and toolbars.

You can easily expand menus to reveal all commands. After you click a command, it appears on your personalized menu. If you would like to see all of the commands on menus at first, you can disable the short menus. On the Tools menu, click Customize. On the Options tab, clear the Menus show recently used commands first check box.

Toolbars share space in a single row on the screen, so you have more room for your work. When you click a button on a toolbar, that button is automatically added to the personalized toolbars on your screen. You can easily customize your toolbars by dragging command controls onto the toolbar.

Why am I asked whether I want to install some features when I use them?

To improve performance and save disk space, not all features are installed when you choose the Install Now command during setup. As you use Excel 2000, you might see shortcuts, icons, and commands for programs and components that weren't installed. When you need this functionality, you can just click a command, and Excel 2000 installs the program or component for you.

What happened to File Open and File Save?

In the improved Open and Save dialog boxes, you can see more files at one time. You can use the new Places Bar to get to the folders and locations you use the most; click History to see the last 20 to 50 documents and folders you have worked with, or click the Back button [image] on the toolbar to easily return to folders you have recently visited.

What happened to cell notes?

Cell notes are now called comments. Use the Comment command on the Insert menu to create a comment. You can view comments the same way you viewed cell notes, by resting the pointer on a cell that has a comment indicator (a red triangle in Excel 2000) in the upper-right corner of the cell.

Where is the Info Window?

The Info Window feature is not available in Microsoft Excel 2000. To locate cells that provide data to formulas, use the Auditing toolbar. If you've added a comment to a cell, just rest the pointer on the cell to view the comment.

The Shared List command is not on the File menu. How do I share a list in Excel 2000?

Excel 95 shared lists provided limited functionality for users who wanted to work simultaneously on workbooks. In Excel 2000, you can use shared workbooks to create and edit formulas, change formatting, create and change charts, and even add sheets. To share a workbook, click Share Workbook on the Tools menu.

Has anything changed in number formatting?

Additional number formats are available with the euro currency symbol Euro currency symbol. Additional date formats include formats that display four-digit years.

Why is the selection highlight different?

When you select cells with colored text, the color remains the same instead of appearing in an inverse color scheme. As you work with the selected range — changing the color of the font or the color of the cell formatting — it's easier to view the new color after you've made the change.

Where did my sound notes go?

Sound notes are not supported in Excel 2000.

How do I start the PivotTable Wizard?

Use the PivotTable and PivotChart Report command on the Data menu to start the PivotTable and PivotChart Wizard. Instead of using the wizard to lay out your PivotTable report, you can now lay out the report directly on your worksheet by dragging the fields from the toolbar to the drop areas.

The View Manager command is not on the View menu. How do I create custom views?

Use the Custom Views command on the View menu to save a custom view of a workbook or to switch to a different view. Custom views have been integrated into Excel; this command no longer requires an add-in program.

Can I run my Lotus macros in Excel 2000?

Excel 2000 does not run Lotus 1-2-3 or Quattro Pro macros. You can rewrite any macros that you need in Microsoft Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.


Frequently asked questions about upgrading from Microsoft Excel 5.0

What happened to the menus and toolbars?

Only the items that you use most often are prominently featured on the new personalized menus and toolbars.

You can easily expand menus to reveal all commands. After you click a command, it appears on your personalized menu. If you would like to see all of the commands on menus at first, you can disable the short menus. On the Tools menu, click Customize. On the Options tab, clear the Menus show recently used commands first check box.

Toolbars share space in a single row on the screen, so you have more room for your work. When you click a button on a toolbar, that button is automatically added to the personalized toolbars on your screen. You can easily customize your toolbars by dragging command controls onto the toolbar.

The Find File command is not on the File menu. How do I search for a workbook?

Use the Open command on the File menu to search for workbooks. You can base your search on a word or a phrase that's contained in the workbook or on file properties, such as author, subject, or title.

Why does it take longer to open some files?

To ensure that your workbooks are properly calculated whenever you work with them, Excel 2000 completely recalculates a workbook each time you open it. This process means that it might take longer to open an earlier version file than you were used to. If you save the workbook as an Excel 2000 workbook, it will open more quickly the next time.

The Summary Info command is not on the File menu. How do I view and set file information?

Use the Properties command on the File menu to see file statistics and set file properties, such as author, subject, or title.

The View Manager command is not on the View menu. How do I create custom views?

Use the Custom Views command on the View menu to save a custom view of a workbook or to switch to a different view. Custom views have been integrated into Excel; this command no longer requires an add-in program.

What happened to cell notes?

Cell notes are now called comments. Use the Comment command on the Insert menu to create a comment. You can view comments the same way you viewed cell notes, by resting the pointer on the comment indicator (a red triangle) in the upper-right corner of the cell.

How do I insert a chart on its own sheet?

The Chart command on the Insert menu now starts the Chart Wizard. In Step 4 of the Chart Wizard, you can specify that the chart be inserted either as an embedded object on a worksheet or on its own chart sheet. You can still create a chart sheet in one step with the default chart type and formatting by pressing the F11 key.

Why am I asked if I want to install some features when I use them?

To improve performance and save disk space, not all features are installed when you choose the Install Now command during setup. As you use Excel 2000, you might see shortcuts, icons, and commands for programs and components that weren't installed. When you need this functionality, you can just click a command, and Excel 2000 installs the program or component for you.

Has anything changed in number formatting?

Additional number formats are available with the euro currency symbol Euro currency symbol. Additional date formats include formats that display four-digit years.

Why is the selection highlight different?

When you select cells with colored text, the color remains the same instead of appearing in an inverse color scheme. As you work with the selected range — changing the color of the font or the color of the cell formatting — it's easier to view the new color after you've made the change.

The Macro submenu does not appear on the Insert menu. How do I create macros?

On the Tools menu, point to Macro, and then click Visual Basic Editor to view the Visual Basic environment, where you can create and edit macros by using Visual Basic for Applications. You cannot record new XLM macros in Microsoft Excel 97.

Can I run my Lotus macros in Excel 2000?

Excel 2000 does not run Lotus 1-2-3 or Quattro Pro macros. You can rewrite any macros that you need in Microsoft Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.

What happened to Multiplan Help?

Excel no longer includes Multiplan Help. You can still exchange documents with Microsoft Multiplan by using the Symbolic Link (SYLK) file format. For information about file formats, see Microsoft Excel Help.

Where is the TipWizard?

The Office Assistant replaces the TipWizard from Excel 5.0 and Excel 95, and includes Answer Wizard IntelliSense technology from Excel 95. When you need Help, just click Microsoft Excel Help [image] and ask the Assistant a question in your own words. When a yellow light bulb appears with the Assistant, a program tip is available; click the light bulb to see the tip.


What happens to my old workbooks when I open them in Microsoft Excel 2000?

You can open files that were created in earlier versions of Excel directly in Excel 2000. All data, formulas, and formatting that was created in earlier versions are supported by Excel 2000, with the exception of sound notes in cells.


Will my old macros and custom dialog boxes still work in Microsoft Excel 2000?

If you are upgrading from Excel 97 or Excel 95

Excel 2000 supports your Excel 97 and Excel 95 Visual Basic for Applications macros. For information about compatibility issues between Excel 95 and Excel 2000 macros, click Office on the Web on the Help menu in Excel 2000.

If you are upgrading from Excel version 5.0

In most cases, you do not need to change your Visual Basic for Applications and XLM macros to run them in Excel 2000. You cannot record new XLM macros in Microsoft Excel 2000. For more information about upgrading macros, see the Microsoft Office 2000 Resource Kit, available from Microsoft Press. You can also download the Microsoft Office 2000 Resource Kit from Microsoft on the World Wide Web.

To create new macros in Excel 2000, record them in Visual Basic for Applications, or write them by using the Microsoft Visual Basic Editor. For more information about recording macros, see Microsoft Excel Help.

If you used dialog sheets in Excel 5.0 and Excel 95

In most cases, you do not need to change your dialog sheets to run them in Excel 2000.

To create new custom dialog boxes in Excel 2000, use the UserForm command on the Insert menu in the Visual Basic Editor. For more information about creating custom dialog boxes with user forms, see Visual Basic Help.


Switch from Lotus 1-2-3

Microsoft Excel 2000 and Lotus 1-2-3 have some general differences you should know about. For example, Excel and Lotus 1-2-3 calculate some formulas and functions differently, and Excel 2000 cannot run Lotus 1-2-3 macros. To help you learn how to use Excel, you can type Lotus 1-2-3 commands and see a demonstration of the same command in Excel.

Learn about Lotus 1-2-3 differences

Differences between Microsoft Excel and Lotus 1-2-3

Differences between Lotus 1-2-3 and Microsoft Excel functions

Use Lotus 1-2-3 Help to learn how to use Microsoft Excel

Lotus 1-2-3 terminology and Microsoft Excel equivalent terms

Use Lotus 1-2-3 worksheets and commands in Excel

Convert worksheets between Lotus 1-2-3 and Microsoft Excel

Move around a worksheet by using Lotus 1-2-3 keystrokes

Enter and calculate formulas by using Lotus 1-2-3 formula entry methods


 About converting worksheets between Lotus 1-2-3 and Microsoft Excel

About converting worksheets between Lotus 1-2-3 and Microsoft Excel

Converting files

Saving in Microsoft Excel file format Excel stores the file format of any file you open. When you save a file, Excel saves the file in the same format. If you open a Lotus 1-2-3 file in Excel and want to save all changes you make, you must change the file format when you save the file. On the File menu, click Save As. In the Save as type box, click Microsoft Excel Workbook, and then click Save.

Changing the file name extension When you save a workbook as a different type by changing the file format in the Save as type box, you do not have to change the file name, because Excel saves a copy of the workbook with a different file name extension. For example, a Lotus 1-2-3 Release 4.0 file has a file name extension of .wk4; Microsoft Excel Workbook format uses the .xls file name extension.

Typing a new extension in the File name box, or renaming the file with a new extension in the folder window, is not sufficient to change the file type. You must also change the Save as type box to the file type you want. How to change the file format when you save.

Applying formatting from associated files When you open a Lotus 1-2-3 worksheet or workbook in Excel, Excel applies the formatting in the associated .fmt, .fm3, or .all file. Make sure the associated file is stored in the same folder as the .wk? file. If you save a Lotus 1-2-3 file in Microsoft Excel format, Excel saves the spreadsheet data and formatting in a single workbook file.

Converting multiple files to Excel You can also open several Lotus 1-2-3 worksheets at the same time by using the Open command (File menu). To select nonadjacent files, click the name of one file, and then hold down CTRL and click the name of each additional file. To select adjacent files, click the name of the first file in the sequence, and then hold down SHIFT and click the name of the last file in the sequence. To convert the files you have opened to Microsoft Excel format, save each file as a Microsoft Excel workbook by using the Save As command (File menu).

Converting formulas

Using Lotus 1-2-3 rules to calculate formulas When you open a Lotus 1-2-3 worksheet in Excel, the Transition formula evaluation check box (Tools menu, Options command, Transition tab) is automatically selected for that sheet to ensure that Excel calculates the formulas according to the Lotus 1-2-3 rules.

If you save a Lotus 1-2-3 worksheet as a Microsoft Excel worksheet, the Transition formula evaluation check box remains selected until you clear it.

How cells are used in formulas Once you have converted a Lotus 1-2-3 file to a Microsoft Excel workbook, you can examine the relationships of the cells and formulas within the worksheet by using the worksheet audit commands. Learn about locating referenced cells.

Some formulas may not convert If a formula can't be converted to Microsoft Excel, the worksheet shows the last value calculated for the formula in Lotus 1-2-3. Learn about problems converting formulas.

Converting macros

Excel 2000 does not run Lotus 1-2-3 macros. You can rewrite any macros that you need in Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.


 Differences between Microsoft Excel and Lotus 1-2-3

Differences between Microsoft Excel and Lotus 1-2-3

To make the transition from Lotus 1-2-3 to Microsoft Excel 2000, you should know about some of the differences between the spreadsheet programs.

Features of the Excel window Excel displays workbooks that contain worksheets in a window. By default, the menu bar, the formula bar, and the Standard and Formatting toolbars are displayed at the top of the window. At the bottom of the window, the status bar displays different indicators about the current working environment. For more information about a specific area or item in the window, click What's This? on the Help menu, and then click the area or item. For Help on an option in a dialog box, click the question mark [image] and then click the option.

Select first, then choose a command In Lotus 1-2-3, you choose a command and then specify a range that the command will affect. In Excel, you select the cell, range, or object you want to work with and then choose a command to perform an action. For example, if you want to format a range of cells, select the cells and then click Cells on the Format menu.

Formula differences There are also some important differences in how you create formulas in Excel:

  • In Excel, you start a formula with an equal sign (=). You can also start a formula with a plus sign (+), as you would in Lotus 1-2-3.

  • Although it is not required, you can type an at symbol (@) before Excel functions.

  • Excel uses a colon (:) to denote a range of cells, instead of the periods (..) used in Lotus 1-2-3.

Keys for moving around a worksheet The navigation keys you use to move around a worksheet differ between Excel and Lotus 1-2-3. For example, if you press the HOME key in Lotus 1-2-3, the cell in the upper-left corner of the worksheet is selected; in Excel, the first cell of the current row is selected. You can change the navigation keys in Excel to move around the worksheet in the same way as Lotus 1-2-3. How to make the transition navigation keys available.

Parsing text from one column to several If you need to parse data in one column across several columns on the worksheet, use the Text to Columns command (Data menu). How to parse, or separate, text across cells.

In Lotus 1-2-3, you use the Parse command to separate text strings in one column across several columns. When you open a text file in Excel, the Text Import Wizard will assist you in parsing the data into columns. How to import a text file into Microsoft Excel.

Macros Excel 2000 does not run Lotus 1-2-3 macros.


Differences between Lotus 1-2-3 and Microsoft Excel functions

Most Lotus 1-2-3 functions have an equivalent function in Microsoft Excel. When Transition formula entry on the Transition tab (Tools menu, Options command) is selected, you can type most Lotus 1-2-3 functions available in releases earlier than Release 3.0 directly into a cell, and Microsoft Excel will convert the functions to their Microsoft Excel equivalents.

What do you want to do?

Learn about Lotus 1-2-3 functions that have equivalent Microsoft Excel functions

Learn about Microsoft Excel functions that do not have equivalent Lotus 1-2-3 functions


 Learn how to use Microsoft Excel by using Lotus 1-2-3 Help

Learn how to use Microsoft Excel by using Lotus 1-2-3 Help

  1. On the Help menu, click Lotus 1-2-3 Help.

    Show Me

  2. To see a demonstration of how to perform a Lotus 1-2-3 command in Microsoft Excel, click Demo under Help options.

    To see step-by-step instructions of how to perform a Lotus 1-2-3 command in Microsoft Excel, click Instructions under Help options.

  3. Type the keystrokes you would use to perform the command in Lotus 1-2-3.

  4. If additional information is needed, Microsoft Excel will display a dialog box to complete the command.

Note The Lotus 1-2-3 Help command simulates keystrokes for Lotus 1-2-3 Release 2.10.


 Enter and calculate formulas by using Lotus 1-2-3 formula entry methods

Enter and calculate formulas by using Lotus 1-2-3 formula entry methods

In Microsoft Excel, you can enter formulas and work with names just as you would in Lotus 1-2-3. You can calculate formulas and expressions according to either Microsoft Excel or Lotus 1-2-3 rules.

What do you want to do?

Enter a formula by using Lotus 1-2-3 methods

Change Microsoft Excel to calculate by using Lotus 1-2-3 rules

Learn about calculation differences between Microsoft Excel and Lotus 1-2-3 formulas


 About linking Lotus 1-2-3 and Microsoft Excel worksheets

About linking Lotus 1-2-3 and Microsoft Excel worksheets

Benefits of links You can use the data within a Lotus 1-2-3 worksheet in a Microsoft Excel worksheet without converting the Lotus 1-2-3 worksheet to Microsoft Excel workbook format. Then when you change the data in the Lotus 1-2-3 worksheet, the Excel worksheet is automatically updated.

For example, you can link sales figures from various Lotus 1-2-3 worksheets to a single Excel worksheet. Then you can create a PivotTable report to summarize the data, create a chart to emphasize the summary values, or use the format and print features of Excel to create a summary report of sales.

How to create a formula that links to data on a Lotus 1-2-3 worksheet.

Types of files you can link to You can link Microsoft Excel worksheets to files saved in any of the following Lotus 1-2-3 formats: WKS, WK1, WK3, and WK4. If you use Lotus 1-2-3 to edit a Lotus 1-2-3 worksheet that is linked to an Excel worksheet, the linked cells will update when you open the Excel workbook.

Finding the source file for a link If you are unsure of the name or location of a Lotus 1-2-3 worksheet that provides data to an Excel worksheet, you can open the Excel workbook and then use the Links command (Edit menu) to open the Lotus 1-2-3 worksheet.

Changing or redirecting links You can also use the Links command to change or redirect the links in the Excel worksheet to refer to another worksheet. How to change a link or reference to a renamed or moved workbook.


 Create a formula to calculate data on a Lotus 1-2-3 worksheet

Create a formula to calculate data on a Lotus 1-2-3 worksheet

  1. Open the Lotus 1-2-3 worksheet that contains the source data.

    How?

  2. On the Lotus 1-2-3 worksheet, select the cells you want to link to.

  3. Click Copy [image] .

  4. Switch to the Microsoft Excel workbook that will contain the link formula.

  5. Select the first cell in which you want the link.

  6. On the Edit menu, click Paste Special.

    Show Me

  7. Click Paste Link.

  8. If you don't plan to convert the Lotus 1-2-3 worksheet to Excel, switch to the Lotus 1-2-3 worksheet, and close the worksheet without saving changes.


 My Lotus 1-2-3 or Quattro Pro macros don't run in Microsoft Excel.

My Lotus 1-2-3 or Quattro Pro macros don't run in Microsoft Excel.

Excel 2000 does not run Lotus 1-2-3 or Quattro Pro macros.

Rewrite the macros in Visual Basic for Applications (VBA) You can rewrite any macros that you need in VBA. For information about writing Excel macro code, see Visual Basic Help.


Switch from Quattro Pro

To open Quattro Pro for Windows files, you must install the Quattro Pro converter, a component of Excel. Learn about saving a worksheet in Quattro Pro for MS-DOS format.

Limitations when you open worksheets Microsoft Excel 2000 and Quattro Pro have some general differences you should know about. Although you can open Quattro Pro for MS-DOS and Quattro Pro for Windows files, there are some limitations to opening the worksheets. Excel 2000 does not run Quattro Pro for MS-DOS macros.

What do you want to do?

Open Quattro Pro worksheets in Microsoft Excel

Learn about the limitations of opening and converting Quattro Pro files in Microsoft Excel


 Open Quattro Pro worksheets in Microsoft Excel

Open Quattro Pro worksheets in Microsoft Excel

Microsoft Excel may not convert some of the information in your Quattro Pro files when you open the file. Microsoft Excel cannot open Quattro Pro for Windows version 6.0 files. For more information, click [image] .

  1. On the File menu, click Open [image] .

  2. To open Quattro Pro for MS-DOS files, click Quattro Pro/DOS Files in the Files of type box.

    To open Quattro Pro for Windows files, click Quattro Pro 1.0/5.0, Quattro Pro 6.0, or Quattro Pro 7.0 in the Files of type box. If these selections are missing, you need to install the Quattro Pro converter, a component of Excel.

  3. In the Look in box, click the drive or folder that contains the workbook.

  4. In the folder list, double-click folders until you open the folder that contains the workbook you want.

  5. Double-click the workbook you want to open.

Note Once you have opened a Quattro Pro file in Microsoft Excel, you must save the file as a Microsoft Excel workbook to complete the conversion. As you save the file, make sure to click Microsoft Excel Workbook (or another Microsoft Excel format) in the Save as type box.


 Limitations of opening and converting Quattro Pro files in Microsoft Excel

Limitations of opening and converting Quattro Pro files in Microsoft Excel

To open Quattro Pro for Windows files, you must install the Quattro Pro converter, a component of Excel. Learn about saving a worksheet in Quattro Pro for MS-DOS format.

Password protected files Microsoft Excel 2000 cannot open Quattro Pro files that are password protected. Before you open the file in Excel, make sure you have removed any password from the file. Learn about passwords and controlling access to workbooks and worksheets.

Supported Quattro Pro versions Excel can directly open files from Quattro Pro for Windows versions up through 8.0. To open a file from a later Quattro Pro version in Excel, either save the file in an earlier Quattro Pro format, or save the file in another format, such as Lotus 1-2-3 (*.wk?).

Quattro Pro graphs Quattro Pro for Windows stores its graphs in a different way than Excel stores its charts. Graphs in Quattro Pro for Windows are not imported when a Quattro Pro for Windows file is imported into Excel. Learn about creating charts.

Quattro Pro Scenario Manager The Microsoft Excel Scenario Manager is not directly equivalent to the Quattro Pro for Windows Scenario Manager. Therefore, Excel will import only the data from the scenario that was displayed the last time the file was saved in Quattro Pro for Windows. How to create a scenario.

External data links Hyperlinks to external database tables or to the Data Modeling Desktop are not imported because they are not compatible with ODBC, Microsoft Query, or Microsoft Excel PivotTable reports.

OLE objects Excel will not import embedded OLE objects in a Quattro Pro for Windows file.

Gradient fills For gradient fills, the object is formatted by using the primary color from the fill. How to add gradient fills.

Macros Excel 2000 does not run Quattro Pro macros. You can rewrite any macros that you need in Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.


Troubleshoot opening, saving, and using Lotus 1-2-3 files in Microsoft Excel

Microsoft Excel can't open my Lotus 1-2-3 file.

Formatting is lost when I open a Lotus 1-2-3 file.

Dates and phone numbers from my Lotus 1-2-3 file are displayed as numbers.

My Lotus 1-2-3 formulas failed to convert or were converted to values.

Links to other Lotus 1-2-3 worksheets aren't converted correctly or have #REF! errors.

My Lotus 1-2-3 macros don't run in Microsoft Excel.

My converted workbook opens very slowly and is too big.


Ways to get assistance while you work

This topic provides reference information about:

Asking for Help from the Office Assistant

Getting Help from the Help menu

Getting Help from the Office Update Web site

Finding out what's new in Excel 2000

More information

Asking for Help from the Office Assistant

Type a question When you have a question about a Microsoft Office program, you can ask the Office Assistant. For example, to get Help about how to format a chart, type How do I format a chart? in the Assistant balloon.

Get Help automatically The Assistant automatically provides Help topics and tips on tasks you perform as you work — before you even ask a question. For example, when you set up a worksheet for printing, the Assistant provides you with topics that help you prepare the worksheet for printing.

Display helpful tips The Assistant also displays tips on how to use the features in Microsoft Excel more effectively. Click the light bulb light bulb next to the Assistant to see a tip.

Customize the Assistant You can also select a different Assistant and set it to operate so that it fits your personality and the way you work. For example, if you prefer using the keyboard to using the mouse, you can have the Assistant display tips on shortcut keys. Because the Assistant is shared by all Office programs, any options you change will apply to the Assistant in your other Office programs as well.

Return to top

Getting Help from the Help menu

Display and use the Help window Just click Microsoft Excel Help on the Help menu. If the Assistant is turned on, it appears. If the Assistant is turned off, the Help window appears. To type a question in the Help window, click the Answer Wizard tab. To scroll through a table of contents for Help, click the Contents tab. When you want to search for specific words or phrases, click the Index tab.

Display ScreenTips To see a ScreenTip for a menu command, toolbar button, or screen region, click What's This? on the Help menu, and then click the item you want information about.

To see a ScreenTip for a dialog box option, click the question mark button question mark in the dialog box, and then click the option. (If you don't see a question mark button, click the option, and then press SHIFT+F1.)

View names of toolbar buttons To see the name of a toolbar button, rest the pointer over the button until the name appears.

Return to top

Getting Help from the Office Update Web site

From the Help menu You can connect to the Office Update Web site and other Microsoft Web sites directly from any Office program by clicking Office on the Web on the Help menu. For example, you can access technical resources and download free product enhancements — all without leaving Excel.

From the Assistant balloon If the topic you want doesn't appear in the Assistant balloon, click None of the above, look for more help on the Web at the bottom of the list of topics. You will see suggestions on how to phrase a question to the Assistant or how to narrow your search by using keywords. If you still can't find the information you want, you can send feedback to improve future versions of Help and be automatically connected to the Office Update Web site to search for help there.

Return to top

More information

Connect to Microsoft technical resources

Display tips and messages through the Office Assistant

Get Help without using the Office Assistant

Return to top


 About changing the font and colors for Help topics

About changing the font and colors for Help topics

The Help window shares the same settings for the font, the text size, the text colors, and the background color as the settings for the Web browser that's installed on your computer. The available settings and other options vary depending on the browser.

Changing the Help font and colors The settings for the font and the colors in the Web browser (and, therefore, in the Help topics) are specified in a cascading style sheet. You can override any or all of these settings if you want to change the appearance of the Help topics in the Help window , which is useful if you have low vision. You can change the font for the text and change the text colors and the background color.

Changing the text size You can override the font sizes in the Help topics and make the text larger.

Changes affect other programs The changes you make affect Help in all Microsoft Office programs. Keep in mind that if you change the font, the text size, the text colors, or the background color of the Help topics in the Help window, the changes will also affect Web pages that you view in your browser. See Help in your browser for more information on the available settings and options.

More accessibility features Microsoft Excel also has other accessibility options for people with disabilities.


 Print a Help topic

Print a Help topic

Print the current topic

  1. Click Print [image].

  2. Select the printing options you want.

Print a collection of topics

  1. Click the Contents tab.

    If the Contents tab isn't visible, click Show [image] to display the navigation pane.

  2. Select the heading you want to print, and then click Print [image].

  3. Do one of the following:

    To print the current page, click Print the selected topic.

    To print all of the topics in the selected heading, click Print the selected heading and all subtopics.

  4. Select the printing options you want.


 Get Visual Basic Help in Microsoft Excel

Get Visual Basic Help in Microsoft Excel

  1. On the Tools menu, point to Macro, and then click Visual Basic Editor.

  2. If the Office Assistant isn't visible, click Office Assistant [image] .

  3. If the Office Assistant balloon isn't visible, click the Assistant.

  4. In the Assistant, type the method, property, function, statement, or object you want Help on, or type a query.

  5. Click Search, and then click the topic you want.

Tips

  • To browse through a list of all Visual Basic methods, properties, functions, and objects for Microsoft Excel while working in the Visual Basic Editor, click Object Browser [image] . In the list of libraries, click the library for the program you want. To get Help on an item, click the item, and then click the question mark button in the Object Browser dialog box.

  • To show Help for the Visual Basic Editor, click Microsoft Visual Basic Help on the Help menu.


 Get Help for the Microsoft Script Editor in Microsoft Excel

Get Help for the Microsoft Script Editor in Microsoft Excel

Do one of the following:

  1. If you are creating a new script, point to Macro on the Tools menu, and then click Microsoft Script Editor.

    If you are editing an existing script, double-click the script anchor for the script you want to view.

  2. On the Help menu in the Microsoft Development Environment window, click the option you want:

    For a table of contents for Script Editor Help, click Contents.

    To browse an index of keywords, click Index.

    To search for specific words you want to find, click Search.


 Get information about your program and computer

Get information about your program and computer

  1. On the Help menu, click About Microsoft Excel.

    Program information appears in the About Microsoft Excel dialog box.

    Show Me

  2. Click System Info to see information about your computer.


Show, hide, or turn off the Office Assistant

  • On the Help menu, click Show the Office Assistant or Hide the Office Assistant.

Notes

  • To turn off the Assistant, click the Assistant, click Options, and then clear the Use the Office Assistant check box. You can still get Help without using the Office Assistant.

  • To remove the Assistant permanently, you must uninstall it.


Display tips and messages through the Office Assistant

What do you want to do?

Turn on the Office Assistant

Turn on program tips from the Office Assistant

Turn on the Tip of the Day

Turn on automatic suggestion of Help topics by the Office Assistant

Turn on Help with wizards from the Office Assistant

Display system messages by using the Office Assistant

Not sure which choice you want?


Keys for using the Office Assistant

Press | To
F1 | Get Help. Displays the Assistant balloon if the Assistant is turned on.
ALT+number (ALT+1 is the first topic, ALT+2 is the second, and so on) | Select a Help topic from the list the Assistant displays
ALT+DOWN ARROW | See more Help topics
ALT+UP ARROW | See previous Help topics
ESC | Close an Assistant message or a tip


Move the Office Assistant and its balloon

  • Drag the Office Assistant to any location on the screen.


Turn the Office Assistant sound on or off

To hear sound from the Assistant, you must have a sound card installed on your computer.

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Make sounds check box.


 Select a different Office Assistant

Select a different Office Assistant

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. Click the Gallery tab, and then click Back or Next until you see the Assistant you want.

Note If you have access to the Internet, you can download additional Assistants from the Microsoft Office Update Web site. On the Help menu, click Office on the Web, and then follow the instructions.


Get Help without using the Office Assistant

To get Help without using the Office Assistant, the Assistant must be turned off. How to turn off the Assistant.

  1. On the Help menu, click Microsoft Excel Help.

    If the Contents, Answer Wizard, and Index tabs aren't visible, click Show [image].

  2. In the Help window, do any of the following:

    To view a table of contents for Help, click the Contents tab.

    To type a question about a Microsoft Office program, click the Answer Wizard tab.

    To search for specific words or phrases or to choose from a list of keywords, click the Index tab. You can narrow your search and control the list of topics found by adding or removing keywords until only relevant topics and keywords remain in the list.


Display messages with or without the Office Assistant

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Display alerts check box.


Connect to Microsoft technical resources

If you have a question about a Microsoft Office program, first ask the Office Assistant and then look in the Discovering Microsoft Office 2000 or the Readme file that comes with the program. If you don't find what you need, you can get information from the technical resources in the following list.

Where do you want to go for technical information?

Microsoft Office Update A Web site that is updated regularly and provides information and answers to questions about all of the Office products. Learn about the Microsoft Office Update Web site.

Microsoft Knowledge Base Product information for Microsoft support engineers and customers. Learn about the Microsoft Knowledge Base.

Microsoft Software Library A resource that provides the download of free binary files on the Internet for all Microsoft products. Learn about the Microsoft Software Library.

Microsoft TechNet and Microsoft Developer Network CD-ROMs CD-ROMs containing comprehensive information for product support of Microsoft business products, and comprehensive programming information and toolkits. Learn about the Microsoft TechNet and Microsoft Developer Network.

Microsoft Press Training and support materials for Microsoft products. Learn about Microsoft Press.

Microsoft Download Service Sample programs, patches, and other programming aids. Learn about the Microsoft Download Service.

FastTips An automated, toll-free service that provides answers to common technical questions 24 hours a day, 7 days a week. Learn about FastTips.


 I can't access the Microsoft Office Update Web site.

I can't access the Microsoft Office Update Web site.

  • Make sure you have Internet access To access the Office Update Web site when you click Office on the Web (Help menu), you must have access to the Internet, either through your company's intranet or through a modem on your computer or network, and you must have an Internet account through an Internet service provider. For more information, see the Microsoft Office 2000 Resource Kit. Learn about obtaining the Microsoft Office 2000 Resource Kit.

  • Check your Internet settings in Windows Your settings to connect to the Internet might not be correct. Double-click the Internet icon in the Windows Control Panel to check your settings and then make any corrections needed.

  • Check your modem Make sure your modem is working correctly. For more information, see the topic on modem troubleshooting in Microsoft Windows Help.

  • Try again later The Microsoft World Wide Web site might not be available. If the suggestions above don't correct your problem and you can access other sites on the Web, wait awhile and then try again.


Troubleshoot the Office Assistant

What do you need help with?

The Office Assistant is distracting.

The Office Assistant doesn't show the Help topic I want.

The Office Assistant balloon disappeared.


Keyboard shortcuts

Which keys do you want to use?

Keys for working in a spreadsheet

Keys for moving and scrolling in a worksheet or workbook

Keys for previewing and printing a document

Keys for working with worksheets, charts, and macros

Keys for working with data

Keys for entering data

Keys for formatting data

Keys for editing data

Keys for selecting data and cells

Keys for selecting charts and chart items

Keys to use with databases and lists

Keys for outlining data

Keys to use with PivotTable and PivotChart reports

Keys to use with the OLAP Cube Wizard

Keys for working in Microsoft Office

Keys for menus and toolbars

Keys for windows, dialog boxes, and edit boxes

Keys for the Office Assistant

Keys for working with the Open and Save As dialog boxes

Keys for sending e-mail messagesl

Keys for working with drawing objects, AutoShapes, WordArt, and other objects


Print a list of shortcut keys

  1. If the Contents tab isn't visible, press ALT+C to display it.

  2. Select the heading Shortcut Keys, press ALT+O, and then press P.

  3. Click Print the selected heading and all subtopics.

  4. Select the printing options you want.


Accessibility for people with disabilities

Microsoft Excel contains features that make it easier for people who are blind or have low vision to read and for those with limited dexterity to write. Learn about using accessibility features.

What do you want to do?

Change the magnification and color of text

Customize toolbars and menus

Use keyboard shortcuts

Automate entering and editing text and data

Change the magnification and color of text

Magnify or reduce the screen display

Make toolbar buttons larger

Scroll and zoom on a Microsoft Excel sheet by using the Microsoft IntelliMouse pointing device

Change the color palette used in a workbook

Change the font and colors for Help topics

Customize toolbars and menus

Create a toolbar

Group related buttons and menus on a toolbar

Add a button to a toolbar

Add a command to a menu

Use keyboard shortcuts

Use shortcut keys

Print a list of shortcut keys

Automate entering and editing text and data

Correct spelling and typing errors as you type

Quickly fill in repeated entries in a column


About accessibility for people with disabilities

Change the magnification and color of text

You can change the magnification of your spreadsheet to make information easier to read on the screen. You can also make toolbar buttons larger so they're easier to see and use. If you use the Microsoft IntelliMouse pointing device, you can scroll and zoom directly from the mouse instead of clicking buttons on the screen. For example, you can automatically scroll to the end of the document with just one mouse click. You can also create a custom color palette so that only colors you define are used.

In Help topics, you can change the font and colors.

Customize toolbars and menus

If you use only a subset of toolbar buttons and commands, you can create a toolbar that contains only those buttons and menus you use most often. You can also group toolbar buttons and menu commands together in a way that makes the most sense to you.

Use keyboard shortcuts

Many features and commands are available directly from the keyboard. You can also view and print lists of all available shortcut keys.

Automate entering and editing text and data

Microsoft Excel can correct common spelling and typing errors as you work and, when you type a few identifying characters, can automatically complete recurring entries within a column.

Customize the operating system

You can set or change system accessibility options. For example, with the Windows MouseKeys feature, you can use the numeric keypad to move the pointer and to click, double-click, and drag. On the Windows Start menu, point to Settings, and then click Control Panel. Double-click Accessibility Options, click the tab you want, and then select the options you want. For Help on an option, select the option, and then press SHIFT+F1.

More information

More complete information about Microsoft services for people with disabilities is available in an appendix in Discovering Microsoft Office 2000. For example, you'll find information about how people who are deaf or hard-of-hearing can contact the Microsoft Sales and Information Center or Microsoft Support Network. You'll also find information about obtaining Microsoft documentation from Recording for the Blind, Inc., for people who have difficulty reading or handling printed documentation. This appendix also describes third-party hardware and software products that make personal computers easier to use by people with disabilities, and it lists organizations to contact for additional information.

If you have access to the World Wide Web, you can learn more about using accessibility features that are included in Microsoft operating systems and other Microsoft products.


 Keys for moving and scrolling in a worksheet or workbook

Keys for moving and scrolling in a worksheet or workbook

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

This topic lists:

Keys for moving and scrolling in a worksheet or workbook

Keys for moving in a worksheet with End mode on

Keys for moving in a worksheet with SCROLL LOCK on

Keys for moving and scrolling in a worksheet or workbook

Press | To
Arrow keys | Move one cell up, down, left, or right
CTRL+arrow key | Move to the edge of the current data region
HOME | Move to the beginning of the row
CTRL+HOME | Move to the beginning of the worksheet
CTRL+END | Move to the last cell on the worksheet, which is the cell at the intersection of the rightmost used column and the bottom-most used row (in the lower-right corner), or the cell opposite the home cell, which is typically A1
PAGE DOWN | Move down one screen
PAGE UP | Move up one screen
ALT+PAGE DOWN | Move one screen to the right
ALT+PAGE UP | Move one screen to the left
CTRL+PAGE DOWN | Move to the next sheet in the workbook
CTRL+PAGE UP | Move to the previous sheet in the workbook
CTRL+F6 or CTRL+TAB | Move to the next workbook or window
CTRL+SHIFT+F6 or CTRL+SHIFT+TAB | Move to the previous workbook or window
F6 | Move to the next pane in a workbook that has been split
SHIFT+F6 | Move to the previous pane in a workbook that has been split
CTRL+BACKSPACE | Scroll to display the active cell
F5 | Display the Go To dialog box
SHIFT+F5 | Display the Find dialog box
SHIFT+F4 | Repeat the last Find action (same as Find Next)
TAB | Move between unlocked cells on a protected worksheet

Return to top

Keys for moving in a worksheet with End mode on

Press | To
END | Turn End mode on or off
END, arrow key | Move by one block of data within a row or column
END, HOME | Move to the last cell on the worksheet, which is the cell at the intersection of the rightmost used column and the bottom-most used row (in the lower-right corner), or the cell opposite the home cell, which is typically A1
END, ENTER | Move to the last cell to the right in the current row that is not blank; unavailable if you have selected the Transition navigation keys check box on the Transition tab (Tools menu, Options command)

Return to top

Keys for moving in a worksheet with SCROLL LOCK on

Press | To
SCROLL LOCK | Turn SCROLL LOCK on or off
HOME | Move to the cell in the upper-left corner of the window
END | Move to the cell in the lower-right corner of the window
UP ARROW or DOWN ARROW | Scroll one row up or down
LEFT ARROW or RIGHT ARROW | Scroll one column left or right

Return to top

Tip When you use scrolling keys (such as PAGE UP and PAGE DOWN) with SCROLL LOCK turned off, your selection moves the distance you scroll. If you want to preserve your selection while you scroll through the worksheet, turn on SCROLL LOCK first.


Keys for previewing and printing a document

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

Press | To
CTRL+P or CTRL+SHIFT+F12 | Display the Print dialog box

Work in print preview

Press | To
Arrow keys | Move around the page when zoomed in
PAGE UP or PAGE DOWN | Move by one page when zoomed out
CTRL+UP ARROW or CTRL+LEFT ARROW | Move to the first page when zoomed out
CTRL+DOWN ARROW or CTRL+RIGHT ARROW | Move to the last page when zoomed out


Keys for working with worksheets, charts, and macros

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

Press | To
SHIFT+F11 or ALT+SHIFT+F1 | Insert a new worksheet
F11 or ALT+F1 | Create a chart that uses the current range
ALT+F8 | Display the Macro dialog box
ALT+F11 | Display the Visual Basic Editor
CTRL+F11 | Insert a Microsoft Excel 4.0 macro sheet
CTRL+PAGE DOWN | Move to the next sheet in the workbook
CTRL+PAGE UP | Move to the previous sheet in the workbook
SHIFT+CTRL+PAGE DOWN | Select the current and next sheet in the workbook
SHIFT+CTRL+PAGE UP | Select the current and previous sheet in the workbook


 Keys for entering data

Keys for entering data

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

This topic lists:

Keys for entering data on a worksheet

Keys for working in cells or the formula bar

Keys for entering data on a worksheet

Press | To
ENTER | Complete a cell entry and move down in the selection
ALT+ENTER | Start a new line in the same cell
CTRL+ENTER | Fill the selected cell range with the current entry
SHIFT+ENTER | Complete a cell entry and move up in the selection
TAB | Complete a cell entry and move to the right in the selection
SHIFT+TAB | Complete a cell entry and move to the left in the selection
ESC | Cancel a cell entry
BACKSPACE | Delete the character to the left of the insertion point, or delete the selection
DELETE | Delete the character to the right of the insertion point, or delete the selection
CTRL+DELETE | Delete text to the end of the line
Arrow keys | Move one character up, down, left, or right
HOME | Move to the beginning of the line
F4 or CTRL+Y | Repeat the last action
SHIFT+F2 | Edit a cell comment
CTRL+SHIFT+F3 | Create names from row and column labels
CTRL+D | Fill down
CTRL+R | Fill to the right
CTRL+F3 | Define a name

Return to top

Keys for working in cells or the formula bar

Press | To
BACKSPACE | Edit the active cell and then clear it, or delete the preceding character in the active cell as you edit cell contents
ENTER | Complete a cell entry
CTRL+SHIFT+ENTER | Enter a formula as an array formula
ESC | Cancel an entry in the cell or formula bar
CTRL+A | Display the Formula Palette after you type a function name in a formula
CTRL+SHIFT+A | Insert the argument names and parentheses for a function after you type a function name in a formula
CTRL+K | Insert a hyperlink
ENTER (in a cell with a hyperlink) | Activate a hyperlink
F2 | Edit the active cell and position the insertion point at the end of the line
F3 | Paste a defined name into a formula
SHIFT+F3 | Paste a function into a formula
F9 | Calculate all sheets in all open workbooks
CTRL+ALT+F9 | Calculate all sheets in the active workbook
SHIFT+F9 | Calculate the active worksheet
= (equal sign) | Start a formula
ALT+= (equal sign) | Insert the AutoSum formula
CTRL+; (semicolon) | Enter the date
CTRL+SHIFT+: (colon) | Enter the time
CTRL+SHIFT+" (quotation mark) | Copy the value from the cell above the active cell into the cell or the formula bar
CTRL+` (single left quotation mark) | Alternate between displaying cell values and displaying cell formulas
CTRL+' (apostrophe) | Copy a formula from the cell above the active cell into the cell or the formula bar
ALT+DOWN ARROW | Display the AutoComplete list

Return to top


Keys for formatting data

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

Press | To
ALT+' (apostrophe) | Display the Style dialog box
CTRL+1 | Display the Format Cells dialog box
CTRL+SHIFT+~ | Apply the General number format
CTRL+SHIFT+$ | Apply the Currency format with two decimal places (negative numbers appear in parentheses)
CTRL+SHIFT+% | Apply the Percentage format with no decimal places
CTRL+SHIFT+^ | Apply the Exponential number format with two decimal places
CTRL+SHIFT+# | Apply the Date format with the day, month, and year
CTRL+SHIFT+@ | Apply the Time format with the hour and minute, and indicate A.M. or P.M.
CTRL+SHIFT+! | Apply the Number format with two decimal places, thousands separator, and minus sign (–) for negative values
CTRL+SHIFT+& | Apply the outline border
CTRL+SHIFT+_ | Remove outline borders
CTRL+B | Apply or remove bold formatting
CTRL+I | Apply or remove italic formatting
CTRL+U | Apply or remove an underline
CTRL+5 | Apply or remove strikethrough formatting
CTRL+9 | Hide rows
CTRL+SHIFT+( (opening parenthesis) | Unhide rows
CTRL+0 (zero) | Hide columns
CTRL+SHIFT+) (closing parenthesis) | Unhide columns


 Keys for editing data

Keys for editing data

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

This topic lists:

Keys for editing data

Keys for inserting, deleting, and copying a selection

Keys for moving within a selection

Keys for editing data

Press | To
F2 | Edit the active cell and put the insertion point at the end of the line
ESC | Cancel an entry in the cell or formula bar
BACKSPACE | Edit the active cell and then clear it, or delete the preceding character in the active cell as you edit the cell contents
F3 | Paste a defined name into a formula
ENTER | Complete a cell entry
CTRL+SHIFT+ENTER | Enter a formula as an array formula
CTRL+A | Display the Formula Palette after you type a function name in a formula
CTRL+SHIFT+A | Insert the argument names and parentheses for a function, after you type a function name in a formula
F7 | Display the Spelling dialog box

Return to top

Keys for inserting, deleting, and copying a selection

Press | To
CTRL+C | Copy the selection
CTRL+X | Cut the selection
CTRL+V | Paste the selection
DELETE | Clear the contents of the selection
CTRL+HYPHEN | Delete the selection
CTRL+Z | Undo the last action
CTRL+SHIFT+PLUS SIGN | Insert blank cells

Return to top

Keys for moving within a selection

Press | To
ENTER | Move from top to bottom within the selection (down), or move in the direction that is selected on the Edit tab (Tools menu, Options command)
SHIFT+ENTER | Move from bottom to top within the selection (up), or move opposite to the direction that is selected on the Edit tab (Tools menu, Options command)
TAB | Move from left to right within the selection, or move down one cell if only one column is selected
SHIFT+TAB | Move from right to left within the selection, or move up one cell if only one column is selected
CTRL+PERIOD | Move clockwise to the next corner of the selection
CTRL+ALT+RIGHT ARROW | Move to the right between nonadjacent selections
CTRL+ALT+LEFT ARROW | Move to the left between nonadjacent selections

Return to top


 Keys for selecting data and cells

Keys for selecting data and cells

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

This topic lists:

Keys for selecting cells, columns, or rows

Keys for extending the selection with End mode on

Keys for selecting cells that have special characteristics

Keys for selecting cells, columns, or rows

Press | To
CTRL+SHIFT+* (asterisk) | Select the current region around the active cell (the current region is a data area enclosed by blank rows and blank columns)
SHIFT+arrow key | Extend the selection by one cell
CTRL+SHIFT+arrow key | Extend the selection to the last nonblank cell in the same column or row as the active cell
SHIFT+HOME | Extend the selection to the beginning of the row
CTRL+SHIFT+HOME | Extend the selection to the beginning of the worksheet
CTRL+SHIFT+END | Extend the selection to the last used cell on the worksheet (lower-right corner)
CTRL+SPACEBAR | Select the entire column
SHIFT+SPACEBAR | Select the entire row
CTRL+A | Select the entire worksheet
SHIFT+BACKSPACE | Select only the active cell when multiple cells are selected
SHIFT+PAGE DOWN | Extend the selection down one screen
SHIFT+PAGE UP | Extend the selection up one screen
CTRL+SHIFT+SPACEBAR | With an object selected, select all objects on a sheet
CTRL+6 | Alternate between hiding objects, displaying objects, and displaying placeholders for objects
CTRL+7 | Show or hide the Standard toolbar
F8 | Turn on extending a selection by using the arrow keys
SHIFT+F8 | Add another range of cells to the selection; or use the arrow keys to move to the start of the range you want to add, and then press F8 and the arrow keys to select the next range
SCROLL LOCK, SHIFT+HOME | Extend the selection to the cell in the upper-left corner of the window
SCROLL LOCK, SHIFT+END | Extend the selection to the cell in the lower-right corner of the window

Return to top

Tip When you use the scrolling keys (such as PAGE UP and PAGE DOWN) with SCROLL LOCK turned off, your selection moves the distance you scroll. If you want to keep the same selection as you scroll, turn on SCROLL LOCK first.

Keys for extending the selection with End mode on

Press | To
END | Turn End mode on or off
END, SHIFT+arrow key | Extend the selection to the last nonblank cell in the same column or row as the active cell
END, SHIFT+HOME | Extend the selection to the last cell used on the worksheet (lower-right corner)
END, SHIFT+ENTER | Extend the selection to the last cell in the current row. This keystroke is unavailable if you selected the Transition navigation keys check box on the Transition tab (Tools menu, Options command).

Return to top

Keys for selecting cells that have special characteristics

Press | To
CTRL+SHIFT+* (asterisk) | Select the current region around the active cell (the current region is a data area enclosed by blank rows and blank columns)
CTRL+/ | Select the current array, which is the array that the active cell belongs to
CTRL+SHIFT+O (the letter O) | Select all cells with comments
CTRL+\ | Select cells in a row that don't match the value in the active cell in that row. You must select the row starting with the active cell.
CTRL+SHIFT+| | Select cells in a column that don't match the value in the active cell in that column. You must select the column starting with the active cell.
CTRL+[ (opening bracket) | Select only cells that are directly referred to by formulas in the selection
CTRL+SHIFT+{ (opening brace) | Select all cells that are directly or indirectly referred to by formulas in the selection
CTRL+] (closing bracket) | Select only cells with formulas that refer directly to the active cell
CTRL+SHIFT+} (closing brace) | Select all cells with formulas that refer directly or indirectly to the active cell
ALT+; (semicolon) | Select only visible cells in the current selection

Return to top


 Keys for selecting charts and chart items

Keys for selecting charts and chart items

Keys for selecting a chart sheet

Press | To
CTRL+PAGE DOWN | Select the next sheet in the workbook, until the chart sheet you want is selected
CTRL+PAGE UP | Select the previous sheet in the workbook, until the chart sheet you want is selected

Keys for selecting an embedded chart

Note The Drawing toolbar must already be displayed.

  1. Press F10 to make the menu bar active.

  2. Press CTRL+TAB or CTRL+SHIFT+TAB to select the Drawing toolbar.

  3. Press the RIGHT ARROW key to select the Select Objects [image] button on the Drawing toolbar.

  4. Press CTRL+ENTER to select the first object.

  5. Press the TAB key to cycle forward (or SHIFT+TAB to cycle backward) through the objects until sizing handles appear on the embedded chart you want to select.

  6. Press CTRL+ENTER to make the chart active.

Keys for selecting chart items

Press | To
DOWN ARROW | Select the previous group of items
UP ARROW | Select the next group of items
RIGHT ARROW | Select the next item within the group
LEFT ARROW | Select the previous item within the group

There are also keys to use with PivotChart reports.


Keys to use with databases and lists

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

This topic lists:

Keys for working with a data form

Keys for using AutoFilter

Keys for working with a data form

Press | To
ALT+key, where key is the underlined letter in the field or command name | Select a field or a command button
DOWN ARROW | Move to the same field in the next record
UP ARROW | Move to the same field in the previous record
TAB | Move to the next field you can edit in the record
SHIFT+TAB | Move to the previous field you can edit in the record
ENTER | Move to the first field in the next record
SHIFT+ENTER | Move to the first field in the previous record
PAGE DOWN | Move to the same field 10 records forward
CTRL+PAGE DOWN | Move to a new record
PAGE UP | Move to the same field 10 records back
CTRL+PAGE UP | Move to the first record
HOME or END | Move to the beginning or end of a field
SHIFT+END | Extend a selection to the end of a field
SHIFT+HOME | Extend a selection to the beginning of a field
LEFT ARROW or RIGHT ARROW | Move one character left or right within a field
SHIFT+LEFT ARROW | Select the character to the left
SHIFT+RIGHT ARROW | Select the character to the right

Return to top

Keys for using AutoFilter

Press | To
Arrow keys to select the cell that contains the column label, and then press ALT+DOWN ARROW | Display the AutoFilter list for the current column
DOWN ARROW | Select the next item in the AutoFilter list
UP ARROW | Select the previous item in the AutoFilter list
ALT+UP ARROW | Close the AutoFilter list for the current column
HOME | Select the first item (All) in the AutoFilter list
END | Select the last item in the AutoFilter list
ENTER | Filter the list by using the selected item in the AutoFilter list

Return to top


Keys for outlining data

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

Press | To
ALT+SHIFT+RIGHT ARROW | Group rows or columns
ALT+SHIFT+LEFT ARROW | Ungroup rows or columns
CTRL+8 | Display or hide outline symbols
CTRL+9 | Hide selected rows
CTRL+SHIFT+( (opening parenthesis) | Unhide selected rows
CTRL+0 (zero) | Hide selected columns
CTRL+SHIFT+) (closing parenthesis) | Unhide selected columns


 Keys to use with PivotTable and PivotChart reports

Keys to use with PivotTable and PivotChart reports

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

This topic lists:

Keys for the PivotTable and PivotChart Wizard

Keys for page fields in a PivotTable or PivotChart report

Keys for laying out a PivotTable or PivotChart report

Keys for grouping and ungrouping PivotTable items

Keys for the PivotTable and PivotChart Wizard

Press | To
UP ARROW or DOWN ARROW | Select the previous or next field button in the list
LEFT ARROW or RIGHT ARROW | Select the field button to the left or right in a multicolumn field button list
ALT+C | Move the selected field into the Column area
ALT+D | Move the selected field into the Data area
ALT+L | Display the PivotTable Field dialog box
ALT+P | Move the selected field into the Page area
ALT+R | Move the selected field into the Row area

Return to top

Keys for page fields in a PivotTable or PivotChart report

Press | To
CTRL+SHIFT+* (asterisk) | Select the entire PivotTable report
Arrow keys to select the cell that contains the field, and then ALT+DOWN ARROW | Display the list for the current field in a PivotTable report
Arrow keys to select the page field in a PivotChart report, and then ALT+DOWN ARROW | Display the list for the current page field in a PivotChart report
UP ARROW | Select the previous item in the list
DOWN ARROW | Select the next item in the list
HOME | Select the first visible item in the list
END | Select the last visible item in the list
ENTER | Display the selected item
SPACEBAR | Select or clear a check box in the list

Return to top

Keys for laying out a PivotTable or PivotChart report

  1. Press F10 to make the menu bar active.

  2. Press CTRL+TAB or CTRL+SHIFT+TAB to select the PivotTable toolbar.

  3. Press the LEFT ARROW or RIGHT ARROW key to select the menu to the left or right or, when a submenu is visible, to switch between the main menu and submenu.

  4. Press ENTER (on a field button) and the DOWN ARROW and UP ARROW keys to select the area you want to move the selected field to.

Note To scroll to the top or bottom of the field list, press ENTER on the More Fields Up Arrow or Down Arrow button.

Return to top

Keys for grouping and ungrouping PivotTable items

Press | To
ALT+SHIFT+RIGHT ARROW | Group selected PivotTable items
ALT+SHIFT+LEFT ARROW | Ungroup selected PivotTable items

Return to top


Keys to use with the OLAP Cube Wizard

Use these keys to complete Step 2 in the OLAP Cube Wizard.

To move a field from the Source fields list to the Dimensions box

  1. Press the TAB key to select the Source fields list.

  2. Press the UP ARROW or DOWN ARROW key to select the field you want to move.

    Because you cannot change the order of a field after you move it, select first the field you want to appear at the top of the Dimensions box.

  3. Press the TAB key to select the > button, and then press ENTER.

  4. To move other fields, repeat steps 1 through 3.

To move a field to a lower or higher level in the Dimensions box

  1. Press the TAB key to select the Dimensions box.

  2. Press the UP ARROW or DOWN ARROW key to select the field you want to move.

  3. Press CTRL+X.

  4. Press the UP ARROW or DOWN ARROW key to select where you want to move the field.

  5. Press CTRL+V.


 Keys for menus and toolbars

Keys for menus and toolbars

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

Press | To
F10 or ALT | Make the menu bar active, or close a visible menu and submenu at the same time
TAB or SHIFT+TAB (when a toolbar is active) | Select the next or previous button or menu on the toolbar
CTRL+TAB or CTRL+SHIFT+TAB (when a toolbar is active) | Select the next or previous toolbar
ENTER | Open the selected menu, or perform the action assigned to the selected button
SHIFT+F10 | Show a shortcut menu
ALT+SPACEBAR | Show the program icon menu (on the program title bar)
DOWN ARROW or UP ARROW (with the menu or submenu displayed) | Select the next or previous command on the menu or submenu
LEFT ARROW or RIGHT ARROW | Select the menu to the left or right or, with a submenu visible, switch between the main menu and the submenu
HOME or END | Select the first or last command on the menu or submenu
ESC | Close the visible menu or, with a submenu visible, close the submenu only
CTRL+DOWN ARROW | Display the full set of commands on a menu

Tip You can select any menu command on the menu bar or on a visible toolbar with the keyboard. To select the menu bar, press ALT. (Then to select a toolbar, press CTRL+TAB repeatedly until you select the toolbar you want.) Press the underlined letter in the menu name that contains the command you want. In the menu that appears, press the underlined letter in the command name that you want.


Keys for windows, dialog boxes, and edit boxes

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

This topic lists shortcut keys for:

Keys for windows

Keys for dialog boxes

Keys for edit boxes in dialog boxes

Keys for windows

In a window, press | To
ALT+TAB | Switch to the next program
ALT+SHIFT+TAB | Switch to the previous program
CTRL+ESC | Show the Windows Start menu
CTRL+W or CTRL+F4 | Close the active workbook window
CTRL+F5 | Restore the active workbook window size
F6 | Move to the next pane in a workbook that has been split
SHIFT+F6 | Move to the previous pane in a workbook that has been split
CTRL+F6 | Switch to the next workbook window
CTRL+SHIFT+F6 | Switch to the previous workbook window
CTRL+F7 | Carry out the Move command (workbook icon menu, menu bar), or use the arrow keys to move the window
CTRL+F8 | Carry out the Size command (workbook icon menu, menu bar), or use the arrow keys to size the window
CTRL+F9 | Minimize the workbook window to an icon
CTRL+F10 | Maximize or restore the workbook window
PRTSCR | Copy the image of the screen to the Clipboard
ALT+PRINT SCREEN | Copy the image of the active window to the Clipboard

Return to top

Keys for dialog boxes

In a dialog box, press | To
TAB | Move to the next option or option group
SHIFT+TAB | Move to the previous option or option group
CTRL+TAB or CTRL+PAGE DOWN | Switch to the next tab in a dialog box
CTRL+SHIFT+TAB or CTRL+PAGE UP | Switch to the previous tab in a dialog box
Arrow keys | Move between options in the active drop-down list box or between some options in a group of options
SPACEBAR | Perform the action assigned to the active button (the button with the dotted outline), or select or clear the active check box
Letter key for the first letter in the option name you want (when a drop-down list box is selected) | Move to an option in a drop-down list box
ALT+letter, where letter is the key for the underlined letter in the option name | Select an option, or select or clear a check box
ALT+DOWN ARROW | Open the selected drop-down list box
ENTER | Perform the action assigned to the default command button in the dialog box (the button with the bold outline — often the OK button)
ESC | Cancel the command and close the dialog box

Return to top

Keys for edit boxes in dialog boxes

In an edit box, press | To
HOME | Move to the beginning of the entry
END | Move to the end of the entry
LEFT ARROW or RIGHT ARROW | Move one character to the left or right
CTRL+LEFT ARROW | Move one word to the left
CTRL+RIGHT ARROW | Move one word to the right
SHIFT+LEFT ARROW | Select or unselect one character to the left
SHIFT+RIGHT ARROW | Select or unselect one character to the right
CTRL+SHIFT+LEFT ARROW | Select or unselect one word to the left
CTRL+SHIFT+RIGHT ARROW | Select or unselect one word to the right
SHIFT+HOME | Select from the insertion point to the beginning of the entry
SHIFT+END | Select from the insertion point to the end of the entry

Return to top


 Keys for working with the Open and Save As dialog boxes

Keys for working with the Open and Save As dialog boxes

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

Press | To
CTRL+F12 or CTRL+O | Display the Open dialog box
ALT+F2 or F12 or CTRL+S | Save the active workbook
ALT+SHIFT+F2 or SHIFT+F12 | Display the Save as dialog box
ALT+1 | Go to the previous folder ( [image] )
ALT+2 | Open the folder up one level from the open folder (Up One Level button [image] )
ALT+3 | Close the dialog box, and open your World Wide Web search page (Search the Web button [image] )
ALT+4 | Delete the selected folder or file (Delete button [image] )
ALT+5 | Create a new subfolder in the open folder (Create New Folder button [image] )
ALT+6 | Switch between List, Details, Properties, and Preview views
ALT+7 | Show the Tools menu (Tools button)


Keys for sending e-mail messages

To use keys to send e-mail messages, you must configure Microsoft Outlook as your default e-mail program. If Outlook Express is your default e-mail program, you cannot use most of these keys to send e-mail messages.

Note To enlarge the Help window to fill the screen, press ALT+SPACEBAR and then press X. To restore the window to its previous size and location, press ALT+SPACEBAR and then press R. To print this topic, press ALT+O and then press P.

Press | To
SHIFT+TAB | Move to the e-mail message header. Cell A1 must be the active cell when you press these keys.
ALT+S | Send the active spreadsheet as an e-mail message
CTRL+SHIFT+B | Open the Address Book
ALT+K | Check the names in the To, Cc, and Bcc boxes against the Address Book
ALT+PERIOD | Open the Address Book in the To box
ALT+C | Open the Address Book in the Cc box
ALT+B | Open the Address Book in the Bcc box
ALT+J | Go to the Subject box
ALT+P | Open the Outlook Message Options dialog box (View menu, Options command in a message)
CTRL+SHIFT+G | Create a message flag


Keys for working with drawing objects, AutoShapes, WordArt, and other objects

Inserting drawing objects

Insert an AutoShape

Insert a text box

Insert a WordArt object

Selecting drawing objects

Select a drawing object

Editing drawing objects

Rotate a drawing object

Change the size of a drawing object

Copy the attributes of a drawing object


Insert an AutoShape by using the keyboard

  1. Press ALT+U to select the AutoShapes menu on the Drawing toolbar.

  2. Use the arrow keys to move to the category of AutoShapes you want, and then press the RIGHT ARROW key.

  3. Use the arrow keys to select the AutoShape you want.

  4. Press CTRL+ENTER.

Note To edit the AutoShape, select the AutoShape, and then use the keyboard to select AutoShape on the Format menu. Select the options you want on the available tabs.


 Insert a text box by using the keyboard

Insert a text box by using the keyboard

  1. Use the keyboard to select the Text Box [image] button on the Drawing toolbar.

  2. Press CTRL+ENTER.

  3. Type the text you want in the text box.

  4. When you finish typing and want to switch back to the worksheet, press ESC twice.

Note To format the text box (add a fill color or change the size, for example) select the text box, select Text Box on the Format menu, and then select the options you want on the available tabs.


Insert a WordArt object by using the keyboard

  1. Use the keyboard to select WordArt (Insert menu, Picture submenu).

  2. Use the arrow keys to select the WordArt style you want, and then press ENTER.

  3. Type the text you want, and then use the TAB key to select other options in the dialog box.

  4. Press ENTER to insert the WordArt object.

Note To edit the WordArt object, select the object, select WordArt on the Format menu, and then select the options you want on the available tabs.


 Select a drawing object by using the keyboard

Select a drawing object by using the keyboard

If your insertion point is on the worksheet, do the following:

  1. Press F10 to make the menu bar active.

  2. Press CTRL+TAB to select the Drawing toolbar.

  3. Press the RIGHT ARROW key to select the Select Objects [image] button on the Drawing toolbar.

  4. Press CTRL+ENTER to select the first drawing object.

  5. Press the TAB key to cycle forward (or SHIFT+TAB to cycle backward) through the objects until sizing handles appear on the object you want to select.

If your insertion point is within text in a drawing object, do the following:

  • Press the TAB key to cycle forward (or SHIFT+TAB to cycle backward) through the objects until sizing handles appear on the object you want to select.

Note To switch from object selection mode back to working in cells, press ESC.


Rotate a drawing object by using the keyboard

  1. Use the keyboard to select the drawing object you want to rotate.

  2. On the Format menu, select the command for the type of object selected — for example, AutoShape or Text Box — and then select the Size tab.

  3. In the Rotation box, enter the amount of rotation you want.


Change the size of a drawing object by using the keyboard

  1. Use the keyboard to select the drawing object you want to resize.

  2. On the Format menu, select the command for the type of object selected — for example, AutoShape or Text Box — and then choose the Size tab.

    Select the options you want. For help on an option, select the option, and then press SHIFT+F1.


Copy the attributes of a drawing object by using the keyboard

  1. Use the keyboard to select the drawing object with the attributes you want to copy.

    If you select an AutoShape with attached text, the look and style of the text as well as the attributes of the AutoShape are copied.

  2. Press CTRL+SHIFT+C to copy the object attributes.

  3. Press TAB or SHIFT+TAB to select the object you want to copy the attributes to.

  4. Press CTRL+SHIFT+V to copy the attributes to the object.


Lotus 1-2-3 keyboard equivalents

Note To enlarge the Help window to fill the screen, click Maximize [image] on the Help title bar. To restore the window to its previous size and location, click Restore [image]. To print this topic, click Print [image] on the Help toolbar.

The default Microsoft Excel keyboard equivalents for Lotus 1-2-3 key commands are listed in the following table.

Function key equivalents

Lotus 1-2-3 | Excel
F1 (Help) | F1
F2 (Edit) | F2
F3 (Name) | F3
F4 (Absolute/relative) | F4
F5 (Go to) | F5
F6 (Next window) | CTRL+F6
F7 (Query) | Use the AutoFilter command (Tools menu) to find rows in a list: Press ALT, D, F, F to create an AutoFilter list. Select the cell that contains the column label, and then press ALT+DOWN ARROW to select a value in the AutoFilter list.
F8 (Table) | Tables recalculate automatically, unless you select the Automatic except tables check box on the Calculation tab (Tools menu, Options command).
F9 (Calculate) | F9
F10 (Graph) | F11 or ALT+F1

Navigation keys

Use the Excel keys unless you use transition navigation keys.

Lotus 1-2-3 | Excel
Up, Down | UP ARROW, DOWN ARROW
Left, Right | LEFT ARROW, RIGHT ARROW
End, Up | CTRL+UP ARROW or END+UP ARROW
End, Down | CTRL+DOWN ARROW or END+DOWN ARROW
End, Left | CTRL+LEFT ARROW or END+LEFT ARROW
End, Right | CTRL+RIGHT ARROW or END+RIGHT ARROW
Home | CTRL+HOME
Tab | CTRL+PAGE DOWN
Shift+Tab | CTRL+PAGE UP
PgUp, PgDn | PAGE UP or PAGE DOWN


Transition navigation keys for Lotus 1-2-3

Note To enlarge the Help window to fill the screen, click Maximize [image] on the Help title bar. To restore the window to its previous size and location, click Restore [image]. To print this topic, click Print [image] on the Help toolbar.

You can change the navigation keys in Microsoft Excel to move around the worksheet the same way as in Lotus 1-2-3. If you select the Transition navigation keys check box on the Transition tab (Tools menu, Options command), the following keyboard shortcuts are in effect.

Navigation keys

Press | To move
SHIFT+TAB or CTRL+LEFT ARROW | One screen to the left
TAB or CTRL+RIGHT ARROW | One screen to the right
CTRL+PAGE DOWN | To the next sheet in a workbook
CTRL+PAGE UP | To the previous sheet in a workbook
HOME | To the first cell on the sheet (the cell in the upper-left corner)

Text-alignment prefix characters

Use the following text-alignment prefix characters to assign alignment formats as you enter data in cells.

Press | To
' (apostrophe) | Left align data in the cell
" (quotation mark) | Right align data in the cell
^ (caret) | Center data within the cell
\ (backslash) | Repeat characters across the cell

Note When you enter cell references in formulas by selecting the cells, hidden columns are temporarily unhidden.


Install or remove individual features of Microsoft Office or Excel

In most cases, when you first attempt to use a feature that is not installed, Microsoft Excel installs the feature automatically. For example, if you click Run Database Query on the Data menu, Microsoft Query is installed. Use this procedure if the feature you want is not installed automatically.

  1. Click Print [image] on the Help toolbar to print this topic. You might also want to click the link at the end of this procedure and print that topic as well.

  2. Quit all programs.

  3. On the Windows Start menu, point to Settings, and then click Control Panel.

  4. Double-click the Add/Remove Programs [image] icon, and then do one of the following:

    If you installed Excel with Office, click Microsoft Office 2000 on the Install/Uninstall tab, and then click Add/Remove.

    If you installed only Excel, click Microsoft Excel 2000 on the Install/Uninstall tab, and then click Add/Remove.

  5. Follow the instructions on the screen.

    See the location of features in the installation program.

Notes

  • If you installed Office or Excel from a CD-ROM and later mapped your CD-ROM drive to a new drive letter, run the installer again from the CD-ROM. If you are running any Office or Excel files from the CD-ROM, you must uninstall the program and then reinstall Office or Excel from the CD-ROM.

  • If you originally installed Office or Excel from a network file server or shared folder, run that copy of the installer.


Automatically repair Office or an Office program

This procedure detects and repairs problems associated with installed Microsoft Office programs, such as registry settings and missing installation files. It will not repair personal files such as spreadsheets or templates.

  • On the Help menu, click Detect and Repair.

    To restore program shortcuts to the Windows Start menu, make sure the Restore my shortcuts while repairing check box is selected.

Note If the Detect and Repair command does not fix the problem, you may need to repair or reinstall Office.


 Add-in programs for Microsoft Excel

Add-in programs for Microsoft Excel

The add-in programs listed in the following table are installed by default in one of two places: either the Library folder or one of its subfolders in the Microsoft Office\Office folder, or the Profiles\your user name\Application Data\Microsoft\AddIns folder in your Windows folder. The administrator for your company's network can designate other locations for add-in programs. See your administrator for more information.

If you cannot locate a particular add-in on your hard disk or a network drive, you can install it. After you install an add-in, you must use the Add-Ins command on the Tools menu to load the add-in into Excel.

Notes

  • Not all optional components are add-ins. Learn about components you can install with Excel.

  • You can use Microsoft Query without installing an add-in. How to install Microsoft Query.

  • The Web Form Wizard provided with Excel 97 is now available from the Microsoft Web site. Other add-ins are made available on the Web from time to time. How to obtain add-in programs from Microsoft on the Web.

  • The File Conversion Wizard provided with Excel 97 is not available for Excel 2000. Instead, you can use the Office File Conversion Wizard, available in the Microsoft Office 2000 Resource Kit, to convert groups of files to Excel 2000 format. How to obtain the Microsoft Office 2000 Resource Kit.
Add-in | Description
AccessLinks | Creates Microsoft Access forms and reports to use with Excel data, and imports Excel data into Access. You must have Access 2000 installed on your system to be able to use the AccessLinks add-in.
Analysis ToolPak | Adds financial, statistical, and engineering analysis tools and functions.
AutoSave Add-in | Saves workbooks automatically at specified intervals as you work.
Conditional Sum Wizard | Creates a formula that sums data in a list if the data matches criteria you specify.
Euro Currency Tools | Formats values as euros, and provides the EUROCONVERT worksheet function to convert currencies.
Lookup Wizard | Creates a formula to look up data in a list by using another known value in the list.
ODBC Add-In | Uses ODBC functions to connect to external data sources by using installed ODBC drivers.
Report Manager | Creates reports that contain different print areas within the workbook, custom views of the workbook, and scenarios.
Solver Add-In | Calculates solutions to what-if scenarios based on adjustable cells and constraint cells.
MS Query Add-In for MS Excel 5.0 | Converts external data ranges in Microsoft Excel 97 and Microsoft Excel 2000 format to Microsoft Excel version 5.0/95 format; allows use of macros created in Visual Basic for Applications in previous versions of Excel.
Template Utilities | Provides utilities used by the built-in templates in Excel. These utilities are accessed automatically when you use a built-in template.
Template Wizard | Creates templates that record worksheet entries in a database for tracking and analysis.
Update Add-In Links | Updates links to Excel version 4.0 add-ins to directly access the built-in functionality in Excel versions 5.0 and 7.0, Excel 97, and Excel 2000.
Internet Assistant VBA | Allows developers to publish Excel data to the Web by using Excel 97 Internet Assistant syntax.


What is my Registration ID?

After Microsoft receives and verifies your registration information, a Registration ID will be returned to you by the same method you used to register (unless you registered through the Internet, in which case you don't need a Registration ID). The next time you start Microsoft Excel or another Microsoft Office program, you'll be prompted to enter your Registration ID to complete the registration process. If you don't receive your Registration ID by the time you start Excel or Office again, you'll have the option of completing the registration process by telephone.


I can't register Microsoft Excel or Microsoft Office

You might have chosen not to register In some countries, registration is not required. If you are not required to register, the first time you start Excel or another Office program, you have the opportunity to fill in an electronic registration form and return it to Microsoft by using your Internet or e-mail connection. If you don't have an Internet or e-mail connection, you can print the form and then mail or fax it to Microsoft. You can also register by telephone by following the instructions in the Office Registration Wizard. The first time you start Excel or another Office program is your only opportunity to fill in the electronic registration form. If you chose not to register at that time, the only other method available for you to register is through the Microsoft Office Update Web site.

You might not have an Internet or e-mail account set up on your computer To return the registration form back to Microsoft electronically, you must have a modem and an Internet or e-mail account. You can get an account through an Internet service provider or through your corporate network. If you don't have an Internet or e-mail connection, you can print the form and then mail or fax it to Microsoft. You can also register by telephone by following the instructions in the Office Registration Wizard. If you live in a region where registration is not required and you choose not to register when you first start Excel or another Office program, the only other method available for you to register is through the Microsoft Office Update Web site.

The network might be busy Check your network connection and try to return the registration form later, when there's less network activity. You can also print the form and then mail or fax it to Microsoft. Or you can register by telephone by following the instructions in the Office Registration Wizard. If you live in a region where registration is not required and you choose not to register when you first start Excel or another Office program, the only other method available for you to register is through the Microsoft Office Update Web site.


I installed an Office program, but can't find it.

The Office program isn't listed on the Programs menu In the current version of Microsoft Office, some programs are located on the Office Tools submenu (Windows Start menu, Programs command). If you still can't find it, you can detect and repair problems, and restore the Office shortcuts.


About language-specific information

Language-specific Help topics apply only if the language-specific feature is available. Learn about working in another language or installing the proofing tools for another language, or see your system administrator.


The phonetic guide function

Language-specific information

Add phonetic guides You can add phonetic guides to Japanese data that has been entered in a cell. The phonetic character string that was used to enter the Japanese data is used to apply phonetic guides. To display the phonetic guides on the screen, point to Phonetic Guide on the Format menu, and then click Show or Hide.

Modify phonetic guides If the displayed phonetic guides are incorrect, you can revise them. Select the cell that shows the incorrect phonetic guides. On the Format menu, point to Phonetic Guide, and then click Edit. You can now change the phonetic guides by using the same method you use to enter a character string.

Change phonetic guide formats You can change the type, alignment, and font of phonetic guides. The three types of phonetic guides available are hiragana, full-width katakana, and half-width katakana. Their default alignment is left alignment (that is, placed along the left edge of the kanji to which the phonetic guides apply). You can change the alignment to no alignment (all phonetic guides are combined and aligned along the left edge of the cell), center alignment (centered against the kanji to which the guides apply), or distributed alignment (set with equal spacing against both edges of the kanji to which the guides apply). To change the type, alignment, or font of phonetic guides, point to Phonetic Guide on the Format menu, and then click Settings.

Sort data by using phonetic guides When worksheet data is sorted, Japanese data is sorted by its phonetic guides by default. If the correct phonetic guides have been used, Japanese terms are sorted in the same order as they would occur in a Japanese dictionary. If the phonetic guides are not entered correctly, make the necessary corrections.


Show or hide phonetic guides

Language-specific information

In Microsoft Excel, you can use this procedure to display or hide phonetic guides. When you display phonetic guides in the Japanese version of Microsoft Excel and enter kanji (Chinese characters that are used in the Japanese language), Excel automatically adds the phonetic symbols to the guides. When you display phonetic guides in non-Japanese versions of Excel, phonetic symbols are not added automatically when you enter kanji in cells. You can add the phonetic symbols manually by modifying the phonetic guides.

  1. Select the cells whose phonetic guides you want to show or hide.

  2. On the Format menu, point to Phonetic Guide, and then click Show or Hide.

    When phonetic guides are displayed, the button next to Show or Hide is pressed in.

Note Excel automatically adds phonetic symbols only to new data entered in the Japanese version of Excel. If you open files that were created in earlier versions of Excel or in other programs, phonetic symbols are not generated automatically.


Modify phonetic guides

Language-specific information

  1. Double-click the cell that contains the phonetic guides you want to modify, and then click the phonetic guides.

  2. Modify the phonetic guides.

  3. Do one of the following:

    To confirm the modified phonetic guides, press ENTER twice.

    To cancel the changes, press ESC twice.

Combine phonetic guides

Select the target parent character string, and then click Phonetic Guide on the Format menu. For example, the phonetic guides for Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku would normally be split into toukyouto toukyouto toukyouto toukyouto toukyouto toukyouto and shibuyaku shibuyaku shibuyaku shibuyaku. To combine these into one string of toukyoutoshibuyaku toukyoutoshibuyaku [image] toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyouto shibuyaku, use the mouse to select the Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku parent string within the cell, point to Phonetic Guide on the Format menu, and then click Edit.

Divide phonetic guides

Select the target parent character string whose phonetic guides you want to change. On the Format menu, point to Phonetic Guide, and then click Edit. The existing (combined) phonetic guides will be set as the phonetic guides for the selected character string only, so they cannot be applied to any other character string. For example, the parent character string Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku has a combined phonetic guide of toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku. Divide these into Tokyo to Tokyo to Tokyo to and Shibuya ku Shibuya ku Shibuya ku. If you select Tokyo to Tokyo to Tokyo to and then point to Phonetic Guide and click Edit, the phonetic guide toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku will be applied to Tokyo to Tokyo to Tokyo to and no phonetic guides will be applied to Shibuya ku Shibuya ku Shibuya ku. In this case, modify the phonetic guides for Tokyo to Tokyo to Tokyo to, and then add new phonetic guides to Shibuya ku Shibuya ku Shibuya ku.

Tip To use the keyboard to move the pointer to the phonetic guides, press ALT+SHIFT+UP ARROW. To return to the parent string that the phonetic guides apply to, press ALT+SHIFT+DOWN ARROW. The color of the parent character string changes while the phonetic guides are being modified.


Change phonetic guide font or type

Language-specific information

You can change the font of phonetic guides. You can also choose between three types of phonetic guides: full-width katakana, half-width katakana, and hiragana.

  1. Select the cells that contain the phonetic guides whose font or type you want to change.

  2. On the Format menu, point to Phonetic Guide, and then click Setting.

    The Phonetic Properties dialog box appears.

  3. To change the font, click the Font tab, and then click the font you want in the Font box. To change the font size, click the size you want in the Size box.

  4. To change the phonetic guide type, click the Setting tab, and then click the phonetic guide type you want under Type.

Tip You can apply formatting (such as bold or italic formatting), colors, underlining, or character effects to phonetic guides on the Font tab.


Hangul/English IntelliSwitchingAbout the Correct Keyboard Setting feature

About the Correct Keyboard Setting feature

Language-specific information

Correct Keyboard Setting is a feature that automatically corrects words that are entered in English mode but were meant to be entered in Hangul mode, and vice versa. For example, if you enter eogksalsrnr in English mode, it is corrected to tae han min kuk; and if you enter yo u ya p d gya nya syo in Hangul mode, it is corrected to university.

Correct Keyboard Setting also automatically corrects English words that have a Hangul ending and are entered in English mode. For example, if you enter optiondmf in English mode, it is automatically corrected to option ul.

Correct Keyboard Setting works even when Hangul and English are mixed. For example, if you enter rntjddnjs ppyo mi ya syo, it is automatically corrected to ku song won quality.


Turn on Hangul/English IntelliswitchingAutomatically correct words that are entered in English to Hangul and vice versa

Automatically correct words that are entered in English to Hangul and vice versa

Language-specific information

  1. On the Tools menu, click AutoCorrect.

  2. On the AutoCorrect tab, select the Correct Keyboard Setting check box.


Set phonetic guide alignment

Language-specific information

You can set the alignment of phonetic guides to no alignment (which applies phonetic guides to every character), left alignment, center alignment, or distributed alignment. The default setting is left alignment.

  1. Select the cells that contain the phonetic guides whose alignment you want to change.

  2. On the Format menu, point to Phonetic Guide, and then click Setting.

  3. Under Alignment, click the alignment you want to apply.


Reconvert a determined character string

Language-specific information

Microsoft Excel allows you to reconvert a character string that has already been input and converted.

  1. Select the cell that contains the character string you want to reconvert, click within that character string (the target of the reconversion), and then double-click.

    The highlighted string becomes the target range for the reconversion.

  2. Right-click the cell, and then click Reconversion on the shortcut menu.

    A list of conversion options appears.

  3. Click the desired kanji, and press ENTER twice.

Note Some Japanese Input Method Editors might not be able to perform reconversions.


 About right-to-left language features

About right-to-left language features

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

When languages such as Arabic, Farsi, Hebrew, or Urdu are enabled for editing, you have several features available to you to make working in a right-to-left or bidirectional environment easier.

More information

Learn about right-to-left features compatibility

Switch between Gregorian and Hijri calendars

Learn about bidirectional fonts

Learn about checking the spelling of bidirectional text

Choose a worksheet direction

Use right-to-left features in a worksheet

Change the default for a right-to-left feature

Enter right-to-left data in worksheets

Import and export right-to-left worksheets in text formats

Use right-to-left charts and maps

Use right-to-left features in Excel Web pages


 About right-to-left features compatibility

About right-to-left features compatibility

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

Excel 2000 provides full forward compatibility for workbooks that were saved in all previous versions of Microsoft Excel and Microsoft Excel with right-to-left support; however, workbooks that are saved in Excel 2000 file format are not compatible with any previous versions of Microsoft Excel.


 About bidirectional fonts

About bidirectional fonts

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

Any version of Excel with right-to-left support is designed to display and print both right-to-left and left-to-right text. To do this, the program should use a font that contains both right-to-left and left-to-right language characters. Most fonts available with bidirectional Microsoft Windows operating systems contain both right-to-left and left-to-right characters. If you choose a font that does not contain both right-to-left and left-to-right characters, existing text in one or both languages may be displayed incorrectly using the default secondary font, Tahoma. To correct this problem, choose a different font.

More information

Change the size, font, color, or other text format

Set the font for a Web page

Change the font and size of text in a chart


Display a map of the Middle East region

Language-specific information

  1. Create a map of the world by using the World Countries and Regions map.

  2. On the Map toolbar, zoom and pan to your desired location.


 Choose a worksheet direction

Choose a worksheet direction

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

Even though a workbook has a certain direction, you can display its individual worksheets in either a right-to-left or left-to-right view.

Unlike workbooks, in which the change is not apparent until a new workbook is created, worksheets display the direction change immediately.

When you switch worksheet directions, Excel with right-to-left features simply reorients the data from left-to-right or right-to-left. All underlying formulas and values remain intact. Cells with the General alignment attribute will left align left-to-right text and right align right-to-left text, regardless of worksheet direction.

What do you want to do?

Change the direction of the current worksheet

Set the direction for new worksheets and charts

Learn about differences between right-to-left and left-to-right worksheets


 About differences between right-to-left and left-to-right worksheets

About differences between right-to-left and left-to-right worksheets

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

Some specific differences you will notice in a right-to-left worksheet compared to a left-to-right worksheet are:

Visual differences

  • Cell A1 appears in the upper-right corner of the worksheet. Column letters progress from A on the right to IV on the left.

  • Row numbers appear on the right side of the document window, and the vertical scroll bar appears on the left side.

  • The fill handle appears in the lower-left corner of the cell.

  • Cell note indicators appear in the upper-left corner of the cell.

  • In Outline view, outline buttons and document symbols appear at the right side of the worksheet.

  • The horizontal split box appears at the left side of the spreadsheet, above the vertical scroll bar. The vertical split box appears next to the right horizontal scroll arrow.

Functional differences

  • Ranges are referred to by the cell in the upper-right corner of the range to the cell in the lower-left corner.

  • The AutoSum tool looks up and to the right for cells to total.

  • AutoFormat formats row headings in a selected range on the right side of a table. Totals appear at the bottom and left sides of the selected range.

  • You can enter button labels, text box entries, and cell notes by using right-to-left, left-to-right, or bidirectional text.


Change the direction of the current worksheet

Language-specific information

  • Do one of the following:

    Click the Sheet Right-To-Left [image] or Sheet Left-To-Right [image] button.

    On the Tools menu, click Options, click the View tab, and select or clear the Right to Left check box.


 Set the direction for new worksheets and charts

Set the direction for new worksheets and charts

Language-specific information

  1. Click Options on the Tools menu, and then click the Right-To-Left tab.

  2. Do one of the following in the Default Orientation option group:

    Click Left-To-Right to have new objects displayed in a direction familiar to left-to-right users.

    Click Right-To-Left to have new objects displayed in a direction familiar to right-to-left users.


 Change the direction of a chart

Change the direction of a chart

Language-specific information

When right-to-left editing is enabled in Microsoft Excel, and the default orientation for new charts is right-to-left, charts are automatically configured with a right-to-left view. This means that the horizontal (category) axis origin and the vertical (value) axis appear to the right side of the chart, and the chart legend appears to the left of the chart.

You can manually move chart objects to a position that supports the direction you are trying to achieve — for example, to change a left-to-right chart to a right-to-left chart:

  1. Click the horizontal (category) axis to select it, then right-click the axis and click Format Axis on the shortcut menu.

  2. Click the Scale tab and select the Categories In Reverse Order option. The horizontal (category) axis origin and the vertical (value) axis appear at the right side of the chart.

  3. Click the legend border to select it, then right-click the border and click Format Legend on the shortcut menu.

  4. Click the Placement tab and select Left in the Placement group. The chart legend will appear to the left of the chart.


 Change the default for a right-to-left feature

Change the default for a right-to-left feature

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

You can set the default behavior for several right-to-left features.

What do you want to do?

Set the direction for new worksheets and charts

Set insertion point behavior

Display or hide control characters


 Set insertion point behavior

Set insertion point behavior

Language-specific information

  1. Click Options on the Tools menu, and then click the Right-to-Left tab.

  2. Do one of the following in the Cursor Movement option group:

    Click Logical to have insertion point movement that moves in the logical order of bidirectional text.

    Click Visual to have insertion point movement that ignores text language and moves contiguously to the right or left.


 Display or hide control characters

Display or hide control characters

Language-specific information

  1. Click Options on the Tools menu, and then click the Right-to-Left tab.

  2. Select or clear the Show control characters check box.


 Set the reading order for cells

Set the reading order for cells

Language-specific information

  1. Click the down arrow next to the Paragraph [image] button.

  2. Do one of the following:

    For right-to-left reading order, click Right-to-Left.

    For left-to-right reading order, click Left-to-Right.

    For reading order that is consistent with the language of the first entered character, click Context.

Note You can also set reading order on the Format menu by clicking Cells and then clicking the Alignment tab.


 Switch between Gregorian and Hijri calendars

Switch between Gregorian and Hijri calendars

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

  1. On the Format menu, click Cells, and then click the Number tab.

  2. Select Custom from the list of number categories.

  3. Select a number format code as a starting point for your date format.

  4. Do one of the following:

    To display dates using the Gregorian calendar, regardless of the Regional Settings control panel setting, type B1 before the date code — for example, B1dd/mm/yy.

    When Arabic editing is enabled, to display dates using the Hijri calendar, regardless of the Regional Settings control panel setting, type B2 before the date code — for example, B2dd/mm/yy.


 Use right-to-left charts and maps

Use right-to-left charts and maps

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

What do you want to do?

Change the direction of a chart

Display a map of the Middle East region


 Use right-to-left features in a worksheet

Use right-to-left features in a worksheet

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

Here are some examples of using right-to-left features.

What do you want to do?

Create a repeating series on a right-to-left worksheet

Resize a column on a right-to-left worksheet

Set a column to Best Fit on a right-to-left worksheet

Change paragraph direction by using shortcut keys


 Enter right-to-left data in worksheets

Enter right-to-left data in worksheets

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

  • General is the default alignment, regardless of worksheet direction.

  • When entering right-to-left text in a worksheet, characters will appear from the right side of the Formula bar and move to the left.

  • In addition to entering right-to-left, left-to-right, or bidirectional text in a cell, you can also change the reading order and alignment of cell text.

What do you want to do?

Set the reading order for cells

Switch between entering right-to-left and left-to-right text in a cell

Learn about entering formulas containing right-to-left text in worksheets

Learn about printing and previewing data on right-to-left worksheets


Resize a column of a right-to-left worksheet

Language-specific information

  • Drag the left column border in the column header.


Set a column to Best Fit on a right-to-left worksheet

Language-specific information

  • Double-click the left column border in the column header.


 Switch between entering right-to-left and left-to-right text in a cell

Switch between entering right-to-left and left-to-right text in a cell

Language-specific information

  • Click the Language [image] icon on the taskbar, then choose the desired keyboard language.

    The text insertion pointer will change to indicate the direction of the selected language; text can be entered in the chosen language.

Note Text is displayed in the default font, Arial, unless another font is chosen. You can override the default font for the selected cell (or range) by using the Cells command (Format menu). Click the Font tab, select the appropriate font, and click OK.


 Enter formulas containing right-to-left text in worksheets

Enter formulas containing right-to-left text in worksheets

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

Understanding formula entry in Excel with right-to-left features is slightly more complex than understanding text entry, especially because you have the ability to enter both right-to-left and left-to-right text in formulas. Here are a few pointers to help you:

  • Formulas appear left aligned in the Formula bar and cells, with left-to-right reading order, for both right-to-left and left-to-right worksheets.

  • Formula function names are always left-to-right, although the arguments can contain bidirectional text.

  • The reading order and alignment of formula results depend on the reading order and alignment chosen for that cell. The default settings for reading order and alignment are Context and General, respectively.


 Create a repeating series on a right-to-left worksheet

Create a repeating series on a right-to-left worksheet

Language-specific information

  • Do one of the following:

    Drag the fill handle down or to the left to create a progressive series.

    Drag the fill handle to the right to create a regressive series.

Note When you use the fill handle to create a date series, dates will appear as Gregorian or Hijri. Hijri date calculations, however, only support days; they do not support month and year calculations.


 About checking the spelling of bidirectional text

About checking the spelling of bidirectional text

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

You can check the spelling of both your English and right-to-left text in cells. Simply choose a dictionary whose language corresponds to the text used.

Notes

  • You must install a version of Microsoft Excel that includes a right-to-left language dictionary to be able to check spelling of right-to-left text.

  • When checking text with a right-to-left language dictionary, English words are ignored and not flagged as misspelled. Similarly, when checking text with an English dictionary, right-to-left language words are ignored and not flagged as misspelled.

  • To change dictionaries, deliberately misspell a word so that the Spelling dialog box will open; otherwise, you are just informed that you have no misspelled words.

More information

Check the spelling of text in another language

Learn about checking spelling and correcting errors as you type


 About printing and previewing data on right-to-left worksheets

About printing and previewing data on right-to-left worksheets

Language-specific information

The tabs within the Page Setup dialog box provide right-to-left characteristics that give you a true representation of your data.

Margins

The page layout sample in the center of the tab reflects the current worksheet direction setting.

The sample worksheet displayed on the Margins tab shows the direction of the first worksheet in the workbook. There might be worksheets with both right-to-left and left-to-right directions in the same workbook.

Worksheet

Worksheets that are too large to print on a single page are printed according to an order established by the direction of the current worksheet. Right-to-left worksheets print down or across, starting in the upper-right corner of the worksheet. The following example shows the page numbering and printing order for a worksheet that is three pages wide and requires six pages to print.

Worksheet direction | Multiple-page printing order
Left-to-right | Left-to-right printing order
Right-to-left | Right-to-left printing order

Print Preview

The Print Preview button displays a right-to-left or left-to-right page direction, depending on the direction of the current worksheet.


 Use right-to-left features in Excel Web pages

Use right-to-left features in Excel Web pages

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

What do you want to do?

Learn about right-to-left features in Web pages

Set the direction for new worksheets and charts

Specify the direction of a Web page

Specify the direction of a control on a Web page


 About right-to-left features on Web pages

About right-to-left features on Web pages

Language-specific information

Right-to-left features on Web pages are set according to a two-level hierarchy: page level and control level.

Page level

A Web page that's published from Microsoft Excel will have the same display direction, either left-to-right or right-to-left, as the corresponding Microsoft Excel worksheet it was created from. That direction appears as a setting of the Dir property of the Web page.

Notes

  • Web page direction is included in the underlying HTML code of the Web page through the use of the standard HTML Direction (DIR) attribute. For example, the code <HTML DIR=RTL>, placed at the beginning of the <HTML> element, identifies a right-to-left Web page.

  • Controls that are placed on a Web page inherit the directionality of the Web page itself, depending on whether the control has right-to-left features. Controls without right-to-left features appear in a left-to-right direction.

Control level

Controls with right-to-left features initially appear on a Web page according to the direction of the Web page. After you place a control on a Web page, you may be able to change the control display direction to give it right-to-left appearance and functionality. The property name that controls the display direction varies with the control type. The properties in the following table control directionality for Web page controls.

Control type Description
Microsoft Office Web Component controls The Office Web Component controls are the spreadsheet, the chart, and the PivotTable list.

For the spreadsheet and PivotTable list, set or change in a design program, such as Microsoft FrontPage 2000 or Microsoft Access data access page Design view, by using the Advanced section of the property toolbox for the control. No setting is available for the chart.

The direction setting property is RightToLeft.

Note Office Web Component controls each have a property toolbox that can be used both while designing the control and working with it in the browser; however, the right-to-left setting can't be changed in the browser.
Intrinsic browser controls Examples of intrinsic browser controls include Table, Label, TextBox, ComboBox, ListBox, OptionGroup, and ScrollingText.

Set or change the direction by using an HTML editor, such as the Microsoft Script Editor, that exposes control properties in a properties window.

The direction setting property is typically Dir.
ActiveX controls These are other controls that are available with Microsoft Office 2000 programs or Microsoft Visual Basic.

Set or change the direction by using an HTML editor, such as the Microsoft Access 2000 data access page Design view or the Microsoft Script Editor, to add controls and expose control properties in a properties window.

The direction setting property is typically RightToLeft.


 Specify the direction of a Web page

Specify the direction of a Web page

Language-specific information

  • Do one of the following:

    Before publishing a new Web page, set the direction of the worksheet to match the desired direction of the Web page. A new Web page will automatically assume the direction of the worksheet on which it is based.

    For a published Web page that is running in a browser, do one of the following:

    • Edit the HTML source directly as text. Click HTML Source on the View menu, and then modify the <HTML> element to <HTML DIR=RTL> for a right-to-left page direction, or to <HTML DIR=LTR> for a left-to-right page direction.

    • Use an HTML editor that exposes document properties in a properties window — such as the Microsoft Script Editor — to change the Dir property setting (LTR or RTL) of the Web page at the beginning of the <HTML> element. Click Properties [image], click the perimeter of the Web page until the document properties are displayed, click the All tab if available, and then change the Dir property setting to the Web page direction you want: either RTL or LTR.


 Specify the direction of a control on a Web page

Specify the direction of a control on a Web page

Language-specific information

  • Do one of the following:

    Before publishing a new Web page, set the direction of the worksheet to match the desired direction of the control. A new control will automatically assume the direction of the worksheet on which it is based.

    For a published Web page, do one of the following:

    • For the Microsoft Office Web Component controls You cannot set the direction of the control in the browser. Open the Web page in a design program such as Microsoft FrontPage 2000 or Microsoft Access data access page Design view, activate the control, click Property Toolbox [image] on the control’s toolbar, and expand the Advanced section.

      For a PivotTable list control, select or clear the Display right to left check box.

      For a spreadsheet control, click True or False in the Display right to left list.

      No direction control settings are available for a chart control.

      For information about activating the controls, see Help in the design program. For information about displaying the toolbar and using the property toolbox, see Help in the control when it's activated in the design program.

    • For intrinsic browser controls For controls that are used when publishing static Web pages (that is, pages without interactivity), edit the HTML source code directly as text, or use an HTML editor, such as the Microsoft Script Editor, to expose control properties in a properties window and change the Dir property setting (LTR or RTL) of the control.

    • For an ActiveX control that is added separately Edit the HTML source directly as text, or use an HTML editor — such as the Microsoft Access 2000 data access page Design view or the Microsoft Script Editor — to expose control properties in a properties window and change the RightToLeft property setting, or equivalent (typically True or False).


 About code page and text layout support for right-to-left HTML Web page files

About code page and text layout support for right-to-left HTML Web page files

Language-specific information

Microsoft Excel supports several code pages used in importing, saving, and exporting HTML Web pages that contain right-to-left text.

Language | Code page
Arabic | UTF-8 (default) ISO-8859-6 DOS-720 ASMO-708
Hebrew | UTF-8 (default) ISO-8859-8 DOS-862

Note Microsoft Excel supports editing and saving of HTML Web page files in logical text layout. HTML Web page files stored in visual text layout can be viewed, but not edited or saved, in logical text layout.

More information

Preview Excel data as a Web page

I can’t export my Web page to Excel

Cells are missing when I publish or save as a Web page


 Import and export right-to-left worksheets in text formats

Import and export right-to-left worksheets in text formats

Language-specific information

To enable the right-to-left features in Microsoft Excel, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95.

Excel stores all characters as Unicode code page values in logical text layout, but can import and export worksheets saved as text files if these files contain right-to-left text stored in the appropriate Windows code page and logical text layout. For example, a text file containing Arabic text must be stored in the Arabic Windows code page 1256 to be successfully imported by Excel.

To create text files that are recognized by Excel, use ConvText, a stand-alone text-file conversion utility included with Excel. ConvText provides both logical and visual text layout options and an extensive list of supported bidirectional code pages to create a new file in a recognizable text format. Subsequently, choose Windows (ANSI) as the file origin setting in the Text Import Wizard when importing an appropriately formatted text file.

Note A worksheet in Lotus or Quattro Pro format that requires code page and/or text layout conversion can still be imported into Excel by saving the worksheet in text file format prior to importing it. The ability to save a worksheet in text file format is a standard feature of most database or spreadsheet products. ConvText can then be used to create a recognizable text file. When Excel imports the text file, data from the original worksheet will be fully recreated in a new Excel worksheet.

What do you want to do?

Convert bidirectional text files to ANSI

Convert bidirectional text files from ANSI

Learn about code page and text layout support for right-to-left HTML Web page files


 Convert bidirectional text files to ANSI

Convert bidirectional text files to ANSI

Language-specific information

The ConvText utility provides more support (additional code pages and visual text layout options) than the Microsoft Excel Text Import Wizard for converting right-to-left characters in bidirectional files to ANSI characters with logical text layout. ConvText is installed as part of Excel.

  1. In the \Program Files\Microsoft Office\Office folder, double-click the ConvText.exe icon.

  2. Click Convert To Windows ANSI Code Page.

  3. Type file names in the Source and Target boxes, or click Browse.

  4. Select the code page, text layout, file type, and file type parameters that match the source text file you are converting.

  5. Click Load. You can also click Save to retain the conversion specifications.

  6. Click Convert.

  7. Follow the instructions in the Text Import Wizard.

All field names and records from the original worksheet are fully recreated in a new worksheet.


 Convert bidirectional text files from ANSI

Convert bidirectional text files from ANSI

Language-specific information

The ConvText utility provides more support (additional code pages and visual text layout options) than the Microsoft Excel Save As command (File menu) for converting from ANSI characters with logical text layout to other bidirectional file formats. ConvText is installed as part of Microsoft Excel.

  1. Save a copy of the worksheet you want to convert to a non-ANSI code page.

  2. In the \Program Files\Microsoft Office\Office folder, double-click the ConvText.exe icon.

  3. Click Convert From Windows ANSI Code Page.

  4. Type file names in the Source and Target boxes, or click Browse.

  5. Select the code page, text layout, file type, and file type parameters that match the target text file you are converting to.

  6. Click Load. You can also click Save to retain the conversion specifications.

  7. Click Convert.


Entering, displaying, and printing the euro sign

Euro sign support Excel 2000 provides full support for displaying, entering, and printing the euro sign Euro currency symbol and for working with values in euro currency. However, if you use Microsoft Windows 95 or Microsoft Windows NT 4.0 with Service Pack 3 or earlier, you might need to install the euro product update.

Euro Currency Tools add-in program Additional euro support, including the EUROCONVERT function to convert between the euro and the national currencies of the European Union (EU) members that have adopted the euro, are available in the Euro Currency Tools add-in. To load the add-in, click Add-Ins on the Excel Tools menu, and then select the Euro Currency Tools check box. If this check box is missing, you must install the add-in program before you can load it.

Formatting values in the euro currency format To apply the euro currency format to values in your worksheet, first select the values you want to format. On the Format menu, click Cells, and then click the Number tab. In the Category list, click Currency, and then click the euro currency format you want to use in the Symbol list.

Typing the euro currency symbol To enter the euro currency symbol, use the following keys:

Press | On these keyboard layouts
ALT+0128 (numeric keypad, NUM LOCK must be on) | Arabic, Hebrew, Turkish, United States 101
ALT+0136 (numeric keypad, NUM LOCK must be on) | Cyrillic
AltGr+E | Belgian, Belgian Dutch 120, Croatian, Czech, Czech 101, Czech Programmer's, Danish, Dutch KBD143, Estonian, Faroese, Finnish, French, German (IBM), German (Standard), Icelandic, Italian, Italian 142, Latvian, Lithuanian, Lithuanian (New), Macedonian (Cyrillic), Norwegian, Portuguese-KBD163, Serbian (Cyrillic), Serbian (Latin), Slovak, Slovak-QWERTY, Slovenian, Spanish, Swedish, Swiss French, Swiss German, Turkish F 440, Turkish Q 179
AltGr+ epsilon | Greek
AltGr+4 | Irish, Latvian-QWERTY, United Kingdom
AltGr+5 | Greek Latin U.S.-International
AltGr+U | Hungarian, Hungarian 101, Polish, Polish Programmer's

Displaying values with the euro sign The fonts that can display the euro sign are as follows. For Microsoft Windows 95 and Microsoft Windows NT Workstation 4.0 with Service Pack 3 or earlier, you may need to install the euro product update.

Operating system | Fonts
Microsoft Windows 95 with the euro product update | Arial Black, Arial, Comic Sans (regular and bold), Courier New, Impact, MS Sans Serif, Tahoma (regular and bold), Times New Roman, Verdana
Microsoft Windows 98 | Arial, Courier New, Tahoma (regular and bold), Times New Roman
Microsoft Windows NT 4.0 with Service Pack 3 or earlier and the euro product update | Arial, Courier New, Times New Roman
Microsoft Windows NT 4.0 with Service Pack 4 | Arial, Courier New, Lucida Console, Lucida Sans Unicode, Times New Roman

Note For Excel 2000 to properly recognize a currency symbol when you type it (not when you apply it as a format), you must select the currency symbol and also define its layout on the Currency tab in Regional Settings (Regional Options in Microsoft Windows 2000) in Windows Control Panel. The exception to this rule is the euro sign, which Excel always recognizes.

Printing values with the euro sign If your printer does not have the euro sign in its resident fonts, a box will be printed instead of the euro sign. Contact your printer vendor to find out how to update your printer fonts to include the euro sign. You can also adjust your printer setup to not use resident fonts. Look for an option similar to Print fonts as graphics in your printer setup properties.


 Add or remove a currency symbol

Add or remove a currency symbol

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Currency.

  4. In the Symbol list, do one of the following:

    To add a currency symbol, select the one you want.

    To remove a currency symbol, click None.

Notes

  • To quickly add the default currency symbol, select the cells you want to format, and then click Currency Style [image] on the Formatting toolbar.

  • To quickly insert the euro currency symbol Euro currency symbol, you can use a keyboard shortcut.

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.


 Create a new workbook

Create a new workbook

  1. On the File menu, click New.

  2. To create a new, blank workbook, click the General tab, and then double-click the Workbook icon.

    To create a workbook based on a template, click the Spreadsheet Solutions tab or the tab listing your custom templates, and then double-click the template for the type of workbook you want to create.

    Note If you don't see the template you want in the New dialog box, make sure the template is installed and located in the correct folder. For more information, click [image] .

    Tip To create a new workbook based on the default workbook template, click New [image] .


Create a form

You can create forms to collect data from Web and e-mail users.

What do you want to do?

Create an on-screen or printed form

Create a form to enter data in a list

Create a form template that copies worksheet data to a database

Not sure which choice you want?


Set the default working folder in the Open and Save As dialog boxes

What do you want to do?

Change the default working folder for Office

Change the default working folder only for Microsoft Excel

Not sure which choice you want?


View or save files from other programs

What do you want to do?

Open a file from another program, and save it as a Microsoft Excel workbook

Save a Microsoft Excel workbook for use in another program

Learn which features are lost if a file is saved in a different file format

Open an entire text file in Microsoft Excel

Separate text across cells

Open a workbook

Not sure which choice you want?


Open a workbook

What do you want to do?

Opening files

Open a workbook that's stored on your hard disk or a network drive

Open a workbook that's stored on your intranet or the World Wide Web

Open a workbook on a Web server

Open a file that was created in another program

Methods for opening workbooks and HTML files

Open a workbook as a copy

Open a workbook as read-only

Open an HTML file in your browser by using Microsoft Excel

Open several workbooks at once

Save and open a group of workbooks in a customized workspace

Opening files from the Web toolbar

Open your Web start page

Open your Web search page

Not sure which choice you want?


 Open several workbooks at once

Open several workbooks at once

  1. Click Open [image] .

  2. In the Look in box, click the drive, folder, or FTP location that contains the workbooks.

  3. In the folder list, double-click folders until you open the folder that contains the workbooks you want.

    If you can't find the workbook in the folder list, you can search for it.

    How?

  4. To select nonadjacent files in a single folder, click the name of one file. Hold down CTRL and click the name of each additional file.

    To select adjacent files, click the name of the first file in the sequence. Hold down SHIFT and click the name of the last file.

  5. Click Open.

Tip If you accidentally select a file you don't want, hold down CTRL and click the file name again.


 Open a workbook as read-only

Open a workbook as read-only

  1. Click Open [image] .

  2. In the Look in list, click the drive, folder, or FTP location that contains the workbook you want to open, and then locate and double-click the folder that contains the workbook.

    If you can't find the workbook, you can search for it.

    How?

  3. Click the workbook you want to open as read-only.

  4. Click the arrow next to the Open button, and then click Open Read-Only.

Tips

  • To save changes to a read-only file, use the Save As command on the File menu to save it with a new name.

  • You can't open a folder or a shortcut to a workbook as read-only.


 Open a workbook automatically when you start Excel

Open a workbook automatically when you start Excel

  1. In Windows Explorer, move the icon of the workbook you want to open to an XLStart folder.

    Or, to keep the workbook in its current location, use the Create Shortcut command on the File menu to create a shortcut to the workbook, and then move the shortcut to an XLStart folder.

  2. Restart Microsoft Excel.

Tip To open a group of related workbooks when you start Excel, save the workbooks in a workspace file, and then place the workspace file in an XLStart folder


 Open a backup copy of a workbook

Open a backup copy of a workbook

To recover the previous saved version of a workbook after a power failure or other problem occurs, you must have previously selected the Always create backup check box in the Save Options dialog box (File menu, Save As command, Tools menu, General Options command), and you must have saved the workbook more than once.

  1. Click Open [image] .

  2. In the Files of type list, click Backup Files.

  3. In the Look in list, locate the folder that contains the workbook.

  4. Click the backup copy.

  5. Click Open.


View all file types and file name extensions

  1. In My Computer or Windows Explorer, open the folder you want to view files in.

  2. On the View menu, click Options (or Folder Options in Microsoft Windows 2000), and then click the View tab.

  3. Do one of the following:

    To see all file types, click Show all files under Hidden files.

    To see all file name extensions, clear the Hide MS-DOS file extensions for file types that are registered check box.


 Add a shortcut to the Favorites folder

Add a shortcut to the Favorites folder

  1. Click Open [image] .

  2. In the Look in list, click the drive that contains the file or folder you want to create a shortcut for, and then locate and double-click the folder that contains the file or folder.

  3. Click the file or folder you want to add a shortcut for.

  4. On the Tools menu, click Add to Favorites.

Tip To open a favorite file or folder, click Favorites [image] on the Places Bar, and then double-click the shortcut to the file or folder you want.


 Connect to a network drive

Connect to a network drive

  1. Click Open [image] .

  2. On the Tools menu, click Map Network Drive.

  3. In the Drive list, click the drive letter you want.

  4. In the Path box, enter the path of the folder you want to connect to.

Tip To automatically connect to this network drive the next time you start Windows, select the Reconnect at logon check box.


Give others access to workbooks on my hard disk

For information about how to give others access to workbooks on your hard disk with Windows NT Workstation 3.51, see your Windows NT Workstation documentation.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Network icon [image].

  3. On the Configuration tab, click File and Print Sharing.

  4. Select the I want to be able to give others access to my files check box, and then click OK twice.

  5. Double-click the My Computer icon on the Windows desktop, and then move or copy the workbook you want to share to an empty folder or to a folder that contains other files you want to share.

  6. In My Computer, double-click the icon that represents the drive where the workbook you want to share is located.

  7. Right-click the folder that contains the workbook you want to share, and then click Sharing on the shortcut menu.

  8. On the Sharing tab, click Shared As.

    To identify the shared folder on the network, you can use the current folder name or enter a different name in the Share Name box. To provide a longer description of the folder, enter a comment in the Comment box.

  9. If you are using user-level access control, click Add to select the names to whom you want to give access to the shared workbook.

    If you are using share-level access control, select the access type for the folder that contains the workbook you want to share.

    For Help on an option, click the question mark [image] and then click the option.

  10. If you are using Windows NT 4.0 and the drive is formatted with NTFS, click the Security tab, then click Permissions and change the appropriate permissions.

Tips

  • You can also share disk drives by using the method described above.

  • If you want other users to be able to work on the same workbook simultaneously, you can create a shared workbook. For more information, click [image] .


 Show or hide the list of recently used workbooks on the File menu

Show or hide the list of recently used workbooks on the File menu

  1. On the Tools menu, click Options, and then click the General tab.

  2. Select or clear the Recently used file list check box.

    To change the number of files listed on the menu, select the number of entries.

Note Only files you open and save after you select the check box are listed on the File menu.


Change the program that starts when you open a file

Many file types in Windows are registered to be opened by a particular program. For example, Notepad starts when you double-click a text document file. You can change the program that starts when you open a file.

  1. In My Computer or Windows Explorer, click Options on the View menu (or click Folder Options in Microsoft Windows 2000).

  2. Click the File Types tab.

  3. In the Registered file types list, click the file type you want to open with a different program.

  4. Click Edit.

  5. Click Edit again.

  6. In the Application used to perform action box, type the path to the program you want to use to open files of the selected file type. Or, click Browse to select the path from a folder list.

Note Not all registered file types have an open action.


Use file properties to locate files

File properties are categories, such as Title, Subject, Author, Manager and Company, that you assign to a workbook for informational purposes.

What do you want to do?

Set file properties for the active workbook

Set file properties for any Microsoft Excel or Office file

Create custom file properties for the active workbook

Create custom file properties linked to content in the active workbook

Automatically display the Properties dialog box when saving workbooks for the first time

Not sure which choice you want?


 Search for files by using text or file properties

Search for files by using text or file properties

  1. Click Open [image] .

  2. On the Tools menu, click Find.

  3. Specify the search criteria by selecting the options you want in the Property, Condition, and Value boxes, and then click Add to List.

    For example, to search for a phrase such as "apple pie," click Text or property in the Property box, and then type "apple pie" in quotation marks in the Value box.

    To create additional search criteria, click And or Or, and then repeat step 3.

  4. To search all subfolders of the selected folders, select the Search subfolders check box.

  5. Click Find Now.

Tip To search more than one drive at a time, type each drive name, separated by a semicolon, in the Look in box in the Find dialog box. For example, type C:\;D:\.


 Change the author name for workbooks

Change the author name for workbooks

The author name is used for such features as file properties and sharing workbooks.

  1. On the Tools menu, click Options, and then click the General tab.

  2. In the User name box, type a name.

    The name you type will appear in the Author box on the Summary tab (Properties command, File menu) each time you create a new file.

    Tip To change the author name for the active file only, click Properties on the File menu, and then type a new name in the Author box on the Summary tab.


 Preview file contents and properties

Preview file contents and properties

Note A preview is not available if the file was saved in a version of Microsoft Excel that does not support previews, or if the Save preview picture check box was not selected on the Summary tab in the Properties dialog box (File menu, Properties command) when the file was saved.

  1. Click Open [image] .

  2. In the Look in box, click the drive that contains the file you want to view, and then locate and double-click the folder that contains the file.

    If you can't find the file, you can search for it.

  3. Click the file you want.

  4. Click the arrow next to Views [image] and do one of the following:

    To preview the contents of the file before opening it, click Preview.

    To view file properties such as file size, file type, and the date last modified, click Details.

    To view file properties such as subject or statistics, click Properties.


 Set file properties for any Microsoft Excel or Office file

Set file properties for any Microsoft Excel or Office file

The following procedure applies only to files that are not currently open. How to set file properties for the active workbook.

  1. Click Open [image] .

  2. In the Look in box, click the drive that contains the file you want, and then locate and double-click the folder that contains the file.

    If you can't find the file, you can search for it.

  3. Click the file you want to set properties for.

  4. On the Tools menu, click Properties.

  5. To add or change properties, enter the information and select the options you want, and then click OK.

    For Help on an option, click the question mark [image] and then click the option.

  6. To close the Open dialog box without opening the file, click Cancel.

Note You cannot set file properties for files that are not Office files, such as text files.


 Set file properties for the active workbook

Set file properties for the active workbook

  1. On the File menu, click Properties.

  2. Click the Summary tab.

  3. Type any information you want in the file properties boxes.

Notes

  • The file properties are not actually associated with the file until you save the file.

  • The Properties command is unavailable if the workbook is protected from changes. For information about removing protection from a workbook, click [image] .


 Set properties to make a workbook read-only

Set properties to make a workbook read-only

If you make a workbook read-only, changes to the workbook cannot be saved in the same workbook file. You can, however, use the Save As command (File menu) to save another version of the file with a different name or in another location.

  1. On the Windows Start menu, point to Programs, and then click Windows Explorer.

  2. In the Exploring window, open the drive or folder that contains the file.

  3. Click the file name.

  4. On the File menu, click Properties.

  5. On the General tab, select the Read-only check box.


 Create custom file properties for the active workbook

Create custom file properties for the active workbook

  1. On the File menu, click Properties.

  2. Click the Custom tab.

  3. In the Name box, type a name for the custom property, or select a name from the list.

  4. In the Type box, click the data type for the property you want to add.

  5. In the Value box, type a value for the property.

    The value you enter must match the selection in the Type box. For example, if you click Number in the Type box, you must type a number in the Value box. Values that don't match the property type are stored as text.

  6. Click Add.


 Create custom file properties linked to content in the active workbook

Create custom file properties linked to content in the active workbook

Before you do this procedure, you must name the cell or range that you want to link the property to. Otherwise, the Link to content check box is unavailable. For information about naming a cell or range, click [image] .

  1. On the File menu, click Properties.

  2. Click the Custom tab.

  3. In the Name box, type a name for the custom property.

  4. Select the Link to content check box.

  5. In the Source box, click the defined content you want to link to, and then click Add.

Note When a link is broken - for example, when a cell or range name is removed from your workbook - the file property stores the data last saved in the cell or range.


 Automatically display the Properties dialog box when saving workbooks for the first time

Automatically display the Properties dialog box when saving workbooks for the first time

  1. On the Tools menu, click Options, and then click the General tab.

  2. Select the Prompt for workbook properties check box.


 Find files

Find files

If you can't find the file you want to open by using the shortcuts on the Places Bar or by looking in the folders you usually save files in, you can enter search criteria in the Find dialog box (in the Open dialog box, click the Tools menu, and then click Find), or you can use one of the following procedures.

What do you want to do?

Search for files

Search for files by using file properties

Save search criteria

Change saved search criteria

Define properties for a file

Find files using Outlook

Not sure which choice you want?


 About finding files

About finding files

How to search for files The Open dialog box (File menu) helps you search for files on your hard drive and on any network drive. You can search for a file by the file name, type of file, date last modified, or by text within the file or the file properties. How to search for files.

Search using file properties File properties are details about the file that help identify it — for example, a descriptive title, the author name, the subject, keywords you assign, or other important information. How to search for files by using file properties. Some properties, such as file size, date created, and file type are automatically added when you create a file. You can enter additional properties, such as a descriptive title or keywords. How to define properties for a file.

Search using special criteria You can search for a file by using nontext properties or by using more advanced combinations of criteria. For example, you can search for files that contain the text "budget" or have the keyword "Budget99". How to search for files using special criteria.

Save the search criteria If you search for the same information over and over, or if you have a complex search set up using multiple search criteria, you might want to save your search to use later.

Change the saved search criteria If you have saved your search criteria, you can open the search and change the criteria.

Speed up the search with Find Fast To speed up file searches in the Find dialog box, Office includes Find Fast, a utility you can access by double-clicking Find Fast [image] in Windows Control Panel. Find Fast creates indexes to speed up file searches, whether by content, properties, or both. Learn about ways to speed up file searches with Find Fast.


 Go back to the previous drive, folder, or FTP location

Go back to the previous drive, folder, or FTP location

  • In the Open dialog box, click the Back button [image] .

Tip When you rest the pointer on the Back button, the name of the drive, folder, or FTP location you were previously in appears in the ScreenTip.


 Sort a list of files

Sort a list of files

Use this procedure to sort files listed in the Open dialog box (File menu).

  1. Click Open [image] .

  2. Click the arrow next to Views [image] , click Arrange Icons, and then click the option you want.


 Search for files

Search for files

  1. Click Open [image] .

  2. On the Tools menu, click Find.

  3. Under Define more criteria, enter the search criteria you want, and then click Add to List.

    Learn about using conditions and values in the Find dialog box.

    For Help on an option, click the question mark [image] and then click the option.

  4. To search all subfolders of the selected folders, select the Search subfolders check box.

  5. Click Find Now.

Tips

  • To use an existing saved search to find files, click Open Search in the Find dialog box, and then click the name of the search you want to use. How to save search criteria.

  • To search more than one drive at a time, type each drive name, separated by a semicolon, in the Look in box in the Find dialog box. For example, type C:\;D:\.


 Save search criteria

Save search criteria

  1. Click Open [image] .

  2. On the Tools menu, click Find.

  3. Specify the search criteria.

How?

  4. Click Save Search.

  5. In the Name for this search box, type a name for the saved search criteria.

Tip You can use descriptive names of up to 250 characters including spaces.


 Change a saved search

Change a saved search

  1. Click Open [image] .

  2. On the Tools menu, click Find.

  3. Click Open Search.

  4. Click the name of the saved search you want to change, and then click Open.

  5. Do one of the following:

    To clear all search criteria and use default search values, click New Search.

    To change some of the criteria, click the criteria you want to change in the Find files that match these criteria list, and then click Delete. Settings for the deleted search criteria appear in the Define more criteria box. To restore the deleted criteria, click Add to List.

  6. Under Define more criteria, specify any new search criteria.

  7. Click Add to List.

  8. Click Save Search, type the name of the saved search, and then click OK.

  9. Click Yes to replace the existing saved search.

    To assign a new name to the modified search criteria, type a new name, and then click OK.


 Delete a saved search

Delete a saved search

  1. Click Open [image] .

  2. On the Tools menu, click Find.

  3. Click Open Search.

  4. Click the name of the search, and then click Delete.


 Ways to speed up file searches with Find Fast

Ways to speed up file searches with Find Fast

Find Fast creates indexes on your computer Microsoft Office programs use Find Fast to speed up file content and property searches in the Find dialog box (Tools menu in the Open dialog box). When Find Fast is installed with Office, it automatically creates an index on each local volume of your computer to index all your Office documents. (Find Fast indexes are not created on removable drives or read-only mediums, such as CD-ROM drives.) Once created, an index is automatically updated. This means you don't need to do anything to take advantage of faster searching.

Change or create new indexes If you want to create indexes for network folders or change an existing index, double-click Find Fast [image] in Windows Control Panel. Information for each indexing task is then displayed, including the drive, share, and folder location of the indexed documents, and the date the index was last updated. You can view additional details about a Find Fast index, such as the number of documents indexed and the size of the index, by clicking Information in the Update Index dialog box (Index menu).

For more information about creating, deleting, and updating indexes by using Find Fast, click Help in the Find Fast dialog box.


 About customizing the defaults for a workbook or worksheet by using a template

About customizing the defaults for a workbook or worksheet by using a template

To create new workbooks that already have your preferred formatting, you can base the new workbooks on a template. A template is a workbook that contains specific content and formatting that you can use as a model for other similar workbooks. A template can include formatting, styles, standardized text such as page headers and row and column labels, formulas, Visual Basic for Applications macros, and custom toolbars. Learn about the formatting and settings that can be saved in a template.

Create a default workbook template To change the formatting or content of the new blank workbooks that open when you start Microsoft Excel, you can create a default workbook template. Excel uses the template named Book.xlt as the default workbook template. Workbooks you create by clicking New [image] or by selecting the Workbook template in the New dialog box (File menu) are also based on the default workbook template. You can create additional custom workbook templates designed for specific tasks and projects. How to create a workbook template for new workbooks.

After you've created a template, you can open it as you would any workbook and make any changes you like. How to change the format or content of an existing template.

Change the default worksheet To change the default worksheets you insert with the Worksheet command (Insert menu), you can create a default sheet template. Excel uses the template named Sheet.xlt as the default worksheet template. If you use a variety of worksheets in your workbooks, you can create additional custom sheet templates. How to create a sheet template for new worksheets.


 Change the format or content of an existing template

Change the format or content of an existing template

  1. Click Open [image] , and then open the template you want to change.

    Templates are usually stored in the Templates folder, in the XLStart folder, or in the alternate startup folder. The Templates folder is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Templates
    and the XLStart folder is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Excel\XLStart
    where os is the operating system folder — for example, Windows.

  2. Make any changes you want to the content, formatting, macros, and other settings in the template.

  3. Click Save [image] .

    These changes affect only new workbooks or worksheets that you create after you change the template — existing workbooks or worksheets based on the previous version of the template are not affected.

Note You can enter information on the Customize sheet of the built-in templates in the Spreadsheet Solutions folder in your Templates folder. Do not change the templates in any other way; further changes might prevent the formulas and macros in the template from working properly.


 Ready-to-use forms and templates included with Microsoft Excel

Ready-to-use forms and templates included with Microsoft Excel

Fill out a form Microsoft Excel includes templates that automate the common tasks of filling in invoices, expense statements, and purchase orders. Each time you fill in one of these forms online, you can choose to add the set of entered information as a new record in a database associated with the form template. To use the database, you must have installed the Template Wizard with Data Tracking add-in. Learn about the Template Wizard.

Access the templates To use the templates, click New on the File menu, and then double-click a template on the Spreadsheet Solutions tab. If the template you want is not listed in the New dialog box, you can install it now. Learn about installing templates.

Find additional templates If you have access to the World Wide Web, you can obtain additional Excel templates designed for tasks such as planning personal finances. For more information, click Office on the Web on the Help menu.

Notes

  • If you upgraded from Microsoft Office 97 or Microsoft Excel 97 for Windows, your existing templates are available on the Office 97 Templates tab in the New dialog box.

  • If you upgraded from Microsoft Office 95 or Microsoft Excel 95 for Windows, your existing templates are available on the Office 95 Templates tab in the New dialog box.

  • If you installed Microsoft Office 2000 or Microsoft Excel 2000 in the same folder as the earlier version, Setup moved the existing templates to the Templates folder, which is usually
    C:\Windows\Profiles\user_name\Application Data\Microsoft\Templates
    for Windows NT or Windows 95 or later with multiple user capability, or
    C:\Windows\Application Data\Microsoft\Templates
    for Windows 95 or later without multiple user capability.

  • If you installed the current version in a different folder, Setup places a shortcut to the existing templates in the Application Data\Microsoft\Templates folder.


 Insert a new sheet that's based on a custom template

Insert a new sheet that's based on a custom template

You must have already created a custom sheet template. For information about creating a sheet template, click [image] .

  1. Right-click a sheet tab, and then click Insert.

  2. Double-click the template for the type of sheet you want.


 Create a form template that copies worksheet data to a database

Create a form template that copies worksheet data to a database

If the Template Wizard command is not on the Data menu, you need to install the Template Wizard with Data Tracking add-in before you can perform this procedure. For information about installing add-ins, click [image] .

  1. Open the workbook in which you'll enter the data you want to copy to a database.

  2. Enter labels for the data you want entered on the worksheet.

    Enter each label in a cell above or to the left of the cell that contains the data. The labels will be used as field names in the database.

  3. On the Data menu, click Template Wizard.

  4. Follow the steps in the wizard.

Note The database you link to the form template can be a Microsoft Excel list, or a Microsoft Access, Microsoft FoxPro, or dBase database for which you have installed the necessary ODBC driver and other data access components. For information about data access components, click [image] .


 Guidelines for storing templates

Guidelines for storing templates

Storing default workbook and worksheet templates

Store the default templates for new workbooks and worksheets in the XLStart folder, which is usually
C:\os\Profiles\user_name\Application Data\Microsoft\Excel\XLStart
where os is the operating system folder — for example, Windows. If you've created a template named Book.xlt or Sheet.xlt and saved it in the XLStart folder, Microsoft Excel uses the template to create new default workbooks or to insert new worksheets when you click Worksheet on the Insert menu. To use templates stored on a network file location, you can specify that location as the alternate startup folder. Custom templates stored in the XLStart folder or the alternate startup folder appear on the General tab in the New dialog box (File menu).

Storing custom templates

Save custom workbook templates you create in the Templates folder, which is usually
C:\os\Profiles\user_name\Application Data\Microsoft\Templates
where os is the operating system folder — for example, Windows. Template (.xlt) files you save in the Templates folder are displayed on the General tab in the New dialog box (File menu). Built-in templates are displayed on the Spreadsheet Solutions tab. To group your custom templates on a separate tab, save the templates in a subfolder in the Templates folder. Any Excel workbook (.xls) file you save in the Templates folder or one of its subfolders also acts as a template.

If you are using Microsoft Windows 95 or later, or Microsoft Windows NT version 4.0 or later, you can make a custom template available to others by storing the template on a network location. For example, you might want all users in your workgroup to use a custom template for a special project without having to place individual copies of the template on each desktop. Instead, place the template in a folder in a network location that is accessible by all users in your group. Then create a shortcut to the folder or template, and have users place the shortcut in their Templates folder.


 Settings Microsoft Excel can save in a template

Settings Microsoft Excel can save in a template

The settings you save in a template determine the following characteristics of new workbooks and worksheets that you base on the template:

Formatting

  • Cell and sheet formats you set by using the commands on the Format menu.

  • Page formats and print area settings for each sheet.

  • Cell styles.

  • The number and type of sheets in a workbook.

  • Protected and hidden areas of the workbook; for example, you can hide sheets, rows, and columns and prevent changes to worksheet cells.

Repeated text, data, graphics, and formulas

  • Text you want to repeat in each new workbook or worksheet, such as page headers and row and column labels.

  • Data, graphics, formulas, charts, and other information you want each new workbook or worksheet to contain.

Toolbars, automation, and Option settings

  • Custom toolbars, macros, hyperlinks, and ActiveX controls on forms. To make a custom toolbar available in new workbooks that you base on a template, attach the toolbar to the template.

  • Workbook calculation options and window display options you set with the Options command (Tools menu).


About using Office Binder

You can use Microsoft Office Binder to keep related files together, in the same way you use a binder clip. For example, if you have a Microsoft Word document, a Microsoft Excel workbook, and some Microsoft PowerPoint slides that make up a single report, you can place them in a binder to work on them together. In a binder, you can do any of the following:

  • Check spelling.

  • Apply a consistent style.

  • Add page numbers consecutively across all the files (called sections in the binder).

  • Print sections.

  • Work on sections individually.

  • Preview or print individual or selected sections in a binder or the entire binder.

  • Print the same header and footer for all sections in a binder, or create a different header and footer for each section.

To start Office Binder, point to Programs on the Windows Start menu, point to Office Tools, and then click Microsoft Binder. If the Microsoft Binder command or the Binder icon is not available, you need to install Office Binder.

To start a new binder, click New Binder on the File menu in Office Binder, or just open Office Binder. When you're working in the Office Binder window, the left pane shows the sections that make up the binder you're working on, and the right pane shows the active section. The files you add to the binder can be new blank files or existing files. To add an existing file, drag the file from Windows Explorer to the left pane of the Office Binder window, or click Add from File on the Section menu in Office Binder.


 Guidelines for naming workbooks

Guidelines for naming workbooks

To make it easier to find your workbooks, you can use long, descriptive file names. The complete path to the file, including drive letter, server name, folder path, file name, and a three-character file name extension, can contain up to 218 characters. File names cannot include any of the following characters: forward slash (/), backslash (\), greater-than sign (>), less-than sign (<), asterisk (*), question mark (?), quotation mark ("), pipe symbol (|), colon (:), or semicolon (;).

If you work with other programs that do not support long file names, you should limit file names to eight characters.


Save a workbook

When you save a workbook for the first time, you assign a file name and indicate where you want to store the file on your computer's hard disk or in another location. Each time you subsequently save the workbook, Microsoft Excel updates the workbook file with your latest changes.

Note You can use a Microsoft Excel 2000 workbook in an earlier version of Microsoft Excel or in another program by saving the workbook in a file format that you know the other program can open. For more information, click [image] .

What do you want to do?

Save a new, unnamed workbook

Save an existing workbook

Save a copy of a workbook with a different name or in a different location

Save workbooks automatically as you work

Keep the previous version of a workbook as a backup copy

Save Excel data as a Web page


 Save a backup copy of a workbook

Save a backup copy of a workbook

  1. On the File menu, click Save As.

    Show Me

  2. On the Tools menu, click General Options.

  3. Select the Always create backup check box.

  4. Click OK, and then click Save.


 Save workbooks automatically as you work

Save workbooks automatically as you work

  1. On the Tools menu, click AutoSave.

    If the AutoSave command is not on the Tools menu, you must install the AutoSave add-in.

    How?

  2. Select the Automatic save every check box.

  3. In the Minutes box, enter how often you want Microsoft Excel to save workbooks.

  4. Select any other options you want.


Guidelines for saving or publishing a Web page

Before you save or publish a Microsoft Excel workbook or worksheet as a Web page, there are several considerations you should be aware of.

What do you want to do?

Learn about the requirements for putting Excel data on a Web page

Prepare data before putting it on a Web page

Learn about the limitations of putting Excel data on a Web page


 Save a workbook for use in another program

Save a workbook for use in another program

Caution If you save a Microsoft Excel 2000 workbook in a different file format, formats and features unique to Excel 2000 will be lost. Learn about formatting and features not transferred in file conversions.

  1. Open the workbook you want to save for use in another program.

  2. On the File menu, click Save As.

    Show Me

  3. In the File name box, type a new name for the workbook.

  4. In the Save as type list, click a file format that you know you can open in the other program.

  5. Click Save.


 Save a copy of a workbook

Save a copy of a workbook

  1. Open the workbook you want to make a copy of.

  2. On the File menu, click Save As.

    Show Me

  3. In the File name box, type a new name for the workbook.

  4. Click Save.

Tip To save the copy in a different folder, click a different drive in the Save in box, or click a different folder name in the folder list, or both. To save the copy in a new folder, click Create New Folder [image].


Close a workbook

  • On the File menu, click Close.

    To close all open workbooks without exiting the program, hold down SHIFT and click Close All on the File menu.


Save a group of workbooks in a customized workspace

You can open a group of workbooks in one step by creating a workspace file. A workspace file saves information about all open workbooks, such as their locations, window sizes, and screen positions. When you open a workspace file by using the Open command (File menu), Microsoft Excel opens each workbook saved in the workspace. The workspace file does not contain the workbooks themselves, and you must continue to save changes you make to the individual workbooks.

  1. Open the workbooks you want to open as a group.

  2. Size and position the workbook windows as you want them to appear the next time you use the workbooks.

  3. On the File menu, click Save Workspace.

  4. In the File name box, enter a name for the workspace file.

Tip To open the workbooks each time you start Microsoft Excel, save the workspace file in the XLStart folder in your Excel folder. Save only the workspace file, not the workbook files, in the XLStart folder.


 Change the default file format for saving workbooks

Change the default file format for saving workbooks

By default, workbooks are saved in Microsoft Excel 97-2000 format. If you work with others who use earlier versions of Microsoft Excel or other spreadsheet programs, you can use another format as the default for saving workbooks. For more information, click [image] .

  1. On the Tools menu, click Options, and then click the Transition tab.

  2. In the Save Excel files as box, click the file format you want.

    After you set the default file format, all new workbooks are saved in the selected file format unless you specify a different format in the Save As dialog box (File menu) when you save a workbook.

Note Features and formatting of a Microsoft Excel 2000 workbook might not be available if you save the workbook in the file format of a previous version of Microsoft Excel or another program.


 Copy a file

Copy a file

  1. Click Open [image] .

  2. In the Look in box, click the drive or folder that contains the file you want to copy.

  3. In the folder list, double-click folders until you open the folder that contains the file you want.

    If you can't find the file in the folder list, you can search for it.

    How?

  4. Right-click the file you want to copy, and then click Copy on the shortcut menu.

  5. In the Look in box, click the drive or folder you want to copy the file to.

  6. In the folder list, double-click folders until you open the folder you want to copy the file to.

  7. Right-click in the folder list (make sure a file is not selected), and then click Paste on the shortcut menu.

    The Paste command is not available if a file is selected in the folder list.


 Delete a file

Delete a file

  1. Click Open [image] .

  2. In the Look in box, click the drive or folder that contains the file you want to delete.

  3. In the folder list, double-click folders until you open the folder that contains the file you want.

    If you can't find the file in the folder list, you can search for it.

    How?

  4. Right-click the file you want to delete, and then click Delete on the shortcut menu.

Note To delete multiple adjacent files at one time, click the name of the first file in the sequence, hold down SHIFT and click the name of the last file, and then press DELETE. To delete nonadjacent files, click the name of one file, hold down CTRL and click the name of each additional file, and then press DELETE. If you select a file you don't want, hold down CTRL and click the file name again.


 Move a file

Move a file

  1. Click Open [image] .

  2. In the Look in box, click the drive or folder that contains the file you want to move.

  3. In the folder list, double-click folders until you open the folder that contains the file you want.

    If you can't find the file in the folder list, you can search for it.

    How?

  4. Right-click the file you want to move, and then click Cut on the shortcut menu.

  5. In the Look in box, click the drive or folder you want to move the file to.

  6. In the folder list, double-click folders until you open the folder you want to move the file to.

  7. Right-click in the folder list (make sure a file is not selected), and then click Paste on the shortcut menu.

    The Paste command is not available if a file is selected in the folder list.


 Rename a file

Rename a file

  1. Click Open [image] .

  2. In the Look in box, click the drive or folder that contains the file you want to rename.

  3. In the folder list, double-click folders until you open the folder that contains the file you want.

    If you can't find the file in the folder list, you can search for it.

    How?

  4. Right-click the file you want to rename, and then click Rename on the shortcut menu.

  5. Type the new name, and then press ENTER.

Note You can’t rename a file when the file is open.


 The best place to store workbooks

The best place to store workbooks

The first time you open the Open and Save As dialog boxes after starting Microsoft Excel, the My Documents folder (Personal folder in Windows NT 4.0) is displayed as the default working, or active, folder. How to change the default working folder.

My Documents folder (Personal folder in Windows NT 4.0)

The My Documents folder is located in the root directory (the Personal folder in Windows NT 4.0 is usually located in C:\Winnt\Profiles\user_name) and is a good place to store worksheets, databases, documents, presentations, and other files you're currently working on. To quickly access files in the My Documents folder (Personal folder in Windows NT 4.0), click Open, and then click My Documents (Personal folder in Windows NT 4.0) on the Places Bar.

Favorites folder

The Favorites folder is a good place to store shortcuts to files and folders you use often, including those in remote network locations. A shortcut provides quick access to any file without your having to remember where the file is located. When you add a shortcut to the Favorites folder, the original file or folder isn't moved. To quickly access files in the Favorites folder, click Open, and then click Favorites on the Places Bar. Learn about adding a file or folder shortcut to the Favorites folder.

Web Folders

Web Folders are good places to store files that you want to publish on the Internet. These files reside on a Web server to allow others easy access to them. To quickly access files stored on a Web server, click Web Folders on the Places Bar. Learn about publishing files to the Web.


About setting the default working folder that appears in the Open and Save As dialog boxes

Change the default working folder for Microsoft Excel In both Windows and Windows NT Workstation 4.0, you can change the default working folder for Excel only. However, you cannot change the default working folder for all of your Office programs in Windows NT Workstation 4.0 after you change the default working folder for an individual Office program.

Change the default working folder for Office programs If you haven't already changed the default working folder for an individual program, you can change the default working folder for all of your Office programs, and for the Open Office Document button and command, by renaming the My Documents folder or by moving the folder to a new location, or both.


Change the default working folder for Office

  1. Save and close all Office files, and then close all Office programs.

  2. In Windows Explorer, move or copy any files you want to find quickly to the My Documents folder (Personal folder in Windows NT 4.0).

  3. To rename the My Documents folder (Personal folder in Windows NT 4.0), right-click the My Documents folder in Windows Explorer, and then click Rename on the shortcut menu. Type the new name for the folder, and then press ENTER.

  4. To move the My Documents folder (Personal folder in Windows NT 4.0), drag the My Documents folder to a new location in Windows Explorer.


 Change the default working folder only for Microsoft Excel

Change the default working folder only for Microsoft Excel

  1. On the Tools menu, click Options, and then click the General tab.

  2. In the Default file location box, type the path for the folder you want to display as the default working folder.

    For example, type c:\work


 About creating shortcuts to files, folders, and Web pages

About creating shortcuts to files, folders, and Web pages

You can create shortcuts to files, folders, and Web pages by using either hyperlinks or the Favorites folder.

Hyperlinks You can add a hyperlink to your workbook and then use it to go to a variety of locations — for example, to a Microsoft Word document, another Microsoft Excel workbook, or an Internet, intranet, or e-mail address. You can create a hyperlink from any text or graphic in your workbook. You can also assign a hyperlink to a toolbar button so that by clicking the button, you can go to a particular file, Web page, or e-mail address that you use frequently.

Favorites folder You can use the Favorites folder to store shortcuts to files and folders that you use often, including those in remote network locations. You don't have to move or copy the original file or folder — instead, you create a shortcut to get to it. Storing shortcuts in the Favorites folder gives you quick access to any file without having to remember where the file is located.

To quickly access files in the Favorites folder, click Favorites [image] on the Places Bar in the Open dialog box, or click Favorites on the Web toolbar and select Open Favorites.

You can add a shortcut to the Favorites folder for your current workbook.


Create shortcuts to files, folders, and Web pages

What do you want to do?

Create a hyperlink in a workbook

Assign a hyperlink to a toolbar button

Add a folder or file shortcut to the Favorites folder

Add the active file to the Favorites folder

Not sure which choice you want?


About viewing and saving files from other programs

Open and save a file created in another program You can open a file created in another program, such as Quattro Pro or Lotus 1-2-3, by using the Open command on the File menu in Microsoft Excel. You can choose to save the file in its original file format or you can save the file as an Excel workbook.

You can open files from versions of Quattro Pro that are earlier than version 5.0 by using the Quattro Pro converter, and you can also open versions of Lotus 1-2-3 files earlier than version 5.0.

Save a workbook for use in another program You can use the Save As command on the File menu to save an Excel workbook for use in another program. Files saved as Excel workbooks might not retain all of their original formatting, and features and formatting of an Excel 2000 workbook might not be available in previous versions or in other programs. Learn about features that are lost if a file is saved in a different file format.

Open a text file in Excel If the data you want to use in Excel is in a text file with data delimited (separated) by tab characters, commas, spaces, or similar characters, you can just open the file in Excel. Excel uses the Text Import Wizard to interpret the text according to your instructions and divides the data into rows and columns on a worksheet. You can also copy delimited text data from a word-processing document or other document into a workbook and then divide the text into columns. How to open an entire text file in Microsoft Excel.

You can also refresh data from a text file.

Copy data from another program and paste it in Excel If you want to use only some of the text from a text file, you can copy that data into Excel and then separate the copied text data into columns.

Notes

  • Change the default file format for saving workbooks If you work with others who use earlier versions of Excel or other spreadsheet programs, you can change the default file format used to save workbooks you create in Excel 2000 so that others can work on your file.

  • Install the Quattro Pro file converter If you didn't install the converter for Quattro Pro files when you installed Excel, you must install it before you can open files in that format. You can't use the Quattro Pro file converter to save files.


 Open a file from another program and save it as a Microsoft Excel workbook

Open a file from another program and save it as a Microsoft Excel workbook

  1. Click Open [image] .

  2. In the Look in list, locate the drive, folder, or Internet location that contains the file you want to open.

  3. In the Files of type list, click the current file format of the file.

  4. Locate the file, and then do one of the following:

    If the file was last saved in another Office program, click the arrow next to the Open button, and then click Open in Microsoft Excel.

    If the file was last saved in a non-Office program, double-click the file.

    The file opens in Excel, but the actual file format is not changed to an .xls file.

  5. On the File menu, click Save As.

    Show Me

  6. In the Save as type list, click Microsoft Excel Workbook (*.xls).

  7. Click Save.

Tips

  • To save changes to the file in its original file format, click Save [image] instead of Save As on the File menu, and then confirm that you want to replace the existing version of the file.

  • If Excel cannot open a file because the appropriate file converter is not available, open the file in the program it was created in, and then save it in a file format that Excel can open — as a text file, for example.

  • You can also open a file from another program by clicking Find on the Tools menu (File menu, Open command), and then searching for the file. For example, to search for a Lotus 1-2-3 file, select Files of type in the Property box, and then select Lotus 1-2-3 Files in the Condition box. Make sure you remove all items from the Find files that match these criteria box, click Add to List, and then click Find Now.


 Open an HTML file in Microsoft Excel

Open an HTML file in Microsoft Excel

When you open Web pages in Excel so that you can analyze the data, the content might not appear the same in Excel as it does on the Web page. For example, scripts, .gif image files, and lists of data in a single table cell do not appear properly in Excel. Best results occur if the Web page was originally an entire workbook that was saved as a Web page from Excel or if the data is in a table.

  1. In Excel, click Open [image] .

  2. In the Look in list, click the drive, folder, Web folder, Web server, or FTP location that contains the HTML file you want to open.

  3. Double-click the HTML file you want to open.

Note To open a file you've used recently, click History on the Places Bar, or click Web Folders (or My Network Places in Microsoft Windows 2000) to open a file on your Web server.


 File format converters supplied with Microsoft Excel

File format converters supplied with Microsoft Excel

The file formats listed in the Save As dialog box vary, depending on whether a worksheet, chart sheet, or other type of sheet is active. For most file formats, Microsoft Excel converts only the active sheet. To convert the other sheets, switch to each sheet and save it separately.

Microsoft Excel contains most of the file converters you need. If you do not see the file format you want in the Open dialog box (File menu), you can install the converter. For more information, click [image] .

Microsoft Excel formats

The Microsoft Excel 97-2000 & 5.0/95 Workbook format saves a workbook in Excel version 97-2000 file format and Excel versions 5.0/95 file formats in the same .xls file. Users of Microsoft Excel 2000 can continue to work in the workbook and use any of the features or formatting unique to this version. Users of Microsoft Excel version 5.0 or Microsoft Excel 95 can open and use the workbook without having to convert the file; it is recommended that they use the workbook read-only. If users save the workbook in the earlier version of Microsoft Excel, features and formatting unique to Microsoft Excel 2000 are lost. For more information, click [image] .

Formats that save the entire workbook | File name extension (Windows only)
Microsoft Excel Workbook (Microsoft Excel 97-2000) | .xls
Template (Microsoft Excel 97-2000) | .xlt
Workspace (Microsoft Excel 97-2000) | .xlw
Microsoft Excel 97-2000 & 5.0/95 Workbook | .xls
Microsoft Excel 5.0/95 Workbook | .xls
Microsoft Excel version 4.0 workbook (saves only worksheets, chart sheets, and macro sheets) | .xlw
Formats that save only the active sheet
Microsoft Excel version 4.0 sheet formats (including Microsoft Excel macro or international macro sheets) | .xls, .xlc, .xlm
Microsoft Excel version 3.0 formats | .xls, .xlc, .xlm
Microsoft Excel version 2.x formats | .xls, .xlc, .xlm

File formats for Lotus 1-2-3

When you open a .wk1 or .wk3 file in Microsoft Excel, Microsoft Excel applies the formatting in the associated .fmt, .fm3, or .all file. If you save a Lotus 1-2-3 file in Microsoft Excel format, Microsoft Excel saves the spreadsheet data and formatting in a single workbook file.

The WK1 (1-2-3) (*.wk1) and WK3 (1-2-3) (*.wk3) formats save only limited worksheet formatting. To save a Microsoft Excel workbook in Lotus 1-2-3 format and retain borders, cell shading, fonts, and other formatting, select a Lotus 1-2-3 file format that stores formatting in a separate .fmt, .fm3, or .all file.

Lotus 1-2-3 file format | Release | Notes
WK4 (*.wk4) | 4.0 | Saves the entire workbook
WK3 (*.wk3) WK3, FM3 (*.wk3) | 3.x and Lotus 1-2-3/W | Saves only worksheets and chart sheets
WK1 (*.wk1) WK1 (FMT) (*.wk1) WK1 (ALL) (*.wk1) | 2.x | Saves only the active sheet
WKS (FMT) (*.wks) | 1.0 and 1.0A | Saves only the active sheet
.pic (when included in an .all file) | 3.x and Lotus 1-2-3/W | Opens but cannot save this format

Text file formats

You can open and save files in the following text formats. If you save a workbook in text format, all formatting is lost.

Format | Notes
Formatted Text (Space-delimited) (*.prn) | Lotus space-delimited format Saves only the active sheet
Text (Tab-delimited) (*.txt) (Windows) Text (Macintosh) Text (OS/2 or MS-DOS) CSV (comma delimited) (*.csv) (Windows) CSV (Macintosh) CSV (OS/2 or MS-DOS) | If you are saving a workbook as a tab-delimited or comma-delimited text file for use on another operating system, select the appropriate converter to ensure that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
DIF (data interchange format) (*.dif) | Saves only the active sheet
SYLK (symbolic link format) (*.slk) | Saves only the active sheet

Other spreadsheet programs and databases

Format | Program | Notes
DBF 2, DBF 3, DBF 4 (*.dbf) | DBASE II, III, and IV | Opens and saves only the active worksheet
WQ1 (*.wq1) | Quattro Pro for MS-DOS | Opens and saves only the active worksheet
.wb1 | Quattro Pro version 5.0 for Windows | Opens only
.wb2 | Quattro Pro version 6.0 for Windows | Opens only
.wb3 | Quattro Pro version 7.0 for Windows | Opens only
.wks | Microsoft Works version 2.0 for Windows and Microsoft Works for MS-DOS | Opens only Microsoft Works version 2.0 for Windows or Microsoft Works for MS-DOS spreadsheets

Clipboard formats

You can paste the following Clipboard formats into Microsoft Excel by using the Paste or Paste Special command on the Edit menu.

Format | Clipboard type identifiers
Picture | Picture (Windows enhanced metafile, EMF) Note If you copy a Windows metafile (WMF) picture from another program, Microsoft Excel pastes the item as an enhanced metafile format (EMF) picture.
Bitmap | Bitmap (BMP)
Microsoft Excel file formats | Binary file formats for Microsoft Excel versions 3.0, 4.0, 5.0/95, and Microsoft Excel 97-2000(BIFF, BIFF3, BIFF4, BIFF5, and BIFF8)
Symbolic link format | SYLK
Lotus 1-2-3 Release 2.x format | .wk1
Data interchange format | .dif
Text (tab-delimited) format | Text
Comma-separated values format | .csv
Formatted text (only from Microsoft Excel) | Rich Text Format (RTF)
Embedded object | Microsoft Excel objects, objects from properly registered programs that support OLE 2.0 (OwnerLink), and Picture or another presentation format
Linked object | OwnerLink, ObjectLink, Link, Picture, or other format
Office drawing object | Office drawing object format or Picture (Windows enhanced metafile format, EMF)
Text | Display Text, OEM Text
HTML | .htm Note When you copy text from another program, Microsoft Excel pastes the text in HTML format, regardless of the format of the original text.


Formatting and features not transferred in file conversions

The Microsoft Excel 97-2000 Workbook file format preserves all worksheet and chart data, formatting, macros, and other features available in Excel 2000. If you save an Excel 2000 workbook in another file format, some of the formatting, data, and other features might be lost.

What file format do you want to save in?

Excel

Microsoft Excel 97-2000 & 5.0/95 Workbook

What happens when you open and save an Excel 2000 workbook in Excel 97?

Microsoft Excel 5.0/95 Workbook

Microsoft Excel 4.0 Workbook

Microsoft Excel 4.0 Worksheet

Microsoft Excel 3.0 Worksheet

Microsoft Excel 2.x Worksheet

Lotus

Lotus 1-2-3 Release 4 (WK4)

Lotus 1-2-3 Release 3 (WK3)

Lotus 1-2-3 Release 3 (WK3, FM3)

Lotus 1-2-3 Release 2.x (WK1)

Lotus 1-2-3 Release 2.x (WK1, FMT)

Lotus 1-2-3 Release 2.x (WK1, ALL)

Lotus 1-2-3 Release 1.x (WKS)

Other

HTML (HyperText Markup Language)

Quattro Pro for MS-DOS (WQ1)

dBASE file formats (DBF 2, DBF 3, DBF 4)

SYLK (Symbolic Link)

DIF (Data Interchange Format)

CSV (Comma delimited) (*.csv)

Text (Tab delimited) (*.txt)

Text (Unicode)

Formatted Text (Space delimited)

Template

Note You can use the SYLK (Symbolic Link) format to save workbook files for use in Microsoft Multiplan. Excel 2000 does not include file format converters for converting workbook files directly into the Multiplan format.


Move files between Microsoft Windows and the Macintosh

The Macintosh must be running system software version 7.5 or later, have PC Exchange installed, and be equipped with a disk drive that can read MS-DOS floppy disks. The Macintosh Excel version must correspond to the Excel for Windows version. For example, to move files from Excel 2000 to the Macintosh, you must be running Microsoft Office 98 Macintosh Edition.

  1. Save your Windows-based file to a 3.5-inch floppy disk.

  2. Insert the floppy disk in the Macintosh floppy disk drive.

  3. In Excel on the Macintosh, click Open on the File menu.

  4. Locate and then double-click the file you want.

Notes

  • If you have access to a network share that is connected both to personal computers running Windows and to Macintosh computers, you can place the files on the network and then open the files from either type of computer. You can also easily move files between Windows and the Macintosh if you have access to a Windows NT server that is set up with Services for the Macintosh. For more information, see your Windows NT documentation.

  • You can run QuickTime movies only on the Macintosh. The Microsoft Excel mapping feature, the Web Form Wizard, Quattro Pro converters, and the Access Links add-in program are not available for the Macintosh.

  • Because Macintosh files do not have file name extensions, you should use *.* to search for Macintosh files.


Troubleshoot finding and opening files

What do you need help with?

A saved search doesn't return the same files as before.

The wrong files appear after I complete a search.

It takes a long time to search for files.

The Open dialog box doesn't list the file I'm looking for.

The password I typed to open a file doesn't work.

I changed my start page to an Office file and I want to change it to an HTML file.

I want to open an HTML file in Excel, but it opens in another Office program

When I open a Web page in Excel, nothing appears

My workbook opens with a read-only restriction

My workbook takes a long time to open.


Troubleshoot saving and closing workbooks

What do you need help with?

The file format I want to save a workbook in does not appear in the Save As dialog box.

When I try to save a workbook, I get a message saying that the workbook is read-only.

When I save a workbook with my own file name extension, .xls is also added.

The file I saved contains two periods in the file name.


Troubleshoot template problems

What do you need help with?

My template is not listed in the New dialog box.

How do I get back the original settings for workbooks and new sheets?

I saved a file with the .xlt extension, but I can't use it as a template.

A workbook doesn't use the calculation mode saved in the template it was based on.


Troubleshoot converting file formats

What do you need help with?

Before file conversion

Limitations of opening and converting Quattro Pro files in Microsoft Excel

The Open dialog box doesn't list the file I'm looking for.

I can't open a file I created in Microsoft Works.

How do I open files created in Quattro Pro?

About converting worksheets between Lotus 1-2-3 and Microsoft Excel

After file conversion

My converted workbook opens very slowly and is too big.

Values on the converted sheet don't match the values on the original sheet.

Some formulas were changed to text or values.

My Lotus 1-2-3 or Quattro Pro macros don't run in Microsoft Excel

All of the text in the file appears in the first column.

When I save data in dBASE format, some of my data is missing.


When I open a Web page in Excel, nothing appears.

If you use Microsoft Excel to open a Web page that was not created in Excel, but nothing appears, the Web page might contain a frames page. A single Web page can be divided into sections that each display separate Web pages; each of these sections is called a frame. The container that hosts the group of frames is called a frames page. Excel cannot open a Web page that contains a frames page.

If you know how to work with HTML source code, you can use an HTML editor to copy the information you want, without the frames page code, to a new file, and then open the new file in Excel.


 About workbooks and worksheets

About workbooks and worksheets

Workbooks In Microsoft Excel, a workbook is the file in which you work and store your data. Because each workbook can contain many sheets, you can organize various kinds of related information in a single file.

Worksheets Use worksheets to list and analyze data. You can enter and edit data on several worksheets simultaneously and perform calculations based on data from multiple worksheets. When you create a chart, you can place the chart on the worksheet with its related data or on a separate chart sheet.

Sheet tabs The names of the sheets appear on tabs at the bottom of the workbook window. To move from sheet to sheet, click the sheet tabs.

Macro sheets and dialog sheets Learn about working with macro sheets and dialog sheets from earlier versions of Excel.


 Move and scroll through a worksheet

Move and scroll through a worksheet

To move between cells on a worksheet, click any cell or use the arrow keys. When you move to a cell, it becomes the active cell. To see a different area of the sheet, use the scroll bars.

To scroll | Do this
One row up or down | Click the arrows in the vertical scroll bar.
One column left or right | Click the arrows in the horizontal scroll bar.
One window up or down | Click above or below the scroll box in the vertical scroll bar.
One window left or right | Click to the left or right of the scroll box in the horizontal scroll bar.
A large distance | Drag the scroll box to the approximate relative position. In a very large worksheet, hold down SHIFT while dragging.

Notes

  • The size of a scroll box indicates the proportional amount of the used area of the sheet that is visible in the window. The position of a scroll box indicates the relative location of the visible area within the worksheet.

  • You can also scroll and zoom on a Microsoft Excel sheet by using the Microsoft IntelliMouse pointing device.


Switch to another sheet in a workbook

  • Click the sheet tab for the other sheet.

    Sheet tabs with Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

Tip If your workbook contains many sheets, right-click the tab scrolling buttons, and then click the sheet you want.


 Select sheets in a workbook

Select sheets in a workbook

If you select more than one sheet, Microsoft Excel repeats the changes you make to the active sheet on all other selected sheets. These changes may replace data on other sheets.

To select | Do this
A single sheet | Click the sheet tab. Sheet tabs showing Sheet2 selected
Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.


Display more or fewer sheet tabs

  1. Point to the tab split bar.

    Tab split bar

  2. When the pointer changes to a split pointer Split pointer, drag the tab split bar to the right or left, and then use the tab scrolling buttons to scroll through the sheet tabs.

    Tab scrolling buttons

    To return the tab split bar to its original default position, double-click the tab split bar.

Tip To make a sheet active by selecting it from a list of the available sheets, right-click any tab scrolling button and click the sheet you want on the shortcut menu.


 Scroll and zoom on a Microsoft Excel sheet by using the Microsoft IntelliMouse pointing device

Scroll and zoom on a Microsoft Excel sheet by using the Microsoft IntelliMouse pointing device

You can move around and zoom on your worksheet or chart sheet by using the Microsoft IntelliMouse pointing device. For information about changing options and viewing troubleshooting tips for the Microsoft IntelliMouse, see the IntelliPoint Online User's Guide. (Click the Windows Start button, point to Programs, and then point to Microsoft Input Devices.)

To | Do this
Scroll up or down a few rows at a time | Rotate the wheel forward or back.
Pan through a worksheet | Hold down the wheel button, and drag the pointer away from the origin mark origin mark in the direction you want to scroll. To speed up scrolling, drag away from the origin mark; to slow down scrolling, drag toward the origin mark.
Pan through a worksheet automatically | Click the wheel button, and then move the mouse in the direction you want to scroll. To speed up scrolling, drag away from the origin mark; to slow down scrolling, drag toward the origin mark. To stop automatic scrolling, click any mouse button.
Zoom in or out | Hold down CTRL, and then rotate the IntelliMouse wheel forward or back.
Show detail in outlines | Point to a cell that summarizes data in the outline, hold down SHIFT, and then roll the wheel forward.
Hide detail in outlines | Point to any cell that contains detail data, hold down SHIFT, and then roll the wheel back.

Tips

  • To jump to a different location on the worksheet, zoom out, click the new location, and then zoom in.

  • If you use the Microsoft IntelliMouse pointing device to zoom more often than you use it to scroll on a sheet, you can set the wheel button to zoom instead of scroll. On the Tools menu, click Options, click the General tab, and then select the Zoom on roll with IntelliMouse check box.


Insert a new worksheet

  • To add a single worksheet, click Worksheet on the Insert menu.

    To add multiple worksheets, hold down SHIFT, and then click the number of worksheet tabs you want to add in the open workbook. Then click Worksheet on the Insert menu.


Move or copy sheets

Caution Be careful when you move or copy sheets. Calculations or charts based on data on a worksheet might become inaccurate if you move the worksheet. Similarly, if you move a worksheet between sheets referred to by a 3-D formula reference, data on the worksheet might be included in the calculation.

  1. To move or copy sheets to another existing workbook, open the workbook that will receive the sheets.

  2. Switch to the workbook that contains the sheets you want to move or copy, and then select the sheets.

    How?

  3. On the Edit menu, click Move or Copy Sheet.

  4. In the To book box, click the workbook to receive the sheets.

    To move or copy the selected sheets to a new workbook, click New book.

  5. In the Before sheet box, click the sheet before which you want to insert the moved or copied sheets.

  6. To copy the sheets instead of move them, select the Create a copy check box.

Tip To move sheets within the current workbook, you can drag the selected sheets along the row of sheet tabs. To copy the sheets, hold down CTRL, and then drag the sheets; release the mouse button before you release the CTRL key.


Delete sheets from a workbook

  1. Select the sheets you want to delete.

    How?

  2. On the Edit menu, click Delete Sheet.


 Rename a sheet

Rename a sheet

  1. Double-click the sheet tab.

  2. Type a new name over the current name.


About hiding all or part of a workbook

When you hide parts of a workbook, the data is removed from view but is not deleted from the workbook. If you save and close the workbook, the hidden data remains hidden the next time the workbook is opened. If you print the workbook, Microsoft Excel does not print the hidden parts.

Hide workbooks and sheets You can hide workbooks and sheets to reduce the number of windows and sheets on the screen and to prevent unwanted changes. For example, you can hide sheets that contain sensitive data, or you can hide a workbook containing macros so that the macros are available to run but no window appears for the macro workbook. The hidden workbook or sheet remains open, and other documents can use the information.

Hide rows and columns You can also hide selected rows and columns of data that you aren't using or that you don't want others to see.

Use a password To prevent others from displaying hidden sheets, rows, or columns, you can protect the workbook or sheet with a password.

Hide window elements You can hide most window elements in order to use as much of your screen as possible to display worksheet data. These window elements include the Windows taskbar and the Excel title bar, toolbars, formula bar, and status bar. These elements remain hidden only as long as the workbook is open; they are redisplayed when you close the workbook and open it again.

More information

Hide a workbook

Hide a sheet

Hide a row or column

Protect a workbook or sheet

Hide window elements to show more data on the screen


Hide a sheet

  1. Select the sheets you want to hide.

    How?

  2. On the Format menu, point to Sheet, and then click Hide.


Hide a workbook

  1. Open the workbook.

  2. On the Window menu, click Hide.

Note When you quit Microsoft Excel and a message asks if you want to save changes to the hidden workbook, click Yes. The next time you open the workbook, the workbook window remains hidden.


Display a hidden workbook

  1. On the Window menu, click Unhide.

  2. In the Unhide workbook box, double-click the name of the hidden workbook you want to display.


Display a hidden sheet

  1. On the Format menu, point to Sheet, and then click Unhide.

  2. In the Unhide sheet box, double-click the name of the hidden sheet you want to display.

Note If sheets are hidden by a Visual Basic for Applications program that assigns the property xlSheetVeryHidden, you cannot use the Unhide command to display the sheets. If you are using a workbook with Visual Basic macros and have problems with hidden sheets, contact the owner of the workbook for more information.


Display hidden rows or columns

  1. To display hidden rows, select cells in the row above and in the row below the hidden rows.

    To display hidden columns, select cells in the column to the left and in the column to the right of the hidden columns.

  2. On the Format menu, point to either Row or Column, and then click Unhide.

Tip If the first row or column of a worksheet is hidden, click Go To on the Edit menu. Type A1 in the Reference box, and click OK. Point to Row or Column on the Format menu, and then click Unhide.


Hide a row or column

  1. Select the rows or columns you want to hide.

    How?

  2. On the Format menu, point to either Row or Column, and then click Hide.


Create links to connect to data and files

What do you want to do?

Create a hyperlink

Create a link to information in another file by writing a formula

Create a query to retrieve data from another file or database

Share information between Microsoft Office programs


 Insert a link to worksheet data on your intranet or the Internet

Insert a link to worksheet data on your intranet or the Internet

You can insert a link from a workbook to another workbook that is located on your intranet or on the Internet. The workbook must be an .xls file rather than a workbook that has been saved as an HTML file.

  1. Select the information you want to copy as a linked object.

  2. Click Copy [image] .

  3. Switch to the worksheet you want to place the information in, and then click where you want the information to appear.

  4. On the Edit menu, click Paste Special.

  5. Click Paste link.

    Note To create a link without opening the workbook on the Internet, click the cell where you want the link, and type an equal sign (=) and the URL address, followed by the location in the workbook. For example, type
    ='http://www.someones.homepage/[file.xls]Sheet1'!A1 or
    ='ftp.server.somewhere/[file.xls]Sheet1'!MyNamedCell


 Update a link to data on your intranet or the Internet

Update a link to data on your intranet or the Internet

When you open a workbook that contains links, Microsoft Excel prompts you to update all links to Internet or Web data. Use this procedure if you need to download the latest version of the linked data for an open workbook.

  1. On the Edit menu, click Links.

    The Links command is unavailable if your file does not contain linked information.

  2. In the Source file list, click the source for the linked object, and then click Update Now.

    To select multiple linked objects, hold down CTRL and click each linked object.

Note To stop the update during downloading, click the link being updated in the Links dialog box, and then click Stop Update.


 Customize the defaults for a workbook or worksheet by using a template

Customize the defaults for a workbook or worksheet by using a template

You can create a template to use when you want several workbooks or worksheets to have similar formatting and styles, or content and functionality.

What do you want to do?

Learn about the formatting and settings that can be saved in a template

Create a workbook template for new workbooks

Create a sheet template for new worksheets

Change the format or content of an existing template

Not sure which choice you want?


 Change the default number of worksheets in a new workbook

Change the default number of worksheets in a new workbook

  1. On the Tools menu, click Options, and then click the General tab.

  2. In the Sheets in new workbook box, enter the number of sheets you want.


 Change the default font and font size used in new workbooks

Change the default font and font size used in new workbooks

  1. On the Tools menu, click Options, and then click the General tab.

    Show Me

  2. In the Standard font box, click a font.

  3. In the Size box, enter a font size.

Note You must restart Microsoft Excel to begin using the new default font and font size. The new default font and font size are used only in the new workbooks you create after you restart Microsoft Excel; existing workbooks are not affected.


 Define the default column width

Define the default column width

  1. To define the default column width for all worksheets in a workbook, select all worksheets.

    How?

  2. On the Format menu, point to Column, and then click Standard Width.

    Show Me

  3. Type a new measurement.

    The number that appears in the Standard column width box is the average number of digits 0-9 of the standard font that fit in a cell.

Tip To define the default column width for all new workbooks and worksheets, create a workbook template and a worksheet template. For more information, click [image] .


 Create a workbook template for new workbooks

Create a workbook template for new workbooks

  1. Create a workbook that contains the sheets, default text (such as page headers and column and row labels), formulas, macros, styles, and other formatting you want in new workbooks that you base on the template.

  2. On the File menu, click Save As.

    Show Me

  3. In the Save as type box, click Template (*.xlt).

  4. In the Save in box, select the folder where you want to store the template.

    To create the default workbook template, select either the XLStart folder or the alternate startup folder. The XLStart folder is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Excel\XLStart
    where os is the operating system folder — for example, Windows.

    To create a custom workbook template, select the Templates folder, which is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Templates
    where os is the operating system folder, for example, Windows.

  5. In the File name box, type book to create a default workbook template.

    To create a custom template, type any valid file name.

    Tip To display a picture of the first page of a template in the Preview box of the New dialog box (File menu), click Properties on the File menu, click the Summary tab, and then select the Save preview picture check box.


 Create a sheet template for new worksheets

Create a sheet template for new worksheets

  1. Create a workbook that contains one worksheet. On the worksheet, include the formatting, styles, text, and other information you want to appear on all new sheets of the same type.

  2. On the File menu, click Save As.

    Show Me

  3. In the Save as type box, click Template (*.xlt).

  4. In the Save in box, select the folder where you want to store the template.

    To create the default worksheet template, select either the XLStart folder or the alternate startup folder. The XLStart folder is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Excel\XLStart
    where os is the operating system folder — for example, Windows.

    To create a custom sheet template, select the Templates folder, which is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Templates
    where os is the operating system folder — for example, Windows.

  5. In the File name box, type sheet to create a template for default worksheets.

    To create a custom sheet template, type any valid file name.

  6. Click Save, and then click Close on the File menu.


Restore original settings for new workbooks and worksheets

  • In Windows Explorer, look in the XLStart folder, and remove any template files that are listed in the following table. The XLStart folder is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Excel\XLStart
    where os is the operating system folder — for example, Windows.

    If the files aren't in the XLStart folder, look in the folder specified in the Alternate startup file location box on the General tab in the Options dialog box (Tools menu).
    To restore original settings for | Remove this file
    Workbooks | Book.xlt
    Worksheets | Sheet.xlt

    If you want to keep your Book.xlt or Sheet.xlt files, rename them and save them in the Templates folder, which is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Templates
    where os is the operating system folder — for example, Windows.


 Magnify or reduce the display

Magnify or reduce the display

  • In the Zoom box [image] , click the size you want, or enter a number from 10 to 400.

    To enlarge the selected area to fill the window, click Selection.

Note Changing the magnification does not affect printing. Sheets are printed at 100 percent unless you change the scaling on the Page tab of the Page Setup dialog box (File menu).


Hide window elements to show more data on the screen

  • On the View menu, click Full Screen.

Note To restore the toolbars and other hidden window elements, click Close Full Screen on the Full Screen toolbar. If you hide the Full Screen toolbar, you can restore the toolbars and hidden elements by clicking Full Screen on the View menu.


 Display or hide specific window elements

Display or hide specific window elements

  1. On the Tools menu, click Options, and then click the View tab.

  2. Select the check boxes for items you want to display, and clear check boxes for the items you want to hide.

    For Help on an option, click the question mark [image] and then click the option.


 Change the color of cell gridlines

Change the color of cell gridlines

  1. Select the sheets on which you want to change the gridline color.

    How?

  2. On the Tools menu, click Options, and then click the View tab.

  3. Under Window options, click the color you want in the Color box.

    To use the default gridline color, click Automatic.


 Hide cell gridlines

Hide cell gridlines

  1. Select the sheets on which you want to hide the gridlines.

    How?

  2. On the Tools menu, click Options, and then click the View tab.

  3. Under Window options, clear the Gridlines check box.


 Show or hide a toolbar

Show or hide a toolbar

  • Right-click any toolbar, and then click the toolbar you want to show or hide on the shortcut menu.

Tips

  • If the toolbar you want is not listed on the shortcut menu, click Customize on the Tools menu, click the Toolbars tab, and then select the check box for the toolbar.

  • To quickly hide a floating toolbar, click the Close button [image] on the toolbar.


Minimize a workbook window

  • Click the Minimize button [image] on the menu bar or title bar of the active workbook.

    The workbook window is displayed as an icon in the lower-left corner of the program window.

Note If you click the Minimize button [image] on the program title bar, the program window is displayed as a button on the Windows taskbar.


Restore a minimized workbook window

  • On the Window menu, click the name of the workbook you want to restore.

Tip To quickly restore a minimized workbook that is visible, double-click the minimized workbook.


Arrange minimized workbook icons in the Microsoft Excel window

  • On the Window menu, click Arrange Icons.

    The minimized workbooks are arranged left to right across the bottom of the Microsoft Excel program window.

Note The Arrange Icons command is available only if all workbooks in the window are minimized or if you click the icon for a minimized workbook.


 Minimize all program windows on the Windows desktop

Minimize all program windows on the Windows desktop

  • Right-click the background of the Windows taskbar, and then click Minimize All Windows on the shortcut menu.


Show all windows on the Windows desktop

  • Right-click the background of the Windows taskbar, and then click Tile Windows Horizontally or Tile Windows Vertically on the shortcut menu.


View different parts of a worksheet at the same time

What do you want to do?

View two parts of a sheet at the same time

Keep row and column labels visible as you scroll

Not sure which choice you want?


 About viewing different parts of a worksheet at the same time

About viewing different parts of a worksheet at the same time

Split a worksheet To view and scroll independently in different parts of a worksheet, you can split a worksheet horizontally and vertically into separate panes. Splitting a worksheet into panes allows you to view different parts of the same worksheet side by side and is useful, for example, when you want to paste data between different areas of a large worksheet. In the following example, you can view the rows for different cities in the upper panes while keeping the February totals visible in the lower panes.

Worksheet window split into panes

The two right panes scroll together, as do the two lower panes.

How to split a worksheet into panes.

Keep labels or data visible To keep row and column labels or other data visible as you scroll through a sheet, you can "freeze" the top rows and/or left columns. The frozen rows and columns don't scroll but remain visible as you move through the rest of the worksheet.

Worksheet window with row 1 frozen

The labels in the first row remain fixed while you scroll the rest of the worksheet vertically.

You cannot both split a worksheet and freeze parts of a worksheet at the same time.

How to freeze worksheet panes.

Print labels on each page Split or frozen panes do not automatically show up as labels on each page when the sheet is printed. You must specify any labels you want to print.


View multiple sheets or workbooks at the same time

  1. Open the workbooks you want to view.

    To view multiple sheets in the active workbook, click New Window on the Window menu. Switch to the new window, and then click a sheet you want to view. Repeat for each sheet you want to view.

  2. On the Window menu, click Arrange.

  3. Under Arrange, click the option you want.

    To view sheets in only the active workbook, select the Windows of active workbook check box.

Tip To restore a workbook window to full size, click Maximize [image] at the upper-right corner of the workbook window.


 Restore a split window to a single pane

Restore a split window to a single pane

  • To restore a window split into two scrollable areas, double-click any part of the split bar that divides the panes.

    To remove unscrolling "frozen" panes, click Unfreeze Panes on the Window menu.


Close workbook windows

To close | Do this
The active workbook window | Click Close [image] in the upper-right corner of the window. If the window is the only open window of the workbook, the workbook is closed.
All open windows of a workbook | On the File menu, click Close.
All open workbooks | Hold down SHIFT, and then click Close All on the File menu.


 Custom views

Custom views

Custom views change the way workbooks, worksheets, objects, and windows are displayed. You can define sets of particular display and print settings and save them as views. Then you can switch to any of the views whenever you want to display or print the workbook in a different way.

What can be stored in custom views? The stored settings include column widths, display options, window size and position on the screen, window splits or frozen panes, the sheet that is active, and the cells that are selected at the time the view is created. You can also optionally save hidden rows, hidden columns, filter settings, and print settings.

The custom view includes the entire workbook. If you hide a sheet before a view is added, Microsoft Excel hides the sheet each time you show the view.

Before you create a view Set up the workbook to appear the way you want to view and print it. If you include print settings in a view, the view includes the defined print area or the entire worksheet if the sheet has no defined print area.

More information

Create a custom view

Display a custom view

Print a custom view

Delete a custom view

Keep a custom view for a shared workbook


 Create a view

Create a view

  1. Change the settings that you want to save in the view.

    Learn about settings that are saved when you create a view.

  2. On the View menu, click Custom Views.

    Show Me

  3. Click Add.

  4. In the Name box, type a name for the view.

  5. Under Include in view, select the options you want.

Tip When you display a view, Microsoft Excel switches to the sheet that was active when you created the view. Because Excel lists all views in the workbook in the Custom Views dialog box, include the active sheet name in the name of a view to make it easier to identify.


 Display a view

Display a view

  1. On the View menu, click Custom Views.

    Show Me

  2. In the Views box, click the name of the view you want.

  3. Click Show.


 Print a view

Print a view

  1. On the View menu, click Custom Views.

    Show Me

  2. In the Views box, click the name of the view you want to print.

  3. Click Show.

  4. Click Print [image] .

Note Microsoft Excel saves previously defined print areas for each sheet in the workbook with your view. If a sheet has no defined print areas, Microsoft Excel prints the entire worksheet.


 Delete a view

Delete a view

  1. On the View menu, click Custom Views.

    Show Me

  2. In the Views box, click the name of the view.

  3. Click Delete.


Troubleshoot working with workbooks and worksheets

What do you need help with?

Why is ":1" or ":2" in the workbook title?

Sheet tabs aren't listed across the bottom of the screen.

An apostrophe ('), a caret (^), or a quotation mark (") appears in the formula bar but not in the cells.

What happened to my module sheets?

I can't rename a sheet.

I can't maximize or close a workbook window.


Enter data in worksheet cells

What do you want to do?

Enter numbers, text, a date, or a time

Enter a formula

Enter the same data into several cells at once

Enter and edit the same data on multiple worksheets

Quickly fill in repeated entries in a column


 Undo mistakes

Undo mistakes

  • To undo recent actions one at a time, click Undo [image] .

    To undo several actions at once, click the arrow next to Undo [image] and select from the list. Microsoft Excel reverses the selected action and all actions above it.

    To cancel an entry in a cell or the formula bar before you press ENTER, press ESC.

Tip If you change your mind, click Redo [image] .


 Enter numbers, text, a date, or a time

Enter numbers, text, a date, or a time

  1. Click the cell where you want to enter data.

  2. Type the data and press ENTER or TAB.

    Use a slash or a hyphen to separate the parts of a date; for example, type 9/5/2002 or 5-Sep-2002.

    To enter a time based on the 12-hour clock, type a space and then a or p after the time; for example, 9:00 p. Otherwise, Microsoft Excel enters the time as AM.

For more information about entering numbers, click [image] .

For more information about entering text, click [image] .

For more information about entering a date or time, click [image] .

Tips

  • To fill in rows of data in a list, enter data in a cell in the first column, and then press TAB to move to the next cell. At the end of the row, press ENTER to move to the beginning of the next row. If the cell at the beginning of the next row doesn't become active, click Options on the Tools menu, and then click the Edit tab. Under Settings, select the Move selection after Enter check box, and then click Down in the Direction box.

  • To enter today's date, press CTRL+; (semicolon).

  • To enter the current time, press CTRL+SHIFT+: (colon).


 Enter numbers with decimal places or trailing zeros

Enter numbers with decimal places or trailing zeros

Use this procedure when you want to enter many numbers with a fixed number of decimal places or large whole numbers with a fixed number of trailing zeros (0).

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. Select the Fixed decimal check box.

  3. In the Places box, enter the number of digits you want to appear to the right of the decimal point.

    To include zeros (0) automatically when you enter large whole numbers, specify a negative number to indicate the number of zeros. For example, to have Microsoft Excel automatically insert 283000 when you enter 283, enter -3 in the Places box.

    In numbers you subsequently enter, Microsoft Excel inserts a decimal point at the indicated position or inserts the specified number of zeros. Data you entered before selecting the Fixed decimal option is not affected.

    When you finish entering numbers with decimal places or zeros, clear the Fixed decimal check box.

Tip To temporarily override the Fixed decimal option, type a decimal point when you enter the number.


Enter the same data into several cells at once

  1. Select the cells where you want to enter data.

    The cells can be adjacent or nonadjacent.

  2. Type the data and press CTRL+ENTER.


 Enter or edit the same data on multiple worksheets

Enter or edit the same data on multiple worksheets

When you select a group of sheets, changes you make to a selection on the active sheet are reflected in the corresponding cells on all other selected sheets. Data on the other sheets may be replaced.

  1. Select the worksheets where you want to enter data.

    How?

  2. Select the cell or cell range where you want to enter data.

  3. Type or edit the data in the first selected cell.

  4. Press ENTER or TAB.

    Microsoft Excel automatically enters the data on all selected sheets.

  5. To cancel a selection of multiple sheets, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet, and then click Ungroup Sheets on the shortcut menu.

Notes

  • If you've already entered data on one worksheet, you can quickly copy the data to corresponding cells on other sheets. Select the sheet that contains the data and the sheets to which you want to copy the data. Then select the cells that contain the data you want to copy. On the Edit menu, point to Fill, and then click Across Worksheets.

  • You can also refer to the same cell on multiple sheets without entering the data.


 Insert ¢, £, ¥, ®, and other characters that are not on the keyboard

Insert ¢, £, ¥, ®, and other characters that are not on the keyboard

  1. On the Windows Start menu, point to Programs, point to Accessories, and then click Character Map.

    If Character Map is not available, see Windows Help for information about how to install a Windows component.

  2. In the Font box, select the font that contains the character you want.

  3. In the character grid, click the character you want.

  4. Click Select, and then click Copy.

    You can select and copy multiple characters.

  5. Switch to your workbook, and then place the insertion point where you want to paste the character.

  6. Click Paste [image] .

    If the character looks different from the one you selected, select the character and apply the same font you selected in Character Map.

Tip Character Map shows the key shortcut you can use in Microsoft Excel to insert the selected character. If the key shortcut includes a number key, press the key you want on the numeric keypad, not on the main keyboard area.


Tips on entering numbers

Characters that can be used as numbers In Microsoft Excel, a number can contain only the following characters:

0 1 2 3 4 5 6 7 8 9 + - ( ) , / $ % . E e

Excel ignores leading plus signs (+) and treats a single period as a decimal. All other combinations of numbers and nonnumeric characters are treated as text.

Entering fractions To avoid entering a fraction as a date, precede fractions with a 0 (zero); for example, type 0 1/2.

Entering negative numbers Precede negative numbers with a minus sign (-), or enclose the numbers in parentheses ( ).

Aligning numbers All numbers are right-aligned in a cell. To change the alignment, select the cells. On the Format menu, click Cells, click the Alignment tab, and then select the options you want.

How numbers appear The number format that is applied to a cell determines the way Excel displays a number on a worksheet. If you type a number into a cell that has the General number format, Excel may apply a different number format. For example, if you type $14.73, Excel applies a currency format. To change the number format, select the cells that contain the numbers. On the Format menu, click Cells, click the Number tab, and then select a category and format.

The General number format In cells that have the default General number format, Excel displays numbers as integers (789), decimal fractions (7.89), or scientific notation (7.89E+08) if the number is longer than the width of the cell. The General format displays up to 11 digits, including a decimal point and characters such as "E" and "+." To use numbers with more than 11 digits, you can apply a built-in scientific number format (exponential notation) or a custom number format.

15-digit limit Regardless of the number of digits displayed, Excel stores numbers with up to 15 digits of precision. If a number contains more than 15 significant digits, Excel converts the extra digits to zeros (0).

Entering numbers as text Excel stores a number as numeric data even if you use the Cells command to apply the Text format to the cells that contain the numbers. To have Excel interpret numbers such as part numbers as text, first apply the Text format to empty cells, and then type the numbers. If you've already entered the numbers, apply the Text format to the cells, click each cell, press F2, and then press ENTER to reenter the data.

Regional settings The characters recognized as numbers depend on the options you select in the Regional Settings of Control Panel. The options selected also determine the default format for numbers — for example, the period (.) used as the decimal symbol on United States-based systems.


Tips on entering dates and times

Dates and times are numbers Microsoft Excel treats dates and times as numbers. The way that a time or date is displayed on a worksheet depends on the number format applied to the cell. When you type a date or time that Excel recognizes, the cell's format changes from the General number format to a built-in date or time format. By default, dates and times are right-aligned in a cell. If Excel cannot recognize the date or time format, the date or time is entered as text, which is left-aligned in the cell.

Control Panel Options you select in the Regional Settings of Control Panel determine the default format for the current date and time and the characters recognized as date and time separators — for example, the slash (/) and dash (-) for dates and the colon (:) for times on United States-based systems.

Use a 4-digit year When entering dates such as Decemeber 01, Excel matches the day first and then the year. For instance, December 01 is entered as December 1 of the present year, not as December of the year 2001.

Entering dates and times together To type a date and time in the same cell, separate the date and time with a space.

The 12-hour or 24-hour clock To type a time based on the 12-hour clock, type a space followed by AM or PM (or A or P) after the time. Otherwise, Excel bases the time on the 24-hour clock. For example, if you type 3:00 instead of 3:00 PM, the time is stored as 3:00 AM.

Viewing the serial number behind a date or time Regardless of the format used to display a date or time, Excel stores all dates as serial numbers and stores all times as decimal fractions. To display a date as a serial number or display a time as a fraction, select the cells that contain the date or time. On the Format menu, click Cells, click the Number tab, and then click General in the Category box.

Calculating with dates and times Times and dates can be added, subtracted, and included in other calculations. To use a date or time in a formula, enter the date or time as text enclosed in quotation marks. For example, the following formula would display a difference of 68:

="5/12/2004"-"3/5/2004"

The 1904 date system In Excel for Windows (and Lotus 1-2-3), days are numbered from the beginning of the century; the date serial number 1 corresponds to the date January 1, 1900. Excel for the Macintosh uses the 1904 date system; the date serial number 1 corresponds to January 2, 1904. To change the date system for use in calculations, click Options on the Tools menu, and then click the Calculation tab. Under Workbook options, select the 1904 date system check box. Use the 1904 date system for a workbook if you use that workbook with other workbooks that use the 1904 date system.

If you open in Excel for Windows a file created in Excel version 2.0 or later for the Macintosh, Excel recognizes the file format and automatically changes dates to the 1900 date system. Similarly, if you open an Excel for Windows file on a Macintosh, Excel changes dates to the 1904 date system.


How Microsoft Excel stores dates and times

Microsoft Excel stores dates as sequential numbers known as serial values. Excel stores times as decimal fractions because time is considered a portion of a day. Dates and times are values and, therefore, can be added, subtracted, and included in other calculations. For example, to determine the difference between two dates, you can subtract one date from the other. You can view a date as a serial value and a time as a decimal fraction by changing the format of the cell that contains the date or time to General format.

Excel supports two date systems: the 1900 and 1904 date systems. The default date system for Microsoft Excel for Windows is 1900. To change to the 1904 date system, click Options on the Tools menu, click the Calculation tab, and then select the 1904 date system check box.

The following table shows the first date and the last date for each date system and the serial value associated with each date.

Date system | First date | Last date
1900 | January 1, 1900 (serial value 1) | December 31, 9999 (serial value 2958465)
1904 | January 2, 1904 (serial value 1) | December 31, 9999 (serial value 2957003)

Notes

Two-digit years When you enter a date in a cell and you enter only two digits for the year, Excel interprets the year as follows:

  • The years 2000 through 2029 if you type 00 through 29 for the year. For example, if you type 5/28/19, Excel assumes the date is May 28, 2019.

  • The years 1930 through 1999 if you type 30 through 99 for the year. For example, if you type 5/28/98, Excel assumes the date is May 28, 1998.

If you are using Microsoft Windows 98 or Microsoft Windows 2000, you can, without the assistance of your system administrator, change the way two-digit years are interpreted.

Four-digit years To ensure that year values are interpreted as you intended, type year values as four digits (2001, rather than 01). By entering four digits for the years, Excel won't interpret the century for you.

The DATE worksheet function If you need to manipulate a part of a date — such as the year or month — within a formula, you can use the DATE worksheet function.

The TIME worksheet function If you need to manipulate a part of a time — such as the hour or minute — within a formula, you can use the TIME worksheet function.

Display four-digit years by default By default, as you enter dates in a workbook, the dates are formatted to display two-digit years. You can use Windows Control Panel to change the default date format to display four-digit years instead of two-digit years.

The Year 2000 The Microsoft Year 2000 Resource Center provides information about how Microsoft products are affected by the arrival of the year 2000. Learn about the Microsoft Year 2000 Resource Center.


Tips on entering text

  • In Microsoft Excel, text is any combination of numbers, spaces, and nonnumeric characters — for example, Microsoft Excel treats the following entries as text:

    10AA109, 127AXY, 12-976, 208 4675.

  • All text is left-aligned in a cell. To change the alignment, click Cells on the Format menu, click the Alignment tab, and then select the options you want.

  • To display all the text on multiple lines in the cell, select the Wrap text check box on the Alignment tab.

  • To enter a "hard" carriage return in a cell, press ALT+ENTER.


 Turn on or off drag-and-drop editing and filling cells by dragging

Turn on or off drag-and-drop editing and filling cells by dragging

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. To allow editing and filling in data by dragging, select the Allow cell drag and drop check box.

    To prevent dragging, clear the check box.


 Change which cell becomes active when you press ENTER

Change which cell becomes active when you press ENTER

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. To move to an adjacent cell, select the Move selection after Enter check box, and then select a direction in the Direction box.

    To keep the current cell as the active cell, clear the check box.


 Turn on or off automatically completing entries in columns

Turn on or off automatically completing entries in columns

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. To allow automatic completion, select the Enable AutoComplete for cell values check box.

    To prevent automatic completion, clear the check box.


 Turn on or off the message about overwriting non-blank cells

Turn on or off the message about overwriting non-blank cells

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. To display a message if dragging a selection or its fill handle would result in the loss of existing data, select the Alert before overwriting cells check box.

    To suppress the message, clear the check box.


Automatically fill in data based on adjacent cells

What do you want to do?

Copy data within a row or column

Fill in a series of numbers, dates, or other items

Create a custom fill series

Not sure which choice you want?


 About filling in data based on adjacent cells

About filling in data based on adjacent cells

You can fill in several types of series by selecting cells and dragging the fill handle or by using the Series command (point to Fill on the Edit menu, and then click Series).

Copy data within a row or column By dragging the fill handle of a cell, you can copy the contents of a cell to other cells in the same row or column.

Fill in a series of numbers, dates, or other items If a selection contains a number, date, or time period, you can extend the series. For example, the initial time selections in the following table result in the series shown. Items separated by commas are in adjacent cells.

Initial selection | Extended series
1, 2, 3 | 4, 5, 6
9:00 | 10:00, 11:00, 12:00
Mon | Tue, Wed, Thu
Monday | Tuesday, Wednesday, Thursday
Jan | Feb, Mar, Apr
Jan, Apr | Jul, Oct, Jan
Jan-99, Apr-99 | Jul-99, Oct-99, Jan-00
15-Jan, 15-Apr | 15-Jul, 15-Oct
1999, 2000 | 2001, 2002, 2003
1-Jan, 1-Mar |  | 1-May, 1-Jul, 1-Sep,...
Qtr3 (or Q3 or Quarter3) | Qtr4, Qtr1, Qtr2,...
Product 1, On backorder | Product 2, On backorder, Product 3, On backorder,...
text1, textA |  | text2, textA, text3, textA,...
1st Period | 2nd Period, 3rd Period,...
Product 1 | Product 2, Product 3,...

If the selection contains numbers, you can control whether to create a linear series or a growth series.

Create a custom fill series You can create a custom fill series for frequently used text entries, such as your company's sales regions.


 Quickly fill in repeated entries in a column

Quickly fill in repeated entries in a column

If the first few characters you type in a cell match an existing entry in that column, Microsoft Excel fills in the remaining characters for you. Microsoft Excel completes only those entries that contain text or a combination of text and numbers; entries that contain only numbers, dates, or times are not completed.

  • To accept the proposed entry, press ENTER.

    The completed entry exactly matches the pattern of uppercase and lowercase letters of the existing entries.

  • To replace the automatically entered characters, continue typing.

  • To delete the automatically entered characters, press BACKSPACE.

You can also select from a list of entries already in the column. To display the list, press ALT+DOWN ARROW to display the list, or right-click the cell, and then click Pick from List on the shortcut menu.


 Fill in a series of numbers, dates, or other items

Fill in a series of numbers, dates, or other items

  1. Select the first cell in the range you want to fill, and then enter the starting value for the series.

    To increment the series by a specified amount, select the next cell in the range and enter the next item in the series. The difference between the two starting items determines the amount by which the series is incremented.

  2. Select the cell or cells that contain the starting values.

  3. Drag the fill handle over the range you want to fill.

    To fill in increasing order, drag down or to the right.

    To fill in decreasing order, drag up or to the left.

Notes

  • To specify the type of series, use the right mouse button to drag the fill handle over the range, and then click the appropriate command on the shortcut menu. For example, if the starting value is the date JAN-2002, click Fill Months for the series FEB-2002, MAR-2002, and so on; or click Fill Years for the series JAN-2003, JAN-2004, and so on.

  • To manually control how the series is created, or use the keyboard to fill in a series, use the Series command.


 Create a custom fill series or sorting order

Create a custom fill series or sorting order

You can create a custom fill series or sorting order from existing items that you've listed on a worksheet, or you can type the list from scratch.

  1. If you've already entered the list of items you want to use as a series, select the list on the worksheet.

  2. On the Tools menu, click Options, and then click the Custom Lists tab.

  3. To use the selected list, click Import.

    To type a new list, select New list in the Custom lists box, and then type the entries in the List entries box, beginning with the first entry. Press ENTER after each entry. When the list is complete, click Add.

    Note A custom list can contain text or text mixed with numbers. To create a custom list that contains only numbers, such as part numbers, first select enough empty cells to contain the list. On the Format menu, click Cells, and then click the Number tab. Apply the Text format to empty cells, and then type the list of numbers in the formatted cells.


 Change or delete a custom fill series or sorting order

Change or delete a custom fill series or sorting order

  1. On the Tools menu, click Options, and then click the Custom Lists tab.

  2. In the Custom lists box, select the list you want.

  3. To edit the list, make the changes you want in the List entries box, and then click Add.

    To delete the list, click Delete.

Note You cannot edit or delete the built-in lists for months and days.


 Fill in a series from a formula

Fill in a series from a formula

  1. Select the first cell in the range you want to fill, and enter the starting formula for the series.

  2. Select the cell that contains the starting formula.

  3. Drag the fill handle over the range you want to fill.

Notes

  • As you enter data into a list, Microsoft Excel automatically fills in formulas in the series for you when your list outgrows the original series range. For this to occur, your series range must contain at least four rows of data and each formula must refer to cells in only one row.

  • Existing values or formulas in the cells you fill in are replaced.

  • To quickly fill in the active cell with the contents of the cell above it, press CTRL+D. To fill in the active cell with contents of the cell to the left, press CTRL+R.

  • You can delete the contents of a range of cells by selecting the range and then dragging the fill handle back over the range.


 Select text, cells, ranges, rows, and columns

Select text, cells, ranges, rows, and columns

To select | Do this
Text in a cell | If editing in a cell is turned on, select the cell, double-click in it, and then select the text in the cell. If editing in a cell is turned off, select the cell, and then select the text in the formula bar.
A single cell | Click the cell, or press the arrow keys to move to the cell.
A range of cells | Click the first cell of the range, and then drag to the last cell.
All cells on a worksheet | Click the Select All button. Select All button
Nonadjacent cells or cell ranges | Select the first cell or range of cells, and then hold down CTRL and select the other cells or ranges.
A large range of cells | Click the first cell in the range, and then hold down SHIFT and click the last cell in the range. You can scroll to make the last cell visible.
An entire row | Click the row heading. Worksheet showing row heading
An entire column | Click the column heading. Worksheet showing column heading
Adjacent rows or columns | Drag across the row or column headings. Or select the first row or column; then hold down SHIFT and select the last row or column.
Nonadjacent rows or columns | Select the first row or column, and then hold down CTRL and select the other rows or columns.
More or fewer cells than the active selection | Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.


 Select blank cells

Select blank cells

  1. Select the range that includes the type of cells you want to select.

    To select all cells of this type on the active worksheet, click any cell.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Blanks.


 Select cells that contain comments

Select cells that contain comments

  1. Select the range that includes the type of cells you want to select.

    To select all cells of this type on the active worksheet, click any cell.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Comments.


 Select cells that contain constants

Select cells that contain constants

  1. Select the range that includes the type of cells you want to select.

    To select all cells of this type on the active worksheet, click any cell.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Constants.


 Select cells that contain formulas

Select cells that contain formulas

  1. Select the range that includes the type of cells you want to select.

    To select all cells of this type on the active worksheet, click any cell.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Formulas, and then select the check box next to the type of data you want to select.

Note You can also select a range that contains an array formula.


 Select named ranges or cell references

Select named ranges or cell references

To select | Do this
A named range of cells | In the Name box, select the range.
Two or more named ranges | In the Name box, select the first range, and then hold down CTRL and select the other ranges.
Specific cells not in a named range | On the Edit menu, click Go To. In the Reference box, type the cell reference for the cell or range of cells.

Tip Microsoft Excel keeps track of the ranges you select by using the Name box or the Go To command. To return to a previous selection, click Go To on the Edit menu, and then double-click the cell reference in the Go to box.


 Select only visible cells

Select only visible cells

Use this procedure to select a range that crosses hidden rows or columns but does not include the hidden cells in the selection.

  1. Select the range.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Visible cells only.


Cancel a selection of cells

  • To cancel a selection of cells, click any cell on the worksheet.


 Cancel a selection of multiple sheets

Cancel a selection of multiple sheets

  • To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.


Troubleshoot entering data

What do you need help with?

Numbers, dates, and times aren't displayed as expected.

All the text I type in a cell doesn't show.

Microsoft Excel doesn't always complete my column entries.

The fill handle is missing.

The wrong data is entered when I copy cells using the fill handle.

Information is deleted when I drag the fill handle.

When I apply the Text format to numbers, the numeric data doesn't change to text.


Troubleshoot selecting and moving in a workbook

What do you need help with?

Sheet tabs aren't listed across the bottom of the screen.

Arrow keys and keys such as PAGE UP, HOME, and SHIFT+TAB don't perform the expected action.

More than one sheet is selected. How do I select only one?

I want to select more or fewer cells without canceling my original selection.

The selected area grows when I click a cell or press keys to move around.


How Microsoft Excel handles dates in the year 2000 and beyond

Because the rules that govern the way that any calculation program interprets dates are complex, you should be as specific as possible about dates whenever you enter them. This will produce the highest level of accuracy in your date calculations.

How Excel interprets ambiguous dates When interpreting ambiguous dates, Excel makes certain assumptions. For example, when you enter a date that includes only the month and one or two digits, Excel assumes that 1 through 31 is the day and that the year is the current year. For instance, Excel assumes that December 01 is December 1 of the current year, not December of the year 2001. Excel assumes that December 32 is December 1, 1932.

How Excel interprets two-digit years By default, when you enter a two-digit year value, Excel interprets the year as follows:

  • 00 through 29 Excel interprets the two-digit year values 00 through 29 as the years 2000 through 2029. For example, if you type the date 5/28/19, Excel assumes the date is May 28, 2019.

  • 30 through 99 Excel interprets the two-digit year values 30 through 99 as the years 1930 through 1999. For example, if you type the date 5/28/98, Excel assumes the date is May 28, 1998.

Use four-digit years To ensure that Excel interprets year values the way you intended, you can type year values as four digits (for example, 2001, rather than 01).

Change how years are interpreted Your system administrator, or the system administrator for your users, can customize Office so that different rules determine how dates are interpreted. For example, your administrator can change the earliest two-digit year value that's interpreted as a date in the twentieth century from 30 to another number. For information about how to customize date interpretation, see the Microsoft Office 2000 Resource Kit.

Notes

  • You can change the default date format to display four-digit years instead of two-digit years. If you are using Microsoft Windows 98 or Microsoft Windows 2000, you can, without the assistance of your system administrator, change the way two-digit years are interpreted.

  • The Microsoft Year 2000 Resource Center provides information about how Microsoft products are affected by the arrival of the year 2000. Learn about the Microsoft Year 2000 Resource Center.


Change the way two-digit years are interpreted

By default, Excel interprets the two-digit year entries 00 through 29 as the years 2000 through 2029 and the entries 30 through 99 as the years 1930 through 1999. If you are using Windows 95 or earlier or Windows NT Workstation 4.0 or earlier and you are part of a workgroup, see your system administrator if you want to change the way two-digit years are interpreted.

If you are using Microsoft Windows 98 or Microsoft Windows 2000, you can use Windows Control Panel to change the century that Excel assumes a date is in when a two-digit year is entered. This procedure changes the way two-digit years are interpreted for all the Windows programs that you have installed.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Do one of the following:

    If you are using Windows 98, double click the Regional Settings [image] icon, and then click the Date tab.

    If you are using Windows 2000, double click the Regional Options [image] icon, and then click the Date tab.

  3. In the When a two-digit year is entered, interpret as a year between box, change the upper-limit for the century.

    As you change the upper-limit year, the lower-limit year automatically changes.

Note By default, as you enter dates in a workbook, the dates are formatted to display two-digit years. You can also use Windows Control Panel to change the default date format to display four-digit years instead of two-digit years.


Change the default date format to display four-digit years

By default, as you enter dates in a workbook, the dates are formatted to display two-digit years. When you change the default date format to a different format by using this procedure, the display of dates that were previously entered in your workbook will change to the new format as long as the dates haven't been formatted by using the Cells command (Format menu).

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double click Regional Settings [image] (or Regional Options [image] if you are using Microsoft Windows 2000), and then click the Date tab.

  3. In the Short date style list, click a format that uses four digits for the year ("yyyy").


Edit cell contents

  1. Double-click the cell that contains the data you want to edit.

  2. Make any changes to the cell contents.

  3. To enter your changes, press ENTER.

    To cancel your changes, press ESC.

Tips

  • To turn editing directly in cells on or off, click Options on the Tools menu, click the Edit tab, and then select or clear the Edit directly in cell check box.

  • To quickly add to the end of cell contents, select the cell and press F2.

  • You can also edit an array formula and edit a hyperlink.


Clear or delete cells, rows, or columns

When you delete cells, Microsoft Excel removes them from the worksheet and shifts the surrounding cells to fill the space. When you clear cells, you remove the cell contents (formulas and data), formats (including number formats, conditional formats, and borders), or comments, but you leave the blank cells on the worksheet.

What do you want to do?

Clear contents, formats, or comments from cells

Delete cells, rows, or columns


Clear contents, formats, or comments from cells

  1. Select the cells, rows, or columns you want to clear.

  2. On the Edit menu, point to Clear, and then click All, Contents, Formats, or Comments.

Notes

  • If you click a cell and then press DELETE or BACKSPACE, Microsoft Excel removes the cell contents but does not remove any comments or cell formats.

  • If you clear a cell, Microsoft Excel removes the contents, formats, comments, or all three from a cell. The value of a cleared cell is 0 (zero), and a formula that refers to that cell will receive a value of 0.

Tip To remove all comments from a worksheet, click Go To on the Edit menu, click Special, and then click Comments. Then point to Clear on the Edit menu, and click Comments.


Repeat the last action

  • On the Edit menu, click Repeat.

    If the last action cannot be repeated, the Repeat command changes to Can't Repeat.


Separate text across cells

  1. Select the range of cells that contains the text values.

    The range can be any number of rows tall, but no more than one column wide.

  2. On the Data menu, click Text to Columns.

  3. Follow the instructions in the Convert Text to Columns Wizard to specify how you want to divide the text into columns.


 Find or replace data

Find or replace data

You can search for specific text or numbers that you want to review or edit, and you can automatically replace data you find. You can also select all of the cells that contain the same kind of data, such as formulas, or cells whose contents do not match the active cell.

To find data in a list, you can use filters to display only the rows that contain the desired data. For example, in a list that includes international sales data, you can display just domestic sales.

What do you want to do?

Find and replace text and numbers

Find text or numbers

Find and replace text or numbers

Select cells with special data

Select blank cells

Select cells that contain formulas

Select cells that contain constants

Select cells that contain comments

Select cells that don't match the active cell in the row or column

Use a filter

Find specific rows of data by filtering a list


 Highlight cells that meet specific conditions

Highlight cells that meet specific conditions

  1. Select the cells you want to highlight.

  2. On the Format menu, click Conditional Formatting.

  3. Do one of the following:

    To use values in the selected cells as the formatting criteria, click Cell Value Is, select the comparison phrase, and then type a value in the appropriate box. You can enter a constant value or a formula. If you enter a formula, you must start it with an equal sign (=).

    To use a formula as the formatting criteria (to evaluate data or a condition other than the values in selected cells), click Formula Is in the box on the left, and then enter the formula in the box on the right. The formula must evaluate to a logical value of TRUE or FALSE.

  4. Click Format.

  5. Select the font style, font color, underlining, borders, shading, or patterns you want to apply.

    Microsoft Excel applies the selected formats only if the cell value meets the condition or if the formula returns a value of TRUE.

  6. To add another condition, click Add, and then repeat steps 3 through 5.

    You can specify up to three conditions. If none of the specified conditions are true, the cells keep their existing formats. You can use the existing formats to identify a fourth condition.

Tips

  • Copying formats to other cells Select the cells that have the conditional formats you want to copy. On the Formatting toolbar, click Format Painter [image] , and then select the cells you want to format. To copy only the conditional formats, select the cells you want to format and include at least one cell in the selection that has the conditional formats you want to copy. On the Format menu, click Conditional Formatting, and then click OK.

  • Using multiple conditions If more than one specified condition is true, Excel applies only the formats of the first true condition.


 Display a subset of rows in a list by using filters

Display a subset of rows in a list by using filters

You can apply filters to only one list on a worksheet at a time.

  1. Click a cell in the list you want to filter.

  2. On the Data menu, point to Filter, and then click AutoFilter.

  3. To display only the rows that contain a specific value, click the arrow in the column that contains the data you want to display.

  4. Click the value.

  5. To apply an additional condition based on a value in another column, repeat steps 3 and 4 in the other column.

    To filter the list by two values in the same column, or to apply comparison operators other than Equals, click the arrow in the column, and then click Custom. For information about displaying rows by comparing values, click [image] .

Notes

  • When you apply a filter to a column, the only filters available for other columns are the values visible in the filtered list.

  • You can apply up to two conditions to a column by using AutoFilter. To apply more complex filters or to copy filtered rows to another location, you can use advanced filters. For more information about using advanced filters, click [image] .


Wildcard characters you can use to find text or numbers

To find text or numbers that have some characters or digits in common, use a wildcard character. A wildcard character represents one or more unspecified characters.

Use | To find
? (question mark) | Any single character in the same position as the question mark For example, sm?th finds "smith" and "smyth"
* (asterisk) | Any number of characters in the same position as the asterisk For example, *east finds "Northeast" and "Southeast"
~ (tilde) followed by ?, *, or ~ | A question mark, asterisk, or tilde For example, fy91~? finds "fy91?"


Insert cells, rows, or columns

You can insert blank cells, rows, and columns and fill them with data. If you're moving and copying cells, you can insert them between the existing cells to avoid pasting over data.

What do you want to do?

Insert blank cells

Insert rows

Insert columns

Insert moved or copied cells between existing cells


 Insert blank cells

Insert blank cells

  1. Select a range of existing cells where you want to insert the new blank cells. Select the same number of cells as you want to insert.

  2. On the Insert menu, click Cells.

  3. Click Shift cells right or Shift cells down.


Insert columns

  1. To insert a single column, click a cell in the column immediately to the right of where you want to insert the new column. For example, to insert a new column to the left of Column B, click a cell in Column B.

    To insert multiple columns, select columns immediately to the right of where you want to insert the new columns. Select the same number of columns as you want to insert.

  2. On the Insert menu, click Columns.


Insert rows

  1. To insert a single row, click a cell in the row immediately below where you want the new row. For example, to insert a new row above Row 5, click a cell in Row 5.

    To insert multiple rows, select rows immediately below where you want the new rows. Select the same number of rows as you want to insert.

  2. On the Insert menu, click Rows.


 Move or copy cell data

Move or copy cell data

When you copy a cell by dragging or by clicking Cut [image] or Copy [image] , and Paste [image] , Microsoft Excel copies the entire cell, including formulas and their resulting values, comments, and cell formats.

If the selected copy area includes hidden cells, Microsoft Excel also copies the hidden cells. If the paste area contains hidden rows or columns, you might need to unhide the paste area to see all of the copied cells.

What do you want to do?

Move or copy characters within a cell

Move or copy part of a cell's contents into another cell

Move or copy whole cells

Copy cells within a row or column

Copy one selection to several locations

Collect and paste multiple items

Insert moved or copied cells between existing cells

Prevent copied blank cells from replacing existing data

Copy only visible cells, for example, from an outline


 Copy only values, formulas, comments, or cell formats

Copy only values, formulas, comments, or cell formats

Instead of copying entire cells, you can copy specified contents from the cells — for example, you can copy the resulting value of a formula without copying the formula itself.

  1. Select the cells you want to copy.

  2. Click Copy [image] .

  3. Select the upper-left cell of the paste area.

  4. On the Edit menu, click Paste Special.

    Show Me

  5. Click an option under Paste, and then click OK.

    For Help on an option, click the question mark [image] and then click the option.

Notes

  • Do not press ENTER after you click OK. If you do, the entire cells within the moving border are copied to the paste area. To cancel the moving border, press ESC.

  • When you copy comments, the copied comments replace any existing comments in the destination cells.


 Copy only visible cells

Copy only visible cells

If there are hidden cells, rows, or columns on your worksheet, you can copy only the visible cells — for example, you can copy only the displayed summary data on an outlined worksheet.

  1. Select the cells you want to copy.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Visible cells only, and then click OK.

  5. Click Copy [image] .

  6. Select the upper-left cell of the paste area.

  7. Click Paste [image] .

Note Microsoft Excel pastes the copied data into consecutive rows or columns. If the paste area contains hidden rows or columns, you might need to unhide the paste area to see all of the copied cells.


 Switch rows of cells to columns or columns to rows

Switch rows of cells to columns or columns to rows

Data from the top row of the copy area appears in the left column of the paste area, and data from the left column appears in the top row.

  1. Select the cells that you want to switch.

  2. Click Copy [image] .

  3. Select the upper-left cell of the paste area.

    The paste area must be outside the copy area.

  4. On the Edit menu, click Paste Special.
  5. Select the Transpose check box.


 Prevent copied blank cells from replacing existing data

Prevent copied blank cells from replacing existing data

If you copy a range that includes blank cells, use this procedure to prevent pasting blank cells over existing data.

  1. Select the cells you want to copy.

  2. Click Copy [image] .

  3. Select the upper-left cell of the paste area.

  4. On the Edit menu, click Paste Special.
  5. Select the Skip blanks check box.


 About collecting and pasting multiple items

About collecting and pasting multiple items

You can use the Office Clipboard to collect and paste multiple items. For example, you can copy text in a Microsoft Word document, switch to Excel and copy a drawing object, switch to PowerPoint and copy a bulleted list, switch to Access and copy a datasheet, and then switch back to Word and paste the collection of copied items.

This topic provides information about:

Automatically copying multiple items

Using the Clipboard toolbar

Comparing the Office Clipboard and Windows Clipboard

Office Clipboard capability

More information

Automatically copying multiple items

The Office Clipboard automatically copies multiple items when you do any of the following:

  • Copy or cut two different items consecutively in the same program.

  • Copy one item, paste the item, and then copy another item in the same program.

  • Copy one item twice in succession.

Return to top

Using the Clipboard toolbar

You can also copy multiple items by displaying the Clipboard toolbar and then clicking Copy [image] . If you open the Office Clipboard in one Office program, it also appears when you switch to another Office program. The Clipboard toolbar is not available in views where the Copy, Cut, and Paste commands are not available.

When the Clipboard toolbar is available, you can click Paste All [image] to paste all the items you have copied, or you can click an individual item to paste only that item. The Paste command on the Edit menu pastes only the last item you copied. However, after you paste anything from the Clipboard toolbar — either an individual item or all items — the Paste command pastes the last item pasted from the Clipboard toolbar.

Note You cannot customize the Clipboard toolbar.

Return to top

Comparing the Office Clipboard and Windows Clipboard

The Office Clipboard is separate from the Windows Clipboard. When you copy multiple items to the Office Clipboard, the last item you copy is always copied to the Windows Clipboard. When you clear the Office Clipboard, the Windows Clipboard is also cleared. When you use the Paste command on the Edit menu, the Paste button, or the paste shortcut key (CTRL+V), you paste the contents of the Windows Clipboard.

Return to top

Office Clipboard capability

The Office Clipboard can hold up to 12 items. If you try to copy a thirteenth item to it, a message asks whether you want to remove the first item from the Clipboard or, instead, not copy the thirteenth item. The collected items remain in the Office Clipboard until you close all open Office programs.

You cannot paste multiple items or display the Office Clipboard in a program other than Microsoft Excel, Word, Access, Outlook, or PowerPoint. However, if the Office Clipboard is shown in any Office program, any items you cut or copy in any program will be collected automatically.

Return to top

More information

Collect and paste multiple items

Paste a specific item from the Office Clipboard

Clear all items from the Office Clipboard

Return to top


 Collect and paste multiple items

Collect and paste multiple items

  1. Select the first item you want to copy.

  2. On the Clipboard toolbar, click Copy

  3. If the next item you want to copy is in another program, switch to that program.

  4. Select the next item you want to copy.

  5. On the Clipboard toolbar, click the Copy button.

    If the Clipboard toolbar is not available, click Copy on the Edit menu.

  6. Repeat steps 3 through 5 until you have copied all the items you want to copy (up to 12).

  7. Click where you want the items to be pasted.

  8. To paste all the items you copied, click Paste All [image] on the Clipboard toolbar.

    If you don't want to paste all the items you copied, you can paste specific items.

Notes

  • If the Clipboard toolbar is not available, you are in a program or view that doesn't support showing or pasting multiple items from the Office Clipboard. However, if the Office Clipboard appears in any Office program, any items you cut or copy in any program will be collected automatically.

  • When you use the Office Clipboard to copy and paste a formula in Microsoft Excel, the Office Clipboard pastes the value, not the formula.

  • If you copy multiple ranges in Excel, and then click the Paste All button, the ranges are pasted in one column, from top to bottom.

  • In Excel, the Paste All button is not available if any of the collected items is a drawing object or picture.


 Paste a specific item from the Office Clipboard

Paste a specific item from the Office Clipboard

  1. Click where you want the item to be pasted.

  2. On the Clipboard toolbar, click the item you want to paste.

    If the Clipboard toolbar is docked, click Items, and then click the item you want to paste.

  3. Repeat step 2 for each item you want to paste.

Tip To view the first 50 text characters in an item, rest the pointer over the item. If the item has no text to view or is a drawing object or picture, the text "Item n" or "Picture n" will appear, where n is the number 1 through 12, indicating the order in which the item was copied.


 View the contents of the Office Clipboard

View the contents of the Office Clipboard

  • On the View menu, point to Toolbars, and then click the Clipboard toolbar.

    If the Clipboard toolbar is docked, click Items.

Tip To view the first 50 text characters in an item, rest the pointer over the item. If the item has no text to view or is a drawing object or picture, the text "Item n" or "Picture n" will appear, where n is the number 1 through 12, indicating the order in which the item was copied.


 Clear all items from the Office Clipboard

Clear all items from the Office Clipboard

  • On the Clipboard toolbar, click Clear Clipboard [image] .


About joining text and values in multiple cells

Combining text

Combining text and numbers

Separating text into multiple columns

To combine, or concatenate, multiple strings of text or text and numbers, use the concatenation operator, the ampersand (&). For example, to create a list of names that combines first names in one column with last names in another column, use a formula with the concatenation operator.

Combining text

Names in the Name column are a combination of names in the FirstName column and names in the LastName column.

In the preceding example, each name in the First Name column is joined with the name in the Last Name column to produce a complete name in column C. The formula in cell C2 uses the ampersand (&) concatenation operator to join the text in cell A2 with the text in cell B2:

=A2&" "&B2

Note that the formula inserts a space between the first and last names by using a space enclosed within quotation marks. Use quotation marks to include any literal text — text that does not change — in the result.

To combine the names with the last name first, change the order of the formula and include a comma within the quotation marks.

Names joined together

To reorder the result, use =B2&", "&A2 in cell C2.

Return to top

Combining text and numbers

The concatenation operator can also join text and values, such as numbers and dates. For example, you can combine a salesperson's name and his or her percentage of sales.

Text and values joined together

The formulas in the Summary area combine values from the Salesperson and the % of Sales columns.

The formula in cell B19 in the preceding example uses the following formula:

=A14&" sold "&TEXT(B14,"0%")&" of the total sales."

Note the use of the TEXT worksheet function in the formula. When you join a number to a string of text by using the concatenation operator, use the TEXT worksheet function to format the number. The formula uses the underlying value from the referenced cell (.4 in this example) — not the formatted value you see in the cell (40%). The TEXT worksheet function restores the number formatting.

Return to top

Separating text into multiple columns

If you need to divide a column of text into two or more columns, you can use the Convert Text to Columns Wizard.

More information

Examples of commonly used formulas

Calculation operators

The CONCATENATE worksheet function

Return to top


 Separate copied text data into columns

Separate copied text data into columns

  1. Switch to the program and file from which you want to copy data.

  2. Select the data you want to copy.

  3. On the program's Edit menu, click Copy.

  4. Switch to your Microsoft Excel workbook, click the upper-left cell of the paste area, and then click Paste [image] .

  5. Select the range of cells that contains the pasted data.

    The range can be any number of rows tall, but no more than one column wide.

  6. On the Data menu, click Text to Columns.

  7. Follow the instructions in the Convert Text to Columns Wizard to specify how you want to divide the text into columns.


Check spelling or automatically correct spelling errors

What do you want to do?

Check spelling

Correct spelling and typing errors as you type

Add words to a custom spelling dictionary

Add an AutoCorrect entry during a spelling check

Not sure which choice you want?


About checking spelling and correcting errors as you type

Check spelling When you check spelling, Microsoft Excel checks the entire active worksheet, including cell values, cell comments, embedded charts, text boxes, buttons, and headers and footers. However, Excel does not check protected worksheets, formulas, or text that results from a formula.

If the formula bar is active when you check spelling, Excel checks only the contents of the formula bar. If you have a range selected, only the range is checked. How to check spelling all at once.

Correct spelling and typing errors as you type The AutoCorrect feature in Excel can correct common typing errors as you work. For example, it can change "adn" to "and" and change "their is" to "there is."

Add words to a custom spelling dictionary If you use words that aren't in the main dictionary — such as acronyms or proper names — you can add the words to a custom dictionary. Then Excel questions the words only if they're misspelled.

Add an AutoCorrect entry during a spelling check If you misspell a word consistently, you can add your misspelling as an AutoCorrect entry. Then any time you misspell it that same way, it is automatically corrected.

Notes

  • Excel shares spelling dictionaries and AutoCorrect entries with other Microsoft Office programs that you might use.

  • The language of the AutoCorrect list you are using changes depending on the keyboard layout.


 Prevent automatic corrections

Prevent automatic corrections

  1. On the Tools menu, click AutoCorrect.

    Show Me

  2. To prevent all automatic corrections, clear the Replace text as you type check box.

    To prevent specific types of corrections, clear the check box for the corresponding option.


 Change the name or contents of an AutoCorrect entry

Change the name or contents of an AutoCorrect entry

  1. On the Tools menu, click AutoCorrect.

    Show Me

  2. To change the name of an AutoCorrect entry, click the entry in the list, and then click Delete. Type a new name in the Replace box, and then click Add.

    To change the contents of an AutoCorrect entry, click the entry in the list. Retype or edit the entry in the With box, and then click Replace.


 Delete an AutoCorrect entry

Delete an AutoCorrect entry

  1. On the Tools menu, click AutoCorrect.

    Show Me

  2. In the list, click the entry you want to delete.

  3. Click Delete.


 Exclude specific abbreviations or capitalized text from automatic changes

Exclude specific abbreviations or capitalized text from automatic changes

  1. On the Tools menu, click AutoCorrect.

    Show Me

  2. Click Exceptions.

  3. To prevent Microsoft Excel from automatically capitalizing any word that is typed after an abbreviation, click the First Letter tab and type the abbreviation — including the period — in the Don't capitalize after box.

    To prevent Microsoft Excel from automatically correcting a word that contains a mixture of uppercase and lowercase letters, click the INitial CAps tab, and then type the word in the Don't correct box.

  4. Click Add, and then click OK.


 Add words to a custom spelling dictionary

Add words to a custom spelling dictionary

  1. Click Spelling [image] .

  2. When a word that you want to add to a custom dictionary is identified, click the custom dictionary in the Add words to box.

  3. Click Add.

Tips

  • To have the spelling checker recognize a word with different patterns of lowercase and capital letters — all lowercase, initial capital, or all uppercase letters — enter the word in a custom dictionary in all lowercase letters.

  • To add a word to a new custom dictionary, type a name for the new dictionary in the Add words to box, and then click Add.

  • To type a list of words in a custom dictionary, use Microsoft Word or the Notepad accessory program to open the custom dictionary that you use with Microsoft Excel. Type the words in the list; press ENTER after each word. You must save the file in Text Only format with a .dic file extension, for example, custom.dic. Save the dictionary in the folder that contains the main spelling dictionary.


 Add an AutoCorrect entry during a spelling check

Add an AutoCorrect entry during a spelling check

  1. Click Spelling [image] .

  2. When a word that you often misspell or mistype is identified, type the correct spelling in the Change to box.

    If you aren't sure of the spelling, click Suggest, and then click the correct spelling in the Suggestions list.

  3. To add the misspelled word to the list of automatic corrections, click AutoCorrect.


 Check the spelling of text in another language

Check the spelling of text in another language

To do this procedure, you must have installed the language you want to check with the Microsoft Office 2000 Multi-Language Pack

  1. Select the range of cells you want to check.

    To check the entire sheet, click any cell.

  2. Click Spelling [image] .

  3. In the Dictionary language box, click the language whose dictionary you want to use.


Troubleshoot editing data

What do you need help with?

When I press ENTER, the wrong data is inserted in the active cell.

Cell references are wrong after I move or copy cells.

The Find and Replace commands don't find data.

I can't undo the last action.

When I cut and paste, the selection becomes unselected


Troubleshoot collecting and pasting

I can't add additional items to the Office Clipboard.

The Clipboard toolbar no longer appears when I use the copy and paste shortcut keys.

The Clipboard toolbar is not available.


Troubleshoot correcting spelling and typing errors

What do you need help with?

I added words to a custom dictionary, but Microsoft Excel still questions them.

The spelling checker checked only part of my worksheet.

Microsoft Excel did not change every occurrence of a misspelled word, even though I chose the Change All button.


 About worksheet formatting

About worksheet formatting

Use these formatting features to effectively display your data.

Format text and individual characters To make text stand out, you can format all of the text in a cell or only selected characters. Select the characters you want to format, and then click a button on the Formatting toolbar.

Text formatting buttons on the Formatting toolbar

Rotate text and borders The data in a column is often very narrow while the label for the column is much wider. Instead of creating unnecessarily wide columns or abbreviated labels, you can rotate text and apply borders that are rotated to the same degree as the text.

Text and borders rotated 45 degrees

Add borders, colors, and patterns To distinguish between different types of information in a worksheet, you can apply borders to cells, shade cells with a background color, or shade cells with a color pattern.

Text with borders and a background color

Use the best number format You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.

Formula bar and a related cell

Format cells and lists quickly If your data is in a list, there are several ways to quickly format the list by using autoformats, styles, and the Format Painter button.


 Copy formats from one cell or range to another

Copy formats from one cell or range to another

  1. Select a cell or range that has the formatting you want to copy.

  2. On the Formatting toolbar, click Format Painter [image] .

  3. Select the cell or range you want to copy the formatting to.

Tips

  • Continue copying To copy the formatting in the selected cell or range to several locations, double-click the Format Painter button. When you finish copying the formatting, click the button again.

  • Copy column widths Select the heading of the column that is the width you want to copy, click the Format Painter button, and then click the heading of the column you want to copy the width to.


Change the size, font, color, or other text format

What do you want to do?

Change the font or font size

Shrink the font size to show all data in a cell

Change the default font and font size used in new workbooks

Change the text color

Make selected text or numbers bold, italic, or underlined


 Display multiple lines of text within a cell

Display multiple lines of text within a cell

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Alignment tab.

    Show Me

  3. Under Text control, select the Wrap text check box.

Tips

  • To start a new line of text at a specific point, click in the formula bar (or cell, if editing in the cell) where you want to break the line, and then press ALT+ENTER.

  • You can also shrink the font size to show all data in a cell.


 Change the font or font size

Change the font or font size

  1. Select whole cells or the specific text in a single cell that you want to format.

    How?

  2. In the Font box [image] on the Formatting toolbar, click the font you want.

    In the Font Size box [image] , click the font size you want.


 Shrink the font size to show all data in a cell

Shrink the font size to show all data in a cell

If a small amount of data isn't visible in a cell, you can reduce the font size of the data so that you don't have to resize the column.

To show multiple lines of text in a cell, use the Wrap text check box on the Alignment tab.

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Alignment tab.

    Show Me

  3. Select the Shrink to fit check box.


 Change the text color

Change the text color

  1. Select whole cells or the specific text in a single cell that you want to format.

    How?

  2. To apply the most recently selected color, click Font Color [image] on the Formatting toolbar.

    To apply a different color, click the arrow next to Font Color [image] , and then click a color on the palette.


 Make selected text or numbers bold, italic, or underlined

Make selected text or numbers bold, italic, or underlined

  1. Select whole cells or the specific text in a single cell that you want to format.

    How?

  2. On the Formatting toolbar, click a button for the format you want.
    To make text | Click
    Bold | Bold
    Italic | Italic
    Underlined | Underline


Format a PivotTable report

What do you want to do?

Change the format

Change PivotTable character and cell formatting

Change the number format for the data area in a PivotTable report

Change how a PivotTable report displays errors and empty cells

Use merged or regular cells for outer row and column labels in a PivotTable report

Change the layout

Insert a blank row after each item group for an outer PivotTable row field

Change a PivotTable report to indented or nonindented format

Change the layout of a PivotTable report

Not sure which choice you want?


 Apply borders to cells

Apply borders to cells

  1. Select the cells you want to add borders to.

  2. To apply the most recently selected border style, click Borders [image] on the Formatting toolbar.

    To apply a different border style, click the arrow next to Borders [image] , and then click a border on the palette.

Tips

  • More border settings To apply additional border styles, click Cells on the Format menu, and then click the Border tab. Click the line style you want, and then click a button to indicate the border placement.

  • Borders and rotated text To apply borders to selected cells that contain rotated text, use the Outline [image] and Inside [image] buttons on the Border tab. The borders are applied to the edges of the cells, which are rotated to the same degree as the rotated text.

  • Border styles To change the line style of an existing border, select the cells that the border appears on. On the Border tab, click a new style in the Style list, and then click the border you want to change in the diagram under Border.


 Shade cells with solid colors

Shade cells with solid colors

  1. Select the cells you want to apply shading to.

  2. To apply the most recently selected color, click Fill Color [image] on the Formatting toolbar.

    To apply a different color, click the arrow next to Fill Color [image] , and then click a color on the palette.


Shade cells with patterns

  1. Select the cells you want to apply shading to.

  2. On the Format menu, click Cells, and then click the Patterns tab.

  3. To include a background color with the pattern, click a color in the Cell shading box.

  4. Click the arrow next to the Pattern box, and then click the pattern style and color you want.

    If you do not select a pattern color, the pattern is black.


 Remove borders

Remove borders

  1. Select the cells you want to remove borders from.

  2. On the Formatting toolbar, click the arrow next to Borders [image] , and then click [image] on the palette.


 Remove shading

Remove shading

  1. Select the cells you want to remove shading from.

  2. On the Formatting toolbar, click the arrow next to Fill Color [image] , and then click No Fill.


 Add background patterns to an entire sheet

Add background patterns to an entire sheet

  1. Click the sheet to which you want to add a background pattern.

  2. On the Format menu, point to Sheet, and then click Background.

    Show Me

  3. Select the graphics file to use for the background pattern.

    The selected graphic is repeated to fill the sheet. You can apply solid color shading to cells that contain data.

Notes

  • If the Background command is not available, make sure you have only one sheet selected.

  • Background patterns do not print and are not retained in individual worksheets or items that you save as Web pages. However, if you publish an entire workbook as a Web page, the background is retained.


Remove a sheet background pattern

  1. Click the sheet with the background you want to remove.

  2. On the Format menu, point to Sheet, and then click Delete Background.


About highlighting cells that meet specific conditions

If a cell contains formula results or other cell values that you want to monitor, you can identify the cells by applying conditional formats. For example, you can apply green shading (highlighting) to the cell if the sales exceed forecast and red shading if sales fall short.

Cell values highlighted based on conditions

When conditions change If the value of the cell changes and no longer meets the specified condition, Microsoft Excel temporarily suppresses the formats that highlight that condition. Conditional formats remain applied to the cells until you remove them, even though none of the conditions are met and the specified cell formats are not displayed.

Shared workbooks and PivotTable reports In a shared workbook, conditional formats that are applied before a workbook is shared continue to work; however, you cannot modify the existing conditional formats or apply new ones. If you try to apply conditional formats to cells in a PivotTable report, you will get unpredictable results.


 Change, add, or remove conditional formats

Change, add, or remove conditional formats

  1. Select a cell that has the conditional formats you want to change or remove.

  2. On the Format menu, click Conditional Formatting.

    Show Me

  3. Change the operator, values, formula, or formats for each condition.

    To change formats, click Format for the condition you want to change. To reselect formats on the current tab of the Format Cells dialog box, click Clear.

    To add a new condition, click Add.

    To remove one or more conditions, click Delete, and then select the check box for the conditions you want to delete.

Tip To remove all conditional formats as well as all other cell formats for selected cells, point to Clear on the Edit menu, and then click Formats.


 Find cells that have conditional formats

Find cells that have conditional formats

  1. To find cells that have specific conditional formats, click a cell that has the conditional criteria and formats you want to locate.

    To find any cells on the worksheet that have conditional formats, click any cell.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Conditional formats.

  5. To find cells with identical conditional formats, click Same below Data validation.

    To find cells with any conditional formats, click All.


 Formulas as formatting criteria

Formulas as formatting criteria

You can compare the values of the selected cells to a constant or to the results of a formula. To evaluate data in cells outside the selected range or to examine multiple sets of criteria, you can use a logical formula to specify the formatting criteria.

  • Use the value in a cell as the condition If you select the Cell Value Is option and compare the values of the selected cells to the result of a formula, you must start the formula with an equal sign (=).

  • Use a formula as the condition If you select the Formula Is option, the formula you specify must return a logical value of TRUE (1) or FALSE (0). You must start the formula with an equal sign (=). The formula can evaluate data only on the active worksheet. To evaluate data on another sheet or in another workbook, you can define a name on the active worksheet for the data on another sheet or workbook, or enter a reference to the data in a cell of the active worksheet. Then refer to that cell or name in the formula. For example, to evaluate data in cell A5 on Sheet1 of the workbook Fiscal Year.xls, enter the following reference, including the equal sign (=), in a cell of the active sheet: =[Fiscal Year.xls]SHEET1!$A$5

    The formula can also evaluate criteria that is not based on worksheet data. For example, the formula =WEEKDAY("12/5/99")=1 returns a value of TRUE if the date 12/5/99 is a Sunday. Unless a formula specifically refers to the selected cells you are formatting, the cell values do not affect whether the condition is true or false. If a formula does refer to the selected cells, you must enter the cell references in the formula.

  • Use cell references as the condition You can enter cell references in a formula by selecting cells directly on a worksheet. Selecting cells on the sheet inserts absolute cell references. If you want Microsoft Excel to adjust the references for each cell in the selected range, use relative cell references.

  • Use dates Dates and times are evaluated as serial numbers. For example, if you compare the cell value with the date January 7, 2001, the date is represented by the serial number 36898.

Example 1: Use data in a cell

In the following example, conditional formats applied to the range B2:E3 analyze quarterly contributions to the yearly total. Quarterly results that contribute 30 percent or more to the total are displayed in bold and green. Quarterly results that contribute 20 percent or less are displayed in bold and red.

Cell values formatted based on conditions

The following table summarizes the conditional formats applied to the range B2:E3. Microsoft Excel adjusts the relative portion (the row number) of the cell reference $F2 in the formula so that each cell in the range B2:E3 is compared with the corresponding total in column F.

 | Cell Value Is | Formula | Formats
Condition 1 | Greater than or equal to | =$F2*0.3 | Bold, green font
Condition 2 | Less than or equal to | =$F2*0.2 | Bold, red font

Example 2: Use a formula and external cell references

In the following example, a formula examines data outside the selected cells to which the conditional formats are applied. If the average value of the range $A$1:$A$5 is greater than 3,000, and if values in the range are at least 1,800, the formula returns a value of TRUE, and the green shading is applied. The formatted cells can contain text or any value because they are not used in the formula.

Formula Is Formats
Condition 1 =AND(AVERAGE($A$1:$A$5)>3000,
MIN($A$1:$A$5)>=1800) 		Green cell shading

Example 3: Use a formula and a cell reference

In the following example, conditional formatting displays even numbers in the selected range A4:D20 in blue font color. The MOD function divides each number by 2, and if there is no remainder, the formula returns a value of TRUE.

 | Formula Is | Formats
Condition 1 | =MOD(A4,2)=0 | Blue font

This formula must evaluate each cell in the range. When you enter such a formula in the Conditional Formatting dialog box, however, enter only the cell reference for the active cell in the selected range. Microsoft Excel adjusts the references to the other cells relative to the active cell.

Verify a conditional format before applying it An easy way to ensure that formula references are correct is to apply the conditional formatting first to one cell in the range. Then select the entire range, click Conditional Formatting on the Format menu, and then click OK. The conditional formatting you applied to the first cell is applied to the entire range, with the formula correctly adjusted for each cell.


 Change column width

Change column width

  • Drag the boundary on the right side of the column heading until the column is the width you want.

    Column boundary being dragged

The displayed column width is the average number of digits 0 through 9 of the standard font that fit in a cell.

Tips

  • Fit the contents To make the column width fit the contents, double-click the boundary to the right of the column heading. To do the same for all columns on the worksheet, click the Select All button, and then double-click a boundary to the right of one of the column headings.

  • Change multiple columns To change the column width for multiple columns, select the columns you want to change, and then drag a boundary to the right of a selected column heading. To change the column width for all columns on the worksheet, click the Select All button, and then drag the boundary of any column heading.

  • Manually change the width To manually change the width, select the column, point to Column on the Format menu, click Width, and then enter a number.

  • Copy a width To copy the width of one column to another, select a cell in the column, click Copy [image] on the Standard toolbar, and then select the target column. On the Edit menu, click Paste Special, and then click Column widths.


 Change row height

Change row height

  • Drag the boundary below the row heading until the row is the height you want.

    Row boundary being dragged

Tips

  • Fit the contents To make the row height fit the contents, double-click the boundary below the row heading.

  • Change multiple rows To change the row height for multiple rows, select the rows you want to change, and drag a boundary below a selected row heading. To change the row height for all rows on the worksheet, click the Select All button, and then drag the boundary below any row heading.


 Merge cells to span several columns or rows

Merge cells to span several columns or rows

Microsoft Excel places only the upper-leftmost data in the selected range into the resulting merged cell. To include all data in the range in the merged cell, copy the data into the upper-leftmost cell within the range. For information about how to copy the data, click [image] .

  1. Select the cells you want to merge.

  2. To merge cells in a row and center the cell contents, click Merge and Center [image] on the Formatting toolbar.

    To merge any selection of cells within a row or column, click Cells on the Format menu, click the Alignment tab, and then select the Merge cells check box.

Tip You can change the text alignment in the merged cell by clicking Align Left [image] , Center [image] , or Align Right [image] on the Formatting toolbar. To make other changes to the text alignment, including the vertical alignment, use the options on the Alignment tab (Cells command, Format menu).


 Split a merged cell into separate cells

Split a merged cell into separate cells

  1. Click the merged cell.

  2. On the Format menu, click Cells, and then click the Alignment tab.

    Show Me

  3. Clear the Merge cells check box.


 Center, align, indent, or rotate data in a cell

Center, align, indent, or rotate data in a cell

In cells that have the default General format, text data is left-aligned, and numbers, dates, and times are right-aligned. Changing the alignment does not change the type of data.

To center or align data that spans several columns or rows, such as column and row labels, you can merge a selected range of cells and align the text within the resulting merged cell.

What do you want to do?

Center data or align data to the left or right

Indent text from the left edge of a cell

Rotate text in a cell

Align data at the top, center, or bottom of a cell


 About number formats

About number formats

This topic provides reference information about:

The General number format

Built-in number formats

Custom number formats

In Microsoft Excel, you can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance. The number format you apply does not affect the actual cell value — displayed in the formula bar — that Excel uses to perform calculations.

Formula bar and a related cell

The General number format

The General format is the default number format. For the most part, what you enter in a cell that is formatted with the General format is what is displayed. However, if the cell is not wide enough to show the entire number, the General format rounds numbers with decimals and uses scientific notation for large numbers. You can reset a number format to the General format.

Return to top

Built-in number formats

Excel contains many built-in number formats you can choose from. To see a complete list of these formats, click Cells on the Format menu, and then click the Number tab. The formats appear in categories on the left, including accounting, date, time, fraction, scientific, and text. The Special category includes formats for postal codes and phone numbers. Options for each category appear to the right of the Category list.

Return to top

Custom number formats

If a built-in number format doesn't display data the way you want, you can use the Custom category on the Number tab (Format menu, Cells command) to create a custom number format. Custom number formats use format codes that describe how you want to display a number, date, time, or text.

Return to top

More information

About basic custom number format codes

About custom number formats for dates and times

About custom number formats for currency, percentages, and exponential notation

About custom number formats for text and spacing


 Reset a number format

Reset a number format

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click General.


 Change how a number looks without changing the number

Change how a number looks without changing the number

In Microsoft Excel, you can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance. For example, you can display a number such as .08 as 8%.

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click a category, and then select the options you want.

Note If you don't find the option you want, you can create a custom number format.


 Increase or decrease the number of decimal places shown

Increase or decrease the number of decimal places shown

  1. Select the cells you want to format.

  2. On the Formatting toolbar, do one of the following:

    To display fewer digits after the decimal point, click Decrease Decimal [image] .

    To display more digits after the decimal point, Increase Decimal [image] .

Notes

  • Number formats You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.

  • Built-in number formats You can also set the number of decimal places in a built-in number format. On the Format menu, click Cells, and then click the Number tab. In the Category list, click Currency, Accounting, Percentage, or Scientific. In the Decimal places box, enter the number of decimal places you want to display.

  • Fixed decimal places You can also set the number of decimal places to use when entering numbers in a workbook.


 Show numbers as a postal code, Social Security number, or phone number

Show numbers as a postal code, Social Security number, or phone number

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Special, and then select the format you want to use.

Notes

  • If a range of cells contains both five-digit and nine-digit ZIP Codes, you can apply a custom format that displays either type of ZIP Code correctly. In the Category list, click Custom, and then type the following in the Type box:

[<=99999]00000;00000-0000

  • If you don’t find what you’re looking for, you can create a custom number format.

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.


 Show numbers as fractions

Show numbers as fractions

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Fraction, and then click the type of fraction you want to use.

Note You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.


 Show numbers as percentages

Show numbers as percentages

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Percentage.

Notes

  • Numbers above 1 are automatically entered as percentages; and numbers below 1 are converted to percentages by multiplying by 100. For example, entering 10 results in 10%, and entering .1 results in 10%. To have all numbers converted by multiplying by 100, on the Tools menu, click Options, click the Edit tab, and then clear the Enable automatic percent entry check box.

  • To quickly display numbers as percentages of 100, click Percent Style [image] on the Formatting toolbar.

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.


 Show or hide the thousands separator in a number

Show or hide the thousands separator in a number

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Number.

  4. Select or clear the Use 1000 separator (,) check box.

Notes

  • To quickly add commas to separate thousands, select the cells, and then click Comma Style [image] on the Formatting toolbar.

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.


 Display leading or trailing zeros in a number

Display leading or trailing zeros in a number

You can use custom number formats to retain leading zeros in numbers that you enter.

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Custom.

  4. In the Type box, edit the number format codes to create the format you want.

    Editing a built-in format does not remove the format.

    To display | Use this code
    12 as 00012 and 123 as 00123 | 00000
    12 as 00012 and 123 as 000123 | "000"#
    123 as 0123 | "0"#
    8.9 as 8.900 | #.000
    .631 as 0.6 | 0.#

Notes

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.

  • Learn about using custom number formats for decimals and significant digits.

  • You can also use the & (ampersand) text operator to join, or concatenate, two values to produce one continuous text value.


Display or hide zero values

By default, zero values are displayed as 0's (zeros). You can set options to display all zero values on a worksheet as blank cells, or you can format selected cells to hide the 0's.

What do you want to do?

Display or hide zero values on an entire worksheet

Hide zero values or other data in selected cells


 Display or hide zero values on an entire worksheet

Display or hide zero values on an entire worksheet

  1. On the Tools menu, click Options, and then click the View tab.

    Show Me

  2. Do one of the following:

    To display zero (0) values in cells, select the Zero values check box.

    To display zero values as blank cells, clear the check box.


 Hide zero values in selected cells

Hide zero values in selected cells

Caution This topic applies a format to hide zero values in selected cells. If the value in one of these cells changes to a nonzero value, the format of the value will be similar to the General number format.

  1. Select the cells that contain the zeros (0's) you want to hide.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Custom.

  4. In the Type box, type 0;-0;;@

Notes

  • The hidden values appear only in the formula bar — or in the cell if you edit within the cell — and are not printed.

  • To display hidden values again, select the cells, click the Cells command on the Format menu, and then click the Number tab. In the Category list, click General to apply the default number format. To redisplay a date or a time, select the appropriate date or time format on the Number tab.


 Hide or unhide formulas

Hide or unhide formulas

To prevent formulas from displaying in the formula bar, you must format the cells that contain the formulas as hidden and then protect the worksheet. Follow the procedure below to hide formulas. To unhide hidden formulas, remove the protection from the worksheet.

  1. Select the range of cells whose formulas you want to hide. You can also select nonadjacent ranges or the entire sheet.

  2. On the Format menu, click Cells, and then click the Protection tab.

    Show Me

  3. Select the Hidden check box.

  4. Click OK.

  5. On the Tools menu, point to Protection, and then click Protect Sheet.

  6. Make sure the Contents check box is selected.


 Hide all values in a cell

Hide all values in a cell

  1. Select the cells that contain the values you want to hide.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Custom.

  4. In the Type box, select the existing codes and press BACKSPACE.

  5. In the Type box, type ;;; (three semicolons).

    The hidden values appear only in the formula bar — or in the cell if you edit within the cell — and are not printed.

Tip To display hidden values again, select the cells, click the Cells command on the Format menu, and then click the Number tab. In the Category list, click General to apply the default number format. To redisplay a date, a time, or values that have a specific number format, select the appropriate date, time, or number format on the Number tab.


 Show dates with slashes or dashes

Show dates with slashes or dashes

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Date, and then click the format you want to use.

Notes

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.

  • If you don’t find what you’re looking for, you can create a custom number format by using format codes for dates and times.


 Show times with colons, periods, AM, or PM

Show times with colons, periods, AM, or PM

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Time, and then click the format you want to use.

Notes

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.

  • If you don’t find what you’re looking for, you can create a custom number format by using format codes for dates and times.


 Add text before or after a number

Add text before or after a number

If a column you want to sort contains both numbers and text (such as Product #15, Product #100, Product #200), it may not sort as expected. You can use a number format to add text without changing the sorting behavior of the number.

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click a category, and then click a built-in format that resembles the one you want.

  4. In the Category list, click Custom.

  5. In the Type box, edit the number format codes to create the format you want.

    To display both text and numbers in a cell, enclose the text characters in double quotation marks (" ") or precede the numbers with a backslash (\). Editing a built-in format does not remove the format.
    To display | Use this code
    12 as Product #12 | "Product # " 0
    12:00 as 12:00 AM EST | h:mm AM/PM "EST"
    -12 as $-12.00 Shortage and 12 as $12.00 Surplus | $0.00 "Surplus";$-0.00 "Shortage"

Notes

  • You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance.

  • Learn about using custom number formats for text and spacing.

  • You can also use the & (ampersand) text operator to join, or concatenate, two values to produce one continuous text value.


 Format numbers as text

Format numbers as text

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click Text, and then click OK.

  4. Enter the numbers in the formatted cells.


 Format existing numbers as text

Format existing numbers as text

Microsoft Excel stores numbers as numeric data even if you later apply the text format to cells that contain the numbers. If you want Excel to interpret numbers such as part numbers as text, first apply the text format to empty cells and then type the numbers. If you've already entered the numbers, you can change the numbers to text data.

  1. Select the cells that contain the numbers you want to format as text.

  2. On the Format menu, click Cells, and then click the Number tab.

  3. In the Category list, click Text, and then click OK.

  4. Click each cell, press F2, and then press ENTER to reenter the data.


 Create a custom number format

Create a custom number format

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  3. In the Category list, click a category, and then click a built-in format that resembles the one you want.

  4. In the Category list, click Custom.

  5. In the Type box, edit the number format codes to create the format you want.

    Editing a built-in format does not remove the format.

    You can specify up to four sections of format codes. The sections, separated by semicolons, define the formats for positive numbers, negative numbers, zero values, and text, in that order. If you specify only two sections, the first is used for positive numbers and zeros, and the second is used for negative numbers. If you specify one section, all numbers use that format. If you skip a section, include the ending semicolon for that section.

    Custom number format with four sections #,##.00_);[Red] (#,###.00);0.00;"sales "@

    Use format codes that describe how you want to display a number, date or time, currency, percentage, or scientific notation, and text or spacing.


About number format codes for dates and times

Days, months, and years To display days, months, and years, include the following format codes in a section. If you use "m" immediately after the "h" or "hh" code or immediately before the "ss" code, Microsoft Excel displays minutes instead of the month.

To display | Use this code
Months as 1–12 | M
Months as 01–12 | Mm
Months as Jan–Dec | Mmm
Months as January–December | Mmmm
Months as the first letter of the month | Mmmmm
Days as 1–31 | D
Days as 01–31 | Dd
Days as Sun–Sat | Ddd
Days as Sunday–Saturday | Dddd
Years as 00–99 | Yy
Years as 1900–9999 | Yyyy

Hours, minutes, and seconds To display hours, minutes, and seconds, include the following format codes in a section.

To display | Use this code
Hours as 0–23 | H
Hours as 00–23 | Hh
Minutes as 0–59 | M
Minutes as 00–59 | Mm
Seconds as 0–59 | S
Seconds as 00–59 | Ss
Hours as 4 AM | h AM/PM
Time as 4:36 PM | h:mm AM/PM
Time as 4:36:03 P | h:mm:ss A/P
Elapsed time in hours; for example, 25.02 | [h]:mm
Elapsed time in minutes; for example, 63:46 | [mm]:ss
Elapsed time in seconds | [ss]
Fractions of a second | h:mm:ss.00

AM and PM If the format contains an AM or PM, the hour is based on the 12-hour clock, where "AM" or "A" indicates times from midnight until noon and "PM" or "P" indicates times from noon until midnight. Otherwise, the hour is based on the 24-hour clock. The "m" or "mm" code must appear immediately after the "h" or "hh" code or immediately before the "ss" code; otherwise, Microsoft Excel displays the month instead of minutes.


About number format codes for currency, percentages, and scientific notation

Currency symbols To enter one of the following currency symbols in a number format, turn on NUM LOCK and use the numeric keypad to enter the ANSI code for the symbol.

To enter | Hold down ALT and type this code
¢ | 0162
£ | 0163
¥ | 0165
 | 0128

Note Custom formats are saved with the workbook. To have Microsoft Excel always use a specific currency symbol, change the currency symbol selected in Regional Settings in Control Panel before you start Excel.

Percentage To display numbers as a percentage of 100, include the percent sign (%) in the number format. For example, a number such as .08 appears as 8%; 2.8 appears as 280%.

Scientific notation To display numbers in scientific format, use "E-," "E+," "e-," or "e+" exponent codes in a section. If a format contains a 0 (zero) or # (number sign) to the right of an exponent code, Excel displays the number in scientific format and inserts an "E" or "e". The number of 0's or #'s to the right of a code determines the number of digits in the exponent. E- or e- places a minus sign by negative exponents. E+ or e+ places a minus sign by negative exponents and a plus sign by positive exponents.


 About number format codes for decimal places, spaces, colors, and conditions

About number format codes for decimal places, spaces, colors, and conditions

Use number format codes to create a custom number format.

Decimal points and significant digits To format fractions or numbers with decimal points, include the following digit placeholders in a section. If a number has more digits to the right of the decimal point than there are placeholders in the format, the number rounds to as many decimal places as there are placeholders. If there are more digits to the left of the decimal point than there are placeholders, the extra digits are displayed. If the format contains only number signs (#) to the left of the decimal point, numbers less than 1 begin with a decimal point.

  • # displays only significant digits and does not display insignificant zeros.

  • 0 (zero) displays insignificant zeros if a number has fewer digits than there are zeros in the format.

  • ? adds spaces for insignificant zeros on either side of the decimal point so that decimal points align when formatted with a fixed-width font, such as Courier New. You can also use ? for fractions that have varying numbers of digits.
To display | Use this code
1234.59 as 1234.6 | ####.#
8.9 as 8.900 | #.000
.631 as 0.6 | 0.#
12 as 12.0 and 1234.568 as 1234.57 | #.0#
44.398, 102.65, and 2.8 with aligned decimals | ???.???
5.25 as 5 1/4 and 5.3 as 5 3/10, with aligned division symbols | # ???/???

Thousands separator To display a comma as a thousands separator or to scale a number by a multiple of one thousand, include a comma in the number format.

To display | Use this code
12000 as 12,000 | #,###
12000 as 12 | #,
12200000 as 12.2 | 0.0,,

Color To set the color for a section of the format, type the name of one of the following eight colors in square brackets in the section. The color code must be the first item in the section.

[Black] | [Blue]
[Cyan] | [Green]
[Magenta] | [Red]
[White] | [Yellow]

Conditions To set number formats that will be applied only if a number meets a condition you specify, enclose the condition in square brackets. The condition consists of a comparison operator and a value. For example, the following format displays numbers less than or equal to 100 in a red font and numbers greater than 100 in a blue font.

[Red][<=100];[Blue][>100]

To apply conditional formats to cells — for example, color shading that depends on the value of a cell — use the Conditional Formatting command on the Format menu.


About number format codes for text and spacing

Adding characters To display both text and numbers in a cell, enclose the text characters in double quotation marks (" ") or precede a single character with a backslash (\). Include the characters in the appropriate section of the format codes. For example, type the format $0.00" Surplus";$-0.00" Shortage" to display a negative amount as "$-125.74 Shortage." A space character and the following characters are displayed without the use of quotation marks: $ - + / ( ) : ! ^ & ' (left single quotation mark) ' (right single quotation mark) ~ { } = < >

Including a section for text If included, a text section is always the last section in the number format. Include an at sign (@) in the section where you want to display any text entered in the cell. If the @ character is omitted from the text section, text you enter will not be displayed. If you want to always display specific text characters with the entered text, enclose the additional text in double quotation marks (" ") — for example, "gross receipts for "@

If the format does not include a text section, text you enter is not affected by the format.

Adding space To create a space the width of a character in a number format, include an underscore (_) followed by the character. For example, when you follow an underscore with a closing parenthesis (_)), positive numbers line up correctly with negative numbers that are enclosed in parentheses.

Repeating characters To repeat the next character in the format to fill the column width, include an asterisk (*) in the number format. For example, type 0*- to include enough dashes after a number to fill the cell.


 Delete a custom number format

Delete a custom number format

  1. On the Format menu, click Cells, and then click the Number tab.

    Show Me

  2. In the Category list, click Custom.

  3. At the bottom of the Type box, click the custom format you want to delete.

  4. Click Delete.

    You can delete only custom formats. Microsoft Excel applies the default General format to any cells in the workbook that were formatted with the deleted custom format.


Dates that I have entered in the worksheet don't look the same.

When a date is entered in a cell, the date appears in either a default date format or in a format that was applied to the cell before the date was entered. The default date format is based on settings on the Date tab in the Regional Settings dialog box (Windows Control Panel). If these date settings have changed, any existing dates in your workbooks that have not been formatted with the Format Cells command also change.


 About formatting cells and lists quickly

About formatting cells and lists quickly

Apply an autoformat to a range To format an entire list or other large range that has distinct elements — for example, column and row labels, summary totals, and detail data — you can apply an autoformat. The design uses distinctive formats for the various elements in the range.

Create and apply a style To apply several formats in one step and ensure that cells have consistent formatting, you can apply a style to the cells. Microsoft Excel has styles you can use to format numbers as currency, as percentages, or with commas that separate thousands. You can create your own styles to apply a font and font size, number formats, cell borders, and shading and to protect cells from changes. If your data is in an outline, you can apply styles according to outline level.

Copy formats from one cell or range to another If you've already formatted some cells on a worksheet the way you want, you can use the Format Painter button to copy the formatting to other cells.

Automatically extend formats in a list If you enter rows at the end of a list that you've already formatted, the formatting is automatically extended. You can turn automatic formatting on or off.


Format cells and lists quickly

What do you want to do?

Apply an autoformat to a range

Create a new style

Apply an existing style

Apply styles to an outline

Copy formats from one cell or range to another

Turn on or off continuing formats at the end of lists

Not sure what you want to do?


 Apply an autoformat to a range

Apply an autoformat to a range

  1. Select the range you want to format.

  2. On the Format menu, click AutoFormat.

    Show Me

  3. Click the format you want.

    To use only selected parts of the autoformat, click Options, and then clear the check boxes for the formats you don't want to apply.


 Remove an autoformat from a range of cells

Remove an autoformat from a range of cells

  1. Select the range that has the autoformat you want to remove.

  2. On the Format menu, click AutoFormat.

    Show Me

  3. At the bottom of the list, click the format above None.


 Create a new style

Create a new style

  1. Select a cell that has the combination of formats you want to include in the new style.

  2. On the Format menu, click Style.

    Show Me

  3. In the Style name box, type a name for the new style.

  4. To define and apply the style to the selected cells, click OK.

    To define the style without applying it, click Add, and then click Close.

Tip If no cells have the formats you want for the style, you can specify the formats when you name the style. For more information, click [image] .


 Apply a style

Apply a style

  1. Select the cells you want to format.

  2. On the Format menu, click Style.

    Show Me

  3. In the Style name box, click the style you want.

Tip To apply common number styles to selected cells, click Comma Style [image] , Currency Style [image] , or Percent Style [image] on the Formatting toolbar.


 Apply styles to an outline

Apply styles to an outline

This procedure automatically applies styles to outlined data — or to data you are about to outline — according to outline level.

  1. Select the cells that you want to apply outline styles to.

  2. On the Data menu, point to Group and Outline, and then click Settings.

    Show Me

  3. Select the Automatic styles check box.

  4. Do one of the following:

    To apply the styles to data that is already outlined, click Apply Styles.

    To create an outline and apply the styles to it, click Create.

Notes

  • In data outlined by rows, Microsoft Excel uses styles RowLevel_1, RowLevel_2, and so forth. For data outlined by columns, the styles are ColLevel_1, ColLevel2, and so forth. You can modify these styles to include the formats you want.

  • When you insert automatic subtotals in a list, Excel formats the subtotals automatically. You can change these formats by applying styles to the outline.

  • You can also format outlined data by using autoformats. Learn how to apply autoformats.


 Remove a style from selected cells

Remove a style from selected cells

  1. Select the cells that are formatted with the style you want to remove.

  2. On the Format menu, click Style.

    Show Me

  3. In the Style name box, click Normal.


 Change the formats for an existing style

Change the formats for an existing style

  1. Click a cell with the formats that you now want to use for the style.

  2. On the Format menu, click Style.

    Show Me

  3. In the Style name box, type the name of the style you want to change.

    You must type the name. Do not select the name from the list.

  4. Click Add.

Tip If no cells on your worksheet have the formatting you want, you can specify the formats. For more information, click [image] .


 Specify formats for a style

Specify formats for a style

  1. On the Format menu, click Style.

    Show Me

  2. In the Style name box, type a name for a new style.

    To change formats for an existing style, click the style you want to change.

  3. Click Modify.

  4. On any of the tabs in the dialog box, select the formats you want, and then click OK.

    For Help on an option, click the question mark [image] and then click the option.

  5. Clear the check box for any type of formats that you don't want the style to include.

  6. To define and apply the style to the selected cells, click OK.

    To define the style without applying it, click Add, and then click Close.


 Delete a style from the style list

Delete a style from the style list

  1. On the Format menu, click Style.

    Show Me

  2. In the Style name box, click the style you want to delete.

  3. Click Delete.

Note You cannot delete the Normal style. If you delete the Currency, Comma, or Percent style, you won't be able to use the Comma Style [image] , Currency Style [image] , or Percent Style [image] button on the Formatting toolbar.


 Copy styles from another workbook

Copy styles from another workbook

  1. Open the workbook that contains the styles you want to copy.

  2. Open the workbook you want to receive the styles, and then click Style on the Format menu.

  3. Click Merge.

  4. In the Merge styles from box, double-click the workbook that contains the styles you want to copy.

Note If the active workbook contains styles that have the same name as styles you want to copy, you must confirm that you want to merge the styles that have the same names. To replace the styles in the active workbook with the copied styles, click Yes. To keep the styles in the active workbook, click No. This warning occurs only once, regardless of the number of conflicting style names.


 Save styles to use in new workbooks

Save styles to use in new workbooks

  1. Open a new blank workbook.

  2. Open the workbook that contains the styles you want to save.

  3. Copy the styles from your workbook to the blank workbook.

  4. In the blank workbook, click Save As on the File menu.

    Show Me

  5. In the File name box, type book

  6. In the Save as type list, click Template (*.xlt).

  7. In the Save in list, click the XLStart folder.

  8. Click Save.

    The styles you save will be available in all new workbooks that you subsequently create by clicking New [image] .


Troubleshoot formatting cells

What do you need help with?

Rotated text isn't displayed at the correct angle.

The rotate text option doesn't work or isn't available.

Borders aren't displayed the way I want.

Diagonal borders are displayed over rotated text.

Why can't I use all formats as conditional formats?

Formats such as font color and cell shading automatically change.

Conditional formats are not applied correctly.

The settings I applied in the Conditional Formatting dialog box are now blank.


Troubleshoot formatting numbers, dates, and times

What do you need help with?

Numbers aren't displayed or calculated as numeric values.

Leading zeros aren't displayed in numbers such as postal codes.

I want to format numbers as text data.

Numbers suddenly change to #####.

Decimal points are added to all the numbers I enter.

The number in a worksheet cell isn't the same as the number in the formula bar.

Text or other data I enter isn't displayed in the cells.


What to do before you print (Overview)

To display this topic, click the graphic.

To display this topic, click the graphic


 Print the active sheets, a selected range, or an entire workbook

Print the active sheets, a selected range, or an entire workbook

If the worksheet has a defined print area, Microsoft Excel will print only the print area. If you select a range of cells to print and then click Selection, Microsoft Excel prints the selection and ignores any print area defined for the worksheet.

  1. On the File menu, click Print.

    Show Me

  2. Under Print what, select the option you want.

Tip If you want to print more than one sheet at the same time, select the sheets before you print. For more information about selecting multiple sheets, click [image] .


View the printing status of files as they print

  • Double-click the printer icon [image] that appears on the Windows taskbar.

    After a file prints, the icon disappears.


 Send a fax

Send a fax

To do this procedure, you must have installed fax software and hardware.

  1. Create or open the workbook you want to fax.

  2. On the File menu, click Print.

    Show Me

  3. In the Name box, click the fax driver.

  4. Select the other print options you want, and then click OK.


 About printing a PivotTable report

About printing a PivotTable report

Microsoft Excel provides print settings that are specific to PivotTable reports. These settings are particularly helpful when you print large PivotTable reports in indented format.

Using row and column labels as print titles You can repeat the row and column labels of a PivotTable report on every printed page. The PivotTable row and column labels include the field and item labels for all row, column, and data fields. Because this setting applies to all row and column labels in the report, when you change the layout of the report so that different worksheet rows and columns contain the field and item labels, the new row and column labels are repeated automatically the next time you print the report.

Excel repeats the row and column labels only if you have not set any worksheet print titles by using the Sheet tab in the Page Setup dialog box (File menu). To ensure that the PivotTable row and column labels are printed, delete any worksheet print titles specified in the Page Setup dialog box before you print the PivotTable report.

Repeating item labels When you have two or more row fields and a page break falls within an item group, you can automatically repeat the item labels for the outer fields at the top of the next page. Item labels are repeated for all fields to the left of the field for which the page break separated a group of items.

Repeating item labels after a page break

If a page break falls between items in the Product field, the current items in the Salesperson and Region fields are reprinted at the top of the next page.

Setting page breaks You can set automatic page breaks after each item in an outer row field (outer row fields include all but the innermost row field). The setting applies to all items in the field. To adjust what appears on each printed page, you can move these page breaks, delete these page breaks, and add new page breaks manually.

Multiple PivotTable reports on a worksheet If you have more than one PivotTable report on a worksheet and you want to use the PivotTable print settings, set a print area to include only the PivotTable report you want to print. Otherwise, the rows and columns with the field and item labels aren't repeated, and page breaks from one report can affect the other PivotTable reports.

Printing the PivotTable report Excel uses your PivotTable print settings whenever you print any part of a PivotTable report. Other print settings in Excel also affect how the PivotTable report looks on the printed page.


Set up a new printer

  1. On the Windows Start menu, point to Settings, and then click Printers.

  2. Double-click the Add Printer icon [image].

  3. Follow the instructions in the Add Printer Wizard.

    If you want to print a test page, make sure your printer is turned on and ready to print.

Tip If you want to use a shared network printer, you can double-click the Network Neighborhood icon on the Windows desktop to set up the printer. Double-click the computer that is connected to the shared printer. Click the printer icon, and then click Install on the File menu.


Set the default printer

To do this procedure, you must have set up an additional printer.

  1. On the Windows Start menu, point to Settings, and then click Printers.

  2. Right-click the icon for the printer you want to use as the default printer, and then click Set As Default on the shortcut menu.

    If there is a check mark next to this command, the printer is already set as the default.


 Print row numbers and column letters on every page

Print row numbers and column letters on every page

Row and column headings describe the location of information on the worksheet. Row headings are the row numbers to the left of the worksheet; column headings are the letters or numbers that appear at the top of the columns on a worksheet.

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. Select the Row and column headings check box.


 Print row and column labels on every page

Print row and column labels on every page

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. To repeat column labels on every page, click Rows to repeat at top, and then enter the rows that contain the column labels.

    To repeat row labels on every page, click Columns to repeat at left, and then enter the columns that contain the row labels.

Note Microsoft Excel prints repeating row and column labels only on the pages that include the labeled rows or columns. Pages for rows below the labeled rows or columns to the right of the labeled columns are printed without the repeating labels. How to print repeating labels for additional rows or columns.


 Print a worksheet with cell gridlines

Print a worksheet with cell gridlines

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. Select the Gridlines check box.

Note Large worksheets print faster if you do not select the Gridlines check box.


 Print a worksheet without cell gridlines

Print a worksheet without cell gridlines

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. Clear the Gridlines check box.


 Print a worksheet with comments

Print a worksheet with comments

If you want to print the comments in the positions where they appear on the sheet, you must first display the comments that you want to print. To display all comments, click Comments on the View menu. Move and resize the comments, as necessary.

To display an individual comment, right-click the cell that contains the comment, and then click Show Comment on the shortcut menu.

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. Do one of the following:

    To print the comments at the end of the sheet, click At end of sheet in the Comments box.

    To print the comments where they appear on the worksheet, click As displayed on sheet in the Comments box.

Note To print comments, you must also print the worksheet that contains them.


 Print more than one copy of a sheet or workbook

Print more than one copy of a sheet or workbook

  1. On the File menu, click Print.

    Show Me

  2. In the Number of copies box, enter the number of copies you want to print.

Note To organize pages when you print multiple copies of a worksheet or workbook, select the Collate check box. A complete copy of the print job is printed before the first page of the next copy is printed. If you prefer to print all copies of the first page and then print all copies of subsequent pages, clear the check box.


 Print several workbooks at once

Print several workbooks at once

All workbook files you want to print must be in the same folder.

  1. On the File menu, click Open.

    Show Me

  2. Hold down CTRL and click the name of each workbook you want to print.

  3. On the Tools menu, click Print.


 Print a workbook to a file

Print a workbook to a file

If you print a workbook to a file so that you can later print the file on a different type of printer than the one used to create the document, the page breaks and font spacing may change.

  1. On the File menu, click Print.

    Show Me

  2. In the Printer box, click the printer on which you want to print the file.

  3. Select the Print to file check box, and then click OK.

  4. In the File name box in the Print to file dialog box, type a name for the file you want to print.


Speed up printing a worksheet

Printing a quick draft You can speed up the time it takes to print a worksheet by temporarily changing the print quality. If you know the printer resolution you want to use, you can change the print quality for the printer. If you are unsure of the resolution (or quality), you can print the document in draft quality, which increases printing speed by ignoring formatting and most graphics.

Printing in black and white On black-and-white printers, Microsoft Excel prints colors as gray shades. You can reduce the amount of time it takes Excel to print a worksheet that contains colors by printing colors in black and white. When you print a worksheet by using only black and white, Excel prints fonts and borders formatted in color as black, not as gray shades. Excel also prints cell and AutoShape backgrounds as white and prints other graphics and charts in shades of gray.

Printing without gridlines Large worksheets print faster if gridlines are not printed.

What do you want to do?

Set the print quality

Print in draft quality

Print only in black and white

Print without gridlines

Learn more about printing


 Size and set up a chart for printing

Size and set up a chart for printing

  • If the chart is embedded on a worksheet, you can adjust where it will print on the page by sizing and moving the chart with the mouse in page break view. To do this, click the worksheet outside of the chart area, and then click Page Break Preview on the View menu.

  • If you're working with a chart sheet, you can size and scale the chart area, specify how it should be placed on the printed page, and then view it in the preview window. To set printing options for a chart sheet, click the tab for the chart sheet, click Page Setup on the File menu, and then select the options you want on the Chart tab.

    To move and size the chart area of a chart sheet by using the mouse, you must click Custom on the Chart tab and then click OK to return to the chart sheet.

Tips

  • To print an embedded chart without its associated worksheet data, click the embedded chart to select it, and then follow the preceding instructions for chart sheets. You can move and size the chart area of an embedded chart without using the Custom option on the Chart tab (File menu, Page Setup command).

  • You can hide the display of field buttons in a PivotChart report before printing.


 About the Print Preview window

About the Print Preview window

Before you print a worksheet, click Print Preview [image] to see how the sheet will look when you print it. The way pages appear in the preview window depends on the available fonts, the resolution of the printer, and the available colors.

Previewing specific sheets or pages

Range of pages To preview a specific range of pages, click Print. Under Print range, click Page(s), specify the pages to print in the From and To boxes, and then click Preview.

Embedded chart If a worksheet contains an embedded chart, print preview displays both the worksheet and the chart. You can move or resize the chart in normal view or page break preview. If you select an embedded chart before you click Print Preview [image] , Microsoft Excel displays only the embedded chart.

Page number and total pages The status bar at the bottom of the screen shows the current page number and the total number of pages to be printed.

Print preview commands

Button | Action
Next | Displays the next page to be printed. If you have multiple sheets selected and click Next when the last page of a selected sheet appears, Excel displays the first page of the next selected sheet.
Previous | Displays the previous page to be printed. If you have multiple sheets selected and click Previous when the first page of a selected sheet appears, Excel displays the last page of the previous selected sheet.
Zoom | Switches between a full-page view of a sheet and a magnified view. The Zoom feature does not affect printing size. You can also switch between a full-page view and a magnified view of a sheet by clicking any area of the sheet. Depending on the resolution of your monitor, you may not see certain graphics, such as thin borders, in full-page view.
Print | Lets you set printing options and then prints the selected sheet. For Help on an option, click the question mark [image] and then click the option.
Setup | Lets you set options that control the appearance of printed sheets. For Help on an option, click the question mark [image] and then click the option.
Margins | Displays or hides margin handles that you can drag to adjust page margins, header and footer margins, and column widths.
Page Break Preview | Switches to page break preview, in which you can adjust the page breaks on the active worksheet. You can also resize the print area and edit the worksheet. The name of the button changes from Page Break Preview to Normal View if you were in page break preview when you clicked Print Preview [image] .
Normal View | Displays the active sheet in normal view.
Close | Closes the print preview window and returns to the previous view of the active sheet.


 Make a printed worksheet fit the paper width

Make a printed worksheet fit the paper width

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. Click Fit to.

  4. In the first box beside Fit to, enter 1 (for 1 page wide).

  5. In the second box beside Fit to, delete the value so that the number of pages tall is unspecified.

Notes

  • Microsoft Excel ignores manual page breaks when you use the Fit to option. Make page breaks work when you use Fit to.

  • When you change the values for Fit to, Excel shrinks the printed image or expands it up to 100 percent, as necessary. To see the how much the image will be adjusted for your new values, click OK, and then click Page Setup on the File menu. The Adjust to box on the Page tab shows the percentage that the printed size will be adjusted.


Change the worksheet area that appears on a printed page

If your work doesn't fit exactly on the number of printed pages you want, you can adjust, or scale, your printed work to fit on more or fewer pages than it would at normal size. You can also specify that you want to print your work on a certain number of pages.

What do you want to do?

Make a printed worksheet fit the paper width

Print a worksheet on a specified number of pages

Insert a page break

Move a page break

Print a specific area of a worksheet

Add cells to an existing print area

Learn more about printing


Print a specific area of a worksheet

  1. On the View menu, click Page Break Preview.

  2. Select the area you want to print.

  3. Right-click a cell within the selection, and then click Set Print Area on the shortcut menu.

Tip You can add additional cells to a print area in page break preview. If the cells you want to add are adjacent to the current print area, drag the thick blue border to include the cells. To include other cells, select the cells you want to add, right-click a cell in the selection, and then click Add to Print Area on the shortcut menu.


Add cells to an existing print area

  1. On the View menu, click Page Break Preview.

  2. Select the cells you want to add to the print area.

  3. Right-click a cell within the selection, and then click Add to Print Area on the shortcut menu.

Note If your print area contains multiple ranges, you can remove ranges from the print area as needed. Select a range you want to remove, right-click a cell within the selection, and then click Exclude from Print Area on the shortcut menu.


Remove a print area

  • On the File menu, point to Print Area, and click Clear Print Area.


 Change the page orientation

Change the page orientation

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. Under Orientation, click Portrait or Landscape.


 Set the size of the paper

Set the size of the paper

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. In the Paper size box, click the size of paper you want.


 Center worksheet data on the printed page

Center worksheet data on the printed page

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Margins tab.

  3. To center worksheet data horizontally on the page between the left and right margins, select the Horizontally check box under Center on page.

    To center worksheet data vertically on the page between the top and bottom margins, select the Vertically check box under Center on page.


 Set the printing order of pages

Set the printing order of pages

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. Under Page order, click the order in which you want Microsoft Excel to print the pages.


 Change the page number for the first page

Change the page number for the first page

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. In the First page number box, type the page number you want to appear on the first page of the worksheet.

    To have Microsoft Excel automatically number the pages of the worksheet, type the word Auto in the First page number box.

Note Excel prints page numbers only if you include page numbers in the header or footer.


 Print a worksheet on a specified number of pages

Print a worksheet on a specified number of pages

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. Click Fit to.

  4. Enter the number of pages on which you want to print the work.

    Printed data does not exceed the specified number of pages. Microsoft Excel does not enlarge the data to fill the pages.

Notes

  • Excel ignores manual page breaks when you fit the worksheets on a specified number of pages.

  • When you change the values for Fit to, Excel shrinks the printed image or expands it up to 100 percent, as necessary. To see the how much the image will be adjusted for your new values, click OK, and then click Page Setup on the File menu. The Adjust to box on the Page tab shows the percentage that the printed size will be adjusted.


 Set page margins

Set page margins

  1. To set page margins for one sheet, click the worksheet.

    To set page margins for more than one sheet, select the sheets.

    How?

  2. On the File menu, click Page Setup, and then click the Margins tab.

  3. In the Top, Bottom, Left, and Right boxes, enter the margin size you want.

Tips

  • To see how the page margins will affect the printed document, click Print Preview [image] before the document is printed. To adjust the margins in print preview, click Margins, and then drag the handles.

  • To apply the same page margins to new worksheets or workbooks, you can create a sheet template or you can create a workbook template.


 Set header and footer margins

Set header and footer margins

  1. Do one of the following:

    To set header and footer margins for one sheet, click the worksheet.

    To set header and footer margins for more than one sheet, select the sheets.

    How?

  2. On the File menu, click Page Setup, and then click the Margins tab.

  3. To change the distance from the top edge to the header, enter a new margin size in the Header box.

    To change the distance from the bottom edge to the footer, enter a new margin size in the Footer box.

    These settings should be smaller than your top and bottom margin settings, and larger than or equal to the minimum printer margins.

Tip To see how the header and footer margins will affect the printed document, click Print Preview [image] before the document is printed. To adjust the header and footer margins in print preview, click Margins, and then drag the handles.


Insert a page break

If you want to print a worksheet that is larger than one page, Microsoft Excel divides it into pages by inserting automatic page breaks. These page breaks are based on the paper size, margin settings, and scaling options you set. You can change which rows are printed on the page by inserting horizontal page breaks, or you can insert vertical page breaks to change which columns are printed on the page.

What do you want to do?

Insert a horizontal page break

Insert a vertical page break

Learn more about printing


 View page breaks

View page breaks

  • On the View menu, click Page Break Preview.

    Manually inserted page breaks appear as solid lines. Dashed lines indicate where Microsoft Excel will break pages automatically.


Start a new page by inserting a page break

  1. Click the cell immediately below and to the right of where you want to start a new page.

    If you click a cell in row 1, Microsoft Excel will insert only a vertical page break.

    If you click a cell in column A, Microsoft Excel will insert only a horizontal page break.

    If you click any other cell on the worksheet, Microsoft Excel inserts both a horizontal and a vertical page break.

  2. On the Insert menu, click Page Break.


 Move a page break

Move a page break

You can move a page break only in page break preview. Moving an automatic page break will change it to a manual page break.

  1. On the View menu, click Page Break Preview.

  2. Drag the page break to its new location.


 Remove page breaks

Remove page breaks

  • To remove a manual horizontal or vertical page break, click a cell below the horizontal page break or a cell to the right of the vertical page break, and then click Remove Page Break on the Insert menu.

    To remove all manual page breaks, click Page Break Preview on the View menu. Right-click any cell on the worksheet, and then click Reset All Page Breaks on the shortcut menu.

Tip You can also remove any page break in page break preview by dragging the page break outside of the print area.


 Use a built-in header or footer

Use a built-in header or footer

  1. Click the worksheet.

  2. On the View menu, click Header and Footer.

  3. In the Header or Footer box, click the header or footer you want.


 Create custom headers and footers

Create custom headers and footers

You can have only one custom header and one custom footer on each worksheet. If you create a new custom header or footer, it replaces any existing custom header or footer on the worksheet.

  1. Click the worksheet.

  2. On the View menu, click Header and Footer.

  3. To base a custom header or footer on an existing built-in header or footer, click the header or footer in the Header box or Footer box.

  4. Click Custom Header or Custom Footer.

  5. Click in the Left section, Center section, or Right section box, and then click the buttons to insert the header or footer information - such as the page number - that you want in that section.

    For Help on an option, click the question mark [image] and then click the option.

  6. To enter additional text for the header or footer, enter the text in the Left section, Center section, or Right section box.

    To start a new line in one of the section boxes, press ENTER.

    To delete a section of a header or footer, select the section that you want to delete in the section box, and then press BACKSPACE.

Note Make sure the header or footer margin allows enough space for the custom header or footer. More information about setting the header and footer margins.

Tips

  • To include a single ampersand (&) within the text of a header or footer, use two ampersands. For example, to include "Subcontractors & Services" in a header, type Subcontractors && Services.

  • To start numbering pages with a number other than 1, use &[Page]+ or &[Page]- followed by the number you want to add or subtract from the actual page number. For example, to print starting with number 3 on the first page, type &[Page]+2. To print page 4 with number 3, type &[Page]-1.

  • You cannot insert graphics or cell references in a header or footer. Use print titles if you want to repeat cell contents or a graphic on every printed page. How to use print titles.


 Change the font in header and footer text

Change the font in header and footer text

You cannot change the color of header and footer text.

  1. On the View menu, click Header and Footer.

  2. Click Custom Header or Custom Footer.

  3. Select the text in the Left section, Center section, or Right section box, and then click Font [image] .

  4. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.


 Combine views and scenarios into a printed report

Combine views and scenarios into a printed report

  1. On the View menu, click Report Manager.

    If the Report Manager command doesn't appear on the View menu, load the Report Manager add-in in Microsoft Excel.

    How?

  2. Click Add.

  3. In the Report Name box, type a name for the report.

  4. In the Sheet box, click the sheet you want for the first section of the report.

  5. Select the View check box. In the View box, click the view (if any) you want for the first section of the report.

  6. Select the Scenario check box. In the Scenario box, click the scenario (if any) you want for the first section of the report.

  7. To add a section to the list in the Sections in this Report box, click Add.

  8. Repeat steps 4 through 7 until you've created all of the sections you want in the report.

Note Microsoft Excel prints the sections of a report in the order in which they're listed.


 Edit a report created with Report Manager

Edit a report created with Report Manager

  1. On the View menu, click Report Manager.

  2. In the Reports box, click the report you want to edit, and then click Edit.

  3. To add a new section, click the sheet, view, and scenario you want under Section to Add, and then click Add.

    To delete a section, click the section in the Sections in this report box, and then click Delete.

    To change the order of the sections, click the section you want to move, and then click either Move Up or Move Down.

    To number the pages of the report consecutively, select the Use Continuous Page Numbers check box.

Note Microsoft Excel prints the sections of a report in the order in which they're listed in the Sections in this report box.


Print a report created with Report Manager

  1. On the View menu, click Report Manager.

  2. In the Reports box, click the report you want to print.

  3. Click Print.

  4. In the Copies box, type the number of copies you want to print.


 Reports produced by using views and scenarios

Reports produced by using views and scenarios

You can combine worksheets, views, and scenarios into reports that can be printed by using the Report Manager add-in. Once you add a report, it is saved with the workbook so that you can print the report later.

For example, if you have a Best Case scenario, a Worst Case scenario, and two different custom views — Summary and Details — you can create a report that would print the Best Case scenario with the Details view and another report that prints the Best Case Scenario with the Summary view.

More information

Create a view

Create a scenario

Combine views and scenarios into a printed report


Troubleshoot printing

The wrong data prints.

When I try to print a document, nothing happens.

Why does Microsoft Excel print only a portion of my worksheet?

The printout doesn't look right.

My printed header or footer doesn't look the way I want.

I want my sheet to print one page wide (or tall).

I can't scale a chart to print the size I want or print multiple charts on a single page.

My print titles don't appear on some pages.

The worksheet background did not print.

Pagination is wrong.

Microsoft Excel ignores the page breaks I set.

Why do some columns and rows print on the wrong page?

Why doesn't Excel print multiple print areas on the same page?


 About creating a form

About creating a form

You can create your own forms by setting up a worksheet with the text, graphics, and formatting you want and then saving the workbook as a template. To fill out a blank copy of the form, users base a new form on the template by using the New command on the File menu. How to create an on-screen or printed form.

Design print or on-screen forms Users can print the sheet and fill out the form on paper or fill out the blank cells on-screen and then print the form. If users fill out a form on-screen in Microsoft Excel, you can include features that automate entering and analyzing the information. Learn about creating printed and on-screen forms.

Design and use data entry forms If you want to use a form to enter data in an Excel list or database, you can either use a built-in data form or create a customized form or template. How to create and use data entry forms.

Note To see examples of the forms you can create in Excel, click New on the File menu, and create a new workbook from the purchase order, invoice, or expense statement template. These built-in forms are formatted worksheets with special controls and formulas that automate filling out the form and processing the entered data.

More information

Create a form template that copies worksheet data to a database


Format a worksheet to use as a form

By using ordinary formatting techniques, you can create a form that is attractive and easy to fill out. For example, to establish an organizing frame for the form, you can vary the worksheet grid by changing the column width and row height and by merging cells. Use cell shading and borders to emphasize the cells in which you want users to enter data. You can use a standard business form as a model or create your own design.

Tip Microsoft Excel comes with additional toolbar buttons for working with merged cells and other formatting features useful for forms. For information about adding buttons to a toolbar, click [image] .

What do you want to do?

Format cells

Guidelines for printed and on-screen forms

Combine cells horizontally or vertically to make one large cell

Add borders to cells

Shade cells with colors

Change the column width and row height

Add graphics, comments, or controls

Add drop-down lists, check boxes, and other controls

Add lines, arrows, text effects, and other graphics to a form

Add a repeating graphic as a background to the form

Add comments to cells to help users fill out a form

Format text

Change the font, font size, or color of text

Center, align, indent, or rotate text in a cell

Align text vertically at the top, center, or bottom of a cell

Display multiple lines of text in a cell


Guidelines for printed and on-screen forms

To display this topic, click the graphic.

To display this topic, click the graphic


 Create an on-screen or printed form

Create an on-screen or printed form

Before you create a form, decide whether you want users to fill out the form on-screen or on a printed copy. Learn about guidelines for creating forms

  1. Click New [image] .

  2. Add the questions, labels, formulas, and other information you want to appear in the form.

  3. Format the worksheet cells to look the way you want.

    How?

  4. To add check boxes, option buttons, and other controls on a form you will use in Microsoft Excel, you can use controls from the Forms toolbar.

    If you will use the form in a custom Visual Basic for Applications program that interacts with other Microsoft Office programs or an Internet or Web location, use controls from the Control Toolbox.

    How?

  5. If users will fill out the form on-screen, you can specify the information that is valid for each entry.

    How?

  6. To prevent unwanted changes to an on-screen form, you can allow users to change or enter data only in the cells you specify.

    How?

  7. Delete any unused sheets from the workbook.

    How?

  8. When you complete the form, click Save As on the File menu.

  9. In the Save as type box, click Template.

  10. In the Save in box, select the Templates folder or one of its subfolders.

  11. In the File name box, type a name for the template.

Notes

  • To create a blank, printed copy or fill out an on-screen copy of the form based on the template, click New on the File menu, and select the form template.

  • If you want to make a form available to others on a network, store the form template on a network location and have users set this network location as their alternate startup folder. Alternatively, you can create a shortcut to the form template and have users copy the shortcut to their Templates folder. You can also distribute and collect a form by using e-mail.

  • If you want to save each set of data entered in a form as a record in a database, you can link cells in the form to fields of the database. For more information, click [image] .


Worksheet form example

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


 Fill out an on-screen form

Fill out an on-screen form

When you fill out a form on-screen, you create a new, blank copy of the form based on the form template. If a template for your form is not displayed on one of the tabs in the New dialog box, make sure the template is stored in the Templates folder or one of its subfolders, or ask your system administrator how to find and use the form.

  1. On the File menu, click New.

  2. Click the tab that contains the template for the form, and then double-click the template.

  3. Enter the requested information, and follow any other instructions in the form.

  4. Click Save [image] .

  5. In the Look in box, open the folder where you want to store your copy of the form.

  6. In the File name box, type a name for the form.

    Note If the form is used by others in your group and you want to save your copy of the form on a network location, ask your system administrator where you should save your copy of the form and whether you should follow any special file naming convention. If the form has been designed to copy your entered data to a database, a message asking whether you want to add your data as a new database record is displayed when you save the form. Check with your system administrator to determine whether you should add your information to the database.


Enter data in a Microsoft Excel list by using a form

When you want to enter data, Microsoft Excel provides several ways to create and use forms for data entry.

What do you want to do?

Use a built-in Microsoft Excel data form to work with a Microsoft Excel list

Use the Template Wizard to create a data entry form for a Microsoft Excel list

Create a Microsoft Access form to work with a Microsoft Excel list

Use an existing Microsoft Access form to enter data in a Microsoft Excel list

Not sure which choice you want?


 About data forms

About data forms

A data form is a dialog box that gives you a convenient way to enter or display one complete row of information, or record, in a list at a time. You can also use a data form to locate and delete records.

Before you can use a data form to add a record to a new list, the list must have labels at the top of each column in the list. Microsoft Excel uses these labels to create fields on the form. Information about creating a list on a worksheet.

Note Data forms can display a maximum of 32 fields at one time.

More information

Add a record to a list by using a data form

Change a record in a list by using a data form

Find a record in a list by using a data form

Delete a record in a list by using a data form


 Create a Microsoft Access form for a Microsoft Excel list

Create a Microsoft Access form for a Microsoft Excel list

To create a Microsoft Access form, you must have Access installed. If the MS Access Form command does not appear on the Data menu in Microsoft Excel, you need to install the AccessLinks add-in program. For more information, click [image] .

  1. Click a cell in the Excel list.

  2. On the Data menu, click MS Access Form.

  3. If prompted, save the workbook by clicking Save [image] . Then click MS Access Form on the Data menu again.

  4. To create the form in a new Access database, click New database.

    To create the form in an existing Access database, click Existing database, and then type the path to the database in the box under Existing database. To look for the database on your system or network, click Browse.

  5. Click OK, and then follow the instructions in the Access Form Wizard. Do not change the names that the wizard proposes for the table and form.

Notes

  • When the Access Form Wizard finishes creating and displaying the form, you can use the form to enter data into the Excel list. Each time you enter a new record, Access updates the Excel list. For more information about the Access form and the Access Form Wizard, see Access Help.

  • In Excel, you can use the form to enter additional data in your list by clicking the View MS Access Form button, which AccessLinks places on the worksheet to the right of the list.


 About adding buttons, check boxes, and other controls

About adding buttons, check boxes, and other controls

When you create a custom form by using a worksheet or chart sheet, you can add controls that let the user interact with the form. Controls are graphic objects that you place on a form to display or enter data, perform an action, or make the form easier to read. These objects include text boxes, list boxes, option buttons, command buttons, and others. Controls offer options from which users can select or buttons that users can click that run macros or Web scripts that automate tasks.

You can add controls to a worksheet in either of two ways: by using the Control Toolbox or the Forms toolbar.

Changing properties When you add a control, you can change the control's properties. The properties define the control's appearance, the cell or range of cells the control refers to, and the control's state (for example, if a check box is selected or cleared by default).

The Control Toolbox: ActiveX controls for macros and Web scripts

When to use When you need to add a control, use an ActiveX control from the Control Toolbox for most situations, especially when you need to control different events that occur when you use the control. For example, you can add a list box control to a worksheet, and then write a macro to take a different action depending on which choice a user selects from the list.

How to add ActiveX controls from the Control Toolbox

What the controls can do ActiveX controls are similar to controls you find in programming languages such as Microsoft Visual Basic, and they are the same controls you can add to custom forms you create by using the Visual Basic Editor. When you add an ActiveX control to a worksheet, you write macro code that is stored with the control itself, as opposed to a macro that is assigned to run when you click the control.

What the controls can't do You cannot use ActiveX controls on XLM macro sheets from earlier versions of Microsoft Excel or ActiveX controls on chart sheets. For these situations, use the Forms toolbar controls. If you want to create a control and then attach a macro to run directly from it, use a Forms toolbar control. Or if you want to assign a macro to an existing ActiveX control, you could record or write a macro and then modify the code for the ActiveX control so that the control runs your macro.

ActiveX controls in custom solutions ActiveX controls have properties you can change to customize the control. For example, you can have an option button label wrap onto multiple lines as you resize the control. ActiveX controls have many different actions, or events, that can occur when you use the control. For example, you can determine the type of pointer that appears when you rest the pointer over the control. You can also use ActiveX controls to create forms and dialog boxes for custom programs created in Visual Basic for Applications.

ActiveX controls on Web pages When you want to publish a Web page that includes Excel data, you can make it possible for users to interact with that Excel data by including ActiveX controls. When you include ActiveX controls, you write Web scripts (rather than macro code) to run when the controls are used in the Web browser. You can write the scripts in VBScript or JavaScript. Learn about creating and modifying Web scripts. Learn about saving Excel data to a Web page.

The Control Toolbox The controls in the Control Toolbox are ActiveX controls. Some of these controls look the same as the Forms toolbar controls, and others, such as toggle buttons and image controls, are not available on the Forms toolbar. In addition, custom controls that are installed by other programs are available, such as the control that displays ActiveX movies that is installed by Microsoft Internet Explorer. For more information about the properties for ActiveX controls, see Visual Basic Help. Learn about the types of ActiveX controls in the Control Toolbox.

The Forms toolbar: controls for worksheet forms

When to use The Forms toolbar controls are compatible with earlier versions of Excel, beginning with Excel version 5.0, and can be used on XLM macro sheets. Use a control from the Forms toolbar when you want to record all of the macros for a form but do not want to write or modify any macro code in Visual Basic for Applications. You can also use Forms toolbar controls on chart sheets. These controls are designed for use on worksheet forms that other users fill in by using Microsoft Excel. You can attach an existing macro to a control or write or record a new macro.

The Forms toolbar contains tools for creating buttons, check boxes, list boxes, scroll bars, and other types of controls. How to add controls to a sheet by using the Forms toolbar. Learn about types of Forms toolbar controls.

Note When you assign a macro to a button on a worksheet, the button is available only when the worksheet is open. If you want to run a macro by using a button that is available regardless of which workbooks are open, you can run the macro from a custom toolbar button.


 Add buttons, check boxes, or other controls to a worksheet

Add buttons, check boxes, or other controls to a worksheet

Microsoft Excel provides two ways to add controls to a worksheet. ActiveX controls in the Control Toolbox allow you to create custom controls and control events. The controls on the Forms toolbar are for use with existing Excel macros.

Control Toolbox controls

Add ActiveX controls from the Control Toolbox

Learn about types of ActiveX controls in the Control Toolbox

Forms toolbar controls

Add controls to a sheet by using the Forms toolbar

Learn about the types of controls on the Forms toolbar

Not sure which choice you want?


Automate a Microsoft Excel task by using an ActiveX control

To display this topic, click the graphic.


 Add an ActiveX control from the Control Toolbox

Add an ActiveX control from the Control Toolbox

  1. Open the worksheet you want to add an ActiveX control to.

  2. If the Control Toolbox is not displayed, point to Toolbars on the View menu, and then click Control Toolbox.

  3. Click the button for the control you want to add.

  4. On the worksheet, drag the control to the size you want.

    5. To set the properties for the control, right-click the control, and then click Properties on the shortcut menu. For more information about the properties for an ActiveX control, click [image] .

  5. Do one of the following:

    To add macro code for the control so that you can use the control in an Microsoft Excel workbook, right-click the control, and then click View Code on the shortcut menu. In the Visual Basic Editor, write your macro code. For information about writing macro code, see Visual Basic Help. To quit, click Close and Return to Microsoft Excel on the File menu.

    To add a Web script for the control so that you can use the control on a Web page, click the worksheet, point to Macro on the Tools menu, and then click Microsoft Script Editor. In the Script Editor, write your script. For information about developing Web scripts, refer to Microsoft Script Editor Help To return to Excel from the Script Editor, click Exit on the File menu.

  6. To quit design mode and enable the ActiveX control, click Exit Design Mode [image] .

Note A Web script uses the control ID to handle events for the ActiveX control. Therefore, you can insert a script anywhere in the data that will be published to a Web page.


 Types of ActiveX controls

Types of ActiveX controls

The following table lists the ActiveX controls that can be found in the Control Toolbox. For more information about ActiveX controls, see Visual Basic Help.

Type of control | Description
Check box | An option you can turn on or off by selecting or clearing it. You can have more than one check box selected on a sheet at a time.
Text box | A box in which you can type text.
Command button | A button that initiates an action when it is clicked.
Option button | A button used to select only one of a group of options.
List box | A box that contains a list of items.
Combo box | A text box with a drop-down list box. You can either type or select a choice in the box.
Toggle button | A button that remains pressed in when clicked, and then releases when it is clicked again.
Spin button | A button that can be attached to a cell or a text box. To increase a value, click the up arrow; to decrease a value, click the down arrow.
Scroll bar | A control that scrolls through a range of values when you click the scroll arrows or when you drag the scroll box. You can move through a page of values by clicking between the scroll box and a scroll arrow.
Label | Text added to a worksheet or form to provide information about a control or the worksheet or form.
Image | A control that embeds a picture into a form.
More Controls | A list of additional ActiveX controls.


 Change, move, or resize an ActiveX control

Change, move, or resize an ActiveX control

  1. To edit an ActiveX control on a worksheet or form, make sure the Control Toolbox is displayed. To display the Control Toolbox, point to Toolbars on the View menu, and then click Control Toolbox.

  2. Click Design Mode [image] .

  3. To change the properties of the control, right-click the control, and then click Properties on the shortcut menu.

    To move the control, drag the control to another location. To align the control with cell gridlines, hold down ALT while you drag the control.

    To change the size of the control, drag one of the selection handles. To change the size of the control but retain the proportions of the control, hold down SHIFT while you drag a corner selection handle.

    To change how the control is resized or moved when the cells underneath it are resized or moved, right-click the control, click Format Control, and then click the Properties tab.

  4. When you finish editing the control, click Exit Design Mode [image] .


 Add controls to a sheet by using the Forms toolbar

Add controls to a sheet by using the Forms toolbar

If you want to run an existing macro from a worksheet control, make sure the workbook that contains the macro is open.

  1. Open the worksheet you want to add controls to.

  2. Make sure the Forms toolbar is displayed.

  3. On the Forms toolbar, click the button for the control you want to add.

  4. On the worksheet, drag the control to the size you want.

  5. If you are adding a button, select the macro you want to run when you click the button in the Macro name box.

    If you are adding a control that is not a button, right-click the control, and then click Assign Macro on the shortcut menu.

    If the macro does not exist, you can record or write a new macro. Click Record to record a new macro, or click New to open a Visual Basic for Applications module in which you can write the macro.

Note When you add a control to a worksheet, the control is available only when the worksheet is open. If you want to run a macro by using a button regardless of the workbooks that are currently open, you can run the macro from a custom toolbar button. For information about how to run a macro from a toolbar button, click [image] .


 Types of buttons, check boxes, and other controls on the Forms toolbar

Types of buttons, check boxes, and other controls on the Forms toolbar

Buttons, check boxes, and other controls available on the Forms toolbar provide options when you use a form. For example, if you are creating a personnel form, you can add two option buttons to specify whether an employee is a full-time or part-time employee. Because only one option button can be selected at a time, the employee can be either full-time or part-time, but not both.

Most controls have properties that you can change; however, you can change only the formatting properties for command button and label controls.

Type of control | Description
Label | Text added to a worksheet or form to provide information about a control or the worksheet or form.
Group box | A border and label that groups related controls, such as option buttons or check boxes.
Button | A button that runs a macro when clicked.
Check box | A box that turns an option on or off. You can have more than one selected check box on a sheet or in a group at a time. For information about the control properties for a check box, click [image] .
Option button | A button that selects one of a group of options contained in a group box. You can select only one option button in a group. Option buttons are used when only one of several possibilities is allowed. For information about the control properties for an option button, click [image] .
List box | A box that contains a list of items. For information about the control properties for a list box, click [image] .
Combo box | A drop-down list box. The item that is selected in the list box appears in the text box. For information about the control properties for a combo box, click [image] .
Scroll bar | A control that scrolls through a range of values when you click the scroll arrows or when you drag the scroll box. You can move through a page of values by clicking between the scroll box and a scroll arrow. For information about the control properties for a scroll bar, click [image] .
Spinner | A button with both an up arrow and a down arrow that can be attached to a cell. To increase a value, click the up arrow; to decrease a value, click the down arrow. For information about changing the control properties for a spin button, click [image] .

Note The Edit Box, Combination List-Edit, and Combination Drop-Down Edit controls are unavailable in Microsoft Excel 2000 workbooks. These controls are provided to allow you to work with Excel version 5.0 dialog sheets.


 Change, move, or resize a button, check box, or other control

Change, move, or resize a button, check box, or other control

Microsoft Excel has two different types of controls you can place on a worksheet: controls added by using the Forms toolbar and ActiveX controls. Use the following procedure to change a control added by using the Forms toolbar. For information about changing an ActiveX control, click [image] .

  1. Right-click the control you want to change, and then click Format Control on the shortcut menu.

  2. To change the control properties, click the Control tab. For information about the control properties you can change, click [image] .

    To change how the control is resized or moved when the cells below it are resized or moved, click the Properties tab.

  3. Click OK.

  4. To move the control, drag the control to another location. To align the control with cell gridlines, hold down ALT while you drag the control.

    To change the size of the control, drag one of the selection handles. To change the size of the control but retain the proportions of the control, hold down SHIFT while you drag a corner selection handle.

  5. To remove the selection handles, click a cell on the worksheet.


 What is the Template Wizard with Data Tracking?

What is the Template Wizard with Data Tracking?

The Template Wizard with Data Tracking add-in creates a template that links selected cells in a workbook to fields in a database. When you base a new workbook on the template and enter data in the linked cells, Microsoft Excel creates a new record in the database and copies the data to the corresponding data fields when you save the workbook.

Note Unlike traditional databases, Microsoft Excel saves each instance of the template rather than just using the template as an entry point for adding information directly to the database.

For example, suppose that you want to track work-related injuries from multiple manufacturing sites that are connected by a network. First, create a form on a worksheet that requests the information needed for each injury report. Then use the Template Wizard to create a template from the form and link the template to a central database. When workers fill out a new injury report based on the template, they create both a "hard copy" report and a corresponding record in the database.

The Template Wizard with Data Tracking does the following:

  • Automatically adds data from existing workbooks If existing workbooks contain data you want to include in the new database, the Template Wizard can automatically add the data. However, the locations of data in the existing workbooks must match the locations of cells you select for the data fields. For example, if in step 3 of the Template Wizard you indicate that the field Employee ID is entered in cell $D$4 of the sheet named Personal_Data, all existing workbooks must contain the employee number in the cell Personal_Data!$D$4. If the data locations do not match, incomplete or blank records might be added to the database.

  • Allows storage in your choice of databases The database can be a Microsoft Excel list, or a Microsoft Access, Microsoft FoxPro, or dBase database for which you have installed the necessary ODBC driver and other data access components. Store the database in a network location that all users of the form have access to. For more information, click [image] .

  • Allows record updates and report creation You can create reports from the saved data or use it as you would any database. To change the data in a record, you can reopen and edit the saved copy of the form that is associated with that record. If you delete the copy of the form, the corresponding record is retained in the database and any future updates to the record must be done with the database program. You can delete the record as you would any record in that type of database.

You can make templates easy to access To make the template available to all users, store the template on an accessible network location. Then create a shortcut to the template, and have users copy the shortcut to the Templates folder. The Templates folder is in the folder in the Microsoft folder.

For more information about using the Template Wizard, click [image] .


 Change a record in a linked database created with the Template Wizard

Change a record in a linked database created with the Template Wizard

If the template used to create a form has been linked to a database by using the Template Wizard with Data Tracking, each set of information you or other users enter in the form and save in the database creates a unique record. To change the data in a record, you can reopen and edit the saved copy of the form that is associated with that record. You can choose to update the current associated record or create a new record.

  1. Click Open [image] .

  2. In the Look in box, open the folder that contains the copy of the form that you want to change.

  3. Change any of the requested information.

  4. Click Save [image] .

  5. Select the option you want in response to the message, and then click OK.

    If you don't want to change the database, select Continue without updating.


Troubleshoot creating forms

What do you want help with?

Blank records are added to the database I created with the Template Wizard.

I get an "Unexpected error" message when I select the database for the Template Wizard.

I'm having trouble formatting the sheet.


Troubleshoot buttons, check boxes, and other controls

What do you need help with?

When I click a control, some of the commands in Microsoft Excel become unavailable.

ActiveX controls that I installed don't appear in the More Controls command.

When I right-click a control to modify the control, nothing happens.

When I click a control, I get an error that Microsoft Excel cannot find a file.


Quick calculations on a worksheet (Show a Total)

To display this topic, click the graphic.

To display this topic, click the graphic


Enter a formula to calculate a value

What do you want to do?

Enter a formula

Enter a formula that contains a function

Learn about array formulas and how to enter them

Learn about how formulas calculate values

Not sure which choice you want?


 About using the Formula Palette to enter and edit formulas

About using the Formula Palette to enter and edit formulas

Entering formulas When you create a formula that contains a function, the Formula Palette helps you enter worksheet functions. As you enter a function into the formula, the Formula Palette displays the name of the function, each of its arguments, a description of the function and each argument, the current result of the function, and the current result of the entire formula. To display the Formula Palette, click Edit Formula [image] in the formula bar.

In this example, the nested SUM function is being edited by using the Formula Palette. The range K10:K19 is the only argument of the function and appears in the Number1 edit box. The value in each cell of the range appears to the right of the edit box. The result of the SUM function (935) appears below the list of arguments. The result of the entire formula is shown at the bottom; because the sum of the range K10:K19 is not greater than or equal to 5,000, the result is 0.05, or 5%.

Editing formulas You can use the Formula Palette to edit functions in formulas. Select a cell that contains a formula, and then click Edit Formula [image] to display the Formula Palette. The first function in the formula and each of its arguments appear in the palette. You can edit the first function or edit another function in the same formula by clicking in the formula bar anywhere within the function.


How formulas calculate values (What is a formula)

To display this topic, click the graphic.

To display this topic, click the graphic


 About constructing formulas

About constructing formulas

The structure or order of the elements in a formula determine the final result of the calculation. Formulas in Microsoft Excel follow a specific syntax, or order, that includes an equal sign (=) followed by the elements to be calculated (the operands), which are separated by calculation operators. Each operand can be a value that does not change (a constant value), a cell or range reference, a label, a name, or a worksheet function.

Excel performs the operations from left to right — according to the order of operator precedence — starting with the equal sign (=). You can control the order of calculation by using parentheses to group operations that should be performed first. For example, the following formula produces 11 because Excel calculates multiplication before addition. The formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

In contrast, if you use parentheses to change the syntax, Excel adds 5 and 2 together and then multiplies the result by 3 to produce 21.

=(5+2)*3

More information

Calculation operators in formulas


 Examples of commonly used formulas

Examples of commonly used formulas

The following are examples of commonly used formulas in Microsoft Excel.

Calculate the running balance

Join first and last names

Join a date with text

Increase a number by a percentage

Create a total based on one condition

Create a total based on multiple conditions

Count the occurrences of a condition

Count the occurrences of multiple conditions

Calculate the running balance

You can create a checkbook register in Excel to track your banking transactions. As part of the spreadsheet, you can build a formula to calculate your running balance. In this example, assume that cell F6 contains the previous balance, cell D7 contains the first transaction's deposit subtotal, and cell E7 contains any cash-received amount.

To calculate the current balance for the first transaction, enter the following formula in cell F7:

=SUM(F6,D7,–E7)

As you enter new transactions, copy this formula into the current balance cell for each new transaction.

Return to top

Join first and last names

You can join a list of first names in one column with a list of last names in another column with a formula. In these examples, assume that cell D5 contains the first name and cell E5 contains the last name.

To display the full name in the format "first_name last_name" (for example, "John Smith"):

=D5&" "&E5

To display the full name in the format "last_name, first_name" (for example, "Smith, John"):

=E5&", "&D5

Return to top

Join a date with text

To join, or concatenate, two values to produce one continuous text value, use the & (ampersand) text operator. To connect a number, date, or time value stored in a cell with a text string, use the TEXT worksheet function. For example, if cell F5 contains a billing date of 5-Jun-96, you can display the text "Statement date: 5-Jun-96" by using this formula:

="Statement date: "&TEXT(F5, "d-mmm-yy")

Return to top

Increase a number by a percentage

You can increase a numeric value stored in a cell by a percentage, such as 5 percent. In this example, assume that cell F5 contains the original value.

=F5*(1+5%)

If the percentage amount is stored in a cell (for example, cell F2):

=F5*(1+$F$2)

The reference to cell F2 is an absolute cell reference so that the formula can be copied to other cells without changing the reference to F2.

Return to top

Create a total based on one condition

Use the SUMIF worksheet function to create a total value for one range based on a value in another range. For example, for every cell in the range B5:B25 that contains the value "Northwind", the following formula calculates the total for the corresponding cells in the range F5:F25.

=SUMIF(B5:B25,"Northwind",F5:F25)

Return to top

Create a total based on multiple conditions

Use the following formula to calculate the total value of cells F5:F25, where B5:B25 contains "Northwind" and the range C5:C25 contains the region name "Western".

=SUM(IF((B5:B25="Northwind")*(C5:C25="Western"),F5:F25))

To calculate the total value of cells F5:F25, where B5:B25 contains either "Northwind" or "Terra Firm", use the following formula.

=SUM(IF((B5:B25="Northwind")+(B5:B25="Terra Firm"),F5:F25))

Both of these formulas are array formulas and must be entered by pressing CTRL+SHIFT+ENTER. Learn about array formulas.

Return to top

Count the occurrences of a condition

The COUNTIF worksheet function counts the occurrences of a value in a range of cells — for example, the number of cells in the range B5:B25 that contain the text "Northwind".

=COUNTIF(B5:B25,"Northwind")

Return to top

Count the occurrences of multiple conditions

In the following formula, whenever Excel finds "Northwind" in the range B5:B25, it then checks for the text "Western" in the same row in column C (the range C5:C25). Excel then calculates the number of rows that contain both.

=SUM(IF(B5:B25="Northwind",IF(C5:C25="Western",1,0)))

This is an array formula and must be entered by pressing CTRL+SHIFT+ENTER. Learn about array formulas.

Return to top


Calculation operators in formulas

Operators specify the type of calculation that you want to perform on the elements of a formula. Microsoft Excel includes four different types of calculation operators: arithmetic, comparison, text, and reference.

Arithmetic operators To perform basic mathematical operations such as addition, subtraction, or multiplication; combine numbers; and produce numeric results, use the following arithmetic operators.

Arithmetic operator | Meaning | Example
+ (plus sign) | Addition | 3+3
– (minus sign) | Subtraction Negation | 3–1 –1
* (asterisk) | Multiplication | 3*3
/ (forward slash) | Division | 3/3
% (percent sign) | Percent | 20%
^ (caret) | Exponentiation | 3^2 (the same as 3*3)

Comparison operators You can compare two values with the following operators. When two values are compared by using these operators, the result is a logical value, either TRUE or FALSE.

Comparison operator | Meaning | Example
= (equal sign) | Equal to | A1=B1
> (greater than sign) | Greater than | A1>B1
< (less than sign) | Less than | A1<B1
>= (greater than or equal to sign) | Greater than or equal to | A1>=B1
<= (less than or equal to sign) | Less than or equal to | A1<=B1
<> (not equal to sign) | Not equal to | A1<>B1

Text concatenation operator Use the ampersand (&) to join, or concatenate, one or more text strings to produce a single piece of text.

Text operator | Meaning | Example
& (ampersand) | Connects, or concatenates, two values to produce one continuous text value | "North" & "wind" produce "Northwind"

Reference operators Combine ranges of cells for calculations with the following operators.

Reference operator | Meaning | Example
: (colon) | Range operator, which produces one reference to all the cells between two references, including the two references | B5:B15
, (comma) | Union operator, which combines multiple references into one reference | SUM(B5:B15,D5:D15)


The order in which Microsoft Excel performs operations in formulas

If you combine several operators in a single formula, Microsoft Excel performs the operations in the order shown in the following table. If a formula contains operators with the same precedence — for example, if a formula contains both a multiplication and division operator — Excel evaluates the operators from left to right. To change the order of evaluation, enclose the part of the formula to be calculated first in parentheses. For more information about calculation operators, click [image] .

Operator | Description
: (colon) (single space) , (comma) | Reference operators
– | Negation (as in –1)
% | Percent
^ | Exponentiation
* and / | Multiplication and division
+ and – | Addition and subtraction
& | Connects two strings of text (concatenation)
= < > <= >= <> | Comparison


 How Microsoft Excel converts values in formulas

How Microsoft Excel converts values in formulas

When you enter a formula, Microsoft Excel expects certain types of values for each operator. If you enter a different type of value than is expected, Microsoft Excel sometimes is able to convert the value.

The formula | Produces | Explanation
="1"+"2" | 3 | When you use a plus sign (+), Microsoft Excel expects numbers in the formula. Even though the quotation marks mean that "1" and "2" are text values, Microsoft Excel automatically converts the text values to numbers.
=1+"$4.00" | 5 | When a formula expects a number, Microsoft Excel converts text if it is in a format that would usually be accepted for a number.
="6/1/2001"-"5/1/2001" | 31 | Microsoft Excel interprets the text as a date in the mm/dd/yy format, converts the dates to serial numbers, and then calculates the difference between them.
=SQRT("8+1") | #VALUE! | Microsoft Excel cannot convert the text to a number because the text "8+1" cannot be converted to a number. If you use "9" or "8"+"1" instead of "8+1", the formula will convert the text to a number and return the result of 3.
="A"&TRUE | ATRUE | When text is expected, Microsoft Excel converts numbers and logical values such as TRUE and FALSE to text.


Display formulas and values on a worksheet

Display formulas or values on a worksheet

  • To switch between displaying formulas and their values for all formulas on a worksheet, press CTRL+` (single left quotation mark).


 Edit a formula

Edit a formula

  1. Click the cell that contains the formula you want to edit.

    If the cell contains a hyperlink, click a cell next to the cell you want to edit, and then use an arrow key to select the cell with the formula you want to edit.

  2. In the formula bar, make the changes to the formula.

    If you want to edit a function in the formula, edit the arguments in the function.

  3. Press ENTER.

    If the formula is an array formula, press CTRL+SHIFT+ENTER.


 Edit an array formula

Edit an array formula

  1. Click any cell in the array range.

  2. Click in the formula bar. When the formula bar is active, the braces ( { } ) do not appear in the array formula.

  3. Edit the array formula.

  4. Press CTRL+SHIFT+ENTER.


 Move or copy a formula

Move or copy a formula

When you move a formula, the cell references within the formula do not change. When you copy a formula, absolute cell references do not change; relative cell references will change. For more information about absolute and relative references, click [image] .

  1. Select the cell that contains the formula you want to move or copy.

  2. Point to the border of the selection.

  3. To move the cell, drag the selection to the upper-left cell of the paste area. Microsoft Excel replaces any existing data in the paste area.

    To copy the cell, hold down CTRL as you drag.

Tip You can also copy formulas into adjacent cells by using the fill handle. Select the cell that contains the formula, and then drag the fill handle over the range you want to fill.


Replace all or part of a formula with its calculated value

You can "freeze" a formula so that it no longer recalculates when you make changes to the cells to which it refers. By replacing a formula with its calculated value, Microsoft Excel permanently deletes the formula. If you want to freeze only part of a formula, you can replace only the portion you don't want to recalculate.

What do you want to do?

Replace a formula with its calculated value

Replace part of a formula with its calculated value


 Delete a formula or an array formula

Delete a formula or an array formula

Caution When you delete a formula, Microsoft Excel removes the formula and its value. For information about removing a formula but keeping its resulting value, click [image] .

  1. Click the cell that contains the formula.

    If the formula is an array formula, select the array.

    How?

  2. Press DELETE.


 About cell and range references

About cell and range references

A reference identifies a cell or a range of cells on a worksheet and tells Microsoft Excel where to look for the values or data you want to use in a formula. With references, you can use data contained in different parts of a worksheet in one formula or use the value from one cell in several formulas. You can also refer to cells on other sheets in the same workbook, to other workbooks, and to data in other programs. References to cells in other workbooks are called external references. References to data in other programs are called remote references.

The A1 vs. the R1C1 reference style

The A1 reference style By default, Excel uses the A1 reference style, which refers to columns with letters (A through IV, for a total of 256 columns) and refers to rows with numbers (1 through 65536). These letters and numbers are called row and column headings. To refer to a cell, enter the column letter followed by the row number. For example, D50 refers to the cell at the intersection of column D and row 50. To refer to a range of cells, enter the reference for the cell in the upper-left corner of the range, a colon (:), and then the reference to the cell in the lower-right corner of the range. The following are examples of references.

Formula with reference to B4:D4

To refer to | Use
The cell in column A and row 10 | A10
The range of cells in column A and rows 10 through 20 | A10:A20
The range of cells in row 15 and columns B through E | B15:E15
All cells in row 5 | 5:5
All cells in rows 5 through 10 | 5:10
All cells in column H | H:H
All cells in columns H through J | H:J
The range of cells in columns A through E and rows 10 through 20 | A10:E20

The R1C1 reference style You can also use a reference style where both the rows and the columns on the worksheet are numbered. The R1C1 reference style is useful for computing row and column positions in macros. In the R1C1 style, Excel indicates the location of a cell with an "R" followed by a row number and a "C" followed by a column number. Learn about R1C1 references.

More information about references

Relative vs. absolute references Depending on the task you want to perform in Excel, you can use either relative cell references, which are references to cells relative to the position of the formula, or absolute references, which are cell references that always refer to cells in a specific location. If a dollar sign precedes the letter and/or number, such as $A$1, the column and/or row reference is absolute. Relative references automatically adjust when you copy them, and absolute references don't. More information about relative and absolute references.

Labels and names You can use the labels of columns and rows on a worksheet to refer to the cells within those columns and rows. Examples of labels are "Price," "Quantity," and "Total." Or you can create descriptive names to represent cells, ranges of cells, formulas, or constant values. More information about using labels or names in formulas.

3-D references If you want to analyze data in the same cell or range of cells on multiple worksheets within the workbook, use a 3-D reference. A 3-D reference includes the cell or range reference, preceded by a range of worksheet names. Excel uses any worksheets stored between the starting and ending names of the reference. For example, =SUM(Sheet2:Sheet13!B5) adds all the values contained in cell B5 on all the worksheets between and including Sheet 2 and Sheet 13. Learn about creating a 3-D reference.


 The difference between relative and absolute references

The difference between relative and absolute references

Relative references When you create a formula, references to cells or ranges are usually based on their position relative to the cell that contains the formula. In the following example, cell B6 contains the formula =A5; Microsoft Excel finds the value one cell above and one cell to the left of B6. This is known as a relative reference.

Formula with relative reference

When you copy a formula that uses relative references, Excel automatically adjusts the references in the pasted formula to refer to different cells relative to the position of the formula. In the following example, the formula in cell B6, =A5, which is one cell above and to the left of B6, has been copied to cell B7. Excel has adjusted the formula in cell B7 to =A6, which refers to the cell that is one cell above and to the left of cell B7.

Copied formula with relative reference

Absolute references If you don't want Excel to adjust references when you copy a formula to a different cell, use an absolute reference. For example, if your formula multiplies cell A5 with cell C1 (=A5*C1) and you copy the formula to another cell, Excel will adjust both references. You can create an absolute reference to cell C1 by placing a dollar sign ($) before the parts of the reference that do not change. To create an absolute reference to cell C1, for example, add dollar signs to the formula as follows:

=A5*$C$1

Switching between relative and absolute references If you created a formula and want to change relative references to absolute (and vice versa), select the cell that contains the formula. In the formula bar, select the reference you want to change and then press F4. Each time you press F4, Excel toggles through the combinations: absolute column and absolute row (for example, $C$1); relative column and absolute row (C$1); absolute column and relative row ($C1); and relative column and relative row (C1). For example, if you select the address $A$1 in a formula and press F4, the reference becomes A$1. Press F4 again and the reference becomes $A1, and so on.

More information

About cell and range references


 About R1C1 references

About R1C1 references

In R1C1 reference style, Microsoft Excel indicates the location of a cell with an "R" followed by a row number and a "C" followed by a column number. For example, the absolute cell reference R1C1 is equivalent to the absolute reference $A$1 in A1 reference style. If the active cell is A1, the relative cell reference R[1]C[1] refers to the cell one row down and one column to the right, or B2.

The following are examples of references in R1C1 style.

Reference | Meaning
R[-2]C | A relative reference to the cell two rows up and in the same column
R[2]C[2] | A relative reference to the cell two rows down and two columns to the right
R2C2 | An absolute reference to the cell in the second row and in the second column
R[-1] | A relative reference to the entire row above the active cell
R | An absolute reference to the current row

When you record a macro, Excel records some commands by using R1C1 reference style. For example, if you record a command such as clicking the AutoSum button to insert a formula that sums a range of cells, Excel records the formula by using R1C1, not A1, references.

Tip To turn R1C1 reference style on (or off), click Options on the Tools menu, and then click the General tab. Under Settings, select or clear the R1C1 reference style check box.


Refer to the same cell or range on multiple sheets by using a 3-D reference

The workbook must contain more than one worksheet. For more guidelines for using 3-D references, click [image] .

  1. Click the cell where you want to enter the function.

  2. Type = (an equal sign), enter the name of the function, and then type an opening parenthesis.

  3. Click the tab for the first worksheet to be referenced.

  4. Hold down SHIFT and click the tab for the last worksheet to be referenced.

  5. Select the cell or range of cells to be referenced.

  6. Complete the formula.


 Guidelines for using 3-D references

Guidelines for using 3-D references

  • You can use 3-D references to refer to cells on other sheets, to define names, and to create formulas by using the following functions: SUM, AVERAGE, AVERAGEA, COUNT, COUNTA, MAX, MAXA, MIN, MINA, PRODUCT, STDEV, STDEVA, STDEVP, STDEVPA, VAR, VARA, VARP, and VARPA.

  • 3-D references cannot be used in array formulas.

  • 3-D references cannot be used with the intersection operator (a single space) or in formulas that use implicit intersection.


What happens to a 3-D reference when you move, copy, insert, or delete worksheets?

The following examples explain what happens when you move, copy, insert, or delete worksheets that are included in a 3-D reference. The examples use the formula =SUM(Sheet2:Sheet6!A2:A5) to sum cells A2 through A5 on worksheets 2 through 6.

Insert or copy If you insert or copy sheets between Sheet2 and Sheet6 (the endpoints in this example), Microsoft Excel includes all values in cells A2 through A5 from the added sheets in the calculations.

Delete If you delete sheets between Sheet2 and Sheet6, Excel removes their values from the calculation.

Move If you move sheets from between Sheet2 and Sheet6 to a location outside the referenced sheet range, Excel removes their values from the calculation.

Move an endpoint If you move Sheet2 or Sheet6 to another location in the same workbook, Excel adjusts the calculation to accommodate the new range of sheets between them.

Delete an endpoint If you delete Sheet2 or Sheet6, Excel adjusts the calculation to accommodate the range of sheets between them.


 About using functions to calculate values

About using functions to calculate values

Functions are predefined formulas that perform calculations by using specific values, called arguments, in a particular order, or structure. For example, the SUM function adds values or ranges of cells, and the PMT function calculates the loan payments based on an interest rate, the length of the loan, and the principal amount of the loan.

Arguments Arguments can be numbers, text, logical values such as TRUE or FALSE, arrays, error values such as #N/A, or cell references. The argument you designate must produce a valid value for that argument. Arguments can also be constants, formulas, or other functions. For more information about using a function as an argument for another function, also known as nesting functions, click [image] .

Structure The structure of a function begins with the function name, followed by an opening parenthesis, the arguments for the function separated by commas, and a closing parenthesis. If the function starts a formula, type an equal sign (=) before the function name. As you create a formula that contains a function, the Formula Palette will assist you. For more information about using the Formula Palette, click [image] . For more information about how to enter a formula that contains a function, click [image] .

Structure of a function


 About nesting functions within functions

About nesting functions within functions

In certain cases, you may need to use a function as one of the arguments of another function. For example, the formula in Figure 1 uses a nested AVERAGE function and compares the result with the value 50.

Figure 1

Valid returns When a nested function is used as an argument, it must return the same type of value that the argument uses. For example, if the argument returns a TRUE or FALSE value, then the nested function must return a TRUE or FALSE. If it doesn't, Microsoft Excel displays a #VALUE! error value.

Nesting level limits A formula can contain up to seven levels of nested functions. When Function B is used as an argument in Function A, Function B is a second-level function. For instance, the AVERAGE function and the SUM function in Figure 1 are both second-level functions because they are arguments of the IF function. A function nested within the AVERAGE function would be a third-level function, and so on.

To nest functions You can use the Formula Palette to nest functions as arguments. For example, in Figure 2, you could nest the SUM function in the IF function by clicking in the Value_if_true edit box, clicking the down arrow in the formula bar Functions box, and then clicking SUM.

Nesting functions with the Formula Palette

Figure 2

To switch between functions in the Formula Palette, click the name of the function in the formula bar. For example, to change the range for the AVERAGE function in Figure 2, click AVERAGE in the formula bar. Learn about using the Formula Palette to enter and edit formulas.


 About database functions

About database functions

When you need to analyze whether values in a list meet a specific condition, or criteria, you can use a database worksheet function. For example, in a list that contains sales information, you can count all the rows or records in which the sales are greater than 1,000 but less than 2,500.

Some database and list management worksheet functions have names that begin with the letter "D." These functions, also known as Dfunctions, have three arguments — database, field, and criteria.

  • The database argument is the range that contains your list. You must include the row that contains the column labels in the range.

  • The field argument is the label for the column you want to summarize.

  • The criteria argument is the range that contains a condition you specify.

For more detailed descriptions and examples of database functions, click [image] .

Which function do you want to read about?

DAVERAGE worksheet function

DCOUNT worksheet function

DCOUNTA worksheet function

DGET worksheet function

DMAX worksheet function

DMIN worksheet function

DPRODUCT worksheet function

DSTDEV worksheet function

DSTDEVP worksheet function

DSUM worksheet function

DVAR worksheet function

DVARP worksheet function

GETPIVOTDATA worksheet function


About date and time functions

With date and time functions, you can analyze and work with date and time values in formulas. For example, if you need to use the current date in a formula, use the TODAY worksheet function, which returns the current date based on your computer's system clock.

Which function do you want to read about?

DATE worksheet function

DATEVALUE worksheet function

DAY worksheet function

DAYS360 worksheet function

EDATE worksheet function

EOMONTH worksheet function

HOUR worksheet function

MINUTE worksheet function

MONTH worksheet function

NETWORKDAYS worksheet function

NOW worksheet function

SECOND worksheet function

TIME worksheet function

TIMEVALUE worksheet function

TODAY worksheet function

WEEKDAY worksheet function

WORKDAY worksheet function

YEAR worksheet function

YEARFRAC worksheet function


About engineering functions

The engineering worksheet functions perform engineering analysis. Most of these functions are of three types:

  • Functions for working with complex numbers

  • Functions for converting values between different numbering systems, such as decimal, hexadecimal, octal, and binary systems

  • Functions for converting values between different systems of measurement

Note The engineering worksheet functions are provided by the Analysis ToolPak. If a function is not available, you may need to install the Analysis ToolPak.

Which function do you want to read about?

BESSELI worksheet function

BESSELJ worksheet function

BESSELK worksheet function

BESSELY worksheet function

BIN2DEC worksheet function

BIN2HEX worksheet function

BIN2OCT worksheet function

COMPLEX worksheet function

CONVERT worksheet function

DEC2BIN worksheet function

DEC2HEX worksheet function

DEC2OCT worksheet function

DELTA worksheet function

ERF worksheet function

ERFC worksheet function

GESTEP worksheet function

HEX2BIN worksheet function

HEX2DEC worksheet function

HEX2OCT worksheet function

IMABS worksheet function

IMAGINARY worksheet function

IMARGUMENT worksheet function

IMCONJUGATE worksheet function

IMCOS worksheet function

IMDIV worksheet function

IMEXP worksheet function

IMLN worksheet function

IMLOG10 worksheet function

IMLOG2 worksheet function

IMPOWER worksheet function

IMPRODUCT worksheet function

IMREAL worksheet function

IMSIN worksheet function

IMSQRT worksheet function

IMSUB worksheet function

IMSUM worksheet function

OCT2BIN worksheet function

OCT2DEC worksheet function

OCT2HEX worksheet function


 About financial functions

About financial functions

Financial functions perform common business calculations, such as determining the payment for a loan, the future value or net present value of an investment, and the values of bonds or coupons.

Common arguments for the financial functions include:

  • Future value (fv) — the value of the investment or loan after all payments have been made.

  • Number of periods (nper) — the total number of payments or periods of an investment.

  • Payment (pmt) — the amount paid periodically to an investment or loan.

  • Present value (pv) — the value of an investment or loan at the beginning of the investment period. For example, the present value of a loan is the principal amount that is borrowed.

  • Rate (rate) — the interest rate or discount rate for a loan or investment.

  • Type (type) — the interval at which payments are made during the payment period, such as at the beginning of a month or the end of the month.

Which function do you want to read about?

ACCRINT worksheet function

ACCRINTM worksheet function

AMORDEGRC worksheet function

AMORLINC worksheet function

COUPDAYBS worksheet function

COUPDAYS worksheet function

COUPDAYSNC worksheet function

COUPNCD worksheet function

COUPNUM worksheet function

COUPPCD worksheet function

CUMIPMT worksheet function

CUMPRINC worksheet function

DB worksheet function

DDB worksheet function

DISC worksheet function

DOLLARDE worksheet function

DOLLARFR worksheet function

DURATION worksheet function

EFFECT worksheet function

FV worksheet function

FVSCHEDULE worksheet function

INTRATE worksheet function

IPMT worksheet function

IRR worksheet function

MDURATION worksheet function

MIRR worksheet function

NOMINAL worksheet function

NPER worksheet function

NPV worksheet function

ODDFPRICE worksheet function

ODDFYIELD worksheet function

ODDLPRICE worksheet function

ODDLYIELD worksheet function

PMT worksheet function

PPMT worksheet function

PRICE worksheet function

PRICEDISC worksheet function

PRICEMAT worksheet function

PV worksheet function

RATE worksheet function

RECEIVED worksheet function

SLN worksheet function

SYD worksheet function

TBILLEQ worksheet function

TBILLPRICE worksheet function

TBILLYIELD worksheet function

VDB worksheet function

XIRR worksheet function

XNPV worksheet function

YIELD worksheet function

YIELDDISC worksheet function

YIELDMAT worksheet function


About information functions

Use an information worksheet function to determine the type of data stored within a cell. The information functions include a group of worksheet functions known as the IS functions and return TRUE if the cell meets a condition. For example, if the cell contains an even value, the ISEVEN worksheet function returns TRUE. If you need to determine whether blank cells exist in a range of cells, you can use the COUNTBLANK worksheet function to count the number of blank cells in a range of cells, or you can use the ISBLANK worksheet function to determine whether one cell in the range is blank.

Which function do you want to read about?

CELL worksheet function

COUNTBLANK worksheet function

ERROR.TYPE worksheet function

INFO worksheet function

ISBLANK worksheet function

ISERR worksheet function

ISERROR worksheet function

ISEVEN worksheet function

ISLOGICAL worksheet function

ISNA worksheet function

ISNONTEXT worksheet function

ISNUMBER worksheet function

ISODD worksheet function

ISREF worksheet function

ISTEXT worksheet function

N worksheet function

NA worksheet function

TYPE worksheet function


About logical functions

You can use the logical functions either to see whether a condition is true or false or to check for multiple conditions. For example, you can use the IF function to determine whether a condition is true or false: One value is returned if the condition is true, and a different value is returned if the condition is false.

Which function do you want to read about?

AND worksheet function

FALSE worksheet function

IF worksheet function

NOT worksheet function

OR worksheet function

TRUE worksheet function


About lookup and reference functions

When you need to find values in lists or tables or when you need to find the reference of a cell, you can use the lookup and reference worksheet functions. For example, to find a value in a table by matching a value in the first column of a table, use the VLOOKUP worksheet function. To determine the position of a value in a list, use the MATCH worksheet function.

Which function do you want to read about?

ADDRESS worksheet function

AREAS worksheet function

CHOOSE worksheet function

COLUMN worksheet function

COLUMNS worksheet function

HLOOKUP worksheet function

HYPERLINK worksheet function

INDEX worksheet function

INDIRECT worksheet function

LOOKUP worksheet function

MATCH worksheet function

OFFSET worksheet function

ROW worksheet function

ROWS worksheet function

TRANSPOSE worksheet function

VLOOKUP worksheet function


About math and trigonometry functions

With math and trigonometry functions, you can perform simple calculations, such as rounding a number or calculating the total value for a range of cells, or complex calculations, such as calculating the total value for a range of cells that meet a condition in another range of cells.

Which function do you want to read about?

ABS worksheet function

ACOS worksheet function

ACOSH worksheet function

ASIN worksheet function

ASINH worksheet function

ATAN worksheet function

ATAN2 worksheet function

ATANH worksheet function

CEILING worksheet function

COMBIN worksheet function

COS worksheet function

COSH worksheet function

COUNTIF worksheet function

DEGREES worksheet function

EVEN worksheet function

EXP worksheet function

FACT worksheet function

FACTDOUBLE worksheet function

FLOOR worksheet function

GCD worksheet function

INT worksheet function

LCM worksheet function

LN worksheet function

LOG worksheet function

LOG10 worksheet function

MDETERM worksheet function

MINVERSE worksheet function

MMULT worksheet function

MOD worksheet function

MROUND worksheet function

MULTINOMIAL worksheet function

ODD worksheet function

PI worksheet function

POWER worksheet function

PRODUCT worksheet function

QUOTIENT worksheet function

RADIANS worksheet function

RAND worksheet function

RANDBETWEEN worksheet function

ROMAN worksheet function

ROUND worksheet function

ROUNDDOWN worksheet function

ROUNDUP worksheet function

SERIESSUM worksheet function

SIGN worksheet function

SIN worksheet function

SINH worksheet function

SQRT worksheet function

SQRTPI worksheet function

SUBTOTAL worksheet function

SUM worksheet function

SUMIF worksheet function

SUMPRODUCT worksheet function

SUMSQ worksheet function

SUMX2MY2 worksheet function

SUMX2PY2 worksheet function

SUMXMY2 worksheet function

TAN worksheet function

TANH worksheet function

TRUNC worksheet function


About statistical functions

Statistical worksheet functions perform statistical analysis on ranges of data. For example, a statistical worksheet function can provide statistical information about a straight line plotted through a group of values, such as the slope of the line and the y-intercept, or about the actual points that make up the straight line.

Which function do you want to read about?

AVEDEV worksheet function

AVERAGE worksheet function

AVERAGEA worksheet function

BETADIST worksheet function

BETAINV worksheet function

BINOMDIST worksheet function

CHIDIST worksheet function

CHIINV worksheet function

CHITEST worksheet function

CONFIDENCE worksheet function

CORREL worksheet function

COUNT worksheet function

COUNTA worksheet function

COVAR worksheet function

CRITBINOM worksheet function

DEVSQ worksheet function

EXPONDIST worksheet function

FDIST worksheet function

FINV worksheet function

FISHER worksheet function

FISHERINV worksheet function

FORECAST worksheet function

FREQUENCY worksheet function

FTEST worksheet function

GAMMADIST worksheet function

GAMMAINV worksheet function

GAMMALN worksheet function

GEOMEAN worksheet function

GROWTH worksheet function

HARMEAN worksheet function

HYPGEOMDIST worksheet function

INTERCEPT worksheet function

KURT worksheet function

LARGE worksheet function

LINEST worksheet function

LOGEST worksheet function

LOGINV worksheet function

LOGNORMDIST worksheet function

MAX worksheet function

MAXA worksheet function

MEDIAN worksheet function

MIN worksheet function

MINA worksheet function

MODE worksheet function

NEGBINOMDIST worksheet function

NORMDIST worksheet function

NORMINV worksheet function

NORMSDIST worksheet function

NORMSINV worksheet function

PEARSON worksheet function

PERCENTILE worksheet function

PERCENTRANK worksheet function

PERMUT worksheet function

POISSON worksheet function

PROB worksheet function

QUARTILE worksheet function

RANK worksheet function

RSQ worksheet function

SKEW worksheet function

SLOPE worksheet function

SMALL worksheet function

STANDARDIZE worksheet function

STDEV worksheet function

STDEVA worksheet function

STDEVP worksheet function

STDEVPA worksheet function

STEYX worksheet function

TDIST worksheet function

TINV worksheet function

TREND worksheet function

TRIMMEAN worksheet function

TTEST worksheet function

VAR worksheet function

VARA worksheet function

VARP worksheet function

VARPA worksheet function

WEIBULL worksheet function

ZTEST worksheet function


About text functions

With text functions, you can manipulate text strings in formulas. For example, you can change the case or determine the length of a text string. You can also join, or concatenate, a date to a text string. The following formula is an example of how you can use the TODAY function with the TEXT function to create a message that contains the current date and formats the date in the "dd-mmm-yy" number format.

="Budget report as of "&TEXT(TODAY(),"dd-mmm-yy")

Which function do you want to read about?

CHAR worksheet function

CLEAN worksheet function

CODE worksheet function

CONCATENATE worksheet function

DOLLAR worksheet function

EXACT worksheet function

FIND worksheet function

FIXED worksheet function

LEFT worksheet function

LEN worksheet function

LOWER worksheet function

MID worksheet function

PROPER worksheet function

REPLACE worksheet function

REPT worksheet function

RIGHT worksheet function

SEARCH worksheet function

SUBSTITUTE worksheet function

T worksheet function

TEXT worksheet function

TRIM worksheet function

UPPER worksheet function

VALUE worksheet function


 About user-defined functions

About user-defined functions

If you use a particularly complex calculation in many formulas or calculations that require several formulas because existing worksheet functions do not meet your needs, you can create custom functions. These functions, known as user-defined functions, are created by using Visual Basic for Applications. For more information about creating user-defined functions, see Visual Basic Help.


Database Functions

See Also

Microsoft Excel includes 12 worksheet functions that analyze data stored in lists or databases. Each of these functions, referred to collectively as the Dfunctions, uses three arguments: database, field, and criteria. These arguments refer to the worksheet ranges that are used by the function.

Syntax

Dfunction(database,field,criteria)

Database is the range of cells that make up the list or database.

  • In Microsoft Excel, a database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column. The reference can be entered as a cell range or as a name that represents the range that contains the list. For guidelines for creating lists on worksheets, click [image] .

  • In all database functions, if the database reference is to a cell inside a PivotTable, the calculation is done on only the PivotTable data.

  • If you want to calculate subtotal values in your list, use the Subtotals command on the Data menu to insert subtotal values. Learn about automatic subtotals.

Field indicates which column is used in the function. Columns of data in the list must have an identifying label in the first row. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield" in the example list below, or as a number that represents the position of the column in the list: 1 for the first column (Tree in the example below), 2 for the second (Height), and so on.

Criteria is a reference to a range of cells that specify conditions for the function. The function returns information from the list that matches the conditions specified in the criteria range. The criteria range includes a copy of the column label in the list for the column you want the function to summarize. The criteria reference can be entered as a cell range, such as A1:F2 in the example database below, or as a name that represents the range, such as "Criteria." For more examples of conditions you can specify as criteria, click [image] .

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.

  • Make sure the criteria range does not overlap the list.

  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples

The following illustration shows a database for a small orchard. Each record contains information about one tree. The range A5:E11 is named Database, and the range A1:F3 is named Criteria.

DCOUNT(Database,"Age",A1:F2) equals 1. This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers.

DCOUNTA(Database,"Profit",A1:F2) equals 1. This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank.

DMAX(Database,"Profit",A1:A3) equals $105.00, the maximum profit of apple and pear trees.

DMIN(Database,"Profit",A1:B2) equals $75.00, the minimum profit of apple trees over 10.

DSUM(Database,"Profit",A1:A2) equals $225.00, the total profit from apple trees.

DSUM(Database,"Profit",A1:F2) equals $75.00, the total profit from apple trees with a height between 10 and 16.

DPRODUCT(Database,"Yield",A1:F2) equals 140, the product of the yields from apple trees with a height between 10 and 16.

DAVERAGE(Database,"Yield",A1:B2) equals 12, the average yield of apple trees over 10 feet in height.

DAVERAGE(Database,3,Database) equals 13, the average age of all trees in the database.

DSTDEV(Database,"Yield",A1:A3) equals 2.97, the estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population.

DSTDEVP(Database,"Yield",A1:A3) equals 2.65, the true standard deviation in the yield of apple and pear trees if the data in the database is the entire population.

DVAR(Database,"Yield",A1:A3) equals 8.8, the estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population.

DVARP(Database,"Yield",A1:A3) equals 7.04, the true variance in the yield of apple and pear trees if the data in the database is the entire orchard population.

DGET(Database,"Yield",Criteria) returns the #NUM! error value because more than one record meets the criteria.


DAVERAGE

See Also

Averages the values in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DAVERAGE(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DCOUNT

See Also

Counts the cells that contain numbers in a column in a list or database that match conditions you specify.

The field argument is optional. If field is omitted, DCOUNT counts all records in the database that match the criteria.

For more information and examples, click [image] .

Syntax

DCOUNT(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DCOUNTA

See Also

Counts all of the nonblank cells in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DCOUNTA(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on. If you omit field, DCOUNTA returns a count of all records that meet the criteria. If you include field, DCOUNTA returns only records that contain a value in the field and meet the criteria.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DGET

See Also

Extracts a single value from a column in a list or database that matches conditions you specify.

For more information and examples, click [image] .

Syntax

DGET(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Remarks

  • If no record matches the criteria, DGET returns the #VALUE! error value.

  • If more than one record matches the criteria, DGET returns the #NUM! error value.


DMAX

See Also

Returns the largest number in a column in a list or database that matches conditions you specify.

For more information and examples, click [image] .

Syntax

DMAX(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DMIN

See Also

Returns the smallest number in a column in a list or database that matches conditions you specify.

For more information and examples, click [image] .

Syntax

DMIN(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DPRODUCT

See Also

Multiplies the values in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DPRODUCT(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DSTDEV

See Also

Estimates the standard deviation of a population based on a sample, using the numbers in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DSTDEV(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DSTDEVP

See Also

Calculates the standard deviation of a population based on the entire population, using the numbers in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DSTDEVP(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DSUM

See Also

Adds the numbers in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DSUM(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DVAR

See Also

Estimates the variance of a population based on a sample, using the numbers in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DVAR(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


DVARP

See Also

Calculates the variance of a population based on the entire population, using the numbers in a column in a list or database that match conditions you specify.

For more information and examples, click [image] .

Syntax

DVARP(database,field,criteria)

Database is the range of cells that make up the list or database. A database is a list of related data in which rows of related information are records and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.


GETPIVOTDATA

See Also

Returns data stored in a PivotTable report. You can use GETPIVOTDATA to retrieve summary data from a PivotTable report, provided the summary data is visible in the report.

Syntax

GETPIVOTDATA(pivot_table,name)

Pivot_table is a reference to a cell in the PivotTable report that contains the data you want to retrieve. Pivot_table can be a cell or range of cells in the report, a name for the range that contains the PivotTable report, or a label stored in a cell above the PivotTable report.

Name is a text string enclosed in double quotation marks that describes the cell in the PivotTable report that contains the value you want to retrieve. For example, if the PivotTable report contains one row field labeled Salesperson and you want to retrieve the grand total value for a salesperson named Suyama, name would be "Suyama." If the column field in the PivotTable report contains products and you want the total grand total value of beverage sales for a salesperson named Suyama, then name would be "Suyama Beverages." Learn about the rules for using PivotTable or PivotChart names in formulas.

Remarks

  • Calculated fields or items and custom calculations are included in GETPIVOTDATA calculations.

  • If pivot_table is a range that includes two or more PivotTable reports, data will be retrieved from whichever report was created most recently in the range.

  • If name describes a single cell, the value of that cell is returned regardless of whether it is a string, number, error, and so on.

  • If pivot_table is not a range in which a PivotTable report is found, GETPIVOTDATA returns #VALUE!.

  • If the syntax of name does not describe a visible field, if name is omitted, or if name includes a page field that is not displayed, GETPIVOTDATA returns #REF!.

Examples

Assuming the following PivotTable report is stored on a worksheet, and the name PT1 refers to A2:E12, the range that contains the report is:

GETPIVOTDATA(PT1,"Sum of Sales") returns the grand total of the Sales field, $49,325.

GETPIVOTDATA(PT1,"March") returns the grand total for March, $30,337.

The following examples refer to the same PivotTable report above but use a cell within the PivotTable report for the pivot_table argument:

GETPIVOTDATA(A4,"March Buchanan Produce") returns $10,201.

GETPIVOTDATA(A4,"March South") returns #REF! because the South region data is not visible.

GETPIVOTDATA(A4,"Davolio Beverages") returns #REF!; there is no total value of beverage sales for Davolio.


DATE

See Also

Returns the serial number that represents a particular date.

For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Syntax

DATE(year,month,day)

Year The year argument can be one to four digits. Excel interprets the year argument according to the date system you are using. By default, Excel for Windows uses the 1900 date system; Excel for the Macintosh uses the 1904 date system.

For the 1900 date system:

  • If year is between 0 (zero) and 1899 (inclusive), Excel adds that value to 1900 to calculate the year. For example, DATE(100,1,2) returns January 2, 2000 (1900+100).

  • If year is between 1900 and 9999 (inclusive), Excel uses that value as the year. For example, DATE(2000,1,2) returns January 2, 2000.

  • If year is less than 0 or is 10000 or greater, Excel returns the #NUM! error value.

For the 1904 date system:

  • If year is between 4 and 1899 (inclusive), Excel adds that value to 1900 to calculate the year. For example, DATE(100,1,2) returns January 2, 2000 (1900+100).

  • If year is between 1904 and 9999 (inclusive), Excel uses that value as the year. For example, DATE(2000,1,2) returns January 2, 2000.

  • If year is less than 4 or is 10000 or greater or if year is between 1900 and 1903 (inclusive), Excel returns the #NUM! error value.

Month is a number representing the month of the year. If month is greater than 12, month adds that number of months to the first month in the year specified. For example, DATE(1998,14,2) returns the serial number representing February 2, 1999.

Day is a number representing the day of the month. If day is greater than the number of days in the month specified, day adds that number of days to the first day in the month. For example, DATE(1998,1,35) returns the serial number representing February 4, 1998.

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The DATE function is most useful in formulas where year, month, and day are formulas, not constants.

Examples

Using the 1900 date system (the default in Excel for Windows), DATE(1998,1,1) equals 35796, which is the serial number corresponding to January 1, 1998.

Using the 1904 date system (the default in Microsoft Excel for the Macintosh), DATE(1998,1,1) equals 34334, which is the serial number corresponding to January 1, 1998.


DATEDIF

See also

Calculates the number of days, months, or years between two dates. This function is provided for compatibility with Lotus 1-2-3.

Syntax

DATEDIF(start_date,end_date,unit)

Start_date is a date that represents the first, or starting, date of the period. Dates may be entered as text strings within quotation marks (for example, "2001/1/30"), as serial numbers (for example, 36921, which represents January 30, 2001, if you're using the 1900 date system), or as the results of other formulas or functions (for example, DATEVALUE("2001/1/30")). For more information about date serial numbers, see NOW.

End_date is a date that represents the last, or ending, date of the period.

Unit is the type of information you want returned.

Unit | Returns
"Y" | The number of complete years in the period.
"M" | The number of complete months in the period.
"D" | The number of days in the period.
"MD" | The difference between the days in start_date and end_date. The months and years of the dates are ignored.
"YM" | The difference between the months in start_date and end_date. The days and years of the dates are ignored.
"YD" | The difference between the days of start_date and end_date. The years of the dates are ignored.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Excel for Windows and Excel for the Macintosh use different date systems as their default. For more information, see NOW.

Examples

DATEDIF("2001/1/1","2003/1/1","Y") equals 2, or two complete years in the period.

DATEDIF("2001/6/1","2002/8/15","D") equals 440, or 440 days between June 1, 2001, and August 15, 2002.

DATEDIF("2001/6/1","2002/8/15","YD") equals 75, or 75 days between June 1 and August 15, ignoring the years of the dates.

DATEDIF("2001/6/1","2002/8/15","MD") equals 14, or the difference between 1 and 15 — the day of start_date and the day of end_date — ignoring the months and the years of the dates.


DATEVALUE

See Also

Returns the serial number of the date represented by date_text. Use DATEVALUE to convert a date represented by text to a serial number.

For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Syntax

DATEVALUE(date_text)

Date_text is text that represents a date in an Excel date format. For example, "1/30/1998" or "30-Jan-1998" are text strings within quotation marks that represent dates. Using the default date system in Excel for Windows, date_text must represent a date from January 1, 1900, to December 31, 9999. Using the default date system in Excel for the Macintosh, date_text must represent a date from January 1, 1904, to December 31, 9999. DATEVALUE returns the #VALUE! error value if date_text is out of this range.

If the year portion of date_text is omitted, DATEVALUE uses the current year from your computer's built-in clock. Time information in date_text is ignored.

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Excel for Windows and Excel for the Macintosh use different date systems as their default. For more information, see NOW.

  • Most functions automatically convert date values to serial numbers.

Examples

The following examples use the 1900 date system:

DATEVALUE("8/22/1998") equals 36029

DATEVALUE("22-AUG-1998") equals 36029

DATEVALUE("2002/02/23") equals 37310

Assuming your computer's built-in clock is set to 1998 and you are using the 1900 date system:

DATEVALUE("5-JUL") equals 35981.


DAY

See Also

Returns the day of a date, represented by a serial number. The day is given as an integer ranging from 1 to 31.

For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Syntax

DAY(serial_number)

Serial_number is the date of the day you are trying to find. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")). For more information about serial_number, see NOW.

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Excel for Windows and Excel for the Macintosh use different date systems as their default. For more information, see NOW.

Examples

DAY("4-Jan") equals 4

DAY("15-Apr-1998") equals 15

DAY("8/11/1998") equals 11

DAY("2001/10/10") equals 10


DAYS360

See Also

Returns the number of days between two dates based on a 360-day year (twelve 30-day months), which is used in some accounting calculations. Use this function to help compute payments if your accounting system is based on twelve 30-day months.

Syntax

DAYS360(start_date,end_date,method)

Start_date and end_date are the two dates between which you want to know the number of days. If start_date occurs after end_date, DAYS360 returns a negative number. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Method is a logical value that specifies whether to use the U.S. or European method in the calculation

Method | Defined
FALSE or omitted | U.S. (NASD) method. If the starting date is the 31st of a month, it becomes equal to the 30th of the same month. If the ending date is the 31st of a month and the starting date is earlier than the 30th of a month, the ending date becomes equal to the 1st of the next month, otherwise the ending date becomes equal to the 30th of the same month.
TRUE | European method. Starting dates or ending dates that occur on the 31st of a month become equal to the 30th of the same month.

Tip To determine the number of days between two dates in a normal (365-day or 366-day year), you can just subtract the starting date from the ending date — for example, ="12/31/1998"-"1/1/1998" equals 364.

Remark

Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

Example

DAYS360("1/30/1998","2/1/1998") equals 1

If cell D10 contains the date 1/30/1998 and cell D11 contains the date 2/1/1998, then:

DAYS360(D10,D11) equals 1


EDATE

See Also

Returns the serial number that represents the date that is the indicated number of months before or after a specified date (the start_date). Use EDATE to calculate maturity dates or due dates that fall on the same day of the month as the date of issue. For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

EDATE(start_date,months)

Start_date is a date that represents the start date. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Months is the number of months before or after start_date. A positive value for months yields a future date; a negative value yields a past date.

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • If start_date is not a valid date, EDATE returns the #NUM! error value.

  • If months is not an integer, it is truncated.

Examples

EDATE(DATEVALUE("01/15/1998"),1) equals 35841 or February 15, 1998

EDATE(DATEVALUE("03/31/1998"),-1) equals 35854 or February 28, 1998

EDATE("2002/01/09",2) equals 37324 or March 9, 2002


EOMONTH

See Also

Returns the serial number for the last day of the month that is the indicated number of months before or after start_date. Use EOMONTH to calculate maturity dates or due dates that fall on the last day of the month.

For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

EOMONTH(start_date,months)

Start_date is a date that represents the starting date. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Months is the number of months before or after start_date. A positive value for months yields a future date; a negative value yields a past date.

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904 is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • If start_date is not a valid date, EOMONTH returns the #NUM! error value.

  • If months is not an integer, it is truncated.

  • If start_date plus months yields an invalid date, EOMONTH returns the #NUM! error value.

Examples

EOMONTH("01/01/1998",1) equals 35854 or February 28, 1998

EOMONTH("01/01/1998",-1) equals 35795 or December 31, 1997

EOMONTH("2000/01/30",3) equals 36646 or April 30, 2000


HOUR

See Also

Returns the hour of a time value. The hour is given as an integer, ranging from 0 (12:00 A.M.) to 23 (11:00 P.M.).

Syntax

HOUR(serial_number)

Serial_number is the time that contains the hour you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Microsoft Excel for Windows and Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day). Learn more about how Microsoft Excel stores dates and times.

Examples

HOUR(0.7) equals 16

HOUR(29747.7) equals 16

HOUR("3:30:30 PM") equals 15


MINUTE

See Also

Returns the minutes of a time value. The minute is given as an integer, ranging from 0 to 59.

Syntax

MINUTE(serial_number)

Serial_number is the time that contains the minute you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remarks

Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5, since it is half of a day). Learn more about how Microsoft Excel stores dates and times.

Examples

MINUTE("4:48:00 PM") equals 48

MINUTE(0.01) equals 14

MINUTE(4.02) equals 28


MONTH

See Also

Returns the month of a date represented by a serial number. The month is given as an integer, ranging from 1 (January) to 12 (December).

For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Syntax

MONTH(serial_number)

Serial_number is the date of the month you are trying to find. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. For more information, see NOW.

Examples

MONTH("6-May") equals 5

MONTH(35795) equals 12

MONTH(35796) equals 1

MONTH("2004/04/01") equals 4


NETWORKDAYS

See Also

Returns the number of whole working days between start_date and end_date. Working days exclude weekends and any dates identified in holidays. Use NETWORKDAYS to calculate employee benefits that accrue based on the number of days worked during a specific term.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

NETWORKDAYS(start_date,end_date,holidays)

Start_date is a date that represents the start date. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

End_date is a date that represents the end date.

Holidays is an optional range of one or more dates to exclude from the working calendar, such as state and federal holidays and floating holidays. The list can be either a range of cells that contain the dates or an array constant of the serial numbers that represent the dates. Learn about array constants. For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Remark

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • If any argument is not a valid date, NETWORKDAYS returns the #NUM! error value.

Examples

Given a project that begins October 1, 1998, and ends December 1, 1998, the following example calculates the number of days in the project. November 26, 1998, is a holiday and is excluded in the calculation.

NETWORKDAYS("10/01/1998","12/01/1998","11/26/1998") equals 43.

The following example returns the number of workdays for a project that begins on October 1, 1999, and ends on February 15, 2000; it excludes December 24, 1999, and January 3, 2000.

NETWORKDAYS("10/01/1999",
"2/15/2000",{"12/24/1999","1/3/2000"}) equals 96

The following example calculates the number of workdays between May 1, 2002 and May 31, 2002, inclusive; it excludes May 28, 2002.

NETWORKDAYS("2002/05/01","2002/05/31","2002/05/28") equals 22


NOW

See Also

Returns the serial number of the current date and time.

Syntax

NOW( )

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different default date systems. Excel for Windows uses the 1900 date system, in which serial numbers correspond to the dates January 1, 1900, through December 31, 9999. Excel for the Macintosh uses the 1904 date system, in which serial numbers correspond to the dates January 1, 1904, through December 31, 9999.

  • Numbers to the right of the decimal point in the serial number represent the time; numbers to the left represent the date. For example, in the 1900 date system, the serial number 367.5 represents the date-time combination 12:00 P.M., January 1, 1901.

  • You can change the date system by selecting or clearing the 1904 date system check box on the Calculation tab of the Options command (Tools menu).

  • The date system is changed automatically when you open a document from another platform. For example, if you are working in Excel for Windows and you open a document created in Excel for the Macintosh, the 1904 date system check box is selected automatically.

  • The NOW function changes only when the worksheet is calculated or when a macro that contains the function is run. It is not updated continuously.

Examples

If you are using the 1900 date system and your computer's built-in clock is set to 12:30:00 P.M., 1-Jan-1987, then:

NOW() equals 31778.52083

Ten minutes later:

NOW() equals 31778.52778


SECOND

See Also

Returns the seconds of a time value. The second is given as an integer in the range 0 (zero) to 59.

Syntax

SECOND(serial_number)

Serial_number is the time that contains the seconds you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day). Learn more about how Microsoft Excel stores dates and times.

Examples

SECOND("4:48:18 PM") equals 18

SECOND(0.01) equals 24

SECOND(4.02) equals 48


TIME

See Also

Returns the decimal number for a particular time. The decimal number returned by TIME is a value ranging from 0 to 0.99999999, representing the times from 0:00:00 (12:00:00 A.M.) to 23:59:59 (11:59:59 P.M.).

Syntax

TIME(hour,minute,second)

Hour is a number from 0 (zero) to 23 representing the hour.

Minute is a number from 0 to 59 representing the minute.

Second is a number from 0 to 59 representing the second.

Remark

Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day). Learn more about how Microsoft Excel stores dates and times.

Examples

TIME(12, 0, 0) equals the serial number 0.5, which is equivalent to 12:00:00 P.M.

TIME(16, 48, 10) equals the serial number 0.700115741, which is equivalent to 4:48:10 P.M.

TEXT(TIME(23, 18, 14), "h:mm:ss AM/PM") equals "11:18:14 PM"


TIMEVALUE

See Also

Returns the decimal number of the time represented by a text string. The decimal number is a value ranging from 0 (zero) to 0.99999999, representing the times from 0:00:00 (12:00:00 A.M.) to 23:59:59 (11:59:59 P.M.).

Syntax

TIMEVALUE(time_text)

Time_text is a text string that represents a time in any one of the Microsoft Excel time formats. For example, "6:45 PM" and "18:45" text strings within quotation marks that represent time. Date information in time_text is ignored.

Remark

Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day). Learn more about how Microsoft Excel stores dates and times.

Examples

TIMEVALUE("2:24 AM") equals 0.1

TIMEVALUE("22-Aug-1955 6:35 AM") equals 0.274305556


TODAY

See Also

Returns the serial number of the current date. The serial number is the date-time code used by Microsoft Excel for date and time calculations. For more information about serial numbers, see NOW.

Syntax

TODAY( )


WEEKDAY

See Also

Returns the day of the week corresponding to a date. The day is given as an integer, ranging from 1 (Sunday) to 7 (Saturday), by default.

Syntax

WEEKDAY(serial_number,return_type)

Serial_number is a sequential number that represents the date of the day you are trying to find. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")). For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Return_type is a number that determines the type of return value.

Return_type | Number returned
1 or omitted | Numbers 1 (Sunday) through 7 (Saturday). Behaves like previous versions of Microsoft Excel.
2 | Numbers 1 (Monday) through 7 (Sunday).
3 | Numbers 0 (Monday) through 6 (Sunday).

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. For more information, see NOW.

  • You can also use the TEXT function to convert a value to a specified number format:

    TEXT("4/16/1998", "dddd") equals Thursday

Examples

WEEKDAY("2/14/1998") equals 7 (Saturday)

WEEKDAY("2/14/1998",2) equals 6 (Saturday)

WEEKDAY("2003/02/23",3) equals 6 (Sunday)

If you are using the 1900 date system (the default in Microsoft Excel for Windows), then:

WEEKDAY(35981.007) equals 1 (Sunday)

If you are using the 1904 date system (the default in Microsoft Excel for the Macintosh), then:

WEEKDAY(35981.007) equals 7 (Saturday)


WEEKNUM

See Also

Returns a number that indicates where the week falls numerically within a year.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

WEEKNUM(serial_num,return_type)

Serial_num is a date within the week. For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Return_type is a number that determines on what day the week begins. The default is 1.

Serial num | Week Begins
1 | Week begins on Sunday. Weekdays are numbered 1 through 7.
2 | Week begins on Monday. Weekdays are numbered 1 through 7.

Remarks

Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

Examples

If date is Sunday, January 10, 1999, then:

WEEKNUM("1/10/1999",1) equals 3

WEEKNUM("1/10/1999",2) equals 2

WEEKNUM("2005/08/31") equals 36


WORKDAY

See Also

Returns a number that represents a date that is the indicated number of working days before or after a date (the starting date). Working days exclude weekends and any dates identified as holidays. Use WORKDAY to exclude weekends or holidays when you calculate invoice due dates, expected delivery times, or the number of days of work performed. To view the number as a date, click Cells on the Format menu, click Date in the Category box, and then click a date format in the Type box.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

WORKDAY(start_date,days,holidays)

Start_date is a date that represents the start date. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998"))

Days is the number of nonweekend and nonholiday days before or after start_date. A positive value for days yields a future date; a negative value yields a past date.

Holidays is an optional list of one or more dates to exclude from the working calendar, such as state and federal holidays and floating holidays. The list can be either a range of cells that contain the dates or an array constant of the serial numbers that represent the dates. Learn about array constants. For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • If start_date is not a valid date, WORKDAY returns the #NUM! error value.

  • If start_date plus days yields an invalid date, WORKDAY returns the #NUM! error value.

  • If days is not an integer, it is truncated.

Examples

WORKDAY(DATEVALUE("01/03/1998"),5) equals 35804 or January 9, 1998.

If January 7, 1998, and January 8, 1998, are holidays, then:
WORKDAY(DATEVALUE("01/03/1998"),5,{35802,35803}) equals 35808 or January 13, 1998.


YEAR

See Also

Returns the year corresponding to a date. The year is returned as an integer in the range 1900-9999.

Syntax

YEAR(serial_number)

Serial_number is the date of the year you want to find. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")). For more information about how Microsoft Excel uses serial numbers for dates, see the Remarks section.

Remarks

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. For more information, see NOW.

Examples

YEAR("7/5/1998") equals 1998

YEAR("2005/05/01") equals 2005

If you are using the 1900 date system (the default in Excel for Windows), then:

YEAR(0.007) equals 1900

YEAR(35981.007) equals 1998

If you are using the 1904 date system (the default in Excel for the Macintosh), then:

YEAR(0.007) equals 1904

YEAR(35981.007) equals 2002


YEARFRAC

See Also

Calculates the fraction of the year represented by the number of whole days between two dates (the start_date and the end_date). Use the YEARFRAC worksheet function to identify the proportion of a whole year's benefits or obligations to assign to a specific term.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

YEARFRAC(start_date,end_date,basis)

Start_date is a date that represents the start date. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

End_date is a date that represents the end date.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • All arguments are truncated to integers.

  • If start_date or end_date are not valid dates, YEARFRAC returns the #NUM! error value.

  • If basis < 0 or if basis > 4, YEARFRAC returns the #NUM! error value.

Examples

YEARFRAC("1/1/1998", "6/30/1998",2) equals 0.5

YEARFRAC("1/1/1998", "6/30/1998",0) equals 0.497222

YEARFRAC("2001/01/25","2001/09/27") equals 0.67222


 Use Dynamic Data Exchange (DDE) with Microsoft Query

Use Dynamic Data Exchange (DDE) with Microsoft Query

Microsoft Query supports dynamic data exchange (DDE), a form of communication through which two applications exchange data with each other. You can use DDE methods in Visual Basic for Applications to communicate and send data back and forth between Microsoft Query and another application, such as Microsoft Excel.

For information about using DDE with Microsoft Query, see Microsoft Query Help.

For information about installing Microsoft Query, click [image] .


CALL

See Also

Calls a procedure in a dynamic link library or code resource. There are two syntax forms of this function. Use syntax 1 only with a previously registered code resource, which uses arguments from the REGISTER function. Use syntax 2a or 2b to simultaneously register and call a code resource.

Important This function is provided for advanced users only. If you use the CALL function incorrectly, you may cause errors that will require you to restart your computer.

Syntax 1

Used with REGISTER

CALL(register_id,argument1,...)

Syntax 2a

Used alone (in Microsoft Excel for Windows)

CALL(module_text,procedure,type_text,argument1,...)

Syntax 2b

Used alone (in Microsoft Excel for the Macintosh)

CALL(file_text,resource,type_text,argument1,...)

Register_id is the value returned by a previously executed REGISTER or REGISTER.ID function.

Argument1, ... are the arguments to be passed to the procedure.

Module_text is quoted text specifying the name of the dynamic link library (DLL) that contains the procedure in Microsoft Excel for Windows.

File_text is the name of the file that contains the code resource in Microsoft Excel for the Macintosh.

Procedure is text specifying the name of the function in the DLL in Microsoft Excel for Windows. You can also use the ordinal value of the function from the EXPORTS statement in the module-definition file (.DEF). The ordinal value must not be in the form of text.

Resource is the name of the code resource in Microsoft Excel for the Macintosh. You can also use the resource ID number. The resource ID number must not be in the form of text.

Type_text is text specifying the data type of the return value and the data types of all arguments to the DLL or code resource. The first letter of type_text specifies the return value. The codes you use for type_text are described in detail in Using the CALL and REGISTER Functions. For stand-alone DLLs or code resources (XLLs), you can omit this argument.

Example

Syntax 1 (32-Bit Microsoft Excel)

IN 32-bit Microsoft Excel for Windows, the following macro formula registers the GetTickCount function from 32-bit Microsoft Windows. GetTickCount returns the number of milliseconds that have elapsed since Microsoft Windows was started.

REGISTER("Kernel32","GetTickCount","J")

Assuming that this REGISTER function is in cell A5, after your macro registers GetTickCount, you can use the CALL function to return the number of milliseconds that have elapsed:

CALL(A5)

Syntax 1 (16-Bit Microsoft Excel)

In 16-bit Microsoft Excel for Windows, the following macro formula registers the GetTickCount function from 16-bit Microsoft Windows. GetTickCount returns the number of milliseconds that have elapsed since Microsoft Windows was started.

REGISTER("User","GetTickCount","J")

Assuming that this REGISTER function is in cell A5, after your macro registers GetTickCount, you can use the CALL function to return the number of milliseconds that have elapsed:

CALL(A5)

Example

Syntax 2a (32-Bit Microsoft Excel)

On a worksheet, you can use the following CALL formula (syntax 2a) to call the GetTickCount function:

CALL("Kernel32","GetTickCount","J!")

The ! in the type_text argument forces Microsoft Excel to recalculate the CALL function every time the worksheet recalculates. This updates the elapsed time whenever the worksheet recalculates.

Syntax 2a (16-Bit Microsoft Excel)

On a worksheet, you can use the following CALL formula (syntax 2a) to call the GetTickCount function:

CALL("User","GetTickCount","J!")

The ! in the type_text argument forces Microsoft Excel to recalculate the CALL function every time the worksheet recalculates. This updates the elapsed time whenever the worksheet recalculates.

Tip You can use optional arguments to the REGISTER function to assign a custom name to a function. This name will appear in the Paste Function dialog box, and you can call the function by using its custom name in a formula. For more information, see REGISTER.


REGISTER.ID

See Also

Returns the register ID of the specified dynamic link library (DLL) or code resource that has been previously registered. If the DLL or code resource has not been registered, this function registers the DLL or code resource and then returns the register ID.

REGISTER.ID can be used on worksheets (unlike REGISTER), but you cannot specify a function name and argument names with REGISTER.ID.

For more information about DLLs and code resources and data types, see Using the CALL and REGISTER Functions.

Note Because Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different types of code resources, REGISTER.ID has a slightly different syntax for each operating environment.

Syntax 1

For Microsoft Excel for Windows

REGISTER.ID(module_text,procedure,type_text)

Syntax 2

For Microsoft Excel for the Macintosh

REGISTER.ID(file_text,resource,type_text)

Module_text is text specifying the name of the DLL that contains the function in Microsoft Excel for Windows.

Procedure is text specifying the name of the function in the DLL in Microsoft Excel for Windows. You can also use the ordinal value of the function from the EXPORTS statement in the module-definition file (.DEF). The ordinal value or resource ID number must not be in text form.

Type_text is text specifying the data type of the return value and the data types of all arguments to the DLL. The first letter of type_text specifies the return value. If the function or code resource is already registered, you can omit this argument.

File_text is text specifying the name of the file that contains the code resource in Microsoft Excel for the Macintosh.

Resource is text specifying the name of the function in the code resource in Microsoft Excel for the Macintosh. You can also use the resource ID number. The ordinal value or resource ID number must not be in text form.

Examples (32-Bit Microsoft Excel)

The following formula registers the GetTickCount function from 32-bit Microsoft Windows and returns the register ID:

REGISTER.ID("Kernel32", "GetTickCount", "J!")

Assuming that GetTickCount was already registered on another sheet using the preceding formula, the following formula returns the register ID for GetTickCount:

REGISTER.ID("Kernel32", "GetTickCount")

Examples (16-Bit Microsoft Excel)

The following formula registers the GetTickCount function from 16-bit Microsoft Windows and returns the register ID:

REGISTER.ID("User", "GetTickCount", "J!")

Assuming that GetTickCount was already registered on another sheet using the preceding formula, the following formula returns the register ID for GetTickCount:

REGISTER.ID("User", "GetTickCount")


SQL.REQUEST

See Also

Connects with an external data source, and runs a query from a worksheet. SQL.REQUEST then returns the result as an array without the need for macro programming. If this function is not available, you must install the Microsoft Excel ODBC add-in (XLODBC.XLA).

Syntax

SQL.REQUEST(connection_string,output_ref,driver_prompt,query_text,col_names_logical)

Connection_string supplies information, such as the data source name, user ID, and passwords, required by the driver being used to connect to a data source and must follow the driver's format. The following table provides three example connection strings for three drivers.

Driver | Connection_string
dBASE | DSN=NWind;PWD=test
SQL Server | DSN=MyServer;UID=dbayer; PWD=123;Database=Pubs
ORACLE | DNS=My Oracle Data Source;DBQ=MYSER VER;UID=JohnS;PWD=Sesame

  • You must define the data source name (DSN) used in connection_string before you try to connect to it.

  • You can enter connection_string as an array or a string. If connection_string exceeds 250 characters, you must enter it as an array.

  • If SQL.REQUEST is unable to gain access to the data source using connection_string, it returns the #N/A error value.

Output_ref is a cell reference where you want the completed connection string placed. If you enter SQL.REQUEST on a worksheet, then output_ref is ignored.

  • Use output_ref when you want SQL.REQUEST to return the completed connection string (you must enter SQL.REQUEST on a macro sheet in this case).

  • If you omit output_ref, SQL.REQUEST does not return a completed connection string.

Driver_prompt specifies when the driver dialog box is displayed and which options are available. Use one of the numbers described in the following table. If driver_prompt is omitted, SQL.REQUEST uses 2 as the default.

Driver_prompt | Description
1 | Driver dialog box is always displayed.
2 | Driver dialog box is displayed only if information provided by the connection string and the data source specification is not sufficient to complete the connection. All dialog box options are available.
3 | Driver dialog box is displayed only if information provided by the connection string and the data source specification is not sufficient to complete the connection. Dialog box options appear dimmed and unavailable if they are not required.
4 | Driver dialog box is not displayed. If the connection is not successful, it returns an error.

Query_text is the SQL statement that you want to execute on the data source.

  • If SQL.REQUEST is unable to execute query_text on the specified data source, it returns the #N/A error value.

  • You can update a query by concatenating references into query_text. In the following example, every time $A$3 changes, SQL.REQUEST uses the new value to update the query.

    "SELECT Name FROM Customers WHERE Balance > "&$A$3&"".

    Microsoft Excel limits strings to a length of 255 characters. If query_text exceeds that length, enter the query in a vertical range of cells, and use the entire range as the query_text. The values of the cells are concatenated to form the complete SQL statement.

Column_names_logical indicates whether column names are returned as the first row of the results. Set this argument to TRUE if you want the column names to be returned as the first row of the results. Use FALSE if you do not want the column names returned. If column_names_logical is omitted, SQL.REQUEST does not return column names.

Return Value

  • If this function completes all of its actions, it returns an array of query results or the number of rows affected by the query.

  • If SQL.REQUEST is unable to access the data source using connection_string, it returns the #N/A error value.

Remarks

  • SQL.REQUEST can be entered as an array. When you enter SQL.REQUEST as an array, it returns an array to fit that range.

  • If the range of cells is larger than the result set, SQL.REQUEST adds empty cells to the returned array to increase it to the necessary size.

  • If the result set is larger than the range entered as an array, SQL.REQUEST returns the whole array.

  • The arguments to SQL.REQUEST are in a different order than the arguments to the SQLRequest function in Visual Basic for Applications.

Example

Suppose you want to make a query of a dBASE database named DBASE4. When you enter the following formula in a cell, an array of query results is returned, with the first row being the column names:

SQL.REQUEST("DSN=NWind;DBQ=c:\msquery;FIL=dBASE4", c15, 2,
"Select Custmr_ID, Due_Date from Orders WHERE order_Amt>100", TRUE)


Using the CALL and REGISTER Functions

The following describes the argument and return value data types used by the CALL, REGISTER, and REGISTER.ID functions. Arguments and return values differ slightly depending on your operating environment, and these differences are noted in the data type table.

The "Microsoft Excel 97 Developer's Kit" contains detailed information about dynamic link libraries (DLLs) and code resources, the Microsoft Excel application programming interface (API), file formats, and many other technical aspects of Microsoft Excel. It also contains code samples and programming tools that you can use to develop custom applications. "The Office 2000/Visual Basic Programmer's Guide" contains detailed information about creating custom applications using Visual Basic for Applications. To obtain a copy of the "Microsoft Excel 97 Developer's Kit" or "The Office 2000/Visual Basic Programmer's Guide," contact your software supplier or Microsoft Press. In the United States, contact Microsoft Press at (800) 677-7377.

Data Types

In the CALL, REGISTER, and REGISTER.ID functions, the type_text argument specifies the data type of the return value and the data types of all arguments to the DLL function or code resource. The first character of type_text specifies the data type of the return value. The remaining characters indicate the data types of all the arguments. For example, a DLL function that returns a floating-point number and takes an integer and a floating-point number as arguments would require "BIB" for the type_text argument.

The following table contains a complete list of the data type codes that Microsoft Excel recognizes, a description of each data type, how the argument or return value is passed, and a typical declaration for the data type in the C programming language.

Code | Description | Pass by | C Declaration
A | Logical (FALSE = 0), TRUE = 1) | Value | short int
B | IEEE 8-byte floating-point number | Value (Windows) Reference (Macintosh) | double (Windows) double * (Macintosh)
C | Null-terminated string (maximum string length = 255) | Reference | char *
D | Byte-counted string (first byte contains length of string, maximum string length = 255 characters) | Reference | Unsigned char *
E | IEEE 8-byte floating-point number | Reference | double *
F | Null-terminated string (maximum string length = 255 characters) | Reference (modify in place) | char *
G | Byte-counted string (first byte contains length of string, maximum string length = 255 characters) | Reference (modify in place) | unsigned char *
H | Unsigned 2-byte integer | Value | unsigned short int
I | Signed 2-byte integer | Value | short int
J | Signed 4-byte integer | Value | long int
K | Array | Reference | FP *
L | Logical (FALSE = 0, TRUE = 1) | Reference | short int *
M | Signed 2-byte integer | Reference | short int *
N | Signed 4-byte integer | Reference | long int *
O | Array | Reference | Three arguments are passed: unsigned short int * unsigned short int * double [ ]
P | Microsoft Excel OPER data structure | Reference | OPER *
R | Microsoft Excel XLOPER data structure | Reference | XLOPER *

Remarks

  • The C-language declarations are based on the assumption that your compiler defaults to 8-byte doubles, 2-byte short integers, and 4-byte long integers.

  • In the Microsoft Windows programming environment, all pointers are far pointers. For example, you must declare the D data type code as unsigned char far * in Microsoft Windows.

  • All functions in DLLs and code resources are called using the Pascal calling convention. Most C compilers allow you to use the Pascal calling convention by adding the Pascal keyword to the function declaration, as shown in the following example:

    pascal void main (rows,columns,a)

  • If a function uses a pass-by-reference data type for its return value, you can pass a null pointer as the return value. Microsoft Excel will interpret the null pointer as the #NUM! error value.

Additional Data Type Information

This section contains detailed information about the F, G, K, O, P, and R data types and other information about the type_text argument.

F and G Data Types

With the F and G data types, a function can modify a string buffer that is allocated by Microsoft Excel. If the return value type code is F or G, then Microsoft Excel ignores the value returned by the function. Instead, Microsoft Excel searches the list of function arguments for the first corresponding data type (F or G) and then takes the current contents of the allocated string buffer as the return value. Microsoft Excel allocates 256 bytes for the argument, so the function may return a larger string than it received.

K Data Type

The K data type uses a pointer to a variable-size FP structure. You must define this structure in the DLL or code resource as follows:

typedef struct _FP
{
    unsigned short int rows;
    unsigned short int columns;
    double array[1];        /* Actually, array[rows][columns] */
} FP;

The declaration double array[1] allocates storage for only a single-element array. The number of elements in the actual array equals the number of rows multiplied by the number of columns.

O Data Type

The O data type can be used only as an argument, not as a return value. It passes three items: a pointer to the number of rows in an array, a pointer to the number of columns in an array, and a pointer to a two-dimensional array of floating-point numbers.

Instead of returning a value, a function can modify an array passed by the O data type. To do this, you can use ">O" as the type_text argument. For more information, see "Modifying in Place — Functions Declared as Void" below.

The O data type was created for direct compatibility with Fortran DLLs, which pass arguments by reference.

P Data Type

The P data type is a pointer to an OPER structure. The OPER structure contains 8 bytes of data, followed by a 2-byte identifier that specifies the type of data. With the P data type, a DLL function or code resource can take and return any Microsoft Excel data type.

The OPER structure is defined as follows:

typedef struct _oper

{
    union
    {
        double num;
        unsigned char *str;
        unsigned short int bool;
        unsigned short int err;
        struct
        {
            struct _oper *lparray;
            unsigned short int rows;
            unsigned short int columns;
        } array;
    } val;
    unsigned short int type;
} OPER;

The type field contains one of these values.

Type | Description | Val field to use
1 | Numeric | num
2 | String (first byte contains length of string) | str
4 | Boolean (logical) | bool
16 | Error: the error values are: 0#NULL! 7#DIV/0! 15#Value! 23#REF! 29#NAME? 36#NUM! 42#N/A | err
64 | Array | array
128 | Missing argument |
256 | Empty cell |

The last two values can be used only as arguments, not return values. The missing argument value (128) is passed when the caller omits an argument. The empty cell value (256) is passed when the caller passes a reference to an empty cell.

R Data Type — Calling Microsoft Excel Functions from DLLs

The R data type is a pointer to an XLOPER structure, which is an enhanced version of the OPER structure. In Microsoft Excel version 4.0 and later, you can use the R data type to write DLLs and code resources that call Microsoft Excel functions. With the XLOPER structure, a DLL function can pass sheet references and implement flow control, in addition to passing data. A complete description of the R data type and the Microsoft Excel application programming interface (API) is beyond the scope of this topic. The Microsoft Excel Developer's Kit contains detailed information about the R data type, the Microsoft Excel API, and many other technical aspects of Microsoft Excel.

Volatile Functions and Recalculation

Microsoft Excel usually calculates a DLL function (or a code resource) only when it is entered into a cell, when one of its precedents changes, or when the cell is calculated during a macro. On a worksheet, you can make a DLL function or code resource volatile, which means that it recalculates every time the worksheet recalculates. To make a function volatile, add an exclamation point (!) as the last character in the type_text argument.

For example, in Microsoft Excel for Windows, the following worksheet formula recalculates every time the worksheet recalculates:

CALL("Kernel32","GetTickCount","J!")

Modifying in Place — Functions Declared as Void

You can use a single digit n for the return type code in type_text, where n is a number from 1 to 9. This tells Microsoft Excel to modify the variable in the location pointed to by the nth argument in type_text, instead of returning a value. This is also known as modifying in place. The nth argument must be a pass-by-reference data type (C, D, E, F, G, K, L, M, N, O, P, or R). The DLL function or code resource must also be declared with the void keyword in the C language (or the procedure keyword in the Pascal language).

For example, a DLL function that takes a null-terminated string and two pointers to integers as arguments can modify the string in place. Use "1FMM" as the type_text argument, and declare the function as void.

Versions prior to Microsoft Excel 4.0 used the > character to modify the first argument in place; there was no way to modify any argument other than the first. The > character is equivalent to n = 1 in Microsoft Excel version 4.0 and later.


A bibliography of financial, statistical, and engineering methods

See Also

The following books provide detailed information on financial, statistical, and engineering methods.

Abramowitz, Milton, and Irene A. Stegun. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. 10th ed. Washington, D.C.: U.S. Government Printing Office, 1972.

Devore, Jay L. Probability and Statistics for Engineering and the Sciences. 4th ed. Belmont, Calif.: Wadsworth, 1991.

Fabozzi, Frank J. The Handbook of Fixed-Income Securities. 3rd ed. Homewood, Ill.: Irwin Professional, 1990.

Hewlett-Packard, HP-12C Owner's Handbook and Problem-Solving Guide. N.p.: Hewlett-Packard, 1981.

Lynch, John J., Jr., and Jan H. Mayle. Standard Securities Calculation Methods, Fixed Income Securities Formulas. New York: Securities Industry Association, 1994.

McCall, Robert B. Fundamental Statistics for the Behavioral Sciences. 6th ed. Belmont, Calif.: Wadsworth, 1994.

Monks, Joseph G. Operations Management: Theory and Problems. 3rd ed. New York: McGraw-Hill, 1987.

Press, W. H., B. P. Flannery, S. A. Teukolsky, and W. T. Vetterling. Numerical Recipes in C: The Art of Scientific Computing. 2nd ed. New York: Cambridge University Press, 1992.

Sokal, Robert R., and F. James Rohlf. Biometry: The Principles and Practice of Statistics in Biological Research. 2nd ed. New York: W. H. Freeman, 1995.

Stigum, Marcia, and John Mann. Money Market Calculations: Yields, Break-Evens, & Arbitrage. 2nd ed. Homewood, Ill.: Irwin Professional, 1989.


BESSELI

See Also

Returns the modified Bessel function, which is equivalent to the Bessel function evaluated for purely imaginary arguments.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

BESSELI(x,n)

X is the value at which to evaluate the function.

N is the order of the Bessel function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELI returns the #VALUE! error value.

  • If n is nonnumeric, BESSELI returns the #VALUE! error value.

  • If n < 0, BESSELI returns the #NUM! error value.

  • The n-th order modified Bessel function of the variable x is:

Example

BESSELI(1.5, 1) equals 0.981666


BESSELJ

See Also

Returns the Bessel function.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

BESSELJ(x,n)

X is the value at which to evaluate the function.

N is the order of the Bessel function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELJ returns the #VALUE! error value.

  • If n is nonnumeric, BESSELJ returns the #VALUE! error value.

  • If n < 0, BESSELJ returns the #NUM! error value.

  • The n-th order Bessel function of the variable x is:

    where:

    is the Gamma function.

Example

BESSELJ(1.9, 2) equals 0.329926


BESSELK

See Also

Returns the modified Bessel function, which is equivalent to the Bessel functions evaluated for purely imaginary arguments.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

BESSELK(x,n)

X is the value at which to evaluate the function.

N is the order of the function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELK returns the #VALUE! error value.

  • If n is nonnumeric, BESSELK returns the #VALUE! error value.

  • If n < 0, BESSELK returns the #NUM! error value.

  • The n-th order modified Bessel function of the variable x is:

    where Jn and Yn are the J and Y Bessel functions, respectively.

Example

BESSELK(1.5, 1) equals 0.277388


BESSELY

See Also

Returns the Bessel function, which is also called the Weber function or the Neumann function.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

BESSELY(x,n)

X is the value at which to evaluate the function.

N is the order of the function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELY returns the #VALUE! error value.

  • If n is nonnumeric, BESSELY returns the #VALUE! error value.

  • If n < 0, BESSELY returns the #NUM! error value.

  • The n-th order Bessel function of the variable x is:

    where:

Example

BESSELY(2.5, 1) equals 0.145918


BIN2DEC

See Also

Converts a binary number to decimal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

BIN2DEC(number)

Number is the binary number you want to convert. Number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Remark

If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2DEC returns the #NUM! error value.

Examples

BIN2DEC(1100100) equals 100

BIN2DEC(1111111111) equals -1


BIN2HEX

See Also

Converts a binary number to hexadecimal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

BIN2HEX(number,places)

Number is the binary number you want to convert. Number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, BIN2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2HEX returns the #NUM! error value.

  • If number is negative, BIN2HEX ignores places and returns a 10-character hexadecimal number.

  • If BIN2HEX requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, BIN2HEX returns the #VALUE! error value.

  • If places is negative, BIN2HEX returns the #NUM! error value.

Examples

BIN2HEX(11111011, 4) equals 00FB

BIN2HEX(1110) equals E

BIN2HEX(1111111111) equals FFFFFFFFFF


BIN2OCT

See Also

Converts a binary number to octal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

BIN2OCT(number,places)

Number is the binary number you want to convert. Number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, BIN2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2OCT returns the #NUM! error value.

  • If number is negative, BIN2OCT ignores places and returns a 10-character octal number.

  • If BIN2OCT requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, BIN2OCT returns the #VALUE! error value.

  • If places is negative, BIN2OCT returns the #NUM! error value.

Examples

BIN2OCT(1001, 3) equals 011

BIN2OCT(01100100) equals 144

BIN2OCT(1111111111) equals 7777777777


COMPLEX

See Also

Converts real and imaginary coefficients into a complex number of the form x + yi or x + yj.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

COMPLEX(real_num,i_num,suffix)

Real_num is the real coefficient of the complex number.

I_num is the imaginary coefficient of the complex number.

Suffix is the suffix for the imaginary component of the complex number. If omitted, suffix is assumed to be "i".

Note All complex number functions accept "i" and "j" for suffix, but neither "I" nor "J". Using uppercase results in the #VALUE! error value. All functions that accept two or more complex numbers require that all suffixes match.

Remarks

  • If real_num is nonnumeric, COMPLEX returns the #VALUE! error value.

  • If i_num is nonnumeric, COMPLEX returns the #VALUE! error value.

  • If suffix is neither "i" nor "j", COMPLEX returns the #VALUE! error value.

Examples

COMPLEX(3,4) equals 3 + 4i

COMPLEX(3,4,"j") equals 3 + 4j

COMPLEX(0,1) equals i

COMPLEX(1,0) equals 1


CONVERT

See Also

Converts a number from one measurement system to another. For example, CONVERT can translate a table of distances in miles to a table of distances in kilometers.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using Add-Ins on the Tools menu.

How?

Syntax

CONVERT(number,from_unit,to_unit)

Number is the value in from_units to convert.

From_unit is the units for number.

To_unit is the units for the result. CONVERT accepts the following text values for from_unit and to_unit.

Weight and mass | From_unit or to_unit
Gram | "g"
Slug | "sg"
Pound mass (avoirdupois) | "lbm"
U (atomic mass unit) | "u"
Ounce mass (avoirdupois) | "ozm"

Distance | From_unit or to_unit
Meter | "m"
Statute mile | "mi"
Nautical mile | "Nmi"
Inch | "in"
Foot | "ft"
Yard | "yd"
Angstrom | "ang"
Pica (1/72 in.) | "Pica"

Time | From_unit or to_unit
Year | "yr"
Day | "day"
Hour | "hr"
Minute | "mn"
Second | "sec"

Pressure | From_unit or to_unit
Pascal | "Pa"
Atmosphere | "atm"
mm of Mercury | "mmHg"

Force | From_unit or to_unit
Newton | "N"
Dyne | "dyn"
Pound force | "lbf"

Energy | From_unit or to_unit
Joule | "J"
Erg | "e"
Thermodynamic calorie | "c"
IT calorie | "cal"
Electron volt | "eV"
Horsepower-hour | "HPh"
Watt-hour | "Wh"
Foot-pound | "flb"
BTU | "BTU"

Power | From_unit or to_unit
Horsepower | "HP"
Watt | "W"

Magnetism | From_unit or to_unit
Tesla | "T"
Gauss | "ga"

Temperature | From_unit or to_unit
Degree Celsius | "C"
Degree Fahrenheit | "F"
Degree Kelvin | "K"

Liquid measure | From_unit or to_unit
Teaspoon | "tsp"
Tablespoon | "tbs"
Fluid ounce | "oz"
Cup | "cup"
U.S. pint | "pt"
U.K. pint | "uk_pt"
Quart | "qt"
Gallon | "gal"
Liter | "l"

The following abbreviated unit prefixes can be prepended to any metric from_unit or to_unit.

Prefix | Multiplier | Abbreviation
exa | 1E+18 | "E"
peta | 1E+15 | "P"
tera | 1E+12 | "T"
giga | 1E+09 | "G"
mega | 1E+06 | "M"
kilo | 1E+03 | "k"
hecto | 1E+02 | "h"
dekao | 1E+01 | "e"
deci | 1E-01 | "d"
centi | 1E-02 | "c"
milli | 1E-03 | "m"
micro | 1E-06 | "u"
nano | 1E-09 | "n"
pico | 1E-12 | "p"
femto | 1E-15 | "f"
atto | 1E-18 | "a"

Remarks

  • If the input data types are incorrect, CONVERT returns the #VALUE! error value.

  • If the unit does not exist, CONVERT returns the #N/A error value.

  • If the unit does not support an abbreviated unit prefix, CONVERT returns the #N/A error value.

  • If the units are in different groups, CONVERT returns the #N/A error value.

  • Unit names and prefixes are case-sensitive.

Examples

CONVERT(1.0, "lbm", "kg") equals 0.453592

CONVERT(68, "F", "C") equals 20

CONVERT(2.5, "ft", "sec") equals #N/A


DEC2BIN

See Also

Converts a decimal number to binary.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DEC2BIN(number,places)

Number is the decimal integer you want to convert. If number is negative, places is ignored and DEC2BIN returns a 10-character (10-bit) binary number in which the most significant bit is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, DEC2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number < -512 or if number > 511, DEC2BIN returns the #NUM! error value.

  • If number is nonnumeric, DEC2BIN returns the #VALUE! error value.

  • If DEC2BIN requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, DEC2BIN returns the #VALUE! error value.

  • If places is negative, DEC2BIN returns the #NUM! error value.

Examples

DEC2BIN(9, 4) equals 1001

DEC2BIN(-100) equals 1110011100


DEC2HEX

See Also

Converts a decimal number to hexadecimal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DEC2HEX(number,places)

Number is the decimal integer you want to convert. If number is negative, places is ignored and DEC2HEX returns a 10-character (40-bit) hexadecimal number in which the most significant bit is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, DEC2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number < -549,755,813,888 or if number > 549,755,813,887, DEC2HEX returns the #NUM! error value.

  • If number is nonnumeric, DEC2HEX returns the #VALUE! error value.

  • If DEC2HEX requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, DEC2HEX returns the #VALUE! error value.

  • If places is negative, DEC2HEX returns the #NUM! error value.

Examples

DEC2HEX(100, 4) equals 0064

DEC2HEX(-54) equals FFFFFFFFCA


DEC2OCT

See Also

Converts a decimal number to octal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DEC2OCT(number,places)

Number is the decimal integer you want to convert. If number is negative, places is ignored and DEC2OCT returns a 10-character (30-bit) octal number in which the most significant bit is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, DEC2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number < -536,870,912 or if number > 536,870,911, DEC2OCT returns the #NUM! error value.

  • If number is nonnumeric, DEC2OCT returns the #VALUE! error value.

  • If DEC2OCT requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, DEC2OCT returns the #VALUE! error value.

  • If places is negative, DEC2OCT returns the #NUM! error value.

Examples

DEC2OCT(58, 3) equals 072

DEC2OCT(-100) equals 7777777634


DELTA

See Also

Tests whether two values are equal. Returns 1 if number1 = number2; returns 0 otherwise. Use this function to filter a set of values. For example, by summing several DELTA functions you calculate the count of equal pairs. This function is also known as the Kronecker Delta function.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DELTA(number1,number2)

Number1 is the first number.

Number2 is the second number. If omitted, number2 is assumed to be zero.

Remarks

  • If number1 is nonnumeric, DELTA returns the #VALUE! error value.

  • If number2 is nonnumeric, DELTA returns the #VALUE! error value.

Examples

DELTA(5, 4) equals 0

DELTA(5, 5) equals 1

DELTA(0.5, 0) equals 0


ERF

See Also

Returns the error function integrated between lower_limit and upper_limit.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ERF(lower_limit,upper_limit)

Lower_limit is the lower bound for integrating ERF.

Upper_limit is the upper bound for integrating ERF. If omitted, ERF integrates between zero and lower_limit.

Remarks

  • If lower_limit is nonnumeric, ERF returns the #VALUE! error value.

  • If lower_limit is negative, ERF returns the #NUM! error value.

  • If upper_limit is nonnumeric, ERF returns the #VALUE! error value.

  • If upper_limit is negative, ERF returns the #NUM! error value.

Examples

ERF(0.74500) equals 0.70793

ERF(1) equals 0.84270


ERFC

See Also

Returns the complementary ERF function integrated between x and infinity.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ERFC(x)

X is the lower bound for integrating ERF.

Remarks

  • If x is nonnumeric, ERFC returns the #VALUE! error value.

  • If x is negative, ERFC returns the #NUM! error value.

Example

ERFC(1) equals 0.1573


GESTEP

See Also

Returns 1 if number ≥ step; returns 0 (zero) otherwise. Use this function to filter a set of values. For example, by summing several GESTEP functions you calculate the count of values that exceed a threshold.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

GESTEP(number,step)

Number is the value to test against step.

Step is the threshold value. If you omit a value for step, GESTEP uses zero.

Remark

If any argument is nonnumeric, GESTEP returns the #VALUE! error value.

Examples

GESTEP(5, 4) equals 1

GESTEP(5, 5) equals 1

GESTEP(-4, -5) equals 1

GESTEP(-1, 0) equals 0


HEX2BIN

See Also

Converts a hexadecimal number to binary.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

HEX2BIN(number,places)

Number is the hexadecimal number you want to convert. Number cannot contain more than 10 characters. The most significant bit of number is the sign bit (40th bit from the right). The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, HEX2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, HEX2BIN ignores places and returns a 10-character binary number.

  • If number is negative, it cannot be less than FFFFFFFE00, and if number is positive, it cannot be greater than 1FF.

  • If number is not a valid hexadecimal number, HEX2BIN returns the #NUM! error value.

  • If HEX2BIN requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, HEX2BIN returns the #VALUE! error value.

  • If places is negative, HEX2BIN returns the #NUM! error value.

Examples

HEX2BIN("F", 8) equals 00001111

HEX2BIN("B7") equals 10110111

HEX2BIN("FFFFFFFFFF") equals 1111111111


HEX2DEC

See Also

Converts a hexadecimal number to decimal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

HEX2DEC(number)

Number is the hexadecimal number you want to convert. Number cannot contain more than 10 characters (40 bits). The most significant bit of number is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Remark

If number is not a valid hexadecimal number, HEX2DEC returns the #NUM! error value.

Examples

HEX2DEC("A5") equals 165

HEX2DEC("FFFFFFFF5B") equals -165

HEX2DEC("3DA408B9") equals 1034160313


HEX2OCT

See Also

Converts a hexadecimal number to octal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

HEX2OCT(number,places)

Number is the hexadecimal number you want to convert. Number cannot contain more than 10 characters. The most significant bit of number is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, HEX2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, HEX2OCT ignores places and returns a 10-character octal number.

  • If number is negative, it cannot be less than FFE0000000, and if number is positive, it cannot be greater than 1FFFFFFF.

  • If number is not a valid hexadecimal number, HEX2OCT returns the #NUM! error value.

  • If HEX2OCT requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, HEX2OCT returns the #VALUE! error value.

  • If places is negative, HEX2OCT returns the #NUM! error value.

Examples

HEX2OCT("F", 3) equals 017

HEX2OCT("3B4E") equals 35516

HEX2OCT("FFFFFFFF00") equals 7777777400


IMABS

See Also

Returns the absolute value (modulus) of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMABS(inumber)

Inumber is a complex number for which you want the absolute value.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMABS returns the #NUM! error value.

  • The absolute value of a complex number is:

    where:

    z = x + yi

Example

IMABS("5+12i") equals 13


IMAGINARY

See Also

Returns the imaginary coefficient of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMAGINARY(inumber)

Inumber is a complex number for which you want the imaginary coefficient.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMAGINARY returns the #NUM! error value.

Examples

IMAGINARY("3+4i") equals 4

IMAGINARY("0-j") equals -1

IMAGINARY(4) equals 0


IMARGUMENT

See Also

Returns the argument Theta (theta), an angle expressed in radians, such that:

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMARGUMENT(inumber)

Inumber is a complex number for which you want the argument Theta.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMARGUMENT returns the #NUM! error value.

  • IMARGUMENT is calculated as follows:

    where:

    Equation and

    z = x + yi

Example

IMARGUMENT("3+4i") equals 0.927295


IMCONJUGATE

See Also

Returns the complex conjugate of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMCONJUGATE(inumber)

Inumber is a complex number for which you want the conjugate.

Remarks

  • 2Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMCONJUGATE returns the #NUM! error value.

  • The conjugate of a complex number is:

Example

IMCONJUGATE("3+4i") equals 3 - 4i


IMCOS

See Also

Returns the cosine of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMCOS(inumber)

Inumber is a complex number for which you want the cosine.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not text, IMCOS returns the #VALUE! error value.

  • If inumber is not in the form x + yi or x + yj, IMCOS returns the #NUM! error value.

  • The cosine of a complex number is:

Example

IMCOS("1+i") equals 0.83373 - 0.988898i


IMDIV

See Also

Returns the quotient of two complex numbers in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMDIV(inumber1,inumber2)

Inumber1 is the complex numerator or dividend.

Inumber2 is the complex denominator or divisor.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber1 or inumber2 is not in the form x + yi or x + yj, IMDIV returns the #NUM! error value.

  • The quotient of two complex numbers is:

Example

IMDIV("-238+240i","10+24i") equals 5 + 12i


IMEXP

See Also

Returns the exponential of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMEXP(inumber)

Inumber is a complex number for which you want the exponential.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMEXP returns the #NUM! error value.

  • The exponential of a complex number is:

Example

IMEXP("1+i") equals 1.468694 + 2.287355i


IMLN

See Also

Returns the natural logarithm of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMLN(inumber)

Inumber is a complex number for which you want the natural logarithm.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMLN returns the #NUM! error value.

  • The natural logarithm of a complex number is:

    where:

Example

IMLN("3+4i") equals 1.609438 + 0.927295i


IMLOG10

See Also

Returns the common logarithm (base 10) of a complex number in x + yi or
x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMLOG10(inumber)

Inumber is a complex number for which you want the common logarithm.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMLOG10 returns the #NUM! error value.

  • The common logarithm of a complex number can be calculated from the natural logarithm as follows:

Example

IMLOG10("3+4i") equals 0.69897 + 0.402719i


IMLOG2

See Also

Returns the base-2 logarithm of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMLOG2(inumber)

Inumber is a complex number for which you want the base-2 logarithm.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMLOG2 returns the #NUM! error value.

  • The base-2 logarithm of a complex number can be calculated from the natural logarithm as follows:

Example

IMLOG2("3+4i") equals 2.321928 + 1.337804i


IMPOWER

See Also

Returns a complex number in x + yi or x + yj text format raised to a power.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMPOWER(inumber,number)

Inumber is a complex number you want to raise to a power.

Number is the power to which you want to raise the complex number.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMPOWER returns the #NUM! error value.

  • If number is nonnumeric, IMPOWER returns the #VALUE! error value.

  • Number can be an integer, fractional, or negative.

  • A complex number raised to a power is calculated as follows:

    where:

    and:

    and:

Example

IMPOWER("2+3i", 3) equals -46 + 9i


IMPRODUCT

See Also

Returns the product of 2 to 29 complex numbers in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMPRODUCT(inumber1,inumber2,...)

Inumber1, inumber2,… are 1 to 29 complex numbers to multiply.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber1 or inumber2 is not in the form x + yi or x + yj, IMPRODUCT returns the #NUM! error value.

    The product of two complex numbers is:

Examples

IMPRODUCT("3+4i","5-3i") equals 27 + 11i

IMPRODUCT("1+2i",30) equals 30 + 60i


IMREAL

See Also

Returns the real coefficient of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMREAL(inumber)

Inumber is a complex number for which you want the real coefficient.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMREAL returns the #NUM! error value.

Example

IMREAL("6-9i") equals 6


IMSIN

See Also

Returns the sine of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMSIN(inumber)

Inumber is a complex number for which you want the sine.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMSIN returns the #NUM! error value.

  • The sine of a complex number is:

Example

IMSIN("3+4i") equals 3.853738 - 27.016813i


IMSQRT

See Also

Returns the square root of a complex number in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMSQRT(inumber)

Inumber is a complex number for which you want the square root.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If inumber is not in the form x + yi or x + yj, IMSQRT returns the #NUM! error value.

  • The square root of a complex number is:

    where:

    and:

    and:

Example

IMSQRT("1+i") equals 1.098684 + 0.45509i


IMSUB

See Also

Returns the difference of two complex numbers in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMSUB(inumber1,inumber2)

Inumber1 is the complex number from which to subtract inumber2.

Inumber2 is the complex number to subtract from inumber1.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If either number is not in the form x + yi or x + yj, IMSUB returns the #NUM! error value.

  • The difference of two complex numbers is:

Example

IMSUB("13+4i","5+3i") equals 8 + i


IMSUM

See Also

Returns the sum of two or more complex numbers in x + yi or x + yj text format.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

IMSUM(inumber1,inumber2,...)

Inumber1,inumber2,... are 1 to 29 complex numbers to add.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.

  • If any argument is not in the form x + yi or x + yj, IMSUM returns the #NUM! error value.

  • The sum of two complex numbers is:

Example

IMSUM("3+4i","5-3i") equals 8 + i


OCT2BIN

See Also

Converts an octal number to binary.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

OCT2BIN(number,places)

Number is the octal number you want to convert. Number may not contain more than 10 characters. The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, OCT2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, OCT2BIN ignores places and returns a 10-character binary number.

  • If number is negative, it cannot be less than or equal to 7777777000, and if number is positive, it cannot be greater than 777.

  • If number is not a valid octal number, OCT2BIN returns the #NUM! error value.

  • If OCT2BIN requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, OCT2BIN returns the #VALUE! error value.

  • If places is negative, OCT2BIN returns the #NUM! error value.

Examples

OCT2BIN(3, 3) equals 011

OCT2BIN(7777777000) equals 1000000000


OCT2DEC

See Also

Converts an octal number to decimal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

OCT2DEC(number)

Number is the octal number you want to convert. Number may not contain more than 10 octal characters (30 bits). The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Remarks

If number is not a valid octal number, OCT2DEC returns the #NUM! error value.

Examples

OCT2DEC(54) equals 44

OCT2DEC(7777777533) equals -165


OCT2HEX

See Also

Converts an octal number to hexadecimal.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

OCT2HEX(number,places)

Number is the octal number you want to convert. Number may not contain more than 10 octal characters (30 bits). The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, OCT2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, OCT2HEX ignores places and returns a 10-character hexadecimal number.

  • If number is not a valid octal number, OCT2HEX returns the #NUM! error value.

  • If OCT2HEX requires more than places characters, it returns the #NUM! error value.

  • If places is not an integer, it is truncated.

  • If places is nonnumeric, OCT2HEX returns the #VALUE! error value.

  • If places is negative, OCT2HEX returns the #NUM! error value.

Examples

OCT2HEX(100, 4) equals 0040

OCT2HEX(7777777533) equals FFFFFFFF5B


ACCRINT

See Also

Returns the accrued interest for a security that pays periodic interest.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ACCRINT(issue,first_interest,settlement,rate,par,frequency,basis)

Issue is the security's issue date. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

First_interest is the security's first interest date.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Rate is the security's annual coupon rate.

Par is the security's par value. If you omit par, ACCRINT uses $1,000.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Issue, first_interest, settlement, frequency, and basis are truncated to integers.

  • If issue, first_interest, or settlement is not a valid date, ACCRINT returns the #NUM! error value.

  • If coupon ≤ 0 or if par ≤ 0, ACCRINT returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, ACCRINT returns the #NUM! error value.

  • If basis < 0 or if basis > 4, ACCRINT returns the #NUM! error value.

  • If issue ≥ settlement, ACCRINT returns the #NUM! error value.

  • ACCRINT is calculated as follows:

    where:

    Ai = number of accrued days for the ith quasi-coupon period within odd period.

    NC = number of quasi-coupon periods that fit in odd period. If this number contains a fraction, raise it to the next whole number.

    NLi = normal length in days of the ith quasi-coupon period within odd period.

Example

A treasury bond has the following terms:

February 28, 1998, issue date
August 31, 1998, first interest date
May 1, 1998, settlement date
10.0 percent coupon
$1,000 par value
Frequency is semiannual
30/360 basis

The accrued interest (in the 1900 date system) is:

ACCRINT("2/28/1998","8/31/1998","5/1/1998",0.1,1000,2,0) equals 16.94444


ACCRINTM

See Also

Returns the accrued interest for a security that pays interest at maturity.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ACCRINTM(issue,maturity,rate,par,basis)

Issue is the security's issue date. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date.

Rate is the security's annual coupon rate.

Par is the security's par value. If you omit par, ACCRINTM uses $1,000.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Issue, settlement, and basis are truncated to integers.

  • If issue or settlement is not a valid date, ACCRINTM returns the #NUM! error value.

  • If rate ≤ 0 or if par ≤ 0, ACCRINTM returns the #NUM! error value.

  • If basis < 0 or if basis > 4, ACCRINTM returns the #NUM! error value.

  • If issue ≥ settlement, ACCRINTM returns the #NUM! error value.

  • ACCRINTM is calculated as follows:

    where:

    A = Number of accrued days counted according to a monthly basis. For interest at maturity items, the number of days from the issue date to the maturity date is used.

    D = Annual Year Basis.

Example

A note has the following terms:

April 1, 1998, issue date
June 15, 1998, maturity date
10.0 percent coupon
$1,000 par value
Actual/365 basis

The accrued interest (in the 1900 date system) is:

ACCRINTM("4/1/1998","6/15/1998",0.1,1000,3) equals 20.54795


AMORDEGRC

See Also

Returns the depreciation for each accounting period. This function is provide for the French accounting system. If an asset is purchased in the middle of the accounting period, the prorated depreciation is taken into account. The function is similar to AMORLINC, except that a depreciation coefficient is applied in the calculation depending on the life of the assets.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

AMORDEGRC(cost,date_purchased,first_period,salvage,period,rate,basis)

Cost is the cost of the asset.

Date_purchased is the date of the purchase of the asset.

First_period is the date of the end of the first period.

Salvage is the salvage value at the end of the life of the asset.

Period is the period.

Rate is the rate of depreciation.

Basis is the year_basis to be used.

Basis | Date system
0 | 360 days (NASD method)
1 | Actual
3 | 365 days in a year
4 | 360 days in a year (European method)

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • This function will return the depreciation until the last period of the life of the assets or until the cumulated value of depreciation is greater than the cost of the assets minus the salvage value.

  • The depreciation coefficients are:
    Life of assets (1/rate) | Depreciation coefficient
    Between 3 and 4 years | 1.5
    Between 5 and 6 years | 2
    More than 6 years | 2.5

  • The depreciation rate will grow to 50 percent for the period preceding the last period and will grow to 100 percent for the last period.

  • If the life of assets is between 0 (zero) and 1, 1 and 2, 2 and 3, or 4 and 5, the #NUM! error value is returned.

Example

Suppose a machine bought on August 19, 1998, costs 2,400 F (French francs) and has a salvage value of 300 F, with a 15 percent depreciation rate. December 31, 1998, is the end of the first period.

AMORDEGRC(2400,"8/19/1998","12/31/1998",300,1,0.15,1) equals a first period depreciation of 776 F


AMORLINC

See Also

Returns the depreciation for each accounting period. This function is provided for the French accounting system. If an asset is purchased in the middle of the accounting period, the prorated depreciation is taken into account.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

AMORLINC(cost,date_purchased,first_period,salvage,period,rate,basis)

Cost is the cost of the asset.

Date_purchased is the date of the purchase of the asset.

First_period is the date of the end of the first period.

Salvage is the salvage value at the end of the life of the asset.

Period is the period.

Rate is the rate of depreciation.

Basis is the year_basis to be used.

Basis | Date system
0 | 360 days (NASD method)
1 | Actual
3 | 365 days in a year
4 | 360 days in a year (European method)

Remarks

Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

Example

Suppose a machine bought on August 19, 1998, costs 2,400 F (French francs) and has a salvage value of 300 F, with a 15 percent depreciation rate. December 31, 1998, is the end of the first period.

AMORLINC(2400,"8/19/1998","12/31/1998",300,1,0.15,1) equals a first period depreciation of 360 F


COUPDAYBS

See Also

Returns the number of days from the beginning of the coupon period to the settlement date.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

COUPDAYBS(settlement,maturity,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, 30 years after the January 1, 1996, issue date.

  • All arguments are truncated to integers.

  • If settlement or maturity is not a valid date, COUPDAYBS returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, COUPDAYBS returns the #NUM! error value.

  • If basis < 0 or if basis > 4, COUPDAYBS returns the #NUM! error value.

  • If settlement ≥ maturity, COUPDAYBS returns the #NUM! error value.

Example

A bond has the following terms:

January 25, 1998, settlement date
November 15, 1999, maturity date
Semiannual coupon
Actual/actual basis

The number of days from the beginning of the coupon period to the settlement date (in the 1900 date system) is:

COUPDAYBS("1/25/1998","11/15/1999",2,1) equals 71


COUPDAYS

See Also

Returns the number of days in the coupon period that contains the settlement date.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

COUPDAYS(settlement,maturity,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date is January 1, 2026, 30 years after the January 1, 1996 issue date.

  • All arguments are truncated to integers.

  • If settlement or maturity is not a valid date, COUPDAYS returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, COUPDAYS returns the #NUM! error value.

  • If basis < 0 or if basis > 4, COUPDAYS returns the #NUM! error value.

  • If settlement ≥ maturity, COUPDAYS returns the #NUM! error value.

Example

A bond has the following terms:

January 25, 1998, settlement date
November 15, 1999, maturity date
Semiannual coupon
Actual/actual basis

The number of days in the coupon period that contains the settlement date (in the 1900 date system) is:

COUPDAYS("1/25/1998","11/15/1999",2,1) equals 181


COUPDAYSNC

See Also

Returns the number of days from the settlement date to the next coupon date.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

COUPDAYSNC(settlement,maturity,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • All arguments are truncated to integers.

  • If settlement or maturity is not a valid date, COUPDAYSNC returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, COUPDAYSNC returns the #NUM! error value.

  • If basis < 0 or if basis > 4, COUPDAYSNC returns the #NUM! error value.

  • If settlement ≥ maturity, COUPDAYSNC returns the #NUM! error value.

Example

A bond has the following terms:

January 25, 1998, settlement date
November 15, 1999, maturity date
Semiannual coupon
Actual/actual basis

The number of days from the settlement date to the next coupon date (in the 1900 date system) is:

COUPDAYSNC("1/25/1998","11/15/1999",2,1) equals 110


COUPNCD

See Also

Returns a number that represents the next coupon date after the settlement date. To view the number as a date, click Cells on the Format menu, click Date in the Category box, and then click a date format in the Type box.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

COUPNCD(settlement,maturity,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • All arguments are truncated to integers.

  • If settlement or maturity is not a valid date, COUPNCD returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, COUPNCD returns the #NUM! error value.

  • If basis < 0 or if basis > 4, COUPNCD returns the #NUM! error value.

  • If settlement ≥ maturity, COUPNCD returns the #NUM! error value.

Example

A bond has the following terms:

January 25, 1998, settlement date
November 15, 1999, maturity date
Semiannual coupon
Actual/actual basis

The next coupon date after the settlement date (in the 1900 date system) is:

COUPNCD("1/25/1998","11/15/1999",2,1) equals 35930 or May 15, 1998


COUPNUM

See Also

Returns the number of coupons payable between the settlement date and maturity date, rounded up to the nearest whole coupon.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

COUPNUM(settlement,maturity,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • All arguments are truncated to integers.

  • If settlement or maturity is not a valid date, COUPNUM returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, COUPNUM returns the #NUM! error value.

  • If basis < 0 or if basis > 4, COUPNUM returns the #NUM! error value.

  • If settlement ≥ maturity, COUPNUM returns the #NUM! error value.

Example

A bond has the following terms:

January 25, 1998, settlement date
November 15, 1999, maturity date
Semiannual coupon
Actual/actual basis

The number of coupon payments (in the 1900 date system) is:

COUPNUM("1/25/1998","11/15/1999",2,1) equals 4


COUPPCD

See Also

Returns a number that represents the previous coupon date before the settlement date. To view the number as a date, click Cells on the Format menu, click Date in the Category box, and then click a date format in the Type box. For more information about serial numbers that represent dates, see the Remarks section.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

COUPPCD(settlement,maturity,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • All arguments are truncated to integers.

  • If settlement or maturity is not a valid date, COUPPCD returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, COUPPCD returns the #NUM! error value.

  • If basis < 0 or if basis > 4, COUPPCD returns the #NUM! error value.

  • If settlement ≥ maturity, COUPPCD returns the #NUM! error value.

Example

A bond has the following terms:

January 25, 1998, settlement date
November 15, 1999, maturity date
Semiannual coupon
Actual/actual basis

The previous coupon date before the settlement date (in the 1900 date system) is:

COUPPCD("1/25/1998","11/15/1999",2,1) equals 35749 or November 15, 1997


CUMIPMT

See Also

Returns the cumulative interest paid on a loan between start_period and end_period.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

CUMIPMT(rate,nper,pv,start_period,end_period,type)

Rate is the interest rate.

Nper is the total number of payment periods.

Pv is the present value.

Start_period is the first period in the calculation. Payment periods are numbered beginning with 1.

End_period is the last period in the calculation.

Type is the timing of the payment.

Type | Timing
0 (zero) | Payment at the end of the period
1 | Payment at the beginning of the period

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

  • Nper, start_period, end_period, and type are truncated to integers.

  • If rate ≤ 0, nper ≤ 0, or pv ≤ 0, CUMIPMT returns the #NUM! error value.

  • If start_period < 1, end_period < 1, or start_period > end_period, CUMIPMT returns the #NUM! error value.

  • If type is any number other than 0 or 1, CUMIPMT returns the #NUM! error value.

Example

A home mortgage loan has the following terms:

Interest rate, 9.00 percent per annum (rate = 9.00% ÷ 12 = 0.0075)
Term, 30 years (nper = 30 × 12 = 360)
Present value, $125,000

The total interest paid in the second year of payments (periods 13 through 24) is:

CUMIPMT(0.0075,360,125000,13,24,0) equals -11135.23

The interest paid in a single payment in the first month is:

CUMIPMT(0.0075,360,125000,1,1,0) equals -937.50


CUMPRINC

See Also

Returns the cumulative principal paid on a loan between start_period and end_period.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

CUMPRINC(rate,nper,pv,start_period,end_period,type)

Rate is the interest rate.

Nper is the total number of payment periods.

Pv is the present value.

Start_period is the first period in the calculation. Payment periods are numbered beginning with 1.

End_period is the last period in the calculation.

Type is the timing of the payment.

Type | Timing
0 (zero) | Payment at the end of the period
1 | Payment at the beginning of the period

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

  • Nper, start_period, end_period, and type are truncated to integers.

  • If rate ≤ 0, nper ≤ 0, or pv ≤ 0, CUMPRINC returns the #NUM! error value.

  • If start_period < 1, end_period < 1, or start_period > end_period, CUMPRINC returns the #NUM! error value.

  • If type is any number other than 0 or 1, CUMPRINC returns the #NUM! error value.

Example

A home mortgage loan has the following terms:

Interest rate, 9.00 percent per annum (rate = 9.00% ÷ 12 = 0.0075)
Term, 30 years (nper = 30 × 12 = 360)
Present value, $125,000

The total principal paid in the second year of payments (periods 13 through 24) is:

CUMPRINC(0.0075,360,125000,13,24,0) equals -934.1071

The principal paid in a single payment in the first month is:

CUMPRINC(0.0075,360,125000,1,1,0) equals -68.27827


DB

See Also

Returns the depreciation of an asset for a specified period using the fixed-declining balance method.

Syntax

DB(cost,salvage,life,period,month)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Period is the period for which you want to calculate the depreciation. Period must use the same units as life.

Month is the number of months in the first year. If month is omitted, it is assumed to be 12.

Remarks

The fixed-declining balance method computes depreciation at a fixed rate. DB uses the following formulas to calculate depreciation for a period:

(cost - total depreciation from prior periods) * rate

where:

rate = 1 - ((salvage / cost) ^ (1 / life)), rounded to three decimal places

Depreciation for the first and last periods is a special case. For the first period, DB uses this formula:

cost * rate * month / 12

For the last period, DB uses this formula:

((cost - total depreciation from prior periods) * rate * (12 - month)) / 12

Examples

Suppose a factory purchases a new machine. The machine costs $1,000,000 and has a lifetime of six years. The salvage value of the machine is $100,000. The following examples show depreciation over the life of the machine. The results are rounded to whole numbers.

DB(1000000,100000,6,1,7) equals $186,083
DB(1000000,100000,6,2,7) equals $259,639
DB(1000000,100000,6,3,7) equals $176,814
DB(1000000,100000,6,4,7) equals $120,411
DB(1000000,100000,6,5,7) equals $82,000
DB(1000000,100000,6,6,7) equals $55,842
DB(1000000,100000,6,7,7) equals $15,845


DDB

See Also

Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify.

Syntax

DDB(cost,salvage,life,period,factor)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Period is the period for which you want to calculate the depreciation. Period must use the same units as life.

Factor is the rate at which the balance declines. If factor is omitted, it is assumed to be 2 (the double-declining balance method).

All five arguments must be positive numbers.

Remarks

  • The double-declining balance method computes depreciation at an accelerated rate. Depreciation is highest in the first period and decreases in successive periods. DDB uses the following formula to calculate depreciation for a period:

    ((cost-salvage) - total depreciation from prior periods) * (factor/life)

  • Change factor if you do not want to use the double-declining balance method.

  • Use the VDB function if you want to switch to the straight-line depreciation method when depreciation is greater than the declining balance calculation.

Examples

Suppose a factory purchases a new machine. The machine costs $2,400 and has a lifetime of 10 years. The salvage value of the machine is $300. The following examples show depreciation over several periods. The results are rounded to two decimal places.

DDB(2400,300,3650,1) equals $1.32, the first day's depreciation. Microsoft Excel automatically assumes that factor is 2.

DDB(2400,300,120,1,2) equals $40.00, the first month's depreciation.

DDB(2400,300,10,1,2) equals $480.00, the first year's depreciation.

DDB(2400,300,10,2,1.5) equals $306.00, the second year's depreciation using a factor of 1.5 instead of the double-declining balance method.

DDB(2400,300,10,10) equals $22.12, the 10th year's depreciation. Microsoft Excel automatically assumes that factor is 2.


DISC

See Also

Returns the discount rate for a security.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DISC(settlement,maturity,pr,redemption,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Pr is the security's price per $100 face value.

Redemption is the security's redemption value per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, and basis are truncated to integers.

  • If settlement or maturity is not a valid serial date number, DISC returns the #NUM! error value.

  • If pr ≤ 0 or if redemption ≤ 0, DISC returns the #NUM! error value.

  • If basis < 0 or if basis > 4, DISC returns the #NUM! error value.

  • If settlement ≥ maturity, DISC returns the #NUM! error value.

  • DISC is calculated as follows:

    where:

    B = number of days in a year, depending on the year basis.

    DSM = number of days between settlement and maturity.

Example

A bond has the following terms:

February 15, 1998, settlement date
June 10, 1998, maturity date
$97.975 price
$100 redemption value
Actual/360 basis

The bond discount rate (in the 1900 date system) is:

DISC("2/15/1998","6/10/1998",97.975,100,2) equals 0.063391 or 6.3391 percent


DOLLARDE

See Also

Converts a dollar price expressed as a fraction into a dollar price expressed as a decimal number. Use DOLLARDE to convert fractional dollar numbers, such as securities prices, to decimal numbers.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DOLLARDE(fractional_dollar,fraction)

Fractional_dollar is a number expressed as a fraction.

Fraction is the integer to use in the denominator of the fraction.

Remarks

  • If fraction is not an integer, it is truncated.

  • If fraction ≤ 0, DOLLARDE returns the #NUM! error value.

Examples

DOLLARDE(1.02,16) equals 1.125

DOLLARDE(1.1,8) equals 1.125


DOLLARFR

See Also

Converts a dollar price expressed as a decimal number into a dollar price expressed as a fraction. Use DOLLARFR to convert decimal numbers to fractional dollar numbers, such as securities prices.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DOLLARFR(decimal_dollar,fraction)

Decimal_dollar is a decimal number.

Fraction is the integer to use in the denominator of a fraction.

Remarks

  • If fraction is not an integer, it is truncated.

  • If fraction ≤ 0, DOLLARFR returns the #NUM! error value.

Examples

DOLLARFR(1.125,16) equals 1.02

DOLLARFR(1.125,8) equals 1.1


DURATION

See Also

Returns the Macauley duration for an assumed par value of $100. Duration is defined as the weighted average of the present value of the cash flows and is used as a measure of a bond price's response to changes in yield.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

DURATION(settlement,maturity,coupon yld,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Coupon is the security's annual coupon rate.

Yld is the security's annual yield.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, frequency, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, DURATION returns the #NUM! error value.

  • If coupon < 0 or if yld < 0, DURATION returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, DURATION returns the #NUM! error value.

  • If basis < 0 or if basis > 4, DURATION returns the #NUM! error value.

  • If settlement ≥ maturity, DURATION returns the #NUM! error value.

Example

A bond has the following terms:

January 1, 1998, settlement date
January 1, 2006, maturity date
8 percent coupon
9.0 percent yield
Frequency is semiannual
Actual/actual basis

The duration (in the 1900 date system) is:

DURATION("1/1/1998","1/1/2006",0.08,0.09,2,1) equals 5.993775


EFFECT

See Also

Returns the effective annual interest rate, given the nominal annual interest rate and the number of compounding periods per year.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

EFFECT(nominal_rate,npery)

Nominal_rate is the nominal interest rate.

Npery is the number of compounding periods per year.

Remarks

  • Npery is truncated to an integer.

  • If either argument is nonnumeric, EFFECT returns the #VALUE! error value.

  • If nominal_rate ≤ 0 or if npery < 1, EFFECT returns the #NUM! error value.

  • EFFECT is calculated as follows:

Example

EFFECT(5.25%,4) equals 0.053543 or 5.3543 percent


FV

See Also

Returns the future value of an investment based on periodic, constant payments and a constant interest rate.

Syntax

FV(rate,nper,pmt,pv,type)

For a more complete description of the arguments in FV and for more information on annuity functions, see PV.

Rate is the interest rate per period.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes. If pmt is omitted, you must include the pv argument.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now. If pv is omitted, it is assumed to be 0 (zero), and you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Examples

FV(0.5%, 10, -200, -500, 1) equals $2581.40

FV(1%, 12, -1000) equals $12,682.50

FV(11%/12, 35, -2000, , 1) equals $82,846.25

Suppose you want to save money for a special project occurring a year from now. You deposit $1,000 into a savings account that earns 6 percent annual interest compounded monthly (monthly interest of 6%/12, or 0.5%). You plan to deposit $100 at the beginning of every month for the next 12 months. How much money will be in the account at the end of 12 months?

FV(0.5%, 12, -100, -1000, 1) equals $2301.40


FVSCHEDULE

See Also

Returns the future value of an initial principal after applying a series of compound interest rates. Use FVSCHEDULE to calculate future value of an investment with a variable or adjustable rate.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

FVSCHEDULE(principal,schedule)

Principal is the present value.

Schedule is an array of interest rates to apply.

Remark

The values in schedule can be numbers or blank cells; any other value produces the #VALUE! error value for FVSCHEDULE. Blank cells are taken as zeros (no interest).

Example

FVSCHEDULE(1,{0.09,0.11,0.1}) equals 1.33089


INTRATE

See Also

Returns the interest rate for a fully invested security.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

INTRATE(settlement,maturity,investment,redemption,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Investment is the amount invested in the security.

Redemption is the amount to be received at maturity.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, INTRATE returns the #NUM! error value.

  • If investment ≤ 0 or if redemption ≤ 0, INTRATE returns the #NUM! error value.

  • If basis < 0 or if basis > 4, INTRATE returns the #NUM! error value.

  • If settlement ≥ maturity, INTRATE returns the #NUM! error value.

  • INTRATE is calculated as follows:

    where:

    B = number of days in a year, depending on the year basis.

    DIM = number of days from settlement to maturity.

Example

A bond has the following terms:

February 15, 1999, settlement date
May 15, 1999, maturity date
1,000,000 investment
1,014,420 redemption value
Actual/360 basis

The bond discount rate (in the 1900 date system) is:

INTRATE("2/15/1999","5/15/1999",1000000,1014420,2) equals 0.058328 or 5.8328 percent


IPMT

See Also

Returns the interest payment for a given period for an investment based on periodic, constant payments and a constant interest rate. For a more complete description of the arguments in IPMT and for more information about annuity functions, see PV.

Syntax

IPMT(rate,per,nper,pv,fv,type)

Rate is the interest rate per period.

Per is the period for which you want to find the interest and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Examples

The following formula calculates the interest due in the first month of a three-year $8000 loan at 10 percent annual interest:

IPMT(0.1/12, 1, 36, 8000) equals -$66.67

The following formula calculates the interest due in the last year of a three-year $8000 loan at 10 percent annual interest, where payments are made yearly:

IPMT(0.1, 3, 3, 8000) equals -$292.45


IRR

See Also

Returns the internal rate of return for a series of cash flows represented by the numbers in values. These cash flows do not have to be even, as they would be for an annuity. However, the cash flows must occur at regular intervals, such as monthly or annually. The internal rate of return is the interest rate received for an investment consisting of payments (negative values) and income (positive values) that occur at regular periods.

Syntax

IRR(values,guess)

Values is an array or a reference to cells that contain numbers for which you want to calculate the internal rate of return.

  • Values must contain at least one positive value and one negative value to calculate the internal rate of return.

  • IRR uses the order of values to interpret the order of cash flows. Be sure to enter your payment and income values in the sequence you want.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored.

Guess is a number that you guess is close to the result of IRR.

  • Microsoft Excel uses an iterative technique for calculating IRR. Starting with guess, IRR cycles through the calculation until the result is accurate within 0.00001 percent. If IRR can't find a result that works after 20 tries, the #NUM! error value is returned.

  • In most cases you do not need to provide guess for the IRR calculation. If guess is omitted, it is assumed to be 0.1 (10 percent).

  • If IRR gives the #NUM! error value, or if the result is not close to what you expected, try again with a different value for guess.

Remarks

IRR is closely related to NPV, the net present value function. The rate of return calculated by IRR is the interest rate corresponding to a 0 (zero) net present value. The following formula demonstrates how NPV and IRR are related:

NPV(IRR(B1:B6),B1:B6) equals 3.60E-08 [Within the accuracy of the IRR calculation, the value 3.60E-08 is effectively 0 (zero).]

Examples

Suppose you want to start a restaurant business. You estimate it will cost $70,000 to start the business and expect to net the following income in the first five years: $12,000, $15,000, $18,000, $21,000, and $26,000. B1:B6 contain the following values: $-70,000, $12,000, $15,000, $18,000, $21,000 and $26,000, respectively.

To calculate the investment's internal rate of return after four years:

IRR(B1:B5) equals -2.12 percent

To calculate the internal rate of return after five years:

IRR(B1:B6) equals 8.66 percent

To calculate the internal rate of return after two years, you need to include a guess:

IRR(B1:B3,-10%) equals -44.35 percent


ISPMT

See also

Calculates the interest paid during a specific period of an investment. This function is provided for compatibility with Lotus 1-2-3.

Syntax

ISPMT(rate,per,nper,pv)

Rate is the interest rate for the investment.

Per is the period for which you want to find the interest, and must be between 1 and nper.

Nper is the total number of payment periods for the investment.

Pv is the present value of the investment. For a loan, pv is the loan amount.

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

  • For all the arguments, the cash you pay out, such as deposits to savings or other withdrawals, is represented by negative numbers; the cash you receive, such as dividend checks and other deposits, is represented by positive numbers.

  • For additional information about financial functions, see PV.

Examples

The following example calculates the interest paid for the first monthly payment of a three-year loan of 8 million yen borrowed at an annual interest rate of 10%:

ISPMT(0.1/12,1,36,8000000) = -64814.8

The following example calculates the interest paid in the first year for a three-year loan of 8 million yen borrowed at an annual interest rate of 10%.

ISPMT(0.1,1,3,8000000) = -533333


MDURATION

See Also

Returns the modified duration for a security with an assumed par value of $100.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

MDURATION(settlement,maturity,coupon,yld,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Coupon is the security's annual coupon rate.

Yld is the security's annual yield.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date is January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, frequency, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, MDURATION returns the #NUM! error value.

  • If yld < 0 or if coupon < 0, MDURATION returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, MDURATION returns the #NUM! error value.

  • If basis < 0 or if basis > 4, MDURATION returns the #NUM! error value.

  • If settlement ≥ maturity, MDURATION returns the #NUM! error value.

  • Modified duration is defined as follows:

Example

A bond has the following terms:

January 1, 1999, settlement date
January 1, 2007, maturity date
8.0 percent coupon
9.0 percent yield
Frequency is semiannual
Actual/actual basis

The modified duration (in the 1900 date system) is:

MDURATION("1/1/1999","1/1/2007",0.08,0.09,2,1) equals 5.73567


MIRR

See Also

Returns the modified internal rate of return for a series of periodic cash flows. MIRR considers both the cost of the investment and the interest received on reinvestment of cash.

Syntax

MIRR(values,finance_rate,reinvest_rate)

Values is an array or a reference to cells that contain numbers. These numbers represent a series of payments (negative values) and income (positive values) occurring at regular periods.

  • Values must contain at least one positive value and one negative value to calculate the modified internal rate of return. Otherwise, MIRR returns the #DIV/0! error value.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

Finance_rate is the interest rate you pay on the money used in the cash flows.

Reinvest_rate is the interest rate you receive on the cash flows as you reinvest them.

Remarks

  • MIRR uses the order of values to interpret the order of cash flows. Be sure to enter your payment and income values in the sequence you want and with the correct signs (positive values for cash received, negative values for cash paid).

  • If n is the number of cash flows in values, frate is the finance_rate, and rrate is the reinvest_rate, then the formula for MIRR is:

Examples

Suppose you're a commercial fisherman just completing your fifth year of operation. Five years ago, you borrowed $120,000 at 10 percent annual interest to purchase a boat. Your catches have yielded $39,000, $30,000, $21,000, $37,000, and $46,000. During these years you reinvested your profits, earning 12 percent annually. On a worksheet, your loan amount is entered as -$120,000 in B1, and your five annual profits are entered in B2:B6.

To calculate the investment's modified rate of return after five years:

MIRR(B1:B6, 10%, 12%) equals 12.61 percent

To calculate the modified rate of return after three years:

MIRR(B1:B4, 10%, 12%) equals -4.80 percent

To calculate the five-year modified rate of return based on a reinvest_rate of 14 percent

MIRR(B1:B6, 10%, 14%) equals 13.48 percent


NOMINAL

See Also

Returns the nominal annual interest rate, given the effective rate and the number of compounding periods per year.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

NOMINAL(effect_rate,npery)

Effect_rate is the effective interest rate.

Npery is the number of compounding periods per year.

Remarks

  • Npery is truncated to an integer.

  • If either argument is nonnumeric, NOMINAL returns the #VALUE! error value.

  • If effect_rate ≤ 0 or if npery < 1, NOMINAL returns the #NUM! error value.

  • NOMINAL is related to EFFECT as shown in the following equation:

Example

NOMINAL(5.3543%,4) equals 0.0525 or 5.25 percent


NPER

See Also

Returns the number of periods for an investment based on periodic, constant payments and a constant interest rate.

Syntax

NPER(rate, pmt, pv, fv, type)

For a more complete description of the arguments in NPER and for more information about annuity functions, see PV.

Rate is the interest rate per period.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Examples

NPER(12%/12, -100, -1000, 10000, 1) equals 60

NPER(1%, -100, -1000, 10000) equals 60

NPER(1%, -100, 1000) equals 11


NPV

See Also

Calculates the net present value of an investment by using a discount rate and a series of future payments (negative values) and income (positive values).

Syntax

NPV(rate,value1,value2, ...)

Rate is the rate of discount over the length of one period.

Value1, value2, ... are 1 to 29 arguments representing the payments and income.

  • Value1, value2, ... must be equally spaced in time and occur at the end of each period.

  • NPV uses the order of value1, value2, ... to interpret the order of cash flows. Be sure to enter your payment and income values in the correct sequence.

  • Arguments that are numbers, empty cells, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.

  • If an argument is an array or reference, only numbers in that array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored.

Remarks

  • The NPV investment begins one period before the date of the value1 cash flow and ends with the last cash flow in the list. The NPV calculation is based on future cash flows. If your first cash flow occurs at the beginning of the first period, the first value must be added to the NPV result, not included in the values arguments. For more information, see the examples below.

  • If n is the number of cash flows in the list of values, the formula for NPV is:

  • NPV is similar to the PV function (present value). The primary difference between PV and NPV is that PV allows cash flows to begin either at the end or at the beginning of the period. Unlike the variable NPV cash flow values, PV cash flows must be constant throughout the investment. For information about annuities and financial functions, see PV.

  • NPV is also related to the IRR function (internal rate of return). IRR is the rate for which NPV equals zero: NPV(IRR(...), ...) = 0.

Examples

Suppose you're considering an investment in which you pay $10,000 one year from today and receive an annual income of $3,000, $4,200, and $6,800 in the three years that follow. Assuming an annual discount rate of 10 percent, the net present value of this investment is:

NPV(10%, -10000, 3000, 4200, 6800) equals $1,188.44

In the preceding example, you include the initial $10,000 cost as one of the values, because the payment occurs at the end of the first period.

Consider an investment that starts at the beginning of the first period. Suppose you're interested in buying a shoe store. The cost of the business is $40,000, and you expect to receive the following income for the first five years of operation: $8,000, $9,200, $10,000, $12,000, and $14,500. The annual discount rate is 8 percent. This might represent the rate of inflation or the interest rate of a competing investment.

If the cost and income figures from the shoe store are entered in B1 through B6 respectively, then net present value of the shoe store investment is given by:

NPV(8%, B2:B6)+B1 equals $1,922.06

In the preceding example, you don't include the initial $40,000 cost as one of the values, because the payment occurs at the beginning of the first period.

Suppose your shoe store's roof collapses during the sixth year and you assume a loss of $9000 for that year. The net present value of the shoe store investment after six years is given by:

NPV(8%, B2:B6, -9000)+B1 equals -$3,749.47


ODDFPRICE

See Also

Returns the price per $100 face value of a security having an odd (short or long) first period.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ODDFPRICE(settlement,maturity,issue,first_coupon,rate,yld,redemption,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date.

First_coupon is the security's first coupon date.

Rate is the security's interest rate.

Yld is the security's annual yield.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, issue, first_coupon, and basis are truncated to integers.

  • If settlement, maturity, issue, or first_coupon is not a valid date, ODDFPRICE returns the #NUM! error value.

  • If rate < 0 or if yld < 0, ODDFPRICE returns the #NUM! error value.

  • If basis < 0 or if basis > 4, ODDFPRICE returns the #NUM! error value.

  • The following date condition must be satisfied; otherwise, ODDFPRICE returns the #NUM! error value:

    maturity > first_coupon > settlement > issue

  • ODDFPRICE is calculated as follows:

    Odd short first coupon:

    where:

    A = number of days from the beginning of the coupon period to the settlement date (accrued days).

    DSC = number of days from the settlement to the next coupon date.

    DFC = number of days from the beginning of the odd first coupon to the first coupon date.

    E = number of days in the coupon period.

    N = number of coupons payable between the settlement date and the redemption date. (If this number contains a fraction, it is raised to the next whole number.)

    Odd long first coupon:

    where:

    Ai = number of days from the beginning of the ith, or last, quasi-coupon period within odd period.

    DCi = number of days from dated date (or issue date) to first quasi-coupon (i = 1) or number of days in quasi-coupon (i = 2,..., i = NC).

    DSC = number of days from settlement to next coupon date.

    E = number of days in coupon period.

    N = number of coupons payable between the first real coupon date and redemption date. (If this number contains a fraction, it is raised to the next whole number.)

    NC = number of quasi-coupon periods that fit in odd period. (If this number contains a fraction, it is raised to the next whole number.)

    NLi = normal length in days of the full ith, or last, quasi-coupon period within odd period.

    Nq = number of whole quasi-coupon periods between settlement date and first coupon.

Example

A treasury bond has the following terms:

November 11, 1999, settlement date
March 1, 2012, maturity date
October 15, 1999, issue date
March 1, 2000, first coupon date
7.85 percent coupon
6.25 percent yield
$100 redemptive value
Frequency is semiannual
Actual/actual basis

The price per $100 face value of a security having an odd (short or long) first period (in the 1900 date system) is:

ODDFPRICE("11/11/1999","3/1/2012","10/15/1999","3/1/2000",0.0785,0.0625,100,2,1) equals 113.5985


ODDFYIELD

See Also

Returns the yield of a security that has an odd (short or long) first period.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ODDFYIELD(settlement,maturity,issue,first_coupon,rate,pr,redemption,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date.

First_coupon is the security's first coupon date.

Rate is the security's interest rate.

Pr is the security's price.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, issue, first_coupon, and basis are truncated to integers.

  • If settlement, maturity, issue, or first_coupon is not a valid date, ODDFYIELD returns the #NUM! error value.

  • If rate < 0 or if pr ≤ 0, ODDFYIELD returns the #NUM! error value.

  • If basis < 0 or if basis > 4, ODDFYIELD returns the #NUM! error value.

  • The following date condition must be satisfied; otherwise, ODDFYIELD returns the #NUM! error value:

    maturity > first_coupon > settlement > issue

  • Microsoft Excel uses an iterative technique to calculate ODDFYIELD. This function uses the Newton method based on the formula used for the function ODDFPRICE. The yield is changed through 100 iterations until the estimated price with the given yield is close to the price. See ODDFPRICE for the formula that ODDFYIELD uses.

Example

A bond has the following terms:

January 25, 1999, settlement date
January 1, 2004, maturity date
January 18, 1999, issue date
July 15, 1999, first coupon date
5.75 percent coupon
$84.50 price
$100 redemptive value
Frequency is semiannual
30/360 basis

The yield of a security that has an odd (short or long) first period is:

ODDFYIELD("1/25/1999","1/1/2004","1/18/1999","7/15/1999",0.0575,084.50,100,2,0) equals .097581 or 9.76 percent


ODDLPRICE

See Also

Returns the price per $100 face value of a security having an odd (short or long) last coupon period.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ODDLPRICE(settlement,maturity,last_interest,rate,yld,redemption,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Last_interest is the security's last coupon date.

Rate is the security's interest rate.

Yld is the security's annual yield.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, last_interest, and basis are truncated to integers.

  • If settlement, maturity, or last_interest is not a valid date, ODDLPRICE returns the #NUM! error value.

  • If rate < 0 or if yld < 0, ODDLPRICE returns the #NUM! error value.

  • If basis < 0 or if basis > 4, ODDLPRICE returns the #NUM! error value.

  • The following date condition must be satisfied; otherwise, ODDLPRICE returns the #NUM! error value:

    maturity > settlement > last_interest

Example

A bond has the following terms:

February, 7, 1999, settlement date
June 15, 1999, maturity date
October 15, 1998, last interest date
3.75 percent coupon
4.05 percent yield
$100 redemptive value
Frequency is semiannual
30/360 basis

The price per $100 of a security having an odd (short or long) last coupon period is:

ODDLPRICE("2/7/1999","6/15/1999","10/15/1998",0.0375,0.0405,100,2,0) equals 99.87829


ODDLYIELD

See Also

Returns the yield of a security that has an odd (short or long) last period.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ODDLYIELD(settlement,maturity,last_interest,rate,pr,redemption,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Last_interest is the security's last coupon date.

Rate is the security's interest rate.

Pr is the security's price.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, last_interest, and basis are truncated to integers.

  • If settlement, maturity, or last_interest is not a valid date, ODDLYIELD returns the #NUM! error value.

  • If rate < 0 or if pr ≤ 0, ODDLYIELD returns the #NUM! error value.

  • If basis < 0 or if basis > 4, ODDLYIELD returns the #NUM! error value.

  • The following date condition must be satisfied; otherwise, ODDLYIELD returns the #NUM! error value:

    maturity > settlement > last_interest

  • ODDLYIELD is calculated as follows:

    where:

    Ai = number of accrued days for the ith, or last, quasi-coupon period within odd period counting forward from last interest date before redemption.

    DCi = number of days counted in the ith, or last, quasi-coupon period as delimited by the length of the actual coupon period.

    NC = number of quasi-coupon periods that fit in odd period; if this number contains a fraction it will be raised to the next whole number.

    NLi = normal length in days of the ith, or last, quasi-coupon period within odd coupon period.

Example

A bond has the following terms:

April 20, 1999, settlement date
June 15, 1999, maturity date
December 24, 1998, last interest date
3.75 percent coupon
$99.875 price
$100 redemptive value
Frequency is semiannual
30/360 basis

The yield of a security that has an odd (short or long) last period is:

ODDLYIELD("4/20/1999","6/15/1999","12/24/1998",0.0375,99.875,100,2,0) equals 0.045192


PMT

See Also

Calculates the payment for a loan based on constant payments and a constant interest rate.

Syntax

PMT(rate,nper,pv,fv,type)

For a more complete description of the arguments in PMT, see PV.

Rate is the interest rate for the loan.

Nper is the total number of payments for the loan.

Pv is the present value, or the total amount that a series of future payments is worth now; also known as the principal.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 (zero) or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks

  • The payment returned by PMT includes principal and interest but no taxes, reserve payments, or fees sometimes associated with loans.

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12 percent for rate and 4 for nper.

Tip To find the total amount paid over the duration of the loan, multiply the returned PMT value by nper.

Examples

The following formula returns the monthly payment on a $10,000 loan at an annual rate of 8 percent that you must pay off in 10 months:

PMT(8%/12, 10, 10000) equals -$1,037.03

For the same loan, if payments are due at the beginning of the period, the payment is:

PMT(8%/12, 10, 10000, 0, 1) equals -$1,030.16

The following formula returns the amount someone must pay to you each month if you loan that person $5,000 at 12 percent and want to be paid back in five months:

PMT(12%/12, 5, -5000) equals $1,030.20

You can use PMT to determine payments to annuities other than loans. For example, if you want to save $50,000 in 18 years by saving a constant amount each month, you can use PMT to determine how much you must save. If you assume you'll be able to earn 6 percent interest on your savings, you can use PMT to determine how much to save each month.

PMT(6%/12, 18*12, 0, 50000) equals -$129.08

If you pay $129.08 into a 6 percent savings account every month for 18 years, you will have $50,000.


PPMT

See Also

Returns the payment on the principal for a given period for an investment based on periodic, constant payments and a constant interest rate.

Syntax

PPMT(rate,per,nper,pv,fv,type)

For a more complete description of the arguments in PPMT, see PV.

Rate is the interest rate per period.

Per specifies the period and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remark

Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

Examples

The following formula returns the principal payment for the first month of a two-year $2,000 loan at 10 percent annual interest:

PPMT(10%/12, 1, 24, 2000) equals -$75.62

The following function returns the principal payment for the last year of a 10-year $200,000 loan at 8 percent annual interest:

PPMT(8%, 10, 10, 200000) equals -$27,598.05


PRICE

See Also

Returns the price per $100 face value of a security that pays periodic interest.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

PRICE(settlement,maturity,rate,yld,redemption,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Rate is the security's annual coupon rate.

Yld is the security's annual yield.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, frequency, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, PRICE returns the #NUM! error value.

  • If yld < 0 or if rate < 0, PRICE returns the #NUM! error value.

  • If redemption ≤ 0, PRICE returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, PRICE returns the #NUM! error value.

  • If basis < 0 or if basis > 4, PRICE returns the #NUM! error value.

  • If settlement ≥ maturity, PRICE returns the #NUM! error value.

  • PRICE is calculated as follows:

    where:

    DSC = number of days from settlement to next coupon date.

    E = number of days in coupon period in which the settlement date falls.

    N = number of coupons payable between settlement date and redemption date.

    A = number of days from beginning of coupon period to settlement date.

Example

A bond has the following terms:

February 15, 1999, settlement date
November 15, 2007, maturity date
5.75 percent semiannual coupon
6.50 percent yield
$100 redemption value
Frequency is semiannual
30/360 basis

The bond price (in the 1900 date system) is:

PRICE("2/15/1999","11/15/2007",0.0575,0.065,100,2,0) equals 95.04287


PRICEDISC

See Also

Returns the price per $100 face value of a discounted security.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

PRICEDISC(settlement,maturity,discount,redemption,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Discount is the security's discount rate.

Redemption is the security's redemption value per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, PRICEDISC returns the #NUM! error value.

  • If discount ≤ 0 or if redemption ≤ 0, PRICEDISC returns the #NUM! error value.

  • If basis < 0 or if basis > 4, PRICEDISC returns the #NUM! error value.

  • If settlement ≥ maturity, PRICEDISC returns the #NUM! error value.

  • PRICEDISC is calculated as follows:

    where:

    B = number of days in year, depending on year basis.

    DSM = number of days from settlement to maturity.

Example

A bond has the following terms:

February 15, 1999, settlement date
March 1, 1999, maturity date
5.25 percent discount rate
$100 redemption value
Actual/360 basis

The bond price (in the 1900 date system) is:

PRICEDISC("2/15/1999","3/1/1999",0.0525,100,2) equals 99.79583


PRICEMAT

See Also

Returns the price per $100 face value of a security that pays interest at maturity.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

PRICEMAT(settlement,maturity,issue,rate,yld,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date, expressed as a serial date number.

Rate is the security's interest rate at date of issue.

Yld is the security's annual yield.

Basis is the type of day count basis to use.

Basis | Day count basis
0 (zero) or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, issue, and basis are truncated to integers.

  • If settlement, maturity, or issue is not a valid date, PRICEMAT returns the #NUM! error value.

  • If rate < 0 or if yld < 0, PRICEMAT returns the #NUM! error value.

  • If basis < 0 or if basis > 4, PRICEMAT returns the #NUM! error value.

  • If settlement ≥ maturity, PRICEMAT returns the #NUM! error value.

  • PRICEMAT is calculated as follows:

    where:

    B = number of days in year, depending on year basis.

    DSM = number of days from settlement to maturity.

    DIM = number of days from issue to maturity.

    A = number of days from issue to settlement.

Example

A bond has the following terms:

February 15, 1999, settlement date
April 13, 1999, maturity date
November 11, 1998, issue date
6.1 percent semiannual coupon
6.1 percent yield
30/360 basis

The price (in the 1900 date system) is:

PRICEMAT("2/15/1999","4/13/1999","11/11/1998",0.061,0.061,0) equals 99.98449888


PV

See Also

Returns the present value of an investment. The present value is the total amount that a series of future payments is worth now. For example, when you borrow money, the loan amount is the present value to the lender.

Syntax

PV(rate,nper,pmt,fv,type)

Rate is the interest rate per period. For example, if you obtain an automobile loan at a 10 percent annual interest rate and make monthly payments, your interest rate per month is 10%/12, or 0.83%. You would enter 10%/12, or 0.83%, or 0.0083, into the formula as the rate.

Nper is the total number of payment periods in an annuity. For example, if you get a four-year car loan and make monthly payments, your loan has 4*12 (or 48) periods. You would enter 48 into the formula for nper.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. For example, the monthly payments on a $10,000, four-year car loan at 12 percent are $263.33. You would enter -263.33 into the formula as the pmt. If pmt is omitted, you must include the fv argument.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0). For example, if you want to save $50,000 to pay for a special project in 18 years, then $50,000 is the future value. You could then make a conservative guess at an interest rate and determine how much you must save each month. If fv is omitted, you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

  • The following functions apply to annuities:
    CUMIPMT | PPMT
    CUMPRINC | PV
    FV | RATE
    FVSCHEDULE | XIRR
    IPMT | XNPV
    PMT

    An annuity is a series of constant cash payments made over a continuous period. For example, a car loan or a mortgage is an annuity. For more information, see the description for each annuity function.

  • In annuity functions, cash you pay out, such as a deposit to savings, is represented by a negative number; cash you receive, such as a dividend check, is represented by a positive number. For example, a $1,000 deposit to the bank would be represented by the argument -1000 if you are the depositor and by the argument 1000 if you are the bank.

  • Microsoft Excel solves for one financial argument in terms of the others. If rate is not 0, then:

    If rate is 0, then:

    (pmt * nper) + pv + fv = 0

Example

Suppose you're thinking of buying an insurance annuity that pays $500 at the end of every month for the next 20 years. The cost of the annuity is $60,000, and the money paid out will earn 8 percent. You want to determine whether this would be a good investment. Using the PV function, you find that the present value of the annuity is:

PV(0.08/12, 12*20, 500, , 0) equals -$59,777.15

The result is negative because it represents money that you would pay, an outgoing cash flow. The present value of the annuity ($59,777.15) is less than what you are asked to pay ($60,000). Therefore, you determine this would not be a good investment.


RATE

See Also

Returns the interest rate per period of an annuity. RATE is calculated by iteration and can have zero or more solutions. If the successive results of RATE do not converge to within 0.0000001 after 20 iterations, RATE returns the #NUM! error value.

Syntax

RATE(nper,pmt,pv,fv,type,guess)

For a complete description of the arguments nper, pmt, pv, fv, and type, see PV.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. If pmt is omitted, you must include the fv argument.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Guess is your guess for what the rate will be.

  • If you omit guess, it is assumed to be 10 percent.

  • If RATE does not converge, try different values for guess. RATE usually converges if guess is between 0 and 1.

Remark

Make sure that you are consistent about the units you use for specifying guess and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for guess and 4*12 for nper. If you make annual payments on the same loan, use 12% for guess and 4 for nper.

Example

To calculate the rate of a four-year $8,000 loan with monthly payments of $200:

RATE(48, -200, 8000) equals 0.77 percent

This is the monthly rate, because the period is monthly. The annual rate is 0.77%*12, which equals 9.24 percent.


RECEIVED

See Also

Returns the amount received at maturity for a fully invested security.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

RECEIVED(settlement,maturity,investment,discount,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Investment is the amount invested in the security.

Discount is the security's discount rate.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, RECEIVED returns the #NUM! error value.

  • If investment ≤ 0 or if discount ≤ 0, RECEIVED returns the #NUM! error value.

  • If basis < 0 or if basis > 4, RECEIVED returns the #NUM! error value.

  • If settlement ≥ maturity, RECEIVED returns the #NUM! error value.

  • RECEIVED is calculated as follows:

    where:

    B = number of days in a year, depending on the year basis.

    DIM = number of days from issue to maturity.

Example

A bond has the following terms:

February 15, 1999, settlement (issue) date
May 15, 1999, maturity date
1,000,000 investment
5.75 percent discount rate
Actual/360 basis

The total amount to be received at maturity (in the 1900 date system) is:

RECEIVED("2/15/1999","5/15/1999",1000000,0.0575,2) equals 1,014,420.266, or $1,014,420.27


SLN

See Also

Returns the straight-line depreciation of an asset for one period.

Syntax

SLN(cost,salvage,life)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Example

Suppose you've bought a truck for $30,000 that has a useful life of 10 years and a salvage value of $7,500. The depreciation allowance for each year is:

SLN(30000, 7500, 10) equals $2,250


SYD

See Also

Returns the sum-of-years' digits depreciation of an asset for a specified period.

Syntax

SYD(cost,salvage,life,per)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Per is the period and must use the same units as life.

Remark

  • SYD is calculated as follows:

Examples

If you've bought a truck for $30,000 that has a useful life of 10 years and a salvage value of $7,500, the yearly depreciation allowance for the first year is:

SYD(30000,7500,10,1) equals $4,090.91

The yearly depreciation allowance for the tenth year is:

SYD(30000,7500,10,10) equals $409.09


TBILLEQ

See Also

Returns the bond-equivalent yield for a Treasury bill.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

TBILLEQ(settlement,maturity,discount)

Settlement is the Treasury bill's settlement date. The security settlement date is the date after the issue date when the Treasury bill is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.

Discount is the Treasury bill's discount rate.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Settlement and maturity are truncated to integers.

  • If settlement or maturity is not a valid date, TBILLEQ returns the #NUM! error value.

  • If discount ≤ 0, TBILLEQ returns the #NUM! error value.

  • If settlement > maturity, or if maturity is more than one year after settlement, TBILLEQ returns the #NUM! error value.

  • TBILLEQ is calculated as TBILLEQ = (365 x rate)/(360-(rate x DSM)), where DSM is the number of days between settlement and maturity computed according to the 360 days per year basis.

Example

A Treasury bill has the following terms:

March 31, 1999, settlement date
June 1, 1999, maturity date
9.14 percent discount rate

The bond equivalent yield for a Treasury bill (in the 1900 date system) is:

TBILLEQ("3/31/1999","6/1/1999",0.0914) equals 0.094151 or 9.4151 percent


TBILLPRICE

See Also

Returns the price per $100 face value for a Treasury bill.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

TBILLPRICE(settlement,maturity,discount)

Settlement is the Treasury bill's settlement date. The security settlement date is the date after the issue date when the Treasury bill is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.

Discount is the Treasury bill's discount rate.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Settlement and maturity are truncated to integers.

  • If settlement or maturity is not a valid date, TBILLPRICE returns the #NUM! error value.

  • If discount ≤ 0, TBILLPRICE returns the #NUM! error value.

  • If settlement > maturity, or if maturity is more than one year after settlement, TBILLPRICE returns the #NUM! error value.

  • TBILLPRICE is calculated as follows:

    where:

    DSM = number of days from settlement to maturity, excluding any maturity date that is more than one calendar year after the settlement date.

Example

A Treasury bill has the following terms:

March 31, 1999, settlement date
June 1, 1999, maturity date
9 percent discount rate

The Treasury bill price (in the 1900 date system) is:

TBILLPRICE("3/31/1999","6/1/1999",0.09) equals 98.45

TBILLPRICE("2001/08/31","2002/01/30",0.07) equals 97.04


TBILLYIELD

See Also

Returns the yield for a Treasury bill.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

TBILLYIELD(settlement,maturity,pr)

Settlement is the Treasury bill's settlement date. The security settlement date is the date after the issue date when the Treasury bill is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.

Pr is the Treasury bill's price per $100 face value.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Settlement and maturity are truncated to integers.

  • If settlement or maturity is not a valid date, TBILLYIELD returns the #NUM! error value.

  • If pr ≤ 0, TBILLYIELD returns the #NUM! error value.

  • If settlement ≥ maturity, or if maturity is more than one year after settlement, TBILLYIELD returns the #NUM! error value.

  • TBILLYIELD is calculated as follows:

    where:

    DSM = number of days from settlement to maturity, excluding any maturity date that is more than one calendar year after the settlement date.

Example

A Treasury bill has the following terms:

March 31, 1999, settlement date
June 1, 1999, maturity date
98.45 price per $100 face value

The Treasury bill yield (in the 1900 date system) is:

TBILLYIELD("3/31/1999","6/1/1999",98.45) equals 0.091417 or 9.1417 percent


VDB

See Also

Returns the depreciation of an asset for any period you specify, including partial periods, using the double-declining balance method or some other method you specify. VDB stands for variable declining balance.

Syntax

VDB(cost,salvage,life,start_period,end_period,factor,no_switch)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Start_period is the starting period for which you want to calculate the depreciation. Start_period must use the same units as life.

End_period is the ending period for which you want to calculate the depreciation. End_period must use the same units as life.

Factor is the rate at which the balance declines. If factor is omitted, it is assumed to be 2 (the double-declining balance method). Change factor if you do not want to use the double-declining balance method. For a description of the double-declining balance method, see DDB.

No_switch is a logical value specifying whether to switch to straight-line depreciation when depreciation is greater than the declining balance calculation.

  • If no_switch is TRUE, Microsoft Excel does not switch to straight-line depreciation even when the depreciation is greater than the declining balance calculation.

  • If no_switch is FALSE or omitted, Microsoft Excel switches to straight-line depreciation when depreciation is greater than the declining balance calculation.

All arguments except no_switch must be positive numbers.

Examples

Suppose a factory purchases a new machine. The machine costs $2,400 and has a lifetime of 10 years. The salvage value of the machine is $300. The following examples show depreciation over several periods. The results are rounded to two decimal places.

VDB(2400, 300, 3650, 0, 1) equals $1.32, the first day's depreciation. Microsoft Excel automatically assumes that factor is 2.

VDB(2400, 300, 120, 0, 1) equals $40.00, the first month's depreciation.

VDB(2400, 300, 10, 0, 1) equals $480.00, the first year's depreciation.

VDB(2400, 300, 120, 6, 18) equals $396.31, the depreciation between the sixth month and the eighteenth month.

VDB(2400, 300, 120, 6, 18, 1.5) equals $311.81, the depreciation between the sixth month and the eighteenth month using a factor of 1.5 instead of the double-declining balance method.

Suppose instead that the $2,400 machine is purchased in the middle of the first quarter of the fiscal year. The following formula determines the amount of depreciation for the first fiscal year that you own the asset, assuming that tax laws limit you to 150-percent depreciation of the declining balance:

VDB(2400, 300, 10, 0, 0.875, 1.5) equals $315.00


XIRR

See Also

Returns the internal rate of return for a schedule of cash flows that is not necessarily periodic. To calculate the internal rate of return for a series of periodic cash flows, use the IRR function.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

XIRR(values,dates,guess)

Values is a series of cash flows that corresponds to a schedule of payments in dates. The first payment is optional and corresponds to a cost or payment that occurs at the beginning of the investment. If the first value is a cost or payment, it must be a negative value. All succeeding payments are discounted based on a 365-day year. The series of values must contain at least one positive and one negative value.

Dates is a schedule of payment dates that corresponds to the cash flow payments. The first payment date indicates the beginning of the schedule of payments. All other dates must be later than this date, but they may occur in any order.

Guess is a number that you guess is close to the result of XIRR.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Numbers in dates are truncated to integers.

  • XIRR expects at least one positive cash flow and one negative cash flow; otherwise, XIRR returns the #NUM! error value.

  • If any number in dates is not a valid date, XIRR returns the #NUM! error value.

  • If any number in dates precedes the starting date, XIRR returns the #NUM! error value.

  • If values and dates contain a different number of values, XIRR returns the #NUM! error value.

  • In most cases you do not need to provide guess for the XIRR calculation. If omitted, guess is assumed to be 0.1 (10 percent).

  • XIRR is closely related to XNPV, the net present value function. The rate of return calculated by XIRR is the interest rate corresponding to XNPV = 0.

  • Excel uses an iterative technique for calculating XIRR. Using a changing rate (starting with guess), XIRR cycles through the calculation until the result is accurate within 0.000001 percent. If XIRR can't find a result that works after 100 tries, the #NUM! error value is returned. The rate is changed until:

    where:

    di = the ith, or last, payment date.

    d1 = the 0th payment date.

    Pi = the ith, or last, payment.

Example

Consider an investment that requires a $10,000 cash payment on January 1, 1998, and returns $2,750 on March 1, 1998, $4,250 on October 30, 1998, $3,250 on February 15, 1999, and $2,750 on April 1, 1999. The internal rate of return (in the 1900 date system) is:

XIRR({-10000,2750,4250,3250,2750},
{"1/1/1998","3/1/1998","10/30/1998","2/15/1999","4/1/1999"},0.1) equals 0.374859 or 37.4859 percent


XNPV

See Also

Returns the net present value for a schedule of cash flows that is not necessarily periodic. To calculate the net present value for a series of cash flows that is periodic, use the NPV function.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

XNPV(rate,values,dates)

Rate is the discount rate to apply to the cash flows.

Values is a series of cash flows that corresponds to a schedule of payments in dates. The first payment is optional and corresponds to a cost or payment that occurs at the beginning of the investment. If the first value is a cost or payment, it must be a negative value. All succeeding payments are discounted based on a 365-day year. The series of values must contain at least one positive value and one negative value.

Dates is a schedule of payment dates that corresponds to the cash flow payments. The first payment date indicates the beginning of the schedule of payments. All other dates must be later than this date, but they may occur in any order.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • Numbers in dates are truncated to integers.

  • If any argument is nonnumeric, XNPV returns the #VALUE! error value.

  • If any number in dates is not a valid date, XNPV returns the #NUM! error value.

  • If any number in dates precedes the starting date, XNPV returns the #NUM! error value.

  • If values and dates contain a different number of values, XNPV returns the #NUM! error value.

  • XNPV is calculated as follows:

    where:

    di = the ith, or last, payment date.

    d1 = the 0th payment date.

    Pi = the ith, or last, payment.

Example

Consider an investment that requires a $10,000 cash payment on January 1, 1998, and returns:

$2,750 on March 1, 1998;
$4,250 on October 30, 1998;
$3,250 on February 15, 1999; and
$2,750 on April 1, 1999.
Assume that the cash flows are discounted at 9 percent. The net present value is:

XNPV(0.09,{-10000,2750,4250,3250,2750}, {35796,35855,36098,36206,36251}) equals 2089.5016, or $2,089.50.


YIELD

See Also

Returns the yield on a security that pays periodic interest. Use YIELD to calculate bond yield.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

YIELD(settlement,maturity,rate,pr,redemption,frequency,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Rate is the security's annual coupon rate.

Pr is the security's price per $100 face value.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, frequency, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, YIELD returns the #NUM! error value.

  • If rate < 0, YIELD returns the #NUM! error value.

  • If pr ≤ 0 or if redemption ≤ 0, YIELD returns the #NUM! error value.

  • If frequency is any number other than 1, 2, or 4, YIELD returns the #NUM! error value.

  • If basis < 0 or if basis > 4, YIELD returns the #NUM! error value.

  • If settlement ≥ maturity, YIELD returns the #NUM! error value.

  • If there is one coupon period or less until redemption, YIELD is calculated as follows:

    where:

    A = number of days from the beginning of the coupon period to the settlement date (accrued days).

    DSR = number of days from the settlement date to the redemption date.

    E = number of days in the coupon period.

  • If there is more than one coupon period until redemption, YIELD is calculated through a hundred iterations. The resolution uses the Newton method, based on the formula used for the function PRICE. The yield is changed until the estimated price given the yield is close to price.

Example

A bond has the following terms:

February 15, 1999, settlement date
November 15, 2007, maturity date
5.75 percent coupon
95.04287 price
$100 redemption value
Frequency is semiannual
30/360 basis

The bond yield (in the 1900 date system) is:

YIELD("2/15/1999","11/15/2007",0.0575,95.04287,100,2,0) equals 0.065 or 6.5 percent


YIELDDISC

See Also

Returns the annual yield for a discounted security.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

YIELDDISC(settlement,maturity,pr,redemption,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Pr is the security's price per $100 face value.

Redemption is the security's redemption value per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, and basis are truncated to integers.

  • If settlement or maturity is not a valid date, YIELDDISC returns the #NUM! error value.

  • If pr ≤ 0 or if redemption ≤ 0, YIELDDISC returns the #NUM! error value.

  • If basis < 0 or if basis > 4, YIELDDISC returns the #NUM! error value.

  • If settlement ≥ maturity, YIELDDISC returns the #NUM! error value.

Example

A bond has the following terms:

February 15, 1999, settlement date
March 1, 1999, maturity date
99.795 price
$100 redemption value
Actual/360 basis

The bond yield (in the 1900 date system) is:

YIELDDISC("2/15/1999","3/1/1999",99.795,100,2) equals 0.052823 or 5.2823 percent


YIELDMAT

See Also

Returns the annual yield of a security that pays interest at maturity.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

YIELDMAT(settlement,maturity,issue,rate,pr,basis)

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer. Dates may be entered as text strings within quotation marks (for example, "1/30/1998" or "1998/01/30"), as serial numbers (for example, 35825, which represents January 30, 1998, if you're using the 1900 date system), or as results of other formulas or functions (for example, DATEVALUE("1/30/1998")).

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date, expressed as a serial date number.

Rate is the security's interest rate at date of issue.

Pr is the security's price per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 1996, and is purchased by a buyer six months later. The issue date would be January 1, 1996, the settlement date would be July 1, 1996, and the maturity date would be January 1, 2026, which is 30 years after the January 1, 1996, issue date.

  • Settlement, maturity, issue, and basis are truncated to integers.

  • If settlement, maturity, or issue is not a valid date, YIELDMAT returns the #NUM! error value.

  • If rate < 0 or if pr ≤ 0, YIELDMAT returns the #NUM! error value.

  • If basis < 0 or if basis > 4, YIELDMAT returns the #NUM! error value.

  • If settlement ≥ maturity, YIELDMAT returns the #NUM! error value.

Example

A bond has the following terms:

March 15, 1999, settlement date
November 3, 1999, maturity date
November 8, 1998, issue date
6.25 percent semiannual coupon
100.0123 price
30/360 basis

The yield (in the 1900 date system) is:

YIELDMAT("3/15/1999","11/3/1999","11/8/1998",0.0625,100.0123,0) equals 0.060954 or 6.0954 percent


CELL

See Also

Returns information about the formatting, location, or contents of the upper-left cell in a reference.

Syntax

CELL(info_type,reference)

Info_type is a text value that specifies what type of cell information you want. The following list shows the possible values of info_type and the corresponding results.

Info_type | Returns
"address" | Reference of the first cell in reference, as text.
"col" | Column number of the cell in reference.
"color" | 1 if the cell is formatted in color for negative values; otherwise returns 0 (zero).
"contents" | Contents of the upper-left cell in reference.
"filename" | Filename (including full path) of the file that contains reference, as text. Returns empty text ("") if the worksheet that contains reference has not yet been saved.
"format" | Text value corresponding to the number format of the cell. The text values for the various formats are shown in the following table. Returns "-" at the end of the text value if the cell is formatted in color for negative values. Returns "()" at the end of the text value if the cell is formatted with parentheses for positive or all values.
"parentheses" | 1 if the cell is formatted with parentheses for positive or all values; otherwise returns 0.
"prefix" | Text value corresponding to the "label prefix" of the cell. Returns single quotation mark (') if the cell contains left-aligned text, double quotation mark (") if the cell contains right-aligned text, caret (^) if the cell contains centered text, backslash (\) if the cell contains fill-aligned text, and empty text ("") if the cell contains anything else.
"protect" | 0 if the cell is not locked, and 1 if the cell is locked.
"row" | Row number of the cell in reference. .
"type" | Text value corresponding to the type of data in the cell. Returns "b" for blank if the cell is empty, "l" for label if the cell contains a text constant, and "v" for value if the cell contains anything else.
"width" | Column width of the cell rounded off to an integer. Each unit of column width is equal to the width of one character in the default font size.

Reference is the cell that you want information about. If omitted, information specified in info_type is returned for the last cell that was changed.

The following list describes the text values CELL returns when info_type is "format", and reference is a cell formatted with a built-in number format.

If the Microsoft Excel format is | CELL returns
General | "G"
0 | "F0"
#,##0 | ",0"
0.00 | "F2"
#,##0.00 | ",2"
$#,##0_);($#,##0) | "C0'
$#,##0_);[Red]($#,##0) | "C0-"
$#,##0.00_);($#,##0.00) | "C2"
$#,##0.00_);[Red]($#,##0.00) | "C2-"
0% | "P0"
0.00% | "P2"
0.00E+00 | "S2"
# ?/? or # ??/?? | "G"
m/d/yy or m/d/yy h:mm or mm/dd/yy | "D4"
d-mmm-yy or dd-mmm-yy | "D1"
d-mmm or dd-mmm | "D2"
mmm-yy | "D3"
mm/dd | "D5"
h:mm AM/PM | "D7"
h:mm:ss AM/PM | "D6"
h:mm | "D9"
h:mm:ss | "D8"

If the info_type argument in the CELL formula is "format", and if the cell is formatted later with a custom format, then you must recalculate the worksheet to update the CELL formula.

Remarks

The CELL function is provided for compatibility with other spreadsheet programs.

Examples

CELL("row",A20) equals 20

If B12 has the format "d-mmm", then:

CELL("format",B12) equals "D2"

If A3 contains TOTAL, then:

CELL("contents", A3) equals "TOTAL"


COUNTBLANK

See Also

Counts empty cells in a specified range of cells.

Syntax

COUNTBLANK(range)

Range is the range from which you want to count the blank cells.

Remarks

Cells with formulas that return "" (empty text) are also counted. Cells with zero values are not counted.

Example

Suppose in the above worksheet, B3 contains the following formula: IF(C3<30,"",C3), which returns "" (empty text).

COUNTBLANK(B2:C5) equals 2


ERROR.TYPE

See Also

Returns a number corresponding to one of the error values in Microsoft Excel or returns the #N/A error if no error exists. You can use ERROR.TYPE in an IF function to test for an error value and return a text string, such as a message, instead of the error value.

Syntax

ERROR.TYPE(error_val)

Error_val is the error value whose identifying number you want to find. Although error_val can be the actual error value, it will usually be a reference to a cell containing a formula that you want to test.

If error_val is | ERROR.TYPE returns
#NULL! | 1
#DIV/0! | 2
#VALUE! | 3
#REF! | 4
#NAME? | 5
#NUM! | 6
#N/A | 7
Anything else | #N/A

Example

The following formula checks cell E50 to see whether the cell contains either the #NULL! error value or the #DIV/0! error value. If it does, then the number for the error value is used in the CHOOSE worksheet function to display one of two messages; otherwise, the #N/A error value is returned.

IF(ERROR.TYPE(E50)<3,CHOOSE(ERROR.TYPE(E50),"Ranges do not intersect","The divisor is zero"))


INFO

See Also

Returns information about the current operating environment.

Syntax

INFO(type_text)

Type_text is text specifying what type of information you want returned.

Type_text | Returns
"directory" | Path of the current directory or folder.
"memavail" | Amount of memory available, in bytes.
"memused" | Amount of memory being used for data.
"numfile" | Number of active worksheets.
"origin" | Absolute A1-style reference, as text, prepended with "$A:" for Lotus 1-2-3 release 3.x compatibility. Returns the cell reference of the top and leftmost cell visible in the window, based on the current scrolling position.
"osversion" | Current operating system version, as text.
"recalc" | Current recalculation mode; returns "Automatic" or "Manual".
"release" | Version of Microsoft Excel, as text.
"system" | Name of the operating environment:
 | Macintosh = "mac"
 | Windows = "pcdos"
"totmem" | Total memory available, including memory already in use, in bytes.

Examples

The following formula returns 2 if two worksheets are currently open:

INFO("numfile")


IS Functions

See Also

This section describes the nine worksheet functions used for testing the type of a value or reference.

Each of these functions, referred to collectively as the IS functions, checks the type of value and returns TRUE or FALSE depending on the outcome. For example, the ISBLANK function returns the logical value TRUE if value is a reference to an empty cell; otherwise it returns FALSE.

Syntax

ISBLANK(value)
ISERR(value)
ISERROR(value)
ISLOGICAL(value)
ISNA(value)
ISNONTEXT(value)
ISNUMBER(value)
ISREF(value)
ISTEXT(value)

Value is the value you want tested. Value can be a blank (empty cell), error, logical, text, number, or reference value, or a name referring to any of these, that you want to test.

Function | Returns TRUE if
ISBLANK | Value refers to an empty cell.
ISERR | Value refers to any error value except #N/A.
ISERROR | Value refers to any error value (#N/A, #VALUE!, #REF!, #DIV/0!, #NUM!, #NAME?, or #NULL!).
ISLOGICAL | Value refers to a logical value.
ISNA | Value refers to the #N/A (value not available) error value.
ISNONTEXT | Value refers to any item that is not text. (Note that this function returns TRUE if value refers to a blank cell.)
ISNUMBER | Value refers to a number.
ISREF | Value refers to a reference.
ISTEXT | Value refers to text.

Remarks

  • The value arguments to the IS functions are not converted. For example, in most other functions where a number is required, the text value "19" is converted to the number 19. However, in the formula ISNUMBER("19"), "19" is not converted from a text value, and the ISNUMBER function returns FALSE.

  • The IS functions are useful in formulas for testing the outcome of a calculation. When combined with the IF function, they provide a method for locating errors in formulas (see the following examples).

Examples

ISLOGICAL(TRUE) equals TRUE

ISLOGICAL("TRUE") equals FALSE

ISNUMBER(4) equals TRUE

Suppose C1:C5 on a worksheet of gold prices in different regions shows the following text values, number values, and error values: "Gold", "Region1", #REF!, $330.92, #N/A, respectively.

ISBLANK(C1) equals FALSE

ISERROR(C3) equals TRUE

ISNA(C3) equals FALSE

ISNA(C5) equals TRUE

ISERR(C5) equals FALSE

ISNUMBER(C4) equals TRUE (if the $330.92 was entered as a number and not as text)

ISREF(Region1) equals TRUE (if Region1 is defined as a range name)

ISTEXT(C2) equals TRUE (if Region1 is formatted as text)

On another worksheet, suppose you want to calculate the average of the range A1:A4, but you can't be sure that the cells contain numbers. The formula AVERAGE(A1:A4) returns the #DIV/0! error value if A1:A4 does not contain any numbers. To allow for this case, you can use the following formula to locate potential errors:

IF(ISERROR(AVERAGE(A1:A4)),"No Numbers",AVERAGE(A1:A4))


ISEVEN

See Also

Returns TRUE if number is even, or FALSE if number is odd.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ISEVEN(number)

Number is the value to test. If number is not an integer, it is truncated.

Remarks

If number is nonnumeric, ISEVEN returns the #VALUE! error value.

Examples

ISEVEN(-1) equals FALSE

ISEVEN(2.5) equals TRUE

ISEVEN(5) equals FALSE


ISODD

See Also

Returns TRUE if number is odd, or FALSE if number is even.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

ISODD(number)

Number is the value to test. If number is not an integer, it is truncated.

Remarks

If number is nonnumeric, ISODD returns the #VALUE! error value.

Examples

ISODD(-1) equals TRUE

ISODD(2.5) equals FALSE

ISODD(5) equals TRUE


N

See Also

Returns a value converted to a number.

Syntax

N(value)

Value is the value you want converted. N converts values listed in the following table.

If value is or refers to | N returns
A number | That number
A date, in one of the built-in date formats available in Microsoft Excel | The serial number of that date
TRUE | 1
FALSE | 0
An error value, such as #DIV/0! | The error value
Anything else | 0

Remarks

  • It is not generally necessary to use the N function in a formula, because Excel automatically converts values as necessary. This function is provided for compatibility with other spreadsheet programs.

  • Excel stores dates as sequential serial numbers so that it can perform calculations on them. Excel stores January 1, 1900, as serial number 1 if your workbook uses the 1900 date system. If your workbook uses the 1904 date system, Excel stores January 1, 1904, as serial number 0 (January 2, 1904, is serial number 1). For example, in the 1900 date system, Excel stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900. Learn more about how Microsoft Excel stores dates and times.

Examples

If A1 contains "7", A2 contains "Even", and A3 contains "TRUE", then:

N(A1) equals 7

N(A2) equals 0, because A2 contains text

N(A3) equals 1, because A3 contains TRUE

N("7") equals 0, because "7" is text

N("4/17/91") equals 0, because "4/17/91" is text


NA

See Also

Returns the error value #N/A. #N/A is the error value that means "no value is available." Use NA to mark empty cells. By entering #N/A in cells where you are missing information, you can avoid the problem of unintentionally including empty cells in your calculations. (When a formula refers to a cell containing #N/A, the formula returns the #N/A error value.)

Syntax

NA( )

Remarks

  • You must include the empty parentheses with the function name. Otherwise, Microsoft Excel will not recognize it as a function.

  • You can also type the value #N/A directly into a cell. The NA function is provided for compatibility with other spreadsheet programs.


TYPE

See Also

Returns the type of value. Use TYPE when the behavior of another function depends on the type of value in a particular cell.

Syntax

TYPE(value)

Value can be any Microsoft Excel value, such as a number, text, logical value, and so on.

If value is | TYPE returns
Number | 1
Text | 2
Logical value | 4
Error value | 16
Array | 64

Remarks

  • TYPE is most useful when you are using functions that can accept different types of data, such as ARGUMENT and INPUT. Use TYPE to find out what type of data is returned by a function or formula.

  • You cannot use TYPE to determine whether a cell contains a formula. TYPE only determines the type of the resulting, or displayed, value. If value is a cell reference to a cell that contains a formula, TYPE returns the type of the formula's resulting value.

Examples

If A1 contains the text "Smith", then:

TYPE(A1) equals TYPE("Smith") equals 2

TYPE("MR. "&A1) equals 2

TYPE(2+A1) equals TYPE(#VALUE!) equals 16

TYPE({1,2;3,4}) equals 64


AND

See Also

Returns TRUE if all its arguments are TRUE; returns FALSE if one or more arguments is FALSE.

Syntax

AND(logical1,logical2, ...)

Logical1, logical2, ... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

  • The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be arrays or references that contain logical values.

  • If an array or reference argument contains text or empty cells, those values are ignored.

  • If the specified range contains no logical values, AND returns the #VALUE! error value.

Examples

AND(TRUE, TRUE) equals TRUE

AND(TRUE, FALSE) equals FALSE

AND(2+2=4, 2+3=5) equals TRUE

If B1:B3 contains the values TRUE, FALSE, and TRUE, then:

AND(B1:B3) equals FALSE

If B4 contains a number between 1 and 100, then:

AND(1<B4, B4<100) equals TRUE

Suppose you want to display B4 if it contains a number strictly between 1 and 100, and you want to display a message if it is not. If B4 contains 104, then:

IF(AND(1<B4, B4<100), B4, "The value is out of range.") equals "The value is out of range."

If B4 contains 50, then:

IF(AND(1<B4, B4<100), B4, "The value is out of range.") equals 50


FALSE

See Also

Returns the logical value FALSE.

Syntax

FALSE( )

Remark

You can also type the word FALSE directly onto the worksheet or into the formula, and Microsoft Excel interprets it as the logical value FALSE.


IF

See Also

Returns one value if a condition you specify evaluates to TRUE and another value if it evaluates to FALSE.

Use IF to conduct conditional tests on values and formulas.

Syntax

IF(logical_test,value_if_true,value_if_false)

Logical_test is any value or expression that can be evaluated to TRUE or FALSE. For example, A10=100 is a logical expression; if the value in cell A10 is equal to 100, the expression evaluates to TRUE. Otherwise, the expression evaluates to FALSE. This argument can use any comparison calculation operator.

Value_if_true is the value that is returned if logical_test is TRUE. For example, if this argument is the text string "Within budget" and the logical_test argument evaluates to TRUE, then the IF function displays the text "Within budget". If logical_test is TRUE and value_if_true is blank, this argument returns 0 (zero). To display the word TRUE, use the logical value TRUE for this argument. Value_if_true can be another formula.

Value_if_false is the value that is returned if logical_test is FALSE. For example, if this argument is the text string "Over budget" and the logical_test argument evaluates to FALSE, then the IF function displays the text "Over budget". If logical_test is FALSE and value_if_false is omitted, (that is, after value_if_true, there is no comma), then the logical value FALSE is returned. If logical_test is FALSE and value_if_false is blank (that is, after value_if_true, there is a comma followed by the closing parenthesis), then the value 0 (zero) is returned. Value_if_false can be another formula.

Remarks

  • Up to seven IF functions can be nested as value_if_true and value_if_false arguments to construct more elaborate tests. See the following last example.

  • When the value_if_true and value_if_false arguments are evaluated, IF returns the value returned by those statements.

  • If any of the arguments to IF are arrays, every element of the array is evaluated when the IF statement is carried out.

  • Microsoft Excel provides additional functions that can be used to analyze your data based on a condition. For example, to count the number of occurrences of a string of text or a number within a range of cells, use the COUNTIF worksheet function. To calculate a sum based on a string of text or a number within a range, use the SUMIF worksheet function. Learn about calculating a value based on a condition.

Examples

On a budget sheet, cell A10 contains a formula to calculate the current budget. If the result of the formula in A10 is less than or equal to 100, then the following function displays "Within budget". Otherwise, the function displays "Over budget".

IF(A10<=100,"Within budget","Over budget")

In the following example, if the value in cell A10 is 100, then logical_test is TRUE, and the total value for the range B5:B15 is calculated. Otherwise, logical_test is FALSE, and empty text ("") is returned that blanks the cell that contains the IF function.

IF(A10=100,SUM(B5:B15),"")

Suppose an expense worksheet contains in B2:B4 the following data for "Actual Expenses" for January, February, and March: 1500, 500, 500. C2:C4 contains the following data for "Predicted Expenses" for the same periods: 900, 900, 925.

You can write a formula to check whether you are over budget for a particular month, generating text for a message with the following formulas:

IF(B2>C2,"Over Budget","OK") equals "Over Budget"

IF(B3>C3,"Over Budget","OK") equals "OK"

Suppose you want to assign letter grades to numbers referenced by the name AverageScore. See the following table.

If AverageScore is | Then return
Greater than 89 | A
From 80 to 89 | B
From 70 to 79 | C
From 60 to 69 | D
Less than 60 | F

You can use the following nested IF function:

IF(AverageScore>89,"A",IF(AverageScore>79,"B",
IF(AverageScore>69,"C",IF(AverageScore>59,"D","F"))))

In the preceding example, the second IF statement is also the value_if_false argument to the first IF statement. Similarly, the third IF statement is the value_if_false argument to the second IF statement. For example, if the first logical_test (Average>89) is TRUE, "A" is returned. If the first logical_test is FALSE, the second IF statement is evaluated, and so on.


NOT

See Also

Reverses the value of its argument. Use NOT when you want to make sure a value is not equal to one particular value.

Syntax

NOT(logical)

Logical is a value or expression that can be evaluated to TRUE or FALSE. If logical is FALSE, NOT returns TRUE; if logical is TRUE, NOT returns FALSE.

Examples

NOT(FALSE) equals TRUE

NOT(1+1=2) equals FALSE


OR

See Also

Returns TRUE if any argument is TRUE; returns FALSE if all arguments are FALSE.

Syntax

OR(logical1,logical2,...)

Logical1,logical2,... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

  • The arguments must evaluate to logical values such as TRUE or FALSE, or in arrays or references that contain logical values.

  • If an array or reference argument contains text or empty cells, those values are ignored.

  • If the specified range contains no logical values, OR returns the #VALUE! error value.

  • You can use an OR array formula to see if a value occurs in an array. To enter an array formula, press CTRL+SHIFT+ENTER in Microsoft Excel for Windows or COMMAND +ENTER in Microsoft Excel for the Macintosh.

Examples

OR(TRUE) equals TRUE

OR(1+1=1,2+2=5) equals FALSE

If A1:A3 contains the values TRUE, FALSE, and TRUE, then:

OR(A1:A3) equals TRUE

Also see the example for EXACT.


TRUE

See Also

Returns the logical value TRUE.

Syntax

TRUE( )

Remark

You can enter the value TRUE directly into cells and formulas without using this function. The TRUE function is provided primarily for compatibility with other spreadsheet programs.


ADDRESS

See Also

Creates a cell address as text, given specified row and column numbers.

Syntax

ADDRESS(row_num,column_num,abs_num,a1,sheet_text)

Row_num is the row number to use in the cell reference.

Column_num is the column number to use in the cell reference.

Abs_num specifies the type of reference to return.

Abs_num | Returns this type of reference
1 or omitted | Absolute
2 | Absolute row; relative column
3 | Relative row; absolute column
4 | Relative

A1 is a logical value that specifies the A1 or R1C1 reference style. If a1 is TRUE or omitted, ADDRESS returns an A1-style reference; if FALSE, ADDRESS returns an R1C1-style reference.

Sheet_text is text specifying the name of the worksheet to be used as the external reference. If sheet_text is omitted, no sheet name is used.

Examples

ADDRESS(2,3) equals "$C$2"

ADDRESS(2,3,2) equals "C$2"

ADDRESS(2,3,2,FALSE) equals "R2C[3]"

ADDRESS(2,3,1,FALSE,"[Book1]Sheet1") equals "[Book1]Sheet1!R2C3"

ADDRESS(2,3,1,FALSE,"EXCEL SHEET") equals "'EXCEL SHEET'!R2C3"


AREAS

See Also

Returns the number of areas in a reference. An area is a range of contiguous cells or a single cell.

Syntax

AREAS(reference)

Reference is a reference to a cell or range of cells and can refer to multiple areas. If you want to specify several references as a single argument, then you must include extra sets of parentheses so that Microsoft Excel will not interpret the comma as a field separator. See the second example following.

Examples

AREAS(B2:D4) equals 1

AREAS((B2:D4,E5,F6:I9)) equals 3

If the name Prices refers to the areas B1:D4, B2, and E1:E10, then:

AREAS(Prices) equals 3


CHOOSE

See Also

Uses index_num to return a value from the list of value arguments. Use CHOOSE to select one of up to 29 values based on the index number. For example, if value1 through value7 are the days of the week, CHOOSE returns one of the days when a number between 1 and 7 is used as index_num.

Syntax

CHOOSE(index_num,value1,value2,...)

Index_num specifies which value argument is selected. Index_num must be a number between 1 and 29, or a formula or reference to a cell containing a number between 1 and 29.

  • If index_num is 1, CHOOSE returns value1; if it is 2, CHOOSE returns value2; and so on.

  • If index_num is less than 1 or greater than the number of the last value in the list, CHOOSE returns the #VALUE! error value.

  • If index_num is a fraction, it is truncated to the lowest integer before being used.

Value1,value2,... are 1 to 29 value arguments from which CHOOSE selects a value or an action to perform based on index_num. The arguments can be numbers, cell references, defined names, formulas, functions, or text.

Remarks

  • If index_num is an array, every value is evaluated when CHOOSE is evaluated.

  • The value arguments to CHOOSE can be range references as well as single values. For example, the formula:

    SUM(CHOOSE(2,A1:A10,B1:B10,C1:C10))

    evaluates to:

    SUM(B1:B10)

    which then returns a value based on the values in the range B1:B10.

    The CHOOSE function is evaluated first, returning the reference B1:B10. The SUM function is then evaluated using B1:B10, the result of the CHOOSE function, as its argument.

Examples

CHOOSE(2,"1st","2nd","3rd","Finished") equals "2nd"

SUM(A1:CHOOSE(3,A10,A20,A30)) equals SUM(A1:A30)

If A10 contains 4, then:

CHOOSE(A10,"Nails","Screws","Nuts","Bolts") equals "Bolts"

If A10-3 equals 3, then:

CHOOSE(A10-3,"1st","2nd","3rd","Finished") equals "3rd"

If SalesOld is a name defined to refer to the value 10,000, then:

CHOOSE(2,SalesNew,SalesOld,SalesBudget) equals 10,000


COLUMN

See Also

Returns the column number of the given reference.

Syntax

COLUMN(reference)

Reference is the cell or range of cells for which you want the column number.

  • If reference is omitted, it is assumed to be the reference of the cell in which the COLUMN function appears.

  • If reference is a range of cells, and if COLUMN is entered as a horizontal array, COLUMN returns the column numbers of reference as a horizontal array.

  • Reference cannot refer to multiple areas.

Examples

COLUMN(A3) equals 1

When entered as an array in any three horizontally contiguous cells:

COLUMN(A3:C5) equals {1,2,3}

If COLUMN is entered in C5, then:

COLUMN() equals COLUMN(C5) equals 3


COLUMNS

See Also

Returns the number of columns in an array or reference.

Syntax

COLUMNS(array)

Array is an array or array formula, or a reference to a range of cells for which you want the number of columns.

Examples

COLUMNS(A1:C4) equals 3

COLUMNS({1,2,3;4,5,6}) equals 3


HLOOKUP

See Also

Searches for a value in the top row of a table or an array of values, and then returns a value in the same column from a row you specify in the table or array. Use HLOOKUP when your comparison values are located in a row across the top of a table of data, and you want to look down a specified number of rows. Use VLOOKUP when your comparison values are located in a column to the left of the data you want to find.

Syntax

HLOOKUP(lookup_value,table_array,row_index_num,range_lookup)

Lookup_value is the value to be found in the first row of the table. Lookup_value can be a value, a reference, or a text string.

Table_array is a table of information in which data is looked up. Use a reference to a range or a range name.

  • The values in the first row of table_array can be text, numbers, or logical values.

  • If range_lookup is TRUE, the values in the first row of table_array must be placed in ascending order: ...-2, -1, 0, 1, 2,... , A-Z, FALSE, TRUE; otherwise, HLOOKUP may not give the correct value. If range_lookup is FALSE, table_array does not need to be sorted.

  • Uppercase and lowercase text are equivalent.

  • You can put values in ascending order, left to right, by selecting the values and then clicking Sort on the Data menu. Click Options, click Sort left to right, and then click OK. Under Sort by, click the row in the list, and then click Ascending.

Row_index_num is the row number in table_array from which the matching value will be returned. A row_index_num of 1 returns the first row value in table_array, a row_index_num of 2 returns the second row value in table_array, and so on. If row_index_num is less than 1, HLOOKUP returns the #VALUE! error value; if row_index_num is greater than the number of rows on table_array, HLOOKUP returns the #REF! error value.

Range_lookup is a logical value that specifies whether you want HLOOKUP to find an exact match or an approximate match. If TRUE or omitted, an approximate match is returned. In other words, if an exact match is not found, the next largest value that is less than lookup_value is returned. If FALSE, HLOOKUP will find an exact match. If one is not found, the error value #N/A is returned.

Remarks

  • If HLOOKUP can't find lookup_value, and range_lookup is TRUE, it uses the largest value that is less than lookup_value.

  • If lookup_value is smaller than the smallest value in the first row of table_array, HLOOKUP returns the #N/A error value.

Examples

Suppose you have an inventory worksheet of auto parts. A1:A4 contain "Axles", 4, 5, 6. B1:B4 contain "Bearings", 4, 7, 8. C1:C4 contain "Bolts", 9, 10, 11.

HLOOKUP("Axles", A1:C4,2,TRUE) equals 4

HLOOKUP("Bearings",A1:C4,3,FALSE) equals 7

HLOOKUP("Bearings",A1:C4,3,TRUE) equals 7

HLOOKUP("Bolts",A1:C4,4,) equals 11

Table_array can also be an array constant:

HLOOKUP(3,{1,2,3;"a","b","c";"d","e","f"},2,TRUE) equals "c"


HYPERLINK

See Also

Creates a shortcut or jump that opens a document stored on a network server, an intranet, or the Internet. When you click the cell that contains the HYPERLINK function, Microsoft Excel opens the file stored at link_location.

Syntax

HYPERLINK(link_location,friendly_name)

Link_location is the path and file name to the document to be opened as text. Link_location can refer to a place in a document — such as a specific cell or named range in a Microsoft Excel worksheet or workbook, or to a bookmark in a Microsoft Word document. The path can be to a file stored on a hard disk drive, or the path can be a universal naming convention (UNC) path on a server (in Microsoft Excel for Windows) or a Uniform Resource Locator (URL) path on the Internet or an intranet.

Friendly_name is the jump text or numeric value that is displayed in the cell. Friendly_name is displayed in blue and is underlined. If friendly_name is omitted, the cell displays the link_location as the jump text.

Remarks

  • Link_location can be a text string enclosed in quotation marks or a cell that contains the link as a text string.

  • Friendly_name can be a value, a text string, a name, or a cell that contains the jump text or value.

  • If friendly_name returns an error value (for example, #VALUE!), the cell displays the error instead of the jump text.

  • If the jump specified in link_location does not exist or cannot be navigated, an error appears when you click the cell.

  • To select a cell that contains HYPERLINK, click a cell next to the cell, and then use an arrow key to move to the cell.

Examples

The following example opens a worksheet named Budget Report.xls that is stored on the Internet at the location named www.business.com/report and displays the text "Click for report":

HYPERLINK("http://www.business.com/report/budget report.xls", "Click for report")

The following example creates a hyperlink to cell F10 on the worksheet named Annual in the workbook Budget Report.xls, which is stored on the Internet at the location named www.business.com/report. The cell on the worksheet that contains the hyperlink displays the contents of cell D1 as the jump text:

HYPERLINK("[http://www.business.com/report/budget report.xls]Annual!F10", D1)

The following example creates a hyperlink to the range named DeptTotal on the worksheet named First Quarter in the workbook Budget Report.xls, which is stored on the Internet at the location named www.business.com/report. The cell on the worksheet that contains the hyperlink displays the text "Click to see First Quarter Department Total":

HYPERLINK("[http://www.business.com/report/budget report.xls]First Quarter!DeptTotal", "Click to see First Quarter Department Total")

To create a hyperlink to a specific location in a Microsoft Word document, you must use a bookmark to define the location you want to jump to in the document. The following example creates a hyperlink to the bookmark named QrtlyProfits in the document named Annual Report.doc located at www.business.com:

HYPERLINK("[http://www.business.com/Annual Report.doc]QrtlyProfits", "Quarterly Profit Report")

In Excel for Windows, the following example displays the contents of cell D5 as the jump text in the cell and opens the file named 1stqtr.xls, which is stored on the server named FINANCE in the Statements share. This example uses a UNC path:

HYPERLINK("\\FINANCE\Statements\1stqtr.xls", D5)

The following example opens the file 1stqtr.xls in Excel for Windows that is stored in a directory named Finance on drive D, and displays the numeric value stored in cell H10:

HYPERLINK("D:\FINANCE\1stqtr.xls", H10)

In Excel for Windows, the following example creates a hyperlink to the area named Totals in another (external) workbook, Mybook.xls:

HYPERLINK("[C:\My Documents\Mybook.xls]Totals")

In Microsoft Excel for the Macintosh, the following example displays "Click here" in the cell and opens the file named First Quarter that is stored in a folder named Budget Reports on the hard drive named Macintosh HD:

HYPERLINK("Macintosh HD:Budget Reports:First Quarter","Click here")

You can create hyperlinks within a worksheet to jump from one cell to another cell. For example, if the active worksheet is the sheet named June in the workbook named Budget, the following formula creates a hyperlink to cell E56. The link text itself is the value in cell E56.

HYPERLINK("[Budget]June!E56",E56)

To jump to a different sheet in the same workbook, change the name of the sheet in the link. In the previous example, to create a link to cell E56 on the September sheet, change the word "June" to "September".


INDEX

See Also

Returns a value or the reference to a value from within a table or range. There are two forms of the INDEX() function: array and reference. The array form always returns a value or an array of values; the reference form always returns a reference.

  • INDEX(array,row_num,column_num) returns the value of a specified cell or array of cells within array.

  • INDEX(reference,row_num,column_num,area_num) returns a reference to a specified cell or cells within reference.

Syntax 1 (array)

Syntax 2 (reference)


INDIRECT

See Also

Returns the reference specified by a text string. References are immediately evaluated to display their contents. Use INDIRECT when you want to change the reference to a cell within a formula without changing the formula itself.

Syntax

INDIRECT(ref_text,a1)

Ref_text is a reference to a cell that contains an A1-style reference, an R1C1-style reference, a name defined as a reference, or a reference to a cell as a text string. If ref_text is not a valid cell reference, INDIRECT returns the #REF! error value.

A1 is a logical value that specifies what type of reference is contained in the cell ref_text.

  • If a1 is TRUE or omitted, ref_text is interpreted as an A1-style reference.

  • If a1 is FALSE, ref_text is interpreted as an R1C1-style reference.

Remarks

  • If ref_text refers to another workbook (an external reference), the other workbook must be open. If the source workbook is not open, INDIRECT returns the #REF! error value.

Examples

If cell A1 contains the text "B2", and cell B2 contains the value 1.333, then:

INDIRECT($A$1) equals 1.333

If you change the text in A1 to "C5", and cell C5 contains the value 45, then:

INDIRECT($A$1) equals 45

If the workspace is set to display R1C1-style references, cell R1C1 contains R2C2, and cell R2C2 contains the value 1.333, then:

INT(INDIRECT(R1C1,FALSE)) equals 1

If B3 contains the text "George", and a cell defined as George contains the value 10, then:

INDIRECT($B$3) equals 10

When you create a formula that refers to a cell, the reference to the cell will be updated if the cell is moved by using the Cut command to delete the cell or if the cell is moved because rows or columns are inserted or deleted. If you always want the formula to refer to the same cell regardless of whether the row above the cell is deleted or the cell is moved, use the INDIRECT worksheet function. For example, if you always want to refer to cell A10, use the following syntax:

INDIRECT("A10")


LOOKUP

See Also

Returns a value either from a one-row or one-column range or from an array. The LOOKUP function has two syntax forms: vector and array. The vector form of LOOKUP looks in a one-row or one-column range (known as a vector) for a value and returns a value from the same position in a second one-row or one-column range. The array form of LOOKUP looks in the first row or column of an array for the specified value and returns a value from the same position in the last row or column of the array.

Syntax 1 (vector)

Syntax 2 (array)


MATCH

See Also

Returns the relative position of an item in an array that matches a specified value in a specified order. Use MATCH instead of one of the LOOKUP functions when you need the position of an item in a range instead of the item itself.

Syntax

MATCH(lookup_value,lookup_array,match_type)

Lookup_value is the value you use to find the value you want in a table.

  • Lookup_value is the value you want to match in lookup_array. For example, when you look up someone's number in a telephone book, you are using the person's name as the lookup value, but the telephone number is the value you want.

  • Lookup_value can be a value (number, text, or logical value) or a cell reference to a number, text, or logical value.

Lookup_array is a contiguous range of cells containing possible lookup values. Lookup_array can be an array or an array reference.

Match_type is the number -1, 0, or 1. Match_type specifies how Microsoft Excel matches lookup_value with values in lookup_array.

  • If match_type is 1, MATCH finds the largest value that is less than or equal to lookup_value. Lookup_array must be placed in ascending order: ...-2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE.

  • If match_type is 0, MATCH finds the first value that is exactly equal to lookup_value. Lookup_array can be in any order.

  • If match_type is -1, MATCH finds the smallest value that is greater than or equal to lookup_value. Lookup_array must be placed in descending order: TRUE, FALSE, Z-A,...2, 1, 0, -1, -2,..., and so on.

  • If match_type is omitted, it is assumed to be 1.

Remarks

  • MATCH returns the position of the matched value within lookup_array, not the value itself. For example, MATCH("b",{"a","b","c"},0) returns 2, the relative position of "b" within the array {"a","b","c"}.

  • MATCH does not distinguish between uppercase and lowercase letters when matching text values.

  • If MATCH is unsuccessful in finding a match, it returns the #N/A error value.

  • If match_type is 0 and lookup_value is text, lookup_value can contain the wildcard characters, asterisk (*) and question mark (?). An asterisk matches any sequence of characters; a question mark matches any single character.

Examples

Note that C2:C8 contains text formatted as percent numbers.

In the preceding worksheet:

MATCH(39000,B2:B8,1) equals 3

MATCH(38000,B2:B8,0) equals 2

MATCH(39000,B2:B8,-1) equals the #N/A error value, because the range B2:B8 is ordered incorrectly for match_type -1 matching (the order must be descending to be correct).

Suppose Yen refers to A2:A8, YenDollar to A2:C8, and MyIncome to a cell containing the number ¥6,301,126.33. This formula:

"Your tax rate is "&LOOKUP(MyIncome,YenDollar)&", which places you in tax bracket number "&MATCH(MyIncome,Yen)&"."

produces this result:

"Your tax rate is 22.41%, which places you in tax bracket number 7."


OFFSET

See Also

Returns a reference to a range that is a specified number of rows and columns from a cell or range of cells. The reference that is returned can be a single cell or a range of cells. You can specify the number of rows and the number of columns to be returned.

Syntax

OFFSET(reference,rows,cols,height,width)

Reference is the reference from which you want to base the offset. Reference must be a reference to a cell or range of adjacent cells; otherwise, OFFSET returns the #VALUE! error value.

Rows is the number of rows, up or down, that you want the upper-left cell to refer to. Using 5 as the rows argument specifies that the upper-left cell in the reference is five rows below reference. Rows can be positive (which means below the starting reference) or negative (which means above the starting reference).

Cols is the number of columns, to the left or right, that you want the upper-left cell of the result to refer to. Using 5 as the cols argument specifies that the upper-left cell in the reference is five columns to the right of reference. Cols can be positive (which means to the right of the starting reference) or negative (which means to the left of the starting reference).

If rows and cols offset reference over the edge of the worksheet, OFFSET returns the #REF! error value.

Height is the height, in number of rows, that you want the returned reference to be. Height must be a positive number.

Width is the width, in number of columns, that you want the returned reference to be. Width must be a positive number.

If height or width is omitted, it is assumed to be the same height or width as reference.

Remarks

OFFSET doesn't actually move any cells or change the selection; it just returns a reference. OFFSET can be used with any function expecting a reference argument. For example, the formula SUM(OFFSET(C2,1,2,3,1)) calculates the total value of a 3-row by 1-column range that is 1 row below and 2 columns to the right of cell C2.

Examples

OFFSET(C3,2,3,1,1) equals F5. If you enter this formula on a worksheet, Microsoft Excel displays the value contained in cell F5.

OFFSET(C3:E5,-1,0,3,3) equals C2:E4

OFFSET(C3:E5,0,-3,3,3) equals #REF!


ROW

See Also

Returns the row number of a reference.

Syntax

ROW(reference)

Reference is the cell or range of cells for which you want the row number.

  • If reference is omitted, it is assumed to be the reference of the cell in which the ROW function appears.

  • If reference is a range of cells, and if ROW is entered as a vertical array, ROW returns the row numbers of reference as a vertical array.

  • Reference cannot refer to multiple areas.

Examples

ROW(A3) equals 3

When entered as an array formula in three vertical cells:

ROW(A3:B5) equals {3;4;5}

If ROW is entered in C5, then:

ROW() equals ROW(C5) equals 5


ROWS

See Also

Returns the number of rows in a reference or array.

Syntax

ROWS(array)

Array is an array, an array formula, or a reference to a range of cells for which you want the number of rows.

Examples

ROWS(A1:C4) equals 4

ROWS({1,2,3;4,5,6}) equals 2


TRANSPOSE

See Also

Returns a vertical range of cells as a horizontal range, or vice versa. TRANSPOSE must be entered as an array formula in a range that has the same number of rows and columns, respectively, as array has columns and rows. Use TRANSPOSE to shift the vertical and horizontal orientation of an array on a worksheet. For example, some functions, such as LINEST, return horizontal arrays. LINEST returns a horizontal array of the slope and Y-intercept for a line. The following formula returns a vertical array of the slope and Y-intercept from LINEST:

TRANSPOSE(LINEST(Yvalues,Xvalues))

Syntax

TRANSPOSE(array)

Array is an array or range of cells on a worksheet that you want to transpose. The transpose of an array is created by using the first row of the array as the first column of the new array, the second row of the array as the second column of the new array, and so on.

Example

Suppose A1:C1 contain 1, 2, 3, respectively. When the following formula is entered as an array into cells A3:A5:

TRANSPOSE($A$1:$C$1) equals the same respective values in A3:A5


VLOOKUP

See Also

Searches for a value in the leftmost column of a table, and then returns a value in the same row from a column you specify in the table. Use VLOOKUP instead of HLOOKUP when your comparison values are located in a column to the left of the data you want to find.

Syntax

VLOOKUP(lookup_value,table_array,col_index_num,range_lookup)

Lookup_value is the value to be found in the first column of the array. Lookup_value can be a value, a reference, or a text string.

Table_array is the table of information in which data is looked up. Use a reference to a range or a range name, such as Database or List.

  • If range_lookup is TRUE, the values in the first column of table_array must be placed in ascending order: ..., -2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE; otherwise VLOOKUP may not give the correct value. If range_lookup is FALSE, table_array does not need to be sorted.

  • You can put the values in ascending order by choosing the Sort command from the Data menu and selecting Ascending.

  • The values in the first column of table_array can be text, numbers, or logical values.

  • Uppercase and lowercase text are equivalent.

Col_index_num is the column number in table_array from which the matching value must be returned. A col_index_num of 1 returns the value in the first column in table_array; a col_index_num of 2 returns the value in the second column in table_array, and so on. If col_index_num is less than 1, VLOOKUP returns the #VALUE! error value; if col_index_num is greater than the number of columns in table_array, VLOOKUP returns the #REF! error value.

Range_lookup is a logical value that specifies whether you want VLOOKUP to find an exact match or an approximate match. If TRUE or omitted, an approximate match is returned. In other words, if an exact match is not found, the next largest value that is less than lookup_value is returned. If FALSE, VLOOKUP will find an exact match. If one is not found, the error value #N/A is returned.

Remarks

  • If VLOOKUP can't find lookup_value, and range_lookup is TRUE, it uses the largest value that is less than or equal to lookup_value.

  • If lookup_value is smaller than the smallest value in the first column of table_array, VLOOKUP returns the #N/A error value.

  • If VLOOKUP can't find lookup_value, and range_lookup is FALSE, VLOOKUP returns the #N/A value.

Examples

On the preceding worksheet, where the range A4:C12 is named Range:

VLOOKUP(1,Range,1,TRUE) equals 0.946

VLOOKUP(1,Range,2) equals 2.17

VLOOKUP(1,Range,3,TRUE) equals 100

VLOOKUP(.746,Range,3,FALSE) equals 200

VLOOKUP(0.1,Range,2,TRUE) equals #N/A, because 0.1 is less than the smallest value in column A

VLOOKUP(2,Range,2,TRUE) equals 1.71


ABS

See Also

Returns the absolute value of a number. The absolute value of a number is the number without its sign.

Syntax

ABS(number)

Number is the real number of which you want the absolute value.

Examples

ABS(2) equals 2

ABS(-2) equals 2

If A1 contains -16, then:

SQRT(ABS(A1)) equals 4


ACOS

See Also

Returns the arccosine of a number. The arccosine is the angle whose cosine is number. The returned angle is given in radians in the range 0 (zero) to pi.

Syntax

ACOS(number)

Number is the cosine of the angle you want and must be from -1 to 1.

If you want to convert the result from radians to degrees, multiply it by 180/PI().

Examples

ACOS(-0.5) equals 2.094395 (2*pi/3 radians)

ACOS(-0.5)*180/PI() equals 120 (degrees)


ACOSH

See Also

Returns the inverse hyperbolic cosine of a number. Number must be greater than or equal to 1. The inverse hyperbolic cosine is the value whose hyperbolic cosine is number, so ACOSH(COSH(number)) equals number.

Syntax

ACOSH(number)

Number is any real number equal to or greater than 1.

Examples

ACOSH(1) equals 0

ACOSH(10) equals 2.993223


ASIN

See Also

Returns the arcsine of a number. The arcsine is the angle whose sine is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ASIN(number)

Number is the sine of the angle you want and must be from -1 to 1.

Remark

To express the arcsine in degrees, multiply the result by 180/PI( ).

Examples

ASIN(-0.5) equals -0.5236 (-pi/6 radians)

ASIN(-0.5)*180/PI() equals -30 (degrees)


ASINH

See Also

Returns the inverse hyperbolic sine of a number. The inverse hyperbolic sine is the value whose hyperbolic sine is number, so ASINH(SINH(number)) equals number.

Syntax

ASINH(number)

Number is any real number.

Examples

ASINH(-2.5) equals -1.64723

ASINH(10) equals 2.998223


ATAN

See Also

Returns the arctangent of a number. The arctangent is the angle whose tangent is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ATAN(number)

Number is the tangent of the angle you want.

Remark

To express the arctangent in degrees, multiply the result by 180/PI( ).

Examples

ATAN(1) equals 0.785398 (pi/4 radians)

ATAN(1)*180/PI() equals 45 (degrees)


ATAN2

See Also

Returns the arctangent of the specified x- and y-coordinates. The arctangent is the angle from the x-axis to a line containing the origin (0, 0) and a point with coordinates (x_num, y_num). The angle is given in radians between -pi and pi, excluding -pi.

Syntax

ATAN2(x_num,y_num)

X_num is the x-coordinate of the point.

Y_num is the y-coordinate of the point.

Remarks

  • A positive result represents a counterclockwise angle from the x-axis; a negative result represents a clockwise angle.

  • ATAN2(a,b) equals ATAN(b/a), except that a can equal 0 in ATAN2.

  • If both x_num and y_num are 0, ATAN2 returns the #DIV/0! error value.

  • To express the arctangent in degrees, multiply the result by 180/PI( ).

Examples

ATAN2(1, 1) equals 0.785398 (pi/4 radians)

ATAN2(-1, -1) equals -2.35619 (-3*pi/4 radians)

ATAN2(-1, -1)*180/PI() equals -135 (degrees)


ATANH

See Also

Returns the inverse hyperbolic tangent of a number. Number must be between -1 and 1 (excluding -1 and 1). The inverse hyperbolic tangent is the value whose hyperbolic tangent is number, so ATANH(TANH(number)) equals number.

Syntax

ATANH(number)

Number is any real number between 1 and -1.

Examples

ATANH(0.76159416) equals 1, approximately

ATANH(-0.1) equals -0.10034


CEILING

See Also

Returns number rounded up, away from zero, to the nearest multiple of significance. For example, if you want to avoid using pennies in your prices and your product is priced at $4.42, use the formula =CEILING(4.42,0.05) to round prices up to the nearest nickel.

Syntax

CEILING(number,significance)

Number is the value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, CEILING returns the #VALUE! error value.

  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.

  • If number and significance have different signs, CEILING returns the #NUM! error value.

Examples

CEILING(2.5, 1) equals 3

CEILING(-2.5, -2) equals -4

CEILING(-2.5, 2) equals #NUM!

CEILING(1.5, 0.1) equals 1.5

CEILING(0.234, 0.01) equals 0.24


COMBIN

See Also

Returns the number of combinations for a given number of items. Use COMBIN to determine the total possible number of groups for a given number of items.

Syntax

COMBIN(number,number_chosen)

Number is the number of items.

Number_chosen is the number of items in each combination.

Remarks

  • Numeric arguments are truncated to integers.

  • If either argument is nonnumeric, COMBIN returns the #NAME? error value.

  • If number < 0, number_chosen < 0, or number < number_chosen, COMBIN returns the #NUM! error value.

  • A combination is any set or subset of items, regardless of their internal order. Combinations are distinct from permutations, for which the internal order is significant.

  • The number of combinations is as follows, where number = n and number_chosen = k:

    where:

Example

Suppose you want to form a two-person team from eight candidates, and you want to know how many possible teams can be formed. COMBIN(8, 2) equals 28 teams.


COS

See Also

Returns the cosine of the given angle.

Syntax

COS(number)

Number is the angle in radians for which you want the cosine. If the angle is in degrees, multiply it by PI()/180 to convert it to radians.

Examples

COS(1.047) equals 0.500171

COS(60*PI()/180) equals 0.5, the cosine of 60 degrees


COSH

See Also

Returns the hyperbolic cosine of a number.

Syntax

COSH(number)

Number is any real number for which you want to find the hyperbolic cosine.

The formula for the hyperbolic cosine is:

Examples

COSH(4) equals 27.30823

COSH(EXP(1)) equals 7.610125, where EXP(1) is e, the base of the natural logarithm.


COUNTIF

See Also

Counts the number of cells within a range that meet the given criteria.

Syntax

COUNTIF(range,criteria)

Range is the range of cells from which you want to count cells.

Criteria is the criteria in the form of a number, expression, or text that defines which cells will be counted. For example, criteria can be expressed as 32, "32", ">32", "apples".

Remark

Microsoft Excel provides additional functions that can be used to analyze your data based on a condition. For example, to calculate a sum based on a string of text or a number within a range, use the SUMIF worksheet function. To have a formula return one of two values based on a condition, such as a sales bonus based on a specified sales amount, use the IF worksheet function. Learn about calculating a value based on a condition.

Examples

Suppose A3:A6 contain "apples", "oranges", "peaches", "apples", respectively:

COUNTIF(A3:A6,"apples") equals 2

Suppose B3:B6 contain 32, 54, 75, 86, respectively:

COUNTIF(B3:B6,">55") equals 2


DEGREES

See Also

Converts radians into degrees.

Syntax

DEGREES(angle)

Angle is the angle in radians that you want to convert.

Example

DEGREES(PI()) equals 180


EVEN

See Also

Returns number rounded up to the nearest even integer. You can use this function for processing items that come in twos. For example, a packing crate accepts rows of one or two items. The crate is full when the number of items, rounded up to the nearest two, matches the crate's capacity.

Syntax

EVEN(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, EVEN returns the #VALUE! error value.

  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an even integer, no rounding occurs.

Examples

EVEN(1.5) equals 2

EVEN(3) equals 4

EVEN(2) equals 2

EVEN(-1) equals -2


EXP

See Also

Returns e raised to the power of number. The constant e equals 2.71828182845904, the base of the natural logarithm.

Syntax

EXP(number)

Number is the exponent applied to the base e.

Remarks

  • To calculate powers of other bases, use the exponentiation operator (^).

  • EXP is the inverse of LN, the natural logarithm of number.

Examples

EXP(1) equals 2.718282 (the approximate value of e)

EXP(2) equals e2, or 7.389056

EXP(LN(3)) equals 3


FACT

See Also

Returns the factorial of a number. The factorial of a number is equal to 1*2*3*...* number.

Syntax

FACT(number)

Number is the nonnegative number you want the factorial of. If number is not an integer, it is truncated.

Examples

FACT(1) equals 1

FACT(1.9) equals FACT(1) equals 1

FACT(0) equals 1

FACT(-1) equals #NUM!

FACT(5) equals 1*2*3*4*5 equals 120


FACTDOUBLE

See Also

Returns the double factorial of a number.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

FACTDOUBLE(number)

Number is the value for which to return the double factorial. If number is not an integer, it is truncated.

Remarks

  • If number is nonnumeric, FACTDOUBLE returns the #VALUE! error value.

  • If number is negative, FACTDOUBLE returns the #NUM! error value.

  • If number is even:

  • If number is odd:

Examples

FACTDOUBLE(6) equals 48

FACTDOUBLE(7) equals 105


FLOOR

See Also

Rounds number down, toward zero, to the nearest multiple of significance.

Syntax

FLOOR(number,significance)

Number is the numeric value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, FLOOR returns the #VALUE! error value.

  • If number and significance have different signs, FLOOR returns the #NUM! error value.

  • Regardless of the sign of number, a value is rounded down when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.

Examples

FLOOR(2.5, 1) equals 2

FLOOR(-2.5, -2) equals -2

FLOOR(-2.5, 2) equals #NUM!

FLOOR(1.5, 0.1) equals 1.5

FLOOR(0.234, 0.01) equals 0.23


GCD

See Also

Returns the greatest common divisor of two or more integers. The greatest common divisor is the largest integer that divides both number1 and number2 without a remainder.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

GCD(number1,number2, ...)

Number1, number2, ... are 1 to 29 values. If any value is not an integer, it is truncated.

Remarks

  • If any argument is nonnumeric, GCD returns the #VALUE! error value.

  • If any argument is less than zero, GCD returns the #NUM! error value.

  • One divides any value evenly.

  • A prime number has only itself and one as even divisors.

Examples

GCD(5, 2) equals 1

GCD(24, 36) equals 12

GCD(7, 1) equals 1

GCD(5, 0) equals 5


INT

See Also

Rounds a number down to the nearest integer.

Syntax

INT(number)

Number is the real number you want to round down to an integer.

Examples

INT(8.9) equals 8

INT(-8.9) equals -9

The following formula returns the decimal part of a positive real number in cell A1:

A1-INT(A1)


LCM

See Also

Returns the least common multiple of integers. The least common multiple is the smallest positive integer that is a multiple of all integer arguments number1, number2, and so on. Use LCM to add fractions with different denominators.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

LCM(number1,number2, ...)

Number1, number2,... are 1 to 29 values for which you want the least common multiple. If value is not an integer, it is truncated.

Remarks

  • If any argument is nonnumeric, LCM returns the #VALUE! error value.

  • If any argument is less than one, LCM returns the #NUM! error value.

Examples

LCM(5, 2) equals 10

LCM(24, 36) equals 72


LN

See Also

Returns the natural logarithm of a number. Natural logarithms are based on the constant e (2.71828182845904).

Syntax

LN(number)

Number is the positive real number for which you want the natural logarithm.

Remarks

LN is the inverse of the EXP function.

Examples

LN(86) equals 4.454347

LN(2.7182818) equals 1

LN(EXP(3)) equals 3

EXP(LN(4)) equals 4


LOG

See Also

Returns the logarithm of a number to the base you specify.

Syntax

LOG(number,base)

Number is the positive real number for which you want the logarithm.

Base is the base of the logarithm. If base is omitted, it is assumed to be 10.

Examples

LOG(10) equals 1

LOG(8, 2) equals 3

LOG(86, 2.7182818) equals 4.454347


LOG10

See Also

Returns the base-10 logarithm of a number.

Syntax

LOG10(number)

Number is the positive real number for which you want the base-10 logarithm.

Examples

LOG10(86) equals 1.934498451

LOG10(10) equals 1

LOG10(1E5) equals 5

LOG10(10^5) equals 5


MDETERM

See Also

Returns the matrix determinant of an array.

Syntax

MDETERM(array)

Array is a numeric array with an equal number of rows and columns.

  • Array can be given as a cell range, for example, A1:C3; as an array constant, such as {1,2,3;4,5,6;7,8,9}; or as a name to either of these.

  • If any cells in array are empty or contain text, MDETERM returns the #VALUE! error value.

  • MDETERM also returns #VALUE! if array does not have an equal number of rows and columns.

Remarks

  • The matrix determinant is a number derived from the values in array. For a three-row, three-column array, A1:C3, the determinant is defined as:

    MDETERM(A1:C3) equals
    A1*(B2*C3-B3*C2) + A2*(B3*C1-B1*C3) + A3*(B1*C2-B2*C1)

  • Matrix determinants are generally used for solving systems of mathematical equations that involve several variables.

  • MDETERM is calculated with an accuracy of approximately 16 digits, which may lead to a small numeric error when the calculation is not complete. For example, the determinant of a singular matrix may differ from zero by 1E-16.

Examples

MDETERM({1,3,8,5;1,3,6,1;1,1,1,0;7,3,10,2}) equals 88

MDETERM({3,6,1;1,1,0;3,10,2}) equals 1

MDETERM({3,6;1,1}) equals -3

MDETERM({1,3,8,5;1,3,6,1}) equals #VALUE! because the array does not have an equal number of rows and columns.


MINVERSE

See Also

Returns the inverse matrix for the matrix stored in an array.

Syntax

MINVERSE(array)

Array is a numeric array with an equal number of rows and columns.

  • Array can be given as a cell range, such as A1:C3; as an array constant, such as {1,2,3;4,5,6;7,8,9}; or as a name for either of these.

  • If any cells in array are empty or contain text, MINVERSE returns the #VALUE! error value.

  • MINVERSE also returns the #VALUE! error value if array does not have an equal number of rows and columns.

Remarks

  • Formulas that return arrays must be entered as array formulas.

  • Inverse matrices, like determinants, are generally used for solving systems of mathematical equations involving several variables. The product of a matrix and its inverse is the identity matrix — the square array in which the diagonal values equal 1, and all other values equal 0.

  • As an example of how a two-row, two-column matrix is calculated, suppose that the range A1:B2 contains the letters a, b, c, and d that represent any four numbers. The following table shows the inverse of the matrix A1:B2.
    Column A | Column B
    Row 1 | d/(a*d-b*c) | b/(b*c-a*d)
    Row 2 | c/(b*c-a*d) | a/(a*d-b*c)

  • MINVERSE is calculated with an accuracy of approximately 16 digits, which may lead to a small numeric error when the cancellation is not complete.

  • Some square matrices cannot be inverted and will return the #NUM! error value with MINVERSE. The determinant for a noninvertable matrix is 0.

Examples

MINVERSE({4,-1;2,0}) equals {0,0.5;-1,2}

MINVERSE({1,2,1;3,4,-1;0,2,0}) equals {0.25,0.25,-0.75;0,0,0.5;0.75,-0.25,-0.25}

Tip Use the INDEX function to access individual elements from the inverse matrix.


MMULT

See Also

Returns the matrix product of two arrays. The result is an array with the same number of rows as array1 and the same number of columns as array2.

Syntax

MMULT(array1,array2)

Array1, array2 are the arrays you want to multiply.

  • The number of columns in array1 must be the same as the number of rows in array2, and both arrays must contain only numbers.

  • Array1 and array2 can be given as cell ranges, array constants, or references.

  • If any cells are empty or contain text, or if the number of columns in array1 is different from the number of rows in array2, MMULT returns the #VALUE! error value.

Remarks

  • The matrix product array a of two arrays b and c is:

    where i is the row number, and j is the column number.

  • Formulas that return arrays must be entered as array formulas.

Examples

MMULT({1,3;7,2}, {2,0;0,2}) equals {2,6;14,4}

MMULT({3,0;2,0}, {2,0;0,2}) equals {6,0;4,0}

MMULT({1,3,0;7,2,0;1,0,0}, {2,0;0,2}) equals #VALUE!, because the first array has three columns, and the second array has only two rows.


MOD

See Also

Returns the remainder after number is divided by divisor. The result has the same sign as divisor.

Syntax

MOD(number,divisor)

Number is the number for which you want to find the remainder.

Divisor is the number by which you want to divide number. If divisor is 0, MOD returns the #DIV/0! error value.

Remarks

The MOD function can be expressed in terms of the INT function:

MOD(n, d) = n - d*INT(n/d)

Examples

MOD(3, 2) equals 1

MOD(-3, 2) equals 1

MOD(3, -2) equals -1

MOD(-3, -2) equals -1


MROUND

See Also

Returns a number rounded to the desired multiple.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

MROUND(number,multiple)

Number is the value to round.

Multiple is the multiple to which you want to round number.

Remarks

MROUND rounds up, away from zero, if the remainder of dividing number by multiple is greater than or equal to half the value of multiple.

Examples

MROUND(10, 3) equals 9

MROUND(-10, -3) equals -9

MROUND(1.3, 0.2) equals 1.4

MROUND(5, -2) equals #NUM!


MULTINOMIAL

See Also

Returns the ratio of the factorial of a sum of values to the product of factorials.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

MULTINOMIAL(number1,number2, ...)

Number1,number2, ... are 1 to 29 values for which you want the multinomial.

Remarks

  • If any argument is nonnumeric, MULTINOMIAL returns the #VALUE! error value.

  • If any argument is less than one, MULTINOMIAL returns the #NUM! error value.

  • The multinomial is:

Example

MULTINOMIAL(2, 3, 4) equals 1260


ODD

See Also

Returns number rounded up to the nearest odd integer.

Syntax

ODD(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, ODD returns the #VALUE! error value.

  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an odd integer, no rounding occurs.

Examples

ODD(1.5) equals 3

ODD(3) equals 3

ODD(2) equals 3

ODD(-1) equals -1

ODD(-2) equals -3


PI

See Also

Returns the number 3.14159265358979, the mathematical constant pi, accurate to 15 digits.

Syntax

PI( )

Examples

PI()/2 equals 1.57079...

SIN(PI()/2) equals 1

If the radius of a circle is stored in a cell named Radius, the following formula calculates the area of the circle:

PI()*(Radius^2)


POWER

See Also

Returns the result of a number raised to a power.

Syntax

POWER(number,power)

Number is the base number. It can be any real number.

Power is the exponent to which the base number is raised.

Remark

The "^" operator can be used instead of POWER to indicate to what power the base number is to be raised, such as in 5^2.

Examples

POWER(5,2) equals 25

POWER(98.6,3.2) equals 2401077

POWER(4,5/4) equals 5.656854


PRODUCT

See Also

Multiplies all the numbers given as arguments and returns the product.

Syntax

PRODUCT(number1,number2, ...)

Number1, number2, ... are 1 to 30 numbers that you want to multiply.

Remarks

  • Arguments that are numbers, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers cause errors.

  • If an argument is an array or reference, only numbers in the array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored.

Examples

If cells A2:C2 contain 5, 15, and 30:

PRODUCT(A2:C2) equals 2,250

PRODUCT(A2:C2, 2) equals 4,500


QUOTIENT

See Also

Returns the integer portion of a division. Use this function when you want to discard the remainder of a division.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

QUOTIENT(numerator,denominator)

Numerator is the dividend.

Denominator is the divisor.

Remark

If either argument is nonnumeric, QUOTIENT returns the #VALUE! error value.

Examples

QUOTIENT(5, 2) equals 2

QUOTIENT(4.5, 3.1) equals 1

QUOTIENT(-10, 3) equals -3


RADIANS

See Also

Converts degrees to radians.

Syntax

RADIANS(angle)

Angle is an angle in degrees that you want to convert.

Example

RADIANS(270) equals 4.712389 (3π/2 radians)


RAND

See Also

Returns an evenly distributed random number greater than or equal to 0 and less than 1. A new random number is returned every time the worksheet is calculated.

Syntax

RAND( )

Remarks

  • To generate a random real number between a and b, use:

    RAND()*(b-a)+a

  • If you want to use RAND to generate a random number but don't want the numbers to change every time the cell is calculated, you can enter =RAND() in the formula bar, and then press F9 to change the formula to a random number.

Examples

To generate a random number greater than or equal to 0 but less than 100:

RAND()*100


RANDBETWEEN

See Also

Returns a random number between the numbers you specify. A new random number is returned every time the worksheet is calculated.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

RANDBETWEEN(bottom,top)

Bottom is the smallest integer RANDBETWEEN will return.

Top is the largest integer RANDBETWEEN will return.


ROMAN

See Also

Converts an arabic numeral to roman, as text.

Syntax

ROMAN(number,form)

Number is the arabic numeral you want converted.

Form is a number specifying the type of roman numeral you want. The roman numeral style ranges from Classic to Simplified, becoming more concise as the value of form increases. See the example following ROMAN(499,0) below.

Form | Type
0 or omitted | Classic.
1 | More concise. See example below.
2 | More concise. See example below.
3 | More concise. See example below.
4 | Simplified.
TRUE | Classic.
FALSE | Simplified.

Remarks

  • If number is negative, the #VALUE! error value is returned.

  • If number is greater than 3999, the #VALUE! error value is returned.

Examples

ROMAN(499,0) equals "CDXCIX"

ROMAN(499,1) equals "LDVLIV"

ROMAN(499,2) equals "XDIX"

ROMAN(499,3) equals "VDIV"

ROMAN(499,4) equals "ID"

ROMAN(1993,0) equals "MCMXCIII"


ROUND

See Also

Rounds a number to a specified number of digits.

Syntax

ROUND(number,num_digits)

Number is the number you want to round.

Num_digits specifies the number of digits to which you want to round number.

  • If num_digits is greater than 0 (zero), then number is rounded to the specified number of decimal places.

  • If num_digits is 0, then number is rounded to the nearest integer.

  • If num_digits is less than 0, then number is rounded to the left of the decimal point.

Examples

ROUND(2.15, 1) equals 2.2

ROUND(2.149, 1) equals 2.1

ROUND(-1.475, 2) equals -1.48

ROUND(21.5, -1) equals 20


ROUNDDOWN

See Also

Rounds a number down, toward zero.

Syntax

ROUNDDOWN(number,num_digits)

Number is any real number that you want rounded down.

Num_digits is the number of digits to which you want to round number.

Remarks

  • ROUNDDOWN behaves like ROUND, except that it always rounds a number down.

  • If num_digits is greater than 0 (zero), then number is rounded down to the specified number of decimal places.

  • If num_digits is 0 or omitted, then number is rounded down to the nearest integer.

  • If num_digits is less than 0, then number is rounded down to the left of the decimal point.

Examples

ROUNDDOWN(3.2, 0) equals 3

ROUNDDOWN(76.9,0) equals 76

ROUNDDOWN(3.14159, 3) equals 3.141

ROUNDDOWN(-3.14159, 1) equals -3.1

ROUNDDOWN(31415.92654, -2) equals 31,400


ROUNDUP

See Also

Rounds a number up, away from 0 (zero).

Syntax

ROUNDUP(number,num_digits)

Number is any real number that you want rounded up.

Num_digits is the number of digits to which you want to round number.

Remarks

  • ROUNDUP behaves like ROUND, except that it always rounds a number up.

  • If num_digits is greater than 0 (zero), then number is rounded up to the specified number of decimal places.

  • If num_digits is 0 or omitted, then number is rounded up to the nearest integer.

  • If num_digits is less than 0, then number is rounded up to the left of the decimal point.

Examples

ROUNDUP(3.2,0) equals 4

ROUNDUP(76.9,0) equals 77

ROUNDUP(3.14159, 3) equals 3.142

ROUNDUP(-3.14159, 1) equals -3.2

ROUNDUP(31415.92654, -2) equals 31,500


SERIESSUM

See Also

Returns the sum of a power series based on the formula:

Many functions can be approximated by a power series expansion.

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

SERIESSUM(x,n,m,coefficients)

X is the input value to the power series.

N is the initial power to which you want to raise x.

M is the step by which to increase n for each term in the series.

Coefficients is a set of coefficients by which each successive power of x is multiplied. The number of values in coefficients determines the number of terms in the power series. For example, if there are three values in coefficients, then there will be three terms in the power series.

Remark

If any argument is nonnumeric, SERIESSUM returns the #VALUE! error value.

Example

Given that cell A1 contains the formula =PI()/4, and cells E1:E4 contain the following set of values for coefficients (calculated using the FACT function):

The following formula returns an approximation to the cosine of Pi/4 radians (45 degrees):

SERIESSUM(A1,0,2,E1:E4) equals 0.707103.


SIGN

See Also

Determines the sign of a number. Returns 1 if the number is positive, zero (0) if the number is 0, and -1 if the number is negative.

Syntax

SIGN(number)

Number is any real number.

Examples

SIGN(10) equals 1

SIGN(4-4) equals 0

SIGN(-0.00001) equals -1


SIN

See Also

Returns the sine of the given angle.

Syntax

SIN(number)

Number is the angle in radians for which you want the sine. If your argument is in degrees, multiply it by PI()/180 to convert it to radians.

Examples

SIN(PI()) equals 1.22E-16, which is approximately 0 (zero). The sine of pi is zero.

SIN(PI()/2) equals 1

SIN(30*PI()/180) equals 0.5, the sine of 30 degrees


SINH

See Also

Returns the hyperbolic sine of a number.

Syntax

SINH(number)

Number is any real number.

The formula for the hyperbolic sine is:

Examples

SINH(1) equals 1.175201194

SINH(-1) equals -1.175201194

You can use the hyperbolic sine function to approximate a cumulative probability distribution. Suppose a laboratory test value varies between 0 and 10 seconds. An empirical analysis of the collected history of experiments shows that the probability of obtaining a result, x, of less than t seconds is approximated by the following equation:

P(x<t) = 2.868 * SINH(0.0342 * t), where 0<t<10

To calculate the probability of obtaining a result of less than 1.03 seconds, substitute 1.03 for t:

2.868*SINH(0.0342*1.03) equals 0.101049063

You can expect this result to occur about 101 times for every 1000 experiments.


SQRT

See Also

Returns a positive square root.

Syntax

SQRT(number)

Number is the number for which you want the square root. If number is negative, SQRT returns the #NUM! error value.

Examples

SQRT(16) equals 4

SQRT(-16) equals #NUM!

SQRT(ABS(-16)) equals 4


SQRTPI

See Also

Returns the square root of (number * pi).

If this function is not available, run the Setup program to install the Analysis ToolPak. After you install the Analysis ToolPak, you must enable it by using the Add-Ins command on the Tools menu.

How?

Syntax

SQRTPI(number)

Number is the number by which pi is multiplied.

Remark

If number < 0, SQRTPI returns the #NUM! error value.

Examples

SQRTPI(1) equals 1.772454

SQRTPI(2) equals 2.506628


SUBTOTAL

See Also

Returns a subtotal in a list or database. It is generally easier to create a list with subtotals using the Subtotals command (Data menu). Once the subtotal list is created, you can modify it by editing the SUBTOTAL function.

Syntax

SUBTOTAL(function_num,ref1,ref2,...)

Function_num is the number 1 to 11 that specifies which function to use in calculating subtotals within a list.

Function_Num | Function
1 | AVERAGE
2 | COUNT
3 | COUNTA
4 | MAX
5 | MIN
6 | PRODUCT
7 | STDEV
8 | STDEVP
9 | SUM
10 | VAR
11 | VARP

Ref1, ref2, are 1 to 29 ranges or references for which you want the subtotal.

Remarks

  • If there are other subtotals within ref1, ref2,… (or nested subtotals), these nested subtotals are ignored to avoid double counting.

  • SUBTOTAL will ignore any hidden rows that result from a list being filtered. This is important when you want to subtotal only the visible data that results from a list that you have filtered.

  • If any of the references are 3-D references, SUBTOTAL returns the #VALUE! error value.

Example

SUBTOTAL(9,C3:C5) will generate a subtotal of the cells C3:C5 using the SUM function


SUM

See Also

Adds all the numbers in a range of cells.

Syntax

SUM(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want the total value or sum.

  • Numbers, logical values, and text representations of numbers that you type directly into the list of arguments are counted. See the first and second examples following.

  • If an argument is an array or reference, only numbers in that array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored. See the third example following.

  • Arguments that are error values or text that cannot be translated into numbers cause errors.

Examples

SUM(3, 2) equals 5

SUM("3", 2, TRUE) equals 6 because the text values are translated into numbers, and the logical value TRUE is translated into the number 1.

Unlike the previous example, if A1 contains "3" and B1 contains TRUE, then:

SUM(A1, B1, 2) equals 2 because references to nonnumeric values in references are not translated.

If cells A2:E2 contain 5, 15, 30, 40, and 50:

SUM(A2:C2) equals 50

SUM(B2:E2, 15) equals 150


SUMIF

See Also

Adds the cells specified by a given criteria.

Syntax

SUMIF(range,criteria,sum_range)

Range is the range of cells you want evaluated.

Criteria is the criteria in the form of a number, expression, or text that defines which cells will be added. For example, criteria can be expressed as 32, "32", ">32", "apples".

Sum_range are the actual cells to sum. The cells in sum_range are summed only if their corresponding cells in range match the criteria. If sum_range is omitted, the cells in range are summed.

Remark

Microsoft Excel provides additional functions that can be used to analyze your data based on a condition. For example, to count the number of occurrences of a string of text or a number within a range of cells, use the COUNTIF function. To have a formula return one of two values based on a condition, such as a sales bonus based on a specified sales amount, use the IF worksheet function. Learn about calculating a value based on a condition.

Example

Suppose A1:A4 contain the following property values for four homes: $100,000, $200,000, $300,000, $400,000, respectively. B1:B4 contain the following sales commissions on each of the corresponding property values: $7,000, $14,000, $21,000, $28,000.

SUMIF(A1:A4,">160000",B1:B4) equals $63,000


SUMPRODUCT

See Also

Multiplies corresponding components in the given arrays, and returns the sum of those products.

Syntax

SUMPRODUCT(array1,array2,array3, ...)

Array1, array2, array3, ... are 2 to 30 arrays whose components you want to multiply and then add.

  • The array arguments must have the same dimensions. If they do not, SUMPRODUCT returns the #VALUE! error value.

  • SUMPRODUCT treats array entries that are not numeric as if they were zeros.

Example

The following formula multiplies all the components of the two arrays on the preceding worksheet and then adds the products — that is, 3*2 + 4*7 + 8*6 + 6*7 + 1*5 + 9*3.

SUMPRODUCT({3,4;8,6;1,9}, {2,7;6,7;5,3}) equals 156

Remark

The preceding example returns the same result as the formula SUM(A1:B3*D1:E3) entered as an array. Using arrays provides a more general solution for doing operations similar to SUMPRODUCT. For example, you can calculate the sum of the squares of the elements in A1:B3 by using the formula SUM(A1:B3^2) entered as an array.


SUMSQ

See Also

Returns the sum of the squares of the arguments.

Syntax

SUMSQ(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want the sum of the squares. You can also use a single array or a reference to an array instead of arguments separated by commas.

Example

SUMSQ(3, 4) equals 25


SUMX2MY2

See Also

Returns the sum of the difference of squares of corresponding values in two arrays.

Syntax

SUMX2MY2(array_x,array_y)

Array_x is the first array or range of values.

Array_y is the second array or range of values.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If array_x and array_y have a different number of values, SUMX2MY2 returns the #N/A error value.

  • The equation for the sum of the difference of squares is:

Example

SUMX2MY2({2, 3, 9, 1, 8, 7, 5}, {6, 5, 11, 7, 5, 4, 4}) equals -55


SUMX2PY2

See Also

Returns the sum of the sum of squares of corresponding values in two arrays. The sum of the sum of squares is a common term in many statistical calculations.

Syntax

SUMX2PY2(array_x,array_y)

Array_x is the first array or range of values.

Array_y is the second array or range of values.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If array_x and array_y have a different number of values, SUMX2PY2 returns the #N/A error value.

  • The equation for the sum of the sum of squares is:

Example

SUMX2PY2({2, 3, 9, 1, 8, 7, 5}, {6, 5, 11, 7, 5, 4, 4}) equals 521


SUMXMY2

See Also

Returns the sum of squares of differences of corresponding values in two arrays.

Syntax

SUMXMY2(array_x,array_y)

Array_x is the first array or range of values.

Array_y is the second array or range of values.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If array_x and array_y have a different number of values, SUMXMY2 returns the #N/A error value.

  • The equation for the sum of squared differences is:

Example

SUMXMY2({2, 3, 9, 1, 8, 7, 5}, {6, 5, 11, 7, 5, 4, 4}) equals 79


TAN

See Also

Returns the tangent of the given angle.

Syntax

TAN(number)

Number is the angle in radians for which you want the tangent. If your argument is in degrees, multiply it by PI()/180 to convert it to radians.

Examples

TAN(0.785) equals 0.99920

TAN(45*PI()/180) equals 1


TANH

See Also

Returns the hyperbolic tangent of a number.

Syntax

TANH(number)

Number is any real number

The formula for the hyperbolic tangent is:

Examples

TANH(-2) equals -0.96403

TANH(0) equals 0 (zero)

TANH(0.5) equals 0.462117


TRUNC

See Also

Truncates a number to an integer by removing the fractional part of the number.

Syntax

TRUNC(number,num_digits)

Number is the number you want to truncate.

Num_digits is a number specifying the precision of the truncation. The default value for num_digits is 0 (zero).

Remark

TRUNC and INT are similar in that both return integers. TRUNC removes the fractional part of the number. INT rounds numbers down to the nearest integer based on the value of the fractional part of the number. INT and TRUNC are different only when using negative numbers: TRUNC(-4.3) returns -4, but INT(-4.3) returns -5 because -5 is the lower number.

Examples

TRUNC(8.9) equals 8

TRUNC(-8.9) equals -8

TRUNC(PI()) equals 3


AVEDEV

See Also

Returns the average of the absolute deviations of data points from their mean. AVEDEV is a measure of the variability in a data set.

Syntax

AVEDEV(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want the average of the absolute deviations. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • The equation for average deviation is:

    AVEDEV is influenced by the unit of measurement in the input data.

Example

AVEDEV(4, 5, 6, 7, 5, 4, 3) equals 1.020408


AVERAGE

See Also

Returns the average (arithmetic mean) of the arguments.

Syntax

AVERAGE(number1,number2, ...)

Number1, number2, ... are 1 to 30 numeric arguments for which you want the average.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

Tip When averaging cells, keep in mind the difference between empty cells and those containing the value zero, especially if you have cleared the Zero values check box on the View tab (Options command, Tools menu). Empty cells are not counted, but zero values are.

Examples

If A1:A5 is named Scores and contains the numbers 10, 7, 9, 27, and 2, then:

AVERAGE(A1:A5) equals 11

AVERAGE(Scores) equals 11

AVERAGE(A1:A5, 5) equals 10

AVERAGE(A1:A5) equals SUM(A1:A5)/COUNT(A1:A5) equals 11

If C1:C3 is named OtherScores and contains the numbers 4, 18, and 7, then:

AVERAGE(Scores, OtherScores) equals 10.5


AVERAGEA

See Also

Calculates the average (arithmetic mean) of the values in the list of arguments. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

AVERAGEA(value1,value2,...)

Value1, value2,... are 1 to 30 cells, ranges of cells, or values for which you want the average.

Remarks

  • The arguments must be numbers, names, arrays, or references.

  • Array or reference arguments that contain text evaluate as 0 (zero). Empty text ("") evaluates as 0 (zero). If the calculation must not include text values in the average, use the AVERAGE function.

  • Arguments that contain TRUE evaluate as 1; arguments that contain FALSE evaluate as 0 (zero).

Tip When averaging cells, keep in mind the difference between empty cells and those containing the value zero, especially if you have cleared the Zero values check box on the View tab (Options command, Tools menu). Empty cells are not counted, but zero values are.

Examples

If A1:A5 is named Scores and contains the values 10, 7, 9, 2, and "Not available", then:

AVERAGEA(A1:A5) equals 5.6

AVERAGEA(Scores) equals 5.6

AVERAGEA(A1:A5) equals SUM(A1:A5)/COUNTA(A1:A5) equals 5.6

If A1:A4 contains the values 10, 7, 9, and 2, and A5 is empty, then:

AVERAGEA(A1:A5) equals 7


BETADIST

See Also

Returns the cumulative beta probability density function. The cumulative beta probability density function is commonly used to study variation in the percentage of something across samples, such as the fraction of the day people spend watching television.

Syntax

BETADIST(x,alpha,beta,A,B)

X is the value between A and B at which to evaluate the function.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETADIST returns the #VALUE! error value.

  • If alpha ≤ 0 or beta ≤ 0, BETADIST returns the #NUM! error value.

  • If x < A, x > B, or A = B, BETADIST returns the #NUM! error value.

  • If you omit values for A and B, BETADIST uses the standard cumulative beta distribution, so that A = 0 and B = 1.

Example

BETADIST(2,8,10,1,3) equals 0.685470581


BETAINV

See Also

Returns the inverse of the cumulative beta probability density function. That is, if probability = BETADIST(x,...), then BETAINV(probability,...) = x. The cumulative beta distribution can be used in project planning to model probable completion times given an expected completion time and variability.

Syntax

BETAINV(probability,alpha,beta,A,B)

Probability is a probability associated with the beta distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETAINV returns the #VALUE! error value.

  • If alpha ≤ 0 or beta ≤ 0, BETAINV returns the #NUM! error value.

  • If probability ≤ 0 or probability > 1, BETAINV returns the #NUM! error value.

  • If you omit values for A and B, BETAINV uses the standard cumulative beta distribution, so that A = 0 and B = 1.

  • BETAINV uses an iterative technique for calculating the function. Given a probability value, BETAINV iterates until the result is accurate to within ±3x10-7. If BETAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

BETAINV(0.685470581,8,10,1,3) equals 2


BINOMDIST

See Also

Returns the individual term binomial distribution probability. Use BINOMDIST in problems with a fixed number of tests or trials, when the outcomes of any trial are only success or failure, when trials are independent, and when the probability of success is constant throughout the experiment. For example, BINOMDIST can calculate the probability that two of the next three babies born are male.

Syntax

BINOMDIST(number_s,trials,probability_s,cumulative)

Number_s is the number of successes in trials.

Trials is the number of independent trials.

Probability_s is the probability of success on each trial.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, then BINOMDIST returns the cumulative distribution function, which is the probability that there are at most number_s successes; if FALSE, it returns the probability mass function, which is the probability that there are number_s successes.

Remarks

  • Number_s and trials are truncated to integers.

  • If number_s, trials, or probability_s is nonnumeric, BINOMDIST returns the #VALUE! error value.

  • If number_s < 0 or number_s > trials, BINOMDIST returns the #NUM! error value.

  • If probability_s < 0 or probability_s > 1, BINOMDIST returns the #NUM! error value.

  • The binomial probability mass function is:

    where:

    is COMBIN(n,x).

    The cumulative binomial distribution is:

Example

The flip of a coin can only result in heads or tails. The probability of the first flip being heads is 0.5, and the probability of exactly 6 of 10 flips being heads is:

BINOMDIST(6,10,0.5,FALSE) equals 0.205078


CHIDIST

See Also

Returns the one-tailed probability of the chi-squared distribution. The γ2 distribution is associated with a γ2 test. Use the γ2 test to compare observed and expected values. For example, a genetic experiment might hypothesize that the next generation of plants will exhibit a certain set of colors. By comparing the observed results with the expected ones, you can decide whether your original hypothesis is valid.

Syntax

CHIDIST(x,degrees_freedom)

X is the value at which you want to evaluate the distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIDIST returns the #VALUE! error value.

  • If x is negative, CHIDIST returns the #NUM! error value.

  • If degrees_freedom is not an integer, it is truncated.

  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIDIST returns the #NUM! error value.

  • CHIDIST is calculated as CHIDIST = P(X>x), where X is a γ2 random variable.

Example

CHIDIST(18.307,10) equals 0.050001


CHIINV

See Also

Returns the inverse of the one-tailed probability of the chi-squared distribution. If probability = CHIDIST(x,...), then CHIINV(probability,...) = x. Use this function to compare observed results with expected ones to decide whether your original hypothesis is valid.

Syntax

CHIINV(probability,degrees_freedom)

Probability is a probability associated with the chi-squared distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIINV returns the #VALUE! error value.

  • If probability < 0 or probability > 1, CHIINV returns the #NUM! error value.

  • If degrees_freedom is not an integer, it is truncated.

  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIINV returns the #NUM! error value.

CHIINV uses an iterative technique for calculating the function. Given a probability value, CHIINV iterates until the result is accurate to within ± 3x10^-7. If CHIINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

CHIINV(0.05,10) equals 18.30703


CHITEST

See Also

Returns the test for independence. CHITEST returns the value from the chi-squared (γ2) distribution for the statistic and the appropriate degrees of freedom. You can use γ2 tests to determine whether hypothesized results are verified by an experiment.

Syntax

CHITEST(actual_range,expected_range)

Actual_range is the range of data that contains observations to test against expected values.

Expected_range is the range of data that contains the ratio of the product of row totals and column totals to the grand total.

Remarks

  • If actual_range and expected_range have a different number of data points, CHITEST returns the #N/A error value.

  • The γ2 test first calculates a γ2 statistic and then sums the differences of actual values from the expected values. The equation for this function is CHITEST=p( X>γ2 ), where:

    and where:

    Aij = actual frequency in the i-th row, j-th column

    Eij = expected frequency in the i-th row, j-th column

    r = number or rows

    c = number of columns

    CHITEST returns the probability for a γ2 statistic and degrees of freedom, df, where df = (r - 1)(c - 1).

Example

The γ2 statistic for the data above is 16.16957 with 2 degrees of freedom.

CHITEST(B3:C5,B9:C11) equals 0.000308


CONFIDENCE

See Also

Returns the confidence interval for a population mean. The confidence interval is a range on either side of a sample mean. For example, if you order a product through the mail, you can determine, with a particular level of confidence, the earliest and latest the product will arrive.

Syntax

CONFIDENCE(alpha,standard_dev,size)

Alpha is the significance level used to compute the confidence level. The confidence level equals 100*(1 - alpha)%, or in other words, an alpha of 0.05 indicates a 95 percent confidence level.

Standard_dev is the population standard deviation for the data range and is assumed to be known.

Size is the sample size.

Remarks

  • If any argument is nonnumeric, CONFIDENCE returns the #VALUE! error value.

  • If alpha ≤ 0 or alpha ≥ 1, CONFIDENCE returns the #NUM! error value.

  • If standard_dev ≤ 0, CONFIDENCE returns the #NUM! error value.

  • If size is not an integer, it is truncated.

  • If size < 1, CONFIDENCE returns the #NUM! error value.

  • If we assume alpha equals 0.05, we need to calculate the area under the standard normal curve that equals (1 - alpha), or 95 percent. This value is ± 1.96. The confidence interval is therefore:

Example

Suppose we observe that, in our sample of 50 commuters, the average length of travel to work is 30 minutes with a population standard deviation of 2.5. We can be 95 percent confident that the population mean is in the interval:

or:

CONFIDENCE(0.05,2.5,50) equals 0.692951. In other words, the average length of travel to work equals 30 ± 0.692951 minutes, or 29.3 to 30.7 minutes.


CORREL

See Also

Returns the correlation coefficient of the array1 and array2 cell ranges. Use the correlation coefficient to determine the relationship between two properties. For example, you can examine the relationship between a location's average temperature and the use of air conditioners.

Syntax

CORREL(array1,array2)

Array1 is a cell range of values.

Array2 is a second cell range of values.

Remarks

  • The arguments must be numbers, or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If array1 and array2 have a different number of data points, CORREL returns the #N/A error value.

  • If either array1 or array2 is empty, or if s (the standard deviation) of their values equals zero, CORREL returns the #DIV/0! error value.

  • The equation for the correlation coefficient is:

    where:

    and:

Example

CORREL({3,2,4,5,6},{9,7,12,15,17}) equals 0.997054


COUNT

See Also

Counts the number of cells that contain numbers and numbers within the list of arguments. Use COUNT to get the number of entries in a number field in a range or array of numbers.

Syntax

COUNT(value1,value2, ...)

Value1, value2, ... are 1 to 30 arguments that can contain or refer to a variety of different types of data, but only numbers are counted.

  • Arguments that are numbers, dates, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.

  • If an argument is an array or reference, only numbers in that array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored. If you need to count logical values, text, or error values, use the COUNTA function.

Examples

In the following example,

COUNT(A1:A7) equals 3

COUNT(A4:A7) equals 2

COUNT(A1:A7, 2) equals 4


COUNTA

See Also

Counts the number of cells that are not empty and the values within the list of arguments. Use COUNTA to count the number of cells that contain data in a range or array.

Syntax

COUNTA(value1,value2, ...)

Value1, value2, ... are 1 to 30 arguments representing the values you want to count. In this case, a value is any type of information, including empty text ("") but not including empty cells. If an argument is an array or reference, empty cells within the array or reference are ignored. If you do not need to count logical values, text, or error values, use the COUNT function.

Examples

In the following example,

COUNTA(A1:A7) equals 6

COUNTA(A4:A7) equals 4

COUNTA(A1:A7, 2) equals 7

COUNTA(A1:A7, "Two") equals 7


COVAR

See Also

Returns covariance, the average of the products of deviations for each data point pair. Use covariance to determine the relationship between two data sets. For example, you can examine whether greater income accompanies greater levels of education.

Syntax

COVAR(array1,array2)

Array1 is the first cell range of integers.

Array2 is the second cell range of integers.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If array1 and array2 have different numbers of data points, COVAR returns the #N/A error value.

  • If either array1 or array2 is empty, COVAR returns the #DIV/0! error value.

  • The covariance is:

Example

COVAR({3, 2, 4, 5, 6}, {9, 7, 12, 15, 17}) equals 5.2


CRITBINOM

See Also

Returns the smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value. Use this function for quality assurance applications. For example, use CRITBINOM to determine the greatest number of defective parts that are allowed to come off an assembly line run without rejecting the entire lot.

Syntax

CRITBINOM(trials,probability_s,alpha)

Trials is the number of Bernoulli trials.

Probability_s is the probability of a success on each trial.

Alpha is the criterion value.

Remarks

  • If any argument is nonnumeric, CRITBINOM returns the #VALUE! error value.

  • If trials is not an integer, it is truncated.

  • If trials < 0, CRITBINOM returns the #NUM! error value.

  • If probability_s is < 0 or probability_s > 1, CRITBINOM returns the #NUM! error value.

  • If alpha < 0 or alpha > 1, CRITBINOM returns the #NUM! error value.

Example

CRITBINOM(6,0.5,0.75) equals 4


DEVSQ

See Also

Returns the sum of squares of deviations of data points from their sample mean.

Syntax

DEVSQ(number1,number2,...)

Number1,number2,... are 1 to 30 arguments for which you want to calculate the sum of squared deviations. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be numbers, or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • The equation for the sum of squared deviations is:

Example

DEVSQ(4,5,8,7,11,4,3) equals 48


EXPONDIST

See Also

Returns the exponential distribution. Use EXPONDIST to model the time between events, such as how long an automated bank teller takes to deliver cash. For example, you can use EXPONDIST to determine the probability that the process takes at most 1 minute.

Syntax

EXPONDIST(x,lambda,cumulative)

X is the value of the function.

Lambda is the parameter value.

Cumulative is a logical value that indicates which form of the exponential function to provide. If cumulative is TRUE, EXPONDIST returns the cumulative distribution function; if FALSE, it returns the probability density function.

Remarks

  • If x or lambda is nonnumeric, EXPONDIST returns the #VALUE! error value.

  • If x < 0, EXPONDIST returns the #NUM! error value.

  • If lambda ≤ 0, EXPONDIST returns the #NUM! error value.

  • The equation for the probability density function is:

  • The equation for the cumulative distribution function is:

Examples

EXPONDIST(0.2,10,TRUE) equals 0.864665

EXPONDIST(0.2,10,FALSE) equals 1.353353


FDIST

See Also

Returns the F probability distribution. You can use this function to determine whether two data sets have different degrees of diversity. For example, you can examine test scores given to men and women entering high school and determine if the variability in the females is different from that found in the males.

Syntax

FDIST(x,degrees_freedom1,degrees_freedom2)

X is the value at which to evaluate the function.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FDIST returns the #VALUE! error value.

  • If x is negative, FDIST returns the #NUM! error value.

  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.

  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FDIST returns the #NUM! error value.

  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FDIST returns the #NUM! error value.

  • FDIST is calculated as FDIST=P( F<x ), where F is a random variable that has an F distribution.

Example

FDIST(15.20675,6,4) equals 0.01


FINV

See Also

Returns the inverse of the F probability distribution. If p = FDIST(x,...), then FINV(p,...) = x.

The F distribution can be used in an F-test that compares the degree of variability in two data sets. For example, you can analyze income distributions in the United States and Canada to determine whether the two countries have a similar degree of diversity.

Syntax

FINV(probability,degrees_freedom1,degrees_freedom2)

Probability is a probability associated with the F cumulative distribution.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FINV returns the #VALUE! error value.

  • If probability < 0 or probability > 1, FINV returns the #NUM! error value.

  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.

  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FINV returns the #NUM! error value.

  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FINV returns the #NUM! error value.

FINV can be used to return critical values from the F distribution. For example, the output of an ANOVA calculation often includes data for the F statistic, F probability, and F critical value at the 0.05 significance level. To return the critical value of F, use the significance level as the probability argument to FINV.

FINV uses an iterative technique for calculating the function. Given a probability value, FINV iterates until the result is accurate to within ± 3x10^-7. If FINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

FINV(0.01,6,4) equals 15.20675


FISHER

See Also

Returns the Fisher transformation at x. This transformation produces a function that is approximately normally distributed rather than skewed. Use this function to perform hypothesis testing on the correlation coefficient.

Syntax

FISHER(x)

X is a numeric value for which you want the transformation.

Remarks

  • If x is nonnumeric, FISHER returns the #VALUE! error value.

  • If x ≤ -1 or if x ≥ 1, FISHER returns the #NUM! error value.

The equation for the Fisher transformation is:

Example

FISHER(0.75) equals 0.972955


FISHERINV

See Also

Returns the inverse of the Fisher transformation. Use this transformation when analyzing correlations between ranges or arrays of data. If y = FISHER(x), then FISHERINV(y) = x.

Syntax

FISHERINV(y)

Y is the value for which you want to perform the inverse of the transformation.

Remarks

  • If y is nonnumeric, FISHERINV returns the #VALUE! error value.

The equation for the inverse of the Fisher transformation is:

Example

FISHERINV(0.972955) equals 0.75


FORECAST

See Also

Calculates, or predicts, a future value by using existing values. The predicted value is a y-value for a given x-value. The known values are existing x-values and y-values, and the new value is predicted by using linear regression. You can use this function to predict future sales, inventory requirements, or consumer trends.

Syntax

FORECAST(x,known_y's,known_x's)

X is the data point for which you want to predict a value.

Known_y's is the dependent array or range of data.

Known_x's is the independent array or range of data.

Remarks

  • If x is nonnumeric, FORECAST returns the #VALUE! error value.

  • If known_y's and known_x's are empty or contain a different number of data points, FORECAST returns the #N/A error value.

  • If the variance of known_x's equals zero, then FORECAST returns the #DIV/0! error value.

  • The equation for FORECAST is a+bx, where:

    and:

Example

FORECAST(30,{6,7,9,15,21},{20,28,31,38,40}) equals 10.60725


FREQUENCY

See Also

Calculates how often values occur within a range of values, and then returns a vertical array of numbers. For example, use FREQUENCY to count the number of test scores that fall within ranges of scores. Because FREQUENCY returns an array, it must be entered as an array formula.

Syntax

FREQUENCY(data_array,bins_array)

Data_array is an array of or reference to a set of values for which you want to count frequencies. If data_array contains no values, FREQUENCY returns an array of zeros.

Bins_array is an array of or reference to intervals into which you want to group the values in data_array. If bins_array contains no values, FREQUENCY returns the number of elements in data_array.

Remarks

  • FREQUENCY is entered as an array formula after you select a range of adjacent cells into which you want the returned distribution to appear.

  • The number of elements in the returned array is one more than the number of elements in bins_array. The extra element in the returned array returns the count of any values above the highest interval. For example, when counting three ranges of values (intervals) that are entered into three cells, be sure to enter FREQUENCY into four cells for the results. The extra cell returns the number of values in data_array that are greater than the third interval value.

  • FREQUENCY ignores blank cells and text.

  • Formulas that return arrays must be entered as array formulas. For more information about entering array formulas, click [image] .

Example

Suppose a worksheet lists scores for a test. The scores are 79, 85, 78, 85, 83, 81, 95, 88, and 97 and are entered into A1:A9, respectively. The data_array would contain a column of these test scores. The bins_array would be another column of intervals by which the test scores are grouped. In this example, bins_array would be C4:C6 and would contain the values 70, 79, 89. When FREQUENCY is entered as an array, the number of scores corresponding to the letter grade ranges 0-70, 71-79, 80-89, and 90-100, are counted. This example assumes all test scores are integers. The following formula is entered as an array formula after you select four vertical cells adjacent to your data. The fourth number, 2, is the count of the two values (95 and 97) that are greater than the highest interval (89).

FREQUENCY(A1:A9,C4:C6) equals {0;2;5;2}


FTEST

See Also

Returns the result of an F-test. An F-test returns the one-tailed probability that the variances in array1 and array2 are not significantly different. Use this function to determine whether two samples have different variances. For example, given test scores from public and private schools, you can test whether these schools have different levels of diversity.

Syntax

FTEST(array1,array2)

Array1 is the first array or range of data.

Array2 is the second array or range of data.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If the number of data points in array1 or array2 is less than 2, or if the variance of array1 or array2 is zero, FTEST returns the #DIV/0! error value.

Example

FTEST({6,7,9,15,21},{20,28,31,38,40}) equals 0.648318


GAMMADIST

See Also

Returns the gamma distribution. You can use this function to study variables that may have a skewed distribution. The gamma distribution is commonly used in queuing analysis.

Syntax

GAMMADIST(x,alpha,beta,cumulative)

X is the value at which you want to evaluate the distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMADIST returns the standard gamma distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, GAMMADIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If x, alpha, or beta is nonnumeric, GAMMADIST returns the #VALUE! error value.

  • If x < 0, GAMMADIST returns the #NUM! error value.

  • If alpha ≤ 0 or if beta ≤ 0, GAMMADIST returns the #NUM! error value.

  • The equation for the gamma distribution is:

    The standard gamma distribution is:

  • When alpha = 1, GAMMADIST returns the exponential distribution with:

  • For a positive integer n, when alpha = n/2, beta = 2, and cumulative = TRUE, GAMMADIST returns (1 - CHIDIST(x)) with n degrees of freedom.

  • When alpha is a positive integer, GAMMADIST is also known as the Erlang distribution.

Examples

GAMMADIST(10,9,2,FALSE) equals 0.032639

GAMMADIST(10,9,2,TRUE) equals 0.068094


GAMMAINV

See Also

Returns the inverse of the gamma cumulative distribution. If p = GAMMADIST(x,...), then GAMMAINV(p,...) = x.

You can use this function to study a variable whose distribution may be skewed.

Syntax

GAMMAINV(probability,alpha,beta)

Probability is the probability associated with the gamma distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMAINV returns the standard gamma distribution.

Remarks

  • If any argument is nonnumeric, GAMMAINV returns the #VALUE! error value.

  • If probability < 0 or probability > 1, GAMMAINV returns the #NUM! error value.

  • If alpha ≤ 0 or if beta ≤ 0, GAMMAINV returns the #NUM! error value.

  • If beta ≤ 0, GAMMAINV returns the #NUM! error value.

  • GAMMAINV uses an iterative technique for calculating the function. Given a probability value, GAMMAINV iterates until the result is accurate to within ±3x10^-7. If GAMMAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

GAMMAINV(0.068094,9,2) equals 10


GAMMALN

See Also

Returns the natural logarithm of the gamma function, Γ(x).

Syntax

GAMMALN(x)

X is the value for which you want to calculate GAMMALN.

Remarks

  • If x is nonnumeric, GAMMALN returns the #VALUE! error value.

  • If x ≤ 0, GAMMALN returns the #NUM! error value.

  • The number e raised to the GAMMALN(i) power, where i is an integer, returns the same result as (i - 1)!.

  • GAMMALN is calculated as follows:

    where:

Examples

GAMMALN(4) equals 1.791759

EXP(GAMMALN(4)) equals 6 or (4 - 1)!


GEOMEAN

See Also

Returns the geometric mean of an array or range of positive data. For example, you can use GEOMEAN to calculate average growth rate given compound interest with variable rates.

Syntax

GEOMEAN(number1,number2, ...)

Number1,number2,... are 1 to 30 arguments for which you want to calculate the mean. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If any data point ≤ 0, GEOMEAN returns the #NUM! error value.

  • The equation for the geometric mean is:

Example

GEOMEAN(4,5,8,7,11,4,3) equals 5.476987


GROWTH

See Also

Calculates predicted exponential growth by using existing data. GROWTH returns the y-values for a series of new x-values that you specify by using existing x-values and y-values. You can also use the GROWTH worksheet function to fit an exponential curve to existing x-values and y-values.

Syntax

GROWTH(known_y's,known_x's,new_x's,const)

Known_y's is the set of y-values you already know in the relationship y = b*m^x.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

  • If any of the numbers in known_y's is 0 or negative, GROWTH returns the #NUM! error value.

Known_x's is an optional set of x-values that you may already know in the relationship y = b*m^x.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a vector (that is, a range with a height of one row or a width of one column).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

New_x's are new x-values for which you want GROWTH to return corresponding y-values.

  • New_x's must include a column (or row) for each independent variable, just as known_x's does. So, if known_y's is in a single column, known_x's and new_x's must have the same number of columns. If known_y's is in a single row, known_x's and new_x's must have the same number of rows.

  • If new_x's is omitted, it is assumed to be the same as known_x's.

  • If both known_x's and new_x's are omitted, they are assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 1.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 1 and the m-values are adjusted so that y = m^x.

Remarks

  • Formulas that return arrays must be entered as array formulas after selecting the correct number of cells. For more information about entering array formulas, click [image] .

  • When entering an array constant for an argument such as known_x's, use commas to separate values in the same row and semicolons to separate rows.

Examples

This example uses the same data as the LOGEST example. The sales for the 11th through the 16th months are 33,100, 47,300, 69,000, 102,000, 150,000, and 220,000 units, respectively. Assume that these values are entered into six cells named UnitsSold.

When entered as an array formula, the following formula predicts sales for months 17 and 18 based on sales for the previous six months:

GROWTH(UnitsSold,{11;12;13;14;15;16},{17;18}) equals {320,197;468,536}

If the exponential trend continues, sales for months 17 and 18 will be 320,197 and 468,536 units, respectively.

You could use other sequential numbers for the x-value arguments, and the predicted sales would be the same. For example, you could use the default value for known_x's, {1;2;3;4;5;6}:

GROWTH(UnitsSold,,{7;8},) equals {320197;468536}


HARMEAN

See Also

Returns the harmonic mean of a data set. The harmonic mean is the reciprocal of the arithmetic mean of reciprocals.

Syntax

HARMEAN(number1,number2, ...)

Number1,number2,... are 1 to 30 arguments for which you want to calculate the mean. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If any data point ≤ 0, HARMEAN returns the #NUM! error value.

  • The harmonic mean is always less than the geometric mean, which is always less than the arithmetic mean.

  • The equation for the harmonic mean is:

Example

HARMEAN(4,5,8,7,11,4,3) equals 5.028376


HYPGEOMDIST

See Also

Returns the hypergeometric distribution. HYPGEOMDIST returns the probability of a given number of sample successes, given the sample size, population successes, and population size. Use HYPGEOMDIST for problems with a finite population, where each observation is either a success or a failure, and where each subset of a given size is chosen with equal likelihood.

Syntax

HYPGEOMDIST(sample_s,number_sample,population_s,number_population)

Sample_s is the number of successes in the sample.

Number_sample is the size of the sample.

Population_s is the number of successes in the population.

Number_population is the population size.

Remarks

  • All arguments are truncated to integers.

  • If any argument is nonnumeric, HYPGEOMDIST returns the #VALUE! error value.

  • If sample_s < 0 or sample_s is greater than the lesser of number_sample or population_s, HYPGEOMDIST returns the #NUM! error value.

  • If sample_s is less than the larger of 0 or (number_sample - number_population + population_s), HYPGEOMDIST returns the #NUM! error value.

  • If number_sample < 0 or number_sample > number_population, HYPGEOMDIST returns the #NUM! error value.

  • If population_s < 0 or population_s > number_population, HYPGEOMDIST returns the #NUM! error value.

  • If number_population < 0, HYPGEOMDIST returns the #NUM! error value.

  • The equation for the hypergeometric distribution is:

    where:

    x = sample_s

    n = number_sample

    M = population_s

    N = number_population

    HYPGEOMDIST is used in sampling without replacement from a finite population.

Example

A sampler of chocolates contains 20 pieces. Eight pieces are caramels, and the remaining 12 are nuts. If a person selects 4 pieces at random, the following function returns the probability that exactly 1 piece is a caramel:

HYPGEOMDIST(1,4,8,20) equals 0.363261


INTERCEPT

See Also

Calculates the point at which a line will intersect the y-axis by using existing x-values and y-values. The intercept point is based on a best-fit regression line plotted through the known x-values and known y-values. Use the intercept when you want to determine the value of the dependent variable when the independent variable is 0 (zero). For example, you can use the INTERCEPT function to predict a metal's electrical resistance at 0°C when your data points were taken at room temperature and higher.

Syntax

INTERCEPT(known_y's,known_x's)

Known_y's is the dependent set of observations or data.

Known_x's is the independent set of observations or data.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If known_y's and known_x's contain a different number of data points or contain no data points, INTERCEPT returns the #N/A error value.

  • The equation for the intercept of the regression line is:

    where the slope is calculated as:

Example

INTERCEPT({2, 3, 9, 1, 8}, {6, 5, 11, 7, 5}) equals 0.0483871


KURT

See Also

Returns the kurtosis of a data set. Kurtosis characterizes the relative peakedness or flatness of a distribution compared with the normal distribution. Positive kurtosis indicates a relatively peaked distribution. Negative kurtosis indicates a relatively flat distribution.

Syntax

KURT(number1,number2, ...)

Number1,number2,... are 1 to 30 arguments for which you want to calculate kurtosis. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If there are fewer than four data points, or if the standard deviation of the sample equals zero, KURT returns the #DIV/0! error value.

  • Kurtosis is defined as:

    where:

    s is the sample standard deviation.

Example

KURT(3,4,5,2,3,4,5,6,4,7) returns -0.1518


LARGE

See Also

Returns the k-th largest value in a data set. You can use this function to select a value based on its relative standing. For example, you can use LARGE to return the highest, runner-up, or third-place score.

Syntax

LARGE(array,k)

Array is the array or range of data for which you want to determine the k-th largest value.

K is the position (from the largest) in the array or cell range of data to return.

Remarks

  • If array is empty, LARGE returns the #NUM! error value.

  • If k ≤ 0 or if k is greater than the number of data points, LARGE returns the #NUM! error value.

If n is the number of data points in a range, then LARGE(array,1) returns the largest value, and LARGE(array,n) returns the smallest value.

Examples

LARGE({3,4,5,2,3,4,5,6,4,7},3) equals 5

LARGE({3,4,5,2,3,4,5,6,4,7},7) equals 4


LINEST

See Also

Calculates the statistics for a line by using the "least squares" method to calculate a straight line that best fits your data, and returns an array that describes the line. Because this function returns an array of values, it must be entered as an array formula. For more information about array formulas, click [image] .

The equation for the line is:

y = mx + b or y = m1x1 + m2x2 + ... + b (if there are multiple ranges of x-values)

where the dependent y-value is a function of the independent x-values. The m-values are coefficients corresponding to each x-value, and b is a constant value. Note that y, x, and m can be vectors. The array that LINEST returns is {mn,mn-1,...,m1,b}. LINEST can also return additional regression statistics.

Syntax

LINEST(known_y's,known_x's,const,stats)

Known_y's is the set of y-values you already know in the relationship y = mx + b.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

Known_x's is an optional set of x-values that you may already know in the relationship y = mx + b.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a vector (that is, a range with a height of one row or a width of one column).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 0.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 0 and the m-values are adjusted to fit y = mx.

Stats is a logical value specifying whether to return additional regression statistics.

  • If stats is TRUE, LINEST returns the additional regression statistics, so the returned array is {mn,mn-1,...,m1,b;sen,sen-1,...,se1,seb;r2,sey;F,df;ssreg,ssresid}.

  • If stats is FALSE or omitted, LINEST returns only the m-coefficients and the constant b.

The additional regression statistics are as follows.

Statistic | Description
se1,se2,...,sen | The standard error values for the coefficients m1,m2,...,mn.
Seb | The standard error value for the constant b (seb = #N/A when const is FALSE).
r2 | The coefficient of determination. Compares estimated and actual y-values, and ranges in value from 0 to 1. If it is 1, there is a perfect correlation in the sample — there is no difference between the estimated y-value and the actual y-value. At the other extreme, if the coefficient of determination is 0, the regression equation is not helpful in predicting a y-value. For information about how r2 is calculated, see "Remarks" later in this topic.
sey | The standard error for the y estimate.
F | The F statistic, or the F-observed value. Use the F statistic to determine whether the observed relationship between the dependent and independent variables occurs by chance.
df | The degrees of freedom. Use the degrees of freedom to help you find F-critical values in a statistical table. Compare the values you find in the table to the F statistic returned by LINEST to determine a confidence level for the model.
ssreg | The regression sum of squares.
ssresid | The residual sum of squares.

The following illustration shows the order in which the additional regression statistics are returned.

Remarks

  • You can describe any straight line with the slope and the y-intercept:

    Slope (m):
    To find the slope of a line, often written as m, take two points on the line, (x1,y1) and (x2,y2); the slope is equal to (y2 - y1)/(x2 - x1).

    Y-intercept (b):
    The y-intercept of a line, often written as b, is the value of y at the point where the line crosses the y-axis.

    The equation of a straight line is y = mx + b. Once you know the values of m and b, you can calculate any point on the line by plugging the y- or x-value into that equation. You can also use the TREND function. For more information, see TREND.

  • When you have only one independent x-variable, you can obtain the slope and y-intercept values directly by using the following formulas:

    Slope:
    INDEX(LINEST(known_y's,known_x's),1)

    Y-intercept:
    INDEX(LINEST(known_y's,known_x's),2)

  • The accuracy of the line calculated by LINEST depends on the degree of scatter in your data. The more linear the data, the more accurate the LINEST model. LINEST uses the method of least squares for determining the best fit for the data. When you have only one independent x-variable, the calculations for m and b are based on the following formulas:

  • The line- and curve-fitting functions LINEST and LOGEST can calculate the best straight line or exponential curve that fits your data. However, you have to decide which of the two results best fits your data. You can calculate TREND(known_y's,known_x's) for a straight line, or GROWTH(known_y's, known_x's) for an exponential curve. These functions, without the new_x's argument, return an array of y-values predicted along that line or curve at your actual data points. You can then compare the predicted values with the actual values. You may want to chart them both for a visual comparison.

  • In regression analysis, Microsoft Excel calculates for each point the squared difference between the y-value estimated for that point and its actual y-value. The sum of these squared differences is called the residual sum of squares. Microsoft Excel then calculates the sum of the squared differences between the actual y-values and the average of the y-values, which is called the total sum of squares (regression sum of squares + residual sum of squares). The smaller the residual sum of squares is, compared with the total sum of squares, the larger the value of the coefficient of determination, r2, which is an indicator of how well the equation resulting from the regression analysis explains the relationship among the variables.

  • Formulas that return arrays must be entered as array formulas. For more information about entering array formulas, click [image] .

  • When entering an array constant such as known_x's as an argument, use commas to separate values in the same row and semicolons to separate rows. Separator characters may be different depending on your country settings.

  • Note that the y-values predicted by the regression equation may not be valid if they are outside the range of the y-values you used to determine the equation.

Example 1 Slope and Y-Intercept

LINEST({1,9,5,7},{0,4,2,3}) equals {2,1}, the slope = 2 and y-intercept = 1

Example 2 Simple Linear Regression

Suppose a small business has sales of $3,100, $4,500, $4,400, $5,400, $7,500, and $8,100 during the first six months of the fiscal year. Assuming that the values are entered in the range B2:B7, respectively, you can use the following simple linear regression model to estimate sales for the ninth month.

SUM(LINEST(B2:B7)*{9,1}) equals SUM({1000,2000}*{9,1}) equals $11,000

In general, SUM({m,b}*{x,1}) equals mx + b, the estimated y-value for a given x-value. You can also use the TREND function.

Example 3 Multiple Linear Regression

Suppose a commercial developer is considering purchasing a group of small office buildings in an established business district.

The developer can use multiple linear regression analysis to estimate the value of an office building in a given area based on the following variables.

Variable | Refers to the
y | Assessed value of the office building
x1 | Floor space in square feet
x2 | Number of offices
x3 | Number of entrances
x4 | Age of the office building in years

This example assumes that a straight-line relationship exists between each independent variable (x1, x2, x3, and x4) and the dependent variable (y), the value of office buildings in the area.

The developer randomly chooses a sample of 11 office buildings from a possible 1,500 office buildings and obtains the following data.

"Half an entrance" means an entrance for deliveries only. When entered as an array, the following formula:

LINEST(E2:E12,A2:D12,TRUE,TRUE)

returns the following output.

The multiple regression equation, y = m1*x1 + m2*x2 + m3*x3 + m4*x4 + b, can now be obtained using the values from row 14:

y = 27.64*x1 + 12,530*x2 + 2,553*x3+ 234.24*x4 + 52,318

The developer can now estimate the assessed value of an office building in the same area that has 2,500 square feet, three offices, and two entrances and is 25 years old, by using the following equation:

y = 27.64*2500 + 12530*3 + 2553*2 - 234.24*25 + 52318 = $158,261

You can also use the TREND function to calculate this value. For more information, see TREND.

Example 4 Using The F And R2 Statistics

In the previous example, the coefficient of determination, or r2, is 0.99675 (see cell A16 in the output for LINEST), which would indicate a strong relationship between the independent variables and the sale price. You can use the F statistic to determine whether these results, with such a high r2 value, occurred by chance.

Assume for the moment that in fact there is no relationship among the variables, but that you have drawn a rare sample of 11 office buildings that causes the statistical analysis to demonstrate a strong relationship. The term "Alpha" is used for the probability of erroneously concluding that there is a relationship.

There is a relationship among the variables if the F-observed statistic is greater than the F-critical value. The F-critical value can be obtained by referring to a table of F-critical values in many statistics textbooks. To read the table, assume a single-tailed test, use an Alpha value of 0.05, and for the degrees of freedom (abbreviated in most tables as v1 and v2), use v1 = k = 4 and v2 = n - (k + 1) = 11 - (4 + 1) = 6, where k is the number of variables in the regression analysis and n is the number of data points. The F-critical value is 4.53.

The F-observed value is 459.753674 (cell A17), which is substantially greater than the F-critical value of 4.53. Therefore, the regression equation is useful in predicting the assessed value of office buildings in this area.

Example 5 Calculating The T-Statistics

Another hypothesis test will determine whether each slope coefficient is useful in estimating the assessed value of an office building in example 3. For example, to test the age coefficient for statistical significance, divide -234.24 (age slope coefficient) by 13.268 (the estimated standard error of age coefficients in cell A15). The following is the t-observed value:

t = m4 ÷ se4 = -234.24 ÷ 13.268 = -17.7

If you consult a table in a statistics manual, you will find that t-critical, single tail, with 6 degrees of freedom and Alpha = 0.05 is 1.94. Because the absolute value of t, 17.7, is greater than 1.94, age is an important variable when estimating the assessed value of an office building. Each of the other independent variables can be tested for statistical significance in a similar manner. The following are the t-observed values for each of the independent variables.

Variable | t-observed value
Floor space | 5.1
Number of offices | 31.3
Number of entrances | 4.8
Age | 17.7

These values all have an absolute value greater than 1.94; therefore, all the variables used in the regression equation are useful in predicting the assessed value of office buildings in this area.


LOGEST

See Also

In regression analysis, calculates an exponential curve that fits your data and returns an array of values that describes the curve. Because this function returns an array of values, it must be entered as an array formula. For more information about array formulas, click [image] .

The equation for the curve is:

y = b*m^x or y = (b*(m1^x1)*(m2^x2)*_) (if there are multiple x-values)

where the dependent y-value is a function of the independent x-values. The m-values are bases corresponding to each exponent x-value, and b is a constant value. Note that y, x, and m can be vectors. The array that LOGEST returns is {mn,mn-1,...,m1,b}.

Syntax

LOGEST(known_y's,known_x's,const,stats)

Known_y's is the set of y-values you already know in the relationship y = b*m^x.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

Known_x's is an optional set of x-values that you may already know in the relationship y = b*m^x.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a range of cells with a height of one row or a width of one column (which is also known as a vector).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 1.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 1, and the m-values are fitted to y = m^x.

Stats is a logical value specifying whether to return additional regression statistics.

  • If stats is TRUE, LOGEST returns the additional regression statistics, so the returned array is {mn,mn-1,...,m1,b;sen,sen-1,...,se1,seb;r 2,sey; F,df;ssreg,ssresid}.

  • If stats is FALSE or omitted, LOGEST returns only the m-coefficients and the constant b.

For more information about additional regression statistics, see LINEST.

Remarks

  • The more a plot of your data resembles an exponential curve, the better the calculated line will fit your data. Like LINEST, LOGEST returns an array of values that describes a relationship among the values, but LINEST fits a straight line to your data; LOGEST fits an exponential curve. For more information, see LINEST.

  • When you have only one independent x-variable, you can obtain the slope (m) and y-intercept (b) values directly by using the following formulas:

    Slope (m):
    INDEX(LOGEST(known_y's,known_x's),1)

    Y-intercept (b):
    INDEX(LOGEST(known_y's,known_x's),2)

    You can use the y = b*m^x equation to predict future values of y, but Microsoft Excel provides the GROWTH function to do this for you. For more information, see GROWTH.

  • Formulas that return arrays must be entered as array formulas. For more information about entering array formulas, click [image] .

  • When entering an array constant such as known_x's as an argument, use commas to separate values in the same row and semicolons to separate rows. Separator characters may be different depending on your country setting.

  • You should note that the y-values predicted by the regression equation may not be valid if they are outside the range of y-values you used to determine the equation.

Example

After 10 months of sluggish sales, a company experiences exponential growth in sales after putting a new product on the market. In the subsequent 6 months, sales increased to 33,100, 47,300, 69,000, 102,000, 150,000, and 220,000 units per month. Assume that these values are entered into six cells named UnitsSold. When entered as a formula:

LOGEST(UnitsSold, {11;12;13;14;15;16}, TRUE, TRUE)

generates the following output in, for example, cells D1:E5:

{1.46327563, 495.30477; 0.0026334, 0.03583428; 0.99980862, 0.01101631; 20896.8011, 4; 2.53601883, 0.00048544}

y = b*m1^x1 or using the values from the array:

y = 495.3 * 1.4633x

You can estimate sales for future months by substituting the month number for x in this equation, or you can use the GROWTH function. For more information, see GROWTH.

You can use the additional regression statistics (cells D2:E5 in the above output array) to determine how useful the equation is for predicting future values.

Important The methods you use to test an equation using LOGEST are similar to the methods for LINEST. However, the additional statistics LOGEST returns are based on the following linear model:

ln y = x1 ln m1 + ... + xn ln mn + ln b

You should keep this in mind when you evaluate the additional statistics, especially the sei and seb values, which should be compared to ln mi and ln b, not to mi and b. For more information, consult an advanced statistics manual.


LOGINV

See Also

Returns the inverse of the lognormal cumulative distribution function of x, where ln(x) is normally distributed with parameters mean and standard_dev. If p = LOGNORMDIST(x,...) then LOGINV(p,...) = x.

Use the lognormal distribution to analyze logarithmically transformed data.

Syntax

LOGINV(probability,mean,standard_dev)

Probability is a probability associated with the lognormal distribution.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

The inverse of the lognormal distribution function is:

Remarks

  • If any argument is nonnumeric, LOGINV returns the #VALUE! error value.

  • If probability < 0 or probability > 1, LOGINV returns the #NUM! error value.

  • If standard_dev <= 0, LOGINV returns the #NUM! error value.

Example

LOGINV(0.039084, 3.5, 1.2) equals 4.000014


LOGNORMDIST

See Also

Returns the cumulative lognormal distribution of x, where ln(x) is normally distributed with parameters mean and standard_dev. Use this function to analyze data that has been logarithmically transformed.

Syntax

LOGNORMDIST(x,mean,standard_dev)

X is the value at which to evaluate the function.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

Remarks

  • If any argument is nonnumeric, LOGNORMDIST returns the #VALUE! error value.

  • If x ≤ 0 or if standard_dev ≤ 0, LOGNORMDIST returns the #NUM! error value.

  • The equation for the lognormal cumulative distribution function is:

Example

LOGNORMDIST(4,3.5,1.2) equals 0.039084


MAX

See Also

Returns the largest value in a set of values.

Syntax

MAX(number1,number2,...)

Number1,number2,... are 1 to 30 numbers for which you want to find the maximum value.

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.

  • If an argument is an array or reference, only numbers in that array or reference are used. Empty cells, logical values, or text in the array or reference are ignored. If logical values and text must not be ignored, use MAXA instead.

  • If the arguments contain no numbers, MAX returns 0 (zero).

Examples

If A1:A5 contains the numbers 10, 7, 9, 27, and 2, then:

MAX(A1:A5) equals 27

MAX(A1:A5,30) equals 30


MAXA

See Also

Returns the largest value in a list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

MAXA is similar to MINA. For more information, see the examples for MINA.

Syntax

MAXA(value1,value2,...)

Value1, Value2,... are 1 to 30 values for which you want to find the largest value.

Remarks

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use the MAX worksheet function instead.

  • If an argument is an array or reference, only values in that array or reference are used. Empty cells and text values in the array or reference are ignored.

  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).

  • If the arguments contain no values, MAXA returns 0 (zero).

Examples

If A1:A5 contains the numbers 10, 7, 9, 27, and 2, then:

MAXA(A1:A5) equals 27

MAXA(A1:A5,30) equals 30

If A1:A5 contains the values 0, 0.2, 0.5, 0.4, and TRUE, then:

MAXA(A1:A5) equals 1


MEDIAN

See Also

Returns the median of the given numbers. The median is the number in the middle of a set of numbers; that is, half the numbers have values that are greater than the median, and half have values that are less.

Syntax

MEDIAN(number1,number2, ...)

Number1, number2,... are 1 to 30 numbers for which you want the median.

  • The arguments should be either numbers or names, arrays, or references that contain numbers. Microsoft Excel examines all the numbers in each reference or array argument.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

Remarks

If there is an even number of numbers in the set, then MEDIAN calculates the average of the two numbers in the middle. See the second example following.

Examples

MEDIAN(1, 2, 3, 4, 5) equals 3

MEDIAN(1, 2, 3, 4, 5, 6) equals 3.5, the average of 3 and 4


MIN

See Also

Returns the smallest number in a set of values.

Syntax

MIN(number1,number2, ...)

Number1, number2,... are 1 to 30 numbers for which you want to find the minimum value.

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.

  • If an argument is an array or reference, only numbers in that array or reference are used. Empty cells, logical values, or text in the array or reference are ignored. If logical values and text should not be ignored, use MINA instead.

  • If the arguments contain no numbers, MIN returns 0.

Examples

If A1:A5 contains the numbers 10, 7, 9, 27, and 2, then:

MIN(A1:A5) equals 2

MIN(A1:A5, 0) equals 0

MIN is similar to MAX. Also see the examples for MAX.


MINA

See Also

Returns the smallest value in the list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

Syntax

MINA(value1,value2,...)

Value1, value2,... are 1 to 30 values for which you want to find the smallest value.

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use the MIN worksheet function instead.

  • If an argument is an array or reference, only values in that array or reference are used. Empty cells and text values in the array or reference are ignored.

  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).

  • If the arguments contain no values, MINA returns 0.

Examples

If A1:A5 contains the numbers 10, 7, 9, 27, and 2, then:

MINA(A1:A5) equals 2

MINA(A1:A5, 0) equals 0

If A1:A5 contains the values FALSE, 0.2, 0.5, 0.4, and 0.8, then:

MINA(A1:A5) equals 0

MINA is similar to MAXA. Also see the examples for MAXA.


MODE

See Also

Returns the most frequently occurring, or repetitive, value in an array or range of data. Like MEDIAN, MODE is a location measure.

Syntax

MODE(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate the mode. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments should be numbers, names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If the data set contains no duplicate data points, MODE returns the #N/A error value.

In a set of values, the mode is the most frequently occurring value; the median is the middle value; and the mean is the average value. No single measure of central tendency provides a complete picture of the data. Suppose data is clustered in three areas, half around a single low value, and half around two large values. Both AVERAGE and MEDIAN may return a value in the relatively empty middle, and MODE may return the dominant low value.

Example

MODE({5.6, 4, 4, 3, 2, 4}) equals 4


NEGBINOMDIST

See Also

Returns the negative binomial distribution. NEGBINOMDIST returns the probability that there will be number_f failures before the number_s-th success, when the constant probability of a success is probability_s. This function is similar to the binomial distribution, except that the number of successes is fixed, and the number of trials is variable. Like the binomial, trials are assumed to be independent.

For example, you need to find 10 people with excellent reflexes, and you know the probability that a candidate has these qualifications is 0.3. NEGBINOMDIST calculates the probability that you will interview a certain number of unqualified candidates before finding all 10 qualified candidates.

Syntax

NEGBINOMDIST(number_f,number_s,probability_s)

Number_f is the number of failures.

Number_s is the threshold number of successes.

Probability_s is the probability of a success.

Remarks

  • Number_f and number_s are truncated to integers.

  • If any argument is nonnumeric, NEGBINOMDIST returns the #VALUE! error value.

  • If probability_s < 0 or if probability > 1, NEGBINOMDIST returns the #NUM! error value.

  • If (number_f + number_s - 1) ≤ 0, NEGBINOMDIST returns the #NUM! error value.

  • The equation for the negative binomial distribution is:

    where:

    x is number_f, r is number_s, and p is probability_s.

Example

NEGBINOMDIST(10,5,0.25) equals 0.055049


NORMDIST

See Also

Returns the normal cumulative distribution for the specified mean and standard deviation. This function has a very wide range of applications in statistics, including hypothesis testing.

Syntax

NORMDIST(x,mean,standard_dev,cumulative)

X is the value for which you want the distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, NORMDIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If mean or standard_dev is nonnumeric, NORMDIST returns the #VALUE! error value.

  • If standard_dev ≤ 0, NORMDIST returns the #NUM! error value.

  • If mean = 0 and standard_dev = 1, NORMDIST returns the standard normal distribution, NORMSDIST.

  • The equation for the normal density function is:

Example

NORMDIST(42,40,1.5,TRUE) equals 0.908789


NORMINV

See Also

Returns the inverse of the normal cumulative distribution for the specified mean and standard deviation.

Syntax

NORMINV(probability,mean,standard_dev)

Probability is a probability corresponding to the normal distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If any argument is nonnumeric, NORMINV returns the #VALUE! error value.

  • If probability < 0 or if probability > 1, NORMINV returns the #NUM! error value.

  • If standard_dev ≤ 0, NORMINV returns the #NUM! error value.

NORMINV uses the standard normal distribution if mean = 0 and standard_dev = 1 (see NORMSINV).

NORMINV uses an iterative technique for calculating the function. Given a probability value, NORMINV iterates until the result is accurate to within ± 3x10^-7. If NORMINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

NORMINV(0.908789,40,1.5) equals 42


NORMSDIST

See Also

Returns the standard normal cumulative distribution function. The distribution has a mean of 0 (zero) and a standard deviation of one. Use this function in place of a table of standard normal curve areas.

Syntax

NORMSDIST(z)

Z is the value for which you want the distribution.

Remarks

  • If z is nonnumeric, NORMSDIST returns the #VALUE! error value.

  • The equation for the standard normal density function is:

Example

NORMSDIST(1.333333) equals 0.908789


NORMSINV

See Also

Returns the inverse of the standard normal cumulative distribution. The distribution has a mean of zero and a standard deviation of one.

Syntax

NORMSINV(probability)

Probability is a probability corresponding to the normal distribution.

Remarks

  • If probability is nonnumeric, NORMSINV returns the #VALUE! error value.

  • If probability < 0 or if probability > 1, NORMSINV returns the #NUM! error value.

NORMSINV uses an iterative technique for calculating the function. Given a probability value, NORMSINV iterates until the result is accurate to within ± 3x10^-7. If NORMSINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

NORMSINV(0.908789) equals 1.3333


PEARSON

See Also

Returns the Pearson product moment correlation coefficient, r, a dimensionless index that ranges from -1.0 to 1.0 inclusive and reflects the extent of a linear relationship between two data sets.

Syntax

PEARSON(array1,array2)

Array1 is a set of independent values.

Array2 is a set of dependent values.

Remarks

  • The arguments must be either numbers or names, array constants, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If array1 and array2 are empty or have a different number of data points, PEARSON returns the #N/A error value.

  • The r value of the regression line is:

Example

PEARSON({9,7,5,3,1},{10,6,1,5,3}) equals 0.699379


PERCENTILE

See Also

Returns the k-th percentile of values in a range. You can use this function to establish a threshold of acceptance. For example, you can decide to examine candidates who score above the 90th percentile.

Syntax

PERCENTILE(array,k)

Array is the array or range of data that defines relative standing.

K is the percentile value in the range 0..1, inclusive.

Remarks

  • If array is empty or contains more than 8,191 data points, PERCENTILE returns the #NUM! error value.

  • If k is nonnumeric, PERCENTILE returns the #VALUE! error value.

  • If k is < 0 or if k > 1, PERCENTILE returns the #NUM! error value.

  • If k is not a multiple of 1/(n - 1), PERCENTILE interpolates to determine the value at the kth percentile.

Example

PERCENTILE({1,2,3,4},0.3) equals 1.9


PERCENTRANK

See Also

Returns the rank of a value in a data set as a percentage of the data set. This function can be used to evaluate the relative standing of a value within a data set. For example, you can use PERCENTRANK to evaluate the standing of an aptitude test score among all scores for the test.

Syntax

PERCENTRANK(array,x,significance)

Array is the array or range of data with numeric values that defines relative standing.

X is the value for which you want to know the rank.

Significance is an optional value that identifies the number of significant digits for the returned percentage value. If omitted, PERCENTRANK uses three digits (0.xxx%).

Remarks

  • If array is empty, PERCENTRANK returns the #NUM! error value.

  • If significance < 1, PERCENTRANK returns the #NUM! error value.

  • If x does not match one of the values in array, PERCENTRANK interpolates to return the correct percentage rank.

Example

PERCENTRANK({1,2,3,4,5,6,7,8,9,10},4) equals 0.333


PERMUT

See Also

Returns the number of permutations for a given number of objects that can be selected from number objects. A permutation is any set or subset of objects or events where internal order is significant. Permutations are different from combinations, for which the internal order is not significant. Use this function for lottery-style probability calculations.

Syntax

PERMUT(number,number_chosen)

Number is an integer that describes the number of objects.

Number_chosen is an integer that describes the number of objects in each permutation.

Remarks

  • Both arguments are truncated to integers.

  • If number or number_chosen is nonnumeric, PERMUT returns the #VALUE! error value.

  • If number ≤ 0 or if number_chosen < 0, PERMUT returns the #NUM! error value.

  • If number < number_chosen, PERMUT returns the #NUM! error value.

  • The equation for the number of permutations is:

Example

Suppose you want to calculate the odds of selecting a winning lottery number. Each lottery number contains three numbers, each of which can be between 0 (zero) and 99, inclusive. The following function calculates the number of possible permutations:

PERMUT(100,3) equals 970,200


POISSON

See Also

Returns the Poisson distribution. A common application of the Poisson distribution is predicting the number of events over a specific time, such as the number of cars arriving at a toll plaza in 1 minute.

Syntax

POISSON(x,mean,cumulative)

X is the number of events.

Mean is the expected numeric value.

Cumulative is a logical value that determines the form of the probability distribution returned. If cumulative is TRUE, POISSON returns the cumulative Poisson probability that the number of random events occurring will be between zero and x inclusive; if FALSE, it returns the Poisson probability mass function that the number of events occurring will be exactly x.

Remarks

  • If x is not an integer, it is truncated.

  • If x or mean is nonnumeric, POISSON returns the #VALUE! error value.

  • If x ≤ 0, POISSON returns the #NUM! error value.

  • If mean ≤ 0, POISSON returns the #NUM! error value.

  • POISSON is calculated as follows.

    For cumulative = FALSE:

    For cumulative = TRUE:

Examples

POISSON(2,5,FALSE) equals 0.084224

POISSON(2,5,TRUE) equals 0.124652


PROB

See Also

Returns the probability that values in a range are between two limits. If upper_limit is not supplied, returns the probability that values in x_range are equal to lower_limit.

Syntax

PROB(x_range,prob_range,lower_limit,upper_limit)

X_range is the range of numeric values of x with which there are associated probabilities.

Prob_range is a set of probabilities associated with values in x_range.

Lower_limit is the lower bound on the value for which you want a probability.

Upper_limit is the optional upper bound on the value for which you want a probability.

Remarks

  • If any value in prob_range ≤ 0 or if any value in prob_range > 1, PROB returns the #NUM! error value.

  • If the sum of the values in prob_range ¹ 1, PROB returns the #NUM! error value.

  • If upper_limit is omitted, PROB returns the probability of being equal to lower_limit.

  • If x_range and prob_range contain a different number of data points, PROB returns the #N/A error value.

Examples

PROB({0,1,2,3},{0.2,0.3,0.1,0.4},2) equals 0.1

PROB({0,1,2,3},{0.2,0.3,0.1,0.4},1,3) equals 0.8


QUARTILE

See Also

Returns the quartile of a data set. Quartiles often are used in sales and survey data to divide populations into groups. For example, you can use QUARTILE to find the top 25 percent of incomes in a population.

Syntax

QUARTILE(array,quart)

Array is the array or cell range of numeric values for which you want the quartile value.

Quart indicates which value to return.

If quart equals | QUARTILE returns
0 | Minimum value
1 | First quartile (25th percentile)
2 | Median value (50th percentile)
3 | Third quartile (75th percentile)
4 | Maximum value

Remarks

  • If array is empty or contains more than 8,191 data points, QUARTILE returns the #NUM! error value.

  • If quart is not an integer, it is truncated.

  • If quart < 0 or if quart > 4, QUARTILE returns the #NUM! error value.

  • MIN, MEDIAN, and MAX return the same value as QUARTILE when quart is equal to 0 (zero), 2, and 4, respectively.

Example

QUARTILE({1,2,4,7,8,9,10,12},1) equals 3.5


RANK

See Also

Returns the rank of a number in a list of numbers. The rank of a number is its size relative to other values in a list. (If you were to sort the list, the rank of the number would be its position.)

Syntax

RANK(number,ref,order)

Number is the number whose rank you want to find.

Ref is an array of, or a reference to, a list of numbers. Nonnumeric values in ref are ignored.

Order is a number specifying how to rank number.

  • If order is 0 (zero) or omitted, Microsoft Excel ranks number as if ref were a list sorted in descending order.

  • If order is any nonzero value, Microsoft Excel ranks number as if ref were a list sorted in ascending order.

Remarks

RANK gives duplicate numbers the same rank. However, the presence of duplicate numbers affects the ranks of subsequent numbers. For example, in a list of integers, if the number 10 appears twice and has a rank of 5, then 11 would have a rank of 7 (no number would have a rank of 6).

Examples

If A1:A5 contain the numbers 7, 3.5, 3.5, 1, and 2, respectively, then:

RANK(A2,A1:A5,1) equals 3
RANK(A1,A1:A5,1) equals 5


RSQ

See Also

Returns the square of the Pearson product moment correlation coefficient through data points in known_y's and known_x's. For more information, see PEARSON. The r-squared value can be interpreted as the proportion of the variance in y attributable to the variance in x.

Syntax

RSQ(known_y's,known_x's)

Known_y's is an array or range of data points.

Known_x's is an array or range of data points.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If known_y's and known_x's are empty or have a different number of data points, RSQ returns the #N/A error value.

  • The equation for the r value of the regression line is:

Example

RSQ({2,3,9,1,8,7,5},{6,5,11,7,5,4,4}) equals 0.05795


SKEW

See Also

Returns the skewness of a distribution. Skewness characterizes the degree of asymmetry of a distribution around its mean. Positive skewness indicates a distribution with an asymmetric tail extending toward more positive values. Negative skewness indicates a distribution with an asymmetric tail extending toward more negative values.

Syntax

SKEW(number1,number2,...)

Number1,number2... are 1 to 30 arguments for which you want to calculate skewness. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If there are fewer than three data points, or the sample standard deviation is zero, SKEW returns the #DIV/0! error value.

  • The equation for skewness is defined as:

Example

SKEW(3,4,5,2,3,4,5,6,4,7) equals 0.359543


SLOPE

See Also

Returns the slope of the linear regression line through data points in known_y's and known_x's. The slope is the vertical distance divided by the horizontal distance between any two points on the line, which is the rate of change along the regression line.

Syntax

SLOPE(known_y's,known_x's)

Known_y's is an array or cell range of numeric dependent data points.

Known_x's is the set of independent data points.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If known_y's and known_x's are empty or have a different number of data points, SLOPE returns the #N/A error value.

  • The equation for the slope of the regression line is:

Example

SLOPE({2,3,9,1,8,7,5},{6,5,11,7,5,4,4}) equals 0.305556


SMALL

See Also

Returns the k-th smallest value in a data set. Use this function to return values with a particular relative standing in a data set.

Syntax

SMALL(array,k)

Array is an array or range of numerical data for which you want to determine the k-th smallest value.

K is the position (from the smallest) in the array or range of data to return.

Remarks

  • If array is empty, SMALL returns the #NUM! error value.

  • If k ≤ 0 or if k exceeds the number of data points, SMALL returns the #NUM! error value.

  • If n is the number of data points in array, SMALL(array,1) equals the smallest value, and SMALL(array,n) equals the largest value.

Example

SMALL({3,4,5,2,3,4,5,6,4,7},4) equals 4

SMALL({1,4,8,3,7,12,54,8,23},2) equals 3


STANDARDIZE

See Also

Returns a normalized value from a distribution characterized by mean and standard_dev.

Syntax

STANDARDIZE(x,mean,standard_dev)

X is the value you want to normalize.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If standard_dev ≤ 0, STANDARDIZE returns the #NUM! error value.

  • The equation for the normalized value is:

Example

STANDARDIZE(42,40,1.5) equals 1.333333


STDEV

See Also

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEV(number1,number2,...)

Number1,number2,... are 1 to 30 number arguments corresponding to a sample of a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the STDEVA worksheet function.

Remarks

  • STDEV assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the standard deviation using STDEVP.

  • The standard deviation is calculated using the "nonbiased" or "n-1" method.

  • STDEV uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength. The sample values (1345, 1301, 1368, 1322, 1310, 1370, 1318, 1350, 1303, 1299) are stored in A2:E3, respectively. STDEV estimates the standard deviation of breaking strengths for all the tools.

STDEV(A2:E3) equals 27.46


STDEVA

See Also

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean). Text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

STDEVA(value1,value2,...)

Value1,value2,... are 1 to 30 values corresponding to a sample of a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • STDEVA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the standard deviation using STDEVPA.

  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEV worksheet function instead.

  • The standard deviation is calculated using the "nonbiased" or "n-1" method.

  • STDEVA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength. The sample values (1345, 1301, 1368, 1322, 1310, 1370, 1318, 1350, 1303, 1299) are stored in A2:E3, respectively. STDEV estimates the standard deviation of breaking strengths for all the tools.

STDEV(A2:E3) equals 27.46


STDEVP

See Also

Calculates standard deviation based on the entire population given as arguments. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVP(number1,number2,...)

Number1,number2,... are 1 to 30 number arguments corresponding to a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the STDEVPA worksheet function.

Remarks

  • STDEVP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the standard deviation using STDEV.

  • For large sample sizes, STDEV and STDEVP return approximately equal values.

  • The standard deviation is calculated using the "biased" or "n" method.

  • STDEVP uses the following formula:

Example

Using the same data from the STDEV example and assuming that only 10 tools are produced during the production run, STDEVP measures the standard deviation of breaking strengths for all the tools.

STDEVP(A2:E3) equals 26.05


STDEVPA

See Also

Calculates standard deviation based on the entire population given as arguments, including text and logical values. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVPA(value1,value2,...)

Value1,value2,... are 1 to 30 values corresponding to a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • STDEVPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the standard deviation using STDEVA.

  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEVP worksheet function instead.

  • For large sample sizes, STDEVA and STDEVPA return approximately equal values.

  • The standard deviation is calculated using the "biased" or "n" method.

  • STDEVPA uses the following formula:

Example

Using the same data from the STDEVA example and assuming that only 10 tools are produced during the production run, STDEVP measures the standard deviation of breaking strengths for all the tools.

STDEVP(A2:E3) equals 26.05


STEYX

See Also

Returns the standard error of the predicted y-value for each x in the regression. The standard error is a measure of the amount of error in the prediction of y for an individual x.

Syntax

STEYX(known_y's,known_x's)

Known_y's is an array or range of dependent data points.

Known_x's is an array or range of independent data points.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.

  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If known_y's and known_x's are empty or have a different number of data points, STEYX returns the #N/A error value.

  • The equation for the standard error of the predicted y is:

Example

STEYX({2,3,9,1,8,7,5},{6,5,11,7,5,4,4}) equals 3.305719


TDIST

See Also

Returns the Percentage Points (probability) for the Student t-distribution where a numeric value (x) is a calculated value of t for which the Percentage Points are to be computed. The t-distribution is used in the hypothesis testing of small sample data sets. Use this function in place of a table of critical values for the t-distribution.

Syntax

TDIST(x,degrees_freedom,tails)

X is the numeric value at which to evaluate the distribution.

Degrees_freedom is an integer indicating the number of degrees of freedom.

Tails specifies the number of distribution tails to return. If tails = 1, TDIST returns the one-tailed distribution. If tails = 2, TDIST returns the two-tailed distribution.

Remarks

  • If any argument is nonnumeric, TDIST returns the #VALUE! error value.

  • If degrees_freedom < 1, TDIST returns the #NUM! error value.

  • The degrees_freedom and tails arguments are truncated to integers.

  • If tails is any value other than 1 or 2, TDIST returns the #NUM! error value.

  • TDIST is calculated as TDIST = p( x<X ), where X is a random variable that follows the t-distribution.

Example

TDIST(1.96,60,2) equals 0.054645, or 5.46 percent


TINV

See Also

Returns the t-value of the Student's t-distribution as a function of the probability and the degrees of freedom.

Syntax

TINV(probability,degrees_freedom)

Probability is the probability associated with the two-tailed Student's t-distribution.

Degrees_freedom is the number of degrees of freedom to characterize the distribution.

Remarks

  • If either argument is nonnumeric, TINV returns the #VALUE! error value.

  • If probability < 0 or if probability > 1, TINV returns the #NUM! error value.

  • If degrees_freedom is not an integer, it is truncated.

  • If degrees_freedom < 1, TINV returns the #NUM! error value.

  • TINV is calculated as TINV = p( t<X ), where X is a random variable that follows the t-distribution.

  • A one-tailed t-value can be returned by replacing probability with 2*probability. For a probability of 0.05 and degrees of freedom of 10, the two-tailed value is calculated with TINV(0.05,10), which returns 2.28139. The one-tailed value for the same probability and degrees of freedom can be calculated with TINV(2*0.05,10), which returns 1.812462.

    Note In some tables, probability is described as (1-p).

TINV uses an iterative technique for calculating the function. Given a probability value, TINV iterates until the result is accurate to within ± 3x10^-7. If TINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

TINV(0.054645,60) equals 1.96


TREND

See Also

Returns values along a linear trend. Fits a straight line (using the method of least squares) to the arrays known_y's and known_x's. Returns the y-values along that line for the array of new_x's that you specify.

Syntax

TREND(known_y's,known_x's,new_x's,const)

Known_y's is the set of y-values you already know in the relationship y = mx + b.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

Known_x's is an optional set of x-values that you may already know in the relationship y = mx + b.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a vector (that is, a range with a height of one row or a width of one column).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

New_x's are new x-values for which you want TREND to return corresponding y-values.

  • New_x's must include a column (or row) for each independent variable, just as known_x's does. So, if known_y's is in a single column, known_x's and new_x's must have the same number of columns. If known_y's is in a single row, known_x's and new_x's must have the same number of rows.

  • If you omit new_x's, it is assumed to be the same as known_x's.

  • If you omit both known_x's and new_x's, they are assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 0.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 0 (zero), and the m-values are adjusted so that y = mx.

Remarks

  • For information about how Microsoft Excel fits a line to data, see LINEST.

  • You can use TREND for polynomial curve fitting by regressing against the same variable raised to different powers. For example, suppose column A contains y-values and column B contains x-values. You can enter x^2 in column C, x^3 in column D, and so on, and then regress columns B through D against column A.

  • Formulas that return arrays must be entered as array formulas.

  • When entering an array constant for an argument such as known_x's, use commas to separate values in the same row and semicolons to separate rows.

Example

Suppose a business wants to purchase a tract of land in July, the start of the next fiscal year. The business collects cost information that covers the most recent 12 months for a typical tract in the desired area. Known_y values are in cells B2:B13; the known_y values are $133,890, $135,000, $135,790, $137,300, $138,130, $139,100, $139,900, $141,120, $141,890, $143,230, $144,000, $145,290.

When entered as a vertical array in the range C2:C6, the following formula returns the predicted prices for March, April, May, June, and July:

TREND(B2:B13,,{13;14;15;16;17}) equals {146172;147190;148208;149226;150244}

The company can expect a typical tract of land to cost about $150,244 if it waits until July. The preceding formula uses the default array {1;2;3;4;5;6;7;8;9;10;11;12} for the known_x's argument, corresponding to the 12 months of sales data. The array {13;14;15;16;17} corresponds to the next five months.


TRIMMEAN

See Also

Returns the mean of the interior of a data set. TRIMMEAN calculates the mean taken by excluding a percentage of data points from the top and bottom tails of a data set. You can use this function when you wish to exclude outlying data from your analysis.

Syntax

TRIMMEAN(array,percent)

Array is the array or range of values to trim and average.

Percent is the fractional number of data points to exclude from the calculation. For example, if percent = 0.2, 4 points are trimmed from a data set of 20 points (20 x 0.2), 2 from the top and 2 from the bottom of the set.

Remarks

  • If percent < 0 or percent > 1, TRIMMEAN returns the #NUM! error value.

  • TRIMMEAN rounds the number of excluded data points down to the nearest multiple of 2. If percent = 0.1, 10 percent of 30 data points equals 3 points. For symmetry, TRIMMEAN excludes a single value from the top and bottom of the data set.

Example

TRIMMEAN({4,5,6,7,2,3,4,5,1,2,3},0.2) equals 3.777778


TTEST

See Also

Returns the probability associated with a Student's t-Test. Use TTEST to determine whether two samples are likely to have come from the same two underlying populations that have the same mean.

Syntax

TTEST(array1,array2,tails,type)

Array1 is the first data set.

Array2 is the second data set.

Tails specifies the number of distribution tails. If tails = 1, TTEST uses the one-tailed distribution. If tails = 2, TTEST uses the two-tailed distribution.

Type is the kind of t-Test to perform.

If type equals | This test is performed
1 | Paired
2 | Two-sample equal variance (homoscedastic)
3 | Two-sample unequal variance (heteroscedastic)

Remarks

  • If array1 and array2 have a different number of data points, and type = 1 (paired), TTEST returns the #N/A error value.

  • The tails and type arguments are truncated to integers.

  • If tails or type is nonnumeric, TTEST returns the #VALUE! error value.

  • If tails is any value other than 1 or 2, TTEST returns the #NUM! error value.

Example

TTEST({3,4,5,8,9,1,2,4,5},{6,19,3,2,14,4,5,17,1},2,1)
equals 0.196016


VAR

See Also

Estimates variance based on a sample.

Syntax

VAR(number1,number2,...)

Number1,number2,... are 1 to 30 number arguments corresponding to a sample of a population.

Remarks

  • VAR assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the variance using VARP.

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the VARA worksheet function.

  • VAR uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength. The sample values (1345, 1301, 1368, 1322, 1310, 1370, 1318, 1350, 1303, 1299) are stored in A2:E3, respectively. VAR estimates the variance for the breaking strength of the tools.

VAR(A2:E3) equals 754.3


VARA

See Also

Estimates variance based on a sample. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARA(value1,value2,...)

Value1,value2,... are 1 to 30 value arguments corresponding to a sample of a population.

Remarks

  • VARA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the variance using VARPA.

  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the VAR worksheet function instead.

  • VARA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength. The sample values (1345, 1301, 1368, 1322, 1310, 1370, 1318, 1350, 1303, 1299) are stored in A2:E3, respectively. VARA estimates the variance for the breaking strength of the tools.

VARA(A2:E3) equals 754.3


VARP

See Also

Calculates variance based on the entire population.

Syntax

VARP(number1,number2,...)

Number1,number2,... are 1 to 30 number arguments corresponding to a population.

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the VARPA worksheet function.

Remarks

  • VARP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the variance using VAR.

  • The equation for VARP is:

Example

Using the data from the VAR example and assuming that only 10 tools are produced during the production run, VARP measures the variance of breaking strengths for all the tools.

VARP(A2:E3) equals 678.8


VARPA

See Also

Calculates variance based on the entire population. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARPA(value1,value2,...)

Value1, value2,... are 1 to 30 value arguments corresponding to a population.

Remarks

  • VARPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the variance using VARA.

  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the VARP worksheet function instead.

  • The equation for VARPA is :

Example

Using the data from the VARA example and assuming that only 10 tools are produced during the production run, VARPA measures the variance of breaking strengths for all the tools.

VARPA(A2:E3) equals 678.8


WEIBULL

See Also

Returns the Weibull distribution. Use this distribution in reliability analysis, such as calculating a device's mean time to failure.

Syntax

WEIBULL(x,alpha,beta,cumulative)

X is the value at which to evaluate the function.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

Cumulative determines the form of the function.

Remarks

  • If x, alpha, or beta is nonnumeric, WEIBULL returns the #VALUE! error value.

  • If x < 0, WEIBULL returns the #NUM! error value.

  • If alpha ≤ 0 or if beta ≤ 0, WEIBULL returns the #NUM! error value.

  • The equation for the Weibull cumulative distribution function is:

  • The equation for the Weibull probability density function is:

  • When alpha = 1, WEIBULL returns the exponential distribution with:

Examples

WEIBULL(105,20,100,TRUE) equals 0.929581

WEIBULL(105,20,100,FALSE) equals 0.035589


ZTEST

See Also

Returns the two-tailed P-value of a z-test. The z-test generates a standard score for x with respect to the data set, array, and returns the two-tailed probability for the normal distribution. You can use this function to assess the likelihood that a particular observation is drawn from a particular population.

Syntax

ZTEST(array,x,sigma)

Array is the array or range of data against which to test x.

X is the value to test.

Sigma is the population (known) standard deviation. If omitted, the sample standard deviation is used.

Remarks

  • If array is empty, ZTEST returns the #N/A error value.

  • ZTEST is calculated as follows:

Example

ZTEST({3,6,7,8,6,5,4,2,1,9},4) equals 0.090574


ASC

See also

Changes full-width (double-byte) English letters or katakana within a character string to half-width (single-byte) characters.

Syntax

ASC(text)

Text is the text or a reference to a cell that contains the text you want to change. If text does not contain any full-width English letters or katakana, text is not changed.

Examples

ASC("EXCEL") equals "EXCEL"

ASC(" [image] [image] [image] [image] ") equals " [image] [image] [image] [image] "


CHAR

See Also

Returns the character specified by a number. Use CHAR to translate code page numbers you might get from files on other types of computers into characters.

Operating environment | Character set
Macintosh | Macintosh character set
Windows | ANSI

Syntax

CHAR(number)

Number is a number between 1 and 255 specifying which character you want. The character is from the character set used by your computer.

Examples

CHAR(65) equals "A"

CHAR(33) equals "!"


CLEAN

See Also

Removes all nonprintable characters from text. Use CLEAN on text imported from other applications that contains characters that may not print with your operating system. For example, you can use CLEAN to remove some low-level computer code that is frequently at the beginning and end of data files and cannot be printed.

Syntax

CLEAN(text)

Text is any worksheet information from which you want to remove nonprintable characters.

Example

Because CHAR(7) returns a nonprintable character:

CLEAN(CHAR(7)&"text"&CHAR(7)) equals "text"


CODE

See Also

Returns a numeric code for the first character in a text string. The returned code corresponds to the character set used by your computer.

Operating environment | Character set
Macintosh | Macintosh character set
Windows | ANSI

Syntax

CODE(text)

Text is the text for which you want the code of the first character.

Examples

CODE("A") equals 65

CODE("Alphabet") equals 65


CONCATENATE

See Also

Joins several text strings into one text string.

Syntax

CONCATENATE (text1,text2,...)

Text1, text2, ... are 1 to 30 text items to be joined into a single text item. The text items can be text strings, numbers, or single-cell references.

Remarks

The "&" operator can be used instead of CONCATENATE to join text items.

Examples

CONCATENATE("Total ", "Value") equals "Total Value". This is equivalent to typing
"Total"&" "&"Value"

Suppose in a stream survey worksheet, C2 contains "species", C5 contains " brook trout", and C8 contains the total 32.

CONCATENATE("Stream population for ",C5," ",C2," is ",C8,"/mile") equals "Stream population for brook trout species is 32/mile"


DOLLAR

See Also

Converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00).

Syntax

DOLLAR(number,decimals)

Number is a number, a reference to a cell containing a number, or a formula that evaluates to a number.

Decimals is the number of digits to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, it is assumed to be 2.

Remark

The major difference between formatting a cell that contains a number with the Cells command (Format menu) and formatting a number directly with the DOLLAR function is that DOLLAR converts its result to text. A number formatted with the Cells command is still a number. You can continue to use numbers formatted with DOLLAR in formulas, because Microsoft Excel converts numbers entered as text values to numbers when it calculates.

Examples

DOLLAR(1234.567, 2) equals "$1,234.57"

DOLLAR(1234.567, -2) equals "$1,200"

DOLLAR(-1234.567, -2) equals "($1,200)"

DOLLAR(-0.123, 4) equals "($0.1230)"

DOLLAR(99.888) equals "$99.89"


EXACT

See Also

Compares two text strings and returns TRUE if they are exactly the same, FALSE otherwise. EXACT is case-sensitive but ignores formatting differences. Use EXACT to test text being entered into a document.

Syntax

EXACT(text1,text2)

Text1 is the first text string.

Text2 is the second text string.

Examples

EXACT("word","word") equals TRUE

EXACT("Word","word") equals FALSE

EXACT("w ord","word") equals FALSE

To make sure that a user-entered value matches a value in a range, enter the following formula as an array in a cell. To enter an array formula, press CTRL+SHIFT+ENTER in Microsoft Excel for Windows or COMMAND +ENTER in Microsoft Excel for the Macintosh. The name TestValue refers to a cell containing a user-entered value; the name CompareRange refers to a list of text values to be checked.

{=OR(EXACT(TestValue, CompareRange))}


FIND

See Also

Also applies to:

FINDB

FIND finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text, from the first character of within_text. You can also use SEARCH to find one text string within another, but unlike SEARCH, FIND is case sensitive and doesn't allow wildcard characters.

FINDB finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text, based on the number of bytes each character uses, from the first character of within_text. This function is for use with double-byte characters. You can also use SEARCHB to find one text string within another.

Syntax

FIND(find_text,within_text,start_num)

FINDB(find_text,within_text,start_num)

Find_text is the text you want to find.

  • If find_text is "" (empty text), FIND matches the first character in the search string (that is, the character numbered start_num or 1).

  • Find_text cannot contain any wildcard characters.

Within_text is the text containing the text you want to find.

Start_num specifies the character at which to start the search. The first character in within_text is character number 1. If you omit start_num, it is assumed to be 1.

Tip Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. FIND begins with character 8, finds find_text at the next character, and returns the number 9. FIND always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • If find_text does not appear in within_text, FIND and FINDB return the #VALUE! error value.

  • If start_num is not greater than zero, FIND and FINDB return the #VALUE! error value.

  • If start_num is greater than the length of within_text, FIND and FINDB return the #VALUE! error value.

Examples

FIND("M","Miriam McGovern") equals 1

FIND("m","Miriam McGovern") equals 6

FIND("M","Miriam McGovern",3) equals 8

In the following examples, FIND returns 2 because "" is in the second position within the string, and FINDB returns 3 because each character is counted by its bytes; the first character has 2 bytes, so the second character begins at byte 3.

FIND(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 2

FINDB(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 3

Suppose you have a list of parts and serial numbers on a worksheet, and you want to extract the names of the parts, but not the serial numbers, from each cell. You can use the FIND function to find the # symbol and the MID function to omit the serial number. A2:A4 contain the following parts with serial numbers, respectively: "Ceramic Insulators #124-TD45-87", "Copper Coils #12-671-6772", "Variable Resistors #116010".

MID(A2,1,FIND(" #",A2,1)-1) returns "Ceramic Insulators"

MID(A3,1,FIND(" #",A3,1)-1) returns "Copper Coils"

MID(A4,1,FIND(" #",A4,1)-1) returns "Variable Resistors"


FIXED

See Also

Rounds a number to the specified number of decimals, formats the number in decimal format using a period and commas, and returns the result as text.

Syntax

FIXED(number,decimals,no_commas)

Number is the number you want to round and convert to text.

Decimals is the number of digits to the right of the decimal point.

No_commas is a logical value that, if TRUE, prevents FIXED from including commas in the returned text. If no_commas is FALSE or omitted, then the returned text includes commas as usual.

  • Numbers in Microsoft Excel can never have more than 15 significant digits, but decimals can be as large as 127.

  • If decimals is negative, number is rounded to the left of the decimal point.

  • If you omit decimals, it is assumed to be 2.

Remark

The major difference between formatting a cell containing a number with the Cells command (Format menu) and formatting a number directly with the FIXED function is that FIXED converts its result to text. A number formatted with the Cells command is still a number.

Examples

FIXED(1234.567, 1) equals "1234.6"

FIXED(1234.567, -1) equals "1230"

FIXED(-1234.567, -1) equals "-1230"

FIXED(44.332) equals "44.33"


JIS

See also

Changes half-width (single-byte) English letters or katakana within a character string to full-width (double-byte) characters.

Syntax

JIS(text)

Text is the text or a reference to a cell that contains the text you want to change. If text does not contain any half-width English letters or katakana, text is not changed.

Examples

JIS("EXCEL") equals "EXCEL"

JIS(" [image] [image] [image] [image] ") equals " [image] [image] [image] [image] "


LEFT

See Also

Also applies to:

LEFTB

LEFT returns the first character or characters in a text string, based on the number of characters you specify.

LEFTB returns the first character or characters in a text string, based on the number of bytes you specify. This function is for use with double-byte characters.

Syntax

LEFT(text,num_chars)

LEFTB(text,num_bytes)

Text is the text string that contains the characters you want to extract.

Num_chars specifies the number of characters you want LEFT to extract.

  • Num_chars must be greater than or equal to zero.

  • If num_chars is greater than the length of text, LEFT returns all of text.

  • If num_chars is omitted, it is assumed to be 1.

Num_bytes specifies the number of characters you want LEFTB to extract, based on bytes.

Examples

LEFT("Sale Price",4) equals "Sale"

If A1 contains "Sweden", then:

LEFT(A1) equals "S"

Some accounting programs display negative values with the negative sign (–) to the right of the value. If you import a file created in a program that stores negative values in this way, Microsoft Excel might import the values as text. To convert the text strings to values, you must return all of the characters of the text string except the rightmost character (the negation sign), and then multiply the result by –1. For the num_chars argument, use the LEN worksheet function to count the number of characters in the text string, and then subtract 1. For example, if the value in cell A2 is "156–" the following formula converts the text to the value –156:

LEFT(A2,LEN(A2)–1)*–1 equals – 156

LEFTB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ",4) equals " Tokyo to Shibuya Tokyo to Shibuya "


LEN

See Also

Also applies to:

LENB

LEN returns the number of characters in a text string.

LENB returns the number of bytes used to represent the characters in a text string. This function is for use with double-byte characters.

Syntax

LEN(text)

LENB(text)

Text is the text whose length you want to find. Spaces count as characters.

Examples

LEN("Phoenix, AZ") equals 11

LEN("") equals 0

LENB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 6


LOWER

See Also

Converts all uppercase letters in a text string to lowercase.

Syntax

LOWER(text)

Text is the text you want to convert to lowercase. LOWER does not change characters in text that are not letters.

Examples

LOWER("E. E. Cummings") equals "e. e. cummings"

LOWER("Apt. 2B") equals "apt. 2b"

LOWER is similar to PROPER and UPPER. Also see examples for PROPER.


MID

See Also

Also applies to:

MIDB

MID returns a specific number of characters from a text string, starting at the position you specify, based on the number of characters you specify.

MIDB returns a specific number of characters from a text string, starting at the position you specify, based on the number of bytes you specify. This function is for use with double-byte characters.

Syntax

MID(text,start_num,num_chars)

MIDB(text,start_num,num_bytes)

Text is the text string containing the characters you want to extract.

Start_num is the position of the first character you want to extract in text. The first character in text has start_num 1, and so on.

  • If start_num is greater than the length of text, MID returns "" (empty text).

  • If start_num is less than the length of text, but start_num plus num_chars exceeds the length of text, MID returns the characters up to the end of text.

  • If start_num is less than 1, MID returns the #VALUE! error value.

Num_chars specifies the number of characters you want MID to return from text. If num_chars is negative, MID returns the #VALUE! error value.

Num_bytes specifies the number of characters you want MIDB to return from text, in bytes. If num_bytes is negative, MIDB returns the #VALUE! error value.

Examples

MID("Fluid Flow",1,5) equals "Fluid"

MID("Fluid Flow",7,20) equals "Flow"

MID("1234",5,5) equals "" (empty text)

Also see the examples for CODE and FIND.

MIDB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ",1,6) equals " Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya "


PHONETIC

See also

Extracts the phonetic (furigana) characters from a text string.

Syntax

PHONETIC(reference)

Reference is a text string or a reference to a single cell or a range of cells that contain a furigana text string.

  • If reference is a range of cells, the furigana text string in the upper-left corner cell of the range is returned.

  • If the reference is a range of nonadjacent cells, the #N/A error value is returned.

Examples

If cells C4 contains " [image] [image] [image] " and cell B7 contains " [image] [image] [image] ", the following are true:

PHONETIC(C4) equals " [image] [image] [image] [image] [image] [image] "

PHONETIC(B7) equals " [image] [image] [image] [image] [image] "


PROPER

See Also

Capitalizes the first letter in a text string and any other letters in text that follow any character other than a letter. Converts all other letters to lowercase letters.

Syntax

PROPER(text)

Text is text enclosed in quotation marks, a formula that returns text, or a reference to a cell containing the text you want to partially capitalize.

Examples

PROPER("this is a TITLE") equals "This Is A Title"

PROPER("2-cent's worth") equals "2-Cent'S Worth"

PROPER("76BudGet") equals "76Budget"


REPLACE

See Also

Also applies to:

REPLACEB

REPLACE replaces part of a text string, based on the number of characters you specify, with a different text string.

REPLACEB replaces part of a text string, based on the number of bytes you specify, with a different text string. This function is for use with double-byte characters.

Syntax

REPLACE(old_text,start_num,num_chars,new_text)

REPLACEB(old_text,start_num,num_bytes,new_text)

Old_text is text in which you want to replace some characters.

Start_num is the position of the character in old_text that you want to replace with new_text.

Num_chars is the number of characters in old_text that you want REPLACE to replace with new_text.

Num_bytes is the number of bytes in old_text that you want REPLACEB to replace with new_text.

New_text is the text that will replace characters in old_text.

Examples

The following formula replaces five characters with new_text, starting with the sixth character in old_text:

REPLACE("abcdefghijk",6,5,"*") equals "abcde*k"

The sixth through tenth characters are all replaced with "*".

The following formula replaces the last two digits of 1990 with 91:

REPLACE("1990",3,2,"91") equals "1991"

If cell A2 contains "123456", then:

REPLACE(A2,1,3,"@") equals "@456"

If the RIGHT function returns "ABCDEF", then:

REPLACE(RIGHT(A3,6),1,6,"*") equals "*"

In the following example, the first three double-byte characters in cell C4 are replaced with " Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ":

REPLACEB(C4,1,6," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ")


REPT

See Also

Repeats text a given number of times. Use REPT to fill a cell with a number of instances of a text string.

Syntax

REPT(text,number_times)

Text is the text you want to repeat.

Number_times is a positive number specifying the number of times to repeat text. If number_times is 0 (zero), REPT returns "" (empty text). If number_times is not an integer, it is truncated. The result of the REPT function cannot be longer than 32,767 characters.

Tip You can use this function to create a simple histogram on your worksheet.

Examples

REPT("*-", 3) equals "*-*-*-"

If A3 contains "Sales", then:

REPT($A$3, 2.9) equals "SalesSales"


RIGHT

See Also

Also applies to:

RIGHTB

RIGHT returns the last character or characters in a text string, based on the number of characters you specify.

RIGHTB returns the last character or characters in a text string, based on the number of bytes you specify. This function is for use with double-byte characters.

Syntax

RIGHT(text,num_chars)

RIGHTB(text,num_bytes)

Text is the text string containing the characters you want to extract.

Num_chars specifies the number of characters you want RIGHT to extract.

  • Num_chars must be greater than or equal to zero.

  • If num_chars is greater than the length of text, RIGHT returns all of text.

  • If num_chars is omitted, it is assumed to be 1.

Num_bytes specifies the number of characters you want RIGHTB to extract, based on bytes.

Examples

RIGHT("Sale Price",5) equals "Price"

RIGHT("Stock Number") equals "r"

RIGHTB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ",2) equals " Tokyo to Shibuya "

RIGHT and RIGHTB are similar to LEFT and LEFTB; for more examples, see LEFT.


SEARCH

See Also

Also applies to:

SEARCHB

SEARCH returns the number of the character at which a specific character or text string is first found, beginning with start_num. Use SEARCH to determine the location of a character or text string within another text string so that you can use the MID or REPLACE functions to change the text.

SEARCHB also finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text. The result is based on the number of bytes each character uses, beginning with start_num. This function is for use with double-byte characters You can also use FINDB to find one text string within another.

Syntax

SEARCH(find_text,within_text,start_num)

SEARCHB(find_text,within_text,start_num)

Find_text is the text you want to find. You can use the wildcard characters, question mark (?) and asterisk (*), in find_text. A question mark matches any single character; an asterisk matches any sequence of characters. If you want to find an actual question mark or asterisk, type a tilde (~) before the character. If find_text is not found, the #VALUE! error value is returned.

Within_text is the text in which you want to search for find_text.

Start_num is the character number in within_text at which you want to start searching.

  • If start_num is omitted, it is assumed to be 1.

  • If start_num is not greater than 0 (zero) or is greater than the length of within_text, the #VALUE! error value is returned.

Tip Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. SEARCH begins with character 8, finds find_text at the next character, and returns the number 9. SEARCH always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • SEARCH and SEARCHB do not distinguish between uppercase and lowercase letters when searching text.

  • SEARCH and SEARCHB are similar to FIND and FINDB, except that FIND and FINDB are case sensitive.

Examples

SEARCH("e","Statements",6) equals 7

If cell B17 contains the word "margin", and cell A14 contains "Profit Margin", then:

SEARCH($B$17,$A$14) equals 8

Use SEARCH or SEARCHB with the REPLACE function to provide REPLACE with the correct start_num at which to begin inserting new text. Using the same cell references as the previous example:

REPLACE($A$14,SEARCH($B$17,$A$14),6,"Amount") returns the text "Profit Amount"

In the following examples, SEARCH returns 2 because "" is in the second position within the string, and SEARCHB returns 3 because each character is counted by its bytes; the first character has 2 bytes, so the second character begins at byte 3.

SEARCH(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 2

SEARCHB(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 3


SUBSTITUTE

See Also

Substitutes new_text for old_text in a text string. Use SUBSTITUTE when you want to replace specific text in a text string; use REPLACE when you want to replace any text that occurs in a specific location in a text string.

Syntax

SUBSTITUTE(text,old_text,new_text,instance_num)

Text is the text or the reference to a cell containing text for which you want to substitute characters.

Old_text is the text you want to replace.

New_text is the text you want to replace old_text with.

Instance_num specifies which occurrence of old_text you want to replace with new_text. If you specify instance_num, only that instance of old_text is replaced. Otherwise, every occurrence of old_text in text is changed to new_text.

Examples

SUBSTITUTE("Sales Data", "Sales", "Cost") equals "Cost Data"

SUBSTITUTE("Quarter 1, 1991", "1", "2", 1) equals "Quarter 2, 1991"

SUBSTITUTE("Quarter 1, 1991", "1", "2", 3) equals "Quarter 1, 1992"

To replace every occurrence of the text constant named Separator in the cell named CellCont2 with square brackets:

SUBSTITUTE(CellCont2, Separator, "] [")


T

See Also

Returns the text referred to by value.

Syntax

T(value)

Value is the value you want to test. If value is or refers to text, T returns value. If value does not refer to text, T returns "" (empty text).

Remark

You do not generally need to use the T function in a formula because Microsoft Excel automatically converts values as necessary. This function is provided for compatibility with other spreadsheet programs.

Examples

If B1 contains the text "Rainfall":

T(B1) equals "Rainfall"

If B2 contains the number 19:

T(B2) equals ""

T("True") equals "True"

T(TRUE) equals ""


TEXT

See Also

Converts a value to text in a specific number format.

Syntax

TEXT(value,format_text)

Value is a numeric value, a formula that evaluates to a numeric value, or a reference to a cell containing a numeric value.

Format_text is a number format in text form from in the Category box on the Number tab in the Format Cells dialog box. Format_text cannot contain an asterisk (*) and cannot be the General number format.

Remark

Formatting a cell with an option on the Number tab (Cells command, Format menu) changes only the format, not the value. Using the TEXT function converts a value to formatted text, and the result is no longer calculated as a number.

Examples

TEXT(2.715, "$0.00") equals "$2.72"

TEXT("4/15/91", "mmmm dd, yyyy") equals "April 15, 1991"


TRIM

See Also

Removes all spaces from text except for single spaces between words. Use TRIM on text that you have received from another application that may have irregular spacing.

Syntax

TRIM(text)

Text is the text from which you want spaces removed.

Example

TRIM(" First   Quarter Earnings   ") equals "First Quarter Earnings"


UPPER

See Also

Converts text to uppercase.

Syntax

UPPER(text)

Text is the text you want converted to uppercase. Text can be a reference or text string.

Examples

UPPER("total") equals "TOTAL"

If E5 contains "yield", then:

UPPER(E5) equals "YIELD"


VALUE

See Also

Converts a text string that represents a number to a number.

Syntax

VALUE(text)

Text is the text enclosed in quotation marks or a reference to a cell containing the text you want to convert. Text can be in any of the constant number, date, or time formats recognized by Microsoft Excel. If text is not in one of these formats, VALUE returns the #VALUE! error value.

Remark

You do not generally need to use the VALUE function in a formula because Microsoft Excel automatically converts text to numbers as necessary. This function is provided for compatibility with other spreadsheet programs.

Examples

VALUE("$1,000") equals 1,000

VALUE("16:48:00")-VALUE("12:00:00") equals "16:48:00"-"12:00:00" equals 0.2, the serial number equivalent to 4 hours and 48 minutes.


YEN

See also

Converts a number to text, using the ¥ (yen) currency format, with the number rounded to a specified place.

In Microsoft Excel for Windows, you can change the yen format to a different style by using Regional Settings in the Windows Control Panel.

In Excel for the Macintosh, you can change the yen number format to a different style by using the Control Panel for Numbers.

Syntax

YEN(number,decimals)

Number is a number you want to convert to text, or a reference to a cell containing a number, or a formula that evaluates to a number.

Decimals is the number of digits you want number rounded to. If decimals is a positive number, the digits to the right of the decimal point are rounded. If decimals is negative, digits to the left of the decimal point are rounded. If decimals is omitted, it is assumed to be 0 (zero) and so number is not rounded.

Remarks

The major difference between formatting a cell that contains a number with the Cells command (Format menu) and formatting a number directly with the YEN function is that YEN converts its result to text. A number formatted with the Cells command is still a number. You can continue to use numbers formatted with YEN in formulas because Microsoft Excel converts numbers that were entered as text values to numbers when it calculates.

Examples

YEN(1234.567,2) equals "¥1,234.57"

YEN(1234.567,-2) equals "¥1,200"

YEN(-1234.567,-2) equals "¥-1,200"

YEN(-0.123,4) equals "¥-0.1230"

YEN(99.888) equals "¥100"


 About labels and names in formulas

About labels and names in formulas

Worksheets often have labels at the top of each column and to the left of each row that describe the data within the worksheet. You can use these labels within formulas when you want to refer to the related data. You can also create descriptive names that are not labels on the worksheet to represent cells, ranges of cells, formulas, or constants.

Note By default, Microsoft Excel does not recognize labels in formulas. To use labels in formulas, click Options on the Tools menu, and then click the Calculation tab. Under Workbook options, select the Accept labels in formulas check box.

Use labels to represent cells When you create a formula that refers to data in a worksheet, you can use the column and row labels in the worksheet to refer to the data. For example, the following example contains columns labeled Product 1, Product 2, and Product 3. To calculate the total value for the Product 1 column, use the formula =SUM(Product 1).

Using a label

Or if you need to refer to the Product 3 amount for the East division (that is, the value 110.00), you can use the formula =Product 3 East. The space in the formula between "Product 3" and "East" is the intersection operator. This operator designates that Microsoft Excel should find and return the value in the cell at the intersection of the row labeled East and the column labeled Product 3. Learn about using multiple labels in formulas.

Define names to represent cells If your data does not have labels or if you have information stored on one worksheet that you want to use on other sheets, you can create a name that describes the cell or range. A descriptive name in a formula can make it easier to understand the purpose of the formula. For example, the formula =SUM(FirstQuarterSales) might be easier to identify than =SUM(Sales!C20:C30). In this example, the name FirstQuarterSales represents the range C20:C30 on the worksheet named Sales.

Names are available to any sheet. For example, if the name ProjectedSales refers to the range A20:A30 on the first worksheet in a workbook, you can use the name ProjectedSales on any other sheet in the same workbook to refer to range A20:A30 on the first worksheet. Names can also be used to represent formulas or values that do not change (constants). For example, you can use the name SalesTax to represent the sales tax amount (such as 6.2 percent) applied to sales transactions.

Note By default, names use absolute cell references.


About labeling ranges by using the Label Ranges dialog box

Specifying labels When you select cells in labeled ranges to create formulas, Microsoft Excel can insert the labels in place of cell references in your formulas. Using labels can make it easier to see how a formula is constructed. You can use the Label Ranges dialog box (Insert menu, Name submenu, Label command) to specify the ranges that contain column and row labels on your worksheet.

Using dates as labels When you label a range by using the Label Ranges dialog box and the range contains a year or date as a label, Excel defines the date as a label by placing single quotation marks around the label when you type the label in a formula. For example, suppose your worksheet contains the labels 1996 and 1997 and you have specified these labels by using the Label Ranges dialog box. When you type the formula =SUM(1997), Excel automatically updates the formula to =SUM('1997').

For more information about the options in the Label Ranges dialog box, click the question mark [image] and then click the option.

Tip If you label a list by using the Label command and then zoom the view of the worksheet to 39 percent or less, Excel adds a blue border around the labels you have specified with the Label Ranges command on the worksheet. The blue border does not print and is not displayed when you zoom the worksheet view above 39 percent.


 Guidelines for naming cells, formulas, and constants in Microsoft Excel

Guidelines for naming cells, formulas, and constants in Microsoft Excel

What characters are allowed? The first character of a name must be a letter or an underscore character. Remaining characters in the name can be letters, numbers, periods, and underscore characters.

Can names be cell references? Names cannot be the same as a cell reference, such as Z$100 or R1C1.

Can more than one word be used? Yes, but spaces are not allowed. Underscore characters and periods may be used as word separators — for example, Sales_Tax or First.Quarter.

How many characters? A name can contain up to 255 characters.

Note If a name defined for a range contains more than 253 characters, you cannot select it from the Name box.

Are names case sensitive? Names can contain uppercase and lowercase letters. Microsoft Excel does not distinguish between uppercase and lowercase characters in names. For example, if you have created the name Sales and then create another name called SALES in the same workbook, the second name will replace the first one.


Name cells in a workbook

What do you want to do?

Learn about labels and names in formulas

Name a cell or a range of cells

Name cells by using existing row and column labels

Name cells on more than one worksheet by using a 3-D reference

Not sure which choice you want?


 Create a name to represent a formula or a constant value

Create a name to represent a formula or a constant value

  1. On the Insert menu, point to Name, and then click Define.

    Show Me

  2. In the Names in workbook box, enter the name for the formula.

  3. In the Refers to box, type = (an equal sign), followed by the formula or the constant value.


 Determine what a name refers to

Determine what a name refers to

  1. On the Insert menu, point to Name, and then click Define.

    Show Me

  2. In the Names in workbook list, click the name whose reference you want to check.

    The Refers to box displays the reference, formula, or constant the name represents.

Tip You can also create a list of the available names in a workbook. Locate an area with two empty columns on the worksheet (the list will contain two columns — one for the name and one for a description of the name). Select a cell that will be the upper-left corner of the list. On the Insert menu, point to Name, and then click Paste. In the Paste Name dialog box, click Paste List.


 Change cell references in formulas to names

Change cell references in formulas to names

  1. Select the range that contains formulas in which you want to replace references with names.

    To change the references to names in all formulas on the worksheet, select a single cell.

  2. On the Insert menu, point to Name, and then click Apply.
  3. In the Apply names box, click one or more names.


 Change the cell, formula, or constant represented by a name

Change the cell, formula, or constant represented by a name

  1. On the Insert menu, point to Name, and then click Define.

    Show Me

  2. In the Names in workbook box, click the name whose cell reference, formula, or constant you want to change.

  3. In the Refers to box, change the reference, formula, or constant.


 Change the name for a reference, formula, or constant

Change the name for a reference, formula, or constant

  1. On the Insert menu, point to Name, and then click Define.

    Show Me

  2. In the Names in workbook list, click the name you want to change.

  3. In the Names in workbook box, select the name.

  4. Type the new name for the reference, and then click Add.

  5. To delete the original name, click the original name, and then click Delete.


 Create a name that refers to cells in another workbook

Create a name that refers to cells in another workbook

When you define a name that refers to a cell or range of cells in another workbook, you create a link known as an external reference. When you do this procedure, make sure the workbook you want to refer to is open and that it has been saved.

  1. In the workbook in which you want to create the external reference, point to Name on the Insert menu, and then click Define.

    Show Me

  2. In the Names in workbook box, enter the name for the external reference.

  3. If the Refers to box contains a reference, select the equal sign (=) and the reference and press BACKSPACE.

  4. Activate the workbook that contains the cell you want to refer to by clicking the name of the workbook on the Window menu.

  5. Select the cell or range of cells you want to refer to.

  6. In the Define Name dialog box, click Add.


 About array formulas and how to enter them

About array formulas and how to enter them

An array formula can perform multiple calculations and then return either a single result or multiple results. Array formulas act on two or more sets of values known as array arguments. Each array argument must have the same number of rows and columns. You create array formulas in the same way that you create other formulas, except you press CTRL+SHIFT+ENTER to enter the formula.

Calculate a single result Sometimes Microsoft Excel must perform several calculations to generate a single result. For example, the following worksheet shows that a company has regional offices in Europe and North America and that each region has three product divisions. To find the average revenue per product division for Europe in 1992, you would need to use an array formula.

Array formula that produces single result

Cell C16 contains the array formula =AVERAGE(IF(C5:C14="Europe",D5:D14)), which finds the cells in the range C5:C14 that contain the text "Europe" and then averages the corresponding cells in the range D5:D14.

Calculate multiple results To calculate multiple results with an array formula, you must enter the array into a range of cells that has the same number of rows and columns as the array arguments. In the following example, given a series of three sales figures (in row 5) for a series of three months (in row 3), the TREND function determines the straight-line values for the sales figures. To display all of the results of the formula, it is entered into three cells in row 6 (C6:E6).

Array formula that produces multiple results

When you enter the formula =TREND(C5:E5,C3:E3) as an array formula, it produces three separate results, based on the three sales figures and the three months.

Use constant values You can also use an array formula to calculate single or multiple results for a series of values that have not yet been entered on the worksheet. Array formulas accept constants in the same way that nonarray formulas do, but you must enter the array constants in a certain format. For example, given the same three sales figures in the preceding example, you can project the sales figures for the next two months.

Array formula that uses constant value

Use the formula =TREND(C5:E5,,{4,5}) to project the fourth and fifth values in the monthly sequence based on the first three values.

More information

Values that do not change in an array

Enter an array formula


 Values that do not change in array formulas

Values that do not change in array formulas

A basic, single-value formula produces a single result from one or more arguments or values; you can enter either a reference to a cell that contains a value or the value itself. In an array formula, where you might usually use a reference to a range of cells, you can instead type the array of values contained within the cells. The array of values you type is called an array constant and generally is used when you do not want to enter each value into a separate cell on the worksheet. To create an array constant, you must do the following:

  • Enter the values directly into the formula, enclosed in braces ( { } )

  • Separate values in different columns with commas (,)

  • Separate values in different rows with semicolons (;)

For example, you can enter {10,20,30,40} in an array formula instead of entering 10, 20, 30, 40 in four cells in one row. This array constant is known as a 1-by-4 array and is equivalent to a 1-row-by-4-column reference. To represent the values 10, 20, 30, 40 in one row and 50, 60, 70, 80 in the row immediately below, you would enter a 2-by-4 array constant: {10,20,30,40;50,60,70,80}. Learn about the types of values you can use in an array constant.

More information

How to enter an array formula


 What an array constant can contain

What an array constant can contain

  • Array constants can contain numbers, text, logical values such as TRUE or FALSE, or error values such as #N/A.

  • Numbers in array constants can be in integer, decimal, or scientific format.

  • Text must be enclosed in double quotation marks — for example, "Tuesday".

  • You can use different types of values in the same array constant — for example, {1,3,4;TRUE,FALSE,TRUE}.

  • The values in an array constant must be constants, not formulas.

Array constants cannot contain

  • $ (dollar signs), parentheses, or % (percent signs).

  • Cell references.

  • Columns or rows of unequal length.

More information

Values that do not change in array formulas

How to enter an array formula


 Select a range that contains an array formula

Select a range that contains an array formula

  1. Click any cell in the array range.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Current array.


 About calculation in workbooks

About calculation in workbooks

Calculation is the process of computing formulas and then displaying the results as values in the cells that contain the formulas. By default, Microsoft Excel automatically calculates all open workbooks. However, you can control when calculation occurs.

When are existing formulas recalculated? Excel recalculates those cells that are dependent on other cells that contain values that have changed. This type of calculation helps to avoid unnecessary calculations. Excel also calculates workbooks each time they are opened or saved. How to control when a worksheet or workbook calculates.

Excel calculates stored, not displayed, values The displayed, and printed, value depends on how you choose to format and display the stored value. For example, a cell that displays a date as "6/22/96" also contains a serial number that is the stored value for the date in the cell. You can change the display of the date to another format (for example, to "22-Jun-96"), but changing the display of a value on a worksheet does not change the stored value. How to change the way Excel displays numbers, dates, and times.

Background calculation As calculation proceeds, you can choose commands or perform actions such as entering numbers or formulas. Excel temporarily interrupts calculation to carry out the other commands or actions and then resumes calculation. The calculation process may take more time if the workbook contains a large number of formulas, if the worksheets contain data tables, or if the worksheets contain functions that automatically recalculate every time the workbook is recalculated. Also, the calculation process may take more time if the worksheets contain links to other worksheets or workbooks. Learn about changing the way Microsoft Excel calculates formulas.

More information

Custom number, date, and time format codes

Change the precision of calculations in a workbook


About the way Excel recalculates workbooks that were created in earlier versions

Microsoft Excel 2000 recalculates workbooks that were created in earlier versions of Excel differently than it recalculates Excel 2000–format workbooks. This functionality is new; earlier versions of Excel recalculate all workbooks, regardless of version, the same way.

How Excel 2000 recalculates old and new workbooks When you open a workbook that was created in Excel 2000, Excel recalculates only the formulas that depend on cells that have changed. This behavior is the same as in earlier versions of Excel.

However, when you use Excel 2000 to open a workbook that was created in an earlier version of Excel, the workbook is completely recalculated. Excel 2000 forces all the formulas in the workbook — those that depend on cells that have changed and those that do not — to recalculate. This ensures that the workbook is fully optimized for Excel 2000.

Because complete recalculation can take longer than partial recalculation, opening a workbook that was not previously saved as an Excel 2000 workbook can take longer than usual. However, after you save the workbook as an Excel 2000 workbook, the next time you open it, opening will take less time.

How to fully recalculate a workbook manually If you want to ensure that your workbook is fully recalculated, you can force the recalculation by using the Calculate Full button. To use this button, you must first add it to a toolbar. When you click this button, Excel 2000 completely recalculates the active workbook, including all dependent and independent formulas.

Note You can also fully recalculate your workbook by pressing CTRL+ALT+F9.


Change the way Microsoft Excel calculates formulas

By default, Microsoft Excel automatically recalculates formulas when the cells that the formula depends on have changed.

What do you want to do?

Change when a worksheet or workbook calculates

Change the precision of calculations in a workbook

Change the number of times Microsoft Excel calculates, or iterates, a formula

Not sure which choice you want?


 Manually calculate all open workbooks

Manually calculate all open workbooks

  • Press F9.

Note If you click in the formula bar and then press F9, Microsoft Excel displays the value of the formula or the selected part of the formula. To restore the formula to the cell, press ESC. To restore the formula if you press ENTER, click Undo [image] .


 Formulas that refer back to their own cells

Formulas that refer back to their own cells

When a formula refers back to its own cell, either directly or indirectly, it is called a circular reference. To calculate such a formula, Microsoft Excel must calculate each cell involved in the circular reference once by using the results of the previous iteration. Unless you change the default settings for iteration, Excel stops calculating after 100 iterations or after all values in the circular reference change by less than 0.001 between iterations, whichever comes first.

Find circular references with the Circular Reference toolbar Excel cannot resolve formulas with circular references by using normal calculation. When you make a circular reference, a message warns you that a circular reference has occurred. If the circular reference is accidental, click OK. The Circular Reference toolbar appears, and tracer arrows point to each cell that is referenced by the circular reference. You can use the Circular Reference toolbar to move through each cell in the reference so that you can redesign the formulas or logic to break the circular reference. (Some scientific and engineering formulas require circular references.) How to locate cells that create a circular reference.

Change the number of iterations Because some formulas require a circular reference, you may need to change the number of iterations. How to change the number of times Microsoft Excel iterates a formula.


 Locate cells that create a circular reference

Locate cells that create a circular reference

Microsoft Excel cannot automatically calculate all open workbooks when one of them contains a circular reference, a formula that directly or indirectly refers back to the cell that contains the formula.

To locate the cells in the circular reference, use the Circular Reference toolbar. The toolbar helps you move to each cell in the circular reference so that you can change the formulas as needed to correct the circular reference.

  1. On the Circular Reference toolbar, click the first cell in the Navigate Circular Reference box.

  2. Review the formula in the cell. If you cannot determine whether the cell is the cause of the circular reference, click the next cell in the Navigate Circular Reference box.

  3. Continue to review and correct the circular reference until the status bar no longer displays the word "Circular."

Tips

  • To display the Circular Reference toolbar manually, click Customize on the Tools menu, click the Toolbars tab, and then select the Circular Reference check box.

  • The status bar displays the word "Circular," followed by a reference to one of the cells contained in the circular reference. If the word "Circular" appears without a cell reference, the active worksheet does not contain the circular reference.

  • When the Circular Reference toolbar appears, tracer arrows that point out the cells that depend on the formula appear.

  • You can move between cells in a circular reference by double-clicking the tracer arrows.

  • For more information about circular references in formulas, click [image] .


About using formulas to calculate values on other worksheets and workbooks

You can share data stored on different worksheets and workbooks by using linking, or external references. Linking is especially useful when it is not practical to keep large worksheet models together in the same workbook. How to create a formula to calculate data on another worksheet or workbook.

Link to another worksheet in the same workbook In the following example, the AVERAGE worksheet function calculates the average value for the range B1:B10 on the worksheet named Marketing in the same workbook.

Link to another worksheet in the same workbook

Note that the name of the worksheet and an exclamation point (!) precede the range reference.

Link to a worksheet in another workbook Not only can you create links between different worksheets, but you can also construct hierarchies of linked workbooks. For example, a group of sales offices may track data in individual workbooks; the data is then rolled into a workbook that summarizes the data at the district level, which is then rolled into a workbook that summarizes data at a regional level.

Note When cells that supply data to a link are changed, Excel updates the link automatically only if the workbook containing the link is open. If you do link workbooks, be sure to update the dependent workbooks when you update or change values in the source workbooks. If a dependent workbook is open when you change data in the source workbook, Excel updates the dependent workbook automatically. If the dependent workbook is not open, you can update the links manually. Learn about updating a linked workbook manually.

Excel displays formulas with links to other workbooks two ways, depending on whether the source workbook — the one that supplies data to a formula — is open or closed. When the source is open, the link includes the workbook name in square brackets, followed by the worksheet name, an exclamation point ( ! ), and the cells that the formula depends on. When the source is closed, the link includes the entire path.

Link to a worksheet in another workbook

The source workbook for this formula is not open, so the link includes the complete path. If Budget.xls were open, the formula would appear as =SUM([Budget.xls]Annual!C10:C25).

Note If the name of the other worksheet or workbook contains nonalphabetic characters, you must enclose the name (or the path) within single quotation marks.

Where links can be used effectively

  • Merge data from several workbooks You can link workbooks from several users or departments and then integrate the pertinent data into a summary workbook. That way, when the source workbooks are changed, you won't have to manually change the summary workbook.

  • Create different views of your data You can enter all of your data into one or more source workbooks and then create a report workbook that contains links to only the pertinent data.

  • Streamline large, complex models By breaking down a complicated model into a series of interdependent workbooks, you can work on the model without opening all of its related sheets. Smaller workbooks are easier to change, don't require as much memory, and are faster to open, save, and calculate.


 Create a formula to calculate data on another worksheet or workbook

Create a formula to calculate data on another worksheet or workbook

If you are linking to a new workbook, save the new workbook before creating the link.

  1. In the workbook that will contain the formula, select the cell in which you want to enter the external reference.

  2. If you are creating a new formula, type = (an equal sign).

    If you are entering the external reference elsewhere in the formula, type the operator or function that you want to precede the external reference.

  3. If you want to create a link to another worksheet in the active workbook, click the worksheet that contains the cells you want to link to.

    If you want to create a link to a worksheet in another workbook, switch to the other workbook, and then click the worksheet that contains the cells you want to link to.

  4. Select the cells you want to link to.

  5. Complete the formula. When you finish entering the formula, press ENTER.


 Open a workbook referenced by a formula

Open a workbook referenced by a formula

  1. Switch to the workbook that contains the formula with the external reference.

  2. On the Edit menu, click Links.

  3. In the Source file box, click the name of the workbook you want to open.

  4. Click Open Source.


 Update references to a workbook that has been renamed or moved

Update references to a workbook that has been renamed or moved

  1. Open the workbook that contains the formula with the external reference that refers to the renamed or moved workbook.

  2. On the Edit menu, click Links.

  3. In the Source file box, click the name of the workbook for which you want to update the reference.

  4. Click Change Source.

  5. In the Change Links dialog box, click the workbook you want to refer to.


Auditing: Trace the relationships between formulas and cells (Overview)

To display this topic, click the graphic.

To display this topic, click the graphic


Locate cells referenced by a formula

What do you want to do?

Locate, or trace, cells that provide data to a formula (precedents)

Locate, or trace, cells that cause errors in a formula

Locate or change the cells a formula refers to by using Range Finder

Not sure which choice you want?


 Locate cells that cause errors in a formula

Locate cells that cause errors in a formula

  1. Display the Auditing toolbar by pointing to Auditing on the Tools menu and then clicking Show Auditing Toolbar.

    Before you use the Auditing toolbar, make sure Show all or Show placeholders is selected under Objects on the View tab in the Options dialog box (Tools menu).

  2. Click the cell that displays the error.

  3. Click Trace Error [image] .

Note To select the cell at the other end of an arrow, double-click the arrow.


 Locate cells that don't match the value in a particular cell

Locate cells that don't match the value in a particular cell

This procedure locates cells on the same worksheet as the comparison cell.

  1. Select the range in which you want to compare cells.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. To select the cells in the active row that are different from the active cell, click Row differences.

    To select the cells in the active column that are different from the active cell, click Column differences.


 Locate cells that provide data to a formula

Locate cells that provide data to a formula

  1. Display the Auditing toolbar by pointing to Auditing on the Tools menu and then clicking Show Auditing Toolbar.

    Before you use the Auditing toolbar, make sure Show all or Show placeholders is selected under Objects on the View tab in the Options dialog box (Tools menu).

  2. Select the cell that contains the formula for which you want to find precedent cells.

  3. To display a tracer arrow to each cell that directly provides data to the active cell, click Trace Precedents [image] on the Auditing toolbar.

    To identify the next level of cells that provide data to the active cell, click Trace Precedents [image] again.

Notes

  • Blue arrows show cells in the same worksheet that provide data to the formula in the selected cell. Red arrows show cells that cause errors. If the selected cell contains a reference to another worksheet or workbook, a black arrow points from a worksheet icon worksheet icon to the selected cell.

  • To select the cell at the other end of an arrow, double-click the arrow. To select a precedent cell in another worksheet or workbook, double-click the black arrow and then double-click the reference you want in the Go to list.

  • If the precedent cell is in another workbook, that workbook must be open before you can select the precedent cell.


 Locate formulas that use the value in a particular cell

Locate formulas that use the value in a particular cell

  1. Display the Auditing toolbar by pointing to Auditing on the Tools menu and then clicking Show Auditing Toolbar.

    Before you use the Auditing toolbar, make sure Show all or Show placeholders is selected under Objects on the View tab in the Options dialog box (Tools menu).

  2. Select the cell for which you want to identify the dependent cells.

  3. To display a tracer arrow to each cell that is dependent on the active cell, click Trace Dependents [image] on the Auditing toolbar.

    To identify the next level of cells that depend on the active cell, click Trace Dependents [image] again.

Notes

  • Blue arrows show cells in the same worksheet that are dependent on the selected cell. Red arrows show cells that cause errors. If the selected cell is referenced by a cell on another worksheet or workbook, a black arrow points from the selected cell to a worksheet icon worksheet icon.

  • If the dependent cell is in another workbook, that workbook must be open before Excel can trace the dependent cell.

  • To select the cell at the other end of an arrow, double-click the arrow. To select a dependent cell on another worksheet or workbook, double-click the black arrow and then double-click the reference you want in the Go to list.


 Locate or change the cells a formula refers to by using Range Finder

Locate or change the cells a formula refers to by using Range Finder

  1. Double-click the cell that contains the formula you want to change. Microsoft Excel highlights each cell or range of cells with a different color.

  2. To change a cell or range reference to a different cell or range, drag the color-coded border of the cell or range to the new cell or range.

    To include more or fewer cells in a reference, use the drag handle in the lower-right corner of the border to select more or fewer cells.

  3. When you finish updating the references, press ENTER.

    If the formula is an array formula, press CTRL+SHIFT+ENTER.


 Remove one or more levels of tracer arrows

Remove one or more levels of tracer arrows

  1. Display the Auditing toolbar by pointing to Auditing on the Tools menu and then clicking Show Auditing Toolbar.

    Before you use the Auditing toolbar, make sure Show all or Show placeholders is selected under Objects on the View tab in the Options dialog box (Tools menu).

  2. To remove tracer arrows one level at a time, starting with the dependent cell farthest away from the active cell, click Remove Dependent Arrows [image] . To remove another level of tracer arrows, click the button again.

    To remove tracer arrows one level at a time, starting with the precedent cell farthest away from the active cell, click Remove Precedent Arrows [image] . To remove another level of tracer arrows, click the button again.

    To remove all tracer arrows on the worksheet, click Remove All Arrows [image] on the Auditing toolbar.


 Circle incorrect values in cells

Circle incorrect values in cells

When you audit a worksheet for incorrect entries, Microsoft Excel identifies all cells that contain values that are outside the limits you set by using the Validation command on the Data menu, including values that were typed, copied, or filled in the cells, values that became incorrect because of calculations in formulas, and values placed in cells by macros.

  1. Make sure the Auditing toolbar is displayed by pointing to Auditing on the Tools menu, and then making sure the Show Auditing Toolbar command is checked.

  2. On the Auditing toolbar, click Circle Invalid Data [image] .

Notes

  • If the worksheet has more than 255 cells that contain invalid data, Microsoft Excel circles only 255 of the cells. To circle more cells, correct some of the invalid cells, and then click Circle Invalid Data [image] again.

  • If you are using the manual calculation option, and you set up restrictions that involve calculations using the entry, you may see a message that requires you to recalculate the worksheet when you identify incorrect entries. To avoid seeing this message, click Options on the Tools menu, and then click the Calculation tab. Under Calculation, click Automatic.

Tip To see what data restrictions and messages are in effect for a cell, click the cell, and then click Validation on the Data menu.


Troubleshoot formulas and error values

If a formula cannot properly evaluate a result, Microsoft Excel will display an error value. For example, error values can be the result of using text where a formula expects a numeric value, deleting a cell that is referenced by a formula, or using a cell that is not wide enough to display the result.

Error values might not be caused by the formula itself. For example, if a formula shows #N/A or #VALUE!, a cell referenced by the formula may contain the error. You can locate cells that provide error values to other formulas by using the auditing tools. Learn about locating cells that cause errors.

Which error value do you need help with?

The error #####

The error #VALUE!

The error #DIV/0!

The error #NAME?

The error #N/A

The error #REF!

The error #NUM!

The error #NULL!

More information about errors in formulas


Troubleshoot auditing a worksheet

What do you need help with?

Why are the auditing commands unavailable on my worksheet?

Why are the buttons on the Auditing toolbar unavailable?

When I change my worksheet, the tracer arrows disappear.

Microsoft Excel beeps when I click the Trace Dependents button or the Trace Precedents button.

When I try to trace errors, Microsoft Excel stops before it finds the source of the error.

I receive an error when I try to go to a cell in another workbook.

What happened to the Info Window?


About charts

To display this topic, click the graphic.

To display this topic, click the graphic


 Create a chart

Create a chart

You can create either an embedded chart or a chart sheet.

  1. Select the cells that contain the data that you want to appear in the chart.

    If you want the column and row labels to appear in the chart, include the cells that contain them in the selection.

  2. Click Chart Wizard [image] .

  3. Follow the instructions in the Chart Wizard.

Tips

  • You can create a chart quickly without using the Chart Wizard.

  • You can create a chart from a PivotTable report, called a PivotChart report, that allows you to display different views of data.

  • You can create a chart from nonadjacent selections of cells.

  • If your worksheet has multiple levels of row and column labels, your chart can also display those levels. When you create the chart, include the row and column labels for each level in your selection. To preserve the hierarchy when you add data to the chart, change the cell range used to create the chart.


 Create a chart in one step

Create a chart in one step

  • To create a chart sheet that uses the default chart type, select the data you want to plot, and then press F11.

  • To create an embedded chart that uses the default chart type, select the data you want to plot, and then click Default Chart [image] . If the Default Chart button is not available, add it to a toolbar.

    How?

Notes

  • When you create a chart using this quick procedure, the default chart type for Microsoft Excel is used. The default chart type is a column chart, unless you have changed it or unless you are creating a PivotChart report. The default chart type for a PivotChart report is a stacked column chart.

  • You cannot create an embedded PivotChart report in one step. PivotChart reports are always initially placed on chart sheets. You can change the location of the PivotChart report to be embedded on a worksheet after it is created.


 Create a chart from nonadjacent selections

Create a chart from nonadjacent selections

  1. Select the first group of cells that contain the data you want to include.

  2. While holding down CTRL, select any additional cell groups you want to include.

    The nonadjacent selections must form a rectangle.

    Nonadjacent selections treated as rectangle

  3. Click Chart Wizard [image] .

  4. Follow the instructions in the Chart Wizard.

Note This procedure does not apply to PivotChart reports.


Ways to customize a chart

What do you want to do?

Select the chart item you want to change

Change chart labels, titles, and other text

Change the display of chart labels, data tables, legends, gridlines, or axes

Change colors, patterns, lines, fills, and borders in charts

Change the way data is plotted

Change values in a chart

Add data to a chart


How data is organized in a chart

To display this topic, click the graphic.

To display this topic, click the graphic


 Add data to a chart

Add data to a chart

The easiest way to add data to a chart sheet is to copy and paste the data from the worksheet to the chart.

The easiest way to add data to an embedded chart created from adjacent worksheet cells is by working with color-coded ranges on the worksheet. You can also add data to an embedded chart by dragging the data from the worksheet to the chart. If your embedded chart is created from nonadjacent selections, use the copy and paste procedure.

Note These procedures do not apply to PivotChart reports. Learn about using different source data for PivotChart reports.

What do you want to do?

Add data to a chart by copying and pasting

Add data to an embedded chart by using color-coded ranges

Add data to an embedded chart by dragging


 Change the cell range used to create a chart

Change the cell range used to create a chart

  1. Click the chart you want to change.

  2. On the Chart menu, click Source Data, and then click the Data Range tab.

  3. Make sure the entire reference in the Data range box is selected.

  4. On the worksheet, select the cells that contain the data you want to appear in the chart.

    If you want the column and row labels to appear in the chart, include the cells that contain them in the selection.

Note This procedure does not apply to PivotChart reports. Learn about using different source data for PivotChart reports.


 About preventing changes to a chart

About preventing changes to a chart

You can protect a chart from changes by using the Protection command on the Tools menu.

If the chart is an embedded chart, you can protect it as you would any object on a worksheet. If the chart is a chart sheet, you can protect either the chart sheet or the entire workbook. To remove protection, you must know the password that was created when the chart was protected.

If you cannot make changes to a chart, it may be protected. For more information about protection, click [image] .


 Change the way data is plotted

Change the way data is plotted

You can change the order, placement, and worksheet orientation of data series in a chart.

What do you want to do?

Plot data series from worksheet rows instead of columns, and vice versa

Plot a data series along a secondary value axis in a 2-D chart

Reverse the plotting order of categories, values, or series

Change the plotting order of data series

Control the way empty cells are plotted in a chart

Not sure which choice you want?


Change the points plotted in a pie-of-pie or bar-of-pie chart

  1. Click a slice in the pie chart you want to change.

  2. On the Format menu, click Selected Data Point, and then click the Options tab.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Tip You can also change which slices appear in the pie-of-pie or bar-of-pie chart by dragging. Click a slice or bar segment on the main chart, and then drag it to the pie-of-pie or bar-of-pie chart, or vice versa.


 Change values in a chart

Change values in a chart

The values in a chart are linked to the worksheet from which the chart is created. The chart is updated when you change the data on the worksheet.

  1. Open the worksheet that contains the data plotted in the chart.

  2. In the cell that contains the value you want to change, type a new value.

  3. Press ENTER.

Note This procedure does not apply to PivotChart reports. To change values in a PivotChart report, use different source data for the PivotChart report.


 Change values in a chart by dragging data markers and using goal seeking

Change values in a chart by dragging data markers and using goal seeking

To change values generated from worksheet formulas in 2-D column, bar, pie, doughnut, line, xy (scatter), and bubble charts, drag the data marker in the chart and use goal seeking. When you change the value of a data marker by dragging, Microsoft Excel also changes the underlying value on the worksheet.

To change values generated from worksheet formulas in 3-D, surface, radar, and area charts, use goal seeking on the worksheet. For more information, click [image] .

  1. Click the data series that contains the data marker you want to change, and then click the data marker.

  2. If the data marker is a bubble, line, or xy (scatter) data marker, drag the data marker.

    If the data marker is a bar or column data marker, drag the top-center selection handle.

    If the data marker is a pie or doughnut chart data marker, drag the largest selection handle on the outer edge of the data marker.

    If the value of the data marker was generated from a formula, the Goal Seek dialog box appears. Click the cell whose value you want to change, and then click OK. The cell reference appears in the By changing cell box. The cell that contains the formula appears in the Set cell box, and the value you want the formula to reflect appears in the To value box. You can change the value of only one cell.

Note This procedure does not apply to PivotChart reports.


 Delete a data series

Delete a data series

To delete data from both the worksheet and the chart, delete the data from the worksheet; the chart will be updated automatically. Use the following procedure to delete a data series from the chart without deleting the corresponding data from the worksheet.

  1. Click the data series you want to delete.

  2. Press DELETE.

Note This procedure does not apply to PivotChart reports. To remove a series from a PivotChart report, you can use different source data for the PivotChart report or hide detail for a series in the report.


 Show only visible worksheet data in a chart

Show only visible worksheet data in a chart

You may want to hide and display details in an outline with subtotals, or filter data by specific criteria by using one of the Filter commands on the Data menu. When you hide, display, and filter data on a worksheet, the corresponding chart shows only the visible rows and columns.

  1. Click the chart.

  2. On the Tools menu, click Options, and then click the Chart tab.

  3. Select the Plot visible cells only check box.

Notes

  • To show all worksheet data in the chart, even if some rows or columns are hidden, clear the Plot visible cells only check box.

  • This procedure does not apply to PivotChart reports.


 Add a text box to a chart

Add a text box to a chart

  1. Click the chart to which you want to add a text box.

  2. On the Drawing toolbar, click Text Box [image] .

  3. Click where you want one corner of the text box, and then drag until the box is the size you want.

  4. Type the text you want in the box. The text will wrap inside the box.

    To start a new line inside the box, press ENTER.

  5. When you finish typing, press ESC or click outside of the text box.


 Change chart labels, titles, and other text

Change chart labels, titles, and other text

Most chart text — such as category axis labels, data series names, legend text, and data labels — is linked to the cells on the worksheet used to create the chart. If you edit the text of these items on the chart, they are no longer linked to the worksheet cells. To change the text of these items and maintain links to worksheet cells, edit the text on the worksheet.

What do you want to do?

Change category axis labels

Change data series names or legend text

Change data labels

Edit chart and axis titles


Edit chart and axis titles

  1. Click the title you want to change.

  2. Type the new text you want.

  3. Press ENTER.


 Link a chart title or text box to a worksheet cell

Link a chart title or text box to a worksheet cell

You can link an existing chart title to a worksheet cell or create a new text box that is linked to a worksheet cell.

  1. Do one of the following:

    To link a title, click the title.

    To create a linked text box, click the chart area.

  2. In the formula bar, type an equal sign (=).

  3. Select the worksheet cell that contains the data or text you want shown in your chart.

    You can also type the reference to the worksheet cell. Include the sheet name, followed by an exclamation point; for example:

    Sheet1!F2

  4. Press ENTER.


 Reestablish links between data labels and worksheet cells

Reestablish links between data labels and worksheet cells

If you have changed the data label text on a chart, the data label is no longer linked to a worksheet cell.

  1. Click a data marker in the data series associated with the data labels whose links you want to reestablish.

  2. On the Format menu, click Selected Data Series, and then click the Data Labels tab.

  3. Select the Automatic text check box.

Notes

  • To reestablish links between data labels and worksheet cells for all data series in the chart, click the chart, and then click Chart Options on the Chart menu. On the Data Labels tab, select the Automatic text check box.

  • This procedure reestablishes links between data labels and source data (not worksheet cells) in PivotChart reports.


 Change category axis labels

Change category axis labels

  • To change category axis labels on the worksheet, click the cell that contains the label name you want to change, type the new name, and then press ENTER.

  • To change category axis labels on the chart, click the chart, and then click Source Data on the Chart menu. In the Category axis labels box on the Series tab, specify the worksheet range you want to use as category axis labels. You can also type the labels you want to use, separated by commas, for example:

    Division A, Division B, Division C

    If you type the label text in the Category axis labels box, the category axis text is no longer linked to a worksheet cell.

Note This procedure does not apply to PivotChart reports. How to rename a field or item in a PivotChart report.


 Change data labels

Change data labels

  • To change data labels on the worksheet, click the cell that contains the information you want to change, type the new text or value, and then press ENTER.

  • To change data labels on the chart, click once on the data label you want to change to select the data labels for the entire series, and then click again to select the individual data label. Type the new text or value, and then press ENTER.

    If you change the data label text on the chart, it is no longer linked to a worksheet cell.

Note You cannot change data labels on the worksheet for a PivotChart report. You can, however, change individual data labels on a PivotChart report. Changes to data labels are not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you modify data labels or other formatting in a PivotChart report, make sure you are satisfied with the layout.


 Change data series names or legend text

Change data series names or legend text

  • To change legend text or data series names on the worksheet, click the cell that contains the data series name you want to change, type the new name, and then press ENTER.

  • To change legend text or data series names on the chart, click the chart, and then click Source Data on the Chart menu. On the Series tab, click the data series names you want to change. In the Name box, specify the worksheet cell you want to use as the legend text or data series name. You can also type the name you want to use.

    If you type a name in the Name box, the legend text or data series name is no longer linked to a worksheet cell.

Note This procedure does not apply to PivotChart reports. How to rename a field or item in a PivotChart report.


 Using dates in charts

Using dates in charts

When you create a chart from worksheet data that uses dates, and the dates make up the category (x) axis in the chart, Microsoft Excel automatically uses a time-scale category axis.

Display of dates The time-scale category axis displays dates in chronological order at specific intervals, or "base units," even if the dates on the worksheet are not in order or in the same base units.

Charts that use time-scale axes

Excel initially sets the time-scale base units (days, months, or years) according to the smallest difference between any two dates in the data. You can change the base unit setting, and Excel will redraw the chart. For example, if you have data for stock prices where the smallest difference between dates is seven days, Excel presets the time-scale base unit to days.

You can change the base unit to months to see the performance of the stock over a longer period, as in the first chart in the example. To change the base unit, click the axis, click Selected Axis on the Format menu, and then click the options you want on the Scale tab.

Time-scale charts and times You can't create time-scale charts from data that is measured at intervals of hours, minutes, or seconds. Only days, months, and years are considered base units in time-scale charts.

Chart types that can use a time-scale axis Time-scale axes are available on stock charts and on 2-D and 3-D line, column, bar, and area charts, except when these charts have multiple-level category labels. Time scale axes are not available on PivotChart reports.

Tip You cannot have a time-scale axis if the dates in your chart appear in the legend. You can change the way data is plotted in the chart so that the dates appear on the category axis instead.


 Change an embedded chart to a chart sheet, and vice versa

Change an embedded chart to a chart sheet, and vice versa

  1. Click the chart that you want to move or change.

  2. On the Chart menu, click Location.

  3. To place the chart on a new chart sheet, click As new sheet, and then type a name for the new chart sheet in the As new sheet box.

    To place the chart as an embedded object on a worksheet, click As object in, click a sheet name in the As object in box, and then click OK. Drag the embedded chart where you want it on the worksheet.


 Change the display of chart labels, data tables, legends, gridlines, or axes

Change the display of chart labels, data tables, legends, gridlines, or axes

You can choose to display or hide titles, gridlines, axes, data labels, legends, or a data table in your chart. Some of these items are available only in certain types of charts. You can display or hide some of these items by using the buttons on the Chart toolbar.

What do you want to do?

Add or change chart items

Add data labels to a chart

Add or change a title in a chart and axis

Add a legend to a chart

Change the display units on the value axis

Display or hide chart items

Display or hide gridlines in a chart

Display or hide axes in a chart

Display or hide the data table in a chart

Delete chart items

Delete data labels, titles, or legends in a chart


Delete data labels, titles, or legends in a chart

  1. Click the item you want to delete.

  2. Press DELETE.


 Display or hide information about chart items

Display or hide information about chart items

When you rest the pointer over a chart item, you can see the name and value of the item in a tip.

  1. On the Tools menu, click Options, and then click the Chart tab.

  2. To see the name of a chart item when you rest the pointer over it, select the Show names check box.

    To see the value of a data marker when you rest the pointer over it, select the Show values check box.

    To hide all tips, clear both check boxes.


 Zoom or size the display of a chart sheet

Zoom or size the display of a chart sheet

  1. Click the tab for the chart sheet.

  2. To zoom in or out of a chart sheet, click Zoom on the View menu, and then click the option you want.

    To size the chart sheet so that it fills the entire workbook window, click Sized with Window on the View menu. When a chart sheet is sized with the window, you cannot zoom in or out of it.


View an embedded chart in a separate window

  1. Click the embedded chart you want to see in its own window.

  2. On the View menu, click Chart Window.


 Select a different chart type

Select a different chart type

For most 2-D charts, you can change the chart type of either a data series or the entire chart. For bubble charts, you can change only the type of the entire chart. For most 3-D charts, changing the chart type affects the entire chart. For 3-D bar and column charts, you can change a data series to the cone, cylinder, or pyramid chart type.

  1. Do one of the following:

    To change the chart type of the entire chart, click the chart.

    To change the chart type of a data series, click the data series.

  2. On the Chart menu, click Chart Type.

  3. On the Standard Types or Custom Types tab, click the chart type you want.

    To apply the cone, cylinder, or pyramid chart type to a 3-D bar or column data series, click Cylinder, Cone, or Pyramid in the Chart type box on the Standard Types tab, and then select the Apply to selection check box.

Notes

  • If you clear the Apply to selection check box, Microsoft Excel changes the chart type for the entire chart even if a single data series is selected.

  • A PivotChart report cannot be changed to an xy (scatter), bubble, or stock chart.

  • Changing the chart type for individual data series is not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you change the chart type for one or more individual data series in a PivotChart report, make sure you are satisfied with the layout.


Examples of chart types

To display this topic, click the graphic.

To display this topic, click the graphic


Combination charts for showing mixed data

Combination charts A combination chart uses two or more chart types to emphasize that the chart contains different kinds of information. The chart in the example above shows one data series (Projected) as a column chart type and the other (Actual) as a line. To create this kind of overlay effect, select a custom chart type in Step 1 of the Chart Wizard. How to create a chart. This example uses the Line – Column chart type. You can change an existing chart to a combination chart by selecting the data series you want to change and then changing the chart type for that series.

Combination chart with secondary axes

Secondary axis When the range of values for different data series varies widely, or when you have mixed types of data, you can plot one or more data series on a secondary value (y) axis. The scale of the secondary axis reflects the values for the associated series. The chart in the example above shows the number of homes sold on the left y-axis and the average price on the right y-axis.


Make your own chart types

When you create a chart or want to change the type of a chart, you can choose between a standard chart type and a custom chart type. If you want to use a custom chart type, you can choose one of the built-in custom chart types, or you can make your own.

Built-in custom chart types Microsoft Excel comes with several built-in chart types that are based on standard chart types but include additional formatting and options, such as a legend, gridlines, data labels, a secondary axis, colors, patterns, fills, and placement choices for various chart items. These chart types can be found on the Custom tab in the Chart Options dialog box. How to select a different chart type.

Make your own chart types You can also create your own custom chart types by changing any of the chart types that Excel provides. You can even share these custom chart types with other users. For example, if you want the same title information to appear on all your company charts, you can create a chart with that title, save the chart as a user-defined custom chart type, and then share it with others in your company to use like a template.

Note Custom chart types are stored in workbooks. Built-in custom chart types are stored in Xl8galry.xls. If you have added your own custom chart types, Excel stores them in Xlusrgal.xls.


Save a custom chart type to apply to other charts

  1. Click the chart you want to save as a custom chart type.

  2. On the Chart menu, click Chart Type.

  3. On the Custom Types tab, click User-defined.

  4. Click Add.

  5. In the Name box, type a name.

    If you want to add a description, type it in the Description box.

  6. Click OK.


Share a custom chart type with other users

  1. On each user's machine, open the copy of the workbook that contains the custom chart type you want to share.

  2. Add the custom chart type as a new custom chart type.

    How?


Delete a user-defined custom chart type

You cannot delete a built-in custom chart type.

  1. To activate the Chart menu, click a chart.

  2. On the Chart menu, click Chart Type.

  3. On the Custom Types tab, click User-defined.

  4. In the Chart type box, click the format you want to delete.

  5. Click Delete, and then click OK.


 Change the default chart type

Change the default chart type

The default chart type for Microsoft Excel is a column chart, unless you are creating a PivotChart report, in which case the default chart type is a stacked column chart. If you routinely create a different type of chart, such as a line chart, you can change the default chart type. If you already have a chart that has the chart type, items, and formatting you want, you can use that chart as the default chart type.

What do you want to do?

Change the default chart type

Use the selected chart as the default chart type


About formatting charts

To display this topic, click the graphic.

To display this topic, click the graphic


 Ways to select chart items

Ways to select chart items

  • To select a chart item by using the mouse, do one of two things:
    • Click the chart item you want. Data series, data labels, and the legend have individual elements that can be selected after you select the group. For example, to select a single data marker in a data series, click the data series, and then click the data marker. Microsoft Excel displays the name of a chart item in a tip when you rest the pointer over the item if you have the Show names check box selected (Tools menu, Options command, Chart tab).

    • Click the chart, click the arrow next to the Chart Objects box [image] on the Chart toolbar, and then click the item you want.
  • To select a chart item by using the keyboard, use the arrow keys.

  • To cancel a selection, press ESC.


 Move and resize chart items by using the mouse

Move and resize chart items by using the mouse

In most charts, you can use the mouse to resize and move the chart area, the plot area, and the legend. Microsoft Excel automatically sizes titles to accommodate their text. You can move titles with the mouse but you cannot resize them.

  1. Click the chart item you want to move or resize.

  2. To move an item, point to the item, and then drag it to another location.

    Chart item being moved

    To resize an item, point to a sizing handle. When the pointer changes to a double-headed arrow, drag the sizing handle until the item is the size you want.

    Chart item being resized

Notes

  • You can also use the mouse to pull out slices in pie and doughnut charts and to move or resize data markers.

  • In a PivotChart report, you cannot move or resize the legend, axes titles, chart title, or plot area by using the mouse.


 Change colors, patterns, lines, fills, and borders in charts

Change colors, patterns, lines, fills, and borders in charts

Use this procedure to change colors, apply a texture or pattern, or change the line width or border style for data markers, the chart area, the plot area, gridlines, axes, and tick marks in 2-D and 3-D charts, trendlines and error bars in 2-D charts, and the walls and floor in 3-D charts.

  1. Double-click the chart item you want to change.

  2. If necessary, click the Patterns tab, and then select the options you want.

    To specify a fill effect, click Fill Effects, and then select the options you want on the Gradient, Texture, or Pattern tabs. For information about adding a picture to a chart item, click [image] .

    For Help on an option, click the question mark [image] and then click the option.

Notes

  • Formatting applied to an axis is also applied to the tick marks on that axis. Gridlines are formatted independently of axes.

  • In PivotChart reports, formatting applied to a data series is not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify data series formatting in a PivotChart report, make sure you are satisfied with the layout.


 Change the size, color, or shape of line, xy (scatter), or radar chart markers

Change the size, color, or shape of line, xy (scatter), or radar chart markers

  1. Click the line with the data markers you want to change.

  2. On the Format menu, click Selected Data Series, and then click the Patterns tab.

  3. Under Marker, select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Note In a PivotChart report, formatting and other changes applied to a data series are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify data series formatting in a PivotChart report, make sure you are satisfied with the layout.


 Change colors in a surface chart

Change colors in a surface chart

To format the colors of the levels in a surface chart, you must format the legend key.

  1. If the chart doesn't have a legend, add one.

    How?

  2. Click the legend once to select it, and then click the legend key that represents the surface level you want to change.

  3. On the Format menu, click Selected Legend Key, and then click the Patterns tab.

  4. Click the color you want, and then repeat steps 2 and 3 for each level you want to format.

Notes

  • If you want to delete the legend, click the legend, and then press DELETE. The colors you specified remain in the surface chart after you delete the legend.

  • In a PivotChart report, formatting and other changes applied to a data series are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify formatting in a PivotChart report, make sure you are satisfied with the layout.


 Vary colors in the same data series

Vary colors in the same data series

You can vary the colors of data markers within the same data series in doughnut charts and in single-series charts. The colors of slices in pie charts and doughnut charts are varied by default.

  1. Click the data series you want to change the colors for.

  2. On the Format menu, click Selected Data Series or Selected Data Point, and then click the Options tab.

  3. Select the Vary colors by point check box or the Vary colors by slice check box.

Note In a PivotChart report, formatting and other changes applied to a data series are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify the data series formatting in a PivotChart report, make sure you are satisfied with the layout.


 Change the size of the pie-of-pie or bar-of-pie plot area

Change the size of the pie-of-pie or bar-of-pie plot area

  1. Click a data series in the pie chart you want to change.

  2. On the Format menu, click Selected Data Series, and then click the Options tab.

  3. In the Size of second plot box, enter a value between 5 and 200 to specify the size of the second pie or bar as a percentage of the first pie chart. For example, 105 makes the second pie or bar 5 percent larger than the first.


 Change the hole size in a doughnut chart

Change the hole size in a doughnut chart

  1. Click a data series in the doughnut chart you want to change.

  2. On the Format menu, click Selected Data Series, and then click the Options tab.

  3. In the Doughnut hole size box, type a value between 10 and 90 to specify the diameter of the hole.


 Smooth the angles of line charts

Smooth the angles of line charts

When you use this procedure to soften the jagged edges of a line chart, your data is not affected.

  1. Click the line data series you want to smooth.

  2. On the Format menu, click Selected Data Series, and then click the Patterns tab.

  3. Select the Smoothed line check box.

Note In a PivotChart report, formatting and other changes applied to a data series are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify data series formatting in a PivotChart report, make sure you are satisfied with the layout.


 Add up-down bars and drop, series, and high-low lines to charts

Add up-down bars and drop, series, and high-low lines to charts

You can add series lines to connect data series in 2-D stacked bar and column charts. Drop lines are available in 2-D and 3-D area and line charts. High-low lines and up-down bars are available in 2-D line charts. Stock charts already have high-low lines and up-down bars.

To add these lines and bars to all data series of the same chart type, select only a single data series.

  1. Click a data series in the chart that you want to add bars or lines to.

  2. On the Format menu, click Selected Data Series, and then click the Options tab.

  3. Select the option for the type of lines or bars you want.

    For Help on an option, click the question mark [image] and then click the option.


 Use a picture in a chart

Use a picture in a chart

You can use an image — for example, a bitmap — for certain types of data markers, the chart area, the plot area, or the legend in 2-D and 3-D charts, or the walls and floor in 3-D charts.

With this procedure, you can use a picture for the data markers in column, bar, area, bubble, 3-D line, and filled radar charts.

  1. Click the chart item that you want to use a picture for.

  2. Click the arrow next to Fill Color [image] , click Fill Effects, and then click the Picture tab.

  3. To specify a picture, click Select Picture.

  4. In the Look in box, click the drive, folder, or Internet location that contains the picture, and then double-click the picture you want.

  5. On the Picture tab, select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Notes

  • The Fill Effects command is not available for 2-D line, scatter, or unfilled radar chart markers. To use a picture for data markers in these chart types, select the picture on the worksheet, chart sheet, or in a picture editing program, click Copy (Edit menu), click the data series, and then click Paste (Edit menu).

  • In a PivotChart report, formatting and other changes applied to a data series are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you add or modify formatting in a PivotChart report, make sure you are satisfied with the layout.


 Clear a picture or fill effect from a data series

Clear a picture or fill effect from a data series

When you use this procedure to remove a picture or fill effect from a data series, Microsoft Excel also removes all formatting applied by using the Patterns tab (Format menu, Selected Data Series command).

  1. Click the data series you want to change.

  2. On the Edit menu, point to Clear, and then click Formats.


 Clear a picture or fill effect from a chart item

Clear a picture or fill effect from a chart item

Use this procedure to clear a picture or other fill effect from the chart area, the plot area, or the legend in 2-D and 3-D charts, or the walls and floor in 3-D charts.

  1. Double-click the chart item you want to change, and then click the Patterns tab.

  2. To clear the picture or fill effect and return the object to the default formatting, click Automatic under Area.

    To clear all formatting, including the picture or fill effect, click None under Area.


 Change the font and size of text in a chart

Change the font and size of text in a chart

If a chart title or text box is linked to a worksheet cell, you can change the formatting of all characters in the title or text box at the same time, but you cannot change individual characters.

  1. Click the chart text, or select the individual characters you want to format.

    To change the formatting for all of the text in the chart at the same time, click the blank area between the border of the chart and the plot area to select the chart area.

  2. On the Formatting toolbar, click a button for the format you want.
    To make text | Click
    A different font | The font you want in the Font box
    A different font size | The font size you want in the Font Size box
    Bold | Bold
    Italic | Italic
    Underlined | Underline
    A different color | The arrow next to Font Color [image] , and then click the color you want on the palette

Notes

  • To see other font options, such as superscript and subscript, click the text you want to change. On the Format menu, click the command for the chart item you want to format — for example, Selected Axis Title or Selected Object. (The name of the command depends on the chart item selected.) Then select the options you want on the Font tab.

  • In a PivotChart report, formatting and other changes applied to individual data series, data points, and data labels are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify formatting in a PivotChart report, make sure you are satisfied with the layout.


 Align text in chart titles and text boxes

Align text in chart titles and text boxes

  1. Click the title or the border of the text box you want to align.

  2. If you clicked an axis title, click Selected Axis Title on the Format menu.

    If you clicked a chart title, click Selected Chart Title on the Format menu.

    If you clicked a text box, click Selected Object on the Format menu.

  3. Click the Alignment tab.

    If you don't see the Alignment tab, click Cancel, click outside of the text you want to format, and then repeat steps 1-3.

  4. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Tip To quickly change the horizontal alignment of selected chart titles and text boxes, click Align Left [image] , Center [image] , or Align Right [image] on the Formatting toolbar.


 Rotate text in a chart title or along an axis

Rotate text in a chart title or along an axis

You can rotate, or "angle," text in a chart title or along an axis. You cannot rotate legend text.

  1. Click the axis or the title you want to format.

  2. If you clicked an axis, click Selected Axis on the Format menu.

    If you clicked an axis title, click Selected Axis Title on the Format menu.

    If you clicked a chart title, click Selected Chart Title on the Format menu.

  3. Click the Alignment tab.

    If you don't see the Alignment tab, click Cancel, click outside of the text you want to format, and then repeat steps 1-3.

  4. To rotate text, under Orientation, click a degree point, or drag the indicator to the position you want.

Note When you have more than one level of category axis labels, only the first level (the level closest to the axis) can be rotated.

Tip To quickly rotate selected text 45 degrees up or down, click Angle Text Upward [image] or Angle Text Downward [image] on the Chart toolbar.


 Change number formats in charts

Change number formats in charts

If you change the number formatting in a chart, the number formatting is no longer linked to the worksheet cells. How to reestablish links between number formats on worksheets and charts.

  1. To format labels along an axis, double-click the appropriate axis.

    To format data labels or a trendline label, double-click the item.

  2. On the Number tab, select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Tip If your chart values consist of large numbers, you can make the axis text shorter and more readable by changing the display unit of the axis. For example, if the chart values range from 1,000,000 to 50,000,000, you can display the numbers as 1 to 50 on the axis and show a label that indicates that the units express millions.

Note In a PivotChart report, formatting and other changes applied to individual series data labels or trendline labels are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify data labels or trendline labels in a PivotChart report, make sure you are satisfied with the layout.


 Change the position of data labels automatically

Change the position of data labels automatically

You can change the position of a single data label by dragging it. Use this procedure to place all labels for a data series in a standard position on their data markers in 2-D bar, column, and line charts; 2-D and 3-D pie charts; and scatter and bubble charts.

  1. Click the chart outside of the data labels that you want to change.

  2. Click one of the data labels in the series that you want to change.

  3. On the Format menu, click Selected Data Labels, and then click the Alignment tab.

  4. In the Label position box, click the location you want.

Note In a PivotChart report, formatting and other changes applied to data labels on an individual series are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify data labels in a PivotChart report, make sure you are satisfied with the layout.


 Overlap or space data markers in bar and column charts

Overlap or space data markers in bar and column charts

You need to select only a single data series to change the overlap or spacing of all data series of the same chart type.

  1. Click a data series in the chart you want to change.

  2. On the Format menu, click Selected Data Series, and then click the Options tab.

  3. To change the overlap of the data markers in each category, enter a value between -100 and 100 in the Overlap box. The higher the value, the greater the overlap within the category.

  4. To change the spacing between categories of data markers, enter a value between 0 (zero) and 500 in the Gap width box. The higher the value, the greater the distance between each category.


 Pull out slices in pie and doughnut charts

Pull out slices in pie and doughnut charts

In a doughnut chart, you can pull out only the slices of the outer ring.

  • To pull out all of the slices in a pie chart, click the pie, and then drag away from the center of the chart.

    To pull out only one slice in a pie chart, click the pie, click the slice you want to move, and then drag the slice away from the center of the chart.

  • To pull out all of the slices in the outer ring of a doughnut chart, click the outer ring, and then drag away from the center of the chart.

    To pull out only one slice in the outer ring of a doughnut chart, click the outer ring, click the slice you want to move, and then drag the slice away from the center of the chart.

Note In a PivotChart report, formatting and other changes applied to a data series are not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you modify data series formatting in a PivotChart report, make sure you are satisfied with the layout.


 Rotate the position of the slices in a doughnut or pie chart

Rotate the position of the slices in a doughnut or pie chart

The order in which Microsoft Excel plots data series in pie and doughnut charts is determined by the order of the data on the worksheet. Use this procedure to "rotate" slices within the 360 degrees of the pie or doughnut circle.

  1. Click a data series in the pie or doughnut chart you want to change.

  2. On the Format menu, click Selected Data Series, and then click the Options tab.

  3. In the Angle of first slice box, type a value between 0 (zero) and 360 to specify the angle at which you want the first slice to appear.


 Change the alignment and spacing of multiple-level category labels

Change the alignment and spacing of multiple-level category labels

When you have multiple-level category labels in your chart, you can change the alignment of all but the first level of labels. You can also change the amount of space between each level of labels.

  1. Click the category axis you want to change.

  2. On the Format menu, click Selected Axis, and then click the Alignment tab.

  3. To change the label alignment, click the position you want in the Alignment box.

    To change the spacing between the levels, select a value in the Offset box. The higher the value, the more space between each level.


 Change the scale of the value axis

Change the scale of the value axis

The scale specifies the range of values on an axis, the way the axis values are displayed, the intervals at which the values occur, and the point at which one axis crosses another.

  1. Click the value axis you want to change.

  2. On the Format menu, click Selected Axis, and then click the Scale tab.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Tips

  • To flip the direction of bars or columns in a bar or column chart, select the Values in reverse order check box.

  • If your chart values consist of large numbers, you can make the axis text shorter and more readable by changing the display unit of the axis. For example, if the chart values range from 1,000,000 to 50,000,000, you can display the numbers as 1 to 50 on the axis and show a label that indicates that the units express millions.


 Change the spacing of tick marks and labels on the category axis

Change the spacing of tick marks and labels on the category axis

Each category on the category axis is identified by a label and separated from other categories by tick marks. You can change the intervals at which labels and tick marks appear. For 2-D charts, you can specify where you want the value (y) axis to cross the category (x) axis.

  1. Click the category axis you want to change.

  2. On the Format menu, click Selected Axis, and then click the Scale tab.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Note When you have more than one line of category axis labels, you cannot change the number of categories between tick mark labels, the number of categories between tick marks, or where the value (y) axis crosses between categories.

Tips

  • When you have more than one level of category axis labels, you can change the amount of space, or offset, between the levels.

  • To have the edges of an area chart meet the edges of the plot area, clear the Value (Y) axis crosses between categories check box.


Change the display unit on the value axis

If your chart values consist of large numbers, you can make the axis text shorter and more readable by changing the display unit of the axis. For example, if the chart values range from 1,000,000 to 50,000,000, you can display the numbers as 1 to 50 on the axis and show a label that indicates that the units express millions.

  1. Click the value axis you want to change.

  2. On the Format menu, click Selected Axis, and then click the Scale tab.

  3. In the Display units list, click the units you want or type a numeric value.

  4. To show a label that describes the units expressed, select the Show display units label on chart check box.


 Change tick mark appearance and label placement on an axis

Change tick mark appearance and label placement on an axis

  1. Click the axis with the tick marks you want to change.

  2. On the Format menu, click Selected Axis, and then click the Patterns tab.

  3. Under Tick mark type and Tick mark labels, select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Tips

  • To hide major or minor tick marks, or to hide both types of tick marks, click None.

  • When you have more than one level of category axis labels, you can change the amount of space between the levels and the alignment of all but the first level.


 Change the depth and width in a 3-D chart

Change the depth and width in a 3-D chart

You can change the chart depth in 3-D charts that have axes, the gap depth in 3-D perspective charts, and the gap width in 3-D bar or column charts.

  1. Click a data series in the 3-D chart you want to change.

  2. On the Format menu, click Selected Data Series, and then click the Options tab.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.


Change the height and perspective in a 3-D chart

Depending on the chart type and the chart options you select, you can change the height and perspective in the chart.

  1. Click the 3-D chart you want to change.

  2. On the Chart menu, click 3-D View.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Notes

  • When the Right angle axes check box is cleared, you can set the Perspective and Height options.

  • When the Right angle axes check box is selected, you can either set the Height option or turn the Auto scaling option on.

  • The Perspective option is not available for 3-D bar charts, for which the Right angle axes check box is always selected.


Change the rotation and elevation in a 3-D chart

  1. Click the 3-D chart you want to change.

  2. On the Chart menu, click 3-D View.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Note You can also rotate the chart by using the mouse. Click the intersection of any two axes to select the corners of the chart, and then drag a corner to adjust the elevation and rotation in the chart. To view the data markers, hold down CTRL while you drag.


Change the view of a 3-D chart

Depending on the type of 3-D chart you have, you can change certain aspects of the 3-D view.

What do you want to do?

Change the height and perspective in a 3-D chart

Change the rotation and elevation in a 3-D chart

Change the depth and width in a 3-D chart

Change the plot order of the data series so that large 3-D data markers do not block smaller ones


 Error bars in charts

Error bars in charts

Error bars graphically express potential error amounts relative to each data marker in a data series. For example, you could show 5 percent positive and negative potential error amounts in the results of a scientific experiment:

Chart with error bars

Chart types that support error bars You can add error bars to data series in 2-D area, bar, column, line, xy (scatter), and bubble charts. For xy (scatter) and bubble charts, you can display error bars for the x values, the y values, or both.

Note Error bars are not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you add error bars or other formatting to a PivotChart report, make sure you are satisfied with the layout.

More information

Add error bars to a data series

Equations for calculating the error amount


 Add error bars to a data series

Add error bars to a data series

  1. Click the data series to which you want to add error bars.

  2. On the Format menu, click Selected Data Series.

  3. On the X Error Bars tab or the Y Error Bars tab, select the options you want.

Notes

  • If you change the worksheet values or formulas associated with the data points in the series, the error bars are adjusted to reflect your changes.

  • Error bars are not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you add error bars or other formatting to a PivotChart report, make sure you are satisfied with the layout.


 Change error bar settings

Change error bar settings

When you select an error bar, any changes you make affect all of the error bars in its associated data series.

  1. Click the data series that has the error bars you want to change.

  2. On the Format menu, click Selected Data Series.

  3. Click the Y Error Bars tab or the X Error Bars tab, depending on the type of error bars you want to change.

    To select a different type of error bar, click the type you want under Display.

    To change the method used to determine the error, select the method you want under Error amount. To change a custom error amount, click Custom. In the Plus and Minus boxes, specify the worksheet range to use as error amount values, or enter the values you want to use, separated by commas, for example, 0.4, 0.3, 0.8

Note Error bars and their settings are not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you add or modify error bars or other formatting in a PivotChart report, make sure you are satisfied with the layout.


 Delete error bars

Delete error bars

You cannot delete an individual error bar. When you delete one error bar, all error bars for the entire data series are deleted.

  1. Click any error bar.

  2. Press DELETE.


Equations for calculating the error amount

Standard Deviation

where:

s = series number

i = point number in series s

m = number of series for point y in chart

n = number of points in each series

Variable = data value of series s and the ith point

Variable = total number of data values in all series

M = arithmetic mean

Standard Error


 Trendlines in charts

Trendlines in charts

Trendlines are used to graphically display trends in data and to analyze problems of prediction. Such analysis is also called regression analysis. By using regression analysis, you can extend a trendline in a chart beyond the actual data to predict future values. For example, the following chart uses a simple linear trendline that is forecast ahead four quarters to clearly show a trend toward rising revenue.

Chart with linear trendline

Moving Average You can also create a moving average, which smoothes out fluctuations in data and shows the pattern or trend more clearly.

Chart types that support trendlines You can add trendlines to data series in unstacked 2-D area, bar, column, line, stock, xy (scatter), and bubble charts. You cannot add trendlines to data series in 3-D, stacked, radar, pie, surface, or doughnut charts. If you change a chart or data series so that it can no longer support the associated trendline — for example, by changing the chart type to a 3-D chart or by changing the view of a PivotChart report or associated PivotTable report — you lose the trendlines.

Creating trend data without a chart Use AutoFill or one of the statistical functions such as GROWTH() or TREND()

More information

Choosing the best trendline for your data

Equations for calculating trendlines

Adding a trendline to a data series


Choosing the best trendline for your data

To display this topic, click the graphic.

To display this topic, click the graphic


 Add a trendline to a data series

Add a trendline to a data series

  1. Click the data series to which you want to add a trendline or moving average.

  2. On the Chart menu, click Add Trendline.

  3. On the Type tab, click the type of regression trendline or moving average you want.

    If you select Polynomial, enter in the Order box the highest power for the independent variable.

    If you select Moving Average, enter in the Period box the number of periods to be used to calculate the moving average.

Notes

  • The Based on series box lists all the data series in the chart that support trendlines. To add a trendline to another series, click the name in the box, and then select the options you want.

  • If you add a moving average to an xy (scatter) chart, the moving average is based on the order of the x values plotted in the chart. To get the result you want, you might need to sort the x values before adding a moving average.

  • Trendlines are not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you add a trendline or other formatting to a PivotChart report, make sure you are satisfied with the layout.


 Change trendline settings

Change trendline settings

Most trendline settings are available only for regression trendlines.

  1. Click the trendline you want to change.

  2. On the Format menu, click Selected Trendline.

  3. On the Options tab, select the options you want.

    To change the name of the trendline or moving average, type a name in the Custom box.

Note Trendlines and their settings are not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you add or modify a trendline or other formatting in a PivotChart report, make sure you are satisfied with the layout.


 Delete a trendline

Delete a trendline

  1. Click the trendline you want to delete.

  2. Press DELETE.


 Display the R-squared value for a trendline

Display the R-squared value for a trendline

  1. Click the trendline for which you want to display the R-squared value.

  2. On the Format menu, click Selected Trendline.

  3. On the Options tab, select Display R-squared value on chart.

Notes

  • You cannot display an R-squared value for a moving average.

  • Trendlines and their settings are not retained in PivotChart reports when you subsequently change the view of the chart or its associated PivotTable report. Before you add or modify a trendline or other formatting in a PivotChart report, make sure you are satisfied with the layout.


Equations for calculating trendlines

Linear

Calculates the least squares fit for a line represented by the following equation:

where m is the slope and b is the intercept.

Polynomial

Calculates the least squares fit through points by using the following equation:

where b and Variable are constants.

Logarithmic

Calculates the least squares fit through points by using the following equation:

where c and b are constants, and ln is the natural logarithm function.

Exponential

Calculates the least squares fit through points by using the following equation:

where c and b are constants, and e is the base of the natural logarithm.

Power

Calculates the least squares fit through points by using the following equation:

where c and b are constants.

R-squared Value

Note The R-squared value you can display with a trendline is not an adjusted R-squared value. For logarithmic, power, and exponential trendlines, Microsoft Excel uses a transformed regression model.

Moving Average

Note The number of points in a moving average trendline equals the total number of points in the series less the number you specify for the period.


About PivotChart reports

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


 Elements of a PivotChart report

Elements of a PivotChart report

Besides containing the elements of a regular Microsoft Excel chart, a PivotChart report contains series fields, category fields, data fields, and optional page fields. Items are contained within fields.

Elements of a PivotChart report

Page field A field that you use to filter data by specific items. In the example, Salesperson is a page field that is used to display data for all salespersons. To display data for a particular salesperson only, you can click the drop-down arrow and select the appropriate name.

Data field A field from the source list or table that contains data. In the example, Sum of Sales is a data field that summarizes sales by region for each type. The first category data marker (East) reaches nearly 140,000 on the value (y) axis. This amount is the sum of Produce, Meat, Dairy, and Beverage sales in the East region. Depending on the data you use for the data field, you can change the summary function of the data field to average, count, multiply, or perform other aggregate functions.

Series field A field that you assign to a series orientation in a PivotChart report. In the example, Type is a series field with four items: Produce, Meat, Dairy, and Beverages.

Field drop-down arrow The arrow [image] at the right side of each field. Click this arrow to select the items to show and hide.

In PivotChart reports that are based on OLAP source data, you can select items at different levels in a dimension field. Clicking the drop-down arrow for a Year field might show the following:

Drop-down list for OLAP dimension field

The year 1998 is hidden. Within 1999, Qtr1 is hidden. The double-check marks in the 1999 and Qtr2 boxes indicate that some or all of the lower level items for 1999 and Qtr2 are displayed. The single check mark in the 2000 box indicates that 2000 is currently selected for display.

Click the plus sign (+) or minus sign (-) for an item to show or hide detail for the item.

Item Items represent unique entries in the same field, and appear in the drop-down lists for the page fields, category fields, and series fields. In the examples, East, North, South, and West are items in the Region category field, while Produce, Meat, Dairy, and Beverages are items in the Type series field.

Category field A field from the underlying source data that is assigned to a category orientation in a PivotChart report. In the example, Region is a category field.


 About creating PivotChart reports

About creating PivotChart reports

A PivotChart report must be associated with a PivotTable report in the same workbook. If your workbook doesn't contain a PivotTable report, Microsoft Excel creates one when you create the PivotChart report. When you change a PivotChart report, the PivotTable report changes, and vice versa.

Create a PivotChart report Use the PivotTable and PivotChart Report Wizard to create the PivotChart report. In the wizard, you can specify the type of source data you want to use, set options for how the data is used, and lay out the chart elements. You can also lay out the chart elements on the chart sheet itself.

When you use the wizard, Excel creates an associated PivotTable report in the location you specify (on the existing worksheet or in a new worksheet in the same workbook). The PivotTable report uses the layout that you specify for the PivotChart report: Category fields in the chart are row fields in the table, and series fields in the chart are column fields in the table.

Create a PivotChart report that reflects the view of an existing PivotTable report When you create a PivotChart report that is based on an existing PivotTable report, the fields in the chart are laid out like the fields in the PivotTable report: Row fields in the table become category fields in the chart, and column fields in the table become series fields in the chart.

If you want to start with the default PivotChart report layout and formatting, you can create it in one step. When you use this method, Excel creates a stacked column chart on a separate chart sheet. You can later change the chart type and other options — such as the titles, the legend placement, the data labels, the chart location, and so on — by using commands on the Chart menu. If, instead, you'd rather specify these options during the creation process, you can step through the Chart Wizard to create the PivotChart report.


 Guidelines for creating a PivotChart report

Guidelines for creating a PivotChart report

Starting with a PivotTable report You can create a PivotChart report from any PivotTable report. However, your chart will not contain series fields if you create the PivotChart report from an indented PivotTable report, which is a specially formatted report that does not include column fields.

When you create a PivotChart report from a PivotTable report, row fields in the table become category fields in the chart, and column fields in the table become series fields in the chart. Because indented PivotTable reports contain only row fields, the companion PivotChart report will have multiple category fields and no series fields. You can change the layout of the PivotChart report by dragging a field to the series drop area; however, the associated indented PivotTable report will also change, and it will no longer be indented. You can return an indented-format PivotTable report to nonindented format before you create the PivotChart report.

Chart types You can use any chart type for a PivotChart report except the xy (scatter), bubble, or stock chart types. Examples of chart types.

Formatting Formatting on data series in PivotChart reports is not retained when you change the layout of the chart. Therefore, before you modify formatting on data series, make sure you are satisfied with the layout of your chart.

When to use page fields Using page fields is a convenient way to summarize and quickly focus on a subset of data without having to modify your series and category information. For instance, if you're giving a presentation, you can click (All) in the Year page field to show sales for all years, and then focus on specific years by clicking one year at a time. Each view, or page, of your data shows the same category and series information (such as sales by salesperson in each region) for each year, so the views can be easily compared. Also, by allowing you to retrieve only a subset of a large set of data, page fields conserve memory when your chart uses external source data.


Create a PivotChart report

What do you want to do?

Create a PivotChart report

Create a PivotChart report that reflects the view of an existing PivotTable report

Learn about creating PivotChart reports


 Create a PivotChart report from an existing PivotTable report by using the Chart Wizard

Create a PivotChart report from an existing PivotTable report by using the Chart Wizard

When you use this method to create a PivotChart report, the chart uses the layout of the PivotTable report to determine the placement of fields. Row fields in the table become category fields in the chart, and column fields in the table become series fields in the chart.

  1. Select a cell outside the range of the PivotTable report.

  2. Click Chart Wizard [image] on the Standard toolbar.

  3. Click a chart type in step 1 of the wizard. Any chart type can be used except xy (scatter), bubble, or stock.

  4. In step 2 of the wizard, click the PivotTable report.

    The reference in the Data range box should expand to include the entire PivotTable report range.

  5. Follow the instructions in the remaining Chart Wizard steps.

Note A PivotChart report changes when you change the PivotTable report, and vice versa.


 Create a nonpivoting chart that uses PivotTable report data

Create a nonpivoting chart that uses PivotTable report data

To create a static, or nonpivoting, chart that uses PivotTable report data, you must first copy the PivotTable report data you want to use and paste it as static data in another area.

  1. Select the data in the PivotTable report, including column fields and row fields, that you want to use in your chart.

  2. Click Copy [image] on the Standard toolbar.

  3. Click the upper-left cell of the area where you want to put the static data.

  4. On the Edit menu, click Paste Special, and then click Values in the Paste Special dialog box.

  5. With the range of data still selected, click Chart Wizard [image] on the Standard toolbar and follow the instructions in the wizard to create the static chart.

Tip To include the first row and column of the PivotTable report in the selection to copy, start dragging from the lower-right corner of the data.


 Lay out a PivotChart report on the chart sheet

Lay out a PivotChart report on the chart sheet

Use this procedure after you have created a PivotChart report by using the PivotTable and PivotChart Wizard, but did not lay out the report by choosing the Layout button in step 3 of the wizard.

  1. From the group of field buttons on the PivotTable toolbar, drag the fields that you want to display in categories to the area on the PivotChart diagram labeled Drop More Category Fields Here.

    If you don't see the field buttons on the toolbar, make sure the toolbar is undocked, click within the PivotChart diagram, and then make sure Display Fields [image] is pressed in.

    For OLAP source data, only fields identified by Dimension field icon at the beginning of the row on the PivotTable toolbar can be used as category, series, or page fields. These fields are at the beginning of the field list. Click More Fields [image] to scroll to the top of the field list. Drag fields that you want to display in series (items shown in the legend) to the area labeled Drop More Series Fields Here.

  2. Drop fields that contain the data you want to compare or measure in the area labeled Drop Data Items Here.

    For OLAP source data, only fields identified by Data field icon at the beginning of the row on the toolbar can be used as data fields. These fields are at the end of the field list. Click More Fields [image] to scroll to the bottom of the field list. Drag fields that you want to use as page fields to the area labeled Drop Page Fields Here.

  3. To rearrange the fields, drag them from one area to another. To remove a field, drag it toward the outside edges of the PivotChart report. Fields you remove remain available in the field list on the toolbar.

Note Category, series, and page fields from OLAP source data initially show their highest level of data. The names of the highest level fields in the PivotChart report might not be the same as the names on the field buttons. For example, a field button for a dimension named Geography might have the highest level field name Country in the PivotChart report, and initially might show items for the Country level, such as U.S., Canada, and so forth. After you drop the fields onto the PivotChart report, you can display lower-level data for these fields.


 Change a PivotChart report layout by dragging a field

Change a PivotChart report layout by dragging a field

To use this procedure, the option to hide field buttons must be unchecked so that field buttons are displayed.

  • Do one of the following:

    To move a field and all items associated with it, drag the field button from the PivotTable toolbar (or the chart area) to a new position.

    To change a series field to a category field, drag the series field button to the category field area. Then move the previous category field to the series field area. To change a category field to a series field, reverse the procedure.

    To create a page field, drag the field button to the page field area.

    To remove a page, series, or category fields, drag the field button away from the drop area.

Notes

  • What to do if data is slow to appear If data is slow to appear when you drag the fields into place, use the PivotTable and PivotChart Wizard to change the layout.

  • OLAP dimension and data fields In PivotChart reports that are based on OLAP source data, dimension fields can be used only as PivotChart category, series, or page fields. These fields are identified by Dimension field icon at the beginning of the row in the field list on the PivotTable toolbar. The fields identified by Data field icon at the beginning of the row on the toolbar can be used only as data fields.

  • OLAP dimension fields operate as sets When you move a dimension field to change the layout, all levels and items in the dimension move with it.

  • Some fields can't be dragged In some instances, you cannot drag certain fields.

  • Page fields that query for each item If a page field is set to query for external data as you select each item, dragging the page field to another position changes the field so that Microsoft Excel retrieves external data for all items at the same time. Learn about page field settings.

  • PivotChart formatting When you change the layout of a PivotChart report, some formatting might be lost.


 Change a PivotChart report to a static chart

Change a PivotChart report to a static chart

To convert a PivotChart report to a static, or nonpivoting, chart, you must delete the associated PivotTable report.

  1. Click a cell in the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, point to Select, and then click Entire Table.

  3. Press DELETE.

Tips

  • If you don't have any valuable data on the PivotTable report worksheet, you can delete the entire worksheet rather than just the PivotTable report.

  • If you want to save the PivotTable report in another location, you can move or copy the sheet it is on to a new workbook. When you move the sheet to another workbook, the PivotChart report becomes static. When you copy the sheet to another workbook, you still have to delete the copied PivotTable report to make the PivotChart report static.


Control the amount of detail in a PivotChart report

What do you want to do?

Show or hide items

Display or hide items in a PivotChart field

Display or hide items in a PivotChart page field

Display the top or bottom items for a PivotChart field, such as the top ten selling products, or the bottom five performing stocks

Show or hide detail

Display different levels of detail in a PivotChart

Show or hide detail for a series in a PivotChart report

Show or hide detail for a category in a PivotChart report

Prevent access to PivotTable or PivotChart detail


 Show or hide field buttons in a PivotChart report

Show or hide field buttons in a PivotChart report

You may want to hide field buttons on the PivotChart report for printing or presentation purposes. When you hide field buttons, the chart size increases, and the chart can't be directly pivoted.

  1. Click the PivotChart report.

  2. On the PivotTable toolbar, click PivotChart, and do one of the following:

    To hide the buttons, select Hide PivotChart Field Buttons.

    To show the buttons, clear Hide PivotChart Field Buttons.

Tip If you hide field buttons but want to label elements of your chart that were previously identified by field button names, you can add axis titles or text boxes to the chart.


Rename a field or item in a PivotChart report

To rename a field, use the following procedure. To rename an item, you must rename the item in the associated PivotTable report.

  1. On the PivotChart report, double-click the field button for the field you want to rename.

  2. In the PivotTable Field dialog box, type a new name in the Name box.


 About formulas in PivotChart reports

About formulas in PivotChart reports

You can create custom formulas in PivotChart reports to analyze your data in different ways. The methods and rules used for creating formulas in PivotChart reports are the same as those used in PivotTable reports. When you create a calculated item or calculated field in a PivotChart report, the formulas and results are reflected in the associated PivotTable report, and vice versa. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report.

Example of a formula in a PivotChart report The following PivotChart report example shows sales for each salesperson per region:

PivotChart report showing sales for each salesperson per region

If you want to see what sales would look like if they were increased by 10 percent, you could create a calculated field that uses the following formula:

=Sales * 1.10

The result would be reflected in the chart like this:

PivotChart report showing sales increased by 10 percent per region

You can also create calculated items in PivotChart reports. For instance, if you want to see a separate data marker for sales in the East region minus a transportation cost of 8 percent, you could create a calculated item in the Region field that uses the following formula:

=East–(East * .08)

In the chart example above, this formula would appear as a separate category and data marker on the category axis. A calculated item created in the Salesperson field, however, would appear as a series represented in the legend and appear in the chart as a data point in each category.

When you first create a calculated item, the formula is the same in each category or each series in which the item appears. For example, if you create the formula =East–(East * .08) in the Region field, which is a category field, the same formula is used across all series. To change the formula on a per-series basis or per-category basis, change the formulas in the associated PivotTable report on a cell-by-cell basis.

More information

Learn more about how Microsoft Excel calculates PivotTable and PivotChart data

Summarize and calculate data in a PivotTable or PivotChart report


Troubleshoot charts

What do you need help with?

Working with data

My chart doesn't measure or display data the way I want.

I'm using dates in my chart, but I don't get a time-scale axis.

Text is missing along the horizontal axis of the chart.

My xy (scatter) chart doesn't use my values along the horizontal (x) axis.

I typed new text or numbers on the worksheet, but the chart wasn't updated.

Formatting and display

Why does the font size in my chart keep changing?

There are gaps between the dates plotted in my chart.

I published an (xy) scatter chart, but it's empty when I view it in the browser.

The multiple-level category labels in my chart are positioned differently than when I created the chart.

I made or moved a chart, but I can't find it.

The text box, picture, or floating text I added to my user-defined chart type is not included when I create a chart.

Printing and commands

I can't scale a chart to print the size I want or print multiple charts on a single page.

I can't find the correct menu, command, toolbar button, tab, or dialog box option.

PivotChart reports

Troubleshoot PivotChart reports


Troubleshoot PivotChart reports

What do you need help with?

Creating a PivotChart report

Formatting a PivotChart report

Laying out a PivotChart report

Working with data in a PivotChart report

Creating a PivotChart report

A message tells me Microsoft Excel has insufficient memory to create the report.

The PivotTable report I want to use to create a PivotChart report doesn't appear in the wizard list.

Return to top

Formatting a PivotChart report

Formatting, trendlines, and error bars in my PivotChart report disappeared.

I can't move or resize the legend, titles, or plot area in my PivotChart report.

The position and size of items in my user-defined chart type aren't used when I create a PivotChart report

Number formatting is not shown for the formatted data in the PivotChart report.

Return to top

Laying out a PivotChart report

The field buttons on my PivotChart report are gone, and I can no longer change the layout of my chart.

Changes to the layout or view of a PivotTable or PivotChart report take a long time to be updated.

The page field options are unavailable.

When I drag a field onto my PivotChart report, the data takes a long time to appear.

When I dock the PivotTable toolbar, I can't display the field list.

I can't drag a PivotChart field to a new position.

The arrow is missing from a field in a PivotTable or PivotChart report.

Return to top

Working with data in a PivotChart report

The Source Data command on the Chart menu is not available.

I can't change my worksheet while a PivotTable or PivotChart query is running.

A data field is using Count instead of Sum, or Sum instead of Count, as the summary function.

Data is missing from a PivotChart report after I refresh the report.

My PivotChart report looks completely different after I refresh it, or it can't be refreshed any more.

Return to top


About using graphics in Microsoft Excel

To display this topic, click the graphic.

To display this topic, click the graphic


Add a graphic to a worksheet or chart sheet

What do you want to do?

Add a graphic

Learn about using graphics in Microsoft Excel

Add a circle, square, or other AutoShape

Insert and edit a picture or clip art

Add text to an AutoShape

Add text or a drawing

Add or edit a special text effect

Add a line

Add a curve

Add a freeform object


 About creating pictures of cells, charts, and other objects

About creating pictures of cells, charts, and other objects

Creating a picture You can create pictures of worksheet data, charts, and other objects and use them as illustrations on a worksheet or a document created in another program. You can resize, move, and change a picture as you can any drawing object. How to create a picture of a chart, cells, or an object that is not linked to the source data.

You can also create a picture of worksheet data (although not a chart) so that the picture can be updated when the source data changes. How to create a picture of cells that is linked to the source data.

Linking a picture of a chart You can't link a picture of a chart. To have a chart reflect changes to its source data automatically, copy the chart and paste a linked chart object in the destination file. How to copy a chart into a Word document or PowerPoint presentation.

Advantages of using picture format You can copy a picture in picture format or in bitmap format. Picture format uses less memory and disk space than bitmap format and allows Microsoft Excel to display the picture more quickly. Images in picture format look good at any resolution and work well when you need a high-quality printout or display, such as a chart for a presentation. Bitmap images change appearance based on the screen resolution and can take up more memory than images in picture format.


 Show or hide the Drawing toolbar

Show or hide the Drawing toolbar

  • Click Drawing [image] .


 Save a drawing object style as the default

Save a drawing object style as the default

This procedure applies the attributes you select to new drawing objects.

  1. Select the object that has the attributes you want to use as the default.

  2. On the Drawing toolbar, click Draw, and then click Set AutoShape Defaults.


 Add a circle, square, or other AutoShape

Add a circle, square, or other AutoShape

  1. To add an AutoShape to a worksheet or chart sheet, click the sheet tab for the worksheet or chart sheet.

    To add an AutoShape to an embedded chart, click the embedded chart.

  2. On the Drawing toolbar, click AutoShapes, point to a category, and then click the shape you want.

  3. To insert a shape with a predefined size, click the worksheet, chart sheet, or embedded chart.

    To insert a shape with a different size, drag the pointer to make the shape the size you want.

    To maintain the shape's width-to-height ratio, hold down SHIFT while you drag the pointer.

    To align the shape with cell gridlines, hold down ALT while you drag the pointer.

Tips

  • To draw a circle or square, click Oval [image] or Rectangle [image] on the Drawing toolbar, and then click the sheet.

  • To add color, change borders, rotate, or add shadow or 3-D effects to a shape, select the shape, and then use the tools on the Drawing toolbar.

  • The More AutoShapes category displays AutoShapes located in the Clip Gallery. Just drag the AutoShape you want from the Clip Gallery onto your worksheet.


 Add a line

Add a line

  1. On the Drawing toolbar, click AutoShapes, point to Lines, and then click the line style you want.

  2. Drag to draw the line.

    To constrain a straight line to draw at 15-degree angles from its starting point, hold down SHIFT as you drag.

    To lengthen a straight line in opposite directions from the first end point, hold down CTRL as you drag.

Tip If you want to draw a simple straight line, click Line [image] on the Drawing toolbar.


 Add or remove arrowheads on lines

Add or remove arrowheads on lines

  1. Select the line you want to change.

  2. On the Drawing toolbar, click Arrow Style [image] .

  3. To add an arrowhead, click the style you want; or click More Arrows, and then click a style.

    To remove an arrowhead, click the line without arrowheads at the top of the menu.


 About drawing freeforms and curves

About drawing freeforms and curves

The AutoShapes menu on the Drawing toolbar includes several categories of tools. In the Lines category, you can use the Curve, Scribble, and Freeform tools to draw lines, curves, and shapes that combine lines and curves.

Tool | Example | Description
Scribble | Object drawn with Scribble tool | Makes an object look as if you drew it with a pen. The resulting shape closely matches what you draw on the screen.
Freeform | Object drawn with Freeform tool | Makes a more refined shape without jagged lines or drastic changes in direction
Curve | Object drawn with Curve tool | Helps you draw curves with greater control and accuracy

Note You can enhance freeforms and curves just as you can other AutoShapes — for example, you can add color or a pattern, change the line style, and flip or rotate them. However, you can't add text or convert a freeform, scribble, or curve to another AutoShape.

More information

Add a freeform or scribble

Add a curve


 Add a freeform object

Add a freeform object

  1. On the Drawing toolbar, click AutoShapes, and then point to Lines.

  2. Click Freeform [image] to draw an object with both curved and straight segments. Drag to draw freehand shapes; click and move the mouse to draw straight lines.

    Click Scribble [image] when you want an object to look more like it was drawn with a pen.

  3. To end a shape and leave it open, double-click it at any point.

    To close a shape, click near its starting point.

Tip After you complete a freeform, you can close an open shape or open a closed one. Right-click the shape, and then click Close Curve or Open Curve on the shortcut menu.


 Add a curve

Add a curve

  1. On the Drawing toolbar, click AutoShapes, point to Lines, and then click Curve [image] .

  2. Click where you want the shape to start, and then continue to move the mouse and click wherever you want to add a curve.

  3. To end the shape and leave it open, double-click it at any point.

    To close the shape, click near its starting point.

Tip After you complete a curve, you can close an open shape or open a closed one. Right-click the curve, and then click Close Curve or Open Curve on the shortcut menu.


 Add or move a connector line

Add or move a connector line

  1. On the Drawing toolbar, click AutoShapes, point to Connectors, and then click the connector you want.

  2. Point to the first object to which you want to attach the connector.

    Connection sites appear as blue squares.

  3. Click the first connection site you want, point to the other object, and then click the second connection site.

    Locked connector ends appear as red squares. Locked connector lines move with the objects they connect. Unlocked connector ends appear as green squares.

    To move the connector line, drag one of its ends, and connect it to another site or object. To detach the entire line, drag its middle. If the connector line has a yellow adjustment handle, dragging the handle will change the shape of the connector line, but not detach it.


Change the AutoShape type

  1. Select the AutoShape you want to change.

  2. On the Drawing toolbar, click Draw, point to Change AutoShape, point to a category, and then click the shape you want.


 Display or hide drawing objects and imported graphics

Display or hide drawing objects and imported graphics

Hide drawing objects and graphics if you want to speed up scrolling on the screen or printing.

  1. On the Tools menu, click Options, and then click the View tab.

  2. To display the drawing objects and imported graphics, click Show all.

    To hide the drawing objects and imported graphics, click Hide all.


Delete an AutoShape or graphic object

  1. Select the AutoShape or graphic object you want to delete.

  2. Press DELETE.


Symbols used in drawing object manipulation

To display this topic, click the graphic.

To display this topic, click the graphic


Add, change, or remove a fill in a drawing object

You can fill objects with solid or gradient (shaded) colors, a pattern, a texture, or a picture. Any time you fill an object, the new fill replaces the old one.

What do you want to do?

Add or change a gradient (shaded), patterned, textured, or picture fill

Change a fill color

Remove a fill


 Change the shape of a freeform or curve

Change the shape of a freeform or curve

  1. Select the freeform object or curve you want to change.

  2. On the Drawing toolbar, click Draw, and then click Edit Points.

  3. To reshape the freeform, drag one of the vertexes that form its outline.

    To add a vertex to the freeform, click where you want to add it, and then drag.

    To delete a vertex, press CTRL and click the vertex you want to delete.

Tip For greater control over the shape of a curve, after you click Edit Points, right-click a vertex. A shortcut menu appears with options for other types of vertexes you can use to refine the shape of the curve.


 About resizing or cropping an object

About resizing or cropping an object

Resizing When you select an object, sizing handles appear at the corners and along the edges of the selection rectangle. You can resize an object by dragging its sizing handles, or you can resize it more precisely by specifying percentages for the object's height and width.

Resize an object by dragging

Resize an object by a specific percentage

Maintain the proportions of an object while resizing it

Cropping If the object is a picture — for example, a photo, bitmap, or clip art — you can crop it, that is, trim the vertical or horizontal edges of it. Photos are often cropped to focus attention on a specific area of the picture. How to crop a picture.

Restoring You can restore pictures that have been cropped or resized. No matter how many times the picture has been changed, Microsoft Excel keeps track of its original size when it was first inserted in your worksheet or chart. How to restore a picture to its original size.


 Change the color of a line or border around a drawing object

Change the color of a line or border around a drawing object

  1. Select the object you want to change.

  2. On the Drawing toolbar, click the arrow next to Line Color [image] .

  3. Click the color you want.

    If you don't see the color you want, click More Line Colors. Click a color on the Standard tab, or click the Custom tab to mix your own color, and then click OK.


 Change the style of a drawing object line or border

Change the style of a drawing object line or border

  1. Select the line or border you want to change.

  2. On the Drawing toolbar, click Line Style [image] .

  3. Click the style you want; or click More Lines, and then click a style.


 Make a dashed line or border around a drawing object

Make a dashed line or border around a drawing object

  1. Select the line or border you want to change.

  2. On the Drawing toolbar, click Dash Style [image] , and then click the style you want.


 Remove the line or border around a drawing object

Remove the line or border around a drawing object

  1. Select the object whose line or border you want to remove.

  2. On the Drawing toolbar, click the arrow next to Line Color [image] , and then click No Line.


Reroute a connector line

  1. Select one of the connected objects.

  2. On the Drawing toolbar, click Draw, and then click Reroute Connectors.

Tip If you click Reroute Connectors when two or more connector lines are connecting the same two objects, all the lines move so they connect at the same points. If you don't want to reroute all the lines, select only the line you want to reroute, and then click Reroute Connectors.


 Add a shadow or 3-D effect to a drawing object

Add a shadow or 3-D effect to a drawing object

Rectangle with shadow and rectangle with 3-D effect

Shadows You can add shadows to AutoShapes — including text boxes — and you can change the size, direction, and color of shadows. When you change the color of a shadow, the change affects only the shadow, not the object itself. You can also add some types of shadows — an offset shadow, for example — to the borders of pictures. How to add a shadow to a drawing object.

3-D effects You can add a 3-D effect to most lines, AutoShapes, and freeform drawing objects. With 3-D options, you can change the depth (the extrusion) of the object and its color, rotation, angle, direction of lighting, and surface texture. When you change the color of a 3-D effect, the change affects only the 3-D effect of the object, not the object itself. How to add a 3-D effect to a drawing object.

Note An object can have either a shadow or a 3-D effect, but not both — if you apply a 3-D effect to an object that has a shadow, the shadow disappears.

Tip You can create text with a 3-D effect by using the Insert WordArt button [image] on the Drawing toolbar.


 Add a shadow to a drawing object

Add a shadow to a drawing object

  1. Select the object you want to add a shadow to.

  2. On the Drawing toolbar, click Shadow [image] , and then click the option you want.

Tip To change the color or offset of a shadow, click Shadow [image] , click Shadow Settings, and then click the options you want on the Shadow Settings toolbar.


 Add or change the 3-D effect of a drawing object

Add or change the 3-D effect of a drawing object

  1. Select the object you want to change.

  2. On the Drawing toolbar, click 3-D [image] .

    To add a 3-D effect, click the option you want.

    To change a 3-D effect — for example, its color, rotation, depth, lighting, or surface texture — click 3-D [image] again, click 3-D Settings, and then click the options you want on the 3-D Settings toolbar.

Tip To add the same 3-D effect to several objects at one time — the same color, for example — select or group the objects before you add the effect.


 Change the color of the 3-D effect of a drawing object

Change the color of the 3-D effect of a drawing object

  1. Select the object you want to change.

  2. On the Drawing toolbar, click 3-D [image] , and then click 3-D Settings.

  3. On the 3-D Settings toolbar, click the arrow next to 3-D Color [image] .

  4. Click the color you want.

    If you don't see the color you want, click More 3-D Colors. Click a color on the Standard tab, or click the Custom tab to mix your own color, and then click OK.

    To change the 3-D color back to its default, click Automatic.


 Change the color of a shadow on a drawing object

Change the color of a shadow on a drawing object

  1. Select the object you want to change.

  2. On the Drawing toolbar, click Shadow [image] , and then click Shadow Settings.

  3. On the Shadow Settings toolbar, click the arrow next to Shadow Color [image] .

  4. Click the color you want.

    If you don't see the color you want, click More Shadow Colors. Click a color on the Standard tab, or click the Custom tab to mix your own color, and then click OK.

Tip To change the shadow color so you can see through it, click Shadow Color [image] , and then click Semitransparent Shadow.


 Change the offset direction of a shadow on a drawing object

Change the offset direction of a shadow on a drawing object

  1. Select the object you want to change.

  2. On the Drawing toolbar, click Shadow [image] , and then click Shadow Settings.

  3. On the Shadow Settings toolbar, click any of the four Nudge Shadow buttons to create the effect you want.

    Clicking a Nudge Shadow button nudges the shadow 1 point. To nudge the shadow 6 points, hold down SHIFT while you click a Nudge Shadow button.


 Remove a 3-D effect from a drawing object

Remove a 3-D effect from a drawing object

  1. Click the object you want to change.

  2. On the Drawing toolbar, click 3-D [image] , and then click No 3-D.


 Remove a shadow from a drawing object

Remove a shadow from a drawing object

  1. Select the object you want to change.

  2. On the Drawing toolbar, click Shadow [image] , and then click No Shadow.


 Add text to a graphic object

Add text to a graphic object

When you want to add "floating" text that is not in a specific cell — for example, to create a caption for an imported picture or to place text on top of a picture — use the Text Box tool [image] on the Drawing toolbar. You can also add text to most AutoShapes, except lines, connectors, and freeforms. To add a special text effect to a worksheet, use the Insert WordArt tool.

What do you want to do?

Add text by using the Text Box tool

Add text to an AutoShape

Display the contents of a worksheet cell in an AutoShape or text box

Add a special text effect


 Change the appearance of text in an AutoShape or text box

Change the appearance of text in an AutoShape or text box

  1. Select the text in the AutoShape or text box that you want to change.

  2. If you selected an AutoShape, click AutoShape on the Format menu, and then click the Font tab.

    If you selected a text box, click Text Box on the Format menu, and then click the Font tab.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.


 Set margins and align text that is attached to an AutoShape or text box

Set margins and align text that is attached to an AutoShape or text box

When text is attached to an AutoShape — such as a callout or a flowchart symbol — you can change the alignment of the text, change the size of the object to fit the text, or change the margins between the text and the edge of the object.

What do you want to do?

Align text in an AutoShape or text box

Make an AutoShape or text box automatically fit its text

Change the margins around text in an AutoShape or text box


 Add a WordArt drawing object

Add a WordArt drawing object

  1. On the Drawing toolbar, click Insert WordArt [image] .

  2. Double-click the special effect you want.

  3. In the Edit WordArt Text dialog box, type the text you want, select any other options, and then click OK.

    For Help on an option, click the question mark [image] and then click the option.

  4. To add or change effects to the text, use the tools on the WordArt and Drawing toolbars.


Change the text in a WordArt drawing object

  1. Click the WordArt drawing object you want to change.

  2. On the WordArt toolbar, click Edit Text.

  3. Make the changes you want, and then click OK.


Specify an alternative text description for an object on a Web page

Alternative text appears in Web browsers while pictures are loading or if pictures are missing. Specify alternative text for objects in a workbook or worksheet when you plan to save your workbook or worksheet as a Web page.

  1. Select the drawing object or picture you want to add a text description to.

  2. On the Format menu, click AutoShape or Picture, and then click the Web tab.

  3. Type the text you want in the Alternative text box. The text can be as long as you want, but some Web browsers may be able to display only a certain number of characters.

Note By default, the text in a WordArt object is used as its alternative text.


Flip a drawing object horizontally or vertically

  1. Select the object you want to flip.

  2. On the Drawing toolbar, click Draw, and then point to Rotate or Flip.

  3. To flip the object horizontally, click Flip Horizontal.

    To flip the object vertically, click Flip Vertical.


 Rotate a drawing object to any angle

Rotate a drawing object to any angle

  1. Select the object you want to rotate.

  2. On the Drawing toolbar, click Free Rotate [image] .

  3. Drag a corner of the object in the direction you want to rotate it.

  4. Click outside the object to set the rotation.

Tips

  • To constrain the rotation of the object to 15-degree angles, hold down SHIFT while you use the Free Rotate tool.

  • To rotate the object around the handle opposite the handle you're using, hold down CTRL while you use the Free Rotate tool.


Rotate a drawing object 90 degrees to the left or right

  1. Select the object you want to rotate.

  2. On the Drawing toolbar, click Draw, and then point to Rotate or Flip.

  3. To rotate the object 90 degrees to the left, click Rotate Left.

    To rotate the object 90 degrees to the right, click Rotate Right.


Align and arrange drawing objects

You can align drawing objects several ways. You can align them with other objects, such as when you align the sides, middles, or top or bottom edges of objects, and you can align them with cells.

What do you want to do?

Align drawing objects with other drawing objects

Align drawing objects with cells

Arrange drawing objects equal distances from each other


Arrange drawing objects equal distances from each other

  1. Select the objects you want to arrange.

  2. On the Drawing toolbar, click Draw, and then point to Align or Distribute.

  3. To arrange objects equal distances from each other, click Distribute Horizontally or Distribute Vertically.


 Move a drawing object or set of objects

Move a drawing object or set of objects

  1. Select the object, multiple selection, or group you want to move.

    On an embedded chart, select the chart area by clicking the blank area between the border of the chart and the plot area.

  2. Drag the object to its new location.

Tip To constrain an object so it moves only horizontally or vertically, press SHIFT as you drag the object.


Move a text box

  • Click the text box, and then drag its border.

    Make sure to drag the border and not one of the sizing handles. If you drag a sizing handle, the text box will change shape but stay in the same place on the sheet.


Move, or "nudge," a drawing object in small increments

  1. Select the object you want to nudge.

  2. On the Drawing toolbar, click Draw, point to Nudge, and then click the direction you want to nudge the object.

Tip On a worksheet, you can also nudge an object by selecting it and pressing the arrow keys. Press CTRL and the arrow keys to nudge it in 1-pixel increments. You cannot nudge an object with the arrow keys on a chart.


 Prevent objects from moving and sizing with cells

Prevent objects from moving and sizing with cells

  1. Select the object, multiple selection, or group you want to change.

    On an embedded chart, select the chart area by clicking the blank area between the border of the chart and the plot area.

  2. On the Format menu, click the command for the type of object you selected — for example, AutoShape or Selected Chart Area — and then click the Properties tab.

  3. Under Object Positioning, select the option you want.

    For Help on an option, click the question mark [image] and then click the option.


 About grouping drawing objects

About grouping drawing objects

When you group drawing objects, you combine them so that you can work with them as though they were a single object. You can flip, rotate, and resize or scale all drawing objects in a group as a single unit. You can also change the attributes of all objects in a group at one time — for example, you might change the fill color for or add a shadow to all objects in the group. You can also build complex drawings by creating groups within groups. You can ungroup or regroup a group of objects at any time.

What do you want to do?

Group drawing objects

Ungroup drawing objects

Regroup drawing objects


Stack drawing objects

Drawing objects automatically stack in individual layers as you add them to a worksheet or chart. You see the stacking order when objects overlap — the top object covers a portion of objects beneath it. You can create different effects by overlapping objects when you draw. You don't have to draw the bottom object first — you can always move it later.

  1. Select the object you want to move.

    If the object is hidden behind other objects, click one of the objects, and then press TAB or SHIFT+TAB until the one you want is selected.

  2. On the Drawing toolbar, click Draw, and then point to Order.

  3. Click the command for the placement you want.
    To do this | Click
    Bring an object to the front of the stack | Bring to Front
    Send an object to the back of the stack | Send to Back
    Bring an object one step closer to the front | Bring Forward
    Send an object one step toward the back | Send Backward


Graphics file types Microsoft Excel can use

You can insert many popular graphics file formats into your workbook either directly or with the use of separate graphics filters. You don't need a separate graphics filter installed to insert the following graphics file formats: Enhanced Metafile (.emf), Joint Photographic Experts Group (.jpg), Portable Network Graphics (.png), Windows Bitmap (.bmp, .rle, .dib), Graphics Interchange Format (.gif), and Windows Metafile (.wmf) graphics. However, you do need a graphics filter installed to insert all other graphics file formats listed later in this topic. If you didn't install the filter you need when you installed Microsoft Excel on your computer, you can add the graphics filter. For information about how to install a program or component, click [image] .

Note Filters for the following graphics file formats are available only if you installed Microsoft Office: Computer Graphics Metafile (.cgm), Enhanced Metafile (.emf), Kodak Photo CD (.pcd), Windows Bitmap (.bmp, .rle, .dib), Windows Metafile (.wmf), and WordPerfect Graphics (.wpg).

What do you want to insert?

Computer Graphics Metafile (.cgm)

CorelDRAW (.cdr) file

Encapsulated PostScript (.eps) file

Enhanced Metafile (.emf)

Graphics Interchange Format (.gif) file

JPEG File Interchange Format (.jpg) file

Kodak Photo CD (.pcd) file

Macintosh PICT (.pct) file

PC Paintbrush (.pcx) file

Portable Network Graphics (.png) file

Tagged Image File Format (.tif) file

Windows Bitmap (.bmp, .rle, .dib) file

Windows Metafile (.wmf)

WordPerfect Graphics (.wpg) file

Hanako (.jsh, jah, and .jbh)

FlashPix (.fpx)

Other graphics filters


 Insert a graphic object

Insert a graphic object

You can insert clip art, a picture, or a scanned photograph you import from other programs and locations. You can also add AutoShapes, or drawing objects, to your worksheet.

What do you want to do?

Learn more about using graphic objects

Insert an imported picture or clip art

Insert a scanned picture

Add a circle, square, or other AutoShape


 Insert an animated GIF picture in a worksheet

Insert an animated GIF picture in a worksheet

You can play animated GIF pictures if you save your workbook or worksheet as a Web page and then view it in a Web browser.

  1. Click the worksheet you want to add an animated GIF picture to.

  2. Do one of the following:

    To insert the picture from the Clip Gallery, click Insert Clip Art [image] on the Drawing toolbar, and then click the Motion Clips tab.

    To insert the picture from a file, point to Picture on the Insert menu, and then click From File.

  3. If you clicked the Motion Clips tab in step 2, click the picture you want, and then click Insert Clip [image] on the menu that appears.

    If you clicked From File in step 2, locate and open the folder than contains the picture you want, and then double-click the picture.

  4. To see how an animated GIF picture will appear, click Web Page Preview on the File menu.

Note You cannot crop or change the fill, border, shadow, or transparency of an animated GIF picture by using the Picture toolbar or the Format Picture dialog box in Microsoft Excel. Make these changes in an animated GIF editing program, and then insert the file in the workbook again.


Ungroup and change clip art

  1. Select the clip art you want to change.

  2. On the Drawing toolbar, click Draw, and then click Ungroup.

  3. To continue ungrouping, click Yes when the message box appears.

  4. To change an individual object in the image, continue to select and ungroup objects until the one you want becomes available.

  5. Use the tools on the Drawing toolbar to change the object.

    For example, you can rearrange parts of the image, combine two or more images, or change fill and line colors.

  6. To restore the individual objects to one image, select all objects that make up the image, and then click Group on the Draw menu.


 Edit a picture

Edit a picture

  1. Select the picture you want to edit.

  2. On the Picture toolbar, select the options you want.

    For Help on a toolbar button, click What's This? on the Help menu, and then click a toolbar button.

Note You cannot crop or change the fill, border, shadow, or transparency of an animated GIF picture by using the Picture toolbar in Microsoft Excel. Make these changes in an animated GIF editing program, and then insert the file in the workbook again.


 Create transparent areas in a picture

Create transparent areas in a picture

You can use transparent areas to integrate a picture onto your worksheet — for example, you might have a picture of a person and make a background color transparent.

  1. Select the picture you want to change.

  2. On the Picture toolbar, click Set Transparent Color [image] .

  3. Click the color you want to make transparent.

Notes

  • The Set Transparent Color button [image] is available for bitmap pictures that do not already have transparency information. It is also available for some, but not all, clip art.

  • You can make only one color transparent. When printed, transparent areas will be the same color as the paper they're printed on. In an electronic display, transparent areas will be the same color as the background.

  • It might be difficult to see the transparent effect in a photograph because the color you select may appear in very small areas. What appears to be a single color, such as a blue sky, can actually be a range of subtle color variations.

  • You cannot change the transparency of an animated GIF picture by using the Picture toolbar in Microsoft Excel. Make these changes in an animated GIF editing program, and then insert the file in the workbook again.


 Undo all changes to a picture

Undo all changes to a picture

Use this procedure to undo any changes you made to the contrast, color, brightness, borders, or size of a picture by using the buttons on the Picture toolbar.

  1. Select the picture you want to restore.

  2. On the Picture toolbar, click Reset Picture [image] .


 Restore a picture to its original size

Restore a picture to its original size

  1. Select the picture you want to restore.

  2. On the Format menu, click Picture, and then click the Size tab.

  3. Click Reset.

Tip To restore size and formatting options for a picture, select the picture, and then click Reset Picture [image] on the Picture toolbar.


About displaying data in a map

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


Add data to a map

  1. To add an entry for a new geographic region, insert a new row on the worksheet, within the range of cells already plotted in the map.

    How?

    To add a new category of information for each geographic region, insert a new column on the worksheet, directly to the right of the column that contains the geographic data (for example, names of countries or states).

    How?

  2. Enter the information in the new row or column.

  3. If you inserted a column on the worksheet in step 1, double-click the map, and then click Data on the Insert menu. Next, on the worksheet, select all the cells that contain the geographic data and all the cells that contain the new data you entered.

    If you inserted a row, Microsoft Map refreshes the map automatically.

Note If the new data does not appear automatically in the map, double-click the map, and then make sure that Automatic is selected under Data Refresh (Tools menu, Options command in Microsoft Map).


 Add the Map button to a toolbar

Add the Map button to a toolbar

  1. Show the toolbar you want to add Map [image] to.

  2. On the Tools menu, click Customize, and then click the Commands tab.

  3. In the Categories list, click Insert.

  4. Drag Map from the Commands list to the toolbar you want.


 Create a map

Create a map

If Map [image] does not appear on the toolbar you want, you can add the Map button to the toolbar.

  1. To create a map that shows map features and associated data, select a range of cells on your worksheet that includes geographic data, such as countries or states. For best results, follow the guidelines for setting up data to create a map.

    To create a map that shows only map features with no data, do not select a range.

  2. Click Map [image].

  3. On the worksheet, drag a rectangle to the size and shape you want.

    If Microsoft Map is not installed, you are prompted to install it. How to install Microsoft Map.

  4. If prompted, select the map you want to use.

Note For more information about working with maps, maps that come with Microsoft Map, and additional maps you can buy, double-click an existing map, and then click Microsoft Map Help Topics on the Help menu.


Get more help about maps

For more information about working with maps — for example, changing the colors and formats displayed in the map, adding custom labels, or changing the map's legends — see Microsoft Map Help.

  1. Double-click an existing map.

    For information about creating a map, click [image] .

  2. On the Help menu, click Microsoft Map Help Topics.


Guidelines for setting up data to create a map

When you create a map, the first step is to set up and select the data you want to display.

  • Arrange the information in columns on a worksheet. One column must contain geographic data, such as the names of countries or states.

    Worksheet containing geographic data

  • If your worksheet contains additional data for each map feature, such as sales figures for each country, include that data in the cells you select to create the map.

  • If there are headings at the top of your columns, include those headings in the selection.

Tips

  • Spelling and abbreviations To see a list of standard spellings and abbreviations for map features, see the sample workbook Mapstats.xls in the Data folder under the folder where you installed Microsoft Map.

  • Postal codes If your data contains numeric postal codes, such as U.S. ZIP Codes, make sure the postal codes are formatted as text or with the ZIP Code number format. Doing so prevents the removal of zeros that might be part of a ZIP Code.


Troubleshoot drawing objects

What do you need help with?

Appearance

The lines in my drawing are jagged.

Colors within objects aren't smooth.

Freeforms I drew won't align evenly.

Text in a drawing object doesn't rotate or flip.

Drawing

Freehand drawing is hard to control.

Moving and selecting

The AutoShape, Text Box, Picture, WordArt, or Object command isn't on the Format menu.

I ungrouped a group of drawing objects and can't regroup them.

When I click a drawing object to move or edit it, a macro runs.

When I try to move a drawing object, it resizes, or vice versa.

I added a drawing object to my embedded chart, but it doesn't move when I move the chart.

Drawing objects and imported graphics aren't sorted with the underlying cells.

Printing

I can't print drawing objects.


Troubleshoot pictures and imported graphics

What do you need help with?

Importing

A graphic won't import.

Editing

I can't change the color of some parts of a picture.

I can't ungroup an imported picture.

I can't change an animated GIF picture.

Moving and selecting

The AutoShape, Text Box, Picture, WordArt, or Object command isn't on the Format menu.

I can't rotate a graphic.

I added a graphic to my embedded chart, but it doesn't move when I move the chart.

When I click a graphic to move or edit it, a macro runs.

Printing

I can't print graphics.


Troubleshoot working with a scanner or camera

What do you need help with?

I got a message when I tried to insert a picture from a scanner or camera.

The scan took a very long time.

The scanner scanned too much or too little of my picture.

I don't like the way my scanned image looks.

My computer stopped working when I tried to insert a picture from a scanner or camera.

The Insert button is dimmed when I select a scanner.

When I click the Custom Insert button, nothing happens.


Troubleshoot adding borders, fills, shadows, and 3-D effects to drawing objects

What do you need help with?

When I added a 3-D effect to my drawing object, the object shadow disappeared.

I can't see the border around a drawing object.

I changed the fill, border, shadow, or 3-D effect, but I get the old settings when I draw an object.

When I change the fill color of a drawing object with a shadow or 3-D effect, the shadow or 3-D effect doesn't change color.

The shadow on my drawing object is not solid


Troubleshoot aligning and arranging drawing objects

What do you need help with?

I aligned my drawing objects, and they are stacked on top of each other.

Items on the Align or Distribute menu are dimmed, and I can't select them.


 The AutoShape, Text Box, Picture, WordArt, or Object command isn't on the Format menu.

The AutoShape, Text Box, Picture, WordArt, or Object command isn't on the Format menu.

The AutoShape, Text Box, Picture, WordArt, or Object command is available only if you've first selected the drawing object, text box, imported graphic, text effect, picture, or other object you want to format.


 About using a list as a database

About using a list as a database

In Microsoft Excel, you can easily use a list as a database. When you perform database tasks, such as finding, sorting, or subtotaling data, Microsoft Excel automatically recognizes the list as a database and uses the following list elements to organize the data.

  • The columns in the list are the fields in the database.

  • The column labels in the list are the field names in the database.

  • Each row in the list is a record in the database.

List identifying columns, column labels, and rows


 Guidelines for creating a list on a worksheet

Guidelines for creating a list on a worksheet

Microsoft Excel has a number of features that make it easy to manage and analyze data in a list. To take advantage of these features, enter data in a list according to the following guidelines.

List organization

Use only one list per worksheet Avoid having more than one list on a worksheet. Some list management features, such as filtering, can be used on only one list at a time.

Put similar items in one column Design the list so that all rows have similar items in the same column.

Keep the list separate Leave at least one blank column and one blank row between the list and other data on the worksheet. Excel can then more easily detect and select the list when you sort, filter, or insert automatic subtotals.

Position critical data above or below the list Avoid placing critical data to the left or right of the list; the data might be hidden when you filter the list.

Show rows and columns Make sure any hidden rows or columns are displayed before making changes to the list. When rows and columns in a list are not showing, data can be deleted inadvertently.

List format

Use formatted column labels Create column labels in the first row of the list. Excel uses the labels to create reports and to find and organize data. Use a font, alignment, format, pattern, border, or capitalization style for column labels that is different from the format you assign to the data in the list. Format the cells as text before you type the column labels.

Use cell borders When you want to separate labels from data, use cell borders — not blank rows or dashed lines — to insert lines below the labels. How to apply borders to cells.

Avoid blank rows and columns Avoid putting blank rows and columns in the list so that Excel can more easily detect and select the list.

Don't type leading or trailing spaces Extra spaces at the beginning or end of a cell affect sorting and searching. Instead of typing spaces, indent the text within the cell.

Extend list formats and formulas When you add new rows of data to the end of a list, Excel uses consistent formatting and formulas. Three of the five preceding cells must use the same format or formula for this to occur. How to turn on extended list formats and functions.

More information

Use a list as a database

Add to or change a list by using a data form


 Turn on or off extended formats and formulas

Turn on or off extended formats and formulas

When you turn on extended formats and formulas, Microsoft Excel automatically formats new data that you type at the end of a list to match the preceding rows and automatically copies formulas that repeat in every row. To be extended, formats and formulas must appear in at least three of the five list rows preceding the new row.

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. Do one of the following:

    To automatically format new items that you add to the end of a list to match the format of the rest of the list, select the Extend list formats and formulas check box.

    To prevent automatic formatting, clear the check box.


About sorting a list (Ascending order)

To display this topic, click the graphic.

To display this topic, click the graphic


Sort a list

What do you want to do?

Sort rows in ascending order based on the contents of one column

Sort rows in descending order based on the contents of one column

Sort rows based on the contents of two or more columns

Sort columns based on the contents of rows

Sort months, weekdays, or custom lists

Learn about default sort orders

Not sure which choice you want?


 Default sort orders

Default sort orders

Microsoft Excel uses specific sort orders to arrange data according to the value, not the format, of the data.

In an ascending sort, Excel uses the following order. (In a descending sort, this sort order is reversed except for blank cells, which are always placed last.)

Numbers Numbers are sorted from the smallest negative number to the largest positive number.

Alphanumeric sort When you sort alphanumeric text, Excel sorts left to right, character by character. For example, if a cell contains the text "A100," Excel places the cell after a cell that contains the entry "A1" and before a cell that contains the entry "A11."

Text and text that includes numbers are sorted in the following order:

0 1 2 3 4 5 6 7 8 9 (space) ! " # $ % & ( ) * , . / : ; ? @ [ \ ] ^ _ ` { | } ~ + < = > A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Apostrophes (') and hyphens (-) are ignored, with one exception: If two text strings are the same except for a hyphen, the text with the hyphen is sorted last.

Logical values In logical values, FALSE is placed before TRUE.

Error values All error values are equal.

Blanks Blanks are always placed last.


 Find data in a list

Find data in a list

Microsoft Excel provides several ways to analyze data in a list. You can filter a list to see rows that meet specific criteria by using the AutoFilter or Advanced Filter command. If you want to find a value in a list by using another value in the list — for example, to find the price of one product from a list of products and their prices — you can use the Lookup Wizard.

What do you want to do?

Display a subset of rows in a list by using filters

Find a value in a list by using the Lookup Wizard


Ways to find values in a list by using filters (Overview)

To display this topic, click the graphic.

To display this topic, click the graphic


 Display a subset of rows by comparing values with custom AutoFilter

Display a subset of rows by comparing values with custom AutoFilter

To find specific values in rows in a list by using one or two comparison criteria for the same column, point to Filter on the Data menu, click AutoFilter, click the arrow in the column that contains the data you want to compare, and then click Custom.

  • To match one criterion, click the comparison operator you want to use in the first box under Show rows where, and then enter the value you want to match in the box immediately to the right of the comparison operator.

  • To display rows that meet two conditions, enter the comparison operator and value you want, and then click the And button. In the second comparison operator and value boxes, enter the operator and value you want.

  • To display rows that meet either one condition or another condition, enter the comparison operator and value you want, and then click the Or button. In the second comparison operator and value boxes, enter the operator and value you want.

For information about comparison criteria, click [image] .


Remove filters from a list

  • To remove a filter from one column in a list, click the arrow next to the column, and then click All.

  • To remove filters applied to all columns in the list, on the Data menu point to Filter, and then click Show All.

  • To remove the filter arrows from a list, on the Data menu point to Filter, and then click AutoFilter.


Automatic filter options

To | Click
Display all rows | All
Display all rows that fall within the upper or lower limits you specify, either by item or percentage; for example, the amounts within the top 10 percent of sales | Top 10
Apply two criteria values within the current column, or use comparison operators other than AND (the default operator) | Custom
Display only rows that contain a blank cell in the column | Blanks
Display only rows that contain a value in the column | NonBlanks

Note The Blanks and NonBlanks options are available only if the column you want to filter contains a blank cell.


 Filter a list by using advanced criteria

Filter a list by using advanced criteria

Your worksheet should have at least three blank rows above the list that can be used as a criteria range. The list must have column labels.

  1. Select the column labels from the list for the columns that contain the values you want to filter, and click Copy [image] .

  2. Select the first blank row of the criteria range, and click Paste [image] .

  3. In the rows below the criteria labels, type the criteria you want to match. Make sure there is at least one blank row between the criteria values and the list.

    To see criteria examples, click [image] .

  4. Click a cell in the list.

  5. On the Data menu, point to Filter, and then click Advanced Filter.

    Show Me

  6. To filter the list by hiding rows that don't match your criteria, click Filter the list, in-place.

    To filter the list by copying rows that match your criteria to another area of the worksheet, click Copy to another location, click in the Copy to box, and then click the upper-left corner of the area where you want to paste the rows.

  7. In the Criteria range box, enter the reference for the criteria range, including the criteria labels.

    To move the Advanced Filter dialog box out of the way temporarily while you select the criteria range, click Collapse Dialog [image] .

Tips

  • You can name a range Criteria, and the reference for the range will appear automatically in the Criteria range box. You can also define the name Database for the range of data to be filtered and define the name Extract for the area where you want to paste the rows, and these ranges will appear automatically in the List range and Copy to boxes, respectively.

  • When you copy filtered rows to another location, you can specify which columns to include in the copy. Before filtering, copy the column labels for the columns you want to the first row of the area where you plan to paste the filtered rows. When you filter, enter a reference to the copied column labels in the Copy to box. The copied rows will then include only the columns for which you copied the labels.


 Examples of advanced filter criteria

Examples of advanced filter criteria

Advanced filter criteria can include multiple conditions applied in a single column, multiple criteria applied to multiple columns, and conditions created as the result of a formula.

Multiple conditions in a single column If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Criteria range for three conditions in one column

One condition in two or more columns To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Criteria range for one condition in three columns

Note You can also specify multiple conditions for different columns and display only the rows that meet all the conditions by using the AutoFilter command on the Data menu.

One condition in one column or another To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Criteria range with OR conditions

One of two sets of conditions for two columns To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Criteria range for two conditions in two columns

Conditions created as the result of a formula You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column G greater than the average of cells E5: E14; it does not use a criteria label.

Criteria range that uses a formula

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "G5" refers to the field (column G) for the first record (row 5) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.


 Types of comparison criteria

Types of comparison criteria

You can use the following types of comparison criteria in a criteria range, with either an advanced filter or a custom filter.

A series of characters

To find rows in a list that contain an exact value, type the text, number, date, or logical value in the cell below the criteria label. For example, if you type 98133 below a Postal Code label in the criteria range, Microsoft Excel displays only rows that contain the postal code value "98133."

When you use text as criteria with an advanced filter, Microsoft Excel finds all items that begin with that text. For example, if you type the text Dav as a criterion, Microsoft Excel finds "Davolio," "David," and "Davis." To match only the specified text, type the following formula, where text is the text you want to find.

=''=text''

Wildcard characters

To find text values that share some characters but not others, use a wildcard character. A wildcard character represents one or more unspecified characters.

Use | To find
? (question mark) | Any single character in the same position as the question mark For example, sm?th finds "smith" and "smyth"
* (asterisk) | Any number of characters in the same position as the asterisk For example, *east finds "Northeast" and "Southeast"
~ (tilde) followed by ?, *, or ~ | A question mark, asterisk, or tilde For example, fy91~? finds "fy91?"

Values within specified limits

To display only rows that fall within certain limits, type a comparison operator, followed by a value, in the cell below the criteria label. For example, to find rows whose unit values are greater than or equal to 1,000, type >=1000 under the Units criteria label in the criteria range.

Notes

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.

  • Wild card characters and comparison operators that rely on character positions — beginning, ending, or containing — work only with text values, not with numeric data, in Microsoft Excel.


 About looking up values in lists

About looking up values in lists

Lookup Wizard You can find a value in a worksheet list that has row and column labels. The Lookup Wizard helps you find other values in a row when you know the value in one column, and vice versa.

For example, if you have an inventory list of product numbers, descriptions, and prices, you can quickly find the description or the price of a product when you type in the appropriate product number. The Lookup Wizard creates the formula you need.

Lookup Wizard formula results

Find a value in a list by using the Lookup Wizard

Formulas If you prefer to write your own formulas to look up values in lists, you can use any of the following worksheet functions:

  • LOOKUP finds a value in one row or column of values that are sorted in ascending order. It then returns the value from the same position in a different row or column. You can use LOOKUP to find values in lists that don't have row or column labels.

  • VLOOKUP finds a value in a list with row labels. Use VLOOKUP when your list has row labels in the leftmost column and you want to look up a value in another column based on the row label. By default, you must sort the list before you can use VLOOKUP.

  • HLOOKUP also finds a value in a list with column labels. Use HLOOKUP when your list has column labels in the topmost row and you want to look up a value in another row based on the column label. By default, you must sort the list before you can use HLOOKUP.

  • You can use the INDEX and MATCH functions together to find a value in a list based on a row or column label, or both labels. INDEX returns a reference to a cell at the intersection of a particular row and column within a range, and MATCH finds the relative position of a cell within a range, based on a value you want to look up. In combination, these functions return a value based on either a row or column label. The Lookup Wizard uses INDEX and MATCH in the formulas it creates.

    More information about lookup and reference functions


 Find a value in a list by using the Lookup Wizard

Find a value in a list by using the Lookup Wizard

The Lookup Wizard is an add-in program; if the Lookup command is not on the Wizard submenu on the Tools menu, you need to install and load the add-in program. For more information about add-in programs and how to install and load them, click [image] .

  1. Click a cell in the list.

  2. On the Tools menu, point to Wizard, and then click Lookup.

  3. Follow the instructions in the wizard.


 Add a record to a list by using a data form

Add a record to a list by using a data form

  1. Click a cell in the list you want to add the record to.

  2. On the Data menu, click Form.

    Show Me

  3. Click New.

  4. Type the information for the new record.

    To move to the next field, press TAB. To move to the previous field, press SHIFT+TAB.

  5. When you finish typing data, press ENTER to add the record.

    When you finish adding records, click Close to add the new record and close the data form.

Notes

  • Fields that contain formulas display the results of the formula as a label. The label cannot be changed in the data form.

  • If you add a record that contains a formula, the formula is not calculated until you press ENTER or click Close to add the record.

  • While you are adding a record, you can undo changes if you click Restore before you press ENTER or click Close to add the record.

  • Microsoft Excel adds the record when you move to another record or close the data form.


 Change a record in a list by using a data form

Change a record in a list by using a data form

  1. Click a cell in the list you to want to change.

  2. On the Data menu, click Form.

    Show Me

  3. Find the record you want to change.

    How?

  4. Change the information in the record.

    To move to the next field, press TAB. To move to the previous field, press SHIFT+TAB.

  5. When you finish changing data, press ENTER to update the record and move to the next record.

    When you finish changing records, click Close to update the displayed record and close the data form.

Notes

  • Fields that contain formulas display the results of the formula as a label. The label cannot be changed in the data form.

  • If you change a record that contains a formula, the formula is not calculated until you press ENTER or click Close to update the record.

  • While you are changing a record, you can undo changes by clicking Restore as long as the record is the active record in the data form.

  • Microsoft Excel updates the record when you move to another record or close the data form.


 Delete a record in a list by using a data form

Delete a record in a list by using a data form

Caution When you delete a record by using a data form, you cannot undo the deletion. The record is permanently deleted.

  1. Click a cell in the list.

  2. On the Data menu, click Form.

    Show Me

  3. Find the record you want to delete.

    How?

  4. Click Delete.


When I sort, I do not get the results I expect.

If sorting a worksheet does not produce the results you expect, check the following:

Check the default sort order rules Microsoft Excel sorts data according to specific sort order rules. If you want to sort month and day names chronologically or use a different sort order, you need to create a custom sort.

Check that numbers are in a numeric format If Excel sorts a cell that contains a value out of order, the cell might be formatted as text and not as a number. For example, negative numbers from some accounting systems become text when the accounting data is imported into Excel. To apply the correct formatting, click the cell, click Cells on the Format menu, and then click the Number tab. If the cell is formatted as text, click a numeric format in the Category list. After you change the format, you must re-enter the value in the cell by double-clicking the cell and then pressing ENTER.

If a range of cells has been formatted as text and is sorted incorrectly, apply a numeric format to the values, and then convert the text to numbers by using the Paste Special command (Edit menu). In a blank cell, enter the number 1. Copy the cell that contains the number 1. Select the cells for which you changed the format. On the Edit menu, click Paste Special. Then under Operation, click Multiply.

Check that mixed data is formatted as text If the column you want to sort contains both numbers and numbers that include text characters (such as 100, 100a, 200, 200a), you need to format them all as text. If you do not, the numbers will be sorted first, then the numbers that include text will be sorted. To format a number as text, click Cells on the Format menu, click the Number tab, and then click Text in the Category list. To type a number as text when you are entering new data, format the cell as text before you begin typing.

Check that dates and times are formatted correctly Excel treats dates and times as numbers. When you type a date or time that Excel recognizes, the cell's format changes from the General number format to a built-in date or time format. For Excel to sort correctly, all dates and times in a column must use a date or time format. If Excel cannot recognize a value as a date, time, or number, the value is formatted as text. To apply the correct formatting, click the cell, click Cells on the Format menu, and then click the Number tab. If the cell is formatted as text, click either Date or Time, select the appropriate type, click OK, and then retype the value in the cell in the format you selected.

Unhide rows and columns before you sort Hidden rows are not moved when you sort rows, and hidden columns are not moved when you sort columns. However, when you sort rows, the data in hidden columns is sorted, and when you sort columns, the data in hidden rows is sorted. Before you sort the list, unhide the hidden rows and columns.

Remove any leading spaces In some cases, data imported from another application might have leading spaces inserted before data. Remove the leading spaces before sorting the data.

Check the country setting Sort orders vary by country setting. Make sure that you have the proper country setting in the Regional Settings dialog box in the Windows Control Panel. For information about changing the country setting, see your Windows documentation.

Enter column labels in only one row If you need multiple line labels, wrap the text within the cell.

Check settings for graphic objects Learn about sorting drawing objects and imported graphics with underlying cells.


About using Microsoft Query to retrieve external data

To display this topic, click the graphic.

To display this topic, click the graphic


 Databases you can access

Databases you can access

Microsoft Office provides drivers that you can use to retrieve data from the following data sources:

  • Microsoft SQL Server OLAP Services (OLAP provider)

  • Microsoft Access 2000

  • dBASE

  • Microsoft FoxPro

  • Microsoft Excel

  • Oracle

  • Paradox

  • SQL Server

  • Text file databases

Notes

  • You can retrieve data from a Microsoft Exchange or Lotus 1-2-3 data source by using DAO in Microsoft Visual Basic.

  • You can use ODBC drivers or data source drivers from other manufacturers to get information from other types of databases that are not listed here, including other types of OLAP databases. For information about other drivers that might be available from Microsoft, see the xlreadme.txt file. For information about installing an ODBC driver or data source driver that is not listed here or in the xlreadme.txt file, check the documentation for the database, or contact your database vendor.


 What you need to retrieve external data

What you need to retrieve external data

To bring external data into Microsoft Excel, you must:

Have access to the data If the external data source you want to access is not on your local computer, you might need to see the administrator of the database for a password, user permission, or other connection information.

Install Microsoft Query Microsoft Query is an optional feature for Excel and includes the Query Wizard. To set up a data source or create a query in Query, you must install Query separately.

Install ODBC drivers An ODBC driver is required to retrieve data in relational databases, text files, or Excel. When you installed Query, you automatically installed a set of ODBC drivers. See a list of drivers installed with Query. If you use a driver other than one installed with Query, you must install the driver separately.

Install data source drivers A data source driver is required to retrieve OLAP source data. Query supports connecting to databases that were created by using Microsoft SQL Server OLAP Services; when you installed Query, you automatically installed support for this type of OLAP database. To connect to other OLAP databases, you need to install a data source driver and client software. Learn about third-party OLAP providers.

Notes

  • Microsoft Visual Basic support Learn about what you need to retrieve external data by using a Visual Basic macro.

  • Web queries To retrieve external data from a Web source, you don't need to install Microsoft Query. However, you must have access to the World Wide Web through your company's intranet or through a modem on your computer or network, and you must have an Internet account through an Internet service provider. In addition, you either must have a Web query (.iqy file) to run or you must create a Web query.


Install Microsoft Query

By default, Microsoft Query is installed automatically the first time you use a command or feature that retrieves external data. Use this procedure if Microsoft Query was made unavailable when Microsoft Office or Microsoft Excel was installed on your system.

  1. Close all open programs.

  2. On the Start menu, point to Settings, and then click Control Panel.

  3. Double-click Add/Remove Programs.

  4. Click the Install/Uninstall tab, click Microsoft Office 2000 or Microsoft Excel 2000, and then click Add/Remove.

  5. In the dialog box that appears, click Add or Remove Features.

  6. Click the Plus box box next to Office Tools, and then click the icon next to Microsoft Query to select the type of installation you want.

  7. Click Update Now, and then follow the directions to finish installation.

Notes

  • Query Help Microsoft Query Help is automatically installed when you install Microsoft Query.

  • Available data sources Learn about databases you can access and retrieve data from.

  • Retrieving external data Learn about what you need to retrieve external data.


 Install an ODBC driver so you can access an external data source

Install an ODBC driver so you can access an external data source

The ODBC drivers provided by Microsoft with Microsoft Query are all installed when you install Query. To install these drivers, install Query on your system. See a list of ODBC drivers installed with Query.

If the external database you want to access is not supported by these ODBC drivers, you need to obtain and install a Microsoft Office-compatible ODBC driver from a third-party vendor, such as the manufacturer of the database. Contact the database vendor for installation instructions.

Note OLAP databases do not require ODBC drivers. When you install Query, drivers and support are installed to access databases that were created by using Microsoft SQL Server OLAP Services. To connect to other OLAP databases, you need to install a data source driver and client software. Learn about installing third-party OLAP providers.


 Specify a source to retrieve data from

Specify a source to retrieve data from

In this procedure, you specify an external data source by using Microsoft Query. Query is an optional feature for Microsoft Excel that is, by default, automatically installed the first time you use a command or feature that retrieves external data. If Query was made unavailable when Microsoft Office or Excel was installed on your system, you can install Microsoft Query.

  1. If the Choose Data Source dialog box is not displayed, point to Get External Data on the Data menu, and then click New Database Query.

  2. Do one of the following:

    To specify a data source for a relational database, text file database, or Excel list, click the Databases tab.

    To specify an OLAP cube data source, click the OLAP Cubes tab.

  3. Double-click New Data Source.

  4. In step 1, type a name to identify the data source.

  5. In step 2, click a driver for the type of database you are using as your data source.

    If you don't see the database you want, you might need to install the ODBC driver or data source driver for your data source.

    How?

  6. Click Connect, and then provide the information needed to connect to your database.

    For relational databases, text file databases, and Excel lists, the information you provide depends on the type of database selected. You might be asked to supply a logon name, a password, the version of the database you're using, the database location, or other information specific to the type of database.

    For Microsoft SQL Server OLAP Services data sources, follow the steps in the Multi-Dimensional Connection Wizard.

  7. After you enter the required information, click OK or Finish to return to the Create New Data Source dialog box.

  8. If your database has tables and you want a particular one to be displayed automatically in the Query Wizard, click the box for step 4, and then click the table you want.

  9. If you don't want to type your logon name and password when you use the data source, select the Save my user ID and password in the data source definition check box. If the check box is unavailable, see the database administrator to determine whether this option has been disabled.

    When you complete these steps, the name of your data source appears in the Choose Data Source dialog box. For OLAP data sources, you can double-click the name of the data source to return the data to Excel. For other types of data sources, you can retrieve data by using Query.


 Set up a data source that uses the Microsoft Access driver

Set up a data source that uses the Microsoft Access driver

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click Microsoft Access Driver in step 2.

  2. In step 3, click Connect.

  3. Under Database, click Select, and then use the Select Database dialog box to locate your database file.

    If you want Microsoft Query to open the database as read-only, select the Read only check box.

    If you want Microsoft Query to be the only user of the database when you use this data source, select the Exclusive check box.

  4. Click OK.

    If your database requires you to set additional connection parameters, click Advanced. For information about whether you need to change any of these settings, see the administrator for your database. For information about the advanced settings, click Cancel, and then click Help in the ODBC Microsoft Access Setup dialog box.

  5. If you want Microsoft Query to access the system database, click Database under System database, and then click System Database. In the Select System Database dialog box, locate your system database file, and then click OK.

  6. Click OK, and enter your logon name and password under Authorization. If you don't use a logon name or password to gain access to the database, leave the boxes under Authorization blank.

Note You can use the ODBC Microsoft Access Setup dialog box to create, repair, and compact Access databases. If you are not familiar with these operations, it is recommended that you perform them only from within Access. For more information, see Microsoft Access Help.


 Set up a data source that uses the Microsoft dBASE or FoxPro driver

Set up a data source that uses the Microsoft dBASE or FoxPro driver

Before proceeding with these steps, it's a good idea to place all of the database files that you want to use in the same folder so that Query can find all of your files and you don't have to type the full path whenever you want to add a table to a query. If you want, you can place the database files in one folder and the index files in another folder.

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click Microsoft dBase Driver or Microsoft Visual FoxPro Driver in step 2.

  2. In step 3, click Connect.

  3. Do one of the following:

    For the Microsoft dBase Driver, click the version of dBASE or FoxPro that was used to create your database files in the Version list. If the database files are not in the current folder, clear the Use current directory check box, and then click Select Directory to locate the folder.

    For the Microsoft Visual FoxPro Driver, click the option for your FoxPro database under Database type, and then enter the path to the database in the Path box.

  4. If the index files for the database are also in a different folder, click Select Indexes to locate the folder.


 Set up a data source that uses the Microsoft Excel driver

Set up a data source that uses the Microsoft Excel driver

By using the Microsoft Excel ODBC driver, you can access data only from workbooks stored in the same folder. Before proceeding with the following steps, copy all workbooks from which you want to access data simultaneously into one folder, and name each worksheet range that you want Microsoft Query to recognize as a table.

You must set up a separate data source for each folder from which you want to access data.

Before you set up a data source or run a query to access data in an Excel workbook, close the workbook in Excel.

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click Microsoft Excel Driver in step 2.

  2. In step 3, click Connect.

  3. In the Version box, click the Excel version used to create the workbook. If your workbook was created with Excel 97, click Excel 97-2000. If your workbook was created with Excel 95 (Excel version 7.0), click Excel 5.0/7.0.

  4. Click Select Workbook, and then locate the workbook file.


 Set up a data source that uses the Microsoft ODBC for Oracle driver

Set up a data source that uses the Microsoft ODBC for Oracle driver

By using the Microsoft ODBC for Oracle driver, you can connect to Oracle databases that support SQL*Net 2.3 or later. For information about this support, see your Oracle documentation.

Before you can set up data sources that use this driver, you must install Oracle client and networking components version 7.3 or later. These components are available from Oracle or your Oracle vendor.

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click Microsoft ODBC for Oracle Driver in step 2.

  2. In step 3, click Connect.

  3. Under Database, click Select.

  4. Enter the name of your Oracle server and any additional information necessary to connect to the server. See your Oracle database administrator for this information. For information about setup options, click Help in the setup dialog box.

  5. Enter your logon ID and password, and then click OK twice.


 Set up a data source that uses the Microsoft Paradox driver

Set up a data source that uses the Microsoft Paradox driver

Before proceeding with these steps, it's a good idea to place all of the database files that you want to use together in the same folder so that Query can find all of your files and you don't have to type the full path whenever you want to add a table to a query.

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click Microsoft Paradox Driver in step 2.

  2. In step 3, click Connect.

  3. In the Version box, select the version of Paradox that was used to create your database files.

  4. If the database files are not in the current folder, clear the Use current directory check box, and then click Select Directory to locate the files.

  5. If your database requires you to set advanced options, click Options. For information about whether you need to change any of these settings, see the administrator for your database. For information about the option settings, click Help in the ODBC Paradox Setup dialog box.


 Set up a data source that uses the Microsoft SQL Server OLAP Services driver

Set up a data source that uses the Microsoft SQL Server OLAP Services driver

You can use this driver to set up data sources for both server databases and offline cube files (*.cub) created from Microsoft SQL Server OLAP Services databases with the Offline Cube Wizard in Microsoft Excel or created from relational database records with the OLAP Cube Wizard in Microsoft Query. Learn about OLAP data sources.

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the OLAP Cubes tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click Microsoft OLE DB Provider for OLAP Services in step 2.

  2. In step 3 of the Create New Data Source dialog box, click Connect.

  3. In step 1 of the Multi-Dimensional Connection dialog box, do one of the following:

    To connect to a server database, click OLAP Server, and then supply the server name, logon ID, and password for your server. For information about these and other settings for your database, see your server administrator.

    To connect to an offline cube file, click DCube file, and enter the path to the .cub file in the File box.

  4. Do one of the following:

    If you're connecting to an offline cube file, click Finish.

    If you're connecting to a server database, click Next, select the server database, and then click Finish. In step 4 of the Create New Data Source dialog box, select the name of the database cube that you want to retrieve data from.


 Set up a data source that uses the Microsoft text driver

Set up a data source that uses the Microsoft text driver

You'll need to set up a separate data source for each folder that contains text files from which you want to access data. If you want to use the data source to access data simultaneously from more than one text file, copy all of the text files to the same folder before proceeding with these steps.

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click Microsoft Text Driver in step 2.

  2. In step 3, click Connect.

  3. If the text files are not in the current directory, clear the Use current directory check box, and then click Select Directory to locate the folder.

Notes

  • You can gain access to data in text files in several formats, including columns separated by blank space or by commas or tab characters. For more information about the text file formats that you can use, click Help in the ODBC Text Setup dialog box.

  • The text driver allows you to create a query to select the data you want from a text file. You can also import an entire text file as an external data range that you can refresh, without creating a data source or query.


 Set up a data source that uses the SQL Server driver

Set up a data source that uses the SQL Server driver

  1. If the Create New Data Source dialog box is not displayed, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then double-click New Data Source. Type a name for the data source in step 1, and then click SQL Server in step 2.

  2. In step 3, click Connect.

  3. In the Server box, enter the name of the Microsoft SQL Server on your network. If you want information about the selections available for Server, click Help.

  4. Click Options, and set any other options required for your database. For information about whether you need to change any of these settings, see the administrator for your database. For information about the option settings, click Help.

  5. Enter your logon ID and password, and then click OK twice.


 About OLAP data sources for PivotTable and PivotChart reports

About OLAP data sources for PivotTable and PivotChart reports

Microsoft Excel includes client software that allows you to work with data from On-Line Analytical Processing (OLAP) databases by creating and interacting with PivotTable and PivotChart reports. This topic explains what you need to do to set up data sources, which are stored sets of information that Excel uses to access the OLAP source data for your reports.

This topic provides reference information about:

Software and components you need

Creating a data source

Creating your own OLAP cube

More information

Software and components you need

Microsoft Query To set up OLAP data sources for Excel, you use Microsoft Query, a general-purpose tool for setting up connections to external databases and creating queries to retrieve data. Microsoft Query is an optional Microsoft Office component. How to install Microsoft Query.

An OLAP provider You also need one of the following OLAP providers:

  • Microsoft OLAP provider Excel includes the data source driver and client software you need to access databases that were created by using the Microsoft OLAP product, Microsoft SQL Server OLAP Services.

  • Third-party OLAP providers For other products that provide OLAP data and services, you need to install additional drivers and client software. To use the Excel PivotTable and PivotChart report features for working with OLAP data, the third-party product must conform to the OLE-DB for OLAP standard and be Office compatible. For information about installing and using a third-party OLAP provider, consult your system administrator or the vendor for your OLAP product

Server databases and cube files The Excel OLAP client software supports connections to two types of OLAP data sources. If a database on an OLAP server is available on your network, you can retrieve source data from it directly. If you have an offline cube file containing OLAP data or a cube definition file, you can connect to that file and retrieve source data from it.

Return to top

Creating a data source

To connect to OLAP data, you create a data source in Microsoft Query. A data source supplies the information necessary for Excel to connect to the OLAP database or file, including its name and location, the driver to use, and any additional information the database requires.

How an OLAP data source works A data source gives you access to all data in the OLAP database or offline cube file, and as a result, you do not have to construct a query in Microsoft Query to select the data. After you have created an OLAP data source, you can base reports on it, but you can only return the OLAP data to Excel in the form of a PivotTable or PivotChart report, not as an external data range on a worksheet.

Ways to create one You can create a data source while you are using the PivotTable and PivotChart Wizard, or you can create a data source in Microsoft Query and then use the data source when you create reports in Excel. You can specify a server database or an offline cube file when you create the data source. If you create a data source to connect directly to an offline cube file, this data source might not give you access to the original server database from which the offline cube file was created. Contact the person who supplied you with the offline cube file for information about the original source and the data it contains.

To run Microsoft Query so that you can create a data source, point to Get External Data on the Data menu, and then click New Database Query. For the procedure to create an OLAP data source, see Microsoft Query Help.

Return to top

Creating your own OLAP cube

For users who are familiar with database management and access, Excel provides several ways to create and work with your own OLAP cubes. To create your own cubes, you must have an OLAP provider, such as Microsoft SQL Server OLAP Services, that supports this capability.

Offline cube files from OLAP data From a PivotTable or PivotChart report that gets its external data from an OLAP server database, you can create your own offline cube (.cub) file containing a subset of the data from the server (or all of the data, if your disk space is sufficient). When stored on your local disk, a .cub file allows you to continue working with data when you're disconnected from the network or the server is unavailable. After you create the .cub file, you can update it when the server database changes, and you can switch the report between connection to the file and the server database.

You don't have to create a separate data source to use the offline cube file, but if you save it on a shared network location, other users can create data sources to access the file and base reports on it. Some third-party OLAP providers might not support creating offline cube files, and in that case, the commands to create the files are unavailable. Learn about creating offline cube files.

Cubes created from relational databases You can also create your own OLAP cube or offline cube file from data that you query from a relational database, such as Microsoft SQL Server. Creating an OLAP cube can make access to large amounts of relational data more efficient and can help organize the data for use in reports. You do not need an OLAP server product to create and use this type of cube.

To create this type of cube, you first set up a data source for the relational database, create a query in Microsoft Query to retrieve the data, and then run the OLAP Cube Wizard in Microsoft Query to define a structure for the data and, optionally, save an offline cube (.cub) file. After you finish this process, you have a cube definition (.oqy) file that you can open in Microsoft Excel to create a PivotTable report. You do not have to set up a separate data source for the OLAP cube. Learn about .oqy files. Learn about creating an OLAP cube from queried data.

Return to top

More information

Using Microsoft Query

Creating PivotTable and PivotChart reports from OLAP source data

How to tell whether a PivotTable or PivotChart report is based on OLAP data

Return to top


 Install OLAP providers

Install OLAP providers

To connect to third-party database products that provide OLAP data and services, you need to install additional data source drivers and client software.

For information about installing and using a third-party OLAP provider, see your system administrator or contact the vendor for your OLAP product. After you install the provider, you can set up data sources in Microsoft Query to access the provider's databases.

To use the Microsoft Office features for working with OLAP data, the third-party product must be Office-compatible. The third-party product might or might not support creating and working with offline cube files. You can check for this support by creating a Microsoft Excel PivotTable report that displays source data from the third-party database. In the PivotTable report, the Client-Server Settings command on the PivotTable menu (PivotTable toolbar) will be unavailable if the provider does not support offline cube files.


 Create an .oqy file to connect to an OLAP database

Create an .oqy file to connect to an OLAP database

  1. Create a new data source that uses the name you want for the .oqy file as the name of the data source.

  2. In the Choose Data Source dialog box, click Options on the OLAP Cubes tab to view the name of the folder where the .oqy file was created. The default location is your user profile folder under Application Data\Microsoft\Queries.

Notes

  • When you use the Open command on the Microsoft Excel File menu to open an .oqy file, Excel displays a worksheet with a blank PivotTable report for the OLAP data. You can use this report to display the data you want to see, and then save it in an Excel workbook file. Learn about displaying data in a PivotTable report.

  • You can also use the OLAP Cube Wizard in Microsoft Query to create an .oqy file that connects to a cube file or defines a cube that is created from queried data. Learn about creating an OLAP cube from queried data.


 Specify how OLAP source data for a PivotTable or PivotChart report is refreshed

Specify how OLAP source data for a PivotTable or PivotChart report is refreshed

If you aren't sure whether the cube was created by using the OLAP Cube Wizard, ask the person from whom you got the PivotTable or PivotChart report or the .oqy file.

What do you want to do?

Refresh source data from an OLAP server or offline cube file

Because new data is retrieved whenever you change a report that's based directly on source data from an OLAP server database, you do not usually need to refresh the data in the report after it's opened.

Refresh an offline cube file from the original OLAP database

Reconnect to the original OLAP database after using an offline cube file

Reconnect to an existing offline cube file after using the original OLAP database

Learn about working with offline cube files

Refresh source data from an OLAP Cube Wizard data source

Refresh a cube from the original relational database

Learn about working with OLAP Cube Wizard data sources


 About copying OLAP source data for use offline

About copying OLAP source data for use offline

This topic explains how to create and work with an offline cube file. To create these files, you must have an OLAP provider, such as Microsoft SQL Server OLAP Services, that supports this capability. To understand and use this capability of Microsoft Excel, you should be familiar with managing databases and accessing external data for PivotTable or PivotChart reports. Learn about OLAP data sources.

What is an offline cube file?

Using the Offline Cube Wizard

Working with an offline cube file

More information

What is an offline cube file?

When you have a PivotTable or PivotChart report that's based on source data from an OLAP database on a server, you can copy the source data to a separate file, called an offline cube (.cub) file, on your local disk. With this file, you can continue to make changes to the report when you're not connected to your network or continue working when the OLAP server is unavailable. You can also use the file to make data from the OLAP database available on a network share so that other users can create reports from it.

Fast data access vs. disk space usage If you change your reports frequently, using an offline cube file might speed up changes, especially if your network connection to the OLAP server is slow. However, OLAP databases are often very large, so you have to be selective about what data you put in an offline cube file. Initially, saving a large offline cube file can be time consuming.

Availability of the offline cube file features Whether you can create and work with offline cube files depends on whether your OLAP provider supports this capability. Excel support for Microsoft SQL Server OLAP Services databases includes support for creating offline cube files, but other OLAP providers might not. If your OLAP provider doesn't allow you to create offline cube files, the Client-Server Settings command on the PivotTable menu (PivotTable toolbar) will be unavailable in reports that are based on OLAP databases from the third-party provider (in a PivotChart report, look for this command in the associated PivotTable report). Contact the vendor for your OLAP provider for more information.

For some types of external non-OLAP source data, you can create an offline cube file by running a wizard in Microsoft Query. Learn about creating an offline cube file from a relational database.

Return to top

Using the Offline Cube Wizard

To create an offline cube file from Excel, you use a wizard that steps you through the process of selecting a subset of the data in the OLAP database and saving that subset in a separate file. This section explains how to use each step of this wizard.

Preparing to run the wizard To run the Offline Cube Wizard, you must first create a PivotTable report or create a PivotChart report that's based on source data from an OLAP server database, and then create the offline cube file from that report.

Your report does not have to display all of the fields that you want to include in the file. The wizard allows you to select from all of the dimensions and data fields available in the OLAP database. To keep the size of your file to a minimum, however, you should include only the data that you want to be able to display in the report. Be careful to include all of the fields that you want to display in the report. How to use the Offline Cube Wizard steps.

When you click Finish, the wizard saves your offline cube file, and connects your report to the file instead of the server database. The size of the file and the amount of time required to save it depend on the amount of data you selected for inclusion in it. If you are unsure of the amount of data available in your OLAP database, consult the database administrator.

Return to top

Working with an offline cube file

Refreshing an offline cube file After you create an offline cube file, you can refresh the file to retrieve new or updated data from the original OLAP database, if your OLAP provider supports this capability. How to refresh an offline cube file.

Switching between the server and the offline cube file If you use the file to work offline, you can reconnect the report to the OLAP server database at a later time. If you subsequently want to work offline again, you don't have to create a new offline cube file. You can reconnect the report to the offline cube file and refresh the offline cube file, if necessary.

Changing offline cube file contents If you find you want to base a PivotTable or PivotChart report on different data from the OLAP server database, you can change the offline cube file. Changing the file changes what source data the file makes available for reports, and so it affects all reports that are based on the offline cube file.

Return to top

More information

Creating PivotTable reports from OLAP source data

How to tell whether a PivotTable or PivotChart report is based on OLAP data

Deleting an offline cube file

Return to top


 About creating an OLAP cube from relational data

About creating an OLAP cube from relational data

This topic explains how you can create an OLAP cube from data in an external relational database, such as Microsoft Access or Microsoft SQL Server, for use in a PivotTable or PivotChart report. You do not need an OLAP server product to create and use this type of OLAP cube. To understand and use this capability of Microsoft Excel, you should be familiar with managing databases and accessing external data for PivotTable or PivotChart reports by using Microsoft Query.

What is an OLAP cube?

On-Line Analytical Processing (OLAP) is a way of organizing data to fit the way you analyze and manage it so that it takes less time and effort to create the reports you need. When you create an OLAP cube from a query, you turn the flat set of records into a structured hierarchy, or cube, that allows reports to focus on the desired level of detail. You also predefine the summary values for the reports, which speeds up report calculation.

Create an OLAP cube when you want to work with a large amount of external data in your reports, especially if you have more records to analyze than you can return to Excel without running out of system resources. Because a cube allows Excel to retrieve only the data it needs for the current view of the report, creating and updating a report is usually faster for large amounts of data than if you retrieved the entire set of records from the database.

The data from your OLAP cube can be returned to Excel only as a PivotTable or PivotChart report, unlike the relational database records in your query, which can also be returned to Excel as an external data range on a worksheet.

Learn about OLAP source data for PivotTable and PivotChart reports.

Creating and working with an OLAP cube

You create OLAP cubes for relational database records by using Microsoft Query, a program that retrieves data for use in Microsoft Excel. For full information and instructions for this process, see Help in Microsoft Query. How to install Microsoft Query.

Creating an OLAP cube To create an OLAP cube, you first create a query in Microsoft Query. You can start creating a query from the PivotTable and PivotChart Wizard, or by running Microsoft Query directly from Microsoft Excel. After you create a query that includes all of the fields you want to use in the OLAP cube, you run the OLAP Cube Wizard to create the cube. For full information about using this wizard, see Help in the OLAP Cube Wizard.

The wizard lets you create two types of cubes. One type is a cube definition that the wizard saves in an .oqy file. When you open a report that's based on this type of .oqy file, the cube is built temporarily in memory. The second type is a separate offline cube file that you store on your local disk or a network share. If stored on your local disk, this file allows you to continue working with the data when you are disconnected from the network. You can set up an offline cube file as a data source for reports. For help on deciding which kind of cube to create, see Help in the OLAP Cube Wizard.

Saving a cube definition file Whether or not you save a separate offline cube file, the wizard saves a cube definition (.oqy) file. This file contains the information that Excel needs to either build the cube in memory or connect to the offline cube file, if you created one.

Using the cube definition file to create reports Instead of returning the records in your query to Microsoft Excel, you can open the .oqy file in Excel to create a PivotTable report that's based on your OLAP cube. You can then save the PivotTable report in a workbook or create PivotChart reports that are based on the PivotTable report.

Refreshing an OLAP cube When you refresh a report that's based on an OLAP cube, new and changed data from the original database is brought into the cube if the cube is built temporarily in memory. If the cube is an offline cube file, the file is rebuilt with the new data and the existing file is replaced.

Changing an OLAP cube You can change an OLAP cube that you created with the OLAP Cube Wizard to organize the data differently or remove fields that you don't want to use in reports. For full information about this process, see Help in Microsoft Query.

After you create an OLAP cube in Microsoft Query, you cannot add more fields to it from the original relational database. You can, however, use the same query to create a new OLAP cube that includes different fields. If you think you will need to do this, be sure to save a database query (.dqy) file when you create the query in Microsoft Query. You can then open the query file and run the OLAP Cube Wizard to create a new cube that includes additional fields from the original database. For information about saving and opening query files, see Help in Microsoft Query.


 Create an offline cube file from the source data for a PivotTable or PivotChart report

Create an offline cube file from the source data for a PivotTable or PivotChart report

You can use this procedure to create an offline cube file only for reports that are based on source data from OLAP databases. If your report is based on another type of source data, or your OLAP provider does not support creating offline cube files, the Client-Server Settings command on the PivotTable menu (PivotTable toolbar) is unavailable. For some types of external non-OLAP source data, however, you can create an offline cube file by running a wizard in Microsoft Query.

  1. Click the PivotTable report for which you want to create an offline cube file.

    For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable menu (PivotTable toolbar), click Client-Server Settings.

  3. Do one of the following:

    If you have not previously created an offline cube file for the report, click Create local data file.

    If an offline cube file already exists for the report, click Local data file, and then click Edit local data file.

  4. Follow the steps of the Offline Cube Wizard to select the data, and specify a name and location for the file.

    How?

  5. When the wizard finishes saving your file, your report is connected to the file, and you're returned to the Client-Server Settings dialog box. Click OK to return to your report.

Notes

  • To cancel saving the file, click Stop in the Create Cube File – Progress dialog box.

  • If the data in the original OLAP database on the server changes, you can refresh the offline cube file.

  • After you complete this procedure, your report begins retrieving the source data from the offline cube file. If you want to resume using the original OLAP database to retrieve the source data for the report, you can reconnect to the original database.


 Change an offline cube file to include different data

Change an offline cube file to include different data

Use this procedure only if your cube is an offline cube file that was created in Microsoft Excel. If you are not sure whether the OLAP cube you want to change was created in Microsoft Excel or in Microsoft Query by using the OLAP Cube Wizard, consult the person who created the offline cube file, the PivotTable or PivotChart report, or the .oqy file. How to change the content and settings of a cube or offline cube file that was created by using the OLAP Cube Wizard.

Before you change the offline cube file, make sure you are connected to your network and can access the original OLAP server database that supplied the data for the offline cube file.

  1. Click a PivotTable report that's based on the offline cube file that you want to change.

    For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Client-Server Settings.

  3. Click Local data file, and then click Edit local data file.

  4. Follow the steps of the Offline Cube Wizard to select the data for the file. In the last step, specify the same name and location of the existing file that you are changing.


 Delete an offline cube file

Delete an offline cube file

Deleting an offline cube (.cub) file removes it permanently from the disk where it was stored, and frees up the often substantial disk space that these files use.

If you want to continue working with reports that used the offline cube file, you can reconnect the reports to the original OLAP database. However, if you created a data source for the offline cube file and used the data source to base reports directly on the offline cube file, you cannot reconnect these reports to the original database and you can no longer change these reports.

  • In Microsoft Windows, locate and delete the .cub file.


 How to use the Offline Cube Wizard

How to use the Offline Cube Wizard

This topic provides information about using the Offline Cube Wizard to define the contents you want for an offline cube file. This wizard is intended for users who are familiar with managing databases and accessing external data from Microsoft Excel. How to run the Offline Cube Wizard. Learn about creating offline cube files.

Step 1 provides an overview of the wizard.

Step 2: Choosing dimensions and levels

Choosing dimensions Step 2 shows you all of the dimensions available from your server cube. You can click the Plus box box next to a dimension to view the levels in hierarchical order, from highest to lowest. If you don't want a dimension included in your file, clear its check box.

Choosing levels within dimensions Within each dimension, you can specify how many levels of detail you want to include in the file by selecting or clearing the check boxes for the levels. The more dimensions and levels you include, the larger your offline cube file will be, especially if you include lower levels where the additional amounts of detail might be considerably greater than for higher levels.

You can omit lower levels, but you cannot skip levels within a dimension. For example, if you have a Geography dimension with levels Country, Region, and City, and you include City, you cannot omit Region or Country. In your reports that are based on the offline cube file, you can focus on the City level and hide the Region-level data, if you want.

Step 3: Choosing data fields and further refining dimensions

In Step 3 you do two things: Select the fields that supply the summarized data for your report, and select the items of data you want from the top level of each dimension.

Choosing data fields The first element in the screen, Measures, lists the types of summarized values the OLAP server can provide. These fields become the data fields in PivotTable and PivotChart reports. For example, your OLAP server might have a Sales Revenue measure to supply summaries of total sales, a Sales Quantity measure to tally how many of each product was sold, and so forth. Click the Plus box box next to Measures to view all of the available measures. You must select at least one measure. The more measures you select, the larger the offline cube file.

Choosing items for dimensions Below the measures are the dimensions you selected in the previous step. Click the Plus box box next to a dimension to view all of the items in the highest level of the dimension. For example, if the Geography dimension's highest level is Country, you might see Canada, Mexico, USA, and so forth. To omit an item from your file, clear its check box. Omitting an item leaves out all data for the item, at all levels of the dimension, resulting in a smaller offline cube file.

If Step 3 doesn't list a dimension you want, go back to Step 2 and select the dimension there.

Step 4: Naming and locating the file

In Step 4, you save the offline cube file. Microsoft Excel expects offline cube files to have a .cub extension. When you open a report that's based on the offline cube file, Excel expects the file to be in the location you designate in this step. If the file isn't there, Excel allows you to browse for it. However, if you or other users create a data source to access the file directly, reports that use that data source will not be able to locate the file if you subsequently move it.

Saving an offline cube file can be time consuming, and you cannot do other work while the file is being saved. You can cancel a save in progress by clicking Stop in the Create Cube File – Progress dialog box.

Solve problems with saving an offline cube file.


 About creating and using .dqy and .oqy query files

About creating and using .dqy and .oqy query files

Query files are text files that contain data source information, including the location of your database and the connection information you provide when you create a data source.

This topic provides information about:

Working with query files

Creating query files

Other query file formats

Working with query files

Using query files You can use the Open command on the Microsoft Excel File menu to open a query file. Opening a .dqy query file runs the query and displays a worksheet containing the retrieved data. Opening a .oqy query file connects you to the OLAP database or cube and displays a worksheet with a blank PivotTable report for the OLAP data. After you open a query file, you can save an Excel workbook file with the retrieved external data. However, you can't use the Save command on the Excel File menu to save in the .dqy or .oqy query file formats.

Sharing query files You can share query files with other people to give them the same access you have to an external database. Other users don't have to set up a data source to open the query file, but they do have to install the ODBC driver or data source driver required to access the external data. Learn about what you need to access external data.

If you don't save your password when you create the data source for the query file, anyone who opens the file in Excel must enter the password before they can access the database.

Return to top

Creating query files

Creating .dqy query files You can use Microsoft Query to save .dqy files that contain queries for data in relational databases, text files, or Excel lists. When you open these files in Query, you can view the data in the query and select different data for the query to retrieve. You can save a .dqy file for any query that you create either by using the Query Wizard or directly in Query. Learn about creating queries by using Microsoft Query.

Creating .oqy query files You can save .oqy files to connect to data in an OLAP database, either on a server or in an offline cube file (.cub). When you use Query to create a data source for an OLAP database or cube, an .oqy file is created automatically. Because OLAP databases aren't organized in records or tables, you can't create queries or .dqy files to access these databases.

You can also use the OLAP Cube Wizard in Query to save an .oqy file that connects to a cube file or defines a cube that is created from queried data. This type of .oqy file can include both information that defines what is in the cube and connection information for the relational database. When you open this type of .oqy file in Query, the OLAP Cube Wizard runs so that you can change the cube definition. Learn about creating an OLAP cube from queried data.

Return to top

Other query file formats

.rqy query files Excel can open query files in .rqy format to support OLE-DB data source drivers that will use this format. For more information, see the documentation for your driver.

.qry query files Query can open and save query files in .qry format for use with previous versions of Query that cannot open .dqy files. If you have a query file in .qry format that you want to use in Excel, open the file in Query, and then save it as a .dqy file. For information about saving .dqy files, see Microsoft Query Help.

.iqy Web query files Excel can open .iqy Web query files to retrieve data from the Web. You don't need to install Query to create and open .iqy files in Excel. Learn about Web queries.

Return to top


 About getting external data by using Microsoft Query

About getting external data by using Microsoft Query

When you use Microsoft Query to retrieve external data, you can either use the Query Wizard or work directly in Query. How you create your query depends on the features you need to select the data you want. Learn about Microsoft Query.

When to use the Query Wizard Use the Query Wizard when you want to create a simple query. By using the Query Wizard, you can select the tables and fields you want to include. An inner join is created automatically when the wizard recognizes a primary key field in one table and a field with the same name in the other table.

You can also use the wizard to sort the external data and do simple filtering before you return the data to Microsoft Excel. When you create a query in the wizard, you can also change it in the wizard. After you create the query, you can run it in either Excel or Query. How to use the Query Wizard.

When to use Microsoft Query Use Query when you want to create a more complex query. This method gives you the most control because you can narrow your result set by creating an inner join or outer join or by using expressions and complex criteria. Expressions are calculations you can make by using operators, functions, field names, and constants. You can do more complex filtering if you use criteria.

In Query, you can view the result set, and when you're sure it contains the data you want, you can return the data to Excel. After you create the query, you can run it in either Excel or Query. How to create a query in Microsoft Query.

When to use a parameter query Use a parameter query when you want to create one query to retrieve data that has different criteria. For example, to retrieve sales data for one product at a time, you could use the product name as the criteria. Parameter queries are also useful for retrieving part of the data from a database that is too large for your system's resources to retrieve all of the data at one time.

A parameter query prompts for criteria when you run it. You can create a parameter query only in Query, not in the Query Wizard. The criteria you enter are used to retrieve data from the tables in your query. After you create the query, you can run it in either Excel or Query. How to create a parameter query.

Other ways to retrieve data There are ways to get external data into Microsoft Excel without using Microsoft Query.


 Create a query that prompts for criteria

Create a query that prompts for criteria

You can create a special kind of query that prompts for criteria when you run it. In a parameter query, the criteria you enter is used to retrieve data from the tables in your query. You can create a custom prompt that Microsoft Excel displays each time you run the query or refresh the external data range. For example, suppose you often run a query to find the total number of orders by a salesperson. You can design a query that prompts for the name of the salesperson each time you run the query and then retrieves all records for orders made by that salesperson.

When you want to refresh an external data range several times by using a constant parameter value, Excel can use the same criteria for the query until you change it. Excel can also use criteria that is stored in a cell in your Excel workbook.

You cannot create a parameter query to retrieve data from OLAP databases. You can create parameter queries for all other databases you can access by using the ODBC drivers that Microsoft supplies with Query. To find out whether a third-party driver supports parameter queries, contact your driver vendor.

What do you want to do?

Create a parameter query that prompts for criteria each time you run it.

Change the custom prompt for a parameter query in Excel

Use a constant parameter value for a query

Use data from a cell on a worksheet as a parameter value


Get external data by using Microsoft Query

You will need to install Microsoft Query if it isn't installed on your system.

What do you want to do?

Get external data by using the Query Wizard

Create a more complex query by using advanced features of Microsoft Query

Create a query that prompts for criteria

Learn about Microsoft Query

Not sure which choice you want?

Note There are ways to get external data into Microsoft Excel without using Microsoft Query.


How Microsoft Query handles year 2000 dates

Four-digit years are recommended To ensure that year values are retrieved and interpreted correctly, make sure your external databases store year values as four digits (2001 instead of 01) whenever possible.

Query and Microsoft Excel interpret two-digit years consistently Query and Excel both interpret two-digit years in the same manner. When you view data that contains two-digit year values in Query and then return the data to Excel, the year values are the same in both programs. Learn about how Excel handles year 2000 dates.

How Query interprets two-digit years When Query retrieves a two-digit year value from an external database, Query interprets the year as follows:

  • Year values 00 through 29 Two-digit year values 00 through 29 are interpreted as the years 2000 through 2029. For example, if Query retrieves the date 5/28/19 from an external database, Query interprets the date as May 28, 2019.

  • Year values 30 through 99 Two-digit year values 30 through 99 are interpreted as the years 1930 through 1999. For example, if Query retrieves the date 5/28/98 from an external database, Query interprets the date as May 28, 1998.

Administrators can change how years are interpreted Your system administrator can customize Microsoft Office so that different rules determine how dates are interpreted. For example, your administrator could change the earliest two-digit year value that's interpreted as a future date from 29 to another number. To find out if your system uses customized date interpretation, see your system administrator. For information about how to customize date interpretation, see the Microsoft Office 2000 Resource Kit.


 Run a query

Run a query

  1. Click the cell where you want to start the external data range.

  2. On the Data menu, point to Get External Data, and then click Run Saved Query.

    Show Me

  3. Select the query you want to run.

    A database query file has a .dqy file name extension; a Web query file has an .iqy extension; and an OLAP query file has an .oqy extension.

  4. Click Get Data.

    For database and Web queries, the Returning External Data to Microsoft Excel dialog box appears.

    For OLAP queries, the PivotTable and PivotChart Wizard - Step 3 of 3 dialog box appears. Data from OLAP databases can be returned to Excel only as a PivotTable report, not as an external data range.

  5. For database or Web queries, click Properties to control formatting and layout options for how the external data range is to appear in Excel.

  6. Do one of the following:

    To return the external data to the selected worksheet, click Existing worksheet. On your worksheet, click the cell where you want to place the upper-left corner of the external data range or PivotTable report, and then click OK or Finish.

    To return the external data to a new worksheet, click New worksheet, and then click OK or Finish. Excel adds a new worksheet to your workbook and automatically puts the external data range or PivotTable report in the upper-left corner of the new worksheet.

    To return the external data as a PivotTable report (for database or Web queries), click PivotTable Report, and then click OK.

  7. If prompted, enter parameters for the query. If you don’t know what the valid parameters are, you may have to ask the person who created the query.

    Excel runs the query. While the query is running, the background refresh icon background refresh icon on the status bar spins.

Notes

  • If a query that's running in the background takes a long time to return data, you can check its status by clicking Refresh Status [image] on the External Data toolbar. To cancel the query, click Stop Refresh.

  • You can also run a query by opening a query file if you have one. On the File menu in Excel, click Open, click Query Files in the Files of type list, and then locate and double-click the file you want to open. Learn about the types of query files and how to create and use them.


 Ways to retrieve data from an external database

Ways to retrieve data from an external database

You can retrieve external data from databases in the following ways:

Using Microsoft Query

Using Microsoft Visual Basic

Using Web queries

Using Microsoft Query

You can use Microsoft Query to set up data sources and retrieve data. In Query, you can use the Query Wizard to create a simple query, or you can use more advanced criteria features in Query to create a more complex query. You can access Query directly from Excel, or you can create a query from within the PivotTable and PivotChart Wizard.

Relational databases, lists, and text files You can use Query to retrieve data that is stored in a relational database such as Microsoft Access or Microsoft SQL Server. In addition to external databases, you can also retrieve data stored in a Microsoft Excel list or a text file.

When you retrieve data from a relational database, Excel list, or text file, you can bring together data that is organized in multiple tables. You can also specify criteria that data must meet to be included in the external data range. This allows you to exclude data that isn't relevant to your specific need. For example, you might be interested in sales figures, but only for a certain month.

If you want to retrieve all of the data in a text file, you can import the text file as an external data range without creating a query.

OLAP databases You can also use Query to connect to an OLAP database and return the data to Excel as a PivotTable report. When you retrieve data from an OLAP database, you use Query to set up a data source, but you don't create a query for the data. Instead, you return a blank PivotTable report to Excel and then choose which parts of the data to retrieve and display in the report.

Install Query and drivers To use Query to retrieve data, you need to install Query and any additional ODBC drivers or data source drivers that your external database requires. Learn about what you need to retrieve external data.

Return to top

Using Microsoft Visual Basic

You can use a Visual Basic macro to gain access to an external data source. To install the support you need to create a macro that retrieves data, you need to install Microsoft Query. Learn about creating a Visual Basic macro to retrieve external data.

Return to top

Using Web queries

You can create and use Web queries without installing Microsoft Query. Learn about retrieving data from the Web. How to get data from a Web source.

Return to top


 About retrieving data from a Web page

About retrieving data from a Web page

This topic provides the following information:

Overview

Using the New Web Query dialog box

Changing and refreshing the data

Overview

To analyze data on a Web page, you can use a Web query to retrieve a single table, multiple tables, or all of the text on a Web page. After you retrieve the data, you can analyze it by using the tools and features in Microsoft Excel.

Use a Web query when you want to get data from the Web for use in Excel — for example, to retrieve and analyze stockmarket quotes. Because a Web query brings only the data and not the entire contents of the Web page into Excel, a Web query is not a recommended way to open a Web page that you want to copy data from for publishing on your own Web page. Learn about publishing Excel data to the Web.

Web page with table

A Web query can retrieve the data on a Web page and return it to Excel for analysis.

Install a browser Before you can retrieve data from a Web page, you must have a Web browser installed — for example, Microsoft Internet Explorer, which is included with Microsoft Office. To get data from a site on the World Wide Web, you must have Internet access either through your intranet or through a modem and an account with an Internet service provider.

Run or create a Web query If you have an .iqy Web query file for the data you want, you can run the Web query to retrieve the data. You can use the sample Web queries that are provided with Excel, or you can create a new Web query.

Return to top

Using the New Web Query dialog box

Step 1: Browse to the data you want When you create a Web query, you need to know the URL for the Web page you want. To determine the address, you can use the Browse Web button to start your browser so that you can locate the Web page. When you return to the dialog box after locating the Web page, Excel automatically fills in the address for you. If you don't use this button and the Web site uses frames, make sure you enter the address of the Web page that contains the data, not the address of a frame or frames page. If you aren't sure what address to use, consult the owner of the Web site.

Step 2: Decide what data to retrieve To specify what data to retrieve, you can use one of the following three options:

  • Retrieve the entire page Use this option when you want to retrieve all of the text on the Web page, including text, tables, and other data.

  • Retrieve all tables and preformatted sections Use this option when the Web page contains both data that you do want to analyze in Excel, such as a table or other section of data, and data that you don't want to return to Excel, such as text outside tables and preformatted sections. Preformatted sections are parts of a Web page that have been set up in a format that can be used in another program such as Excel — for example, by using tabs and spaces instead of HTML code. The author of the Web page can tell you whether the Web page contains preformatted sections that are suitable for use in Excel.

  • Retrieve specific tables or preformatted sections Use this option when a Web page contains several tables or preformatted sections and you don't want to retrieve all of them. When you retrieve only the data you need, retrieving and refreshing the data might take less time than if you retrieve all of the data. You can specify the tables and sections to retrieve by counting them or by supplying their names if the Web page contains names for them. To include a table name that is a number, type the number in quotes — for example, "5". Tables and preformatted sections are retrieved in the order that they appear on the Web page, not in the order that you specify in this step.

    How to identify tables and preformatted sections If your browser allows you to view the underlying HTML code for a Web page, you can use this capability to find tables and preformatted sections. Tables start with the <TABLE> tag and end with </TABLE>. Preformatted sections start with <PRE> and end with </PRE>. If these sections don't have names, you can count them in the HTML code.

    For example, in Microsoft Internet Explorer you can right-click a Web page, and then click View Source on the shortcut menu to display the HTML code in Notepad or another text editing program that you've designated. In Notepad, you can click Find on the Search menu to look for the <TABLE> and <PRE> sections.

Step 3: Decide how you want the data formatted When you retrieve data that includes tables, the data in the table columns is separated into cells automatically. You can decide whether to keep or discard the Web page formatting, including font formatting and colors, when you retrieve the data in Excel. If you decide to keep the formatting, you can retrieve all of the HTML formatting or only the rich text formatting, which is the type of formatting that Excel can reproduce most closely.

Use additional formatting options The Advanced button provides additional formatting options for preformatted sections. For example, you can decide whether to separate preformatted text into columns. If you do, and your sections have characters that define, or delimit, the text for each column, you can specify how to handle those characters. To understand how a preformatted section is encoded, view the HTML code for the section in your browser or contact the author of the Web page.

Save an .iqy Web query file Use the Save Query button if you want to either retrieve the same Web data in other workbooks or share the Web query file with other users. Unless you specify a different location, the .iqy file is saved in your user profile folder in Application Data\Microsoft\Queries. If you don't save a Web query file, the query is saved as part of your Excel workbook and you can run the query only from that workbook.

Parameters in Web queries Some of the Web queries provided with Excel allow you to enter parameters when you run the query. For example, the Microsoft Investor Stock Quotes query allows you to enter stock symbols to retrieve data for specific stocks. The New Web Query dialog box does not allow you to create Web queries that prompt for parameters. To create this type of Web query, you need knowledge of HTML, and the Web page must be set up to accept parameter input. If you have this information, you can save a Web query file that returns data from the Web page you want, and you can then modify the .iqy file in a text editing program, such as Notepad. For more information, consult the author of the Web page you want to query.

Return to top

Changing and refreshing the data

Changing a Web query If your Web query does not return the data the way you expect, you can make changes to it by clicking a cell in the external data range and then clicking Edit Query [image] on the External Data toolbar.

Refreshing a Web query When you refresh an external data range created by a Web query, the data is retrieved from the original Web page and any new data is downloaded. You can set options to control how the external data range is refreshed.

Browsing to a Web page for a Web query If refreshing the external data range does not retrieve the data you expect, use your Web browser to view the Web page and see how it has changed. To determine the address to browse to, click a cell in the external data range, and then click Edit Query [image] on the External Data toolbar. If you use Microsoft Internet Explorer as your browser, you can copy the address from the box at the top of the New Web Query dialog box: select the address and press CTRL+C to copy it, click the Internet Explorer Address box, press CTRL+V to paste the address, and then press ENTER to browse to the Web page.

Return to top


 Create a Web query

Create a Web query

You can create a Web query to retrieve text or data that is in tables or preformatted areas on a Web page. (Tables are defined with the HTML <TABLE> tag; preformatted areas are defined with the HTML <PRE> tag). The retrieved data does not include pictures, such as .gif images, and does not include the contents of scripts. Learn about retrieving data from a Web page.

  1. On the Data menu, point to Get External Data, and then click New Web Query.

  2. Follow the directions in the New Web Query dialog box.

    How?

Notes

  • To check the status of a query that's running in the background and taking a long time to return data, click Refresh Status [image] on the External Data toolbar. To cancel the query, click Stop Refresh.

  • To make changes to a Web query after you create it, click a cell in the external data range, and then click Edit Query [image] on the External Data toolbar.


 Retrieve data from a Web page

Retrieve data from a Web page

By using a Web query, you can get data from an intranet site or from HTTP or FTP sites on the World Wide Web. You can use the Web queries that are provided with Microsoft Excel, or you can create your own Web queries.

To get data from a Web site, you must have Internet access either through your intranet or through a modem and an account with an Internet service provider.

  1. On the Data menu, point to Get External Data, and then click Run Saved Query.

  2. Select the Web query you want to run.

    A Web query has an .iqy file name extension.

  3. Click Get Data.

    The Returning External Data to Microsoft Excel dialog box appears.

  4. Do one of the following:

    To return the data from the Web page to the selected worksheet, click Existing worksheet. On your worksheet, click the cell where you want to place the upper-left corner of the external data range, and then click OK.

    To return the data to a new worksheet, click New worksheet, and then click OK. Excel adds a new worksheet to your workbook and automatically starts the external data range in the upper-left corner of the new worksheet.

  5. If prompted, enter parameters for the query. If you don't know what the valid parameters are, ask the person who created the query.

    Excel runs the query. A spinning refresh icon refresh indicator appears in the status bar. to indicate that the query is running.

Notes

  • Microsoft Excel includes sample Web queries in the Queries folder where you installed Microsoft Office.

  • To check the status of a query that's running in the background and taking a long time to return data, click Refresh Status [image] on the External Data toolbar. To cancel the query, click Stop Refresh.


 Import an entire text file into a refreshable Microsoft Excel range

Import an entire text file into a refreshable Microsoft Excel range

Use this procedure if you want to refresh the data in Excel whenever the original text file changes. If you want to copy the data into Excel without maintaining a connection to the original file, you can open the text file in Excel.

  1. Click the cell where you want to put the data from the text file.

    To ensure that the external data does not replace existing data, make sure that the worksheet has no data below or to the right of the cell you click.

  2. On the Data menu, point to Get External Data, and then click Import Text File.

  3. In the Look in list, locate and double-click the text file you want to import as an external data range.

  4. To specify how you want to divide the text into columns, follow the instructions in the Text Import Wizard.

  5. Click Finish, and then click Properties in the Import Data dialog box to set formatting and layout options for how the external data range is brought into Microsoft Excel.

  6. In the Import Data dialog box, do one of the following:

    To return the data to the location you selected in step 1, click Existing worksheet, and then click OK.

    To return the data to a new worksheet, click New worksheet, and then click OK. Microsoft Excel adds a new worksheet to your workbook and automatically puts the external data range in the upper-left corner of the new worksheet.

Notes

  • To refresh the external data range when the original text file changes, click Refresh Data [image] on the External Data toolbar. In the Import Text File dialog box, select your text file, and then click Import.

  • To change the settings you made in the Text Import Wizard, click Edit Text Import [image] on the External Data toolbar. Select your text file, click Import, and then make the changes you want in the wizard.

  • If you want to import only part of the data in a text file as a refreshable data range, you can create a query to retrieve the data.


 Change the name of an external data range

Change the name of an external data range

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. In the Name box, type the name for the external data range.

Notes

  • Unless you changed the name of an external data range, Microsoft Excel automatically names it. External data ranges from databases are named with the name of the query, by default Query_from_source, where source is the name of the data source you used to create the query. External data ranges from text files are named with the text file name. External data ranges from Web queries are named with the name of the Web page from which the data was retrieved. If your worksheet has more than one external data range from the same source, the ranges are numbered — for example, MyText, MyText_1, MyText_2, and so on.

  • How to find an external data range on your worksheet.


Change the query for an external data range

To display this topic, click the graphic.


 Control how an external data range is refreshed

Control how an external data range is refreshed

There are several ways you can control how data is refreshed in an external data range.

What do you want to do?

Refresh data

Run a query in the background or while you wait

Refresh data at specific intervals

Refresh external data

Specify refresh options

Require a password to refresh an external data range

Specify how new data is added when the size of the external data range changes

Copy adjacent formulas when an external data range expands

Not sure which choice you want?


 Control the formatting and layout of an external data range

Control the formatting and layout of an external data range

When you retrieve data from an external data range, you can customize the formatting and layout of the data. For example, you can customize column headings, apply different formats to the data and preserve the formatting when the data is refreshed, add row numbers to determine the number of records retrieved, and automatically copy formulas that analyze the data.

You can also set options to control how an external data range is refreshed.

What do you want to do?

Customize field names in the external data range

Preserve cell formatting when you refresh an external data range

Add row numbers to an external data range

Copy formulas when an external data range expands


 Copy an external data range and its underlying query to another workbook

Copy an external data range and its underlying query to another workbook

  1. Select the external data range you want to copy by clicking the arrow next to the Name box on the formula bar and then clicking the name of the external data range.

    Unless you changed the name of an external data range, Microsoft Excel automatically names it. External data ranges from databases are named with the name of the query, by default Query_from_source, where source is the name of the data source you used to create the query. External data ranges from text files are named with the text file name. External data ranges from Web queries are named with the name of the Web page from which the data was retrieved. If your worksheet has more than one external data range from the same source, the ranges are numbered — for example, MyText, MyText_1, MyText_2, and so on.

    To include column labels or formulas that are not part of the external data range, select the cells that contain the column labels or formulas that you want to copy. Hold down SHIFT and click the arrow next to the Name box on the formula bar, and then click the name of the external data range you want to copy.

  2. Click Copy [image] .

  3. Switch to the workbook where you want to paste the external data range.

  4. Click the upper-left cell of the paste area.

  5. Click Paste [image] .

Notes

  • If you copy only part of an external data range, the underlying query is not copied and the copied data can't be refreshed.

  • To cancel the moving border after you finish copying, press ESC.


 Find an external data range on your worksheet

Find an external data range on your worksheet

  • Click the arrow next to the Name box on the formula bar, and then click the name of the external data range you want.

Notes

  • Unless you changed the name of an external data range, Microsoft Excel automatically names it. External data ranges from databases are named with the name of the query, by default Query_from_source, where source is the name of the data source you used to create the query. External data ranges from text files are named with the text file name. External data ranges from Web queries are named with the name of the Web page from which the data was retrieved. If your worksheet has more than one external data range from the same source, the ranges are numbered — for example, MyText, MyText_1, MyText_2, and so on.

  • How to change the name of an external data range.


 Refresh external data

Refresh external data

  1. Click a cell in the external data range you want to refresh.

  2. On the External Data toolbar, click Refresh Data [image] .

Notes

  • Check the status of a refresh You can check the status of a query that's running in the background and taking a long time to return data. While the query is executing, click Refresh Status [image] on the External Data toolbar. To cancel the query, click Stop Refresh.

  • Refresh automatically You can refresh an external data range automatically when you open the workbook, and optionally save the workbook without saving the external data, so that the workbook file size is reduced. On the External Data toolbar, click Data Range Properties [image] , and then select the Refresh data on file open check box. To save the workbook with the query definition but without the external data, select the Remove external data from worksheet before saving check box.

  • Control how data is refreshed There are a number of ways you can control how an external data range is refreshed, including freezing an external data range so that it cannot be refreshed, choosing to run the underlying query in the background or while you wait, and specifying how new data is added when the size of the external data range changes. For more information, click [image] .

  • Control formats and layouts You can also control the formatting and layout of an external data range. For more information, click [image] .

  • Refresh multiple external data ranges If your worksheet contains more than one external data range that you want to refresh, click Refresh All [image] on the External Data toolbar to refresh all of the external data ranges in the workbook. If you have more than one workbook open, you must click Refresh All in each workbook to refresh external data.

  • Control the order of refreshes To control the order in which each external data range is refreshed, click a cell in the external data range you want to refresh first, and then click Refresh Data. Continue with the next external data range until each one is refreshed in the order you want.


 Refresh data at specific intervals

Refresh data at specific intervals

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. Select the Refresh every box, and then enter the number of minutes between refreshes.


 Remove an external data range from a worksheet

Remove an external data range from a worksheet

  1. Click the worksheet that contains the external data range you want to delete.

  2. Click the arrow next to the Name box on the formula bar, and then click the external data range you want to delete.

    Microsoft Excel automatically names an external data range. External data ranges from databases are named with the name of the query, by default Query_from_source, where source is the name of the data source you used to create the query. External data ranges from text files are named with the text file name. External data ranges from Web queries are named with the name of the Web page from which the data was retrieved. If your worksheet has more than one external data range from the same source, the ranges are numbered — for example, MyText, MyText_1, MyText_2, and so on. You can change the name of an external data range.

  3. On the Edit menu, click Delete.

Notes

  • If you press DELETE on the keyboard instead of clicking Delete on the Edit menu, Excel also clears the external data range.

  • You can create a report template that removes the external data range but retains the underlying query on a worksheet when you close it. How to save a workbook as a report template.

  • You can also delete an external data range by deleting the worksheet that contains the external data.


 Require a password to refresh an external data range

Require a password to refresh an external data range

If your data source requires a password to connect to it, you can require that the password be entered before the external data range can be refreshed. This procedure does not apply to data retrieved from a text file (*.txt) or a Web query (*.iqy).

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. Under Query definition, clear the Save password check box.

Note Microsoft Excel prompts for the password only the first time that the external data range is refreshed in each Excel session. The next time you start Excel, you will be prompted for the password again if you open the workbook that contains the query and click Refresh Data [image] .


 What you need to create Visual Basic macros that retrieve external data

What you need to create Visual Basic macros that retrieve external data

To gain access to an external data source with a Visual Basic macro, you must install the Data Access Objects for Visual Basic.

If you want to use a macro that you created in Microsoft Excel version 5.0 or earlier, click Add-Ins on the Tools menu, and then make sure the ODBC Add-In check box is selected.

For more information about creating Visual Basic macros, see Visual Basic Help.

Note While you are recording a macro that includes a query, Excel can't run the query in the background, even if you chose to run it that way. To change the recorded macro so that it runs in the background, edit the macro in the Visual Basic Editor and change the refresh method for the QueryTable object from "BackgroundQuery := False" to "BackgroundQuery := True".


Troubleshoot retrieving external data

What do you need help with?

Creating and using data sources

I can't create a new data source.

An ODBC driver that I used previously doesn't work.

I can't find or delete a data source.

Why does my data source have an asterisk next to it?

Retrieving data

A message indicates that the path to my database is not valid.

Sorting and formatting are incorrect after I refresh an external data range.

A query takes too long to run or the computer doesn't respond.

A range of blank cells is selected when I return data to Microsoft Excel.

When I try to retrieve external data, I run out of disk space.

Microsoft Query repeatedly runs out of time without connecting to my database.

A macro I use to retrieve data won't run.

When I change the column order in Microsoft Query, the external data range isn't changed.

After I change my query, the columns are in the wrong order in the external data range.

My Web query returns dates instead of numbers.


Troubleshoot OLAP data sources for PivotTable and PivotChart reports

What do you need help with?

Creating OLAP cube data sources

Date or time fields are broken out incorrectly.

The summary function I want for my cube data is unavailable.

I can't change my OLAP cube.

While changing an OLAP cube, a message tells me that data has been lost.

When I try to save an offline cube file, I run out of disk space.

Using OLAP cube data sources

I created an offline cube file, and now data is missing from my PivotTable or PivotChart report.

I created a cube in Microsoft Query, but Microsoft Excel is using fields from the database instead.

Data in my database is unavailable through the cube data source.

Data I need is missing from the offline cube file.

New data doesn't appear in my PivotTable or PivotChart report when I refresh.

Excel can't find my offline cube file.


 My Web query returns dates instead of numbers.

My Web query returns dates instead of numbers.

When a Web page contains numbers that appear similar to dates, such as part number 01-01-23, Microsoft Excel might interpret these numbers as dates.

To have Excel interpret these numbers as numbers, click a cell in the external data range, and then click Edit Query [image] on the External Data toolbar. In the Edit Web Query dialog box, click Advanced, and then select the Disable date recognition check box. Now when you run the Web query, dates on the Web page appear as dates in Excel, and numbers that are similar to dates appear correctly in Excel.


 About summarizing values in your worksheet

About summarizing values in your worksheet

This topic provides reference information about:

Quick calculations on a worksheet

Overview of subtotals in lists

Creating interactive summary reports

Microsoft Excel provides several ways to summarize values on your worksheet. You can create formulas that summarize data in columns, use tools that generate reports that summarize data in lists, and create PivotTable and PivotChart reports that summarize the data and allow you to interactively change the view of the data.

Quick calculations on a worksheet

Show a total for a range When you want to select a range of cells and quickly see a total of their values (without entering the sum on your worksheet), look at the status bar. There, the AutoCalculate feature displays the sum of a selected range. If the selected range contains hidden cells or cells that are hidden by filtering, the hidden values are not included in the sum.

Insert totals By using the AutoSum button, you can insert a formula that calculates the total value for a range. Learn about inserting totals.

Create a simple formula that's based on a condition You can create formulas that calculate a total value based on a condition, such as the total of all sales when the invoice amount is more than $500.

Return to top

Overview of subtotals in lists

Create subtotals that summarize data You can automatically calculate subtotals of values in a list. For example, if your list contains sales amounts for salespeople in different regions, you can calculate subtotal values for each region and for each salesperson. Learn about creating lists on worksheets.

Use the Conditional Sum Wizard If you need to calculate totals for values in a list based on conditions, you can use the Conditional Sum Wizard. This wizard can build the formulas for you.

Use database functions to summarize columns Is the data in your worksheet similar to a database, with columns of related information? Excel provides several database functions that summarize only those values that meet complex criteria, such as "provide a count of the records where sales are greater than 1,000 but less than 2,500."

Create a Microsoft Access report If you are familiar with designing Access reports and want to summarize and organize your Excel data in this type of report, you can create an Access report from your Excel list.

Return to top

Creating interactive summary reports

Summarize data with PivotTable reports A PivotTable report is an interactive table that you can use to quickly summarize the data in a large list of data. You can quickly change the layout and format of a PivotTable report by dragging items where you want them. Learn more about PivotTable reports.

Graphically summarize data with PivotChart reports A PivotChart report combines the visual appeal of a chart with the interactive summary and layout advantages of a PivotTable report. Learn more about PivotChart reports.

Return to top


 Summarize values that meet conditions by using the Conditional Sum Wizard

Summarize values that meet conditions by using the Conditional Sum Wizard

If you want to summarize values in a list based on specific conditions, you can use the Conditional Sum Wizard. For example, if your list contains sales amounts for different salespeople, the Conditional Sum Wizard can help you create a formula that calculates the total sales amount for one salesperson.

The Conditional Sum Wizard is an add-in program. If the Conditional Sum command is not on the Wizard submenu on the Tools menu, you need to install and load the add-in program. For more information about add-in programs and how to install and load them, click [image] .

  1. Click a cell in the list.

  2. On the Tools menu, point to Wizard, and then click Conditional Sum.

  3. Follow the instructions in the wizard.

Notes

  • The formulas created by the Conditional Sum Wizard are array formulas. After you edit these formulas, you must press CTRL+SHIFT+ENTER to lock in the formulas.

  • Learn about how conditional formulas work.


Overview of subtotals in lists (Insert automatic subtotals)

To display this topic, click the graphic.

To display this topic, click the graphic


 How Microsoft Excel calculates subtotal and grand total values

How Microsoft Excel calculates subtotal and grand total values

Subtotals Microsoft Excel calculates subtotal values by using a summary function, such as Sum or Average. You can display subtotals by using more than one type of calculation in a list at a time.

Grand totals Grand total values are derived from detail data, not from the values in the subtotal rows. For example, if you use the summary function Average, the grand total row displays an average of all detail data in the list, not an average of the values in the subtotal rows.

Automatic recalculation Excel recalculates subtotal and grand total values automatically as you edit detail data.

More information

Summary functions for subtotaled lists

Insert subtotals into a list


 Insert subtotals into a list

Insert subtotals into a list

  1. Sort the list by the column for which you want to calculate subtotals. For example, to summarize the units sold by each salesperson in a list of salespeople, sales amounts, and the number of units sold, sort the list by the salesperson column.

    How?

  2. Click a cell in the list.

  3. On the Data menu, click Subtotals.

  4. In the At each change in box, click the column that contains the groups for which you want subtotals. This should be the same column by which you sorted your list in step 1.

  5. In the Use function box, click the function you want to use to calculate the subtotals. For information about the summary functions, click [image] .

  6. In the Add subtotal to box, select the check boxes for the columns that contain the values for which you want subtotals.

Notes

  • You also can "nest," or insert, subtotals for smaller groups within subtotal groups.

  • You can remove subtotals from a list without affecting your original data.


Summary functions for subtotaled lists

You can use any of the following functions to summarize data in a list. Click the function you want in the Use function box in the Subtotal dialog box (Data menu, Subtotals command).

Use this function | To summarize
Sum | The sum of the values in a list. This is the default function for numeric data.
Count | The number of items in a list. This is the default function for nonnumeric data.
Average | The average of the values in a list.
Max | The largest value in a list.
Min | The smallest value in a list.
Product | The result of multiplying all the values in a list.
Count Nums | The number of records or rows in a list that contain numeric data.
StdDev | An estimate of the standard deviation of a population, where the list is the sample.
StdDevp | The standard deviation of a population, where the list is the entire population.
Var | An estimate of the variance of a population, where the list is the sample.
Varp | The variance of a population, where the list is the entire population.


 Create "nested," or multiple-level, subtotals

Create "nested," or multiple-level, subtotals

To "nest," or insert, subtotals for smaller groups within existing subtotal groups, you must first sort the list.

  1. Sort the list by two or more columns for which you want to calculate subtotals. For example, to summarize units sold by region and by salesperson within each region, first sort the list by the region column, and then sort by the salesperson column. When Microsoft Excel inserts subtotals, the salesperson subtotal values are nested within the subtotal values for the region.

    How?

  2. Insert automatic subtotals for the first column for which you want subtotals. This column should be the column you specified in the Sort by box when the list was sorted. (In the example given in step 1, the region column would be the first column.)

    How?

  3. After you have displayed automatic subtotals for the first column, repeat the process for the next column.

  4. Click a cell in the list.

  5. On the Data menu, click Subtotals.

  6. In the At each change in box, select the next column you want to subtotal.

  7. Clear the Replace current subtotals check box, and then click OK.

  8. Repeat steps 4 through 7 for each column for which you want to calculate subtotals.


 Remove subtotals from a list

Remove subtotals from a list

When you remove subtotals from a list, Microsoft Excel also removes the outline and all page breaks that were inserted into the list when you inserted the subtotals.

  1. Click a cell in the list that contains subtotals.

  2. On the Data menu, click Subtotals.

  3. Click Remove All.


 About outlining a worksheet

About outlining a worksheet

How outlines work

When data is in list form, Microsoft Excel can create an outline to let you hide or show levels of detail with a single mouse click. An outline lets you quickly display only the rows or columns that provide summaries or headings for sections of your worksheet, or display the areas of detail data adjacent to a summary row or column.

Displaying and hiding detail data An outline can have up to eight levels of detail, with each inner level providing details for the preceding outer level. In the following example, the row containing the grand total of all the rows is level 1, the rows containing totals for the South and West regions are level 2, and the detail rows for the regions are level 3. To display only the rows for a particular level, you can click the number for the level you want to see. The detail rows for the West region are hidden, but you can click the + outline symbols to display the detail rows.

Ways to outline data

Inserting automatic subtotals also creates an outline If you use the Subtotal command (Data menu) to add subtotals to a list organized in rows, Excel outlines the worksheet so that you can show or hide as much detail as you need.

Outlining a worksheet automatically If you have summarized data by using formulas that contain functions, such as SUM, Excel can automatically outline the data, as in the preceding example. The summary data must be adjacent to the detail data.

Outlining a worksheet manually If the data is not organized so that Excel can outline it automatically, you can create an outline manually. For example, you'll need to manually outline data if the rows or columns of summary data contain values instead of formulas, such as in the example below. If you want to hide the detail rows for April and May, you can do so by outlining the list manually.

List with totals entered as values

Because the totals in this list were typed as numbers, not calculated as formulas, automatic outlining won't work.

More information

Create a labeled list

Outline a worksheet automatically

Outline a worksheet manually

Insert subtotals into a list

Use outline symbols to show and hide detail


 Show or hide detail data in an outline

Show or hide detail data in an outline

If you do not see the outline symbols on the worksheet, select the Outline symbols check box on the View tab of the Options dialog box (Tools menu).

To show | Click
The detail data within a group | The show detail symbol
A specific level in an outline | The row or column level symbol
All detail in an outline | The symbol for the lowest row and column level. For example, if there are three levels, click [image] .

To hide | Click
The detail data within a group | Row level bar Column level bar Click anywhere on the level bar or the hide detail symbol [image] .
A specific level in an outline | The preceding row or column level symbol [image] . For example, if an outline has four levels, you can hide the fourth level by clicking [image] .
All detail in an outline | The first level symbol


 Display or hide outline symbols without removing the outline

Display or hide outline symbols without removing the outline

  1. On the Tools menu, click Options, and then click the View tab.

  2. To display the outline symbols, select the Outline symbols check box.

    To hide the symbols, clear the check box.


 Outline a worksheet automatically

Outline a worksheet automatically

Make sure the worksheet is organized in a hierarchical fashion and that all summary formulas in the area that you want to outline are located in the same direction relative to the detail data. That is, all summary columns must be either to the right or to the left of the detail data, but not mixed. All summary rows must be either below or above, but not mixed.

  1. Select the range of cells you want to outline.

    To outline the entire worksheet, click any cell on the worksheet.

  2. On the Data menu, point to Group and Outline, and then click Auto Outline.

    Learn about outlining a worksheet, including displaying and hiding detail in an outline.


 Outline a worksheet manually

Outline a worksheet manually

Make sure that the summary rows or columns in all areas that you want to outline are located in the same direction relative to the detail data. That is, all summary columns must be either to the right or to the left of the detail data, but not mixed. All summary rows must be either below or above, but not mixed.

  1. Select the rows or columns that contain detail data.

    How?

    Detail rows or columns are usually adjacent to the row or column that contains the related summary data. For example, if Row 6 contains totals for Rows 3 through 5, select Rows 3 through 5.

  2. On the Data menu, point to Group and Outline, and then click Group.

    The outline symbols appear beside the group on the screen.

  3. Continue to select detail rows or columns and click the Group command until you have created all of the levels you want in the outline.

Note Microsoft Excel assumes by default that summary rows are below detail rows and summary columns are to the right of detail columns. If the summary rows or columns are otherwise, you can change this setting before you outline the data. On the Data menu, point to Group and Outline, click Settings, and then change the check boxes in the Direction group.

Learn more about outlining a worksheet, including displaying and hiding detail in an outline.


 Ungroup rows or columns in an outline

Ungroup rows or columns in an outline

  1. Select the rows or columns you want to ungroup.

  2. On the Data menu, point to Group and Outline, and then click Ungroup.

Note When you ungroup rows or columns in an outline that has several levels, the rows or columns become part of a higher-level group. For example, if you ungroup a level-3 group, it becomes a level-2 group. Continue ungrouping the selection until it's at the level you want.

Tip To select a specific group of data within an outline, hold down SHIFT, and then click the show detail symbol [image], or the hide detail symbol [image], or the level bar of the outline section.


Remove an entire outline

When you remove an outline, the data on the worksheet does not change.

  1. Click any cell on the worksheet.

  2. On the Data menu, point to Group and Outline, and then click Clear Outline.


About consolidating data with 3-D references

To display this topic, click the graphic.

To display this topic, click the graphic


 About consolidating data

About consolidating data

You can consolidate data in four ways:

By using 3-D references, the preferred method When you use 3-D references, there are no restrictions on the layout of the data in the source areas. Consolidate data by using 3-D references.

By position Consolidate by position when the data in all source areas is arranged in identical order and location; for example, to combine data from a series of worksheets created from the same template.

If you are entering data by using a series of worksheet forms based on the same template, and you want to list the entered data from each form on a single worksheet, consider using the Template Wizard with Data Tracking.

By category Consolidate by category when you want to summarize a set of worksheets that have the same labels but organize the data differently. This method combines data that has matching labels from each worksheet.

By creating a PivotTable report This method is similar to consolidating by category but offers more flexibility to reorganize the categories. Consolidate data by creating a PivotTable report.


Consolidate data

What do you want to do?

Consolidate data by using 3-D references

Consolidate data by position

Use the Template Wizard

Consolidate data by category

Consolidate data by creating a PivotTable report

Not sure which choice you want?


 Guidelines for specifying source areas for a consolidation

Guidelines for specifying source areas for a consolidation

When you consolidate data, you specify the source areas of the data either in 3-D formulas or in the Reference box of the Consolidate dialog box (Data menu, Consolidate command). The source areas can be cell ranges on the same worksheet as the consolidation table, on different worksheets in the same workbook, or in different workbooks or Lotus 1-2-3 files.

Before you begin

Name your source areas To make source areas easy to keep track of, name each range and use the names in the Reference box. Learn about labels and names in formulas.

Referring to source areas

On the same worksheet When the source areas and destination area are on the same worksheet, use cell or range references or names.

On different worksheets When the sources and destination are on different worksheets, use sheet and cell or range references or names. For example, to include a range named Budget from the Marketing worksheet in a consolidation on the Summary worksheet, enter Marketing!Budget.

In different workbooks When the sources and destination are in different workbooks, use book, sheet, and cell or range references or names. For example, to include a range named Sales from the Eastern Region worksheet in the 1996 workbook in the same folder, enter the following:

'[1996.xls]Eastern Region'!Sales

In different storage locations When the sources and destination are in different workbooks in different locations, use the full path, book, sheet, and cell or range references or names. For example, to include a range named Revenue from the February worksheet in the Sales Department workbook in the Budget Worksheets folder, enter the following:

'[C:\Budget Worksheets\Sales Department.xls]February'!Revenue

Note You can omit the sheet names from the references if your workbook has names that you assigned, rather than labels used as names by Microsoft Excel. For example, '[1996.xls]'!Sales or '[C:\Budget Worksheets\Sales Department.xls]'!Revenue.

Tip To enter a source reference without typing, click in the Reference box, and then select the source area. To select a source area in another workbook, click Browse. To clear the Consolidate dialog box out of the way temporarily while you select the source area, click Collapse Dialog [image] .

More information

Consolidate data by position

Consolidate data by category


 Change a data consolidation

Change a data consolidation

After you summarize data by using the Consolidate command, you can add, delete, or change the source areas it includes. You can also link the consolidation table to the source data so that Microsoft Excel automatically updates the destination area if the data in the source areas changes.

What do you want to do?

Add another source area to a consolidation

Change a reference to a source area in a consolidation

Delete a reference to a source area from a consolidation

Update a consolidation automatically if the component data changes

Note When you summarize data by using 3-D references, you can change the consolidation by changing the formulas to include additional source areas or by adding or deleting a worksheet within a range of sheet names used in the formulas.


About PivotTable reports: interactive data analysis

To display this topic, click the graphic.

To display this topic, click the graphic


 Create a PivotTable report

Create a PivotTable report

When you base a PivotTable report on external non-OLAP source data, you may want to retrieve the data before you create the report. Learn about ways to retrieve external data for a PivotTable report.

  1. Open the workbook where you want to create the PivotTable report.

    If you are basing the report on a Microsoft Excel list or database, click a cell in the list or database.

  2. On the Data menu, click PivotTable and PivotChart Report.

  3. In step 1 of the PivotTable and PivotChart Wizard, follow the instructions, and click PivotTable under What kind of report do you want to create?

  4. Follow the instructions in step 2 of the wizard.

  5. In step 3 of the wizard, determine whether you need to click Layout.

  6. Do one of the following:

    If you clicked Layout in step 3, after you lay out the report in the wizard, click OK in the PivotTable and PivotChart Wizard – Layout dialog box, and then click Finish to create the report.

    If you did not click Layout in step 3, click Finish, and then lay out the report on the worksheet.

Note When you create a PivotChart report, Excel automatically creates an associated PivotTable report. Learn about creating PivotChart reports.


 Display a PivotTable report in indented format

Display a PivotTable report in indented format

When you use this procedure to change the display from a nonindented, or cross-tabulated, format to an indented format, any column fields in your PivotTable report are moved so that they become outer row fields.

  1. Click the PivotTable report.

  2. On the PivotTable toolbar, click Format Report [image] .

  3. In the list of report formats, click an indented layout.

    Report 1 through Report 10 are indented layouts. Learn about the available formats and layouts.

Notes

  • To restore the PivotTable report to its previous layout Click Undo [image] immediately after clicking Format Report [image] .

  • Effects on associated PivotChart reports When a change to indented format changes the layout of a PivotTable report that has an associated PivotChart report, the series fields in the chart become category fields. In addition, some chart formatting may be lost.

  • To set indented format manually Drag any column fields in the PivotTable report to the row orientation, double-click the field button for the leftmost row field, click Layout, and then click Show items in outline form. The layout settings you make are retained for the field if you move the field to another area of the PivotTable report, but the field is displayed in indented format only when it is a row field.


Create a Microsoft Access report based on data from a Microsoft Excel list

To display this topic, click the graphic.


 Troubleshoot data consolidation

Troubleshoot data consolidation

These suggestions apply only to the consolidations created by using the Consolidate command on the Data menu. They do not apply to consolidations created by using 3-D references. Learn about how formulas calculate values.

All consolidations

Check your source area references Make sure you entered all source area references correctly.

Check the summary function Make sure you selected the appropriate summary function in the Consolidate dialog box.

Check the destination area Make sure you specified a destination area large enough to hold the consolidated data. To avoid problems with the shape of the destination area, select the upper-left cell of the destination area when you create a consolidated table. Make sure you leave enough cells to the right and below the upper-left cell for the table because the Consolidate command fills out the area as needed.

More information about troubleshooting formulas.

Consolidation by position

Make sure each source area contains the same range of similar data in the same order.

Consolidation by category

Include row or column labels In the Consolidate dialog box, under Use labels in, make sure you selected the Top row or Left column check box, or both. Also, make sure you included corresponding labels in the source areas.

Check for identical category labels Make sure you entered category labels with identical spelling and capitalization in all source areas. For example, labels called Annual Avg. and Annual Average are different and will not consolidate.

Check for unique categories Make sure any categories that you don't want to consolidate have unique labels that appear in only one source area.


Troubleshoot outlining a worksheet

What do you need help with?

When I copy summary data in an outline, the detail data is also copied.

My data isn't grouped properly in a multilevel outline.

I can't see the outline symbols on my worksheet.

I've ungrouped data or removed an outline, but data is still hidden.


Elements of a PivotTable report

To display this topic, click the graphic.

To display this topic, click the graphic


 Differences between OLAP-based and non-OLAP-based PivotTable and PivotChart reports

Differences between OLAP-based and non-OLAP-based PivotTable and PivotChart reports

If you work with PivotTable and PivotChart reports that are based on OLAP source data and with reports based on non-OLAP source data, you will notice differences both in the features available and in how the features work. OLAP databases provide some of the analysis features on the server, including precalculating summary values and organizing the data hierarchically.

Overview: Differences in how OLAP databases organize and provide data

Data retrieval and refresh differences

Layout and design differences

Calculation differences

Overview: Differences in how OLAP databases organize and provide data

OLAP databases are organized to facilitate the retrieval and analysis of large amounts of data. Before Microsoft Excel displays summarized data in a PivotTable or PivotChart report, an OLAP server performs calculations to summarize the data. Only the summarized data is returned to Excel, on an as-needed basis. With non-OLAP external databases, all the individual source records are returned, and then Excel does the summarizing. Consequently, OLAP databases can provide Excel with the ability to analyze much larger amounts of external data.

An OLAP server returns new data to Excel every time you change the view or layout of the PivotTable or PivotChart report. When you use non-OLAP source data, the data is refreshed differently, and various refresh options are available. Learn about refreshing PivotTable and PivotChart data.

Non-OLAP data can be returned to Excel as an external data range or a PivotTable or PivotChart report. OLAP data can be returned to Excel only in the form of a PivotTable or PivotChart report.

In PivotTable and PivotChart reports that are based on non-OLAP source data, you have access to Excel analysis features, such as the ability to specify the summary functions you want to use. When you use OLAP source data, some analysis features are provided directly by the OLAP server instead of from within Excel. For example, in OLAP source data, summary functions have already been defined on the server. If you need additional functionality from an OLAP database, you will need to contact the administrator for your OLAP server.

Learn about creating a PivotTable report from OLAP data

How to tell whether a PivotTable report is based on OLAP data

Return to top

Data retrieval and refresh differences

Refresh PivotTable and PivotChart reports that are based on OLAP source data are refreshed automatically every time you make a change that displays different data. For reports that are based on non-OLAP source data, several refresh options are available. Learn about refreshing PivotTable and PivotChart data.

Page field settings In PivotTable and PivotChart reports that are based on non-OLAP source data, you can use page field settings to retrieve data for each page field item individually or for all items at once. These page field settings are not available in reports that are based on OLAP source data. OLAP source data is always retrieved for each item as needed, which allows reports to display information from large OLAP databases. Learn about page field settings.

Background query This feature, which allows you to do other work in Excel while data is being retrieved for a PivotTable or PivotChart report, is available only for reports that are based on non-OLAP source data.

Parameter queries You can retrieve non-OLAP source data with a parameter query, place the return set in an external data range, and then base a PivotTable or PivotChart report on that range. You cannot use a parameter query to retrieve data from an OLAP database. Learn about queries for PivotTable source data.

Optimize memory option This setting (PivotTable toolbar, PivotTable menu, Table Options command; or PivotChart menu, Options command) is available only for PivotTable and PivotChart reports that are based on non-OLAP source data.

Return to top

Layout and design differences

Laying out fields For OLAP source data, dimension fields are identified by Dimension field icon at the beginning of the row on the PivotTable toolbar. These fields can be used only as row, column, or page fields in PivotTable reports, and as series, category, and page fields in PivotChart reports. Fields identified by Data field icon at the beginning of the row on the toolbar can be used only as data fields. Any field from non-OLAP source data can be used in any part of the PivotTable or PivotChart report, as long as use of the field has not been restricted by a Visual Basic for Applications (VBA) program or macro in the workbook.

Renaming fields and items For OLAP source data, renamed fields and items revert to their original names when you redisplay them or add them back into the report after removing them from view. For non-OLAP source data, the PivotTable or PivotChart report retains the new field and item names in these situations.

Grouping and ungrouping items in fields The Group and Ungroup commands are available only for fields from non-OLAP source data. OLAP dimension fields provide functionality similar to grouping.

Access to detail data For PivotTable and PivotChart reports that are based on non-OLAP source data, you can display the underlying detail for data field values and for items, and you can prevent the display of this detail for data field values. In OLAP databases, summary values are calculated on the server. The report lets you display the lowest level of detail available from the OLAP server, but the underlying detail records that make up the summary values are not available for display in the report.

Showing items with no data This command is available only in PivotTable and PivotChart reports that are based on non-OLAP source data.

Initial sort order For non-OLAP source data, the items in a new PivotTable or PivotChart report first appear sorted in ascending order by item name. For OLAP source data, items first appear in the order in which the OLAP server returns them. You can then sort or manually rearrange the items if you want them in a different order.

The All item in page fields For non-OLAP source data, the All item, which combines the values for every item in the field, is available unless the page field has been set to retrieve data for each item separately. OLAP dimension fields may not have an All item.

Show pages command This command is available only in PivotTable reports that are based on non-OLAP source data.

Return to top

Calculation differences

Summary functions For PivotTable reports that are based on non-OLAP source data, you can change the summary function for a data field and use multiple summary functions for the same data field. OLAP servers provide the summarized values directly for the PivotTable report. You cannot change the summary function for a data field from OLAP source data, and you can use multiple summary functions only if the OLAP server provides multiple data fields for different summaries.

Calculated fields and items You cannot create calculated fields or calculated items in PivotTable reports that are based on OLAP source data.

Subtotals In PivotTable reports that are based on non-OLAP source data, you can display or remove subtotals for all row and column fields. In PivotTable reports that are based on OLAP source data, you cannot change the summary function for subtotals, and you cannot display subtotals for inner row or column fields. Because the totals are calculated on the OLAP server, you cannot change the setting to include or exclude hidden page field items in totals. How totals are calculated in PivotTable reports.

More detailed information is available about differences in calculation methods.

Return to top


About choosing a data source for a PivotTable or PivotChart report

When you create a PivotTable or PivotChart report, the data can come from any of several different sources.

What kind of source data do you want information about?

Microsoft Excel lists or databases

Another PivotTable report

External data sources

Multiple data ranges to consolidate


 When to use the PivotTable and PivotChart Wizard - Layout dialog box

When to use the PivotTable and PivotChart Wizard – Layout dialog box

Whenever possible, lay out the PivotTable or PivotChart report directly on the sheet so that you can view the data while you arrange the fields. Click Layout in step 3 of the PivotTable and PivotChart Wizard to lay out your PivotTable or PivotChart report in the following situations:

  • You're using certain external data sources For some types of external data sources, including large databases, on-sheet layout will be too time consuming. For example, a report based on a cube created with the OLAP Cube Wizard in Microsoft Query is likely to be slow to display layout changes. If you start to do on-sheet layout and data is slow to appear after you drag the fields into place, you can click PivotTable Wizard [image] on the PivotTable toolbar to return to step 3, and then click Layout.

  • You need to change the page field settings Use Layout if your PivotTable or PivotChart report is based on external non-OLAP source data and you want to create a page field that retrieves data for each item separately. Learn about using page fields to work with large databases. For PivotTable and PivotChart reports that are based on source data from OLAP databases, the page field options are not available.

What do you want to do?

Lay out a new PivotTable or PivotChart report with the PivotTable and PivotChart Wizard – Layout dialog box

Lay out a new PivotTable report on the worksheet

Lay out a new PivotChart report on the sheet


 Lay out a new report with the PivotTable and PivotChart Wizard - Layout dialog box

Lay out a new report with the PivotTable and PivotChart Wizard – Layout dialog box

Use this procedure after you click Layout in step 3 of the PivotTable and PivotChart Wizard.

  1. From the group of field buttons on the right, drag the fields that you want onto the ROW and COLUMN areas in the diagram.

    In PivotTable reports, row field and item labels appear on the left. Column field and item labels appear across the top.

    In PivotChart reports, row field items are plotted on the category axis, and column field items are plotted as data series.

    For OLAP source data, only fields identified by Dimension field icon at the beginning of the row on the PivotTable toolbar can be used as row, column, or page fields.

  2. Drag the fields that contain the data that you want to summarize onto the DATA area.

    In PivotChart reports, data fields determine the values for the value axis.

    For OLAP source data, only fields identified by Data field icon at the beginning of the row on the toolbar can be used for data fields. These fields appear at the bottom of the group of field buttons.

  3. For PivotTable or PivotChart reports that are based on non-OLAP source data, you can use a different summary function for a data field. If you want to do this, double-click the field in the DATA area, click the function that you want in the Summarize by list, and then click OK. Learn about the available summary functions.

    To include a data field more than once so you can select an additional summary function, drag the field onto the DATA area a second time.

  4. Drag fields that you want to use as page fields onto the PAGE area.

    By default, Microsoft Excel retrieves data for all page fields items at once. To have page fields retrieve data separately for each item (when using external non-OLAP source data), double-click each field in the PAGE area, click Advanced, click Query external data source as you select each page field item, and then click OK twice. Learn about using page fields to work with large databases.

  5. To rearrange fields, drag them from one area to another. To remove a field, drag it out of the diagram. When you are satisfied with the layout, click OK, and then click Finish.

    There are two ways to rearrange the fields after Excel creates the report. You can try rearranging the fields on the worksheet, or you can click the finished PivotTable report (or the associated PivotTable report for a PivotChart report), click PivotTable Wizard [image] on the PivotTable toolbar to return to step 3, and then click Layout.

Note Row, column, and page fields from OLAP source data initially show their highest level of data. The names of the highest level fields in the PivotTable or PivotChart report may not be the same as the names on the field buttons. For example, a field button for a dimension named Geography may have the highest level field name Country in the report, and initially may show items for the Country level, such as U.S., Canada, and so forth. After you finish the PivotTable and PivotChart Wizard, you can display lower level data for these fields.


 About using different source data for a PivotTable or PivotChart report

About using different source data for a PivotTable or PivotChart report

Changes that occur in PivotTable and PivotChart source data can result in different data being available for analysis. You can update a PivotTable or PivotChart report with new data that meets your original source data specification by refreshing the PivotTable or PivotChart report.

When you want to analyze different data in an existing PivotTable or PivotChart report, you can redefine the source data to be included. The method you use to redefine the source data depends on the source type. If you want to use substantially different source data with many different or additional fields, it may be easier to create a new PivotTable report or create a new PivotChart report.

Changing OLAP cubes that you create If you created an offline cube file in Microsoft Excel or used the OLAP Cube Wizard in Microsoft Query to define a cube for non-OLAP source data, you can change your existing cube file or definition to include different data.

Including different fields or records from Microsoft Excel source data For PivotTable and PivotChart reports that are based on Microsoft Excel data, you can redefine the source area to include different data by using the PivotTable and PivotChart Wizard.

Querying for different external data When new columns or fields become available in an external non-OLAP database, or you want to select different external data for the PivotTable or PivotChart report, you can change the query to select different data.

Refreshing can also retrieve different data Refreshing a PivotTable or PivotChart report can also change the data available for display. For PivotTable and PivotChart reports that are based on Excel worksheet lists, Excel retrieves new fields within the source range or named range that you specified. For PivotTable and PivotChart reports that are based on external data, Excel retrieves new data that meets the criteria for an underlying query or has been added to an OLAP cube. Microsoft Excel provides several ways to refresh a PivotTable or PivotChart report.

Effects of using different source data on PivotChart formatting When you change the source data used for a PivotChart or the PivotTable report associated with a PivotChart report, some chart formatting may be lost.


 Use different source data for a PivotTable or PivotChart report

Use different source data for a PivotTable or PivotChart report

If the source data you've defined for a PivotTable or PivotChart report doesn't include data that you want to display, you can change the report to use different source data.

Refreshing a PivotTable or PivotChart report can also change the data available for display. Microsoft Excel provides several ways to refresh a PivotTable or PivotChart report.

What do you want to do?

Change the content and settings of an OLAP cube data source

Change the data or fields included in the Excel source range for a PivotTable or PivotChart report

Change the query for a PivotTable or PivotChart report to return different data or fields

Not sure which choice you want?


 About using Excel PivotTable reports that were imported from PivotTable lists on the Web

About using Excel PivotTable reports that were imported from PivotTable lists on the Web

When you export a PivotTable list from your Web browser to a Microsoft Excel PivotTable report, you will notice some differences. Some PivotTable list layouts can't be displayed as Excel PivotTable reports, and some PivotTable list calculations can't be displayed in Excel reports. This topic summarizes those differences. For information about preparing a PivotTable list on a Web page for successful export to Excel, see Help that is available for the PivotTable list in your browser.

Command and feature names

Feature differences

Calculation differences

PivotTable list features that Excel does not have

More information

Command and feature names

Access to commands In Excel PivotTable reports, you access commands and features differently than in the Web browser. Instead of using a toolbar and property toolbox, as in the Web browser, you use the PivotTable toolbar and other Excel commands. Many commands have different names. To find the Excel command you want, ask the Office Assistant.

Data fields Excel PivotTable reports have data fields instead of total fields.

Page fields In PivotTable reports, filter fields are called page fields.

Return to top

Feature differences

Layouts A PivotTable list on a Web page can simultaneously display summarized data and underlying detail. Excel PivotTable reports cannot display both simultaneously, and as a result, some PivotTable list layouts cannot be exported to Excel. However, Excel PivotTable reports allow indented layouts that aren't available for PivotTable lists on the Web.

Showing and hiding detail Items in PivotTable lists on the Web have expand indicators Plus box to show detail and Minus box to hide detail. In Excel PivotTable reports, you can show and hide detail by using either the field drop-down arrows Field arrow or Show Detail [image] and Hide Detail [image] on the PivotTable toolbar.

Sort order Items in a new PivotTable list on a Web page are displayed in the order in which they are received from the source data. After you sort the items, the sort is automatically applied whenever you refresh the list or change its layout. In an Excel PivotTable report that is based on OLAP source data, items are sorted the same way as in PivotTable lists. In an Excel PivotTable report that is based on non-OLAP source data, items are initially sorted in ascending order. You can then sort items manually so that the sort is not reapplied when you refresh the report, or you can sort them automatically so that the sort is reapplied after you refresh.

Filtering In PivotTable lists on the Web that are based on OLAP source data, when you filter the items in lower levels of dimension fields, your filtering remains in effect when these fields aren't displayed. In Excel PivotTable reports, these filter settings aren't retained, but you can refilter the lower levels when you display them.

Renaming items In a PivotTable list on a Web page, you can rename fields, but not items. In an Excel PivotTable report, you can rename fields and items. (In PivotTable reports that are based on OLAP source data, name changes aren't retained when you rename fields or items and then redisplay them after removing them from view.)

Formatting In a PivotTable list on a Web page, formatting applies only to selected parts of the report, not to cells. You can select and format fields, items, and totals with character and cell formats. In an Excel PivotTable report, you have more formatting capabilities: You can format cells or selected PivotTable elements, and you can change the display of errors and empty cells.

Filter fields, called page fields in Excel In a PivotTable list on a Web page, these fields are always located at the top. In an Excel PivotTable report, you can display page fields across the top or down the left side, and you can select how many page fields to display in a row or column.

Refresh PivotTable lists on the Web have no refresh settings and are always refreshed when you open them in the browser. Excel PivotTable reports have several settings that control how and when the data is refreshed.

Help Help for PivotTable lists on the Web is provided as a list of topics that you can search. In Excel, the Office Assistant is available to provide help.

Return to top

Calculation differences

Summary functions In a PivotTable list on a Web page, the available summary functions for data fields and subtotals are Sum, Count, Min, and Max. In Excel PivotTable reports that are based on non-OLAP source data, eleven summary functions are available. For both PivotTable reports in Excel and PivotTable lists on the Web that are based on OLAP source data, the available summary functions are determined by the data fields available from the OLAP server.

Return to top

PivotTable list features that Excel does not have

Displaying detail In a PivotTable list on a Web page, you can display all of the available source data in list format, without summarizing any of the data. When data is summarized, the list can show full underlying detail for any cell if the detail is available from the source data (usually underlying detail is available only for non-OLAP source data). In Excel PivotTable reports that are based on non-OLAP source data, you can display the underlying detail for only one cell in the data area at a time, and Excel puts this data on a separate worksheet. However, you can display detail for items in the PivotTable report.

Hidden items in subtotals In PivotTable lists on the Web, you can include or exclude hidden items in subtotal calculations for all fields. In Excel PivotTable reports that are based on non-OLAP source data, you can include or exclude hidden items in subtotals only for page field totals.

Filter by selection In PivotTable lists on the Web, you can filter the data to match a selected cell. In Excel PivotTable reports, you can filter data only by showing and hiding items.

Setting report size A PivotTable list on a Web page fills a window of a certain size within the Web page. Excel PivotTable reports, contained on an Excel worksheet, use as many cells on the worksheet as are necessary to display the data.

Charts If a Web page has both a PivotTable list and an associated chart, you cannot export both the list and the chart to Excel and have them continue to be linked together in Excel. However, you can export the PivotTable list to Excel and then create a new Excel PivotChart report that is based on the PivotTable report.

Return to top

More information

About Excel PivotTable reports

Elements of an Excel PivotTable report (terminology and definitions)

About displaying an Excel PivotTable report on a Web page

Return to top


 About displaying Microsoft Excel PivotTable reports on the Web

About displaying Microsoft Excel PivotTable reports on the Web

When you want to make a Microsoft Excel PivotTable report available on the Web, you can either save the report in HTML format and publish it as a noninteractive table, or you can use a Microsoft Office Web Component called a PivotTable list. Users of your Web page can interact with the PivotTable list from their Web browsers, changing the layout and the data displayed.

Example of a PivotTable list

The PivotTable list component for Web pages is available in the browser only if users have the Office Web Components installed. They can do this by installing Microsoft Office 2000 or, if their company has an Office 2000 site license, by downloading the Office Web Components from their corporate intranet. If users have the Office Web Components, they can view and interact with the PivotTable list by using version 4.01 or later of the Microsoft Internet Explorer Web browser. Users who don't have these components or who use a different browser cannot view or interact with PivotTable lists. You can publish Excel PivotTable reports to the Web as either as interactive PivotTable lists or as noninteractive tables that can be viewed in other browsers.

A PivotTable list on a Web page has features and commands similar to an Excel PivotTable report, but the list does not have worksheet row and column labels. Help for PivotTable list commands and features is available in the browser, rather than in Excel.

In addition to publishing PivotTable reports as interactive lists, the PivotTable list component can be used to publish interactive versions of worksheet lists of data in rows and columns. You can use PivotTable lists to publish Excel worksheet lists that are filtered, and users of the Web page can also filter the data in the browser.

More information

Save a PivotTable report to a Web page

Differences between PivotTable reports and PivotTable lists


 Create a PivotTable report from a PivotChart report

Create a PivotTable report from a PivotChart report

When you create a PivotChart report, Microsoft Excel automatically creates an associated PivotTable report that reflects all changes you make to the chart. You cannot create a separate PivotTable report directly from a PivotChart report, but you can create an independent PivotTable report from the same data as a PivotChart report. An independent PivotTable report is not associated with the chart. The table is not affected when you change the view in the chart, and you can change the view in the independent PivotTable report with no effect on the chart.

What do you want to do?

Create a PivotChart report with an associated PivotTable report

Create an independent PivotTable report from the same data as a PivotChart report


 Convert a Microsoft Excel version 4.0 crosstab table to a PivotTable report

Convert a Microsoft Excel version 4.0 crosstab table to a PivotTable report

Caution You cannot use Undo [image] to change the PivotTable report back to a Microsoft Excel crosstab table. If you want to keep a copy of the crosstab table, make an extra copy of the Excel 4.0 file before you convert it.

  1. Click a cell on the worksheet that contains the crosstab table.

  2. On the Data menu, click PivotTable and PivotChart Report.

  3. In step 3 of the PivotTable and PivotChart Wizard, click Finish, and follow the instructions to create the PivotTable report.

  4. Save the file as a Microsoft Excel 2000 workbook.

Notes

  • The new PivotTable report replaces the crosstab table on the worksheet.

  • The new PivotTable report does not use the outline that was associated with the crosstab table. You can remove the outline from the worksheet.


 Delete a PivotTable report

Delete a PivotTable report

  1. Click the PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, point to Select, and then click Entire Table.

  3. On the Edit menu, point to Clear, and then click All.

Notes

  • When you delete a PivotTable report that is associated with a PivotChart report, you can no longer change the data that the chart displays or use any of the PivotChart features in it.

  • When you delete a PivotTable report, the source data is not affected.


 Lay out a new PivotTable report on the worksheet

Lay out a new PivotTable report on the worksheet

Use this procedure after you have created a PivotTable report by using the PivotTable and PivotChart Wizard but did not lay out the report by choosing the Layout button in step 3 of the wizard.

  1. From the group of field buttons on the PivotTable toolbar, drag the fields with data that you want to display in rows to the area on the PivotTable diagram labeled Drop Row Fields Here.

    If you don't see the field buttons on the toolbar, make sure the toolbar is undocked, click within the PivotTable diagram, and then make sure Display Fields [image] is pressed in.

    For OLAP source data, only fields identified by Dimension field icon at the beginning of the row on the PivotTable toolbar can be used as row, column, or page fields. These fields are at the beginning of the field list. Click More Fields [image] to scroll to the top of the field list.

  2. Drag fields with data that you want to display across columns to the area labeled Drop Column Fields Here.

  3. Drag fields that contain the data that you want to summarize to the area labeled Drop Data Items Here.

    For OLAP source data, only fields identified by Data field icon at the beginning of the row on the toolbar can be used as data fields. These fields are at the end of the field list. Click More Fields [image] to scroll to the bottom of the field list.

  4. If you drag more than one data field, set the order in which the data fields are displayed: Right-click a data field, point to Order on the shortcut menu, and use the commands on the Order menu to move the field to the position that you want.

  5. Drag fields that you want to use as page fields to the area labeled Drop Page Fields Here.

  6. To rearrange the fields, drag them from one area or another. To remove a field, drag it out of the PivotTable report. Fields you remove remain available in the field list on the toolbar.

    To hide the diagram outlines and labels, click Hide Fields [image] to hide the field list, or click a cell outside the PivotTable report.

Note Row, column, and page fields from OLAP source data initially show their highest level of data. The names of the highest level fields in the PivotTable report may not be the same as the names on the field buttons. For example, a field button for a dimension named Geography may have the highest level field name Country in the PivotTable report, and initially may show items for the Country level, such as U.S., Canada, and so forth. After you drop the fields onto the report, you can display lower level data for these fields.


Change the layout of a PivotTable or PivotChart report

When you change the PivotTable or PivotChart layout, the source data is not affected.

What do you want to do?

Change the layout

Change PivotTable layout by dragging a field or item

Change PivotChart layout by dragging a field or item

Change PivotTable or PivotChart layout by using the PivotTable and PivotChart Wizard

Add or remove a field in a PivotTable or PivotChart report

Arrange PivotTable page fields in rows or columns

Change the format

Change a PivotTable report to indented or nonindented format

Format a PivotTable report


Control the amount of detail in a PivotTable report

What do you want to do?

Show or hide items

Display or hide items in a field

Display or hide items in a page field

Display the top or bottom items for a field, such as the top 10 selling products, or the bottom 5 performing stocks

Show or hide detail

Display different levels of detail

Display or hide detail data

Prevent access to detail


 Sort data in a PivotTable or PivotChart report

Sort data in a PivotTable or PivotChart report

In new PivotTable and PivotChart reports that are based on non-OLAP source data, Microsoft Excel automatically sorts field items in ascending order, according to their labels. If refreshing the report retrieves new items, however, the new items are placed at the end of the rows or columns for their fields.

In reports that are based on source data from OLAP databases, items are displayed in the order in which they are received from the OLAP server for both new and refreshed reports.

Excel uses the following order when sorting items in ascending order: numbers, text, logical values, error values such as #REF and #VALUE, and blank cells. When you sort in descending order, Excel sorts in the reverse order — except for blank cells, which are always sorted last. If you want a sorting sequence such as Jan, Feb, Mar, and so forth, you can use a custom sort order, and you can also define your own sorting sequence.

What do you want to do?

Sort PivotTable or PivotChart items by labels

Sort PivotTable or PivotChart items by values in the data area

Use a custom sort order in a PivotTable or PivotChart report


 Use PivotTable or PivotChart page fields

Use PivotTable or PivotChart page fields

You can use page fields to display data for one item separately from other items in a field or dimension. When you select an item in a page field, the data displayed for the entire PivotTable or PivotChart report changes.

What do you want to do?

Create a page field

Display a different page field item

Show summary data for all page field items

Display PivotTable page field pages on separate worksheets

Learn about page field settings


 About grouping and ungrouping data in PivotTable and PivotChart reports

About grouping and ungrouping data in PivotTable and PivotChart reports

Why group data? You can use grouping to view less detailed summaries — for example, to view by quarter instead of week or to view numeric items in groups of ten instead of as individual items. Grouping can eliminate clutter and give you a less granular view of your data. You can upgroup if you want to see the detail or if you want to use features that you can't use while the field is grouped.

Types of items you can group You can group dates, times, or numbers, and selected items in a PivotTable or PivotChart report. For example, you can group months to see data summarized by quarters. When you want to group selected items in a PivotChart report, you group them in its associated PivotTable report.

You cannot group data in PivotTable and PivotChart reports that are based on source data from OLAP databases. How to tell whether a PivotTable report is based on OLAP data.

Effects of grouping on associated PivotTable and PivotChart reports When you group and ungroup data, all PivotTable and PivotChart reports that are based on the same PivotTable report are affected. While items in a field are grouped, you cannot add calculated items to the field. When you group and ungroup data in a PivotTable report associated with a PivotChart report, some PivotChart report formatting may be lost.

More information

Group or ungroup selected items in a field

Group or ungroup numeric items in a field

Group or ungroup dates or times in a field

Group or ungroup items in a page field


 Group or ungroup data in a PivotTable or PivotChart report

Group or ungroup data in a PivotTable or PivotChart report

You cannot group data in PivotTable and PivotChart reports that are based on source data from OLAP databases. How to tell whether a PivotTable report is based on OLAP data.

What do you want to group or ungroup?

Selected items in a PivotTable or PivotChart field

Numeric items in a PivotTable or PivotChart field

Dates or times in a PivotTable or PivotChart field

Items in a PivotTable or PivotChart page field

Not sure which choice you want?


 About formatting a PivotTable report

About formatting a PivotTable report

Changing the format

Preserving formatting By default, if you change the format of a PivotTable report, most formatting is retained when you refresh the report or change its layout. To retain formatting, the Preserve formatting check box must be selected. To locate this option, click PivotTable on the PivotTable toolbar, and then click Table Options.

Your formatting is preserved when you use either PivotTable selection or regular selection. (In versions prior to Microsoft Excel 2000, formatting is preserved only if you use PivotTable selection.) How to select data in a PivotTable report.

Changing character and cell formatting You can change formats, such as font, background color, and alignment, for cells in a PivotTable report. Several PivotTable options affect how formats are applied and retained when you refresh the report or change its layout. You can set these options in the PivotTable Options dialog box (click PivotTable on the PivotTable toolbar, and then click Table Options; or click Options in step 3 of the PivotTable and PivotChart Wizard). How to change character and cell formatting.

Changing number formats Values in the data area of a PivotTable report aren't always displayed with the same number formats as the values in the source data. You can change the number formats to any Microsoft Excel format.

Displaying values for errors and empty cells Instead of displaying error values, such as #REF! or #NA!, and displaying blanks for empty cells, you can specify different values for these cells in a PivotTable report.

Using merged cells By default, the labels for items in outer row and column fields appear left justified at the top of the item group. You can specify merged cells for these items so that the item labels are centered horizontally and vertically within the merged cells.

Changing the layout

Adding blank rows between item groups For all row fields except the innermost row field, you can add a blank line after each item or its total row if you're displaying totals at the bottom of item groups for the field.

Displaying the PivotTable report indented or nonindented By default, new PivotTable reports that you create are displayed in nonindented format. To display a PivotTable report in a format similar to traditional banded or formatted database reports, you can change to indented format. Changing to indented format may also change the layout of the PivotTable report so that fields move from column to row orientation, and it also applies an autoformat to the report. Learn about the types of report formats.

To reorganize a PivotTable report to display fields in different locations, add or remove fields, or change how page fields are arranged above the other fields, you can change the PivotTable layout.


 Select data in a PivotTable report

Select data in a PivotTable report

PivotTable selection vs. regular selection

Regular Microsoft Excel selection Use regular Excel selection when you want the changes you make to formats or formulas to apply to the currently selected cells rather than the parts of the PivotTable report. To use regular Excel selection, click and drag through the middle of the cells so that the pointer does not change to a Down arrow or a Right arrow.

PivotTable selection Use PivotTable selection when you want the changes you make to formats or calculated item formulas to apply to the selected parts throughout the PivotTable report.

To use PivotTable selection, click the PivotTable report, click PivotTable on the PivotTable toolbar, point to Select, and make sure Enable Selection [image] is pressed in. When you select, first point to the tops of field buttons or the tops or left sides of item labels so that the pointer changes to a Down arrow or a Right arrow, and then click.

Using PivotTable selection

Entire PivotTable report To select an entire PivotTable report, click the report, click PivotTable on the PivotTable toolbar, point to Select, and then click Entire Table.

All items in a field To select all item labels for a field, point to the top edge of the field button until the pointer changes to a Down arrow, and then click. In the example below, you would point to the top of the Order Date button and then click once to select the Qtr2 and Qtr3 labels. By default, selecting a field button selects only the item labels. If you want to select the data along with the labels, click PivotTable on the PivotTable toolbar, point to Select, and then click Label and Data [image] after you select the labels.

By default, selecting an item selects both the labels and the associated data. To select only the labels and not the data, click Label [image] after you select the item; or click Data [image] to select only the data and not the labels.

All instances of an item To select all instances of an item, point to the top edge of a column field item until the pointer changes to a Down arrow, or point to the left edge of a row field item until the pointer changes to a Right arrow, and then click. For example, click the left edge of Dodsworth to select both rows for Dodsworth:

PivotTable report with all instances of an item selected

The Right arrow pointer beside Dodsworth in row 5 indicates the PivotTable selection.

One instance of an item To refine your selection to include only the current instance of an item, point to the top edge of a column field item until the pointer changes to a Down arrow, or point to the left edge of a row field item until the pointer changes to a Right arrow. Click once, and then click additional times to refine the selection, waiting between clicks so that you do not double-click. For example, if you click the left edge of the first instance of Dodsworth a second time, only the row for Dodsworth within the Meat item is selected.

If a PivotTable report has several row fields, click repeatedly until you refine the selection to include only the items you want. For example, to select a single instance of an item in the innermost of four row fields, you would need to click the left edge of the item four times.

Totals To select totals, point to the top edge of a total in a column field until the pointer changes to a Down arrow, or point to the left edge of a total in a row field until the pointer changes to a Right arrow. Click once to select all totals for the field, and then click again to select only the current total.

Multiple items To select multiple items, first click as many times as necessary to select one of the items you want. Then hold down SHIFT and click, or hold down CTRL and click to select additional items within the same field. Hold down CTRL and click to cancel the selection of an item.


Change a PivotTable report to indented or nonindented format

By default, when you create a new PivotTable report, the PivotTable and PivotChart Wizard creates the report in nonindented, or cross-tabulated, format.

What do you want to do?

Learn about PivotTable formats and layouts

Display a PivotTable report in indented format

Display PivotTable subtotals at the top or bottom of a subtotaled group of items

Return an indented-format PivotTable report to nonindented format


 About the PivotTable formats and layouts provided by the Format Report command

About the PivotTable formats and layouts provided by the Format Report command

The PivotTable and PivotChart Wizard initially formats all PivotTable reports with a nonindented layout. To change the layout and formatting, click Format Report [image] on the PivotTable toolbar. This command provides a list of autoformats that are designed for PivotTable reports. The autoformats available for other worksheet areas (Format menu, AutoFormat command) are not available for PivotTable reports.

Indented formats Use one of the autoformats labeled Report 1 through Report 10 when you want to display a PivotTable report in indented format, similar to a traditional banded or formatted database report.

Choosing one of these autoformats changes the report to indented format, changes the layout, and applies character and cell formats. All column fields in the PivotTable report are moved so that they become row fields. Column fields move to the left of existing row fields so that the column fields become outer row fields. Data fields move to the right of row fields, and if the name of a data field identifies the summary function for the field, the name changes so that the summary function name is omitted. For example, Sum of Sales becomes Sales.

If you have a PivotChart report that is associated with a PivotTable report, the layout changes you make to the PivotTable report affect the chart also.

Nonindented formats Choosing the PivotTable Classic format or any of the Table 1 through Table 10 formats changes the names of data fields so that the summary function name is omitted. These formats are intended for use with PivotTable reports that have column fields.

  • To use a nonindented format Use one of the Table 1 through Table 10 formats or the PivotTable Classic format.

  • To keep column fields Use the Table 1 through Table 10 formats to keep the column fields in a PivotTable report from becoming row fields.

  • To add blank lines Use the Table 1 through Table 5 and Table 7 formats to add a blank line after each item in the outermost row field, and to apply character and cell formats.

Switching from indented to nonindented format The Table 1 through Table 10 formats change the layout of an indented format PivotTable report by moving the leftmost row field so that it becomes a column field. The PivotTable Classic format does not change the layout.

Removing formats To remove all character and cell formats applied either manually or by using Format Report [image] , choose None. This format does not remove blank lines that have been added between items in the outermost row fields, does not change whether the PivotTable report is displayed in indented or nonindented format, and does not move any of the fields.

More information

Display a PivotTable report in indented format

Display PivotTable subtotals at the top or bottom of a subtotaled group

Return an indented-format PivotTable report to nonindented format

Format a PivotTable report


 Change how a PivotTable report displays errors and empty cells

Change how a PivotTable report displays errors and empty cells

  1. Click the PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.

  3. To change how errors are displayed, select the For error values, show check box under Format options. In the box, type the value you want to display instead of errors.

    To display blank cells for error values, select the For error values, show check box, and delete any characters in the box.

    To change how empty cells are displayed, select the For empty cells, show check box. In the box, type the value you want to display in empty cells.

    To display empty cells as blank cells, select the For empty cells, show check box, and delete any characters in the box

    To display empty cells as zeros, clear the For empty cells, show check box.

Note By default, a PivotTable report does not display items in a field that have no associated data. To show these items, click the field, click Field Settings [image] on the PivotTable toolbar, and then select the Show items with no data check box.


 Display PivotTable subtotals at the top or bottom of a subtotaled group

Display PivotTable subtotals at the top or bottom of a subtotaled group

To change where the subtotals are displayed, the field or PivotTable report must be displayed in indented format and you must display subtotals for the field.

  1. Double-click the row field for which you want to change the display of the subtotals.

    You can change the display of subtotals only for outer row fields, not for the innermost (rightmost) row field.

  2. Click Layout.

  3. Under Display Options, click Show items in outline form, and then select or clear the Display subtotals at top of group check box.

  4. Click OK twice.


 Rename a PivotTable field or item

Rename a PivotTable field or item

  1. Click the field or item you want to rename.

  2. Type a new name.

  3. Press ENTER.

Notes

  • Renaming doesn't persist for OLAP source data In PivotTable reports that are based on source data from OLAP databases, when you rename fields or items and then redisplay them or add them back into the report after removing them from view, the renamed fields and items return to the original names they were assigned in the OLAP database. For example, if you rename Region to be Area, then display the higher level Country, and then return to the lower level, the field will again be named Region.

  • Renaming doesn't change the source data When you rename PivotTable fields and items, the source data is not affected.

  • Renaming numeric items changes them to text When you rename a numeric item, Microsoft Excel formats the item as text. Excel sorts text values separately from numeric values. Even if you restore the original name, the item remains formatted as text and cannot be sorted or grouped as a numeric item.


 Use merged or regular cells for outer row and column labels in a PivotTable report

Use merged or regular cells for outer row and column labels in a PivotTable report

Item labels in regular cells are left-aligned in the upper cell, and item labels in merged cells are centered horizontally and vertically. These positions can change if you subsequently change the formatting.

  1. Click the PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.

  3. Do one of the following:

    To use merged cells, select the Merge labels check box.

    To use regular cells, clear the Merge labels check box.


 How Microsoft Excel calculates PivotTable and PivotChart data

How Microsoft Excel calculates PivotTable and PivotChart data

This topic contains information about how Excel calculates:

Values in the data area

Reports that are based on data from sources other than OLAP databases

Reports that are based on OLAP data

Values in the data area

The values in the data area summarize the underlying data in a PivotTable report or a PivotChart report.

PivotTable report example A PivotTable report could have a column field button labeled Month and display the items March, April, and May as columns. A row field button labeled Region could display the field items North, South, East, and West as rows, and a data field labeled Sum of Revenue could display summarized data. The value at the intersection of the May column and the North row would be the total revenue from the records in the underlying data from the field items May and North.

PivotChart report example In a PivotChart report, the Month field might be a category field that shows March, April, and May as categories. The Region field could be a series field that shows the items North, South, East, and West as series represented in the legend. A data field called Sum of Revenue could contain data markers that represent the total revenue in each region for each month. For example, one data marker would mark, by its position on the value axis, the total revenue for May in the North region.

Values and calculations of values in a PivotChart report reflect those in the associated PivotTable report, and vice versa. Therefore, changes you make to one report are displayed in the other report.

Differences that depend on the source data Calculations and options available in a report depend on whether the source data came from an OLAP database or another type of database. How to tell whether a PivotTable or PivotChart report is based on OLAP data.

Return to top

Reports that are based on data from sources other than OLAP databases

Changing summary functions A report uses a summary function to summarize the values in the data area. Microsoft Excel uses the Sum function to calculate data fields that contain numeric data, and it uses the Count function to calculate cells that contain text. You can choose a different summary function — such as Average, Max, or Min — to further analyze and customize your data. See a complete list of the available summary functions.

Using custom calculations You can also use a custom calculation that calculates values that are based on other items or cells in the data area; for example, you could display values as a percentage of a specific row in the PivotTable report, or as a percentage of a specific category in a PivotChart report. How to use custom calculations in a PivotTable or PivotChart report.

Adding your own formulas If you want to create your own formulas that use elements of the report or other worksheet data, you can create a calculated field or a calculated item within a field. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report. How to create calculated fields or create calculated items. Learn about formulas in PivotChart reports.

Return to top

Reports that are based on OLAP data

Summary values are precalculated For reports that are created from OLAP data cubes, the summarized values are precalculated on the server that stores the data before Excel displays the results. Therefore, you cannot change how these values are calculated from within the report. You cannot change the summary function that is used to calculate data fields or subtotals, or add calculated fields or calculated items to OLAP-based reports.

Custom calculations are based on precalculated values You can use a custom calculation to calculate values, such as percentages, that are based on other items or cells in the data area. The custom calculation is performed by Excel but is based on the summary values that are precalculated on the server. For example, if your OLAP data provides a field that calculates a sum of sales, you could use an Excel custom calculation to calculate the percentage of each sum based on the sums in a specific row in the PivotTable report. The custom calculation would base the percentage on the sum values provided by the OLAP server, not on the individual values that make up the sum. How to use custom calculations in a PivotTable or PivotChart report.

How to obtain other types of calculations If you need other summaries or calculations in reports that are based on OLAP data, contact your OLAP database administrator about adding these calculations to the cube on the server. For cubes created from within Microsoft Query, you can use the OLAP Cube Wizard to add more data field calculations to your cube. Learn about creating an OLAP cube for queried data.

Return to top


 Use totals and subtotals in a PivotTable report

Use totals and subtotals in a PivotTable report

In PivotTable reports that are based on OLAP source data, the OLAP server provides subtotal and total values. You can show or hide grand totals and insert automatic totals if they are available from your source data, but you cannot insert custom subtotals or change the summary function for a total. How to tell whether a PivotTable report is based on OLAP data.

What do you want to do?

Show or hide grand totals in a PivotTable report

Add or remove subtotals in a PivotTable report

Change the summary function used to calculate PivotTable subtotals

Display PivotTable subtotals at the top or bottom of a subtotaled group

Learn about how totals are calculated


 How totals are calculated in PivotTable reports

How totals are calculated in PivotTable reports

Totals for OLAP source data

In PivotTable reports that are created from OLAP source data, the OLAP server calculates the subtotals and totals. These totals include all items that the OLAP database administrator defined to be present in a field, including items that are currently hidden in the PivotTable report. How to tell whether a PivotTable report is based on OLAP data.

Totals for data from sources other than OLAP databases

Row and column fields In PivotTable reports that are based on non-OLAP source data, Microsoft Excel calculates totals and subtotals for row fields and column fields, including only the visible items. When you show or hide different row or column field items, Excel recalculates the totals and subtotals.

Page fields For page fields, Excel calculates totals and subtotals for the item that is currently displayed. When you display a different item, Excel calculates and displays different totals and subtotals.

All item in page fields By default, for the All item, Excel calculates totals and subtotals that include only the visible items. When you show or hide different page field items, Excel calculates and displays different totals and subtotals. If you want subtotals and totals for page fields to include hidden items, you can set the Subtotal hidden page items option.

More information

Display or hide items in a PivotTable field

Display the top or bottom items for a PivotTable field

Change the page field item displayed in a PivotTable report

How Microsoft Excel calculates PivotTable data


 About summarizing and calculating PivotTable or PivotChart data

About summarizing and calculating PivotTable or PivotChart data

OLAP source data

OLAP summaries are calculated on the server and then displayed in the PivotTable or PivotChart report. As a result, several types of calculations aren't available. You cannot change or use multiple summary functions or create calculated fields and items in reports that are based on OLAP source data. However, you can use custom calculations if you want Microsoft Excel to perform further calculations based on the precalculated values from your OLAP server.

How to tell whether a PivotTable or PivotChart report is based on OLAP data

Information about the available custom calculations

Use a custom calculation for a PivotTable or PivotChart data field

For information about calculations available for your source data, contact your OLAP database administrator.

Data from sources other than OLAP databases

You can customize data fields in reports that are based on non-OLAP source data by using a type of calculation other than or in addition to the default summary function that Excel uses. When you need more sophisticated calculations than the summary functions provide, you can create your own formulas.

Basic calculations To perform basic calculations — for example, sum, average, minimum, and maximum — use a summary function.

Information about the available summary functions

Change the summary function for a PivotTable or PivotChart data field

Use more than one summary function for a PivotTable or PivotChart data field

Custom calculations To compare or index two fields or show a percentage, use a custom calculation.

Information about the available custom calculations

Use a custom calculation for a PivotTable or PivotChart data field

Custom formulas To create your own formula that uses PivotTable or PivotChart data, use a calculated field or a calculated item in a field.

Syntax for writing PivotTable or PivotChart formulas

Create a calculated PivotTable or PivotChart field

Create a calculated PivotTable or PivotChart item


 Summarize and calculate data in a PivotTable or PivotChart report

Summarize and calculate data in a PivotTable or PivotChart report

Features unavailable for OLAP data You can change or use multiple summary functions and create calculated fields and items only for reports that are based on non-OLAP source data. For reports that are based on OLAP data, these features are not available. For information about calculations available for your source data, contact your OLAP database administrator. How to tell whether a PivotTable or PivotChart report is based on OLAP data.

Formulas in PivotChart reports You can create formulas in PivotChart reports in the same way that you do in PivotTable reports. When you create a formula in a PivotChart report, the formula and its results are reflected in the associated PivotTable report, and vice versa. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report. Learn more about formulas in PivotChart reports.

What do you want to do?

Change the summary function for a PivotTable or PivotChart data field

Use more than one summary function for a PivotTable or PivotChart data field

Use a custom calculation for a PivotTable or PivotChart data field

Create a calculated PivotTable or PivotChart field

Create a calculated PivotTable or PivotChart item

Not sure which choice you want?


 Summary functions for data analysis

Summary functions for data analysis

Summary functions are used in automatic subtotals, data consolidations, and PivotTable and PivotChart reports. In PivotTable and PivotChart reports, the following summary functions are available for those that are based on non-OLAP source data. For reports that are based on OLAP data, the available summary functions depend on how the cube was defined on the server. For information about summary fields available for your source data, contact your OLAP database administrator.

Function | Summarizes
Sum | The sum of the values. This is the default function for numeric source data.
Count | The number of items. The Count summary function works the same as the COUNTA worksheet function. Count is the default function for source data other than numbers.
Average | The average of the values.
Max | The largest value.
Min | The smallest value.
Product | The product of the values.
Count Nums | The number of rows that contain numeric data. The Count Nums summary function works the same as the COUNT worksheet function.
StdDev | An estimate of the standard deviation of a population, where the sample is all of the data to be summarized.
StdDevp | The standard deviation of a population, where the population is all of the data to be summarized.
Var | An estimate of the variance of a population, where the sample is all of the data to be summarized.
Varp | The variance of a population, where the population is all of the data to be summarized.


 Custom calculations for PivotTable and PivotChart data fields

Custom calculations for PivotTable and PivotChart data fields

The following functions are available for custom calculations in data fields. If you want to create a formula to work with PivotTable or PivotChart data, you can create a calculated field or a calculated item. For information about creating calculated fields, click [image] . For information about creating calculated items, click [image] .

Function | Result
Difference From | Displays all the data in the data area as the difference from the value for the specified Base field and Base item. The base field and base item provide the data used in the custom calculation.
% Of | Displays all the data in the data area as a percentage of the value for the specified Base field and Base item. The base field and base item provide the data used in the custom calculation.
% Difference From | Displays all the data in the data area as the difference from the value for the specified Base field and Base item, but displays the difference as a percentage of the base data. The base field and base item provide the data used in the custom calculation.
Running Total In | Displays the data for successive items as a running total. You must select the field for which you want to show the items in a running total.
% of row | In a PivotTable report, displays the data in each row as a percentage of the total for each row. In a PivotChart report, displays the data as a percentage of the total for the category.
% of column | In a PivotTable report, displays all the data in each column as a percentage of the total for each column. In a PivotChart report, displays the data as a percentage of the total for the series.
% of total | In a PivotTable report, displays the data in the data area as a percentage of the grand total of all the data in the report. In a PivotChart report, displays the data as a percentage of the total of all data points.
Index | Displays the data by using the following calculation: ((value in cell) x (Grand Total of Grand Totals)) / ((Grand Row Total) x (Grand Column Total))


 Syntax for calculated field and item formulas in PivotTable and PivotChart reports

Syntax for calculated field and item formulas in PivotTable and PivotChart reports

Availability of formulas Formulas are available only for reports that are based on non-OLAP source data. For information about calculations available for OLAP source data, contact your OLAP database administrator.

Formulas are available in PivotChart reports and use the same syntax as those in PivotTable reports. When you create a formula in a PivotChart report, the formula and its results are reflected in the associated PivotTable report, and vice versa. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report. Learn more about formulas in PivotChart reports.

Formula elements In formulas you create for calculated fields and calculated items, you can use operators and expressions as you do in other worksheet formulas. You can use constants and refer to data from the report, but you cannot use cell references or defined names. You cannot use worksheet functions that require cell references or defined names as parameters, and you cannot use array functions.

Names in reports

Name syntax Microsoft Excel assigns names to the elements of a report so that you can refer to data from the report in your formulas. The names are composed of the field and item names. In the following example, the data in range D3:D11 is named Qtr3.

PivotTable report showing field and item names

In a PivotChart report, the field names are displayed in the field buttons, and item names can be seen in each field drop-down list box. Don't confuse these names with those you see in chart tips, which reflect series and point names instead.

Example A calculated field named Forecast could forecast future orders with a formula such as the following:

='Order Amount' * 1.2

A calculated item in the Product field that estimates sales for a new product based on Seafood sales could use a formula such as the following:

=Seafood * 115%

Formulas operate on sum totals, not on individual records Formulas for calculated fields operate on the sum of the underlying data for any fields in the formula. For example, the formula 'Order Amount' * 1.2 multiplies the sum of the order amounts for each product and salesperson by 1.2; it does not multiply each individual order by 1.2 and then sum the multiplied amounts. Formulas for calculated items, however, operate on the individual records; the calculated item formula Seafood *115% multiplies each individual order for Seafood times 115%, after which the multiplied amounts are summarized together in the data area.

More information

Rules to follow when using PivotTable or PivotChart names in formulas, such as when to use quotation marks

Using operators in formulas


Use PivotTable data in a formula outside the PivotTable report

  • To work with data from a PivotTable report in a formula elsewhere in the workbook, use the GETPIVOTDATA worksheet function in the formula. For information about how to use this function, click [image] .

Note For information about how to use functions in formulas, click [image] .


 Change the formula for a calculated field in a PivotTable or PivotChart report

Change the formula for a calculated field in a PivotTable or PivotChart report

  1. Click a cell in the PivotTable report, or click the PivotChart report.

  2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Field.

  3. In the Name box, click the calculated field for which you want to change the formula.

  4. In the Formula box, edit the formula.

    To use the data from a field in the formula, click the field in the Fields box, and then click Insert Field.

  5. Click Modify.

Notes

  • For information about writing formulas for calculated fields, click [image] .

  • When you create a formula in a PivotChart report, the formula and its results are reflected in the associated PivotTable report, and vice versa. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report. Learn more about formulas in PivotChart reports.


 Change the formula for a calculated item in a PivotTable or PivotChart report

Change the formula for a calculated item in a PivotTable or PivotChart report

  1. Select the field that contains the calculated item you want to change.

  2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Item.

  3. In the Name box, click the calculated item for which you want to change the formula.

  4. In the Formula box, edit the formula.

    To use the data from a item in the formula, click the field in the Fields list, click the item in the Items box, and then click Insert Item.

    You can include only items from the same field in which you are creating the calculated item.

  5. Click Modify, and then click OK.

Notes

  • You can also change calculated item formulas on a cell-by-cell basis in a PivotTable report. For information, click [image] .

  • For information about writing calculated item formulas, click [image] .

  • When you create a formula in a PivotChart report, the formula and its results are reflected in the associated PivotTable report, and vice versa. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report. Learn more about formulas in PivotChart reports.


 Change the order of calculation for calculated items in a PivotTable or PivotChart report

Change the order of calculation for calculated items in a PivotTable or PivotChart report

Use this procedure to determine which items to calculate first when you have calculated items for different fields or multiple formulas for the same calculated item. For example, if the result of a calculated item in an outer row field in a PivotTable report is dependent on a calculated item in an inner row field, you would want to make sure the calculated item in the inner row field is calculated before the calculated item in the outer row field.

  1. Click a cell in the PivotTable report, or click the PivotChart report.

  2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Solve Order.

  3. Click a formula, and then click Move Up or Move Down.

  4. Continue until the formulas are in the order that you want them to be calculated.

Note To delete a formula for a calculated item, click Delete in the Calculated Item Solve Order dialog box.


 Delete a calculated field in a PivotTable or PivotChart report

Delete a calculated field in a PivotTable or PivotChart report

Caution When you delete a calculated field, you remove the formula for the field permanently from the report. To preserve the information before you delete the field, you can display and print a list of the formulas in the report. For more information, click [image] .

  1. Click a cell in the PivotTable report, or click the PivotChart report.

  2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Field.

  3. In the Name box, click the field you want to delete.

  4. Click Delete.

Note To remove a calculated field from the report but keep it available for later use, drag the data fields out of the report, and then drag the data fields you want to keep back to the data area from the field list on the PivotTable toolbar. The calculated field remains available on the PivotTable toolbar.


 Delete a calculated item in a PivotTable or PivotChart report

Delete a calculated item in a PivotTable or PivotChart report

Caution When you delete a calculated item, you remove the formula for the item permanently from the PivotTable report. To preserve the information before you delete a calculated item, you can display and print a list of the formulas in the report. For more information, click [image] .

  1. Click the field that contains the calculated item.

  2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Item.

  3. In the Name box, click the item you want to delete.

  4. Click Delete.

Note To remove a calculated item from view without deleting it, hide the calculated item.


 Create different formulas for different cells of a calculated item in a PivotTable report

Create different formulas for different cells of a calculated item in a PivotTable report

When you first create a calculated item, the formula is the same across or down all other row, page, and column fields in the data area of the PivotTable report. You can customize the formula on a cell-by-cell or item-by-item basis. For example, if a calculated item named Strawberries has a formula of Oranges * .25 across all months, you can change the formula to Oranges *.5 for June, July, and August.

  1. In the row or column for the calculated item, click a cell for which you want to change the formula.

    To change the formula for several cells, hold down CTRL and click the additional cells or items you want.

  2. In the formula bar, type the changes to the formula.

Tips

  • When you create multiple formulas for a calculated item, the last formula calculated determines the contents of the cells in the data area. For information about changing the order in which the formulas are calculated, click [image] .

  • You can display a list of all the formulas in a PivotTable report. For more information, click [image] .

  • For information about writing calculated item formulas, click [image] .


 Display a list of the formulas in a PivotTable or PivotChart report

Display a list of the formulas in a PivotTable or PivotChart report

  1. Click a cell in the PivotTable report, or click the PivotChart report.

  2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click List Formulas.

Note The worksheet that lists the calculated field and calculated item formulas is for viewing only. You cannot make changes to the actual formulas on this worksheet. For information about changing formulas for calculated fields, click [image] . For information about changing formulas for calculated items, click [image] .


 How to tell whether a PivotTable or PivotChart report is based on OLAP data

How to tell whether a PivotTable or PivotChart report is based on OLAP data

PivotTable reports that are based on OLAP data have fields that can be used only as row, column, or page fields. PivotChart reports that are based on OLAP data can use these fields only as series, category, or page fields. The names of these fields are identified by Dimension field icon at the beginning of the row of fields on the PivotTable toolbar. Fields that can be used only as data fields are identified by Data field icon. PivotTable and PivotChart reports that are based on OLAP source data have different features available from PivotTable and PivotChart reports that are based on other types of data.

  1. Click the PivotTable or PivotChart report.

  2. Make sure the PivotTable toolbar is undocked.

  3. On the PivotTable toolbar, make sure Display Fields [image] is pressed in.

  4. In the field list on the toolbar, look for Dimension field icon or Data field icon at the beginnings of the rows of fields. If these icons are present, the PivotTable or PivotChart report is based on OLAP source data. If the icons are absent, the report is based on non-OLAP source data.


 About creating a PivotTable or PivotChart report from an external data source

About creating a PivotTable or PivotChart report from an external data source

When you want to summarize and analyze detailed data that exists outside Microsoft Excel, such as your company's sales records in a database, you can use a PivotTable or PivotChart report to view the data. There are several ways you can retrieve data from an external data source, such as a database, a text file, or a source other than a Microsoft Excel workbook, including sources on the Internet.

Working with OLAP source data When you retrieve source data from an OLAP database or cube file, the data can be returned to Excel only as a PivotTable report. You can then create PivotChart reports from this PivotTable report. Learn about creating PivotTable reports from OLAP source data.

Using the PivotTable and PivotChart Wizard You can usually specify the data you want and retrieve the data from within the wizard. By using the wizard, you can open query files and also create new queries by using either the Query Wizard or Microsoft Query.

In the following situations, you cannot retrieve the external data from within the PivotTable and PivotChart Wizard:

  • Report templates and query files If you want to use a query (.dqy) file to retrieve the data, or you want to use a report template (.xlt) that does not already include a PivotTable report, you must open the query file or template first. In the workbook where you opened the query file or that is based on the template, you can then create a PivotTable report that is based on the worksheet range that contains the external data. How to create a report template or query file.

  • Parameter queries To use a parameter query to retrieve the data, you must create the parameter query first and then create a PivotTable report that is based on the worksheet range that contains the external data. You cannot create a parameter query to retrieve source data from OLAP databases.

  • Web queries To use a Web query to retrieve data over the Internet, you must create the Web query first and then create a PivotTable report that is based on the worksheet range that contains the external data.

More information

Types of external databases you can access

Create a PivotTable report

Create a PivotChart report


 About creating a PivotTable or PivotChart report from OLAP data

About creating a PivotTable or PivotChart report from OLAP data

What is OLAP?

On-Line Analytical Processing (OLAP) is a way to organize large business databases. OLAP data is organized by your database administrator to fit the way you analyze and manage data so that it takes less time and effort to create the reports you need.

Levels of detail OLAP databases organize data by level of detail, using the same kinds of categories that you use when you analyze the data. For example, a database of worldwide sales information for a company's products might have separate fields identifying the country, region, city, and site of each sale. In an OLAP database, this geographical information could be organized from lowest to highest level of detail, like this:

Levels in geography dimension

Levels in the geography dimension

This organization makes it easy for Excel to display high-level sales summaries, such as sales totals across an entire country or region, and to display the details for sites where sales are particularly strong or weak. In a PivotTable or PivotChart report, you can display summarized data at different levels and, when you view the more-detailed levels, display only the items of interest.

Dimensions and cubes A set of levels that encompasses one aspect of the data, such as geographic areas, is called a dimension. Similarly, information about when sales were made could be organized in a time dimension with levels for year, quarter, month, and day. OLAP databases are called cubes because they combine several dimensions, such as time, geography, and products, with summarized data, such as sales or inventory figures.

Other benefits of OLAP OLAP databases are designed to speed up the retrieval of data. Because the OLAP server, rather than Excel, computes the summarized values, less data needs to be sent to Excel when you create or change a PivotTable or PivotChart report. This approach lets you work with much larger amounts of source data than you could if the data were organized in a non-OLAP database, where Excel must retrieve all the individual records and then calculate the summarized values.

OLAP features of Excel

Retrieving OLAP data You can connect to OLAP data sources just as you do to other external data sources. You can work with databases created with the Microsoft SQL Server OLAP Services, the Microsoft OLAP server product. Excel can work with other third-party OLAP products that provide data source drivers that are compatible with OLE-DB for OLAP.

Excel can display data that you retrieve from an OLAP data source only as a PivotTable or PivotChart report. You cannot display OLAP data as an external data range. You can save OLAP PivotTable and PivotChart reports in report templates, and you can create query files for OLAP queries. OLAP query files have .oqy extensions. When you open an .oqy file, Excel displays a blank PivotTable report, ready for you to lay out.

For information about setting up OLAP data sources and creating .oqy files, see Microsoft Query Help.

Creating cubes from relational databases Excel provides the OLAP Cube Wizard to help you organize data from relational databases, such as Microsoft SQL Server, in OLAP cubes. Making a cube from a relational database query lets you work with larger amounts of data in a PivotTable or PivotChart report than you could otherwise, and speeds retrieval of the data. Learn about creating an OLAP cube from queried data.

Creating cube files for offline use You can also use the Offline Cube Wizard to create files with a subset of the data from an OLAP cube. Offline cube files let you work with OLAP data when you are not connected to your network. You can use these files to make OLAP data available on a network or the Web when you don't want to give other users full access to the original database.

You can create cube files only if you use an OLAP provider, such as Microsoft SQL Server OLAP Services, that supports creating cube files. Learn about creating a cube file.

More information

Types of external databases you can access

About retrieving external data with Microsoft Query

About OLAP data sources for PivotTable and PivotChart reports

Differences between OLAP-based and non-OLAP-based PivotTable and PivotChart reports

Create a PivotTable report

Create a PivotChart report


 About working with large external databases by using page fields in PivotTable and PivotChart reports

About working with large external databases by using page fields in PivotTable and PivotChart reports

The page field features described in this topic are not available for PivotTable and PivotChart reports that are based on OLAP source data. Learn about how OLAP databases optimize data retrieval.

When you work with large non-OLAP databases, the queries you run may take a long time to return data, or Microsoft Excel may run out of memory or other resources needed to create the reports.

How page fields let you work with more data To avoid long waits or memory problems, you can use page fields to limit the amount of data retrieved at any one time. By clicking the Layout button in step 3 of the PivotTable and PivotChart Wizard, double-clicking a field in the PAGE area, and clicking the Advanced button, you can set an option to retrieve data only for the page field item currently displayed. When you display a different page field item, the subset of the data for the new item is then retrieved.

You set this option for each page field individually. You can set up as many page fields this way as you need to accommodate the amount of data you want to analyze in the PivotTable or PivotChart report.

How page field settings affect performance Use the setting to retrieve data for each item only when you want to retrieve larger amounts of data than your system resources can handle. When a page field is set to query for each item as you select it, the All item is not available for the page field, and the Show Pages command is unavailable. If instead you retrieve the external data for all page field items at one time (the default), the initial retrieval may be slower, but displaying different page field items will be faster because all the data you need is now in memory.

If your computer becomes disconnected from the external data source when you have a page field set to retrieve data for each item, you won't be able to display a different page field item until you can reconnect to the source data.

Moving page fields When you drag a page field that is set to query for external data for each item to another position in the pivot area, data for all items is then retrieved all at once. If you move the field back to the page area, it will again retrieve data for each item individually.

Situations where the page field settings are unavailable Under the following conditions, you cannot change the page field settings, and the external data for all page field items must be retrieved in one operation.

  • Multiple PivotTable or PivotChart reports that are based on a PivotTable report If you have other PivotTable or PivotChart reports that are based on a PivotTable report, the page field options are unavailable in the original PivotTable report and all of the PivotTable or PivotChart reports that are based on the original. For a single PivotChart report and its associated PivotTable report, however, the page field settings are available.

  • Drivers that don't support parameter queries If the ODBC driver or data source driver for the external database you're querying does not support parameter queries, the page field options are unavailable.

    OLAP data source drivers do not support parameter queries. The ODBC drivers that Microsoft supplies with Microsoft Query all support parameter queries. To find out whether a third-party driver supports parameter queries, contact your driver vendor.

  • Grouped items in a page field If a page field is grouped, or if the field in the source data is a memo field or contains OLE objects, the page field options are unavailable. How to ungroup page field items.


 Retrieve PivotTable or PivotChart page field data for each item or for all items

Retrieve PivotTable or PivotChart page field data for each item or for all items

This procedure can be used only for PivotTable and PivotChart reports that are based on external non-OLAP source data.

  1. Double-click the field button for the page field that you want to change.

  2. Click Advanced.

  3. Do one of the following:

    To retrieve the data for one page field item at a time so that you can work with large external data sets, click Query external data source as you select each page field item under Page field options.

    To retrieve the external data for all items at once so that the PivotTable or PivotChart report is refreshed less frequently and displaying different page field items is faster, select Retrieve external data for all page field items.

  4. To lock a field that's been set to retrieve data for one item at a time in the page position so that it cannot be dragged to another part of the PivotTable or PivotChart report, select the Disable pivoting of this field check box.

Notes

  • If you become disconnected from the external data source when you have a page field set to retrieve data for each item, you won't be able to display a different page field item until you can reconnect to the source data.

  • Learn about how the page field settings work, including when to use each option and situations in which the options become unavailable.


 Change the query for a PivotTable or PivotChart report

Change the query for a PivotTable or PivotChart report

This procedure is available only for PivotTable and PivotChart reports that are based on external non-OLAP source data. How to tell whether a PivotTable report is based on OLAP data.

  1. Click the PivotTable report. For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable Wizard [image] .

  3. In step 3 of the wizard, click Back.

  4. In step 2 of the wizard, click Get Data.

  5. In Microsoft Query, make changes to the query.

    How?

  6. On the Query File menu, click Return data to Microsoft Excel.

  7. In step 2 of the PivotTable and PivotChart Wizard, click Finish.

    New fields retrieved by the changed query appear in the field list on the PivotTable toolbar, so you can add the fields to the PivotTable or PivotChart report. Fields that were used in the report and are no longer retrieved by the modified query are automatically removed from the report.

Notes

  • Learn about using an external data source to create a PivotTable or PivotChart report.

  • When you change the query for a PivotChart report or the PivotTable report associated with a PivotChart report, some chart formatting may be lost.


 Run the query for a PivotTable or PivotChart report in the background or while you wait

Run the query for a PivotTable or PivotChart report in the background or while you wait

This procedure can be used only for PivotTable and PivotChart reports that are based on external non-OLAP source data.

  1. Click the PivotTable or PivotChart report.

  2. On the PivotTable toolbar, click PivotTable (or PivotChart), and then click Table Options (or Options).

  3. Do one of the following:

    To run the query and wait until retrieval of the external data is complete, clear the Background query check box under External data options.

    To run the query in the background so that you can continue working in Microsoft Excel, select the Background query check box.

Notes

  • Running the query The query for a PivotTable or PivotChart report that is based on external data runs when you click Finish in the PivotTable and PivotChart Wizard to create a new PivotTable or PivotChart report, or when you click Refresh Data [image] on the PivotTable toolbar. You can also set options to run the query when you open the workbook or at timed intervals.

  • Stopping a query To check the progress or stop a query that's running while you're waiting, press ESC. To stop a query that's running in the background, double-click the refresh indicator icon on the status bar to display the External Data Refresh Status dialog box, and then click Stop Refresh.

  • Recording macros that include queries While you are recording a macro that includes a query, Microsoft Excel can run the query only while you wait, not in the background. To change the recorded macro so that it runs in the background, edit the macro in the Visual Basic Editor and change the statement "BackgroundQuery := False" to "BackgroundQuery := True". For information about editing macros, see Visual Basic Help.


 About refreshing data in a PivotTable or PivotChart report

About refreshing data in a PivotTable or PivotChart report

When PivotTable or PivotChart reports that are based on Microsoft Excel source data are refreshed, Excel retrieves any new fields in the source range or named range that you specified when you created the PivotTable or PivotChart report.

When reports that are based on external source data are refreshed, Excel retrieves new rows or records in the external file or database that match the criteria specified in your query.

How to refresh PivotTable and PivotChart reports to reflect changes in the source data.

You can also change a PivotTable or PivotChart report to use different source data.

Updating when source data is from an OLAP database If PivotTable and PivotChart reports are based on source data from OLAP databases, Excel refreshes the reports automatically whenever you change what's displayed in them. If your source data is from an offline cube file, Refresh Data [image] connects Excel to the original OLAP database, rewrites the data in the cube file, and refreshes the data displayed in the report. How to refresh cubes and cube files.

Retrieving external data while you do other work If PivotTable and PivotChart reports are based on external non-OLAP source data, you can retrieve data in the background while you to continue to work in Excel, or you can run the query and wait while Excel retrieves the data. How to run a query while you want or in the background.

Retrieving data for one or all page field items If PivotTable and PivotChart reports are based on non-OLAP external source data, you can determine how you want Excel to retrieve data for page fields. You can have Excel query the external data source as you select each page field item for display, which requires less memory. Or you can have Excel retrieve data for all page field items at the same time, which lets you change page field items faster. How to set page field options. Learn about page field settings.

Effects of refreshing on PivotChart formatting When you refresh a PivotChart or the PivotTable report that is associated with a PivotChart report, some chart formatting may be lost.

Refreshing when you open a workbook By default, Excel does not refresh the data in a PivotTable or PivotChart report when you open the workbook that contains the report. If you want, you can refresh PivotTable and PivotChart reports automatically when you open the workbook.


 Refresh a PivotTable or PivotChart report

Refresh a PivotTable or PivotChart report

Microsoft Excel provides several ways to control when and how the data that makes up a PivotTable or PivotChart report is refreshed. You can also change a PivotTable or PivotChart report to use different source data.

What do you want to do?

Refresh data in a PivotTable or PivotChart report to reflect changes in the source data

Refresh a PivotTable or PivotChart report that is based on an offline cube file or other OLAP data

Run the query for a PivotTable or PivotChart report in the background or while you wait

Retrieve page field data for each item separately or for all items at once

Refresh PivotTable or PivotChart data when the workbook file is opened

Not sure which choice you want?


Prepare a PivotTable report for printing

What do you want to do?

Print a PivotTable report with row and column labels repeated on each page

Print a PivotTable report with outer row field items repeated on each page

Print the sections of a PivotTable report on separate pages

Learn about other Microsoft Excel print settings

Not sure which choice you want?


Troubleshoot PivotTable reports

What do you need help with?

This topic provides links to topics in the following areas:

Creating a PivotTable report

Laying out a PivotTable report

Formatting and customizing a PivotTable report

Retrieving and refreshing data

Calculations

Creating a PivotTable report

A message tells me that Microsoft Excel has insufficient memory to create the PivotTable report.

The PivotTable report I want to use to create another report doesn't appear in the wizard list.

A PivotTable list from a Web page did not paste or import correctly.

Problems creating or using an OLAP cube data source for a PivotTable report.

Return to top

Laying out a PivotTable report

When I drag a field onto my PivotTable report, the data takes a long time to appear.

Changes to the layout or view of a PivotTable report take a long time.

I can't drag a PivotTable field to a new position.

When I drag PivotTable data fields onto the worksheet, I can't get them in the order I want.

The list of fields for the PivotTable report is missing.

When I dock the PivotTable toolbar, I can't display the field list.

The arrow is missing from a row or column field in a PivotTable report.

Return to top

Formatting and customizing a PivotTable report

Formatting is lost when my PivotTable report is refreshed or when I change its layout.

An AutoFormat changed how my PivotTable report is organized.

Number formatting is not shown for the formatted data in the PivotTable report.

Numeric PivotTable items aren't sorted or formatted correctly after renaming.

Features I expect in a PivotTable report are missing.

Return to top

Retrieving and refreshing data

A message tells me the PivotTable report is not valid.

I can't change my worksheet while a PivotTable query is running.

Data is missing from a PivotTable report after I refresh the report.

My PivotTable report looks completely different after I refresh it, or it can't be refreshed any more.

The page field options are unavailable.

Return to top

Calculations

A data field is using Count instead of Sum, or Sum instead of Count, as the summary function.

My calculated field or item isn't calculating as I expected.

I can't change the summary function for a calculated field.

Why do totals in my PivotTable report have asterisks next to them?

Return to top


About ways to project future values and perform regression analysis

Fill in values for a linear best-fit trend In a linear series, Microsoft Excel increases or decreases values by a constant value that is based on the difference between the selected starting values.

Initial selection | Extended linear series
1, 2 | 3, 4, 5
1, 3 | 5, 7, 9
100, 95 | 90, 85

Fill in values for an exponential growth trend In a growth series, Excel multiplies values by a constant value.

Initial selection | Extended growth series
1, 2 | 4, 8, 16
1, 3 | 9, 27, 81
2, 3 | 4.5, 6.75, 10.125

Fill in values by using the Series command When you use the Series command, you can manually control how a linear or growth trend is created and use the keyboard to fill in values.

Project values by using the FORECAST function The FORECAST function predicts future values based on a linear regression of a range of known data or known x-arrays and y-arrays. For example, given corporate earnings for each of the previous six quarters, the FORECAST function returns earnings expected for the next two quarters.

Project values by using the TREND or GROWTH functions The similar TREND function and GROWTH function can extrapolate future y-values that extend a straight line or exponential curve that best describes the existing data. They can also return only the y-values based on known x-values for the best-fit line or curve. To plot a line or curve that describes existing data, use the existing x-values and y-values returned by the TREND or GROWTH function.

Calculate a straight line or exponential curve from existing data by using the LINEST or LOGEST function The LINEST function and LOGEST function return various regression statistics, including the slope and intercept of the best-fit line.

Use the Analysis ToolPak add-in When you need to perform more complicated regression analysis — including calculating and plotting residuals — you can use the regression analysis tool in the Analysis ToolPak add-in.

Add a trendline to a chart You can also create a trendline in a chart without creating the data for the trendline.


 Project future values and perform regression analysis

Project future values and perform regression analysis

You can fill in a series of values that fit a simple linear trend or an exponential growth trend by using the fill handle. To extend complex and nonlinear data, you should use the worksheet functions listed below, or use the regression analysis tool in the Analysis ToolPak.

You can also add a trendline to a chart without creating the data for the trendline.

What do you want to do?

Use the fill handle or the Series command

Fill in values for a linear best-fit trend

Fill in values for an exponential growth trend

Fill in values by using the Series command

Use a worksheet function

Project values by using the FORECAST function

Project values that fit a straight trend line by using the TREND function

Project values that fit an exponential curve by using the GROWTH function

Calculate a straight line from existing data by using the LINEST function

Calculate an exponential curve from existing data by using the LOGEST function

Use the Analysis ToolPak add-in

Analysis ToolPak add-in

Not sure which choice you want?


 Fill in a series for a linear best-fit trend

Fill in a series for a linear best-fit trend

  1. Select at least two cells that contain the starting values for the trend.

    To increase the accuracy of the trend series, select additional starting values.

  2. Drag the fill handle in the direction you want to fill with increasing or decreasing values.

    For example, if the selected starting values in cells C1:E1 are 3, 5, and 8, drag the fill handle to the right to fill with increasing trend values, or drag it to the left to fill with decreasing values.

Tip To manually control how the series is created or to use the keyboard to fill in a series, use the Series command.


 Fill in a series for a growth trend

Fill in a series for a growth trend

  1. Select at least two cells that contain the starting values for the trend.

    To increase the accuracy of the trend series, select additional starting values.

  2. Hold down the right mouse button and drag the fill handle in the direction you want to fill with increasing or decreasing values.

    For example, if the selected starting values in cells C1:E1 are 3, 5, and 8, drag the fill handle to the right to fill with increasing trend values, or drag it to the left to fill with decreasing values.

  3. Release the mouse button, and then click Growth Trend on the shortcut menu.

Tip To manually control how the series is created or to use the keyboard to fill in a series, use the Series command.


Create linear and growth trends with the Series command

When you use the Series command, the resulting series replaces the original selected values. To save the original values, copy them to a different row or column. Then create the series by selecting the copied values.

  1. Select the cell where you want to start the series. The cell must contain the first value in the series.

  2. On the Edit menu, point to Fill, and then click Series.

  3. Do one of the following:

    To fill the series down the page, click Columns.

    To fill the series across the page, click Rows.

  4. In the Step value box, enter the value that you want to increase the series by. In a linear series, the step value is added to the first starting value and then added to each subsequent value. In a growth series, the first starting value is multiplied by the step value. The resulting product and each subsequent product is then multiplied by the step value.

  5. Under Type, click Linear or Growth.

  6. In the Stop value box, enter the value you want to stop the series at.

Note If there is more than one starting value in the series and you want Microsoft Excel to generate the trend, select the Trend box. In a linear series, the starting values are applied to the least-squares algorithm (y=mx+b) to generate the series. In a growth series, the starting values are applied to the exponential curve algorithm (y=b*m^x) to generate the series. In either case, the step value is ignored. The series created is equivalent to the values returned by the TREND function or the GROWTH function.


Ways to forecast values with what-if analysis (Data tables)

To display this topic, click the graphic.

To display this topic, click the graphic


 Create a one-variable data table

Create a one-variable data table

You must design one-variable data tables so that input values are listed either down a column (column-oriented) or across a row (row-oriented). Formulas used in a one-variable data table must refer to an input cell.

  1. Type the list of values you want to substitute in the input cell either down one column or across one row.

  2. If the input values are listed down a column, type the formula in the row above the first value and one cell to the right of the column of values. Type any additional formulas to the right of the first formula.

    If the input values are listed across a row, type the formula in the column to the left of the first value and one cell below the row of values. Type any additional formulas below the first formula.

  3. Select the range of cells that contains the formulas and values you want to substitute.

  4. On the Data menu, click Table.

    Show Me

  5. If the data table is column-oriented, type the cell reference for the input cell in the Column input cell box.

    If the data table is row-oriented, type the cell reference for the input cell in the Row input cell box.

Tip You can add additional formulas to a one-variable data table. For more information, click [image] .


 Add a formula to an existing one-variable data table

Add a formula to an existing one-variable data table

Formulas used in a one-variable data table must refer to the same input cell.

  1. If the input values are listed down a column, type the new formula in a blank cell to the right of an existing formula in the top row of the table.

    If the input values are listed across a row, type the new formula in a blank cell below an existing formula in the first column of the table.

  2. Select the data table, including the column or row that contains the new formula.

  3. On the Data menu, click Table.

    Show Me

  4. If the input values are in a column, enter the reference for the input cell in the Column input cell box.

    If the input values are in a row, enter the reference for the input cell in the Row input cell box.


 Convert resulting data table values to constant values

Convert resulting data table values to constant values

You cannot convert an individual value. Because the resulting values are in an array, you must convert all of the values to constant values.

  1. Select all resulting values in the data table.

  2. On the Edit menu, click Copy.

  3. On the Edit menu, click Paste Special.
  4. Under Paste, click Values.


 Create a two-variable data table

Create a two-variable data table

Two-variable data tables use only one formula with two lists of input values. The formula must refer to two different input cells.

  1. In a cell on the worksheet, enter the formula that refers to the two input cells.

  2. Type one list of input values in the same column, below the formula. Type the second list in the same row, to the right of the formula.

  3. Select the range of cells that contains the formula and both the row and column of values.

  4. On the Data menu, click Table.

    Show Me

  5. In the Row input cell box, enter the reference for the input cell for the input values in the row.

  6. In the Column input cell box, enter the reference for the input cell for the input values in the column.


 Clear resulting values from a data table

Clear resulting values from a data table

You cannot clear an individual value. Because resulting values are in an array, you must clear all values. Unless you want to clear the entire data table, make sure that you do not select the formulas and input values.

  1. Select all resulting values in the data table.

  2. On the Edit menu, point to Clear, and then click Contents.


Clear an entire data table

  1. Select the entire data table, including all formulas, input values, resulting values, formats, and comments.

  2. On the Edit menu, point to Clear, and then click All.


 Speed up calculation of a worksheet that contains a data table

Speed up calculation of a worksheet that contains a data table

Data tables recalculate whenever a worksheet is recalculated, even if they have not changed. To speed up calculation of a worksheet that contains a data table, you can change the Calculation options to automatically recalculate the worksheet but not data tables. When you are ready to recalculate the table, press the F9 key.

  1. On the Tools menu, click Options, and then click the Calculation tab.

  2. Click Automatic except tables.


Ways to forecast values with what-if analysis (Goal Seek and Solver)

To display this topic, click the graphic.

To display this topic, click the graphic


 Find a specific result for a cell by adjusting the value of one other cell

Find a specific result for a cell by adjusting the value of one other cell

  1. On the Tools menu, click Goal Seek.

    Show Me

  2. In the Set cell box, enter the reference for the cell that contains the formula you want to resolve.

  3. In the To value box, type the result you want.

  4. In the By changing cell box, enter the reference for the cell that contains the value you want to adjust. This cell must be referenced by the formula in the cell you specified in the Set cell box.


Ways to forecast values with what-if analysis (Scenarios)

To display this topic, click the graphic.

To display this topic, click the graphic


 Create a scenario

Create a scenario

  1. On the Tools menu, click Scenarios.

    Show Me

  2. Click Add.

  3. In the Scenario name box, type a name for the scenario.

  4. In the Changing cells box, enter the references for the cells that you want to change.

  5. Under Protection, select the options you want.

  6. Click OK.

  7. In the Scenario Values dialog box, type the values you want for the changing cells.

  8. To create the scenario, click OK.

    To create additional scenarios, click Add, and then repeat steps 3-7. When you finish creating scenarios, click OK, and then click Close in the Scenario Manager dialog box.

Tip To preserve the original values for the changing cells, create a scenario that uses the original cell values before you create scenarios that change the values.


 Display a scenario

Display a scenario

When you display a scenario, you change the values of the cells saved as part of that scenario.

  1. On the Tools menu, click Scenarios.

    Show Me

  2. Click the name of the scenario you want to display.

  3. Click Show.


 Edit a scenario

Edit a scenario

If you keep the original name of a scenario after you make changes to it, the new values for changing cells replace the values in the original scenario.

  1. On the Tools menu, click Scenarios.

    Show Me

  2. Click the name of the scenario you want to edit, and then click Edit.

  3. Make the changes you want.

  4. In the Scenario Values dialog box, type the values you want for the changing cells.

  5. To save the changes, click OK.

    To return to the Scenario Manager dialog box without changing the current scenario, click Cancel.


 Merge scenarios from another worksheet

Merge scenarios from another worksheet

It is easier to merge scenarios when all what-if models on the worksheets are identical.

  1. Open all of the workbooks that contain the scenarios you want to merge.

  2. Switch to the worksheet where you want to merge the scenarios.

  3. On the Tools menu, click Scenarios.

    Show Me

  4. Click Merge.

  5. In the Book box, click a workbook name.

  6. In the Sheet box, click the name of a worksheet that contains the scenarios you want to merge, and then click OK. All changing cells on the source worksheet must refer to the corresponding changing cells on the active worksheet. Microsoft Excel copies all scenarios on the source sheet to the active worksheet.

  7. To merge scenarios from more worksheets, repeat steps 3 through 6.


 Create a scenario summary report

Create a scenario summary report

  1. On the Tools menu, click Scenarios.

    Show Me

  2. Click Summary.

  3. Click Scenario summary or Scenario PivotTable.

  4. In the Result cells box, enter the references for the cells that refer to cells whose values are changed by the scenarios. Separate multiple references with commas.

Note You don't need result cells to generate a scenario summary report, but you do need them for a scenario PivotTable report.


 Prevent changes to a scenario

Prevent changes to a scenario

  1. On the Tools menu, click Scenarios.

    Show Me

  2. In the Scenarios box, click the name of the scenario.

  3. Click Edit.

  4. To prevent others from making changes to your scenarios, select the Prevent changes check box.

    To remove a scenario from the list in the Scenario Manager dialog box, select the Hide check box.

  5. Click OK.

  6. On the Scenario Values dialog box, click OK, and then click Close.

  7. On the Tools menu, point to Protection, and then click Protect Sheet.

  8. Make sure the Scenarios check box is selected.

Note You can add scenarios when a worksheet is protected, but you cannot edit or delete existing scenarios while a worksheet is protected unless you clear the Prevent changes check box in the Edit Scenario dialog box. You can still edit the values in changing cells on the worksheet unless the cells are locked. How to remove protection from a worksheet.


 Delete a scenario

Delete a scenario

  1. On the Tools menu, click Scenarios.
  2. Click the name of the scenario you want to delete, and then click Delete.


About solving for a value to maximize another value

Use Solver to determine the maximum or minimum value of one cell by changing other cells — for example, the maximum profit you can generate by changing advertising expenditures. The cells you select must be related through formulas on the worksheet. If not related, changing one cell will not change the other. For information about the algorithms used by Solver, click [image] .


 Define and solve a problem by using Solver

Define and solve a problem by using Solver

  1. On the Tools menu, click Solver.

    If the Solver command is not on the Tools menu, you need to install the Solver add-in.

    How?

  2. In the Set Target Cell box, enter a cell reference or name for the target cell. The target cell must contain a formula.

  3. To have the value of the target cell be as large as possible, click Max.

    To have the value of the target cell be as small as possible, click Min.

    To have the target cell be a certain value, click Value of, and then type the value in the box.

  4. In the By Changing Cells box, enter a name or reference for each adjustable cell, separating nonadjacent references with commas. The adjustable cells must be related directly or indirectly to the target cell. You can specify up to 200 adjustable cells.

    To have Solver automatically propose the adjustable cells based on the target cell, click Guess.

  5. In the Subject to the Constraints box, enter any constraints you want to apply.

  6. Click Solve.

  7. To keep the solution values on the worksheet, click Keep Solver Solution in the Solver Results dialog box.

    To restore the original data, click Restore Original Values.

Tips

  • You can interrupt the solution process by pressing ESC. Microsoft Excel recalculates the worksheet with the last values found for the adjustable cells.

  • More information about options in the Solver Parameters dialog box.

  • More information about options in the Solver Results dialog box.

  • For information about the algorithms used by Solver, click [image] .


 Guidelines for designing a model to find values with Solver

Guidelines for designing a model to find values with Solver

How Solver works With Solver, you can find an optimal value for a formula in one cell — called the target cell — on a worksheet. Solver works with a group of cells that are related, either directly or indirectly, to the formula in the target cell. Solver adjusts the values in the changing cells you specify — called the adjustable cells — to produce the result you specify from the target cell formula. You can apply constraints to restrict the values Solver can use in the model, and the constraints can refer to other cells that affect the target cell formula.

Example of a Solver evaluation In the following example, the level of Advertising in each quarter affects the number of Units Sold, indirectly determining the amount of Sales Revenue, the associated expenses (Cost of Goods, Advertising, and Overhead), and the Profit. Solver can change the quarterly budgets for Advertising (cells B5:E5), up to a total budget constraint of $40,000 (cell F5), until the value for total Profit reaches the maximum possible amount. The values in the adjustable cells are used to calculate the Profit for each quarter, so they are related to the formula in target cell F7, =SUM(Q1 Profit:Q4 Profit).

Before Solver evaluation

After Solver runs, the new values are as follows:

After Solver evaluation


 Install and load Solver

Install and load Solver

  1. On the Tools menu, click Add-Ins.

    Show Me

    If Solver is not listed in the Add-Ins dialog box, run Setup again and make sure you select the option to install Solver.

  2. In the Add-Ins dialog box, select the Solver Add-in check box, and then click OK.

    If you get a message asking whether you want to install the feature, click Yes.

Note Add-ins you select in the Add-Ins dialog box remain active until you remove them. Learn about Microsoft Excel add-in programs.


 Solver sample worksheets

Solver sample worksheets

Microsoft Excel includes a workbook, Solvsamp.xls in the Office\Samples folder, that demonstrates the types of problems you can solve.

You can use the sample worksheets in Solvsamp.xls to help you set up your problems. To use any of the six worksheets — Product Mix, Shipping Routes, Staff Scheduling, Maximizing Income, Portfolio of Securities, and Engineering Design — open the workbook, switch to the worksheet you want to use, and then click Solver on the Tools menu. The target cell, adjustable cells, and constraints for the worksheet are already specified.


Load a problem model by using Solver

Before loading a problem, you must have previously saved a model.

  1. On the Tools menu, click Solver.

  2. Click Options.

  3. Click Load Model.

  4. Enter the reference for the entire range of cells that contains the problem model.

    More information about options in the Load Model dialog box.


Set Solver options

What do you want to do?

Add a constraint in Solver

Change or delete a constraint in Solver

Set Solver solution time and iterations

Set the degree of precision and convergence in Solver

Set the integer tolerance in Solver

Reset to the default Solver settings


Step through Solver trial solutions

  1. Define a problem.

    How?

  2. In the Solver Parameters dialog box, click Options.

  3. To see the values of each trial solution, select the Show Iteration Results check box, click OK, and then click Solve.

    Solver enters the values for the first trial solution on the worksheet and displays the Show Trial Solution dialog box.

  4. To stop the solution process and display the Solver Results dialog box, click Stop.

    To continue the solution process and display the next trial solution, click Continue.


Create a report by using Solver

  1. Solve a problem.

    How?

  2. In the Reports box, click the report you want to create. To select more than one report, hold down CTRL as you click the reports.

    More information about the types of reports you can create in Solver.


Save adjustable cell values in Solver as a scenario

  1. In the Solver Results dialog box, click Save Scenario.

  2. In the Scenario Name box, type a name for the scenario.

Tips

  • To display different sets of adjustable cell values that you've saved, display each scenario.

  • To create a scenario without saving the Solver solution or without displaying the results on the worksheet, save the scenario in the Solver Results dialog box, and then click Restore Original Values.


Save a problem model by using Solver

  1. Define a problem.

    How?

  2. On the Tools menu, click Solver.

  3. Click Options.

  4. Click Save Model.

  5. Enter the reference for the first cell of a vertical range of empty cells in which you want to place the problem model.

Tips

  • You can save the last selections in the Solver Parameters dialog box with a worksheet by clicking Save on the File menu. You can also define more than one problem for a worksheet by using Save Model to save problems individually.

  • More information about options in the Save Model dialog box.


About Solver completion messages

When Solver reaches a solution, it displays one of the following two messages in the Solver Results dialog box:

  • Solver found a solution. All constraints and optimality conditions are satisfied.

    All constraints within the precision setting in the Solver Options dialog box are satisfied, and when appropriate, a local maximum or minimum value has been found for the target cell.

  • Solver has converged to the current solution. All constraints are satisfied.

    The relative change in the target cell is less than the Convergence setting in the Solver Options dialog box for the last five trial solutions. If you provide a smaller value for the Convergence setting, Solver could try for a better solution but would take more solution time.

When Solver cannot reach an optimal solution, it displays one of the following messages in the Solver Results dialog box:

  • Solver cannot improve the current solution. All constraints are satisfied.

    Only an approximate solution has been found, but the iterative process cannot find a better set of values than those displayed. Either further accuracy is not achievable, or the precision setting is too low. Try changing the precision setting in the Solver Options dialog box to a larger number, and then run the problem again.

  • Stop chosen when the maximum time limit was reached.

    The maximum amount of time has elapsed without finding a satisfactory solution. To save the values found so far and also save future recalculation time, click Keep Solver Solution or Save Scenario.

  • Stop chosen when the maximum iteration limit was reached.

    The maximum number of iterations has been reached without finding a satisfactory solution. Increasing the number of iterations might help, but you should examine the final values for insights into the problem. To save the values found so far and also save future recalculation time, click Keep Solver Solution or Save Scenario.

  • The Set Target Cell values do not converge.

    The value for the target cell is increasing (or decreasing) without bound, even though all constraints are satisfied. You might have omitted one or more constraints in setting up the problem. Check the current worksheet values to see how the solution is diverging, check the constraints, and then run the problem again.

  • Solver could not find a feasible solution.

    Solver could not find a trial solution that satisfies all constraints within the precision setting. It is likely that the constraints are inconsistent. Examine the worksheet for a possible mistake in the constraint formulas or in the choice of constraints.

  • Solver stopped at user's request.

    You clicked Stop in the Show Trial Solution dialog box, either after interrupting the solution process or when stepping through trial solutions.

  • The conditions for Assume Linear Model are not satisfied.

    You selected the Assume linear model check box, but the final calculations in Solver yield values that do not agree with the linear model. The solution is not valid for the actual worksheet formulas. To check whether the problem is nonlinear, select the Use automatic scaling check box, and run the problem again. If you see this message again, clear the Assume linear model check box, and then run the problem again.

  • Solver encountered an error value in a target or constraint cell.

    One or more formulas yielded an error value on the latest calculation. Find the target or constraint cell that contains the error, and change its formula to yield an appropriate numeric value.

    You typed an invalid name or formula in the Add Constraint or Change Constraint dialog box, or you typed "integer" or "binary" in the Constraint box. To constrain a value to an integer, click Int in the list of comparison operators. To set a binary constraint, click Bin.

  • There is not enough memory available to solve the problem.

    Microsoft Excel couldn't allocate the memory needed by Solver. Close some files or programs and try again.

    Another Excel instance is using SOLVER.DLL.

    More than one Microsoft Excel session is running, and one session is already using Solver.dll. Solver.dll can be used in only one session at a time.


Algorithm and methods used by Solver

Microsoft Excel Solver uses the Generalized Reduced Gradient (GRG2) nonlinear optimization code developed by Leon Lasdon, University of Texas at Austin, and Allan Waren, Cleveland State University.

Linear and integer problems use the simplex method with bounds on the variables, and the branch-and-bound method, implemented by John Watson and Dan Fylstra, Frontline Systems, Inc. For more information on the internal solution process used by Solver, contact:

Frontline Systems, Inc.
P.O. Box 4288
Incline Village, NV 89450-4288
(702) 831-0300
Web site: http://www.frontsys.com
Electronic mail: info@frontsys.com

Portions of the Microsoft Excel Solver program code are copyright 1990, 1991, 1992, and 1995 by Frontline Systems, Inc. Portions are copyright 1989 by Optimal Methods, Inc.


Troubleshoot what-if analysis

What do you need help with?

My worksheet contains a data table. How can I speed up calculation?

How do I convert resulting data table values to constant values?

How do I clear the values from a data tabIe?

How do I delete an entire data tabIe?

How can I prevent others from making changes to my scenario?


Troubleshoot Solver

What do you need help with?

Solver stops before a solution is found.

The adjustable cells and constraint or target cells differ in magnitude.

When to start from different initial solutions

Solver completion messages


 Ways to allow multiple people to work on a workbook

Ways to allow multiple people to work on a workbook

Share a workbook If you want several users to work in the same workbook simultaneously, you can save the workbook as a shared workbook. Users can then enter data, insert rows and columns, add and change formulas, and change formatting. How to set up a shared workbook.

If you want to merge multiple copies of a workbook, you must share the workbook before distributing it to your reviewers. Learn about the limitations of shared workbooks.

Distribute the workbook You can distribute your workbook in several ways. You can route your workbook through e-mail, distribute your workbook on floppy disks or send copies in e-mail, or store your workbook on a network share. Distribute workbooks to other people.

  • Route a workbook To receive a cumulative set of review comments, where each person sees the comments and changes made by previous reviewers, route the workbook. How to route a workbook.

  • Send copies of a workbook If you want a separate set of review comments from each person, send a separate copy of the workbook to each reviewer. How to prepare copies of a workbook to be reviewed and merged.

  • Store the workbook on a network If you want multiple people to edit a shared workbook simultaneously, store the workbook on a network share.

Review the workbook If you have multiple copies of a workbook, you can merge the changes that were made to those copies into a single workbook. If you have a workbook with multiple changes in it, you can review and incorporate those changes.

  • Merge changes If you want to combine the changes made to multiple copies of a workbook, merge the workbooks. How to merge changes from copies of a workbook.

  • Review and incorporate changes If you want to review the changes made to your workbook, you can accept and reject individual changes and review the history of all changes to the workbook. How to review and incorporate changes to a workbook.

Note You cannot save shared workbooks to Microsoft Exchange public folders.


About setting up a shared workbook

To display this topic, click the graphic.

To display this topic, click the graphic


 Set up a shared workbook

Set up a shared workbook

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.

  2. Select the Allow changes by more than one user at the same time check box, and then click OK.

  3. When prompted, save the workbook.

  4. On the File menu, click Save As, and then save the shared workbook on a network location where other users can gain access to it.

Notes

  • If you copy the shared workbook to a network location, make sure any links to other workbooks or documents are intact. Use the Links command on the Edit menu to make corrections to the link definitions.

  • This procedure also turns on the change history, which allows you to view information about changes to the shared workbook and about conflicting changes that are kept or discarded. When you maintain the change history, you can also make copies of the shared workbook that you can merge together after they have been changed.

  • To make changes to a shared workbook created in Microsoft Excel 97 or later, you must use Microsoft Excel 97 or later. You cannot use earlier versions of Excel.

  • All users who have access to the network location where a shared workbook is stored have the same access to the shared workbook. If you want to prevent certain types of access to a shared workbook, you can protect the shared workbook and the change history. For more information, click [image] .


 Determine how often to update a shared workbook

Determine how often to update a shared workbook

Each user of a shared workbook can set independent options for how often to receive other users' changes.

  1. Open the shared workbook.

  2. On the Tools menu, click Share Workbook, and then click the Advanced tab.

  3. To see other users' changes each time you save the shared workbook, click When file is saved under Update changes.

    To view other users' changes periodically, click Automatically every under Update changes, type how often you want to get updates in the Minutes box, and then click Just see other users' changes. To save the shared workbook each time you get an update so that other users can see your changes, click Save my changes and see others' changes.

  4. Save the shared workbook.


 Keep personal view and print settings for a shared workbook

Keep personal view and print settings for a shared workbook

Each user of a shared workbook can set independent view and print options.

  1. Open the shared workbook.

  2. On the Tools menu, click Share Workbook, and then click the Advanced tab.

  3. To save your personal print settings, make sure the Print settings check box is selected under Include in personal view. Print settings include page breaks, print areas, settings you make in page break preview (View menu, Page Break Preview command), and settings you make in the Page Setup dialog box (File menu).

    To save any settings you make by using the commands on the Filter submenu of the Data menu, including filtering done using the AutoFilter command, make sure the Filter settings check box is selected under Include in personal view.

  4. Save the shared workbook.

Note Microsoft Excel automatically saves the location of the currently displayed worksheet as well as your personal settings for the options in the Zoom dialog box (View menu), in the Zoom box on the Standard toolbar, and on the View tab of the Options dialog box (Tools menu).


 Limitations of shared workbooks

Limitations of shared workbooks

Some features of Microsoft Excel are not available when you use a shared workbook. If you need to use these features, do so before you share the workbook, or remove the workbook from shared use. For more information, click [image] .

In a shared workbook, you cannot do the following:

Cells

  • Merge cells. You can view cells that were merged before you shared the workbook.

  • Insert or delete blocks of cells. You can insert or delete entire rows and columns.

Worksheets, dialog boxes, and menus

  • Delete worksheets.

  • Make changes to dialog boxes or menus.

Conditional formats and data validation

  • Define or apply conditional formats. However, you can see the effects of conditional formats applied before you shared the workbook.

  • Set up or change data validation restrictions and messages. However, you can see the effects of restrictions and messages that were set up before you shared the workbook.

Objects, charts, pictures, and hyperlinks

  • Insert or change charts, pictures, objects, or hyperlinks.

  • Use the drawing tools.

Passwords

  • Assign a password to protect individual worksheets or the entire workbook. Protection that you applied before sharing the workbook remains in effect after you share the workbook.

  • Change or remove passwords. Passwords that you assigned before sharing the workbook remain in effect after you share the workbook.

Scenarios

Save, view, or make changes to scenarios.

Outlines, groups, and subtotals

  • Group or outline data.

  • Insert automatic subtotals.

Data tables and PivotTables

  • Create data tables.

  • Create PivotTables or change the layout of existing PivotTables.

Macros

Write, change, view, record, or assign macros. However, you can record operations in a shared workbook into a macro stored in another workbook that isn't shared. In a shared workbook, you can run macros that were created before you shared the workbook; although if you run a macro that includes an unavailable operation, the macro stops running when it reaches the unavailable operation.


 Limit what others can see and change in a shared workbook

Limit what others can see and change in a shared workbook

  1. If the workbook you want to protect is already shared, and you want to assign a password to protect the sharing or you want to protect other worksheet or workbook features, remove the workbook from shared use.

    How?

  2. If you want to require that users supply a password to open the shared workbook, set this password.

    How?

  3. If you want to require that users supply a password when they make changes and save the shared workbook, set this password.

    How?

  4. If you don't want other users to see certain rows or columns on a worksheet, select the rows or columns. On the Format menu, point to Row or Column, and then click Hide.

    If you want to allow others to change only specific areas of the shared workbook, unlock the areas, and then protect the worksheets. (This action also prevents others from seeing hidden rows or columns.)

    How?

  5. If you don't want others to see specific worksheets in the shared workbook, click a worksheet, point to Sheet on the Format menu, and then click Hide. Repeat for each worksheet that you want to hide.

    After you hide the worksheets, you must protect the workbook to keep other users from redisplaying the hidden worksheets. On the Tools menu, point to Protection, and then click Protect Workbook. Select the Structure check box, and then click OK.

  6. If you want to change the number of days that Microsoft Excel will maintain the change history for the shared workbook (the default is 30 days), click Share Workbook on the Tools menu, and then click the Editing tab. Select the Allow changes by more than one user at the same time check box, and then click the Advanced tab. Under Track changes, make sure Keep change history for is selected, and then type the number of days you want to maintain the change history in the Days box. Click the Editing tab, clear the Allow changes by more than one user at the same time check box, and then click OK.

  7. On the Tools menu, point to Protection, and then click Protect Shared Workbook or Protect and Share Workbook.

  8. Select the Sharing with track changes check box.

  9. If you want to require other users to supply a password to turn off the change history or remove the workbook from shared use, type the password in the Password box, and then reenter the password when prompted.

  10. When prompted, save the workbook. This shares the workbook and turns on the change history.

Notes

  • When you protect sharing for a workbook, users cannot remove the workbook from shared use or turn off the change history.

  • In a workbook that is already shared, you can turn on protection for sharing and the change history, but you cannot assign a password for this protection. To assign a password, you must first remove the workbook from shared use.


 Remove a user from a shared workbook

Remove a user from a shared workbook

When a user closes a shared workbook, Microsoft Excel disconnects the user from the shared workbook. Use this procedure to remove a user who appears to be connected to a shared workbook but is no longer working in the workbook or whose network connection is broken.

Caution When you remove a user who is currently working in a shared workbook, the user's unsaved work will be lost.

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.

  2. In the Who has this workbook open now box, click the name of the user you want to disconnect, and then click Remove User.

Tip If a user no longer needs to work with a shared workbook, you can reduce the size of the workbook file by deleting the user's personal view settings. On the View menu, click Custom Views. In the Views box, click the user's view, and then click Delete.


 Remove a workbook from shared use

Remove a workbook from shared use

If you decide that you no longer want others to make changes to a shared workbook, you can open and work in the workbook as its only user. When you remove a workbook from shared use, you disconnect all other users from the shared workbook, turn off the change history, and erase the stored change history so that you can no longer view the history or merge this copy with other copies of the shared workbook.

Caution To ensure that others do not lose work in progress, make sure that all other users have been notified so that they can save and close the shared workbook before you remove it from shared use.

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.

  2. Make sure that you are the only person listed in the Who has this workbook open now box. If other users are listed, they will lose any unsaved work.

  3. Clear the Allow changes by more than one user at the same time check box, and click OK.

  4. When prompted about the effects on other users, click Yes.


 About managing conflicting changes to a shared workbook

About managing conflicting changes to a shared workbook

When users of a shared workbook make changes that conflict, such as typing different values in the same cell and then saving the workbook, Microsoft Excel provides several tools to help manage the conflicting changes.

Decide which changes to keep When you save a shared workbook, you can review conflicting changes and decide which changes to keep, or you can automatically save your own changes instead of any changes that conflict with yours. Each user of a shared workbook can set this option independently. How to determine whether to review conflicting changes to a shared workbook.

Reviewing each change If you decide to review the conflicting changes, you can view information about each change and decide whether to keep or discard each change.

View information from past editing sessions If you maintain the change history for a shared workbook, you can view information from past editing sessions about changes that were kept, replaced, or discarded, including the author and the data that was entered and later replaced. How to maintain the change history for a shared workbook, including information about conflicting changes. You can also review these changes directly in the worksheet and accept or reject them.


Manage conflicting changes to a shared workbook

What do you want to do?

Conflicting changes

Determine whether to review conflicting changes to a shared workbook

Keep or discard conflicting changes when you save a shared workbook

View information about conflicting changes to a shared workbook

Change history and reviewing changes

Maintain the change history for a shared workbook, including information about conflicting changes

Review and accept or reject changes

Not sure which choice you want?


 Determine whether to review conflicting changes to a shared workbook

Determine whether to review conflicting changes to a shared workbook

Each user of a shared workbook can set independent review options.

  1. Open the shared workbook.

  2. On the Tools menu, click Share Workbook, and then click Advanced.

  3. To review each conflicting change and decide which changes to keep when you save the workbook, click Ask me which changes win under Conflicting changes between users.

    To replace any conflicting changes with your own changes each time you save, click The changes being saved win.

  4. Save the workbook.

    Note If you don't want to see the Resolve Conflicts dialog box when you save a shared workbook, click The changes being saved win.


 View information about conflicting changes to a shared workbook

View information about conflicting changes to a shared workbook

When you create a shared workbook, the change history is turned on so that you can view information about previous conflicting changes. If you turn off the change history, Microsoft Excel does not preserve information about conflicting changes. For information about turning on the change history, click [image] .

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    Show Me

  2. Select the When check box, and then click All in the When box.

  3. Make sure the Who and Where check boxes are cleared.

  4. Select the List changes on a new sheet check box, and then click OK.

  5. When the History worksheet appears, scroll it to the right if necessary to view the Action Type and Losing Action columns.

    Conflicting changes that were kept display "Won" in the Action Type column.

    In the Losing Action column, row numbers appear for those lines in the History worksheet that describe discarded changes.

Note The List changes on a new sheet check box becomes available only after the shared workbook has been saved.


 Keep or discard conflicting changes when you save a shared workbook

Keep or discard conflicting changes when you save a shared workbook

Use this procedure when you save a shared workbook and see the Resolve Conflicts dialog box.

  1. Read the information about your change and the conflicting changes made by others.

  2. To keep your change, click Accept Mine.

    To keep the other person's change, click Accept Other.

  3. Repeat steps 1 and 2 for each change.

    To keep all of your remaining changes, click Accept All Mine.

    To keep all of the other users' remaining changes, click Accept All Others.

Tip You can save a copy of the workbook with all your changes by clicking Cancel, clicking Save As on the File menu, and then typing a new name for the file.

Note If you don't want Microsoft Excel to display the Resolve Conflicts dialog box when you save a shared workbook, you can set an option to save your changes automatically instead of reviewing conflicting changes. For more information, click [image] .


 Prepare copies of a workbook to be reviewed and merged

Prepare copies of a workbook to be reviewed and merged

When you merge several copies of a shared workbook in which users have entered changes, Microsoft Excel requires that each copy of the shared workbook maintain the change history from the day when you create the copies through the day when you merge them. If the number of days you specified has been exceeded, you can no longer merge the copies. If you aren't sure how long the review process will take, make sure you maintain the change history for a sufficient number of days, or enter a large number of days, such as 1,000.

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.

  2. Select the Allow changes by more than one user at the same time check box.

  3. Click the Advanced tab.

  4. Under Track changes, click Keep change history for. In the Days box, type a number at least as long as the number of days you expect reviewers to spend making changes and comments in the shared workbook.

  5. Click OK, and save the file.

  6. To make copies of the workbook that you can distribute to reviewers, click Save As on the File menu. Give each copy a different name.

Note To make sure reviewers don't turn off the change history, you can require that the change history be maintained before you make the copies and distribute them. For more information, click [image] .


 Merge changes from multiple copies of the same workbook

Merge changes from multiple copies of the same workbook

If you plan to merge copies of a shared workbook, you must turn on the change history for the shared workbook before you make the copies for distribution to reviewers and before anyone makes any changes to the copies. You also must complete the merge within the time period you specified to maintain the change history. For information about preparing copies of a shared workbook for review and merging, including setting the time period for the change history, click [image] .

  1. Open the copy of the shared workbook into which you want to merge changes from another workbook file on disk.

  2. On the Tools menu, click Merge Workbooks.

  3. If prompted, save the shared workbook.

  4. In the Select Files to Merge into Current Workbook dialog box, click a copy of the shared workbook that has changes to be merged, and then click OK.

  5. Repeat steps 2 through 4 until all copies of the shared workbook are merged.

Note If a cell contains a comment, the comment includes the name of the person who inserted the comment. When you merge shared workbooks and a cell has comments from more than one person, the comments appear one after another in the comment box for the cell.

Tip If you want to merge several copies of a workbook in one step, you can select more than one workbook in the Select Files to Merge into Current Workbook dialog box by holding down CTRL or SHIFT and then clicking the file names.


 About viewing changes to a workbook

About viewing changes to a workbook

Before you can view changes You can view the change history of a workbook only if the Share Workbook feature and change tracking were turned on before changes were made. How to set up a shared workbook.

View the history of changes There are several ways you can view the history of changes made to a shared workbook:

  • Changes made by all other users You can view information about changes made by all other users since you last saved.

  • Changes matching a particular criteria You can view information based on the date the change was the made, the user who made the change, or the range of a cells that change. How to view workbook changes for a particular date, user, or range of cells.

  • All changes made to a workbook You can view information about all changes made to a workbook, regardless of who made the changes or when they were made.

View changes as highlighted cells or on a separate worksheet You can view the history in two ways: highlighted on the worksheet with details displayed when you rest the pointer over a changed cell, or listed on a separate History worksheet. When you view the history on a separate worksheet, you can filter the information in more than one way. For example, you can filter to find different types of changes, such as those made by different users on a particular date.

Display the History worksheet instead of highlighting changes when you want to view all the changes ever made to the worksheet, you want to view a large number of changes, you want to view information about how conflicting changes were resolved, or you want to print the change information.


 Turn on the change history for a workbook

Turn on the change history for a workbook

When you keep the change history for a workbook, Microsoft Excel also turns on workbook sharing. Some Microsoft Excel commands and operations are not available in a shared workbook. For more information, click [image] .

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.

  2. Select the Allow changes by more than one user at the same time check box.

  3. Click the Advanced tab.

  4. Under Track changes, click Keep change history for, and then type the number of days you want to maintain the change history in the Days box.

    Be sure to enter a large-enough number of days because Excel incrementally erases the change history permanently after the number of days elapses.

  5. Click OK, and when prompted to save the file, click OK.

Notes

  • The change history includes information about how users resolved conflicting changes to the workbook, including the data from changes that were discarded.

  • Each time you close the workbook, Microsoft Excel erases any part of the stored change history that is older than the number of days you specified. The actual changes are retained.

  • Microsoft Excel does not turn on change highlighting when you turn on the change history. For information about highlighting changes, click [image] .


 Highlight changes as you work

Highlight changes as you work

When you mark changes in a workbook by using the Highlight Changes command, you also turn on workbook sharing (if the workbook is not currently shared) and the change history. For information about changing the change history settings, click [image] .

Some Microsoft Excel commands and features are not available in a shared workbook. For more information, click [image] .

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    Show Me

  2. Make sure the Track changes while editing check box is selected. This check box turns on workbook sharing and the change history.

  3. Select the When check box, click Not yet reviewed in the When box, and then click OK.

  4. If prompted, save the workbook.

  5. Make the changes you want on the worksheet. Microsoft Excel marks cells that you change, insert, or delete with a highlight color.

Note When highlighting changes, Microsoft Excel does not mark some changes, such as formatting. For more information about which changes are marked and ignored, click [image] .


 Show or hide change highlighting and details

Show or hide change highlighting and details

When you mark changes in a workbook by using the Highlight Changes command, you also turn on workbook sharing (if the workbook is not currently shared) and the change history. For information about changing the change history settings, click [image] .

Some Microsoft Excel commands and features are not available in a shared workbook. For more information, click [image] .

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    Show Me

  2. To hide change highlighting, clear the Highlight changes on screen check box.

    To show change highlighting, make sure the Track changes while editing check box is selected, select the Highlight changes on screen check box, and then click OK.

  3. If prompted, save the workbook.

Notes

  • To show details about changes to a cell when change highlighting is turned on, rest the pointer over a highlighted cell to view a comment box that contains the information.

  • If a user has also added a comment to a revised cell, the user's comment appears after the change information when you rest the pointer over the cell.

  • When you print a worksheet that has highlighted changes, the highlighting also appears on the printed page.


 View information about changes to a workbook

View information about changes to a workbook

You can view the change history of a workbook only if the Share Workbook feature was turned on before changes were made.

What do you want to do?

View workbook changes made by other users

View workbook changes for a particular date, user, or range of cells

View the history of all changes to a workbook

Not sure which choice you want?


 Review and incorporate changes

Review and incorporate changes

  1. On the Tools menu, point to Track Changes, and then click Accept or Reject Changes.

  2. If prompted to save the workbook, click OK.

  3. Select the changes to review.

    To review changes made by another user, select the Who check box, and then click the user in the Who box.

    To review changes by all users, clear the Who check box.

    To review changes to a specific area on a worksheet, select the Where check box, and then enter a reference to the area.

    To review changes to the entire workbook, clear the Where check box.

  4. Click OK, and then read the information about the first change in the Accept or Reject Changes dialog box. The information also describes any dependent changes that are affected by the action you take for this change. You may need to use the scroll arrows to see additional information.

  5. To accept the change and clear its change highlighting, click Accept.

    To undo the change on the worksheet, click Reject.

    If prompted to select a value for a cell, click the value you want, and then click Accept.

  6. Repeat steps 4 and 5 for each change, or click Accept All or Reject All to accept or reject all remaining changes. You must accept or reject a change before you can advance to the next change.

Note You can view information about rejected changes, including any data that was deleted. On the History worksheet, rejected changes display "Undo" or "Result of rejected action" in the Action Type column. For information about displaying the History worksheet, click [image] .


 Stop keeping the change history for a workbook

Stop keeping the change history for a workbook

If a workbook is shared and protected with a password, Microsoft Excel stops maintaining the change history when you remove protection (Tools menu, Protection submenu, Unprotect Shared Workbook command). For information about removing protection from a workbook, click [image] .

If you remove protection from a shared workbook, Excel accepts all changes and erases the stored change history the next time the workbook is saved. You also can no longer highlight changes or display the History worksheet.

  1. On the Tools menu, click Share Workbook, and then click the Advanced tab.

  2. Click Don't keep change history, and then click OK.

Note The stored change history is erased the next time you save the shared workbook. However, if you turn on the change history again, the last set of changes that were saved before you turn on the change history is included in the new change history.


 Require that revisions be tracked in a workbook

Require that revisions be tracked in a workbook

If a workbook is shared and change tracking is protected with a password, users can make changes without tracking them only by removing the workbook from shared use. And to do this, users would have to supply the correct password. You can set the number of days to maintain the change history, and users cannot reduce the number of days or turn off the change history without supplying the password. If you don't change the setting, Microsoft Excel maintains the change history for the default time of 30 days or for the number of days specified the last time the workbook was shared.

  1. Make sure the change history will be turned on when you protect the workbook.

    If the workbook is not currently shared, click Share Workbook on the Tools menu, and then click the Editing tab. Make sure the Allow changes by more than one user at the same time check box is selected, and then click the Advanced tab. Under Track changes, make sure Keep change history for is selected, and then type the number of days you want to maintain the change history in the Days box. Click the Editing tab, clear the Allow changes by more than one user at the same time check box, and then click OK.

    If the workbook is currently shared, click Share Workbook on the Tools menu, and then click the Advanced tab. Under Track changes, make sure Keep change history for is selected, and type the number of days you want to maintain the change history in the Days box. If you plan to assign a password in step 4, click the Editing tab, clear the Allow changes by more than one user at the same time check box. Click OK.

  2. On the Tools menu, point to Protection, and then click Protect and Share Workbook.

    Show Me

  3. Select the Sharing with track changes check box.

  4. If you want others to supply a password to remove protection from the sharing and change history, type the password in the Password box, and then reenter the password when prompted. If the workbook is currently shared, you cannot assign a password.

  5. If prompted, save the workbook.

Note When you again want to allow changes without tracking them, point to Protection on the Tools menu, and then click Unprotect Shared Workbook. If prompted, enter the password. When you remove password protection from the sharing, you also remove the workbook from shared use.


About adding comments and highlighting changes in a workbook

To display this topic, click the graphic.

To display this topic, click the graphic


Add a comment to a cell

  1. Click the cell to which you want to add the comment.

  2. On the Insert menu, click Comment.

  3. In the box, type the comment text.

  4. When you finish typing the text, click outside the comment box.

Notes

  • When you sort items on a worksheet, the comments move to new positions with the items in the sorted rows or columns.

  • Comments in PivotTables remain anchored to the cells where you entered them, not to the cell contents. If you pivot the table or make other changes that affect the layout, the comments do not move.


 Change the appearance or position of a comment

Change the appearance or position of a comment

  1. Right-click the cell with the comment you want to change, and then click Show Comment on the shortcut menu.

  2. Click the border of the comment box so that handles appear.

  3. To change the text font or color for the comment, click Comment on the Format menu.

    For Help on an option, click the question mark [image] and then click the option.

    To change the background color of the comment, click the fill handle so the border of the comment turns into dots, then click the arrow beside Fill Color [image] on the Formatting toolbar, then click the color you want.

    To change the size of the comment, drag the handles on the sides and corners of the comment box.

    To move the comment, drag the border of the comment box.

Note To change the default background color for new comments, use the Display icon on the Windows Control Panel to set the ToolTip color to the background color you want. When you change this setting, the background color of comments you previously entered does not change.

Tip You can also use the Drawing toolbar to change the appearance of comments. For more information about Microsoft Excel drawing tools, click [image] .


Edit a comment

  1. Click the cell with the comment you want to edit.

  2. On the Insert menu, click Edit Comment.


 Hide or display comments and their indicators

Hide or display comments and their indicators

  1. On the Tools menu, click Options, and then click the View tab.

  2. To hide comments, even when you rest the pointer over the cells that contain them, and also clear the comment indicators from the upper-right corners of the cells with comments, click None under Comments.

    To display comments when you rest the pointer over cells that contain them, and also show the comment indicators, click Comment indicator only.

    To display both comments and indicators regardless of the mouse position, click Comments & indicator.

Tip You can hide an individual comment by right-clicking the cell that contains it, and then clicking Hide Comment. When you want to display all individually hidden comments, click Comments on the View menu.


 Review the comments in a workbook

Review the comments in a workbook

  1. On the View menu, click Comments.

    Show Me

  2. To view each comment in sequence, click Next Comment [image] on the Reviewing toolbar.

    To view the comments in reverse order, click Previous Comment [image] .

Note When you review comments, Microsoft Excel displays each comment in sequence, starting from the selected cell. To view an individual comment, rest the pointer over the cell that contains the comment.


 Security features in Microsoft Excel

Security features in Microsoft Excel

Microsoft Excel provides the following security and protection features:

  • You can limit access to each individual worksheet. For a list of all worksheet elements you can protect, click [image] .

  • You can limit changes to an entire workbook. For a list of all workbook elements you can protect, click [image] .

  • You can protect workbook sharing and the change history. For more information, click [image] .

  • You can limit access to a workbook by requiring a password to open it or save it, or you can recommend that others open the workbook as read-only. For more information, click [image] .

  • You can check for macro that might contain viruses whenever you open a workbook. For more information, click [image] .

  • You can automatically disable macros that are not signed in case the macro contains viruses. For more information, click


 Protect workbooks and worksheets from changes

Protect workbooks and worksheets from changes

What do you want to do?

Limit access

Limit viewing and editing of an individual worksheet

Limit changes to an entire workbook

Limit access and changes to a shared workbook

Protect cells

Hide a workbook

Recommend read-only

Recommend opening a workbook as read-only

Require passwords

Require a password to open or use data in a workbook

Require a password to edit and save a workbook

Security

Macro virus protection

Not sure which choice you want?

Note You can create additional restrictions for viewing or changing data in workbooks by writing macros in Visual Basic for Applications. For more information, see Visual Basic Editor Help.


 About removing protection from workbooks or worksheets

About removing protection from workbooks or worksheets

You can remove protection from individual worksheets, entire workbooks, or shared workbooks.

If you aren't sure whether you need to remove protection from a workbook or a worksheet to gain the access you want, point to Protection on the Tools menu. If the currently displayed worksheet is protected, the Unprotect Sheet command appears on the Protection menu. If the workbook is protected, the Unprotect Workbook command appears. To determine whether a workbook is shared, check for [Shared] in the title bar.

What do you want to do?

Remove protection from an individual worksheet

Remove protection from an entire workbook

Remove protection from a shared workbook

Remove a workbook password


 Change or remove a workbook password

Change or remove a workbook password

If a workbook requires a password to open it and gain access to data, you must know the password to open the workbook. When you change a password, write it down and keep it in a secure place. If you lose the revised password, you cannot open or gain access to the data in a password-protected workbook.

  1. Open the workbook.

  2. On the File menu, click Save As.

    Show Me

  3. On the Tools menu, click General Options.

  4. In the Password to open or Password to modify box, double-click the symbols that represent the existing password.

  5. To change the password, type the new password, and then click OK.

    Passwords are case sensitive. Type the password exactly as you want users to enter it, including uppercase and lowercase letters.

    To remove the password, press the DELETE key, and then click OK.

  6. If you changed the password, retype the new password, and then click OK.

  7. Click Save.

  8. If prompted, click Yes to replace the existing workbook with the open workbook.


Troubleshoot shared workbooks

What do you need help with?

Unavailable commands, links, or features

The command I want is unavailable.

The links in my shared workbook don't work.

I want to protect my shared workbook, but the Protect Workbook command isn't available.

I want to protect sharing with a password, but I can't type in the Password box.

Recovering data, opening read-only workbooks, and saving

The shared workbook can be opened only as read-only.

Another user replaced data or a change that I wanted to keep.

When I try to save a shared workbook, a message tells me I'm no longer connected.


Troubleshoot merging workbooks

What do you need help with?

Microsoft Excel won't merge the workbooks I want to combine.

After merging workbooks, I don't see the changes I expected.


Troubleshoot change highlighting and the History worksheet

What do you need help with?

Change highlighting

I can see only the most recent changes.

I don't see the changes I expect.

The Accept or Reject Changes command is unavailable.

The List changes on a new sheet check box is unavailable.

History worksheet

The History worksheet won't display.

The History worksheet doesn't display all the changes.

I can't format or edit the History worksheet.

When I save the workbook, the History worksheet disappears.


Troubleshoot change history tracking

What do you need help with?

After removing a workbook from shared use and then sharing it again, I can't view the change history.

I turned on the change history, but no changes are displayed.

When I protect sharing, I can't set the number of days I want to maintain the change history.

I want to keep the change history, but I don't want to share my workbook.


Troubleshoot security and protection

What do you need help with?

Using passwords

Working with security levels and encryption

Preventing macro viruses

Setting up trusted sources

Using passwords

I typed my password, but Excel won't open the workbook.

I forgot or don't have the password for a workbook.

Return to top

Working with security levels and encryption

I can't change the security level for Excel.

I can't open a workbook because it was protected with an encryption scheme that is not available in my region.

Return to top

Preventing macro viruses

I can't use a macro in a workbook or add-in program that I opened.

I can't run or view the macros in an Excel 2000 workbook or add-in program that I opened in Excel 97.

I don't see a warning when I open a workbook that contains macros

I keep getting a warning about macros.

The Security Warning dialog box tells me that the source has not been authenticated.

I can't disable a macro.

Return to top

Setting up trusted sources

I can't add a macro developer to the list of trusted sources

I chose to trust a certificate in the Certificate Properties dialog box, but the source was not added to the list of trusted sources.

Return to top


Troubleshoot creating comments

What do you need help with?

When I create a comment, I don't want my name to appear in the comment.

Part of my comment doesn't appear.


 About protecting workbooks from viruses

About protecting workbooks from viruses

This topic provides reference information about:

Understanding macro viruses

About detecting viruses in Excel

About digital signatures

Understanding macro viruses

A macro virus is a type of computer virus that's stored in a macro within a workbook or add-in program. Viruses are programs that are written by individuals, usually with the intent to destroy or corrupt data. When you open an affected workbook or perform an action that triggers a macro virus, the virus can become active, be transmitted to your computer, and be stored in Personal.xls, a hidden workbook, or some other undetectable location. From that point on, every workbook you save can be "infected" automatically with the virus. If other people open infected workbooks, the virus can be transmitted to their computers as well. Learn about viruses and Microsoft Excel version 4.0 macros.

Return to top

About detecting viruses in Excel

Microsoft Excel offers three levels of security to reduce macro virus infections; however, it can't scan your floppy disks, hard disks, or network drives to find and remove these viruses. For this type of protection, you need to purchase and install specialized antivirus software. The three security levels are:

  • High You can run only macros that have been digitally signed and that you confirm are from a trusted source. Before trusting a source, confirm that the source is responsible and uses a virus scanner before signing macros. Unsigned macros are automatically disabled and the workbook opens automatically.

  • Medium Excel displays a warning whenever it encounters a macro from a source that is not on your list of trusted sources. You can choose whether to enable or disable the macros when you open the workbook. If the workbook might contain a virus, you should choose to disable macros.

  • Low If you are sure that all of the workbooks and add-in programs that you open are safe, you can select this security level, which turns off macro virus protection. At this level, macros are always enabled when you open workbooks.

Using trusted sources If you set the security level to Medium or High, you can maintain a list of trusted macro sources. When you open a workbook or load an add-in that contains macros developed by any of these sources, the macros are automatically enabled. Learn about security levels in Excel.

Using previously installed add-in programs When you open an add-in program that was already installed when you installed Excel 2000, macros within the file are automatically enabled.

More information

Change the security level for macro virus protection

Add a macro developer to the list of trusted sources

Remove a macro developer from the list of trusted sources

Return to top

About digital signatures

Purpose of a digital signature If you have Microsoft Internet Explorer version 4.0 or later installed on your computer, one way to identify that it is safe to use a macro is by the macro's digital signature. A digital signature on a macro is like a seal on an envelope — it confirms that the macro originated from the developer who signed it and that it has not been altered.

Purpose of a certificate When you open a workbook or load an add-in program that contains a digitally signed macro, the digital signature appears on your computer as a certificate. The certificate names the macro's source and gives additional information about the identity and integrity of that source. A digital signature does not necessarily guarantee the safety of a macro, and you must decide whether you trust a macro that has been digitally signed. For example, you might trust macros signed by someone you know or by a well-established company. If you are unsure about a workbook or add-in that contains digitally signed macros, carefully examine the certificate before enabling macros or — to be on the safe side — disable the macros. If you know you can always trust macros from a particular source, you can add that macro developer to the list of trusted sources when you open the workbook or load the add-in program.

If you are a developer, you can digitally sign macros from within the Visual Basic Editor.

More information

Troubleshoot workbook security

Return to top


 About viruses and workbook macros

About viruses and workbook macros

Understanding macro viruses

What button should I press?

More information

Understanding macro viruses

A macro virus is a type of computer virus that's stored in a macro within a workbook or add-in program. Viruses are programs that are written by individuals, usually with the intent to destroy or corrupt data. When you open an affected workbook or perform an action that triggers a macro virus, the virus can become active, be transmitted to your computer, and be stored in Personal.xls, a hidden workbook, or some other undetectable location. From that point on, every workbook you save can be "infected" automatically with the virus. If other people open infected workbooks, the macro virus can also be transmitted to their computers.

Microsoft Excel doesn't scan your floppy disk, hard disk, or network drive to find and remove macro viruses. If you want this kind of protection, you need to purchase and install antivirus software. However, Excel can display a warning message whenever you open a workbook that contains macros. You can then decide whether to open the workbook with the macros enabled or whether to open the workbook with the macros disabled so that you can only examine and edit them. A macro virus can be harmful only if it is allowed to run, so disabling the macros allows you to open the workbook safely.

Return to top

What button should I press?

  • If you expect the workbook to contain useful macros (for example, an order form used in your company), you might want to click Enable Macros to open the workbook with the macros enabled.

  • If you don't expect the workbook to contain macros, or if you don't know or are uncertain about the reliability of its source, you might want to click Disable Macros to open the workbook with macros disabled. For example, you might get a workbook as an attachment in an e-mail message from an unfamiliar source or from a network or Internet site that is not secure. In these cases, it's a good idea to talk to the originator of the workbook to verify that it is free of viruses.

    If you disable the macros, you won't be able to run any macros, recalculate custom functions, run event handlers (macros that run in response to actions such as mouse clicks), or use ActiveX controls to initiate events. You can still examine and edit the macros by using the Visual Basic Editor. When you click Save on the File menu, the macros are saved. You can then close the workbook and open it again with macros enabled if you want to run the macros.

Return to top

More information

About protecting workbooks from viruses

Change the security level for macro virus protection

Virus protection information from Microsoft on the Wold Wide Web

Return to top


 Security levels in Excel

Security levels in Excel

The following summarizes how macro virus protection works under different conditions when the security level is set to High or Medium on the Security Level tab (Tools menu, Macro submenu, Security command). If the security level is set to Low, the user receives no prompts or signature validations and macros are enabled. For all security levels, if antivirus software that works with Microsoft Office 2000 is installed and the workbook contains macros, the workbook is scanned for known viruses before it is opened.

Unsigned macros

  • High Macros are automatically disabled and the workbook is opened.

  • Medium User is prompted to enable or disable macros.

Signed macros from a trusted source: valid signature

  • High and Medium Macros are automatically enabled and the workbook is opened.

Signed macros from an unknown author: valid signature

  • High A dialog box appears with information about the certificate. Macros can be enabled only if the user chooses to trust the author and certification authority. A network administrator can lock the list of trusted sources and prevent the user from adding the developer to the list and enabling the macros.

  • Medium A dialog box appears with information about the certificate and the user is prompted to enable or disable macros. The user can choose to trust the developer and certification authority.

Signed macros from any author: invalid signature, possibly due to virus

  • High and Medium User is warned of a possible virus and macros are automatically disabled.

Signed macros from any author: signature validation not possible because of missing public key or incompatible encryption methods

  • High User is warned that signature validation is not possible and macros are automatically disabled.

  • Medium User is warned that signature validation is not possible and is prompted to enable or disable macros.

Signed macros from any author: signature made after certificate has expired or been revoked

  • High User is warned that the signature has expired or been revoked and macros are automatically disabled.

  • Medium User is warned that the signature has expired or been revoked and is prompted to enable or disable macros.


Change the security level for macro virus protection

  1. In the Tools menu, point to Macro, and then click Security.

  2. Click the Security Level tab, and then click the option you want.

    Learn about security levels.

Note You can only disable macros written in Visual Basic for Applications. Microsoft Excel version 4.0 macros are not affected by the security level setting.

If you are a developer, you can learn about how security levels and digital signatures work together.


 Check workbooks for macro viruses

Check workbooks for macro viruses

To prevent the possibility that macros containing viruses might contaminate your system, use this procedure to display a warning message whenever you try to open a workbook that contains a macro. This message appears regardless of whether the macro actually contains a virus. Make sure that you know and trust the source of the workbook before you continue. For example, consider the possibility that contamination by macros viruses may occur if the workbook is from an unsecure network or Internet site.

  1. On the Tools menu, point to Macro, and then click Security.

  2. Click the Security Level tab.

  3. Click Medium.


Warn about macros in previously installed templates and add-in programs

  1. On the Tools menu, point to Macro, and then click Security.

  2. Click the Trusted Sources tab.

  3. Clear the Trust all installed add-ins and templates check box.

Note Microsoft Excel does not consider Excel templates to be trusted sources. If you selected the Trust all installed add-ins and templates check box and clicked Medium or High on the Security Level tab, a virus warning appears when you open a template provided with Excel.

To prevent the warning from appearing, you can set the security level to Low, but first make sure that all of the workbooks you may potentially open are safe and virus-free.


 Stop checking workbooks for macro viruses

Stop checking workbooks for macro viruses

  1. On the Tools menu, point to Macro, and then click Security.

  2. Click the Security Level tab.

  3. Click Low.


 About digital signatures

About digital signatures

Microsoft Office 2000 uses Microsoft Authenticode technology to enable developers to digitally sign macro projects by using a digital certificate. Microsoft Excel has security levels that allow users to run macros based on whether or not they are digitally signed by a developer who is on their list of trusted sources. Excel also checks to ensure that the digital signature is valid — for example, that the macro project hasn't been changed, that the macro project was signed before the digital certificate expired or was revoked, and that the digital certificate was distributed by a valid certification authority.

Signing macro projects

After you install your digital certificate, you can sign macro projects. You should do this only after you test your solution and it is ready for distribution because whenever code in a signed macro project is modified in any way, its digital signature is removed. However, if you have the proper digital certificate on your computer, the macro project is automatically signed again when you save it.

If you want to prevent users from accidentally modifying your macro project and invalidating your signature, lock the macro project before signing it. Your digital signature says only that you guarantee the project is safe — it does not prove you wrote the project — so locking the macro project won't prevent others from replacing your signature with another signature. Corporate administrators may sign templates and add-in programs again so that they can control exactly what users run on their computers.

If you create an add-in program that adds code to a macro project, your code should determine whether the project is digitally signed and should notify the user of the consequences of modifying a signed project. Modifying a workbook that contains a signed project does not invalidate the signature. It is the macro project that is signed, not the workbook.

Note Digital signatures work only on computers on which Microsoft Internet Explorer version 4.0 or later is installed. If you open a workbook that contains macros (signed or not) on a computer that does not have Internet Explorer version 4.0 or later, a standard macro virus dialog box appears that allows you to choose whether to enable or disable macros before opening the workbook.

More information

Protection from workbooks that might contain viruses


 Automatically disable unsigned macros in workbooks

Automatically disable unsigned macros in workbooks

To prevent the possibility that virus macros might contaminate your system, you can automatically disable all macros that are not signed and sent from a trusted source.

  1. On the Tools menu, point to Macro, and then click Security.

  2. Click the Security Level tab.

  3. Click High.

Note If you want to evaluate each workbook individually, you can display a warning message whenever you try to open a workbook that contains a macro.


 Add a macro developer to the list of trusted sources

Add a macro developer to the list of trusted sources

To do this procedure, you must have Microsoft Internet Explorer version 4.0 or later installed on your computer and you must set the security level to Medium or High.

  1. Open the workbook or load the add-in program that contains macros from the source you want to add to the list.

  2. In the Security Warning dialog box, select the Always trust macros from this source check box.

Note If the Security Warning dialog box does not display the Always trust macros from this source check box, the macros are not digitally signed. Without a digital signature, you cannot add this macro developer to the list of trusted sources.


Remove a macro developer from the list of trusted sources

To do this procedure, you must have Microsoft Internet Explorer version 4.0 or later installed on your computer.

  1. On the Tools menu, point to Macro, and then click Security.

  2. Click the Trusted Sources tab.

  3. Click the source you want to remove from the list, and then click Remove.


Obtain a digital certificate

What do you need help with?

Create your own digital certificate

Request a digital certificate from your organization

Request a digital certificate from a commercial certification authority

Not sure which choice you want?


 Digitally sign a macro project

Digitally sign a macro project

Make sure you have at least one digital certificate before you try to sign a macro project

  1. Open the workbook or template that contains the macro project you want to sign.

  2. On the Tools menu, point to Macro, and then click Visual Basic Editor.

  3. In the Project Explorer, click the project you want to sign.

  4. On the Tools menu, click Digital Signatures.

  5. Do one of the following:

    To use the current certificate, click OK.

    To use a different certificate, click Choose, select the certificate you want, click OK, and then click OK again.

More information

Learn about digital signatures

Learn about how security levels and digital signatures work together


About defining the valid entries for a cell

To display this topic, click the graphic.

To display this topic, click the graphic


Specify the valid entries for cells

When you want to make sure that correct data is entered on a worksheet, you can specify which data is valid for individual cells or cell ranges.

What do you want to do?

Restrict cell entries to numbers, dates, or times within specified limits

Restrict cell entries to the data from a list

Limit the number of characters in cell entries

Determine valid entries for a cell by using a formula

Audit a worksheet to identify the incorrect entries

Not sure which choice you want?


Display messages that prompt for data or explain incorrect entries

You can tell users what type of data they must enter in a cell by creating a message that appears before or after data is entered in the cell.

What do you want to do?

Display an input message for a cell

Display a warning or explanation when incorrect data is entered in a cell

Display a message and prevent entry of incorrect data in a cell

Not sure which choice you want?


 Change the definition of valid data or the messages displayed for a cell

Change the definition of valid data or the messages displayed for a cell

  1. If the workbook is shared, remove it from shared use.

    How?

  2. Click a cell for which you want to change the data restrictions or messages.

  3. On the Data menu, click Validation.

  4. On each tab, select and change the options you want.

    For Help on an option, click the question mark [image] and then click the option.

  5. If you want the changes to affect other cells on the worksheet that have the same restrictions and messages, select the Apply these changes to all other cells with the same settings check box on the Settings tab.

    If you want the changes to affect only the currently selected cell, clear this check box.

Notes

  • While you are entering data into a cell that has data restrictions or messages, you cannot make changes to the restrictions or messages.

  • While a workbook is shared, you cannot make changes to the restrictions or messages by using the Data Validation dialog box. When you enter data in a shared workbook, restrictions you specified before sharing the workbook remain in effect, and messages you specified before sharing the workbook continue to be displayed.

  • If you unlock cells that have data restrictions or messages and then protect the contents of the worksheet, you can enter data and display the input and error messages, but you cannot make changes to the restrictions or messages by using the Data Validation dialog box. For more information, click [image] .


 Copy data restrictions and messages to other cells

Copy data restrictions and messages to other cells

  1. Click the cell with the data restrictions and messages you want to copy, and click Copy [image] .

  2. Select the cells for which you want the same data restrictions and messages.

  3. On the Edit menu, click Paste Special.

    Show Me

  4. Click Validation.

Notes

  • If a cell in which you paste data restrictions already contains data that does not meet the restrictions, the existing data is not changed.

  • When you copy all cell contents by using the All or All except borders options of the Paste Special command or Paste [image] , Microsoft Excel also copies the data restrictions and messages.


 Remove data restrictions and messages from a cell

Remove data restrictions and messages from a cell

  1. Select the cells from which you want to remove data restrictions and messages.

  2. On the Data menu, click Validation, and then click the Settings tab.

  3. Click Clear All.

Notes

  • When you click Clear All, you delete all selections and information from all three tabs of the Data Validation dialog box. To undo the effects of Clear All, click Cancel.

  • To remove data restrictions and messages along with all cell contents and formats, select the cells, point to Clear on the Edit menu, and then click All.


 Prevent changes to data restrictions and messages

Prevent changes to data restrictions and messages

  1. Unlock the cells for which you have set up data restrictions and messages and in which you want data to be entered. To unlock the cells, select each cell, click Cells on the Format menu, click Protection, and then clear the Locked check box.

  2. On the Tools menu, point to Protection, and then click Protect Sheet.

  3. Make sure the Contents check box is selected.

Note After you complete these steps, the Validation command on the Data menu becomes unavailable.


 Hide the circles around incorrect values in cells

Hide the circles around incorrect values in cells

  • To remove the circle from a single cell, enter valid data in the cell.

  • To hide all of the circles, make sure the Auditing toolbar is displayed by pointing to Auditing on the Tools menu and making sure the Show Auditing Toolbar command is checked. On the Auditing toolbar, click Clear Validation Circles [image] .


 Find cells that have data restrictions or messages

Find cells that have data restrictions or messages

  1. To find all cells that have the same data restrictions and messages, click a cell that has the data restrictions and messages you want to find.

    To find every cell on the worksheet that has data restrictions or messages, click anywhere on the worksheet.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Data validation.

  5. To find every cell on the worksheet that has data restrictions or messages, click All.

    To find only those cells with the same data restrictions and messages as the cell you clicked in step 1, click Same.

Tip To see what the data restrictions and messages are for a cell, click the cell, and then click Validation on the Data menu.


Troubleshoot data validation

What do you need help with?

An error message doesn't appear when data changes in a cell.

My data restrictions and messages don't work.

Messages and restrictions for cell entries don't work when I copy or fill data.

The Validation command on the Data menu is unavailable.


 Requirements for viewing Excel data on the Web

Requirements for viewing Excel data on the Web

Requirements for viewing interactive data Your users must have the following installed on their computers to view interactive Microsoft Excel data on a Web page:

  • Microsoft Office Web Components

  • Microsoft Internet Explorer version 4.01 or later (Internet Explorer 5 is available with Microsoft Office 2000)

Requirements for viewing noninteractive data Your users must have the following installed on their computers to view noninteractive data on a Web page:

  • Any Web browser


 About putting Microsoft Excel data on the Web

About putting Microsoft Excel data on the Web

This topic contains reference information about:

Overview

Advantages of putting Excel data on the Web

Requirements for putting and viewing Microsoft Excel data on the Web

Preparing to put data on the Web

Deciding whether to make the data interactive or noninteractive

Publishing or saving your data as a Web page

Formatting your Web page

Overview

Example of a PivotTable list created from a PivotTable report

You can put graphics, PivotTable reports, text, and other items on a Web page.

By using the publishing and saving features in Microsoft Excel, you can save an Excel workbook or part of the workbook, such as a single item on the worksheet, in HTML format, and make it available on an HTTP site, on an FTP site, in a Web server, or on a network server. If you put your Web page on any of these locations except a network server, the result is a Web page on the Internet or on your intranet that users can access by using their Web browsers.

You can save your data in either interactive or noninteractive form. If you save your data with interactive functionality, Microsoft Office 2000 users can work with the data and make changes to it by using Microsoft Internet Explorer version 4.01 or later, similar to the way they would use Excel to work with the data. For example, they can rearrange cells and update cell values in a spreadsheet, or filter or change the layout of a PivotTable list. Spreadsheets, PivotTable lists, and charts can all be interactive. If you save your data in a noninteractive format, users can only view the data. Learn more about ways to put Microsoft Excel data on the Web.

After you publish or save your Excel data as a Web page, you can rearrange the items on the Web page, add more text or graphics, and add other features by using Microsoft FrontPage 2000 or later or data access page Design view in Microsoft Access 2000.

Return to top

Advantages of putting Microsoft Excel data on the Web

Users don't need to have Excel installed The advantage of putting your data on the Web is that users can access and, if they have the required software installed, interact with your data without having Excel installed on their computers. All that users need is a Web browser and access to the Internet or an intranet. Learn more about requirements for viewing Excel data on the Web.

When you combine different types of data on a single Web page, users can view, analyze, and calculate all the data they need in one place.

Data is easy to update You can also quickly update a Web page that you've already put on the Web by republishing the data from Excel.

Return to top

Requirements for putting and viewing Microsoft Excel data on the Web

To put interactive Excel data on the Web You need Microsoft Office 2000 Standard, Professional, or Premium, the Microsoft Office Web Components, and Microsoft Internet Explorer 4.01 or later. Office 2000 includes Internet Explorer 5. By using these tools, you can create Web pages that contain formulas, functions, graphics, charts, ActiveX controls, PivotTable lists, and other Excel features.

You can use Microsoft FrontPage 2000 to modify your Web page, add text and graphics, or change the layout.

In addition, if you have Microsoft Access 2000, you can modify your Web page in data access page Design view. In this design environment, you can customize your Web page and its data source, add Access features, and change the layout and format. Learn more about programs you can use to modify Web pages.

Learn more about requirements for putting Excel data on a Web page.

To put noninteractive Excel data on the Web You need Office 2000 Standard, Professional, or Premium. Office 2000 includes Internet Explorer 5, but you can use any Web browser to view noninteractive Web pages.

To view interactive data on the Web Before your users can view and work with the interactive data you put on the Web, they must have the Office Web Components installed and use Internet Explorer 4.01 or later. They can do this by installing Office 2000 or, if their company has an Office 2000 site license, by downloading the Office Web Components from their corporate intranet. Learn about requirements for viewing Excel data on Web pages.

Return to top

Preparing to put data on the Web

Before you put your data on the Web, make sure that you have taken the steps that will ensure your Web page will look good and function correctly. Depending on whether you want to save your data as an interactive spreadsheet, PivotTable list, chart, or without any interactive functionality, you need to complete several tasks to ensure that your data appears correctly. Learn about preparing your data before publishing or saving it as a Web page.

Some formatting and features are not retained when you save your Excel data as a Web page.

Return to top

Deciding whether to make the data interactive or noninteractive

When you publish or save data as a Web page, you have to choose which Excel data you want and how you want your users to use it. The way your users will use your data determines the best way to publish or save your data. In general, if you want your users to work with worksheet data on the Web in the same way that you work with it in Excel, publish your data with interactive functionality.

Make your data noninteractive If you want users to simply view the data, you can put the data on a Web page without specifying any interactive functionality. For example, if you just want to report the year-end earnings for your company and you do not expect users to sort, filter, or otherwise change the way they view the data, you can publish without any interactivity. This is similar to taking a snapshot of the data and then putting a copy of the snapshot on a Web page. How to put noninteractive data on a Web page.

Make your data interactive If you want users to be able to interact with the data on a Web page, you can make the data interactive. Depending on what you publish or save and which type of interactivity you choose, users can perform such actions as filtering, entering new values for calculations, or summarizing and analyzing data. For example, if you have a mortgage calculator, you can publish it with spreadsheet functionality so that users can enter information to determine their own monthly mortgage payments. How to put interactive data on the Web.

To publish an external data range as a Web page and ensure that it's refreshable from the source data, you must publish it interactively with PivotTable functionality. The data is automatically updated whenever the Web page is opened or when users click the Refresh button in the PivotTable list. If you choose spreadsheet functionality, the external data on the Web page cannot be refreshed.

Return to top

Publishing or saving your data as a Web page

Determine where to put your Web page After you create your Web page in Excel, you can publish or save the data to a specific location. Before you make your Web page available on a public location, it's a good idea to test the page on your local computer so that you can confirm that the page is working properly. Usually, the final destination for your Web page will be a site on your Web server.

Preview the Web page before you make it available to users If you want to check the layout and format of your Web page in a Web browser before you publish or save it, you can view the page by using Web page preview. Interactive functionality does not appear when you preview your Excel data as a Web page by using this method.

You can also preview the page in interactive form by selecting the Open published Web page in browser check box before you click the Publish button in the Publish as Web Page dialog box. If possible, test your Web page in all browsers that you expect people to use when viewing the page. When you're satisfied with the results, you can publish the page to a public location.

Put data on a new page or an existing page When you save or publish your data, you can either create a new Web page or add your data to an existing Web page. You enter the path and file name for the Web page as part of the publishing process. When you add data to an existing page, Excel always appends the new data to the bottom of the page. To move the data, you can edit the Web page in another program.

Put your Web page on a Web server or other location If you work in a corporate environment and your system administrator has set up a Web server with FrontPage server extensions, you can create a Web folder on your computer and use this shortcut folder to publish or save your data to a Web server. You can also put the Web page on an HTTP site, an FTP site, or a network server.

Save a workbook or publish items When you put Excel data on the Web, there are different ways to put Microsoft Excel data on the Web, depending on whether you're saving a workbook, a worksheet, or items from a worksheet.

Return to top

Formatting your Web page

After you publish or save your Excel data as a Web page, you can change the way the data is organized, move items around on the page, add graphics or special effects, and change the overall look of the Web page. Learn about how to format data you put on a Web page.

Modify a Web page that you've previously put on the Web You can republish Excel data that you've already put on the Web by saving or publishing the data again. To republish an entire workbook, you must resave the original workbook (.xls file) as a Web page. There is no republish option in the Save as dialog box (File menu, Save as Web Page command) for an entire workbook.

Use another program to modify your Web page For best results, use FrontPage 2000 to add text and graphics, rearrange items on your page, or modify interactive features. You can also use data access page Design view in Access, which provides a design environment where you can modify your Web page and create connections to display and work with data from databases. Learn about programs you can use to edit a Web page.

Return to top


Ways to put Excel data on the Web

To display this topic, click the graphic:

To display this topic, click the graphic.


 Preparing Excel data before you publish or save it as a Web page

Preparing Excel data before you publish or save it as a Web page

Before you publish or save a Microsoft Excel worksheet, or items on a worksheet, as a Web page, be sure to save your original workbook in case you need to reference or modify and republish the data later. When you then publish or save, your .xls file remains on your hard disk, and Excel creates a new HTML (.htm) file in the location you specify. If you save an entire workbook as a Web page, however, you can open it later in Excel without losing any features.

You can put your data on the Web with or without interactive functionality. Learn about ways to put Excel data on the Web.

Preparing interactive data

Before you put data with interactive functionality on the Web, make sure that the correct data appears in Excel and is complete and accurate. Because some formatting does not appear the same way in Excel as it does on the Web, it's better to format the data in Microsoft FrontPage 2000 or data access page Design view in Microsoft Access after you publish or save it. If you want to change the actual data, use Excel. Learn about limitations of putting Excel data on the Web.

Spreadsheet functionality Note that if you are publishing an external data range, any changes to that external data will not be reflected on your Web page if you add interactivity with spreadsheet functionality. You must add interactivity with PivotTable functionality to put a refreshable external data range on a Web page.

PivotTable functionality Before publishing or saving a Microsoft Excel PivotTable report and adding interactivity with PivotTable functionality, do the following:

  • Turn off any custom calculations for data fields.

  • If the PivotTable report is based on non-OLAP source data, set the data fields to use one of the following four summary functions: Sum, Count, Min, or Max.

  • Don't use character or cell formatting — for example, colors, fonts, or borders — because that formatting will be lost.

If you want to publish or save an external data range with PivotTable functionality, and you do not want the published version to be refreshable, you can freeze the data in the external data range before you publish or save it.

Chart functionality Before you put interactive charts on the Web, make sure you are not using any features, such as 3-D charts, that do not appear the same on the Web as they do in Excel. Learn about limitations of putting Excel data on the Web.

Prepare noninteractive data Note that changes to external data ranges will not be reflected on your Web page when you publish your data without interactive functionality. You must add interactivity with PivotTable functionality to put a refreshable external data range on a Web page.

Add hyperlinks If you want users to have quick access to information on other Web pages, you can add hyperlinks to your workbook before you publish or save. Hyperlinks work in either interactive or noninteractive Web pages. How to create a hyperlink.

Preview and test the data before you make it available If you want to see how your data will appear on the Web page before you publish it, you can preview the data in your browser first. If the data does not appear as you want it, open the original workbook (.xls), modify your data and preview your Web page again. Remember that some formatting and features appear differently in Web pages than they do in Excel.

If you anticipate users using browsers other than one you are testing with, consider previewing your Web page in those browsers before making the page available to users.

Note If you do not want to save your Excel data in HTML format, you can save your workbook (.xls) directly to an Internet address. For example, if you know that all of the potential users of the workbook have Excel installed on their computers, or if you want the data in Excel format rather than HTML format, keep the data as an .xls file.


 Requirements for putting Microsoft Excel data on a Web page

Requirements for putting Microsoft Excel data on a Web page

Before you can put Excel data on a Web page, you must have several programs installed on your computer. Learn more about the requirements for viewing Microsoft Excel data on a Web page.

Requirements for saving or publishing interactive data

  • Microsoft Office 2000 Standard, Professional, or Premium.

  • Microsoft Office Web Components.

  • Microsoft Internet Explorer version 4.0 or later. To use the Property Toolbox in the Microsoft Office Web Component controls, you must have Internet Explorer 4.01 or later. (Internet Explorer 5 is available with Microsoft Office 2000.)

  • A connection to an intranet or a connection to the Internet and an Internet service provider (ISP).

You also need to know the following:

  • If you're publishing to the Internet, the protocol your service provider uses, such as FTP or HTTP.

  • If you're publishing to an intranet, the Uniform Resource Locator (URL) for the Web server where you want to put your files.

  • The name of the Web folder for the server where you will put your files. Learn about Web folders.

If you do not have this information, contact your ISP or system administrator.

Requirements for publishing noninteractive data

You must have the following installed on your computer to put noninteractive Excel data on a Web page:

  • Microsoft Office 2000 Standard, Professional, or Premium, or Microsoft Excel 2000

  • Any Web browser


Preview your Web page before publishing or saving it

You can see how your Microsoft Excel data will look as a Web page by previewing your workbook or worksheet.

  • On the File menu, click Web Page Preview.

Note This preview shows all data in noninteractive form. To preview the page in interactive form, select the Open published Web page in browser check box before you click the Publish button and save the page to your local disk folder. When you're satisfied with the results, you can publish the page to a public location.


Put Microsoft Excel data on a Web page

Learn more about putting Excel data on the Web.

Which Excel data do you want to put on the Web?

Data that will be interactive

Worksheet

PivotTable report

Results of a query (external data range)

Range of cells or a simple list

Filtered list

Chart

Print area

Modified data on a Web page that was previously saved by Excel

Data that will be added to an existing Web page

Data that will be noninteractive

Entire workbook

Worksheet, range of cells, filtered list, chart, print area, or other item

Modified data on a Web page that was previously saved by Excel

Data that will be added to an existing Web page


 Put Microsoft Excel data that will be noninteractive on a Web page

Put Microsoft Excel data that will be noninteractive on a Web page

Use this procedure to save a worksheet, items on a worksheet, or a chart sheet as noninteractive data on a Web page. How to save an entire workbook on a Web page.

Before you save or publish data as a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. On the File menu, click Save as Web Page.

  2. Click Publish.

  3. In the Choose list, click the type of data you want to publish, and in the box or list below that, specify the item you want.

  4. Make sure the Add interactivity with check box is cleared.

  5. To add a title to the published section, click Change, type the title you want, and then click OK.

  6. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  7. Click Publish.

Note When you publish a noninteractive chart, the chart is saved as a Graphics Interchange Format (.gif) image file in the supporting files folder. Learn more about the supporting files folder.


 Put Excel data on an existing Web page

Put Excel data on an existing Web page

You can put Microsoft Excel data on any existing Web page as long as you have permission to modify the Web page and have access to the HTML file. When you put data on an existing Web page, you can choose between replacing the existing Web page with your data or adding your data to the end of the Web page.

  1. Select the Excel data you want to put on an existing Web page.

  2. On the File menu, click Save as Web Page.

  3. Click Publish.

  4. Make sure the data you selected appears in the Choose box and list.

  5. If you want to add interactivity, under Viewing options, select the Add interactivity with check box, and click the type of functionality you want for your worksheet.

    Learn about the differences between spreadsheet and PivotTable functionality.

  6. To add a title, click Change, type the title you want, and click OK.

  7. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location of the existing Web page you want to append your data to or replace.

  8. If you want to view the Web page in your browser after you publish it, select the Open published Web page in browser check box.

  9. Click Publish.

  10. Do one of the following:

    To copy over the existing Web page, click Replace file.

    To append your data to the end of the Web page, click Add to file.


 Providing custom instructions on a Web page

Providing custom instructions on a Web page

When you put your Excel data on a Web page, it's good practice to tell your users about the information on the Web page and how or why they might want to use it. Although you cannot connect your instructions directly into the online Help, you can include text directly on the Web page that describes the spreadsheet, chart, or PivotTable list, or you can provide a hyperlink to a separate Web page of instructions. You can use Microsoft FrontPage 2000 to create the separate Web page with the instructions.

In addition to providing a general description of the data, you should also provide instructions on how to use the interactive functionality to work with your data, to supplement the general information in the Microsoft Office Web Component Help for PivotTable lists or spreadsheets. To display this Help, click an interactive spreadsheet or PivotTable list on your Web page in the Web browser, and then click the Help button on that control's toolbar.


 Set the encoding for a Web page

Set the encoding for a Web page

When you are authoring a Web page, you can specify the encoding that a Web browser will use to display the page. You can also specify the encoding that Microsoft Excel should use to load a Web page when the initial encoding is incorrect.

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Encoding tab.

  3. Do one of the following:

    To specify the language code that you want Excel to use to display the page (if the page is unreadable), click an item in the Reload the current document as list.

    To specify the language code that you want Excel to use to save your Web page, click an item in the Save this document as list.

    Note To have Excel always save your Web pages by using a default encoding, select the Always save Web pages in the default encoding check box. This option applies to the current page and any future pages that you save in Excel. This setting is useful if you reuse pages from other sources and want to store every page in one encoding.


Features that are not retained when you save an entire workbook as a Web page and then reopen it in Excel

The following features are not retained when you save or publish an entire workbook as a Web page and then reopen the Web page in Excel.

Feature | Result
Custom views | Any custom views you defined are not retained.
Data consolidation | References are not retained.
Labels in formulas | Converted to cell references.
Scenarios | Any scenarios you created are not retained.
Shared workbook information | Not retained.
Function categories | Any categories you defined are not retained.


 Limitations of putting interactive data on the Web

Limitations of putting interactive data on a Web page

Depending on the type of Microsoft Excel data you are saving as a Web page and how that data is formatted, some features and formatting might work and appear differently when data is saved or published as a Web page.

This topic provides information about the limitations of publishing or saving data when you select the following options for the Add interactivity with setting:

Spreadsheet functionality

PivotTable functionality

Chart functionality

Spreadsheet functionality

Feature | Result on a Web page
Shared workbook information | Not retained.
Pattern fills | Not retained.
Dotted or broken borders | Changed to solid borders.
Graphics | Not retained.
Named cells or named ranges | Formulas are converted to use references rather than named cells or ranges.
Named constant values | Converted to values.
Drawing object layers | Not retained.
Wrapped text in cells | Not retained.
Multiple fonts in a single cell | Not retained. The font of the first character in the cell is used.
Conditional formatting | Current cell formatting is retained. Formatting is no longer conditional.
Outlining | Collapsed rows are published as hidden. Expanded rows are published normally.
Password protection | Data in password-protected worksheets and workbooks cannot be saved or published as a Web page. To publish data that's protected, you must use a blank (or no) password.
Cell comments | Not retained.
Data validation restrictions and messages | Not retained.
Precision as displayed | Not supported. Precision as displayed value is published.
Array formulas | Converted to values.
Distributed alignment | Not retained.
Thai alignment | Not retained.
Auditing tracer arrows | Not retained.
Indented text | Not retained.
Printing and page setup features | Not retained.
Labels in formulas | Converted to cell references.
Rotated or vertical text | Converted to horizontal text.
References to data on other worksheets | References are converted to values.
1904 date system | The displayed dates remain the same, but the serial numbers for the dates are converted to the 1900 date system.
R1C1 reference style | Converted to A1 reference style.
Lotus compatibility | R1C1 reference style is converted to A1 reference style.
External data ranges | Converted to values. Ability to refresh from the source data is not retained.
Web queries | Converted to values. Ability to refresh from the source data is not retained.
Subtotals | Numbers and calculations appear correctly. Group and outline features are not retained.

Return to top

PivotTable functionality

Feature | Result on a Web page
Calculated fields | Formulas are not retained. Changed to total fields that use the default summary function for the field (Sum, Count, Min, or Max).
Calculated items | Not retained.
Summary functions | Only data fields summarized with Sum, Count, Min, or Max are retained. Data fields that use other summary functions are lost.
Custom calculations | Not retained. The data field using the custom calculation is lost.
Character and cell formatting | Not retained. Changes you make to fonts, text size, text color, and cell backgrounds are lost.
Custom subtotals | Not retained. If you change the summary function in Excel, the subtotal or grand total reverts to the summary function of the total field in the PivotTable list on the Web.
Number formats | Partially retained. Number formats that you apply to PivotTable fields in Excel are retained, but number formats that you apply to individual cells are not retained. If you use a custom number format or a number format that's not supported by PivotTable lists on the Web, the numbers appear with the same number format as the Excel PivotTable report. If you subsequently change the number format for the field in the PivotTable list, you cannot return the field to the custom number format.
Asterisks that mark totals | Even if you turned off the asterisks marking totals in Excel, the asterisks are displayed in the PivotTable list on the Web.
Print settings | Not retained. The Excel settings to repeat PivotTable row and column labels on each page, repeat items labels after page breaks, and set page breaks between sections are lost.
Grouped items in fields | Partially retained. Grouped items in date fields are retained, but any selected items and numeric items that are grouped in Excel are no longer grouped in the PivotTable list on the Web, and group fields from Excel are not retained.
Custom sort order | Not retained. Instead, the data is in the order in which it is retrieved from the source database.
Indented formats | Not retained. Fields are in the same positions, but the character and cell formatting are not retained. Blank rows between item groups are lost.
Subtotals displayed at the top of item groups | Not retained. Subtotals appear at the bottom of each group.
Top/bottom items AutoShow | Not retained. All items are displayed.
Customized error values and empty cell values | Not retained. Errors and empty cells are displayed as blank cells.
Page fields in rows or columns | Not retained. Page fields become filter fields, which are always displayed across the top.
Password settings | Data in password-protected worksheets and workbooks cannot be saved or published as a Web page. To publish data that's protected, you must use a blank (or no) password. If you save your database password with the query in Excel, users must enter the password when they open the Web page in the browser.
Background refresh, retrieving data for each item in a page field individually | Not retained. The PivotTable list on the Web is always refreshed in the foreground, and all data for filter fields is retrieved in one operation.
Changes to Excel source data | Not available. To redefine the range of Excel source data or change the query to select different external data, you must make the change in Excel and republish.
Offline cube file data sources | You cannot reconnect to the original server database from the published PivotTable list, or make changes to the content of the offline cube file from the PivotTable list. If you need to perform either of these operations, you can do so in Excel and then republish to the PivotTable list.

Return to top

Chart functionality

You must save or publish charts separately from other data in your workbook for the charts to appear correctly on your Web page. When you save a chart with interactive functionality, some features do not appear as they do in Excel

Feature | Result on a Web page
3-D chart type | Changed to 2-D chart type.
Surface chart type | Changed to column chart type.
Auto scale fonts | Changed to default font size.
Drawing objects, text boxes, and pictures on the chart | Not retained.
Semitransparent fills | Not retained.
Time-scale axis | Changed to the default category axis with text labels.
Individual data label formatting | Changed to the default data label formatting.
Custom positioning and sizing of chart items | Changed to the default position and size.
Multicolumn legend layout | Changed to the default legend layout.
High-low lines | Not retained.
Series lines | Not retained.
Shadows | Not retained.
Moving average trendlines | Not retained.
Error bars that are calculated by using the standard error | Error bars are changed to use the default calculation.
Password protection | Data in password-protected worksheets and workbooks cannot be saved or published as a Web page. To publish data that's protected, you must use a blank (or no) password.
Plot visible cells only | All data is plotted, including data in hidden cells.
Positioning of category axis labels on line charts between categories (points) by default | Centered on data points.
Trendlines | Trendlines are plotted through data points and to the borders of the plot area, giving a slightly different appearance than in Excel, where trendlines are plotted through data points but not to the borders of the plot area.
Error bars that are calculated by using standard deviation | Changed to use default calculation.

Chart features that cannot be added or modified in another design program

The following Excel chart features are retained when you publish an interactive chart. However, when you open the Web page in another design program, such as Microsoft FrontPage 2000 or data access page Design view in Microsoft Access, these features cannot be added or modified. If you modify the feature or the series to which the feature is applied, the feature is no longer retained:

  • A secondary value axis, which is used to plot data that varies widely or is of another type from the primary data. The secondary axis is on a different scale from the primary axis.

  • The ability to vary colors by point, which is usually applied to single-series charts. When you apply the Vary colors by point option, each data marker in one series is a different color, rather than the standard single color for each data marker in a series.

  • Some combination charts, such as a column chart that's combined with a pie chart.

Return to top


 About working with graphics on Web pages

About working with graphics on Web pages

Inserting graphics

Aligning graphics

Graphics formats for Web pages

You can add graphics or animated files to your workbook and then save your workbook as a Web page. Microsoft Excel converts all of your graphics and animations to files that appear properly in HTML format in Web browsers.

You can use graphics that are provided with Excel, such as clip art , AutoShapes, text boxes, and WordArt, or you can create your own graphics in GIF format. If you have Internet access, you can get more graphics from the Microsoft Web art resources Web page.

Inserting graphics

Inserting graphics from files When you insert a graphic from a file, you can insert the entire graphic by copying and pasting the graphic from another location, or you can insert a link to the graphic at a fixed location, such as your Web server, or to a relative file location. Linking to a graphic makes it easier to both update the graphic and share the graphic with other Web pages.

If you move or copy a Web page to another location, make sure that you also move or copy any supporting files — such as graphics, background textures, and bullets — so that you maintain the relative links to your Web page.

If you link to graphics on Web pages other than your own, you should ask from permission from the Web page owner.

Using drawing objects You can use drawing objects, such as AutoShapes and text boxes, when you create workbooks that you want to put on Web pages.

Using animated GIF images You can insert animated GIF images, but you cannot crop, group, or change the fill, border, shadow, or transparency of an animated GIF by using the Picture toolbar or the Format Picture dialog box. Make these changes in an animated GIF editing program, and then insert the file in the workbook again.

Using clip art, pictures, or WordArt You can also insert pictures or clip art or insert WordArt in a workbook that you will publish or save as a Web page.

More information

Edit a picture

Specify an alternative text description for an object on a Web page

Return to top

Aligning graphics

The Drawing and Picture toolbars in Excel provide alignment commands that help you arrange your graphics. When you select a picture in a workbook, Excel automatically displays the Picture toolbar. To display the Drawing toolbar, point to Toolbars on the View menu, and then click Drawing.

Return to top

Graphics formats for Web pages

The first time you save your workbook or worksheet in HTML format, Excel determines the appropriate graphics format for your graphics and converts them to GIF, JPEG, or PNG format. These formats are image types that are supported on the World Wide Web.

Excel creates a subfolder named "file_name files" and stores the converted graphics there. For example, if your file is named Book1.htm, Excel creates a subfolder named "Book1 files." Excel also assigns names such as image001.jpg and image002.gif to the supporting files.

Return to top


 Prevent graphics on your Web page from downloading

Prevent graphics on your Web page from downloading

You can prevent graphics from downloading into Microsoft Internet Explorer 4.0 and other browsers that do not support Vector Markup Language (VML) format. By doing this, you can save your Web page faster in HTML format, take up less disk space, and decrease download time.

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Pictures tab.

  3. Select the Rely on VML for displaying graphics in browsers check box.

    Notes

    • If you are using Microsoft Internet Explorer 5.0, this procedure decreases download time and the amount of space needed for the files, but the graphics will still appear on the Web page.

    • This option applies to the current page and any future pages that you save in Excel.

    • Before you send a worksheet in HTML format as an e-mail message with this option turned on, make sure that the recipient of your message can view the worksheet in an e-mail system that recognizes graphics in VML format (such as Microsoft Outlook 2000 or later). Otherwise, recipients won't see any graphics in the e-mail message.


 Save graphics in PNG format

Save graphics in PNG format

Use Portable Network Graphics (PNG) format when you want your workbook to be saved faster, take up less disk space, and download faster. To view graphics in PNG format, you must use a browser that supports PNG format. See your system administrator to find out if your Web browser supports PNG format before saving your file in PNG format. Learn about the PNG filter.

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Pictures tab.

  3. Select the Allow PNG as an output format check box.

Note This option applies to the current page and any future pages that you save in Excel.


 Guidelines for managing Web files and hyperlinks

Guidelines for managing Web files and hyperlinks

This topic provides reference information about:

Relative vs. absolute links

Managing supporting files

Testing links

Relative vs. absolute links

When you create Web pages, Microsoft Excel automatically manages the related files and hyperlinks so that the images appear and the links work when the pages are placed on the final Web server.

When all the files — such as bullets, navigational buttons, background textures, graphics, and Web pages you create hyperlinks to — are placed on, or published to, the same Web server, Excel maintains the links as relative links. Using relative links makes it easier to move supporting files from one location to another. For example, the link is relative if the path to your Web page is http://Myserver/Mydoc.htm and the page has a link to a graphic named graphic1.gif.

Hyperlinks to Web sites on other servers — for example, a list of your favorite places on the Web — are maintained as absolute links — that is, fixed file locations. For example, the link is absolute if your Web page is on http://Myserver and the page contains a link to http://www.example.microsoft.com.

When you save your Web pages to a different location, links that can't be converted to relative links remain as absolute links.

Return to top

Managing supporting files

When you save an Excel workbook or worksheet as a Web page, Excel creates a supporting folder named "file_name files" where it saves all the page's supporting files — such as bullets, background textures, and graphics. For example, if your file is named Page1.htm, Excel creates a subfolder named "Page1 files." Excel also assigns names such as image001.jpg and image002.gif to the supporting files.

When you delete elements that were saved as relative links, Excel automatically deletes the corresponding supporting files from the supporting folder.

If you move or copy your Web page to another location, you must also move the supporting folder so that you maintain all links to your Web page.

For example, suppose you have a Web page http://Myserver/Page1.htm. It includes bullets, which are stored in a supporting folder http://Myserver/Page1 files. The relative paths for the bullet files are /Page1 files/image001.gif and /Page1 files/image002.gif. If you move Page1.htm to a new location, such as http://Myserver2, you must also move the supporting files folder (Page1 files) to http://Myserver2.

By default, the name of the supporting folder is the name of the Web page plus an underscore (_), a period (.), or a hyphen (-), and the word "files." The word "files" will appear in the language of the version of Excel used to save the file as a Web page. For example, suppose you use the Dutch language version of Excel to save a file called Page1 as a Web page. The default name of the supporting folder would be Page1_bestanden. Learn more about the default name for supporting folders.

Return to top

Testing links

After you have published your Web pages to the Internet or an intranet, you should test the pages in a Web browser. Make sure that all the graphics are showing and that all hyperlinks go to the correct Web pages.

More information

Put data on the Web

Return to top


 Create a hyperlink

Create a hyperlink

You can create hyperlinks in workbooks, by using either text or graphics, that link to charts, workbooks, Web pages, or other files.

What do you want to do?

Link to a file or Web page

Create a hyperlink to a new file

Create a hyperlink to an existing file

Create a hyperlink to a Web page

Link to a specific location

Create a hyperlink to a specific location in a workbook

Create a hyperlink to a specific location in a Web page or another Office file

Create a customized hyperlink by using a worksheet function so that users of your worksheet can choose which hyperlink destination they want to go to.

Link to an e-mail address

Create a hyperlink to an e-mail address so that when you click the hyperlink, your e-mail program automatically opens with a message addressed to a specific address.


 Set the base address for the hyperlinks in a workbook

Set the base address for the hyperlinks in a workbook

By default, unspecified paths to hyperlink destination files are relative to the location of the active workbook. Use this procedure when you want to set a different default path. Each time you create a hyperlink to a file in that location, you'll only have to specify the file name, not the path, in the Insert Hyperlink dialog box.

  1. On the File menu, click Properties.

  2. Click the Summary tab.

    Show Me

  3. In the Hyperlink base box, type the path you want to use.

Note You can override the hyperlink base address by using the full, or absolute, address for the hyperlink in the Insert Hyperlink dialog box.


 Change the text or graphic for a hyperlink

Change the text or graphic for a hyperlink

  1. Select the cell or graphic that represents the hyperlink.

    To select a cell that contains a text hyperlink, click a cell next to the hyperlink, and then use the arrow keys to move to the cell.

    To select a graphic, hold down CTRL and click the graphic.

  2. To change text, edit the text in the formula bar.

    To reformat a graphic, use the Drawing or Picture toolbar.

    How?

    To change text that's part of a graphic, double-click the selected graphic and make the changes you want.

Note To change the graphic that represents the hyperlink, insert the new graphic and make it a hyperlink with the same destination. Then delete the old graphic or remove the hyperlink.


 Change the appearance of hyperlink text

Change the appearance of hyperlink text

When you make changes to the Hyperlink and Followed Hyperlink styles, your changes apply to all hyperlinks in the current workbook.

  1. On the Format menu, click Style.

    Show Me

  2. To change the appearance of hyperlinks before they have been clicked to make a jump, click Hyperlink in the Style name box.

    To change the appearance of hyperlinks after they have been clicked to make a jump, click Followed Hyperlink in the Style name box.

  3. Click Modify.

  4. Select the options you want, and then click OK.

    For Help on an option, click the question mark [image] and then click the option.

  5. Clear the check boxes for any options you don't want.

  6. Click Add, and then click Close.

Notes

  • The Hyperlink style appears in the Style name box only if you have previously created a text hyperlink in the workbook. The Followed Hyperlink style appears only if you have used a text hyperlink in the workbook to jump to another file and then returned to the original workbook.

  • For information about how to save the changes to the Hyperlink and Followed Hyperlink styles for use in new workbooks, click [image] .


 Change the destination of a hyperlink

Change the destination of a hyperlink

  1. Right-click the hyperlink you want to change, point to Hyperlink on the shortcut menu, and then click Edit Hyperlink.

  2. Make the changes you want.

    For Help on an option, click the question mark [image] and then click the option.

Note If the hyperlink was created by using the HYPERLINK worksheet function, you must edit the formula to change the destination. Use the arrow keys to select the cell that contains the formula, and then click the formula bar to edit the formula.


 Copy or move a hyperlink

Copy or move a hyperlink

  1. Right-click the hyperlink you want to copy or move.

  2. Do one of the following:

    To copy the text or graphic and the hyperlink, click Copy on the shortcut menu.

    To move the text or graphic and the hyperlink, click Cut on the shortcut menu.

  3. Right-click the cell you want to copy or move the hyperlink to, and click Paste on the shortcut menu.


 Deactivate a hyperlink

Deactivate a hyperlink

  • Right-click the hyperlink you want to deactivate, point to Hyperlink on the shortcut menu, and then click Remove Hyperlink.

Note To delete a hyperlink that was created by using the HYPERLINK workbook function, use the arrow keys to select the cell that contains the formula, and then press DELETE.


 Remove a hyperlink and the text or graphic that represents it

Remove a hyperlink and the text or graphic that represents it

  • To remove a hyperlink and the text that represents it, right-click the hyperlink, and click Clear Contents on the shortcut menu.

  • To remove a hyperlink and the graphic that represents it, hold down CTRL and click the graphic, and then press DELETE.

Note To remove a hyperlink that was created by using the HYPERLINK workbook function, use the arrow keys to select the cell that contains the formula, and then press DELETE.


Delete a hyperlink

What do you want to do?

Deactivate a hyperlink

Remove a hyperlink and the text or graphic that represents it


About changing data that is on a Web page

After your Microsoft Excel data is on a Web page, you can change the data, format, or layout of the data. Because some features and formatting look different on a Web page than they do in Excel, you might need to make some adjustments. You can change interactive data in the browser if you need to change your view only temporarily, or you can modify the Web page in a design program if you want the changes to be permanent.

Make changes using the Web browser If you saved your data with interactive functionality, there are many changes you can make to your Web page while you have it open in a Web browser. However, any changes you make in the Web browser are only temporary and are not saved when you quit the browser. For information about what changes you can make and how to make them, click an interactive spreadsheet or PivotTable list on your Web page in the Web browser, and then click the Help button on that control's toolbar. To change an interactive chart, change the data in the corresponding spreadsheet or PivotTable list on the Web page.

Make changes using a design program If you want to add graphics or text, or move the items around on the Web page, you can open your Web page in a design program, such as Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000, and modify the data there.

Which design program you should use depends on what kinds of changes you want to make and how you published or saved the data. If you published or saved an entire workbook, you can modify the .htm file directly in Excel. If you published or saved a worksheet or items from a worksheet, it's best to use Microsoft FrontPage 2000. How to determine which design program to use.

In some cases, you might want to change the HTML code for your Web page. However, changes you make to the HTML code might not be supported by Microsoft Excel or other Office programs if you open the Web page in those programs.


 How Excel data is organized after it's saved or published as a Web page

How Excel data is organized after it's saved or published as a Web page

When you put data on the Web, your main .htm file appears on the Internet or intranet location you specified and the supporting files, such as the .gif, .xml, and other .htm files, appear in a folder in the same location. The folder containing the supporting files has the same name as the Web page you saved. Learn about the default names for supporting folders.

If you want to move your Web page to a different location, you can either republish the Microsoft Excel data to the new location or move the .htm file and its supporting folder. You can also specify that the files not be saved in the supporting folder, if you want to save the supporting files in the same folder as the Web page.


 Programs you can use to change a Web page

Programs you can use to change a Web page

There are several programs that you can use to change a Web page that contains Microsoft Excel data. The recommended programs are Microsoft FrontPage 2000, Microsoft Access 2000, and Microsoft Visual Basic. Whenever you want to make permanent changes to your data, you should make the changes in the original Excel file or in another editor, but not in the browser. Other than Excel, you can use only FrontPage 2000, data access page Design view in Access 2000, and Visual Basic to change a Web page you created with interactive functionality. The following are the recommended ways to change your Web page:

  • Entire workbook Open the .htm file in Excel, and make changes to the data.

  • Noninteractive data or interactive spreadsheet, PivotTable list, or chart For best results, modify the data by using Microsoft FrontPage 2000. You can also use data access page Design view in Microsoft Access 2000 or Visual Basic version 6.0.

When to use Microsoft Excel Whenever possible, you should open the original workbook (.xls) file you used to publish or save the Web page, make changes in the workbook, and republish the data. If you do not have access to the original workbook, you can export interactive spreadsheets and PivotTable lists to Excel by using the control's Export to Excel toolbar button in the Web browser or use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to change the Web page.

When to use Microsoft FrontPage 2000 Use FrontPage 2000 or later when you want to do the following:

  • Rearrange items on your Web page and customize the interactive functionality for spreadsheets, PivotTable lists, and charts

  • Use advanced Web site management tools and gain access to other Web sites

  • Add Microsoft Office WebBot Components

  • Use design-time controls

  • Add ActiveX controls that are available only from FrontPage

When to use data access page Design view in Microsoft Access Use Microsoft Access when you want to do the following:

  • Add controls, such as text boxes and drop-down list controls, that display data from a Microsoft Access or Microsoft SQL Server database

  • Add a chart that shares the same data as your external data range

  • Add ActiveX controls that are available only in data access page Design view

If you use Access to modify the page by adding Microsoft Office Web Component controls or by adding controls that aren't bound to database data, when you republish the page, users with Internet Explorer version 4.01 or earlier will still be able to use the page. However, if you add controls other than Microsoft Office Web Component controls and those controls are bound to database data (Microsoft Access or Microsoft SQL Server database data), users will also need to have Internet Explorer 5 or later to use the page in the browser.

When to use Visual Basic 6.0 Use Visual Basic 6.0 when you want to add custom controls or when you want to use the Microsoft Office Web Components as COM controls or in Visual Basic forms.

Modifying the HTML code You can use an HTML editor, such as FrontPage, or a text editor, such as Notepad, to make changes such as moving items on the Web page. However, any changes you make directly to the HTML code might not be supported in Microsoft Excel or other Office programs if you try to open the file later in one of those programs.


 Change data after you put it on a Web page

Change data after you put it on a Web page

If you published or saved your data with interactive functionality, you can modify the data in the original workbook (.xls) by using Microsoft Excel and then republish the data. You can also use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to change aspects of the Web page such as the formatting or graphics. Learn more about programs you can use to modify Web pages.

  1. Open your Web page by using a Web browser.

  2. If an arrow appears next to the Edit button, click it and select the editor you want to use. If not, click the Edit button.

Note If your browser doesn't have an Edit button, or if clicking the Edit button opens a program other than the one you want, you can open the Web page directly in the program you want to modify it with, such as Microsoft FrontPage 2000.


Modify and republish data on a Web page that was previously saved by Excel

When you publish or save your Microsoft Excel data as a Web page, Excel creates an HTML version of the file (with the extension .htm). If you want to update that data on the Web page, and you saved or published a worksheet or items on a worksheet, you can republish the data by opening your original workbook (.xls) file, not the .htm file, to make the changes. Then when you republish the data, Excel replaces only the data you select.

  1. Open the workbook (.xls file) that you previously saved as a Web page and now want to modify.

  2. Modify the data, and then resave the workbook as an .xls file.

  3. Select the worksheet or item in the workbook that you want to update on the Web page.

  4. On the File menu, click Save as Web Page.

  5. Click Publish.

  6. If you want to change the type of interactivity, title, or location of the Web page, make the appropriate changes in the dialog box.

  7. If you want to view the Web page in the browser after you publish it, select the Open published Web page in browser check box.

  8. Click Publish.

Notes

  • Republishing a workbook You can't use this procedure to republish an entire workbook. To republish an entire workbook as a Web page, you can open the .htm file in Excel and make changes directly to the Web page file.

  • Republishing a worksheet with an interactive chart If you republish a worksheet that contains a chart and you select interactive functionality, the chart is not included on the Web page. To put a chart on a Web page, you must save or publish it separately.


 Reduce the file size of a Web page

Reduce the file size of a Web page

If you publish or save data on the Web and add interactivity with spreadsheet functionality, and your worksheet contains formulas that reference data that is not in your selected range, you can reduce the file size by not saving the external referenced data.

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the General tab.

  3. Clear the Save any additional hidden data necessary to maintain formulas check box.

    Notes

    • This option applies to the current page and any future pages that you save in Excel.

    • If you choose not to save the hidden data, formulas that reference that data are replaced by the formulas' calculated values.


 About saving or publishing a file on the Internet or an intranet

About saving or publishing a file on the Internet or an intranet

The steps that you take to save or publish your files to the Internet or an intranet depend on where you want to make the files available.

This topic provides reference information about:

Making your files available on an intranet or the Internet

Managing files on an intranet or the Internet

Making your files available on an intranet or the Internet

If your company has an intranet that's based on Internet protocols, here are some options for saving your files on the intranet.

  • Use Web folders If your Web server supports Web folders (the Web server must have Microsoft FrontPage Server Extensions installed), you can use Web folders to save copies of your files to the Web server. Before you can copy or manage folders and files on a Web server, contact your system administrator to get the URL of a Web server where you can save files. Learn about Web folders.

  • Use FTP If your Web server supports File Transfer Protocol (FTP), you can save a file to an FTP site. Before you can use FTP, contact your system administrator to get access to a location where you can save files.

Return to top

Managing files on an intranet or the Internet

To best manage the files you store on a Web server, ask your Internet service provider (ISP) or your organization's Web administrator how the files, graphics files, and other files should be structured on the server. For example, find out whether you need to create separate folders for bullets and pictures or whether you need to store all the files in one location. If you plan to use forms or image maps, it is recommended that you ask about any limitations on using these items because they require additional server support.

Return to top


 About Web folders

About Web folders

When you create a Web page on your computer, you can use a Web folder to save or publish the page directly to a Web server, where the page is then immediately accessible on your Web.

This topic provides reference information about:

What is a Web folder?

Creating Web folders

Using Web folders to save files to Web servers

Viewing and managing the contents of Web folders

What is a Web folder?

A Web folder is a shortcut to a Web server where you can publish or save files for viewing in Web browsers. When you create new Web folders, they are stored in a folder called Web Folders in the root directory of your computer. You can access Web Folders from Windows Explorer, from My Computer, or from the Open or Save As dialog box (File menu) in Microsoft Excel or any Microsoft Office program.

Not all Web servers can be accessed by using Web folders. You can use the Web Folders feature to save a file to a Web server only if that server has Microsoft FrontPage Server Extensions, which are part of Microsoft Office Server Extensions, installed.

Return to top

Creating Web folders

Before you can create, copy, save, or manage folders and files on a Web server, you must have access to one. Consult your system administrator or Internet service provider (ISP) to find out which Web servers you have write access to and which of those Web servers have Microsoft FrontPage Server Extensions installed.

You can create a Web folder by using the Add Web Folder Wizard, which appears in Web Folders. How to create a Web folder.

Return to top

Using Web folders to save files to Web servers

After you create a Web folder, you can publish or save Excel data to a Web server by specifying the Web folder in the Save As or Publish dialog box (File menu, Save as Web Page command). Because the Web folder is a shortcut, the files you save are placed directly on the Web server and immediately become available on your Web.

You can also save files to a Web server by using Windows Explorer.

Return to top

Viewing and managing the contents of Web folders

You can view and manage folders and files in a Web folder the following ways:

In Windows Explorer When you view the contents of a Web folder, you see a list of folders and files, and their associated URLs. You can move, copy, rename, and delete these files and folders just as if they were on a regular file server, and you can view the folder and file properties. You can also drag files between Web servers, between a Web server and a file server, and between a Web server and your hard disk.

In an Office program From the Open dialog box (File menu) in Excel or other Office programs, you can view and open the contents of Web folders.

In a browser If you connect to a Web server that has Microsoft FrontPage Server Extensions installed, you can view the contents of Web folders and the associated file system properties in your browser.

Return to top


 Create a Web folder

Create a Web folder

Before you can create a Web folder, you might need to see your system administrator or Internet service provider (ISP) to find out the URL of a Web server you can save files to.

  1. In Windows Explorer in the My Computer folder, double-click Web Folders.

  2. Double-click Add Web Folder.

  3. Follow the instructions in the Add Web Folder Wizard.

Notes

  • To create a Web folder from within Microsoft Excel: In the Open or Save As dialog box (File menu; Open, Save As, or Save as Web Page command), click Web Folders on the Places Bar. Click Create New Folder [image] , and then follow the instructions in the Add Web Folder Wizard.

  • To save existing files to the Web server, drag them and any supporting folders to the newly created Web folder. Learn about default names for supporting folders.


 Save a copy of a file to a Web server by using Microsoft Excel

Save a copy of a file to a Web server by using Microsoft Excel

  1. On the File menu, click Save As.

  2. On the Places Bar, click Web Folders, and then double-click the Web folder where you want to save the file.

  3. In the folder list, locate and double-click the folder where you want to save the file.

  4. In the File name box, type a name for the file.

  5. In the Save as type list, click the file format you want to save the file in.

  6. Click Save.

Tip If you want to save your workbook as a Web page before you put it on a Web server, you can save your workbook as an .htm file.


 Save a copy of a file to a Web server by using Windows Explorer

Save a copy of a file to a Web server by using Windows Explorer

  1. In Windows Explorer, locate and right-click the file you want to save to a Web server, and then click Copy on the shortcut menu.

  2. In the My Computer folder, double-click Web Folders.

  3. In the list of Web folder sites, double-click the folder you want.

  4. Locate and right-click the folder where you want to save the file, and then click Paste on the shortcut menu.

Notes

  • When you save a file as a Web page, all supporting files — such as those for bullets, background textures, and graphics — are by default organized in a supporting folder. If you move or copy your Web page to another location, you must also move or copy the supporting folder so that you maintain all links to your Web page. Learn about default names for supporting folders.

  • If you don't see the Web server you want to save your file to, you can create a new Web folder for it.


 Open a file on a Web server by using Microsoft Excel

Open a file on a Web server by using Microsoft Excel

  1. Click Open [image] .

  2. On the Places Bar, click Web Folders, and then double-click the Web folder that contains the file you want to open.

  3. In the folder list, locate and double-click the folder that contains the file you want to open.

    To see all files in the folder, click All Files in the Files of type list.

  4. Locate and click the file you want to open.

  5. Click the arrow to the right of the Open button, and click Open in Microsoft Excel.

Notes

  • If your file is in HTML format (a Web page), make sure your supporting files folder is also in the same folder so that any links are maintained.

  • To quickly open a file on a Web server, in the File name box in the Open dialog box, type the address for the file you want to open, and then press ENTER. For example, you might type http://sales/february/workbooks.xls to open a file from the http://sales Web server. If a Web folder for http://sales doesn't already exist, it will be created automatically.

  • Another way to open a file on a Web server is to use the Web toolbar in Excel. You can type the address in the Address box and then press ENTER to quickly open the file. The file opens in your browser.


 About Web scripts

About Web scripts

A Web script is a type of computer code that expert users and developers can include to make Microsoft Excel data on Web pages dynamic. For example, a script could provide a "number of visitors" counter that increases by 1 each time someone visits your Web page. Or the script could provide a statement "only x more days" before a special event, where the number x decreases by 1 every day.

Creating Web scripts requires knowledge of programming. If you are a developer, you can create and modify scripts in a workbook. The scripts can be run after you publish the Excel data, including the scripts, to a Web page. Usually scripts are run by a Web browser when a Web page is opened, typically to display information produced by the script.

Working with Web scripts

When you use an Office program, such as Excel, to open a Web page that contains a Web script, a script anchor appears on the page. You can turn on or off the display of the script anchors. The script anchor does not appear when you view the Excel data or Web page in a Web browser, or when you print the Excel data or Web page. You can copy or move a script or delete scripts from a Web page or workbook from within Excel.

Using scripts from other Web pages

When you copy or move a Web script from one Web page or workbook to another, or from one location on a Web page or worksheet to another, the script may not run correctly or may return errors when you view the Web page in a browser. Although some Web scripts are self-contained and will work correctly in any location on any page, other scripts are dependent on the structure of the Web page.


 About creating and modifying Web scripts

About creating and modifying Web scripts

You can add Microsoft Visual Basic Scripting Edition (VBScript) or JavaScript to Microsoft Excel data to be used on a Web page by using the Insert Script command (which you must add to the menu) and the Microsoft Script Editor command (Tools menu, Macro submenu).

What scripting is used for Scripting is useful for custom Web-based solutions development. It provides a full object model for the Web browser and the objects on the current page. This makes it possible to write code that manipulates elements on the page without having to know the details of the underlying HTML or how the objects are implemented. You can also create script code that is specifically designed to handle events that occur on objects (such as ActiveX controls) on your page. For information about using scripts to handle object events, refer to Microsoft Script Editor Help.

Using Microsoft Office WebBot Components WebBots are web script (JavaScript or VBScript) applets that can be embedded in Office9 documents that use Dynamic HTML (DHTML) script to create an interactive Web page. Learn about WebBots.

Viewing scripts and HTML code If you want to view the HTML code along with any script code for your data or Web page, you can open the Microsoft Script Editor. In the Script Editor, you can add text, modify HTML tags, and modify script code. You can also view your data as it would appear in a Web browser and modify it in this view.

More information

Create a script for a Web page

View or modify a Web script


Create a script for a Web page

To display this topic, click the graphic.


 About Java applet support

About Java applet support

What is a Java applet? A Java applet is a small program written in the Java language, a programming language developed by Sun Microsystems, Inc. A Java applet is used primarily on the World Wide Web. Each applet is a separate file referenced by an HTML document and can be used, for example, to add animation, music, database operations, or updated information to a Web page.

Java applet icon When you open a Web page that contains a Java applet in a Microsoft Office program, an icon representing the applet Java applet icon appears on the page.

The icon does not appear when you view Microsoft Excel data or a Web page in a browser, or when you print a workbook or a Web page.

Working with Java applets Creating Java applets requires knowledge of programming. You can move or copy a Java applet to a new location on a Web page or in Excel data for a Web page, or to a different Web page. You can also delete Java applets. If you are a developer, you can create or modify the code for a Java applet.


 About Microsoft Office WebBot Components

About Microsoft Office WebBot Components

This topic provides reference information about:

What is a Microsoft Office WebBot Component?

Obtaining WebBots

Obtaining sample documents that contain WebBots

What is a Microsoft Office WebBot Component?

WebBots are Web script (JavaScript or Microsoft Visual Basic Scripting) applets. They can be embedded in Microsoft Office 2000 documents that use Dynamic HTML (DHTML) scripts to create interactive Web pages. For example, a WebBot could allow the reader of a Web page to collapse and expand the subheadings under a heading in a table of contents. A WebBot could also mark text on the Web page as time-sensitive so that as text becomes obsolete it is dimmed or doesn't appear at all.

Office WebBots are similar to the general-purpose WebBots included in Microsoft FrontPage 2000 (available in Microsoft Office 2000 Premium). Office WebBots, however, are designed specifically for use with the Office 2000 programs, and most of these WebBots function only in Microsoft Excel or Microsoft Word.

Return to top

Obtaining WebBots

Sample WebBots are available in Microsoft Office 2000 Developer and are also available on the Microsoft Office Update Web site.

You can add the sample WebBots to Office 2000 documents, or if you are a developer and have knowledge of DHTML, you can create your own WebBots.

The sample WebBots demonstrate the new Office 2000 programmability features. The samples also provide a friendly interface in the Office programs, so you can take advantage of DHTML features without writing script or Visual Basic for Applications code. A WebBots add-in is provided with the sample WebBots. After installing the add-in, you can view a list of the sample WebBots by using the Office WebBots dialog box (Insert menu). Although the Office WebBots dialog box is available in all of the Office 2000 programs after you install the WebBots add-in, most of the WebBots function only in Word and Excel. To see the effects of the WebBots on a Web page, you must have a Web browser installed that supports DHTML — for example, Microsoft Internet Explorer version 4 or 5.

Return to top

Obtaining sample documents that contain WebBots

Sample Office 2000 Web pages are included on the Microsoft Office 2000 Developer CD-ROM and on the Microsoft Office Update Web site to demonstrate the application of WebBots and to serve as templates and examples.

For more information about using the WebBots that are provided with Office 2000 Developer, see the information about WebBots in the Office MSDN Library – Office 2000 Developer CD-ROM (available if you have Office 2000 Developer) and also on the Microsoft Office Update Web site.

Return to top


Troubleshoot publishing and saving Excel data as a Web page

What do you need help with?

Accessing or copying data

I can't refresh the data that I published or saved as an interactive spreadsheet.

In my Web browser, I can't export my Web page data to Microsoft Excel.

Clicking the Edit button in my Web browser opens my Web page in the wrong program.

I can't publish or save my Excel data to a Web folder.

I get an error message when I try to publish or save data as a Web page.

Noninteractive items that don't appear correctly on the Web page

Patterns don't appear correctly.

Text doesn't appear correctly.

Text in a cell is cut off.

Rotated text doesn't appear correctly.

Borders don't appear correctly.

Items I publish or save to an existing Web page always appear at the bottom of the page.

Names appear as values or ranges.

I can't publish or save password-protected data.

The background color of a cell changes.

Interactive items that don't appear correctly on the Web page

Patterns don't appear correctly.

Text doesn't appear correctly.

Text in a cell is cut off.

Rotated text doesn't appear correctly.

Borders don't appear correctly.

Items I publish or save to an existing Web page always appear at the bottom of the page.

My chart doesn't appear.

I can't publish or save my chart with interactive functionality.

My PivotTable report doesn't appear correctly.

I can't view the page in the Web browser.

#NAME? appears when I publish or save Excel data that uses Analysis ToolPak functions.

I can't filter the data on a Web page.

Names appear as values or ranges.

I can't publish or save password-protected data.


Troubleshoot Web page options

Working with files and links

I don't want to keep my supporting Web files in a separate folder.

I saved my Web page to a file server, and now some people can't find or view it.

I moved my Web page to another location, and now some of the links are broken.

I can't automatically create a backup copy of my Web page.

How can I reduce the file size of my Web page?

Cells are missing when I save or publish as a Web page.

My query data is missing or is not updating properly.

The name of the supporting folder for a Web page is in another language.

Working with graphics

I see a red X on my Web page.

I see a blank image where the graphic should be on my Web page.

The graphics and text on my Web page look different on another computer.

Working with data

I can't use the interactive data on a Web page.

My query data is missing or is not updated properly.

Users can't open my interactive Web page.

Specifying the character set or font

My Web page displays the wrong characters for a language.

A Web page that I opened has the wrong character set or font.


Troubleshoot hyperlinks

What do you need help with?

I can't select the hyperlink text or graphic to make changes.

When I reopen the workbook, my hyperlinks no longer work.

I can't open a workbook on the Internet.

When I click a hyperlink, an error message appears.

When I copy data to my workbook, my hyperlinks don't work properly

My gridlines disapper when I insert a hyperlink in a new workbook


 Bring data from a Web page into Microsoft Excel

Bring data from a Web page into Microsoft Excel

There are several ways you can bring data from a Web page into Excel. Depending on how you get the data into Excel and how the data was put on the Web originally, some of your data might look different in Excel than on the Web page. Entire workbooks that were saved as Web pages by using Excel will always appear correctly, but other data might appear differently, especially interactive data.

Copy and paste You can copy selected data from a Web page by using the copy and paste commands.

Export data from interactive controls From the browser, you can export data from interactive spreadsheets and PivotTable lists to Excel by using the control's Export to Excel toolbar button. For more information, see the Microsoft Office Web Component Help for PivotTable lists or spreadsheets. To display this Help, click an interactive spreadsheet or PivotTable list on your Web page in the Web browser, and then click the Help button on that control's toolbar.

Web query You can use a Web Query to bring tables and preformatted areas into Excel. When you use a Web query, you can specify which parts of the Web page you want and how much formatting you want to keep. If you try to bring an entire Web page into Excel, some items, such as .gif images and frames pages, are not included.

Open command (File menu) You can also open any .htm file in Excel. When you do this, you get the entire Web page, but you might lose some content. For example, scripts, .gif image files, and lists of data in a single cell do not appear properly in Excel.


 Copy data from a Web page to Microsoft Excel

Copy data from a Web page to Microsoft Excel

When you copy data from a Web page to Excel, you might lose some content. For example, scripts, .gif image files, and lists of data in a single table cell do not appear properly in Excel. Copying Web page data to Excel works best if you select a table only.

  1. In your Web browser, select the data you want to copy.

  2. On the Edit menu, click Copy. If your browser doesn't have this command, see your browser's Help for information on copying.

  3. Switch to Excel.

  4. Click in the upper-left corner of the worksheet area where you want the copied data to appear.

  5. On the Edit menu, click Paste.

Note If you are copying data from an interactive spreadsheet or PivotTable list in the browser, there's a special procedure for copying data. For more information, see the Microsoft Office Web Component Help for PivotTable lists or spreadsheets. To display this Help, click an interactive spreadsheet or PivotTable list on your Web page in the Web browser, and then click the Help button on that control's toolbar.


Change data that is on a Web page

What do you want to do?

Modify data after you put in on a Web page

Modify the HTML code for data on a Web page

Learn about programs you can use to modify Web pages

Not sure which choice you want?


Change the HTML code for data on the Web

Although you can modify the HTML code for your Web page directly, changes that you make to the code might not be supported by Microsoft Excel or other Microsoft Office programs if you try to open the document later in one of those programs.

For best results, use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access to modify your Web page, or modify the original .xls file in Excel and then republish the data.


 Determine whether Web browsers will use Excel to edit a Web page

Determine whether Web browsers will use Excel to edit a Web page

Web browsers have a setting that specifies which program to use to edit the current Web page. You can override the browser's setting for Microsoft Internet Explorer 3.0 or later so that the browser will use a Microsoft Office program to edit pages that were created in an Office program. Learn about programs you can use to edit a Web page.

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Files tab.

  3. Do one of the following to the Check if Office is the default editor for Web pages created in Office check box:

    To edit the Web page by using the Office program you used to create it, select the check box.

    To use the program that is set in the browser's edit option, clear the check box.

    Note This option applies to the current page and any future pages that you save in Excel.


Default names for Web page supporting folders

When you save your file as a Web page, all supporting files — such as bullets, background textures, and graphics — are by default organized in a supporting folder. By default, the name of the supporting folder is the name of the Web page plus an underscore (_), a period (.), or a hyphen (-) and the word "files." The word "files" will appear in the language of the version of Microsoft Excel that you used to save the file as a Web page.

For example, suppose you use the Dutch language version of Excel to save a file called Page1 as a Web page. The default name of the supporting folder would be Page1_bestanden.

Note If you save your Web page with a short file name (maximum of eight characters, plus a three-character file extension) by clearing the Use long file names whenever possible check box in the Web Options dialog box, the supporting folder is the name of the Web page without the word "files."

The following table shows the translation for "files" in each language version of Excel 2000.

Office 2000 language | Default name for Web page supporting folder
Arabic | ".files"
Basque | "_fitxategiak"
Brazilian | "_arquivos"
Bulgarian | ".files"
Catalan | "_fitxers"
Chinese (Simplified) | ".files"
Chinese (Traditional) | ".files"
Croatian | "_datoteke"
Czech | "_soubory"
Danish | "-filer"
Dutch | "_bestanden"
English | "_files"
Estonian | "_failid"
Finnish | "_tiedostot"
French | "_fichiers"
German | "-Dateien"
Greek | ".files"
Hebrew | ".files"
Hungarian | "_elemei"
Italian | "-file"
Japanese | ".files"
Korean | ".files"
Latvian | "_fails"
Lithuanian | "_bylos"
Norwegian | "-filer"
Polish | "_pliki"
Portuguese | "_ficheiros"
Romanian | ".files"
Russian | ".files"
Serbian (Cyrillic) | ".files"
Serbian (Latin) | "_fajlovi"
Slovakian | ".files"
Slovenian | "_datoteke"
Spanish | "_archivos"
Swedish | "-filer"
Thai | ".files"
Turkish | "_dosyalar"
Ukranian | ".files"
Vietnamese | ".files"


 Add the current file to your list of favorites on the Web toolbar

Add the current file to your list of favorites on the Web toolbar

When you use Microsoft Excel to open a workbook or other file on the Internet, the World Wide Web, your intranet, your network, or your local system, you can add the file to the Favorites folder so that you can open it again quickly.

  1. On the Web toolbar, click Favorites, and then click Add to Favorites.

  2. Click Add.

Notes

  • To reopen the file quickly when you have another workbook open, click Favorites on the Web toolbar, and then click the file in the list.

  • The Favorites folder is shared by all Microsoft Office programs and Microsoft Internet Explorer. Therefore, files that you add to the Favorites list will appear in the Favorites folders in other Office programs and Internet Explorer.


 Open recently visited Web or Office files

Open recently visited Web or Office files

  1. To open previously visited Web or Microsoft Office files in the opposite order that you originally viewed them, click Back [image] on the Web toolbar.

  2. After you return to previously visited files, click Forward [image] on the Web toolbar to open the files again in the order originally viewed.


 Open your Web start page by using the Microsoft Excel Web toolbar

Open your Web start page by using the Microsoft Excel Web toolbar

When you start a Web browser, the start page is the first page that appears in the browser. The start page may contain instructions for using the Web and hyperlinks that jump to other files.

  • On the Web toolbar, click Start Page [image] .

Note For information about setting an Excel workbook as your Web start page, click [image] .


 Open the Web search page by using the Web toolbar

Open the Web search page by using the Web toolbar

A search page provides a way to find and go to files on your intranet or other Internet sites. In many search pages, you can search by topic or by keyword; other search pages provide a list of hyperlinks to selected files or to Internet sites.

To view a search page that is a Microsoft Office file, you must have the Office program used to create the file or viewer software that allows you to open files created with the Office program. To view a search page that is an HTML Web page, you must have an Office-compatible Web browser, such as the Microsoft Internet Explorer.

  • On the Web toolbar, click Search the Web [image] .

Note For information about setting a Microsoft Excel workbook as your search page, click [image] .


 Hide all toolbars except the Web toolbar

Hide all toolbars except the Web toolbar

  • On the Web toolbar, click Show Only Web Toolbar [image] .

Note To redisplay the toolbars that were hidden, click Show Only Web Toolbar [image] again.


 Make a Microsoft Excel workbook the start page for your Web

Make a Microsoft Excel workbook the start page for your Web

When you specify a new start page from within Microsoft Excel, the start page you specify also becomes the start page for your other Microsoft Office programs and for your Office-compatible Web browser.

  1. In Excel, open the workbook you want to use as the start page.

  2. On the Web toolbar, click Go, and then click Set Start Page.

  3. Click Yes.

Notes

  • To specify an HTML Web page for the start page, open the HTML file by using a browser, such as Microsoft Internet Explorer, and then see Microsoft Internet Explorer Help.

  • To specify another type of Office file as the start page, see Help for the Office program used to create the file.


 Make a Microsoft Excel workbook the search page for your Web

Make a Microsoft Excel workbook the search page for your Web

When you specify a new search page from within Microsoft Excel, the search page you specify also becomes the search page for your other Microsoft Office programs and for your Office-compatible Web browser.

Use this procedure to specify a Microsoft Excel workbook as your search page. To specify another type of Office file as the search page, see Help for the Office program used to create the file. To specify an HTML Web page for the search page, open the HTML file by using either the Microsoft Internet Explorer or Microsoft Word installed with HTML authoring, and then see Microsoft Internet Explorer Help or Word Help.

  1. In Excel, open the workbook you want to use as the search page.

  2. On the Web toolbar, click Go, and then click Set Search Page.

  3. Click Yes.


 Turn off automatic completion of file names and URLs

Turn off automatic completion of file names and URLs

If you have Microsoft Internet Explorer 4.0 or later, you can turn off the feature that automatically suggests a match for file names and URLs as you type them in the Insert Hyperlink and Open dialog boxes in Microsoft Excel. This also turns off automatic completion of URLs in Internet Explorer and any other Microsoft Office programs you have.

  1. Start or switch to Internet Explorer.

  2. On the View menu, click Internet Options, and then click the Advanced tab.

  3. Under Browsing, clear one of the following check boxes:

    4. If you have Internet Explorer 4, clear the Use AutoComplete check box.

    If you have Internet Explorer 5, clear the Use inline AutoComplete in integrated shell check box.


 Update the current file by using the Web toolbar

Update the current file by using the Web toolbar

When you try to open a Microsoft Excel workbook or other file on the World Wide Web, a network location, or a Web server, and another person is using that file, you can open the file as read-only. If you want to view the most recent changes that the other person has saved, you can refresh your copy of the Web page.

  • On the Web toolbar, click Refresh Current Page [image] .


 Add an FTP site to the list of FTP locations

Add an FTP site to the list of FTP locations

To add an FTP site to the list of FTP locations in the Save As and Open dialog boxes, you must have access to the FTP site. You can gain access to an FTP site either through a direct network connection to the Internet or through a dial-in Internet service provider. For information about how to set up Internet access, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.

Note You must have your proxy settings set correctly to modify or add an FTP location. Contact your system administrator for the correct proxy setting.

  1. Click Open [image] .

  2. In the Look in list, click Add/Modify FTP Locations.

  3. In the Name of FTP site box, type the FTP server name; for example, ftp.microsoft.com

  4. Do one of the following:

    If you want to log on anonymously and the site permits this, click Anonymous.

    If you have a user account at the site and want to use it to log on, click User, and then type your user name in the User box.

  5. If you do not want to be prompted for your password each time you open or save files at the site, type your password in the Password box.

  6. Click Add.


 Save a workbook to an FTP site

Save a workbook to an FTP site

Before you can save a workbook to an FTP site, you must add the FTP site to your list of FTP locations. For information, click [image] .

To save a workbook to an FTP site, you must have permission to save files at the site. For information about access permissions or any problems you encounter, contact the administrator for the site.

  1. On the File menu, click Save As.

  2. In the Save in list, click FTP Locations.

  3. In the list of FTP locations, double-click the site you want, and then double-click directories until you find the directory where you want to save the workbook.

  4. In the File name box, type a name for the workbook.

  5. Click Save.

Note When you save a workbook to an FTP site, you cannot create backup copies of the workbook by selecting the Always create backup check box in the Save Options dialog box. (To locate this option, click Save As on the File menu, click Tools, and then click General Options.)


 Change the logon name or password used to gain access to an FTP site

Change the logon name or password used to gain access to an FTP site

To change the logon name or password, the FTP site must be on your list of FTP locations. For more information, click [image] .

  1. Click Open [image] .

  2. In the Look in list, click FTP Locations.

  3. Right-click the FTP site you want to change, and then click Modify on the shortcut menu.

  4. Make the changes you want.

    For Help on an option, click the question mark [image] and then click the option.


 Delete an FTP site from the list of FTP locations

Delete an FTP site from the list of FTP locations

  1. Click Open [image] .

  2. In the Look in list, click FTP Locations.

  3. Right-click the FTP site you want to remove, and then click Remove on the shortcut menu.


 About discussions in Excel

About discussions in Excel

The Discussions feature is available only if you have Microsoft Office Server Extensions installed on your server. For more information, contact your system administrator.

This topic provides reference information about:

Using threaded discussions for collaboration

Starting and viewing discussions

Editing, deleting, and replying to discussions

Filtering discussions

More information

Using threaded discussions for collaboration

The Discussions feature allows you and others to insert remarks in a workbook. The discussions are threaded; that is, replies to a discussion remark are nested directly under the remark. You can have multiple discussions in progress simultaneously. (You can also work directly from within your browser.) By using the Discussions toolbar, anyone reviewing your workbook can view and reply to any discussion. You can then review discussions in Microsoft Excel and incorporate changes to your workbook that are based on the feedback you receive.

Return to top

Starting and viewing discussions

When you begin a discussion, a discussion pane appears with your remark or question in it, along with the subject of the discussion. After people have added comments, you can scroll through the discussions in the discussion pane to view the subject, the names of those who inserted the remarks, and the content of the discussion.

Return to top

Editing, deleting, and replying to discussions

You can edit or delete only the remarks that you've added to a workbook, unless your system administrator has set up edit and delete permissions to allow you to delete all discussion remarks. You can reply to any remark.

Return to top

Filtering discussions

You can filter discussions in a workbook so that you read only those remarks added by a particular participant within a certain time frame. For example, you can show only the remarks inserted by John Smith within the last week.

Return to top

More information

Select a discussion server

Reply to a discussion remark in Excel

Edit discussion text in Excel

Delete a discussion remark in Excel

Return to top


 About discussions on Web pages

About discussions on Web pages

The Discussions feature is available only with Microsoft Office Server Extensions, a feature that is set up by your system administrator.

This topic provides reference information about:

Using threaded discussions for collaboration

Browser requirements

Getting Help about discussions

More information

Using threaded discussions for collaboration

The Discussions feature allows you and other people to insert remarks into a Web page. The discussions are threaded; that is, the replies to each remark are nested directly under that remark. You can have multiple discussions in progress simultaneously. You start a discussion from within your browser. (You can also work directly from within Microsoft Word, Microsoft Excel, and Microsoft PowerPoint.) By using the Discussions toolbar, anyone reviewing your Web page can view and reply to any discussion. You can also filter discussions on a Web page so that you can read only the remarks that were added by a particular participant or within a particular time frame. You can then review the discussions in your browser or in a Microsoft Office program and incorporate any changes to your Web page, based on the feedback you receive.

Return to top

Browser requirements

You can use the Discussions feature with most browsers, although it works best when you use Microsoft Internet Explorer version 4.0 or later. If you're using an earlier version of Internet Explorer, or another browser (such as Netscape Navigator version 3.0 or later), you must use the Microsoft Office Server Extensions start page to add remarks to a Web page. To access the Office Server Extensions start page from your browser, type http://ServerName/msoffice/ in the Address box, where ServerName is a Web server that you can save files to. Consult your system administrator for the name of a Web server that you can save files to.

When you connect to a Web page from the Office Server Extensions start page, no matter what browser you're using, the Discussions toolbar that appears looks different from the one that appears when you start a discussion from within Internet Explorer 4.0 or later.

Return to top

Getting Help about discussions

Just click Web Discussions Help Web Discussions Help on the Discussions toolbar to display the Help contents.

Return to top

More information

About discussions in Excel

Return to top


 Select a discussion server

Select a discussion server

  1. Open the workbook you want to add a discussion to.

  2. On the Tools menu, point to Online Collaboration, and then click Web Discussions.

  3. On the Discussions toolbar, click Discussions, and then click Discussion Options.

  4. Click Add.

  5. In the Type the name of the discussion server your administrator has provided box, enter the name of a discussion server.

  6. If your administrator has set up security by using the Secure Sockets Layer (SSL) message protocol, select the Secure connection required (SSL) check box.

  7. In the You can type any name you want to use as a friendly name for the discussion server box, enter the name you want to use for the server — for example, My Server.

  8. Click OK twice.


 Show or hide discussions

Show or hide discussions

  • On the Discussions toolbar, click Show/Hide Discussion Pane [image] .

Tip If the Discussions toolbar isn't displayed, point to Online Collaboration on the Tools menu, and then click Web Discussions.


Show or hide items in the discussion remark header

The time, subject, display name, and user name appear by default in the discussion remark header. You can show or hide any or all of these items. The display name is usually your full name. The user name is usually the domain user name that is set up by your system administrator. The Text check box applies to the content of the remark. If you clear this check box, the remark itself will be hidden.

  1. On the Tools menu, point to Online Collaboration, and then click Web Discussions.

  2. On the Discussions toolbar, click Discussions, and then click Discussion Options.

  3. Under Discussion fields to display, select or clear the check boxes for the items you want to show or hide in each discussion header.

Note If the item you've chosen to show or hide does not appear or disappear immediately, click Discussions on the Discussions toolbar, and then click Refresh Discussions.


 Start a discussion about a workbook

Start a discussion about a workbook

  1. Open the workbook you want to start a discussion about.

  2. On the Tools menu, point to Online Collaboration, and then click Web Discussions.

  3. On the Discussions toolbar, click Discussions, and then click Insert about the Workbook.

  4. Under Discussion subject, type the subject of the discussion.

  5. Under Discussion text, type your remark.

  6. Click OK.

    The discussion pane appears.

Tip To hide the discussion pane, click Show/Hide Discussion Pane [image] on the Discussions toolbar.


Start a discussion from within your browser

Browser requirements for adding discussions to Web pages

  1. In your browser, open the Web page you want to add discussions to.

  2. Do one of the following:

    If you're using Microsoft Internet Explorer 5 or later, click Discuss Discuss.

    If you're using Internet Explorer version 4.x, point to Explorer Bar on the View menu, and then click Discuss.

    If you're using another browser, type http://ServerName/msoffice/ in the Address box, where ServerName is a Web server that you can save files to. Consult your system administrator for the name of a Web server that you can save files to.

Note When you connect to a Web page from the Microsoft Office Server Extensions start page, no matter what browser you're using, the Discussions toolbar that appears looks different from the one that appears when you start a discussion from within Internet Explorer 5. See the Microsoft Office Server Extensions start page Help for more information.


 Reply to a discussion remark

Reply to a discussion remark

  1. Open the workbook that contains the discussion you want to join.

  2. On the Tools menu, point to Online Collaboration, and then click Web Discussions.

    If the discussion pane isn't displayed, click Show/Hide Discussion Pane [image] .

  3. At the end of the text you want to reply to, click Show a menu of actions Show a menu of actions, and then click Reply.

  4. Under Discussion text, type your reply.


 Edit discussion text

Edit discussion text

  1. Open the workbook that contains the discussion text you want to edit.

  2. On the Tools menu, point to Online Collaboration, and then click Web Discussions.

    If the discussion pane isn't visible, click Show/Hide Discussion Pane [image] .

  3. At the end of the text you want to edit, click Show a menu of actions Show a menu of actions, and then click Edit.

  4. Under Discussion text, type any changes you want to make to the text.

Note You can edit only the discussion text that you inserted.


Filter discussions

You can filter the discussion remarks in a workbook so that you read only those remarks inserted by a particular person within a certain time frame. For example, you can view only remarks inserted by John Smith within the last week.

  1. Open the workbook that contains the remarks you want to filter.

  2. On the Tools menu, point to Online Collaboration, and then click Web Discussions.

  3. On the Discussions toolbar, click Discussions, and then click Filter Discussions.

  4. In the Created by box, click the name of the person whose remarks you want to appear in the discussion pane.

  5. In the Creation time box, click the time frame you want.


Print discussions

Use this procedure when you want to print all of the discussion remarks in the current file.

  1. On the Discussions toolbar, click Discussions, and then click Print Discussions.

  2. Select the options you want.


 Delete a discussion remark

Delete a discussion remark

  1. Open the workbook that contains the remark you want to delete.

  2. On the Tools menu, click Online Collaboration, and then click Web Discussions.

    If the discussion pane isn't visible, click Show/Hide Discussion Pane [image] .

  3. At the end of the remark you want to delete, click Show a menu of actions Show a menu of actions, and then click Delete.

  4. When a message appears, click Yes.


Close the Discussions toolbar

  • On the Discussions toolbar, click Close.


 About online meetings

About online meetings

This topic provides reference information about:

Hosting an online meeting

Participating in an online meeting

Collaborating in an online meeting

The integration of the Microsoft NetMeeting program with Microsoft Office allows you to share and exchange information with people at different sites in real time as if everyone were in the same room. You can initiate an online meeting from within any Office program. (You can also work directly in the NetMeeting program by pointing to Programs on the Windows Start menu and then clicking NetMeeting.) When you start an online meeting from within an Office program, NetMeeting automatically starts in the background and allows you to begin sharing the contents of your file. You can either host an online meeting or be invited to participate in one.

Hosting an online meeting

Start the meeting You can either schedule the meeting in advance by using Microsoft Outlook (see Outlook Help) or start an impromptu online meeting from within the workbook you want to share. If the participants are available and they decide to accept your invitation, the online meeting begins.

Control the workbook At the start of an online meeting, you are the only person who has control of the workbook, although all participants can see your workbook on their screens. You can allow participants to make changes to the workbook by turning on collaboration, and you can also turn off collaboration at any time. When collaboration is turned off, the other participants can no longer make changes, but they will be able to watch you work. When collaboration is turned on, each person in the online meeting can take turns editing and controlling the workbook. When someone else is in control of the workbook, you will not have the use of your pointer — not only in the workbook, but also for any other purpose. The initials of the person in control of the workbook appear next to the mouse pointer.

Add participants to a meeting in progress You can invite participants at any time to join an online meeting already in progress. To receive your invitation, participants must have NetMeeting running on their computers. How to start Microsoft NetMeeting.

Return to top

Participating in an online meeting

When you're invited to participate in an online meeting, you'll receive a message requesting you to join an upcoming or ongoing meeting at a specified time and date. When you accept a call to join an online meeting, the Online Meeting toolbar and the workbook that is being shared appear on your screen.

Return to top

Collaborating in an online meeting

In an online meeting, you can share programs and documents, send text messages in Chat, transfer files, and work on the Whiteboard. By collaborating, participants can take control of the workbook to review and edit its contents. During the meeting, only one person at a time can control the workbook, but multiple users can work simultaneously in Chat or the Whiteboard if collaboration is turned off. The host of the meeting is the only person who needs to have the shared document and its program installed.

Use NetMeeting for an online meeting

Return to top


 Use NetMeeting for an online meeting

Use NetMeeting for an online meeting

Microsoft NetMeeting provides desktop data capabilities that allow you to communicate and collaborate with other people in real time over the Internet or corporate intranets. You can use the steps in this topic to guide you through using NetMeeting for an online meeting. Learn about online meetings.

Note The first time you start an online meeting, you'll be prompted to select a directory server to connect to. You can select any of the directory servers from the list in the Server name box under Directory. If you're a corporate user, you should ask your system administrator for the name of a directory server you can connect to.

  1. Start an online meeting

    Schedule a Microsoft Outlook online meeting from Microsoft Excel

    2. Start an impromptu online meeting from Microsoft Excel

  2. Participate in an online meeting

    Join an online meeting

    Remove participants from an online meeting

    Add participants to an online meeting already in progress

  3. Communicate during an online meeting

    Control a workbook in an online meeting

    Display the Whiteboard during an online meeting

    Send typed messages in an online meeting

    Send a file to participants in an online meeting

  4. End an online meeting

    End an online meeting


 Which NetMeeting directory server should I connect to?

Which NetMeeting directory server should I connect to?

The first time you start an online meeting, you'll be prompted to select a directory server to connect to. You can select any of the directory servers from the list in the Server name box under Directory. If you're a corporate user, ask your system administrator for the name of a directory server you can connect to.


Schedule a Microsoft Outlook online meeting from Microsoft Excel

  1. Open the workbook you want to share.

  2. On the Tools menu, click Online Collaboration, and then click Schedule Meeting.

  3. Select the options you want.

For more information about scheduling an online meeting, see Outlook Help.


Join an online meeting

  • Do one of the following:

    If you receive a Microsoft Outlook online meeting reminder, click Start NetMeeting to join the meeting, or click Dismiss to decline the meeting request.

    If you receive an online meeting call, click Accept in the Join Meeting dialog box to join the meeting, or click Ignore to decline the meeting. You must have Microsoft NetMeeting running on your computer to receive an online meeting call.


 Send typed messages in an online meeting

Send typed messages in an online meeting

Only the host of the online meeting can open the Chat window from within a Microsoft Office program. If participants want to open the Chat window, they must use the Microsoft NetMeeting program directly by clicking the Microsoft NetMeeting icon on the taskbar.

  1. On the Online Meeting toolbar, click Display Chat Window [image] .

  2. In the Message box, type your text, and then press Enter.

Tip It is faster to correspond in the Chat window if the host turns off collaboration. If you have control of the workbook and want to turn off collaboration, click Allow others to edit [image] on the Online Meeting toolbar, or press ESC if you don't have control.


Send a file to participants in an online meeting

Only the host of the online meeting can send files to participants from within a Microsoft Office program. If participants want to send files, they must use the Microsoft NetMeeting program directly by clicking the Microsoft NetMeeting icon on the taskbar.

  • On the File menu, point to Send To, and then click Online Meeting Participant.

Note All participants in the meeting receive the file you send. If you want to send the file to only one participant, send the file in an e-mail message.


 Display the Whiteboard during an online meeting

Display the Whiteboard during an online meeting

Only the host of the online meeting can display the Whiteboard from within a Microsoft Office program. If participants want to display the Whiteboard, they must use the Microsoft NetMeeting program directly by clicking the Microsoft NetMeeting icon on the taskbar.

  • On the Online Meeting toolbar, click Display Whiteboard [image] .

    The Whiteboard appears so that meeting participants can draw or type comments. For Help on using the Whiteboard, click its Help menu.

Note For participants to work simultaneously on the Whiteboard, the host must turn off collaboration. If you have control of the workbook, click Allow others to edit [image] on the Online Meeting toolbar, or press ESC if you don't have control.


 View a list of participants in an online meeting

View a list of participants in an online meeting

  • On the Online Meeting toolbar, click the participant list.

    The list is updated as participants join and leave the meeting.


 Control a workbook in an online meeting

Control a workbook in an online meeting

The host controls the workbook when the meeting starts. The host can allow collaboration by the participants and can turn off collaboration at any time. When collaboration is turned on, any participant can control the workbook, but only one person at a time can have control. When collaboration is turned off, multiple users can work simultaneously in Chat or on the Whiteboard.

Control the workbook as the host

  • To turn on collaboration, click Allow others to edit [image] on the Online Meeting toolbar.

  • To take back control when collaboration is turned on, click anywhere in the workbook.

  • To turn off collaboration when you have control of the workbook, click Allow others to edit [image] again, or press ESC if you don't have control of the workbook.

Control the workbook as a participant

  • To take control of a workbook for the first time, double-click anywhere in the workbook. Thereafter, you can regain control by clicking anywhere in the workbook.

    Only the host of the meeting can use the Online Meeting toolbar. If you want more control of Microsoft NetMeeting features during an online meeting, you must use the NetMeeting program directly by clicking the Microsoft NetMeeting icon on the taskbar.

Note The initials of the person in control of the workbook appear next to the mouse pointer.


 Remove participants from an online meeting

Remove participants from an online meeting

Note The host of the meeting is the only person who can remove participants from an online meeting.

  1. In the list on the Online Meeting toolbar, select the name of the person you want to remove from the meeting.

  2. Click Remove Participants [image] .


 End an online meeting

End an online meeting

  • On the Online Meeting toolbar, click End Meeting [image] .

Note The host of the meeting is the only person who can end an online meeting for the entire group. Participants in an online meeting can disconnect at any time by clicking Microsoft NetMeeting on the taskbar, and then clicking Hang Up on the NetMeeting toolbar. When the host ends the meeting, all participants are automatically disconnected.


 About using your settings on another computer

About using your settings on another computer

This topic provides reference information about:

What a user profile is

Having your settings always available

More information

What a user profile is

A user profile is a group of settings that defines customization preferences and options for a particular user, including personalized files such as custom dictionaries, custom templates, and AutoCorrect and AutoFormat lists. For example, those customization preferences and options that are specific to a user — such as installed applications, desktop icons, and color options — are contained in a user profile. The operating system uses the information contained in your user profile to configure your computer each time you log on.

Return to top

Having your settings always available

Your system administrator must configure your user profile to travel with you so that your settings, which are stored on a server, will always be available whenever you log on to a computer. This is especially useful if you log on to different computers in your company or if you share your computer with another person. When you log on, your user profile is downloaded from the server to the computer you've logged on to. Your user profile is valid only on an operating system for which it was created — for example, a Microsoft Windows NT 4.0 user profile cannot be used on a computer running Microsoft Windows 95. When you log off, your user profile is copied back to the server so that any changes made while you were logged on will be available the next time you log on.

Return to top

More information

Location of your settings

Return to top


 About the location of your settings

About the location of your settings

The location of your settings in your user profile depends on the operating system you use and the way your system administrator has configured your user profile on the server. You can find your user profile in the following location:

Root\OS\Profiles\User_name

where Root is a server location or a folder on a drive from which all other folders branch (for example, C:\), OS is the operating system folder (for example, Windows or Winnt), and User_name is your user name.

All of your settings and Microsoft Office-specific files are located in the Application Data folder in your user profile folder. Your system administrator must configure your user profile to travel with you for these files to be available whenever you log on to any computer. The paths are listed below.

User profile files | Path
Add-in programs (.xla extension) | Root\OS\Profiles\User_name\Application Data\Microsoft\Addins Root\Program Files\Microsoft Office\Office\Library (does not travel, and provided for backward compatibility only)
Alternate startup folder | Specified by the user. On the Tools menu, click Options, and then click the General tab.
AutoCorrect lists | Root\OS\Profiles\User_name\Application Data\Microsoft\Office
Custom dictionary (.dic extension) | Root\OS\Profiles\User_name\Application Data\Microsoft\Proof
Default file location | Can be specified by the user. On the Tools menu, click Options, and then click the General tab.
Office Shortcut Bar | Root\OS\Profiles\User_name\Application Data\Microsoft\Shortcut Bar
Personal information profiles (.pip extension) | Root\OS\Profiles\User_name\Application Data\Microsoft\Office
Most recently used shortcuts | Root\OS\Profiles\User_name\Application Data\Microsoft\Office\Recent
Templates (.xlt extension) | Root\OS\Profiles\User_name\Application Data\Microsoft\Templates Templates also may be located in the XLStart folder.
Queries | Root\OS\Profiles\User_name\Application Data\Microsoft\Queries
XLStart folder | Root\OS\Profiles\User_name\Application Data\Microsoft\Excel\XLStart Root\Program Files\Microsoft Office\Office\XLStart
Customized toolbars (Excel.xlb) | Root\OS\Profiles\User_name\Application Data\Microsoft\Excel
Chart gallery | Root\OS\Profiles\User_name\Application Data\Microsoft\Excel


 Ways to share external data

Ways to share external data

This topic provides information about:

Creating a query to retrieve external data

Formatting and changing queries

Creating a query

You can use Microsoft Query to create a query or create a query file (.dqy or .oqy) that retrieves external data from sources other than Microsoft Excel. After you retrieve the data, there are several ways you can make the data available to others.

  • Create a query If external non-OLAP data is available to others, you can use Query to retrieve the data and then make the .dqy query file available for other people to use.

  • Create a file to connect to OLAP data For external data in OLAP databases, you can create a .oqy file to connect to the database and then share this file with other people. Learn about the types of query files and how to create and use them.

  • Create a report template If you create reports that are based on data that is updated periodically, you can create a query that retrieves data to a workbook and then save the workbook as a report template.

After the query is created, you can open the database query file and refresh the external data, or you can use the report template to retrieve external data.

Return to top

Formatting and changing queries

You can change the query itself or even the format of the query after the query or the report template has been saved.

  • Change the format and layout You can change the format and layout of the external data range.

  • Change a report template After you create a report template, you can make changes to the template as needed.

Return to top


 About embedding objects in Lotus Notes documents or forms

About embedding workbooks in Lotus Notes documents or forms

To exchange information between Lotus Notes and Microsoft Excel, you can insert an Excel workbook as an embedded object in a Notes document or form.

Embedded workbooks in Lotus Notes documents If you want to insert the workbook in a single Notes document, or if you want to insert different workbooks in several Notes documents, you can insert a workbook as an embedded object in an editable rich text field. If you want to use Notes/FX field exchange in the Notes document, the document must already contain the Notes/FX fields you want to use to exchange information. You cannot insert fields in a Notes document; the fields can be inserted only in a Notes form.

Embedded workbooks in Lotus Notes forms You can also insert a workbook as an embedded object when you create a Notes form. For example, if you want to create multiple Notes documents that contain the same embedded workbook, insert the embedded workbook when you create the Notes form. In this way, the embedded workbook will already exist within each new Notes document or form you create from the existing form. When you add Notes/FX fields to the form with the embedded workbook, each new Notes document or form you create from that form is ready for Notes/FX field exchange. You can insert an embedded workbook in a Lotus Notes document or form by using either Lotus Notes or Excel.


 About updating Lotus Notes fields

About updating Lotus Notes fields

Depending on the type of field you are working with, you can update Lotus Notes fields either by changing the properties in a Microsoft Excel embedded object or by changing the field text directly in the Lotus Notes document.

One-way vs. two-way fields In Lotus Notes, you can use two types of Notes/FX fields.

  • One-way fields Some fields provide information for exchange in only one direction — from the embedded workbook to the Notes document. For example, the Excel workbook file property Created is a one-way field that corresponds with the Notes DateCreated field. Changes to the Created property in Excel automatically appear in the DateCreated field in the Notes document; however, changing the DateCreated field in the Notes document does not affect the Excel Created property.

  • Two-way fields Other fields provide information for exchange in two directions — from the embedded workbook to the Notes document, and from the Notes document to the embedded workbook. Two-way fields are updated in the embedded workbook when you open or activate the workbook and in the Notes document when you close the workbook and return to the Notes document. For example, Title is a two-way field. When you change the Excel workbook file property Title, the change appears in the Title field in the Notes document. When you change the Title field in the Notes document, the changes appear in the Excel workbook file property. Fields that correspond to custom workbook file properties are also two-way fields.

See a list showing which fields are one-way fields and which are two-way.

Update Notes fields from the workbook You can update properties in an embedded workbook. Changes will automatically appear in the Lotus Notes document.

Update Excel properties from Notes You can update two-way fields directly in the Notes document. Changes will automatically appear in the workbook.


 Create a Lotus Notes form that includes an embedded workbook

Create a Lotus Notes form that includes an embedded workbook

This procedure applies to Lotus Notes 4.0. For the procedure that applies to Lotus Notes 3.x, click [image] .

  1. To create a new form in Lotus Notes, click the database you want, point to Design on the Create menu, and then click Form.

    To edit an existing form, click the database that contains the form. On the View menu, click Design. Under Design in the navigation pane, click Forms. Double-click the form.

  2. Click where you want the embedded object to appear.

  3. On the Create menu, click Object.

  4. To insert a new blank workbook as an embedded object, click Create a new object, and then click Microsoft Excel Worksheet in the Object type box.

    To insert an existing workbook as an embedded object, click Create an object from a file, and then type the name of the workbook, or click Browse to select from a list.

  5. To display the embedded object as an icon, select the Display as icon check box.

Note When you click Microsoft Excel Worksheet in the Object type box, you insert an entire Microsoft Excel workbook in your Lotus Notes form. The Lotus Notes form displays only one worksheet or chart sheet at a time. To display a different sheet, double-click the Microsoft Excel object, and then click a different sheet.


Embed a workbook in a Lotus Notes document or form

What do you want to do?

Insert a Microsoft Excel workbook as an embedded object in a Lotus Notes document

Create a Lotus Notes form that includes an embedded workbook

Not sure which choice you want?


 Import a workbook into a Lotus Notes document or form

Import a workbook into a Lotus Notes document or form

To do this procedure, you must have selected the Converters for use with Lotus Notes check box (Converters and Filters, Text Converters) during Setup. For information about how to install a program or component from Setup, click [image] .

  1. In Lotus Notes, open the document or form you want.

  2. In a document, click in a rich text field, and then click Import on the File menu.

    In a form, click anywhere on the form, and then click Import on the File menu.

  3. In Lotus Notes 4.0, click Microsoft Excel in the Files of type box.

    In Lotus Notes 3.x, click Microsoft Excel in the List files of type box.

  4. In the list of files, double-click the workbook you want to import.


 Insert a Microsoft Excel workbook as an embedded object in a Lotus Notes document

Insert a Microsoft Excel workbook as an embedded object in a Lotus Notes document

This procedure applies to Lotus Notes 4.0. For the procedure that applies to Lotus Notes 3.x, click [image] .

  1. Click the database you want in Lotus Notes, and then click the form you want to create the document from on the Create menu.

    The form must include an editable rich text field.

  2. Click in the editable rich text field.

  3. On the Create menu, click Object.

  4. To insert a new blank workbook as an embedded object, click Create a new object, and then click Microsoft Excel Worksheet in the Object type box.

    To insert an existing workbook as an embedded object, click Create an object from a file, and then type the name of the workbook in the File box, or click Browse to select from a list.

  5. To display the embedded object as an icon, select the Display as icon check box.

Note When you click Microsoft Excel Worksheet in the Object type box, you insert an entire Microsoft Excel workbook in your Lotus Notes document. The Lotus Notes form displays only one worksheet or chart sheet at a time. To display a different sheet, double-click the Microsoft Excel object, and then click a different sheet.


Update Lotus Notes fields

What do you want to do?

Update one-way or two-way fields from the embedded workbook

Update two-way fields from Lotus Notes

Not sure which choice you want?


 Use data from a workbook in Lotus Notes views

Use data from a workbook in Lotus Notes views

To display data from a workbook in Lotus Notes views, you can define a name in Microsoft Excel for the cell or range you want, create a custom file property linked to the Excel name, and then create a field in a Notes form with the name of the custom file property. In addition to displaying data from a workbook in Notes views, you can also display many of the workbook file properties, such as the title and author of the workbook.

For information about how to determine whether a field is one-way or two-way, click [image] .

  1. Insert an Excel workbook as an embedded object in a Lotus Notes document.

    How?

    If you don't have a Notes document already set up with a rich text field and fields that correspond with the workbook file properties, create a Lotus Notes form that includes an embedded workbook.

    How?

  2. In Lotus Notes 4.0, right-click the embedded workbook in the document or form, and then click Open on the shortcut menu.

    In Lotus Notes 3.x, double-click the embedded workbook in the document or form.

  3. In Excel, click the worksheet or chart sheet that contains the data you want to use in Lotus Notes, and then select the data.

  4. In the Name box on the formula bar, type a name, and then press ENTER.

  5. On the File menu, click Properties.

  6. Click the Custom tab.

  7. In the Name box, type a name for the custom file property.

  8. Select the Link to content check box.

  9. In the Value box, type the name that you defined in step 4, and then click Add.

  10. In Notes, create the corresponding field in the Notes form. In the Name box, type the Excel custom file property name (not the Excel defined name).

  11. Select the properties or data that you want to include in the view.

Note Named cells or cell ranges that are protected or that contain formulas are updated in only one direction - from Excel to Notes. If you change the field in Notes, the change isn't reflected in Excel.


Use the Lotus NotesFlow Action menu

Lotus NotesFlow is a set of workflow features that allow transparent interaction between a Lotus Notes database and other programs such as Microsoft Excel, Word, and PowerPoint. NotesFlow features can also be used to route forms, send reminders, request and process approvals, and run scheduled batch processes. When Microsoft Excel is participating in NotesFlow, an Action menu appears to the left of the Excel Window menu. The Action menu displays each of the available actions as commands. The commands available on the Action menu depend on how the Lotus Notes form is designed. When you design a form in Lotus Notes to use the NotesFlow feature, you publish the actions you want to make available in other programs that support NotesFlow.

The Lotus NotesFlow features require Lotus Notes 4.0 or later. For more information about how to use Lotus NotesFlow, refer to your Lotus Notes documentation.


 About receiving notification of changes to a file or folder on a Web server

About receiving notification of changes to a file or folder on a Web server

The Discussions feature is available only if you have Microsoft Office Server Extensions installed on your server. For more information, contact your system administrator.

This topic provides reference information about:

Subscribing to a file or folder

Receiving notification of changes to files at remote Web server locations

Canceling a subscription to a file or folder

More information

Subscribing to a file or folder

You can be notified by an e-mail message of any changes made to a file or folder on a Web server that is running Office Server Extensions. You do this by subscribing to the file or folder. When you do so, you are automatically notified on a scheduled basis if the file or folder is edited, deleted, or moved, or even if a new file is created in the folder that you subscribe to. You can also be notified if a discussion remark is deleted from a file or if a new remark is added.

Return to top

Receiving notification of changes to files at remote Web server locations

Discussions are stored, separately from the file, in a database on a Web server that is running Office Server Extensions. This allows you to insert remarks in a file stored on any Web server. If you subscribe to a file that is not located on your Office Server Extensions server, you won't be notified of changes to the content of the file, but you will be notified if any remarks associated with that file change.

Return to top

Canceling a subscription to a file or folder

You can stop receiving notification of changes to a file or folder by clicking the hyperlink in one of the notification e-mail messages. Another way to stop receiving notification of changes is to delete the subscription from the Microsoft Office Server Extensions start page in your browser. To access the Office Server Extensions start page from your browser, type http://ServerName/msoffice/ in the Address box, where ServerName is the name of your Web server.

Return to top

More information

Stop receiving notification of changes to a file or folder on a Web server

Return to top


 Receive notification of changes to a file or folder on a Web server

Receive notification of changes to a file or folder on a Web server

  1. Open the file or folder you want to be informed about.

  2. On the Tools menu, point to Online Collaboration, and then click Web Discussions.

  3. On the Discussions toolbar, click Subscribe.

  4. Under Subscribe to, do one of the following:

    To subscribe to the currently open file, click File.

    To subscribe to all files in a Web folder, either click Folder and select the options you want, or type the address of another folder on a Web server.

  5. In the When box, select the conditions under which you want to be notified of changes.

  6. In the Address box, type your e-mail address.

  7. In the Time box, select how often you want to be notified.

Note If you subscribe to a file that isn't located on your Microsoft Office Server Extensions server, you won't be notified of changes to the content of the file but you will be notified if any remarks associated with that file change.


Stop receiving notification of changes to a file or folder on a Web server

  1. In Microsoft Outlook, open one of the e-mail messages that notified you of changes.

  2. Click the hyperlink at the end of the message to stop receiving notifications.

Tip You can also stop notifications by clicking Manage Web Subscriptions on the Microsoft Office Server Extensions start page in your browser. To access the Office Server Extensions start page from your browser, type http://ServerName/msoffice/ in the Address box, where ServerName is the name of your Web server.


Troubleshoot online meetings

What do you need help with?

I can't print or save an Excel workbook that was opened in an online meeting.

Other people in the online meeting see a cross-hatched pattern on the screen.

I don't see some items that other people in the online meeting see.

The name of the person I want to invite to an online meeting is not in the list.

Which NetMeeting directory server should I connect to?


Troubleshoot discussions in workbooks

What do you need help with?

I can't add a discussion remark to a workbook.

My name isn't appearing in the discussion header.

The discussions in my workbook aren't there.

I see a "Lost or mismatched" message in the discussion pane.

What browser do I need to add a discussion to a Web page?


Troubleshoot using your settings on another computer

What do you need help with?

My settings aren't available when I log on.

My custom templates don't appear on the correct tab.


 Overview of linked and embedded objects

Overview of linked and embedded objects

Create linked or embedded objects When you copy information between Microsoft Excel or any program that supports OLE, such as Microsoft Office, you can copy the information as either a linked object or an embedded object.

Linked and embedded objects in a document

Use linked objects When you want the information in your destination file to be updated when the data in the source file changes, use linked objects. With a linked object, the original information remains stored in the source file. The destination file displays a representation of the linked information but stores only the location of the original data (and the size if the object is an Excel chart object). The source file must remain available on your computer or network to maintain the link to the original data. The linked information is updated automatically if you change the original data in the source file. For example, if you select a range of cells in an Excel workbook and then paste the cells as a linked object in a Word document, the information is updated in Word if you change the information in your workbook.

Use embedded objects When you don't want to update the copied data when it changes in the source file, use an embedded object. You or other users who do not have access to the original data can open the file on another computer and view the embedded object. Because an embedded object has no links to the source file, the object is not updated if you change the original data. To change an embedded object, double-click the object to open and edit it in the source program. The source program (or another program capable of editing the object) must be installed on your computer. If you copy information as an embedded object, the destination file requires more disk space than if you link the information.

How to link or embed an object When you use the Paste Special command (Edit menu) and select the Paste link option, information is pasted as a linked object. If you select the object type Object and Paste options, information is pasted as an embedded object. The Object command and most commands on the Picture submenu (Insert menu) also insert information as linked or embedded objects. The main differences between linked objects and embedded objects are where the data is stored and how it is updated after you place it in the destination file.

Note If you select the Paste link option and a format other than object type Object when you use the Paste Special command (Edit menu), the information is linked by means of Dynamic Data Exchange (DDE). For more information about DDE, see the Microsoft Office 2000 Resource Kit.

More information

Share information between Office programs by linking or embedding objects


 Drag information between programs

Drag information between programs

You can move or copy information, or you can create a linked object, a shortcut, or a hyperlink between documents in different programs by using drag-and-drop editing. Both programs must support OLE.

  1. Arrange the program windows so that both the source file and the destination file are open and visible. You must be able to see the information you want to drag as well as the location where you want to drop it.

  2. Select the information, and then use the right mouse button to drag the selection to the new location in the other program. To drag information from Microsoft Excel, you must point to the border of the selection before dragging.

  3. On the shortcut menu, click the command you want.

Tip To prevent scrolling when you drag information, drag quickly to the other program window, or try holding down ALT as you drag. Release ALT before you drop in the destination file. (This method does not work when Microsoft Word or Microsoft Access are the source files.)


 The format of information pasted from the Clipboard

The format of information pasted from the Clipboard

How pasted information appears in a document Information you cut or copy to another program is pasted, if possible, in a format that the program can edit. For example, cells from Microsoft Excel worksheets and records from Microsoft Access are pasted into Word as Word tables, complete with column widths and font formatting. Text separated by tab characters from Word is pasted into Microsoft Excel in rows and columns of cells, and records from Microsoft Access are pasted into a Microsoft Excel worksheet as rows with each field in a separate column.

If a program can't edit the information, it inserts it as an embedded object, which you can edit in the source program by double-clicking the object. If the information can't be inserted as an embedded object — for example, you're copying the information from a program that does not support OLE, the information is pasted as a static picture that cannot be edited.

How to format pasted information To control the format of information pasted from the Clipboard, use the Paste Special command (Edit menu) instead of Paste [image] .


 About using a formula to link data from programs not on your computer

About using a formula to link data from programs not on your computer

If you cannot use the Copy and Paste Special commands to link data from another program, you can enter a remote reference formula that refers to the data. The data is displayed on your worksheet as the result of the formula.

The formula has three parts: the name of the application; the file name or topic; and the cell range, value, field, or data that's referred to. The following illustration shows the parts of a remote reference formula and the required separator characters.

Formula with separators

A pipe character (|) separates the program name from the document or topic name. An exclamation point (!) separates the document or topic name from the cell range, value, field, or data referred to.

When to use single quotation marks If the name of the application, document, topic, or data item contains spaces or characters such as colons (:) or minus signs ( – ) that have special uses in a formula, or if a name resembles a cell reference, enclose the name in single quotation marks.

DDE support required The program that contains the data you want to link must support Dynamic Data Exchange (DDE). To determine whether your program supports DDE or to learn the DDE name and topic information for the program, contact the software vendor of the program. For more information about DDE, see the Microsoft Office 2000 Resource Kit.


 About the Microsoft Office Shortcut Bar

About the Microsoft Office Shortcut Bar

If you installed Microsoft Office, you can use the Office Shortcut Bar for single-click access to the resources you use most often. You can quickly start a new budget proposal, locate and open a workbook, send an e-mail message, schedule an appointment, or create a task, note, contact, or journal entry in Microsoft Outlook.

Working with the Office Shortcut Bar

You can drag the Office Shortcut Bar to any location on the screen. If it's docked, you can hide it until needed by clicking Auto Hide on the Office Shortcut Bar menu [image]. When you're ready to use it again, you can display it by pointing to the edge of the screen where it's docked.

To quickly create any type of file from the Office Shortcut Bar — for example, an Office Binder or a Microsoft Excel workbook — click New Office Document [image] . Click the tab that contains the type of file you want to create, and then double-click the file or template you want. The program you need starts automatically.

To quickly search for and open files from the Office Shortcut Bar, click Open Office Document [image] , locate the file you want in the folder list, and then double-click the file.

Customizing the Office Shortcut Bar

The first time you use Microsoft Office, the Office Shortcut Bar shows only the Office toolbar. To show additional toolbars and additional buttons on the Office toolbar, click Customize on the Office Shortcut Bar menu [image]. For example, to show the Desktop toolbar on the Office Shortcut Bar, select the Desktop check box on the Toolbars tab. You can then easily open files and programs on the Windows desktop even if the desktop isn't visible. To switch to a different toolbar on the Office Shortcut Bar, click the icon that represents the toolbar. To show the name for a button or toolbar on the Office Shortcut Bar, rest the pointer on the button or toolbar icon until the name appears.

You can also add your own toolbars and buttons. To add a frequently used file or program as a toolbar button, drag it onto the Office Shortcut Bar from Windows Explorer or My Computer.

If the Office Shortcut Bar is not available, you may need to install it. When you install the Office Shortcut Bar, it is configured to run automatically when you start Windows. How to install a program or component of Office.


 Manage time, contacts, tasks, and messages from the Office Shortcut Bar

Manage time, contacts, tasks, and messages from the Office Shortcut Bar

If you use Microsoft Office and you installed Microsoft Outlook when you installed Office, the Office toolbar on the Office Shortcut Bar provides six, single-click shortcuts to the most common Microsoft Outlook features.

Click | To
New Message | Send a mail message from Outlook
New Appointment | Add a new appointment to your Calendar in Outlook
New Task | Add a new task to your task list in Outlook
New Contact | Create a contact in Outlook
New Journal Entry | Manually record an activity in the Journal in Outlook
New Note | Create a note in Outlook


Share information between Office programs

What do you want to do?

Create a new embedded object in another program and insert it in a workbook

Insert the contents of an existing file as a linked object or embedded object

Copy information from an existing file as a linked or embedded object

Not sure which choice you want?


 Ways to share information between Microsoft Excel and another Office program

Ways to share information between Microsoft Excel and another Office program

If you use other Microsoft Office programs with Microsoft Excel, you can make use of the information you create in Excel in other Office programs, and vice versa. You can share the information different ways, depending on how you want the information to appear, whether you want the information updated if the original file changes, and with whom you want to share the information. For more information about using the features or commands identified in the following table in Excel, use the Office Assistant or the Contents and Index command in Excel Help.

To | Use
Copy information that appears in one program and paste it into another program | Copy and paste
Quickly copy or move information between two open files | Drag-and-drop editing to drag a selection to another file using the right mouse button
Use a file created in another program in Excel | The Open command (File menu) to open the file after you save the file in a format that Excel can open, such as Text (*.txt) format
Use an Excel workbook in another program | The Save As command (File menu) to save the workbook in a format the other program can use, such as Text (*.txt) format for Microsoft PowerPoint or Excel Workbook (*.xls) format for Microsoft Word or Microsoft Access
Jump to information in another file | The Paste as Hyperlink command (Edit menu) to paste a hyperlink to the information
Copy information from another file and keep the copied information up to date if the original data changes in the source file | The Paste link option in the Paste Special dialog box (Edit menu) to paste the information as a linked object
Copy information from a file created in another program so that you can easily edit the data in the source program without leaving your current workbook | The Paste and object type Object options in the Paste Special dialog box (Edit menu) to paste the information as an embedded object
Work with others in a workbook simultaneously | Make a workbook a shared workbook
Make information available in a public place | Post to a public folder on Microsoft Exchange Server
Send a file to recipients one after the other so that they can review and make comments | Route a file in e-mail
Send a file to all recipients at the same time | Send a file in e-mail
Communicate and collaborate on a file with one or more participants during an online meeting | Schedule an online meeting


Copy Microsoft Excel data to Word or PowerPoint

You can copy worksheet cells and charts from Microsoft Excel to your Word documents and PowerPoint presentations. To include the result of a calculation in the text of a document or slide, you can copy a single cell that contains a formula. You can choose to paste only the current data in Word or PowerPoint, or you can link the copy to the original data in Microsoft Excel. If you link the data, the copied information in Word or PowerPoint is updated whenever the original data changes in Microsoft Excel.

What do you want to do?

Copy a Microsoft Excel chart into a Word document or PowerPoint presentation

Copy worksheet cells into a Word document or PowerPoint presentation

Copy the result of a formula into a Word document or PowerPoint presentation


About adding comments and highlighting changes in a workbook

Use Microsoft Excel data as a mailing list in Word

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


Copy a Word table onto a Microsoft Excel worksheet

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


Use Microsoft Outlook to find files or Outlook items

To do this procedure, make sure that Outlook has been installed and configured on your computer.

  • On the Windows Start menu, point to Find, and then click Using Microsoft Outlook.

Note To search for all files on your computer, you must have the Microsoft Outlook Integrated File Management system installed on your computer. How to install a program or component.


Add names and addresses from a Microsoft Excel workbook to an Outlook contact list

To do this procedure, make sure that Microsoft Outlook has been installed and configured on your computer.

  1. Close the workbook that contains the list of names and addresses you want to add.

  2. Start Outlook.

  3. On the File menu, click Import and Export.

  4. Click Import from another program or file.

  5. Follow the instructions in the Import and Export Wizard.


Add names and addresses from an Outlook contact list to a Microsoft Excel workbook

To do this procedure, make sure that Microsoft Outlook has been installed and configured on your computer.

  1. Start Outlook.

  2. On the File menu, click Import and Export.

  3. Click Export to a file.

  4. Follow the instructions in the Import and Export Wizard.


What programs do I need to send, route, post, or view workbooks in e-mail?

System requirements for e-mailing a message or workbook

To e-mail a message or HTML file You need Excel 2000 and Outlook 2000.

To e-mail or route a workbook as an attachment in Excel format (.xls) You need Excel 2000 and one of the following e-mail programs:

  • Outlook, Outlook Express, Microsoft Exchange Client, or another 32-bit e-mail program compatible with the Messaging Application Programming Interface (MAPI). Make sure Mapi32.dll is in the Windows System folder.

  • Lotus cc:Mail or another 16-bit e-mail program compatible with Vendor Independent Messaging (VIM). Make sure Mapivi32.dll,Mapivitk.dll, and Mvthksvr.exe are in the Windows System folder.

Notes

  • E-mailing and routing messages and workbooks may not work across electronic mail gateways.

  • Some message options, such as message tracking and voting, are available only if you’re using Microsoft Exchange Server.

System requirements for viewing an e-mailed message or document

If you e-mail a message or workbook in HTML format To view the message or workbook, recipients need Outlook 2000, or a Web browser or e-mail program (such as Outlook 98 or later) that can read documents in HTML format.

If you e-mail or route a workbook as an attachment in Excel format (.xls) To view the attached workbook, recipients need Excel 97 or later.


Distribute workbooks or worksheets to other people

System requirements for mailing workbooks and worksheets

What do you want to do?

Mail a worksheet or workbook as an attachment

Mail a worksheet as the body of a message

Route a workbook

Post a workbook to a Microsoft Exchange public folder

Edit a workbook in an online meeting

Share a workbook

Not sure which choice you want?


 About distributing workbooks to other people

About distributing workbooks to other people

This topic provides reference information about:

Using e-mail to send workbooks in Excel

Routing workbooks

Posting workbooks to Microsoft Exchange public folders

Editing a workbook in an online meeting

Sharing workbooks

Using e-mail to send workbooks in Microsoft Excel

Similar to the way you e-mail a message, you can e-mail a copy of a workbook or worksheet directly from Excel. To send a workbook through e-mail directly from Excel, click E-mail [image] on the Standard toolbar. You can send your message in the following ways:

Send a worksheet as the body of a message When you send a copy of a worksheet through e-mail, the worksheet is sent in HTML format as the body of the message. This means that the recipient can only view the information and cannot, for example, use formulas, sort the information, or filter it.

You can send an entire worksheet, or you can cut and paste information from an existing workbook.

Recipients can view your worksheet in any e-mail program that can read e-mail messages in HTML format. Recipients do not need Excel installed on their computers to view the worksheet, although there are other system requirements for viewing, sending, routing, or posting a workbook or worksheet. When you send a copy of a worksheet through e-mail, the message header is displayed in Excel so that you can address the message and set any message options you want.

After you send the worksheet, the message header closes and the workbook remains open. The recipient list, along with any message options and attachments, is saved with the workbook. If you send a copy of the worksheet again, the information you entered previously is displayed in the message header. This is useful if you send recurring updates of a worksheet to the same people.

Send a worksheet as an attachment If you want to send introductory or explanatory information about your worksheet, either send the worksheet as an attachment and put the information in the message body, or include the explanatory information directly in the worksheet when you send the worksheet as the message body.

If a recipient is using Office 97 or earlier, it is better to send a worksheet as an attachment in an e-mail message. If you send the worksheet as the body of a message, its formatting is lost.

Send a workbook as an attachment To send a workbook in an e-mail message, you must send it as an attachment. You might also want to do this if the recipient doesn't have an HTML-compatible e-mail program. An attachment is not converted to HTML format, so anyone using Excel 97 or later can view it.

More information

Send more than one attachment with an e-mail message

Return to top

Routing workbooks

When you want others to review a workbook, you can route it through e-mail. You can send the workbook to one recipient after another so that each recipient sees the previous comments, or you can send it to a distribution list so that all recipients receive the workbook at the same time. (If you want to route the workbook to members of a distribution list one after another, route it to individual members instead of to the alias.) As the workbook is routed, you can track its status. After all recipients have reviewed the workbook, it automatically returns to you.

Return to top

Posting workbooks to Microsoft Exchange public folders

When you want to make a workbook available to others but you don't want to send it through e-mail, you can post the actual workbook to a Microsoft Exchange public folder. How to post a workbook to a Microsoft Exchange folder.

Return to top

Editing a workbook in an online meeting

When you want multiple people to work on a workbook at once, you can set up an online meeting so that people can view and work on a workbook together.

Return to top

Sharing workbooks

When you want more than one person to edit a workbook at the same time, you can share the workbook.

Return to top


Set options for sending an e-mail message

What do you want to do?

Setting the importance and sensitivity level

Set the importance level for a message

Set a message flag

Mark a message as private, personal, or confidential

Setting the security level

Add security to messages

Tracking messages and replies

Receive notification when a message is delivered

Receive notification when a message is read

Add voting buttons to an e-mail message

Setting delivery options

Save a copy when you send a message

Make a sent message unavailable after a specified date

Delay delivery of a message

Have replies to your message sent to another user

Assign a message to a category

Not sure which choice you want?


 About setting options for sending e-mail messages

About setting options for sending e-mail messages

You can set the following message options that determine how and when a message is delivered and the response that is required from the recipient.

Set the importance and sensitivity level You can set the level of importance for a message to indicate whether the recipient needs to read your message immediately. If you want a reply to your message by a certain time, you can set a flag to remind the recipient to respond. You can also mark the sensitivity of the message content as private, personal, or confidential.

Set the security level If you and the recipients of your messages use Microsoft Exchange Server, you can add security to a message by adding a digital signature or by sealing (encoding) a message to ensure that it isn't readable by anyone other than the recipients you select.

Track messages and replies You can track your messages by receiving notification when your message is delivered and receiving notification when the message is read.

Set delivery options You can set delivery options that determine how and when your message is sent. To tell recipients that a message is no longer relevant after a certain time, you can set an expiration date for that message.

To keep a copy of messages that you've sent, you can automatically save the message in a specified folder in Outlook after you send it.

To specify that all replies to a message go to someone other than the person who sent the message, you can have replies to your message sent to another user.

To compose a message, but have it automatically sent to the recipients at another time, you can delay delivery of a message.

To track and organize sent messages by a common element, you can assign a message to a category, such as Business, Key Customer, Personal, Gifts, and Goals/Objectives. For more information about categories, see Outlook Help.


 About adding security to messages

About adding security to messages

You can add two security features to the messages you send. You can sign a message with a digital signature to ensure that the message is not altered by someone else. You can also encrypt a message to ensure that the message and its attachments are not readable by anyone other than the recipients you select.

You must obtain a keyword to your security file from your system administrator to seal or digitally sign a message, and the recipients of your message must provide their passwords to open your sealed message or verify your digital signature.

Note These security features apply only within your organization and only if you and the recipients of your messages use Microsoft Exchange Server. Your system administrator must set up the security features on your computers.


 About assigning messages to Outlook categories

About assigning messages to Outlook categories

A category is a keyword or phrase that helps you keep track of items so you can easily find, sort, filter, or group them. You can use categories to keep track of different types of items that are related but stored in different folders.

Categories also give you a way to keep track of items without putting them in separate folders. For example, you can keep business and personal tasks in the same task list and use the Business and Personal categories to view the tasks separately.

Microsoft Outlook supplies a list of categories you can assign items to, called the Master Category List. You can use this list as it is or add your own categories to it, and you can assign items to more than one category.

For more information about categories, see Outlook Help.


 Add a digital signature to an outgoing message

Add a digital signature to an outgoing message

This feature applies only within your organization and only if you and the recipients of your messages use Microsoft Exchange Server. Your system administrator must have set up security on your computers.

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. Under Security, click Add digital signature to outgoing message.


Create a routing slip

  1. Open the workbook you want to route.

  2. On the File menu, point to Send To, and then click Routing Recipient.

  3. To select recipients to route the workbook to, click Address.

  4. In the Type name or select from list box, type a recipient's name, and then click To. After you've entered the last recipient name in the To box, click OK.

    You can select a personal distribution list as the recipient. However, all members of the distribution list are considered to be one recipient. To route the workbook to members of a distribution list one after another, route it to the individual members, not to the entire alias.

    You can change the order in which recipients will receive the routed workbook by changing the order of recipient names in the list. Select the name of the recipient you want to move up or down in the list, and then click the appropriate arrow.

  5. Select other routing options you want.

    For Help on an option, click the question mark [image] and then click the option.

  6. To route the workbook, click Route.

  7. To close the dialog box without routing the workbook, click Add Slip. To route the workbook at a later time, open the workbook, click Send To on the File menu, and then click Next Routing Recipient.

Note When you route a workbook, the workbook is sent as an attachment in an e-mail message.


Edit the routing slip of a routed workbook

  1. Open the workbook with the routing slip you want to edit.

  2. On the File menu, point to Send To, and then click Other Routing Recipient.

  3. If you're the originator of a routed workbook, change the routing slip options you want.

    If you're the recipient of a routed workbook, you can change the order of the recipients who have not seen the workbook. Select the recipient name you want to move, and then click the appropriate move arrow.

  4. To route the workbook, click Route.

    To close the dialog box without routing the workbook, click Add Slip.


 Encrypt an outgoing message

Encrypt an outgoing message

This feature applies only within your organization and only if you and the recipients of your messages use Microsoft Exchange Server. Your system administrator must have set up security on your computers.

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. Under Security, click Encrypt message contents and attachments.


 Manually check names before sending a message

Manually check names before sending a message

System requirements for mailing workbooks and worksheets

Before you send a worksheet as an e-mail message, recipient names that you type in the To, Cc, From, and Bcc boxes are automatically checked against names in the Address Book. If an exact match is found, the name is underlined. If multiple names are found that match the name you type, the Check Names dialog box appears. Right-click the name to see other names you can choose from.

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send single sheet as message body.

  4. In the To and Cc boxes, enter recipient names, separated by semicolons.

    To select recipient names from a list, click the icon next to To or Cc.

  5. Do one of the following:
    • To choose a replacement for each unrecognized name, one after another, click Check Names [image].

    • To choose a replacement for a specific unrecognized name, right-click the name.


 Send more than one attachment with an e-mail message

Send more than one attachment with an e-mail message

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, open the workbook that contains the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Attach.

  5. Double-click the file you want to send.

  6. Repeat steps 4 through 6 for each additional file you want to send as an attachment.

  7. Click Send [image] .


Track activity on a workbook by using Microsoft Outlook

What do you want to do?

Add a task for a workbook to your Outlook task list

Automatically track workbooks in the Outlook Journal

Manually record work on any file in the Outlook Journal

Not sure which choice you want?


 Create a new task request

Create a new task request

To do this procedure, make sure that Microsoft Outlook has been installed and configured on your computer.

  1. Start Outlook.

  2. On the File menu, point to New, and then click Task Request.

  3. In the To box, enter the name of the person you want to assign the task to.

    To select the name from a list, click the To button.

  4. In the Subject box, type a task name.

  5. Select the due date, status, and priority options you want.

  6. Select or clear the Keep an updated copy of this task on my task list check box and the Send me a status report when this task is complete check box.

  7. If you want the task to repeat, click the Actions menu, click Recurrence, select the options you want, and then click OK.

    For Help on an option, click the question mark [image], and then click the option.

  8. In the text box, type instructions or information about the task.

  9. Click Send [image] .


 Open a task

Open a task

To do this procedure, make sure that Microsoft Outlook has been installed and configured on your computer.

  1. Start Outlook.

  2. On the Outlook Bar, click Tasks [image] or Calendar [image] .

  3. In the task list, double-click the icon for the task you want to open.


Exchange data between Microsoft Excel and Microsoft Access

What do you want to do?

Working with Access data in Excel

Copy Access records to an Excel worksheet

Analyze Access data in Excel

Create an Excel query that retrieves Access data

Create an Excel PivotTable report from Access data

Using Access features with Excel data

Create an Access form to work with an Excel list

Create an Access report based on data in an Excel list

Moving Excel data into Access

Import Excel data into Access

Convert an Excel list to an Access database

Publish Excel data to a data access page

Not sure which choice you want?


 About exchanging data between Microsoft Excel and Microsoft Access

About exchanging data between Microsoft Excel and Microsoft Access

This topic provides information about:

Working with Access data in Excel

Using Access to work with Excel data

Moving Excel data into Access

Working with Access data in Excel

Copy a snapshot of a few Access records to Excel From Access, you can copy data from any datasheet view or data page control and then paste the data into Excel. Use this method when you want a static snapshot of a few selected Access records and don't need to refresh the data in Excel when the Access database changes. How to copy Access records to Excel.

Analyze a snapshot of a large set of Access data in Excel You can save the data from an Access table, query, form, or report to an Excel workbook. Use this method to make a static copy of large amounts of Access data that you don't need to refresh in Excel when the Access database changes. How to export Access data to Excel.

Bring refreshable Access data into Excel If you will want to refresh the data in the worksheet when the Access database changes, you can bring the data into Excel in either of two ways:

  • Create a range of Access data on a worksheet You can create a query to bring the Access data into Excel. You can then format and analyze the queried data in Excel.

  • Create a PivotTable report from Access data If you want to analyze Access data in a PivotTable report, you can create a PivotTable report in Excel based on the external Access data. Use this method if you want to use other Excel features with the PivotTable report — for example, if you want to use data from the report in formulas elsewhere on the worksheet.

Return to top

Using Access to work with Excel data

If you're working in Excel and have installed and loaded the AccessLinks add-in, you can create Access forms and reports for use with Excel data. For example, you can create an Access form that lets you type the entries for an Excel list in a different order from the order of the columns on your worksheet. Learn about using add-ins.

Create an Access form to enter Excel data If you want to use a customized form to enter, find, or delete data in an Excel list, you can create an Access form for your Excel list. Use this method if you want specific features available in Access forms. For more information about designing and using Access forms, refer to Access Help. Learn about ways to use forms in Excel.

Create an Access report from Excel data If you are familiar with designing Access reports and want to summarize and organize your Excel data in this type of report, you can create an Access report from your Excel list. For more information about designing and using Access reports, refer to Access Help. Learn about alternative ways to create summary reports in Excel.

Link Excel data into an Access database You can link an Excel list into an Access database as a table. Use this approach when you plan to continue maintaining the list in Excel but also want it to be available from within Access. You can view and update data in the linked Excel list from within the Access database. For more information, see Access Help.

Return to top

Moving Excel data into Access

Import Excel data into an Access database If you're working in Access and want to copy data from an Excel workbook into your database, you can import Excel data into Access. Use this method to bring small amounts of Excel data into Access without having to retype the data.

Convert an Excel list to an Access database If you have a large Excel list that you want to move to an Access database, in order to take advantage of the Access data management capabilities, security, or multiuser capabilities, you can convert the Excel data to an Access database. You need to install the AccessLinks add-in to convert the data. Learn about using add-ins.

Publish Excel data along with Access data in a data access page When you create a data access page for Web publication, you can publish Excel data in a spreadsheet or PivotTable list on a Web page. For more information about creating data access pages and including these components, consult Access Help.

Return to top


 Analyze Microsoft Access data in Microsoft Excel

Analyze Microsoft Access data in Microsoft Excel

  1. In the Database window in Microsoft Access, click the table, query, form, or report you want to use in Microsoft Excel.

  2. On the Tools menu, point to Office Links, and then click Analyze It With MS Excel.

    Microsoft Access saves the contents of the table, query, form, or report as a Microsoft Excel workbook (.xls) file and opens the file in Microsoft Excel. The file is saved with the name of the table, query, or other database object in the current working folder.

Note If you have a main form with one or more subforms or a main report with one or more subreports, Microsoft Access saves only the data in the main form or report to the workbook.


 Copy Microsoft Access records to a Microsoft Excel worksheet

Copy Microsoft Access records to a Microsoft Excel worksheet

  1. In Microsoft Access, open the table, query, or form that contains the records you want to copy.

  2. On the View menu, click Datasheet View.

  3. Select the records you want to copy.

    To copy specific columns, drag across the column headings.

  4. Click Copy [image] .

  5. Switch to Microsoft Excel.

  6. Click in the upper-left corner of the worksheet area where you want the first field name to appear.

    The copied records will replace any existing cells in the area.

  7. Click Paste [image] .

Note You may need to adjust the row height of data you paste onto your worksheet. Select the rows, click Cells on the Format menu, click the Alignment tab, and then clear the Wrap text check box. Then point to Row on the Format menu, and click AutoFit.


Import Microsoft Excel data into Microsoft Access

Before you import the data into Microsoft Access, check in Microsoft Excel to make sure that the worksheet or range has the same type of data in each field (column) and the same fields in every row.

  1. Close the Excel workbook that contains the data you want to use in Access.

  2. In Access, open a database, or switch to the Database window for the open database.

  3. On the File menu, point to Get External Data, and then click Import.

  4. In the Import dialog box, click Microsoft Excel in the Files of type box.

  5. In the Look in list, locate the file you want to import, and then double-click the file.

  6. Follow the directions in the Import Spreadsheet Wizard.

Notes

  • If the Excel worksheet or named range contains column labels in the first row, you can use the labels as field names in the new table that Access creates to contain the imported data.

  • If you have a large or complex worksheet database that you want to move permanently to Access, you may want to convert the data from Excel to Access. Converting the data both marks the Excel list as permanently moved into Access and takes advantage of Access features that help you organize an Excel list into an Access relational database. How to convert Excel data to Access.


 About using a form to enter data in an Excel list

About using a form to enter data in an Excel list

Use a built-in data form A data form is useful when you have a wide list with more columns than will fit on the screen at one time. The form displays all of the column labels from your list in a single dialog box, with a blank beside each label for you to fill in data for the column. You can enter new data, find rows based on cell contents, update existing data, and delete rows from the list. How to display and use a data form.

Use a Microsoft Access form Access forms provide more layout and formatting flexibility than a fixed-layout Microsoft Excel data form. If you have Access, you can create a customized Microsoft Access form and then use the form to enter, find, and delete data in a Microsoft Excel list. For information about Access form capabilities and options, consult Access Help.

Create both a workbook copy and a database record of each filled-in form You can create a form template with Excel and then use the Template Wizard to set up a separate Excel list to collect the data entered in those forms. When you use this combination, Excel maintains your list automatically and keeps an individual printable copy of each filled-in form in a separate workbook. Use the Template Wizard, for example, when multiple users will fill in copies of a form. How to use the Template Wizard to create a data entry form for an Excel list.

Create a custom worksheet form If you need a sophisticated or specialized data entry form, you can create a worksheet or template to use as a form and then customize the worksheet form to meet your needs. Use this method when you want individual printable copies of your forms. For example, you might create an expense report form for people to fill out online or to fill out in printed form. If you also want to keep the data from the forms in an Excel list, you can either copy the data manually into a list, use the Template Wizard to create and maintain a list, or develop a data entry application using the Visual Basic Editor. How to create a form in Excel.


Convert a Microsoft Excel list to a Microsoft Access database

To display this topic, click the graphic.


Edit a linked object or an embedded object

What do you want to do?

Edit a linked object in the source program

Edit an embedded object in the source program

Edit an embedded object in a program other than the source program

Update a link to a workbook on your intranet or the Internet

Not sure which choice you want?


Control how linked information is updated in Microsoft Excel

What do you want to do?

Change the way a linked object is updated

Update a linked object manually

Automatically update links to information from other programs when performing calculations

Lock all links in Microsoft Excel

Replace a remote reference with its calculated value

Not sure which choice you want?


 Reconnect a linked object if the source file is moved or renamed

Reconnect a linked object if the source file is moved or renamed

  1. On the Edit menu, click Links.

  2. In the Source file list, click the links you want to reconnect.

    To select multiple links to the same source file, hold down CTRL and click each linked object.

  3. Click Change Source.

  4. In the Change Links dialog box, locate the source file for the selected links.


 Update a linked picture of worksheet cells

Update a linked picture of worksheet cells

To update a picture of worksheet cells when the original data changes, you can link the picture to the source worksheet. For example, if you add numbers to the original cells you copied, Microsoft Excel automatically updates the picture to include the new numbers.

  1. Double-click the linked picture.

    Excel opens the source worksheet and selects the cell range that is linked to the picture.

  2. Make the changes you want on the source worksheet, and then click Save [image] .


 Change the way a linked object or embedded object is displayed

Change the way a linked object or embedded object is displayed

You can display a linked object or embedded object in a workbook exactly as it appears in the source program or as an icon. If you or others will view the workbook online and you don't intend to print the workbook, you can minimize the amount of display space occupied by the object by displaying it as an icon. Viewers who want to display the information can double-click the icon.

Note If you choose Unformatted Text, Formatted Text (RTF), Picture, or Bitmap in the Paste Special dialog box (Edit menu), you can't display the pasted information as an icon.

What do you want to do?

Display the content of a linked or embedded object that is currently displayed as an icon

Display a linked or embedded object as an icon

Change the image or label of the icon that represents a linked or embedded object


Troubleshoot linking and sharing data with other programs

What do you need help with?

Updating links

I can't update a linked picture of cells from Microsoft Excel in another program.

I can't update the automatic links on my Microsoft Excel worksheet.

When I double-click a linked or embedded object, a "cannot edit" message appears.

Command unavailable

I can't find the Copy Picture, Paste Picture, or Paste Picture Link command.

Opening, displaying, and printing

I can't print information I've copied or imported from other programs.

I can't open a Microsoft Excel object from another program.

I want the embedded object, not an icon, to appear in my workbook.


Troubleshoot sending and routing workbooks in e-mail

What do you need help with?

What programs do I need to send or route workbooks in e-mail?

The Mail Recipient and Routing Recipient commands don't appear on the Send To submenu (File menu).

The worksheet I sent through e-mail doesn't look right.

I can't send my Web page as an attachment in e-mail


 The View MS Access Form or View MS Access Report button on the worksheet doesn't work.

The View MS Access Form or View MS Access Report button on the worksheet doesn't work.

Locate the Microsoft Access database The database that contains the form or report may have been moved. In the Create Microsoft Access Form or Create Microsoft Access Report dialog box, click Browse to find the Access .mdb file. If you created a new database for the form, the .mdb file should have the same name as the workbook file.

Check whether the form or report was deleted Microsoft Excel allows you to have only one Access form and one Access report for a list. If you create a new form or report after deleting the existing form or report from the database, a second View MS Access Form or View MS Access Report button is added to the worksheet. You can delete the first button that no longer works by holding down the CTRL key, clicking the button, and then pressing DELETE.

Check whether the workbook was renamed or moved If you rename or move the workbook file, the button no longer works. You can restore the original name of the workbook file by changing the file name back to the name it had when you created the form or report, and then moving the file back to the folder it was in when you created the form or report.

Unprotect the worksheet if it's protected On the Tools menu, point to Protection, and click Unprotect Sheet.

Check the names of the Access table and form or report The name of the table, form, or report for the Excel list in the Access database may have been changed. To restore the name, click the name of the table, form, or report in the Access database, and then type the correct name. The name, as it relates to an Excel list, must be in the following form:

workbookname_sheetname_List

If your Excel list is a named range, this name is used instead of List. Make sure to replace any spaces in the workbook name or sheet name with underscore characters. For example, if the Excel list is on Sheet 1 of a workbook named Inventory, you should correct the table, form, and report names to Inventory_Sheet_1_List.


 Macros: Automating tasks you perform frequently

Macros: Automating tasks you perform frequently

If you perform a task repeatedly in Microsoft Excel, you can automate the task with a macro. A macro is a series of commands and functions that are stored in a Visual Basic module and can be run whenever you need to perform the task. When you record a macro, Excel stores information about each step you take as you perform a series of commands. You then run the macro to repeat, or "play back," the commands.

Record a macro to do a task in one step Before you record or write a macro, plan the steps and commands you want the macro to perform. If you make a mistake when you record the macro, corrections you make are also recorded. When you record macros, Visual Basic stores each macro in a new module attached to a workbook.

For example, if you often enter long text strings in cells, you can record a macro to format those cells so that the text wraps. Select a cell in which you want text to wrap and start recording. Click Cells on the Format menu, click the Alignment tab, select the Wrap text check box, click OK, and then click Stop Recording [image] . How to record a macro.

Make a macro easy to run You can run a macro by choosing it from a list in the Macro dialog box. To make a macro run whenever you click a particular button or press a particular key combination, you can assign the macro to a toolbar button, a keyboard shortcut, or a graphic object on a worksheet. How to assign macros.

View and change macros After you record a macro, you can view the macro code with the Visual Basic Editor to correct errors or change what the macro does. The Visual Basic Editor is a program designed to make writing and editing macro code easy for beginners, and provides plenty of online Help. You don't have to learn how to program or use the Visual Basic language to make simple changes to your macros. How to view and edit macros.

If you followed the previous steps to record the text-wrapping macro, the result might look similar to this:

Macro code example in a Visual Basic Editor window

The Visual Basic Editor displays the code for recorded macros in a module window.

You could simplify this macro by deleting all of the indented lines between "With Selection" and "End With" except ".WrapText = True".

Manage your macros With the Visual Basic Editor, you can edit macros, copy macros from one module to another, copy macros between different workbooks, rename the modules that store the macros, or rename the macros. For example, if you wanted the text-wrapping macro to also make the text bold, you could record another macro to make a cell bold and then copy the instructions from that macro to the text-wrapping macro. How to copy a macro.

Macro security Microsoft Excel 2000 provides safeguards against viruses that can be transmitted by macros. If you share macros with others, you can certify them with a digital signature so that other users can verify that they are from a trustworthy source. Whenever you open a workbook that contains macros, you can verify their source before you enable them. Learn about preventing macro viruses.


 Record a macro

Record a macro

  1. On the Tools menu, point to Macro, and then click Record New Macro.

    Show Me

  2. In the Macro name box, enter a name for the macro.

    The first character of the macro name must be a letter. Other characters can be letters, numbers, or underscore characters. Spaces are not allowed in a macro name; an underscore character works well as a word separator.

  3. To run the macro by pressing a keyboard shortcut key, enter a letter in the Shortcut key box. You can use CTRL+ letter (for lowercase letters) or CTRL+SHIFT+ letter (for uppercase letters), where letter is any letter key on the keyboard. The shortcut key letter you use cannot be a number or special character such as @ or #. The shortcut key will override any default Microsoft Excel shortcut keys while the workbook that contains the macro is open.

  4. In the Store macro in box, click the location where you want to store the macro.

    If you want a macro to be available whenever you use Excel, store the macro in the Personal Macro Workbook in the Excel Startup folder.

    To include a description of the macro, type the description in the Description box.

  5. Click OK.

    If you select cells while running a macro, the macro will select the same cells regardless of which cell is first selected because it records absolute cell references. If you want a macro to select cells regardless of the position of the active cell when you run the macro, set the macro recorder to record relative cell references. On the Stop Recording toolbar, click Relative Reference [image] . Excel will continue to record macros with relative references until you quit Excel or until you click Relative Reference [image] again.

  6. Carry out the actions you want to record.

  7. On the Stop Recording toolbar, click Stop Recording [image] .

Tip If you want a macro to select a specific cell, perform an action, and then select another cell relative to the active cell, you can mix the use of relative and absolute references when you record the macro. To record a macro by using relative references, make sure that Relative Reference [image] is pressed in. To record with absolute references, make sure Relative Reference [image] is not pressed in.


Assign a macro to run from a keyboard shortcut, a graphic object, or a toolbar button

What do you want to do?

Run a macro from a keyboard shortcut

Run a macro from a button or graphic control

Run a macro from an area, or hotspot, on a graphic object

Run a macro from a toolbar button


 Copy a macro

Copy a macro

If you have an existing macro that contains commands you want to use in another macro, you can copy all or part of the macro to another module. You can also make a copy of a macro module to duplicate all macros stored in it.

What do you want to do?

Copy part of a macro to create another macro

Copy a macro module to another workbook


 Delete a macro

Delete a macro

  1. Open the workbook that contains the macro you want to delete.

  2. On the Tools menu, point to Macro, and then click Macros.

    Show Me

  3. In the Macros in list, click This Workbook.

  4. In the Macro name box, click the name of the macro that you want to delete.

  5. Click Delete.

Note To remove all macros from the workbook, delete each macro listed in the dialog box, and then save the workbook.


 Edit a macro

Edit a macro

Before you edit a macro, you should be familiar with the Visual Basic Editor. The Visual Basic Editor can be used to write and edit macros attached to Microsoft Excel workbooks.

  1. On the Tools menu, point to Macro, and then click Macros.

    Show Me

  2. In the Macro name box, enter the name of the macro.

  3. Click Edit.


Run a macro

After you record a macro, you will usually run it in Microsoft Excel; however, you can run the macro from the Visual Basic Editor while you are editing the macro. To interrupt the macro before it completes the actions you recorded, press ESC.

What do you want to do?

Run a macro in Microsoft Excel

Run a macro from a Visual Basic module

Assign a macro to run from a keyboard shortcut, a graphic object, or a toolbar button


Stop a macro while it is running

  • To stop a macro before it completes its actions, press ESC.


 Start Microsoft Excel without running automatic macros

Start Microsoft Excel without running automatic macros

Automatic macros, such as Auto_Activate, are designed to run when you start Excel. For more information about these macros, see Visual Basic Help.

  • To prevent macros from automatically running, hold down SHIFT while you start Excel.

Note If you start Excel from the Office Shortcut Bar, click the Microsoft Excel button on the Office Shortcut Bar first, and then immediately hold down SHIFT while Excel starts.


 Add Web script commands to the Tools menu

Add Web script commands to the Tools menu

  1. On the Tools menu, click Customize, and then click the Commands tab.

  2. In the Categories box, click Tools.

  3. Drag Insert Script from the Commands box over the Tools menu. When the Tools menu displays the menu commands, point to the Macro submenu. When the Macro submenu displays the menu commands, point to the location where you want the Insert Script command to appear on the menu, and then release the mouse.

  4. Repeat step 3 for Show All Scripts.

  5. Repeat step 3 for Remove All Scripts.

  6. In the Customize dialog box, click Close.


Change the default Web scripting language

To display this topic, click the graphic.


View or modify a Web script

To display this topic, click the graphic.


 Show or hide script anchors

Show or hide script anchors

  1. If you have not already done so, add the Web script commands to the Tools menu.

  2. Do one of the following:

    To show script anchors for all Web scripts in the workbook, point to Macro on the Tools menu, and then click Show All Scripts.

    To hide all script anchors, point to Macro on the Tools menu, and then click Show All Scripts again.


 Move or copy a Web script

Move or copy a Web script

Note Some Web scripts are dependent on the structure of their original Web page and will not run correctly when copied or moved to another location.

  1. Click the script anchor for the script you want to move or copy. How to display script anchors.

  2. Do one of the following:

    To move the script, click Cut [image] .

    To copy the script, click Copy [image] .

  3. In the workbook where you want to move or copy the script, click the new location for the script.

  4. Click Paste [image] .


 Delete a Web script

Delete a Web script

  1. If you have not already done so, add the Web script commands to the Tools menu.

  2. Do one of the following:

    To delete a single Web script, click the script anchor for the script you want to delete, and then press DELETE. How to display script anchors.

    To delete all Web scripts in the workbook, point to Macro on the Tools menu, and then click Remove All Scripts.


Modify Java applet code

To display this topic, click the graphic.


 Move or copy a Java applet

Move or copy a Java applet

Note Some Java applets are dependent on the structure of their original Web page and will not run correctly when copied or moved to another location.

  1. Click the Java applet icon Java applet icon for the applet you want to move or copy.

  2. Do one of the following:

    To move the applet, click Cut [image] .

    To copy the applet, click Copy [image] .

  3. In the workbook where you want to move or copy the applet, click the new location for the applet.

  4. Click Paste [image] .


 Delete a Java applet

Delete a Java applet

  1. Click the Java applet icon Java applet icon for the Java applet you want to remove.

  2. Press DELETE.


 When I click the Refresh button, a message tells me that my macro changes will be lost.

When I click the Refresh button, a message tells me that my macro changes will be lost.

This message appears when you have made changes to a macro in the Visual Basic Editor and have also changed the copy of your workbook in the Microsoft Script Editor.

To save the changes to your macro, do the following:

  1. Click No.

  2. Switch to the Visual Basic Editor window.

  3. Export any modules you have changed.

  4. In the workbook, click Refresh [image] on the Refresh toolbar.

  5. Click Yes.

  6. Import the modules to restore the changes to your macro.


I can't find the Insert Script, Show All Scripts, or Remove All Scripts command.

These commands are not included on the default menus in Microsoft Excel. To use these commands, you must first add them to the Tools menu.


 About controlling how Excel starts

About controlling how Excel starts

Open workbooks automatically If you work in the same workbook or workbooks all the time, you can automatically open them each time you start Microsoft Excel by moving the workbooks — or shortcuts for the workbooks — to the Excel startup folder.

Specify an additional startup folder If you commonly work on workbooks in a particular folder, such as a shared network drive, you can specify an additional startup folder. All files in this folder open when you start Excel.

Customize defaults by using a template You can create a template to use when you want several workbooks or worksheets to have similar formatting and styles or content and functionality. Learn about using a template.

Stop workbooks from automatically opening When you start Excel, workbooks open automatically if they are stored in the XLStart folder or an alternate startup folder, or if a switch has been set in a shortcut you are using. How to stop loading workbooks automatically.

Change the default working folder The default working folder is the folder that appears in the Open and Save As dialog boxes. You can set the default working folder for Microsoft Office or for just Excel.

Use startup switches You can change what happens when you start Excel from a shortcut by specifying a startup switch. For example, you can prevent Excel from displaying the startup screen and default blank workbook, and you can specify the default working folder.

Set up customizations and personalized files Some settings, such as custom dictionaries and templates, are specific to the user and can be set up by a system administrator to be available when you log on to a network. Learn about customizations and personalized files.


About the Office interface font

The font used in Microsoft Office programs (text in dialog boxes, on status bars, in the Name box, on sheet tabs, on buttons, in messages, and on menus) is the default Office interface font. If you want, you can use the default system font for these items in your Office programs instead of the default Office interface font.

Note You cannot change the Office interface font if you are using Office with a Japanese, Korean, Traditional Chinese, or Simplified Chinese interface.

Dialog boxes are designed for the default Office interface font, not necessarily for other fonts. For example, if you switch to the default system font, and a dialog box requires an extended character that is not available in the default system font, an empty box will be displayed in place of that character. Also, some of the Office interface items might continue to be displayed in the default Office interface font even after you switch to the default system font. Change the Office interface font.


 About using Microsoft Excel add-in programs

About using Microsoft Excel add-in programs

Add-ins are programs that add optional commands and features to Excel. For example, the Analysis ToolPak add-in provides a set of data analysis tools that can save steps when you develop complex statistical or engineering analyses.

Excel has two types of add-in programs: Excel add-ins and custom Component Object Model (COM) add-ins.

Excel add-ins

Where to get add-ins A set of add-ins is available when you install Excel, and more add-ins are available from Microsoft on the Web. Learn about the add-ins available for Excel.

Installing add-ins on your computer Before you can use an add-in, you must first install it on your computer and then load it into Excel. Add-ins (*.xla files) are installed by default in one of two places: either the Library folder or one of its subfolders in the Microsoft Office\Office folder, or the Profiles\your user name\Application Data\Microsoft\AddIns folder in your Windows folder. The administrator for your company's network can designate other locations for add-in programs. See your administrator for more information.

Loading add-ins into Excel After installing an add-in, you must load it into Excel. Loading an add-in makes the feature available in Excel and adds any associated commands to the appropriate menus.

Unloading add-ins from Excel To conserve memory and improve performance, unload add-ins you don’t use often. Unloading an add-in removes its features and commands from Excel, but the add-in program remains on your computer so you can easily reload it. When you unload an add-in program, it remains in memory until you restart Excel.

Designing custom Excel add-ins You can use your own Visual Basic programs as custom add-ins. For information about making a Visual Basic program an add-in, see the Microsoft Office 2000/Visual Basic Programmer's Guide, which you can obtain from Microsoft.

COM add-ins

COM add-ins are supplemental programs that provide additional functionality in a variety of programming languages, including Visual Basic, Visual C++, and Visual J++.

Using COM add-ins The developer of a COM add-in usually provides installation and removal programs for the add-in. Contact the person who provided the add-in to you for instructions on how to install and use it.

Designing COM add-ins If you are a developer, you’ll find information about designing COM add-ins in Visual Basic Help. While you are developing and testing, you can load or unload a COM add-in in Excel before you have a working installation program for your add-in.


 Show or hide toolbar ScreenTips

Show or hide toolbar ScreenTips

Microsoft Excel can display the name of a toolbar button in a ScreenTip when you rest the pointer on the button.

  1. On the Tools menu, click Customize, and then click the Options tab.

    Show Me

  2. Select or clear the Show ScreenTips on toolbars check box.

Note Selecting or clearing the Show ScreenTips on toolbars check box affects all Microsoft Office programs.


 Move a toolbar

Move a toolbar

  • Drag the move handle Vertical bar at edge of docked toolbar at the left side of a docked toolbar — or the title bar on a floating toolbar — to another location. If you drag the toolbar to the edge of the program window or to a location beside another docked toolbar, it becomes a docked toolbar.

Note Moving a docked toolbar may affect the location and size of other toolbars in the same row.


 Resize a toolbar

Resize a toolbar

  • To resize a floating toolbar, move the pointer over any edge until it changes to a double-headed arrow, and then drag the edge of the toolbar.

  • To resize a docked toolbar that is in the same row as another toolbar, click its move handle Vertical bar at edge of docked toolbar and then drag the edge of the toolbar.

Notes

  • You can't resize a docked toolbar that is in its own row, or one that is the leftmost toolbar in a horizontal row or topmost toolbar in a vertical row of toolbars.

  • Resizing one docked toolbar may affect the location and size of other toolbars in the same row.


Change the color palette used in a workbook

Each Microsoft Excel workbook has a palette of 56 colors that you can apply to a worksheet and to fills and lines in a chart. You can customize the shade and intensity of the colors in the color palette for each workbook. When you change a color in the palette, any element formatted with that color is changed throughout the entire workbook. You can also copy the color palette from one workbook to another.

What do you want to do?

Change a color in a color palette

Copy a color palette to another workbook


 About menus and toolbars

About menus and toolbars

What are menus and toolbars?

Using menus and toolbars

Customizing menus and toolbars

What are menus and toolbars?

Menus and toolbars provide ways to give Microsoft Excel instructions about what you want to do.

A menu displays a list of commands. Some of these commands have images next to them, so you can quickly associate the command with the image. Most menus are located on the menu bar, which is usually at the top of the screen.

A toolbar can contain buttons with images (the same image you see next to a menu command), menus, or a combination of both. Excel includes many built-in toolbars that you can show and hide as needed. By default, the Standard and Formatting built-in toolbars are docked side by side below the menu.

Return to top

Using menus and toolbars

Display only the commands and buttons you use Excel automatically personalizes menus and toolbars for you based on how often you use commands. When you first start Excel, the most common commands appear. Then, as you work in Excel, menus and toolbars are personalized — Excel shows only the commands and buttons you use most often on the menus and toolbars.

Show all commands on a menu To look for a command you don't use often or have never used before, click the arrows Double arrows pointing down at the bottom of the menu, or double-click the menu, to expand it. When you expand one menu, all other menus are expanded until you click a command or perform another action. When you click a command on the expanded menu, it is immediately added to the personalized (short) version of the menu. If you stop using a command for awhile, Excel stops showing it. If you prefer, you can specify that Excel always show the full set of commands for each menu.

Position toolbars in the same row Toolbars can be positioned next to each other in the same row. For example, the Standard toolbar appears next to the Formatting toolbar when you first start Excel. When you put multiple toolbars in the same row, there may not be enough room to display all of the buttons. If there isn't, the buttons you used most recently are displayed.

See all toolbar buttons You can resize a toolbar to display more buttons or show all buttons on a toolbar. To see a list of buttons that won't fit on a built-in docked toolbar, click More Buttons [image] at the end of the toolbar. When you use a button that is not displayed on the toolbar, that button moves to the toolbar and a button you haven't used recently moves to the More Buttons list.

Return to top

Customizing menus and toolbars

Customize menus and toolbars You can customize menus and toolbars yourself by adding and removing buttons and menus. You can also create your own custom toolbars, hide or display toolbars, and move them. You can customize the menu bar in the same way that you customize any built-in toolbar — for example, you can add and remove buttons and menus — but you can't hide the menu bar.

Save a toolbar configuration When you quit Excel, changes that you made to the menu bar and built-in toolbars, any custom toolbars you created, and the toolbars currently displayed are saved in a toolbar settings file, Excel.xlb. The toolbar configurations saved in this file are used by default each time you start Excel. If you frequently use a particular set of toolbars, you can save the configuration in a separate toolbar settings file so you don't have to redisplay and rearrange the toolbars each time you start Excel.

Toolbars you create or customize are available to all workbooks on your own system. To ensure that a custom toolbar is always available in a specific workbook, you can attach the toolbar to the workbook.

Return to top


 Switch between personalized (short) menus and full menus

Switch between personalized (short) menus and full menus

  1. On the Tools menu, click Customize, and then click the Options tab.

    Show Me

  2. Do one of the following:

    To turn on personalized (short) menus, select the Menus show recently used commands first check box. To see the full menu after a brief delay (when you rest the pointer on an open menu), select the Show full menus after a short delay check box.

    To show all of the commands on menus, clear the Menus show recently used commands first check box.

Notes

  • Selecting or clearing the Menus show recently used commands first check box affects all Microsoft Office programs.

  • To clear the settings that Microsoft Excel automatically saves when you select commands and toolbar buttons, click the Reset my usage data button on the Options tab (Tools menu, Customize command). This button resets buttons that appear on built-in toolbars only if a toolbar is not wide enough to display all buttons, and it resets commands that appear on personalized (short) built-in menus only if the Menus show recently used commands first check box is selected. The Reset my usage data button does not change the location of toolbars, remove any buttons or commands you've added by using the Customize dialog box, or add buttons or commands you've deleted. How to reset built-in menus and toolbars.


 Make toolbars and menus behave like they did in Microsoft Office 97.

Make toolbars and menus behave like they did in Microsoft Office 97.

  1. On the Tools menu, click Customize, and then click the Options tab.

    Show Me

  2. Clear the Standard and Formatting toolbars share one row check box.

  3. Clear the Menus show recently used commands first check box.

Notes

  • Clearing the Standard and Formatting toolbars share one row check box affects only Microsoft Excel. The check box is not available if either the Standard or Formatting toolbar is hidden or if both toolbars are floating.

  • Clearing the Menus show recently used commands first check box affects all Microsoft Office programs.


Save more than one toolbar configuration

If you frequently use a group of customized toolbars that are sized and arranged on the screen in a particular way, you can save the configuration so you don't have to redisplay and resize the toolbars each time you start Microsoft Excel.

  1. Make any changes you want to the built-in menu bar and toolbars, create any custom toolbars you want to save, and then display the toolbars the way you want them to appear.

  2. Quit Excel.

  3. Locate the file Excel.xlb.

  4. Rename the file, retaining the .xlb extension.

To use a saved configuration again, click Open on the File menu and open the renamed file. When you next quit the program, Excel creates a new Excel.xlb toolbar settings file.


 Attach a custom toolbar to a workbook

Attach a custom toolbar to a workbook

If you want to make sure that a custom toolbar is always available with a specific workbook, you can attach the toolbar to the workbook. Be sure to save the workbook after attaching a toolbar.

  1. Create the custom toolbar you want to attach.

    How?

  2. Open the workbook to which you want to attach a toolbar.

  3. On the Tools menu, click Customize, and then click the Toolbars tab.

    Show Me

  4. Click Attach.

  5. Click the custom toolbar you want to attach, and then click Copy.


 Create a custom toolbar

Create a custom toolbar

  1. On the Tools menu, click Customize, and then click the Toolbars tab.

    Show Me

  2. Click New.

  3. In the Toolbar name box, type the name you want, and then click OK.

  4. Leave the Customize dialog box open (you may need to move it out of the way), and then do one or more of the following:

    To add a button to the toolbar, click the Commands tab. In the Categories list, click the category for the command associated with the button, and then drag the command you want from the Commands list to the displayed toolbar.

    To add a built-in menu to the toolbar, click the Commands tab. In the Categories list, click Built-in Menus, and then drag the menu you want from the Commands list to the displayed toolbar.

    How to add a custom menu to the toolbar.

  5. When you have added all the buttons and menus you want, click Close.


 Add a button to a toolbar

Add a button to a toolbar

  1. Show the toolbar you want to add a button to.

  2. On the Tools menu, click Customize, and then click the Commands tab.

    Show Me

  3. In the Categories list, click the category for the command you want the button to perform.

  4. Drag the command you want from the Commands list to the displayed toolbar.

Tip To quickly add a built-in button to a built-in toolbar, click More Buttons [image] on a docked toolbar — or click the arrow Arrow pointing down in the upper-left corner of a floating toolbar — click Add or Remove Buttons, and then select the check box next to the button you want to add.


 Add a built-in menu to a toolbar

Add a built-in menu to a toolbar

  1. Show the toolbar you want to add a built-in menu to.

  2. On the Tools menu, click Customize, and then click the Commands tab.

    Show Me

  3. In the Categories list, click Built-in Menus.

  4. Drag the menu you want from the Commands list to the displayed toolbar.


 Add a custom menu to a toolbar or menu

Add a custom menu to a toolbar or menu

  1. Show the toolbar you want to add a custom menu to.

  2. On the Tools menu, click Customize, and then click the Commands tab.

    Show Me

  3. In the Categories list, click New Menu.

  4. Drag New Menu from the Commands list to the displayed toolbar or menu.

  5. On the toolbar, right-click the new menu, type a name in the Name box on the shortcut menu, and then press ENTER.

  6. To add a command to the custom menu, click the custom menu to display an empty box. Click the category for the command in the Categories list, and then drag the command from the Commands list to the empty box on the custom menu.


 Add a command to a menu

Add a command to a menu

  1. Show the toolbar that has the menu you want to add a command to.

  2. On the Tools menu, click Customize, and then click the Commands tab.

    Show Me

  3. In the Categories list, click the category for the command.

  4. Drag the command you want from the Commands list over the menu you want to add it to. When the menu displays a list of commands, point to where you want the command to appear, and then release the mouse button.


 Run a macro from a toolbar button

Run a macro from a toolbar button

You can run a macro from a button on a built-in toolbar or a custom toolbar. For information about creating a custom toolbar, click [image] .

  1. On the Tools menu, click Customize.

    Show Me

  2. If the toolbar that contains the button is not visible, click the Toolbars tab, and then select the check box next to the toolbar name.

  3. If the button you want to run the macro from is not on a toolbar, click the Commands tab, and then click Macros in the Categories list. In the Commands list, drag the Custom button onto a toolbar.

  4. Right-click the toolbar button, and then click Assign Macro on the shortcut menu.

  5. In the Macro name box, enter the name of the macro.


 Delete a toolbar button

Delete a toolbar button

  1. Show the toolbar you want to change.

  2. Hold down ALT and drag the button off the toolbar.

Notes

  • Selecting from a list of buttons To quickly delete a built-in button from a built-in toolbar, click More Buttons [image] on a docked toolbar — or click the arrow Arrow pointing down in the upper-left corner of a floating toolbar — click Add or Remove Buttons, and then clear the check box next to the button you want to delete.

  • Saving custom toolbar buttons for later use When you delete a built-in button, the button is still available in the Customize dialog box. However, when you delete a custom button, it is permanently deleted. To remove and save a custom button for later use, create a storage toolbar.


 Delete a custom toolbar

Delete a custom toolbar

  1. On the Tools menu, click Customize, and then click the Toolbars tab.

    Show Me

  2. At the bottom of the Toolbars list, click the custom toolbar you want to delete.

  3. Click Delete.

Note You cannot delete a built-in toolbar. When you select a built-in toolbar, the Reset button appears, which restores the toolbar to its default buttons, menus, and submenus.


Delete a command from a menu

  1. Show the toolbar that has the command you want to delete.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. On the toolbar, click the menu that contains the command you want to delete.

  4. Drag the command you want to delete off the menu.


Delete a menu from a toolbar

  1. Show the toolbar you want to delete a menu from.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Drag the menu you want to delete off the toolbar.

Tip When you delete a built-in menu, the menu is still available in the Customize dialog box. However, when you delete a custom menu, it is permanently deleted. To remove and save a custom menu for later use, create a storage toolbar.


 Create a storage toolbar

Create a storage toolbar

  1. Show the toolbar that contains the custom button you want to store.

  2. On the Tools menu, click Customize, and then click the Toolbars tab.

    Show Me

  3. Click New.

  4. In the Toolbar name box, type the name you want, click OK, and then click Close.

    The new storage toolbar remains on the screen.

  5. For each custom toolbar button you want to store, do one of the following:

    To move a button to the new toolbar, hold down ALT and drag the button.

    To copy a button, hold down CTRL+ALT and drag the button.

  6. To hide the new toolbar, right-click it, and then clear the check box next to its name on the shortcut menu.


Change the image or text on a toolbar button or menu command

You can change the image on any toolbar button or menu command, except buttons that display a list or a menu. You can copy an image to another toolbar button or menu command and create and change images in a graphics program. You can also display text on a toolbar button or change whether a menu command displays an icon.

What do you want to do?

Copy an image from one toolbar button or menu command to another

Copy an image from a graphics program to a toolbar button or menu command

Edit the image on a toolbar button or menu command

Change the image on a toolbar button or menu command

Display an icon and text or text only on a menu command

Display text or an icon on a toolbar button


 Change the size of toolbar buttons

Change the size of toolbar buttons

  1. On the Tools menu, click Customize, and then click the Options tab.

    Show Me

  2. Select or clear the Large icons check box.

Note Selecting or clearing the Large icons check box affects all Microsoft Office programs.


 Change the width of a drop-down list box on a toolbar

Change the width of a drop-down list box on a toolbar

  1. Show the toolbar you want to change.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. On the toolbar, click the drop-down list box you want to change.

  4. Point to the left or right edge of the list box. When the pointer changes to a double-headed arrow, drag the edge of the list box to change its width.


Display an icon and text or text only on a menu command

  1. Show the toolbar that has the command you want to change.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Click the menu that contains the command you want to change.

  4. Right-click the command, and then click the option you want on the shortcut menu.

Notes

  • Some commands do not have an icon associated with them and can be displayed only as text.

  • A command cannot be displayed as an icon only. However, if you click the Default Style format for a command and then copy or move the command to a toolbar, the command appears as an icon on the toolbar.


Display text or an icon on a toolbar button

  1. Show the toolbar that has the button you want to change.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. On the toolbar, right-click the button you want to change, and then click the option you want on the shortcut menu.

Note You can't change the text or icon on a button that displays a list or a menu.


Add or remove a separator on a toolbar

To group related buttons and menus, you can add a separator bar between groups of buttons and menus on a toolbar. For example, the New, Open, Save, and E-mail buttons are grouped on the Standard toolbar with a separator bar after the E-mail button.

  1. Show the toolbar you want to group related buttons and menus on.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Do one of the following:

    To add a separator, right-click a button, and then click Begin a Group on the shortcut menu. A separator bar appears to the left of the button on a horizontal toolbar and above a button on a vertical toolbar.

    To remove a separator, drag one button closer to the other.

Tip To quickly add or remove a separator between buttons without opening the Customize dialog box, hold down ALT and drag the button.


Move menus or menu commands

You can move or copy a menu from one toolbar to another. You can also move a submenu, if it has a move handle Horizontal bar at top of some submenus, anywhere on the screen to create a floating toolbar. If a submenu does not have a move handle, you cannot move it.

What do you want to do?

Move or copy a menu to a toolbar

Move a submenu anywhere on the screen

Move or copy a menu command


Move or copy a toolbar button

If you are moving or copying a button from one toolbar to another, you must show both toolbars.

  • Do one of the following:

    To move a button, hold down ALT and drag the button to the new location on the same or another toolbar.

    To copy a button, hold down CTRL+ALT and drag the button to the new location.


Rename a custom menu

  1. Show the toolbar that has the custom menu you want to rename.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. On the toolbar, right-click the custom menu you want to rename, and then type the name in the Name box on the shortcut menu.


 Rename a custom toolbar

Rename a custom toolbar

  1. On the Tools menu, click Customize, and then click the Toolbars tab.

    Show Me

  2. At the bottom of the Toolbars list, click the custom toolbar you want to rename.

  3. Click Rename.

  4. In the Toolbar name box, type the new name.

Note You cannot rename a built-in toolbar.


Rename a menu command or toolbar button

  1. Show the toolbar that has the command or button you want to change.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Do one of the following:

    To rename a command, click the menu that contains the command, and then right-click the command. On the shortcut menu, type the new name in the Name box, and then press ENTER.

    If you use a keyboard combination of ALT plus a letter to select commands, type an ampersand (&) before the letter that you want to use to select the command. Make sure the letter is not already assigned to another command on the same menu. The letter is underlined on the menu.

    To rename a button, right-click the button. On the shortcut menu, type the new name in the Name box, and then press ENTER.

Note If the button does not display text, you won't see the name change except when you view the ScreenTip. How to display text, an icon, or both on a toolbar button.


Reset built-in menus and toolbars

What do you want to do?

Reset a built-in toolbar button or menu command

Reset a built-in toolbar

Reset a built-in menu

Make toolbars and menus behave like they did in Microsoft Office 97

Not sure which choice you want?


 Turn on or off toolbar sounds for buttons, menus, and other screen elements

Turn on or off toolbar sounds for buttons, menus, and other screen elements

  1. On the Tools menu, click Options, and then click the General tab.

    Show Me

  2. Select or clear the Provide feedback with sound check box.

Note Selecting or clearing the Provide feedback with sound check box affects all Microsoft Office programs.


Change sounds for buttons, menus, and other screen elements

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click Sounds [image].

  3. In the Events list, click the event whose sound you want to change.

  4. In the Name list, select a sound, or click Browse to search for a sound.


 Show all buttons on a toolbar

Show all buttons on a toolbar

  • Click the move handle Vertical bar at left edge of docked toolbar on the toolbar and drag the toolbar to its own row — or to a location other than the edge of the program window — so that the toolbar becomes a floating toolbar.


 Turn on or off using font types to show fonts

Turn on or off using font types to show fonts

To speed up the display of font lists — for example, those in the Font list on the Formatting toolbar — you can display the font names in a standard font instead of as a sample of the font.

  1. On the Tools menu, click Customize, and then click the Options tab.

    Show Me

  2. Clear the List font names in their font check box.

Note Selecting or clearing the List font names in their font check box affects all Microsoft Office programs.


Control how Microsoft Excel starts

What do you want to do?

Open a workbook automatically when Excel starts

Specify an additional startup folder

Customize the defaults for a workbook or worksheet by using a template

Use startup switches when you start Excel

Stop a workbook from loading when Excel starts

Set the default working folder in the Open and Save As dialog boxes

Learn about customizations and personalized files

Not sure which choice you want?


Automatically start Excel when you turn on your computer

  1. On the Windows Start menu, point to Settings, and then click Taskbar.

  2. Click the Start Menu Programs tab, and then click Add.

  3. Click Browse.

  4. In the Look in list, click the drive on which you installed Microsoft Excel.

  5. In the folder list, locate and then double-click the folder that contains Excel.

  6. Double-click the Excel.exe file, and then click Next.

  7. In the folder list, click StartUp, and then click Next.

  8. In the Select a name for the shortcut box, type a name — for example, Excel — and then click Finish.


 Use Microsoft Excel add-in programs

Use Microsoft Excel add-in programs

Excel has two types of add-in programs that provide optional commands and features. Excel add-ins are available when you install Excel or Office and are available from the Web. Custom Component Object Model (COM) add-ins can be designed by developers and solution providers.

What do you want to do?

Install an Excel add-in program on your computer

Load an installed Excel add-in program

Unload an Excel add-in program

Load or unload a COM add-in program

Not sure which choice you want?


 Load or unload a Component Object Model (COM) add-in program

Load or unload a Component Object Model (COM) add-in program

Developers You can use this procedure to load or unload a COM add-in for testing before you have designed installation and removal programs for your add-in. For information about creating COM add-ins, see the Microsoft Office 2000/Visual Basic Programmer's Guide.

Other users of Microsoft Excel If you are not a developer, you should not need this procedure. Contact the person who provided the add-in if you need installation and removal instructions.

  1. If you already have the COM Add-Ins command on the Tools menu, skip to step 6.

  2. On the Tools menu, click Customize, and then click the Commands tab.

    Show Me

  3. In the Categories list, click Tools.

  4. Drag COM Add-Ins from the Commands box over the Tools menu on the Excel menu bar. When the Tools menu commands appear, point to where you want the COM Add-Ins command to appear on the menu, and then release the mouse button.

  5. In the Customize dialog box, click Close.

  6. On the Tools menu, click COM Add-Ins.

  7. In the Add-Ins available list, do one of the following:

    To load an add-in, select the check box next to its name. If the add-in you want isn't in the list, click Add, locate the add-in, and then click OK.

    To unload an add-in from memory but keep its name in the list, clear the check box next to its name.

    To remove an add-in from the list and from memory, click its name, and then click Remove.

Note Unloading or removing an add-in doesn't remove the add-in file from your computer.


Troubleshoot customizing Microsoft Excel

What do you need help with?

Commands and features are missing from Excel.

The Options command doesn't have the setting I want to change.

I removed the Customize command. How can I change toolbars and menus?

Excel can't find the add-in I want to use.


Troubleshoot toolbars and menus

What do you need help with?

Make toolbars and menus behave like they did in Microsoft Office 97.

I can't find a menu command, toolbar button, or dialog box option.

I can't find the Customize command.

I created a custom toolbar and shared it with another person but it looks different on their computer than on mine.

Show all commands on menus.


 When I start Excel by using a shortcut or icon, the default working folder is not correct.

When I start Excel by using a shortcut or icon, the default working folder is not correct.

If you start Microsoft Excel by using a shortcut, the working folder you specified for the shortcut might not be used. (This is the location you specified by right-clicking the shortcut icon, clicking Properties on the shortcut menu, and filling in the location in the Start in box on the Shortcut tab.) If a folder is set in the Default file location box on the General tab in the Options dialog box (Tools menu), Excel uses this location as the working folder. How to change the default working folder.


Microsoft Excel can't find the add-in I want to use.

Check the add-in file on your computer The file may have been renamed, moved, or deleted. Add-ins have an .xla file extension (to see the .xla extension, you may need to turn on the display of extensions in Windows). Add-ins are stored by default in one of two places: either the Library folder or one of its subfolders in the Microsoft Office\Office folder, or the Profiles\your user name\Application Data\Microsoft\AddIns folder in your Windows folder. The administrator for your company's network can designate other locations for add-in programs. See your administrator for more information.

You can reinstall an Excel add-in by using the program that you used to install Excel. To find and load an add-in that isn't stored in one of the default locations, click Add-Ins on the Tools menu, and then click Browse.

If the add-in is stored on a network, check the network drive The network drive may be unavailable. To ensure that you can use the add-in when your network is unavailable or your computer is offline, keep a copy of the add-in on your computer.

If you are working on a different computer, check your original computer For the add-in to be available on other computers that you use, you must store it on your original computer in the Profiles\your user name\Application Data\Microsoft\AddIns folder in your Windows folder. Check with the administrator for your company's computer systems for more information about working on other computers.

Check with your Office or Excel administrator Your administrator may have decided not to make the add-in available for installation. In this case, you may need to reinstall Office or Excel. Check with your administrator for more information.


About adding comments and highlighting changes in a workbook

Highlight changes
Add supplemental comments
View details about changes


About adding comments and highlighting changes in a workbook


About defining the valid entries for a cell

Show valid entries
Prompt for correct entries
Respond to incorrect entries
Circle incorrect entries


About defining the valid entries for a cell


About Pivot Chart Reports

Overview
How data is represented in a PivotChart report
Differences between PivotChart reports and regular charts


About PivotChart reports


About Pivot Table Reports Interactive Data Analysis

Overview
Source data
How PivotTable reports organize data
Indented-format PivotTable reports
PivotChart reports
PivotTable lists on Web pages


About PivotTable reports: interactive data analysis


About setting up a shared workbook

Overview
Prepare to share a workbook
Make the workbook a shared workbook
Store the workbook on a network location


About setting up a shared workbook


About sorting a list

Sort in ascending order
Sort in descending order
Sort rows by multiple columns
Sort by rows
Custom sort orders


About sorting a list


About using graphics in Microsoft Excel

Overview
Ready-made shapes
Clip art
Pictures
Special text effects
Graphics in charts
Create your own drawings
Graphics as hyperlinks
Graphics to start macros


About using graphics in Microsoft Excel


About Using Microsoft Query To Retrieve External Data

What is Microsoft Query?
Setting up data sources
Defining your query
Working with the data in Microsoft Excel


About using Microsoft Query to retrieve external data


Auditing: Trace the relationships between formulas and cells

Auditing your worksheet
Trace precedents
Trace dependents
Trace errors
Change references with Range Finder
Insert a comment
Circle invalid data


Auditing: Trace the relationships between formulas and cells


Choosing the best trendline for your data

Overview
Linear
Logarithmic
Polynomial
Power
Exponential
Moving average


Choosing the best trendline for your data


FastTips

Microsoft FastTips is an automated, toll-free service that provides quick answers to your common technical questions — 24 hours a day, 7 days a week — when you call (800) 936-4100 from a touch-tone telephone in the United States. By using the buttons on your telephone to respond to prompts, you can hear recorded answers to your technical questions, obtain a catalog of available information, and order items by fax. For example, you can order Application Notes by fax, as well as popular articles from the Microsoft Knowledge Base. Outside the United States, contact your local Microsoft subsidiary for information.


Update a linked object manually

  1. On the Edit menu, click Links.

    The Links command is unavailable if your file does not contain linked information.

  2. In the Source file list, click the source for the linked object, and then click Update Now.

    To select multiple linked objects, hold down CTRL and click each linked object.


 Add a legend to a chart

Add a legend to a chart

  1. Click the chart to which you want to add a legend.

  2. On the Chart menu, click Chart Options, and then click the Legend tab.

  3. Select the Show legend check box.

  4. Under Placement, click the option you want.

Note When you click one of the Placement options, the legend moves, and the plot area automatically adjusts to accommodate it. If you move and size the legend by using the mouse, the plot area does not automatically adjust. When you use the Placement options, the legend loses any custom sizing you may have already applied by using the mouse.


 Add a title to a chart or axis

Add a title to a chart or axis

  1. Click the chart to which you want to add a title.

  2. On the Chart menu, click Chart Options, and then click the Titles tab.

  3. To add a chart title, click in the Chart title box, and then type the text you want.

    To add one or more axis titles, click in the appropriate box for each title, and then type the text you want.

Tip To insert a line break in a chart title or axis title, click the text on the chart, click where you want to insert the line break, and then press ENTER.


 Add data labels to a chart

Add data labels to a chart

The chart type associated with the selected data series or data point determines the type of data label you can add.

  1. To add data labels to a data series, click the data series.

    To add a data label to a single data point, click the data series that contains the data marker you want to label, and then click the data marker for the data point you want to label.

  2. On the Format menu, click Selected Data Series or Data Point.

  3. On the Data Labels tab, select the options you want.

Tip You can quickly label all data points. Click the chart, click Chart Options on the Chart menu, and then select the options you want on the Data Labels tab.

Note In a PivotChart report, the addition of or modification to data labels on individual data series or data points is not retained when you subsequently change the view of the chart or its associated PivotTable report. Before you add or change data labels in a PivotChart report, make sure you are satisfied with the layout.


 Display or hide gridlines in a chart

Display or hide gridlines in a chart

Pie and doughnut charts do not have gridlines.

  1. Click the chart to which you want to add gridlines.

  2. On the Chart menu, click Chart Options, and then click the Gridlines tab.

  3. Select the check boxes for the gridlines you want to display.

    Clear the check boxes for the gridlines you want to hide.


 Edit an embedded object in a program other than the source program

Edit an embedded object in a program other than the source program

  1. Select the embedded object you want to edit.

  2. On the Edit menu, point to object name Object (for example, Document Object), and then click Convert.

  3. To convert the embedded object to the type you specify in the list, click Convert to.

    To open the embedded object as the type you specify in the list without changing the embedded object type, click Activate as.


Copy an image from a graphics program to a toolbar button or menu command

For a clear image, copy a graphic that is the same size as the default built-in button image, which is 16 by 16 pixels. A larger image may be distorted because it will be scaled to fit the size of the button.

  1. In the graphics program, copy the graphic you want to appear on the button or command to the Clipboard.

    If you can select the format for the copied graphic, select the bitmap or picture format.

  2. Switch to Microsoft Excel.

  3. Show the toolbar that has the button or command you want to change.

  4. On the Tools menu, click Customize

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  5. To paste the copied image, do one of the following:

    Right-click the button you want to change, and then click Paste Button Image on the shortcut menu.

    Click the menu that contains the command you want to change, right-click the command, and then click Paste Button Image on the shortcut menu.


Copy an image from one toolbar button or menu command to another

You can copy an image from one toolbar button to another only if the other button is also on a toolbar.

  1. Show both the toolbar with the button or command you want to copy and the toolbar with the button or command you want to change.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. To copy the image, do one of the following:

    Right-click the button that contains the image you want to copy, and then click Copy Button Image on the shortcut menu.

    Click the menu that contains the command image you want to copy, right-click the command, and then click Copy Button Image on the shortcut menu.

  4. To paste the copied image, do one of the following:

    Right-click the button you want to change, and then click Paste Button Image on the shortcut menu.

    Click the menu that contains the command you want to change, right-click the command, and then click Paste Button Image on the shortcut menu.


Edit the image on a toolbar button or menu command

  1. Show the toolbar that has the button or command you want to edit.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. To edit the image, do one of the following:

    On the toolbar, right-click the button you want to edit, and then click Edit Button Image on the shortcut menu.

    Click the menu that contains the command you want to edit, right-click the command, and then click Edit Button Image on the shortcut menu.

  4. Select the editing options you want.

    For Help on an option, click the question mark [image] and then click the option.


 Edit an embedded object in the source program

Edit an embedded object in the source program

  1. Double-click the embedded object to open it.

  2. Make the changes you want to the object.

  3. If you are editing the object in place in the open program, click anywhere outside the object to return to the destination file.

    If you edit the embedded object in the source program in a separate window, click Exit on the File menu to return to the destination file.

Note Double-clicking some embedded objects, such as video and sound clips, plays the object instead of opening a program. To edit one of these embedded objects, click the object, point to object type Object on the Edit menu, and then click Edit.


 Create a new embedded object

Create a new embedded object

  1. Click the worksheet or chart sheet where you want to place the embedded object.

  2. On the Insert menu, click Object, and then click the Create New tab.

    Show Me

  3. In the Object type box, click the type of object you want to create.

  4. If others will view the workbook online, you can display the object as an icon by selecting the Display as icon check box. Viewers can double-click the icon to display the object.

Note Only programs that are installed on your computer and that support OLE objects appear in the Object type box.


 Mail a workbook or worksheet as an attachment

Mail a workbook or worksheet as an attachment

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, open the workbook or worksheet you want to send as an attachment.

  2. On the File menu, point to Send To, and then click Mail Recipient (as Attachment).

  3. In the To and Cc boxes, enter recipient names, separated by semicolons.

  4. Set the options you want for this message.

  5. Click Send [image] .

Note If you try to send an HTML file as an attachment in an e-mail message, Excel automatically converts the file to an .xls file.


Microsoft Download Library (MSDL)

The Microsoft Download Library (MSDL) contains sample programs, device drivers, patches, software updates, and programming aids. Direct modem access to MSDL is available 24 hours a day, 365 days a year, by dialing (425) 936-6735 in the United States or (905) 507-3022 in Canada. Outside the United States and Canada, contact your local Microsoft subsidiary for information.

Note The service supports 1200-, 2400-, 9600-, or 14,400-baud data transmission, with no parity, 8 data bits, and 1 stop bit.


 Open a workbook on your hard disk, network, or a Web server

Open a workbook on your hard disk or network

  1. Click Open [image] .

  2. In the Look in list, click the drive, folder, or FTP location that contains the workbook you want to open, and then locate and double-click the folder that contains the workbook.

    If you can't find the workbook, you can search for it.

    How?

  3. Double-click the workbook you want to open.

Notes

  • To open a file you've used recently, click History [image] on the Places Bar.

  • When you open an HTML file that was created or saved in an Office program, the file opens in the program that last saved it. To open it in Microsoft Excel, click the arrow to the right of the Open button and select Open in Excel.

  • You can also open a workbook on your network by using a UNC address.


 Reset a built-in toolbar

Reset a built-in toolbar

  1. On the Tools menu, click Customize, and then click the Toolbars tab.

    Show Me

  2. Click the toolbar you want to restore to its original settings.

  3. Click Reset.

Note You cannot reset a custom toolbar.


Route a workbook

If you're the originator of the routed workbook, you must create a routing slip.

How?

If you're the recipient of a routed workbook, follow the procedure below.

  1. Open the workbook you want to route.

  2. To route the workbook to the next person on the routing list, point to Send To on the File menu, and then click Next Routing Recipient. Click Route workbook to recipient name.

    To route the workbook to a person who is not on the routing list, point to Send To on the File menu, and then click Other Routing Recipient.

Tip A routed workbook is an attachment in an e-mail message. To open a routed workbook, follow the instructions for your e-mail program. If you're using Microsoft Exchange, double-click the workbook icon to open the routed workbook.


I can't update the automatic links on my Microsoft Excel worksheet.

To ensure that automatic links to data in other programs are updated, click Options on the Tools menu, click the Calculation tab, and make sure the Update remote references check box is selected. If this check box is cleared, the Automatic option in the Links dialog box (Edit menu) is overridden for linked data sources from other programs, such as a Microsoft Word document or a Microsoft Access database.


Change the way a linked object is updated

  1. On the Edit menu, click Links.

    The Links command is unavailable if your file does not contain linked information.

  2. In the Source file list, click the linked object you want to update.

    To select multiple linked objects, hold down CTRL and click each linked object.

  3. To update a linked object every time you open the file that contains the object or any time the original information changes while the file is open, click Automatic.

    To update a linked object only when you click Update Now, click Manual.


 Search criteria you can use in the File name box

Search criteria you can use in the File name box

In the File name box in the Open dialog box (File menu), enter any of the following to locate your file, and then press ENTER.

Criteria | Example
Partial file names | Type region to find all files with names that include "region".
File name extensions | Type *.txt to find text files.
Wildcard characters | To find only file names that end with "region", type *region; or type gr?y to find instances of both "gray" and "grey" in file names. Use an asterisk (*) to match any number of characters, or use a question mark (?) to match any single character.
The full path | Type c:\House finances\Property taxes in 1999. When you include a drive letter, share, or folder, the program automatically updates the location in the Look in box, displays only the name of the file in the File name box, and then opens the file.
Multiple paths | Type c:\House finances;c:\My work documents. Separate each path with a semicolon (;). All of the files from each path you enter in the File name box appear. However, only the name of the first path you enter appears in the Look in list.
Internet location | To log on to a server on the Internet or on your company’s intranet, type the URL (FTP and HTTP only) — for example, type http://example.microsoft.com/.

Tip To reuse a recent entry, click the arrow next to the File name box, and then click the entry.


About naming cells in a workbook

Labels and names You can use labels that define the data in your worksheet or text phrases to represent a cell or ranges of cells within formulas. For example, if the range C5:C20 contains sales figures and is labeled Sales, you can calculate the total value for the range by using the formula =SUM(Sales) instead of =SUM(C5:C20). Labels can be used in formulas that refer to data on the same worksheet; if you want to use a label to represent a range on another worksheet, use a name. Learn about labels and names.

Create names to represent cells If you build many formulas that use many different values throughout your worksheet, you can create names to make formulas easier to read and remember. Names that represent cells can also be used in formulas on other worksheets and within other workbooks. How to name a cell or a range of cells.

Use existing row and column labels as names If you want to use existing row and column labels in formulas on other worksheets or workbooks, you can use the labels as names that represent the associated cells. How to name cells by using existing row and column labels.

Use a name to refer to the same cells across multiple worksheets You can create 3-D names that represent the same cell or range of cells across multiple worksheets. How to name cells on more than one worksheet by using a 3-D reference.

More information

Guidelines for naming cells


 Specifying how to make data interactive

Specifying how to make data interactive

To enable people to work with the data on your Web page in a Web browser, you can make your data interactive.

  • To make data interactive, select the Add interactivity with check box and select the type of interactivity you want from the list.

The type of interactivity that's available depends on what you are publishing. For example, if you publish a worksheet that contains formulas, select Spreadsheet functionality so that users of your Web page can enter new values in a cell and the formulas will automatically calculate the results. If you publish a PivotTable report, select PivotTable functionality so that users of your Web page can change the layout of rows and columns to see different summaries of the source data. If you publish an external data range, select PivotTable functionality so that users of your Web page will be able to refresh the data. Ways to put Microsoft Excel data on the Web.


Specifying a title

When you publish a worksheet or an item on a worksheet, you can add a title that appears centered over the published selection. If you do not add a title, no title appears.

  • To add a title to the worksheet or item on your Web page, click Change and then type the title in the Title box.

Note If you click Save as Web Page on the File menu and then use the Save as dialog box to save an entire workbook as a Web page, the title you specify will appear in the title bar of the Web browser.


 Specifying what to publish

Specifying what to publish

To select the worksheet or item that you want to publish, select one item from the Choose list. (You can publish only one item at a time. To publish another item, select the new item and repeat the publishing procedure.)

  • Entire worksheets Select Items on Sheetname and then select All contents of Sheetname.

  • Items Select Items on Sheetname, and then select the item you want to publish, such as a PivotTable report or a chart.

  • Ranges of cells Select Range of cells and then, if the selection box does not contain the range you want, click Collapse Dialog [image] to the right of the selection box, select a range of cells from the Microsoft Excel workbook, and then click Expand Dialog [image] .

  • Filtered lists If you want to include both the displayed items and the hidden items in the filtered list, select Items on Sheetname (rather than Range of cells), select the Add interactivity with check box, and select Spreadsheet functionality in the list.

  • External data ranges If you want to be able to refresh an external data range on the published page, select Items on Sheetname, select the item you want to publish, select the Add interactivity with check box, and select PivotTable functionality in the list.

  • Republishing To republish a worksheet or item that you have already published, select Previously published items and then select the worksheet or item you want to republish. To prevent an item from being republished, select the item and click Remove.

Notes

  • Entire workbooks You can't publish an entire workbook by using the Publish as Web Page dialog box. To put an entire workbook on a Web page, click Cancel. On the File menu, click Save as Web Page, enter a name in the File name box, and click Save.

  • Sheets with interactive charts If you try to publish all contents of a worksheet that contains a chart with interactive functionality, the chart is not included on the Web page. To put an interactive chart on a Web page, you must publish the chart separately.

  • Drawing layers If you publish a graphic that has drawing layers with interactive functionality, the drawing layers are not retained, and the graphic becomes a single object.


 Specifying where to publish

Specifying where to publish

When you first create your Web page, it's a good idea to save the Web page on your local hard disk so that you can make any changes or corrections you need before you put the Web page on a public or shared location. When you're satisfied that your Web page is ready to publish, you can specify a location, for example, an HTTP site, an FTP site, a Web folder, a Web server, or a network server.

  • To specify a location for your Web page, click Browse, select the location where you want to publish your data, and click OK. If you type in a location instead, make sure you include the path and file name in the File name box. Learn about saving a file on the Web and about creating a Web folder.


 The Open dialog box doesn't list the file I'm looking for.

The Open dialog box doesn't list the file I'm looking for.

In the Open dialog box, type the name of the file in the File name box, and then make sure you have the correct file type selected in the Files of type list. On the Tools menu, click Find, select the Search subfolders check box, and then click Find Now to search all subfolders of the current folder.

Check search criteria Make sure that the entries under Define more criteria in the Find dialog box are appropriate for the files you're searching for. To clear all current search criteria, click New Search. Make sure that you're looking on the correct drive and in the correct folder.

Search for all files In the Files of type list (Open dialog box), click All Files.

Search all subfolders Click Find on the Tools menu (Open dialog box), and then select the Search subfolders check box.

Display a hidden file To display all files, including file types such as *.dll and *.sys, click the Windows Start button, point to Programs, and then click Windows Explorer. On the View menu, click Options. On the View tab, click Show all files.

Search multiple paths You can search multiple paths by typing the paths in the File name box. Separate each path with a semicolon — for example, type c:\House finances;c:\My work documents.

Connect to the network drive If you're looking for a file on the network and the network drive doesn't appear in the Look in list, click Map Network Drive on the Tools menu. In the Drive list, click the drive letter you want to use to connect to the network. In the Path box, enter the path where the file is located on the network, and then click OK. You can also look for files on a network drive if your network supports the UNC. Type the UNC path in the File name box in the Open dialog box — for example, type \\plans\documents.

Look in the Web Folders If you're looking for files on a Web server, in the Open dialog box, click Web Folders on the Places Bar to display folders on the server. Double-click the folders until you open the one that contains the document you want. You can also enter the folder path in the File name box in the Open dialog box — for example, type http://example.microsoft.com/. The Web server is set up by your system administrator.


The Mail Recipient and the Routing Recipient commands don't appear on the Send To submenu (File menu).

Make sure you have installed Microsoft Exchange or any 32-bit e-mail program compatible with the Messaging Application Programming Interface (MAPI), or Lotus cc:Mail or any 16-bit e-mail program compatible with Vendor Independent Messaging (VIM). Check with your administrator about getting the proper e-mail program installed.

If you have installed Microsoft Exchange or a compatible e-mail program, make sure Mapi32.dll is in the Windows System folder.

If you have installed Lotus cc:Mail or a compatible e-mail program, make sure Mapivi32.dll, Mapivitk.dll, and Mvthksrv.exe are in the Windows System folder.


 The wrong files appear after I complete a search.

The wrong files appear after I complete a search.

The search might not be complete Microsoft Office programs use Find Fast indexes to speed up file searches by content or properties. If a Find Fast index used in searching is not current, you may notice that incorrect or deleted files appear at first. The correct files will appear if you wait until the search is complete.

The indexes might not be current When Office is installed, Find Fast automatically creates one index for each local, fixed volume of your computer (for example, C:\) to cover all of your Office documents. These indexes are updated every two hours. To see if indexes are current, double-click Find Fast [image] in Windows Control Panel. Once in Find Fast, you can do the following:

  • Make sure the index is updated automatically On the Index menu, click Update Index. Select the index you want updated, and then select the Continue to update automatically check box. Often, if an index exists, it is in the root directory of a drive or a network share. If you are not sure whether an index exists or where it is, try creating an index at the root directory of the drive or share you want to search in. If an index already exists in or below this root directory, Find Fast will prompt you to update the index at that location instead.

  • Check the log for errors Open the Find Fast Indexer log by clicking Show Indexer Log on the Index menu. This log displays ongoing and completed Find Fast indexing tasks, including any errors encountered. Look for an index in the folder or on the drive that contains the files you want to find. For example, if you're looking for files on your C drive, look for an index for "C:\". Check the error log for problems encountered during an index update. You can update the index by using the Update Index command on the Index menu.

  • Set a shorter index update interval Make sure the index is updated frequently enough for the files being indexed. If you change, create, or delete files that are included in the index more frequently than this, you can set a shorter update interval for the index. To change the update interval, use the Update Interval command on the Index menu.

  • Turn Pause Indexing off Make sure the Pause Indexing command on the Index menu isn't checked. If it is, you can restart Find Fast indexing by clicking Pause Indexing again. Find Fast indexing automatically restarts when you restart your computer. On a portable computer running on battery power, Find Fast automatically pauses to preserve your battery power.

  • Create a shortcut to Find Fast Make sure a shortcut to Find Fast is located in the Windows StartUp folder. If it isn't, you should create one. The Find Fast file, Findfast.exe, is located in the Office folder in the Program Files\Microsoft Office folder. For information about starting a program each time Windows starts, see your Windows documentation.


 When I try to save changes to a workbook, I get a message saying the workbook is read-only.

When I try to save changes to a workbook, I get a message saying the workbook is read-only.

You can't save changes to a read-only workbook. To save changes, you need to save the workbook with a new name. You can use the same name if you save the workbook in a new or different folder.

  • On the File menu, click Save As, type the new name in the File name box, and then click Save.


A saved search doesn't return the same files as before.

Check to see if the search criteria include a network drive.

Ensure the network drive is available If the criteria include a network drive, make sure it’s still available.

Make sure files have not been deleted If the criteria don't include a network drive, the missing files may have been deleted or renamed since the last time you performed this search.

Update the Find Fast index If you specified manual updating for Find Fast indexing and have moved a file, you need to update the index. For more information, click [image] .


About entering a formula to calculate a value

Formulas Formulas are equations that perform calculations on values in your worksheet. You can create a formula that performs arithmetic operations, such as adding numbers together. Or you can create a formula that analyzes a complex model of numbers. How to enter a formula.

Formulas that contain functions You can use worksheet functions in your formulas. Functions are predefined formulas that perform simple or complex calculations. For example, you can use the SUM function to add the values in a range of cells. How to enter a formula that contains a function.

Array formulas Array formulas perform multiple calculations and return either a single result or multiple results. For example, in a list of sales figures for different regions, you can use an array formula to calculate the average sales figures for a particular region by using one formula. Learn about array formulas.

How formulas calculate values To use a formula, you must understand how to properly construct them, how to refer to values in cells, and how to simplify them by using worksheet functions. Learn about how formulas calculate values.


Elements Of A Pivot Table Report

Default PivotTable report
Indented-format PivotTable report


Elements of a PivotTable report


 Crop or trim portions of a picture

Crop or trim portions of a picture

  1. Select the picture you want to crop.

  2. On the Picture toolbar, click Crop [image] .

  3. Position the cropping tool over a sizing handle and drag.

Note You cannot crop an animated GIF picture by using the Picture toolbar in Microsoft Excel. Make these changes in an animated GIF editing program, and then insert the file in the workbook again.


Group drawing objects

  1. Select the objects you want to group by holding down SHIFT as you click each object.

  2. On the Drawing toolbar, click Draw, and then click Group.


Regroup drawing objects

  1. If you are working with multiple groups of drawing objects, select any one of the objects that was previously grouped.

  2. On the Drawing toolbar, click Draw, and then click Regroup.


Resize an object by a specific percentage

  1. Select the object you want to resize.

  2. On the Format menu, click the command for the type of object you selected — for example, AutoShape or Picture — and then click the Size tab.

  3. Under Scale, enter the percentages you want in the Height and Width boxes.

Tip To maintain the ratio between the object's height and width, select the Lock aspect ratio check box on the Size tab.


Ungroup drawing objects

  1. Select the group you want to ungroup.

  2. On the Drawing toolbar, click Draw, and then click Ungroup.


Examples of chart types

Area
Column
Bar
Line
Pie
Doughnut
Stock
XY (scatter)
Bubble
Radar
Surface
Cone, Cylinder, and Pyramid


Examples of chart types


 Reestablish links between number formats used on a worksheet and a related chart

Reestablish links between number formats used on a worksheet and a related chart

If you have changed the number formatting in a chart, the number formatting is no longer linked to the worksheet cells.

  1. To reestablish number formats for labels along an axis, double-click the appropriate axis.

    To reestablish number formats for data labels or a trendline label, double-click the item.

  2. On the Number tab, select the Linked to source check box.


Guidelines for printed and on-screen forms

Overview
Elements of a form
User access and input restrictions
Fine-tuning


Guidelines for printed and on-screen forms


How data is organized in a chart

Which data is plotted?
Secondary value axis
Category and value order
Data series order
Empty cells


How data is organized in a chart


How Formulas Calculate Values

What is a formula
Constructing a formula
Referring to cells
Using worksheet functions


How formulas calculate values


The file I saved contains two periods in the file name.

Although file names in Windows 95 and Windows 98 can contain some punctuation characters, such as a period or comma, do not end the file name with a period. Microsoft Excel adds a period and the default file name extension to the file name you specify. The file name extension identifies the file type and the program used to open the file.


 The "List changes on a new sheet" check box is unavailable.

The "List changes on a new sheet" check box is unavailable.

Turn on change highlighting In a workbook that is not shared, the options to highlight changes do not become available until you select the Track changes while editing check box (Highlight Changes command, Track Changes submenu, Tools menu). This check box shares the workbook and turns on the change history, which must be turned on before you can list changes on a new sheet (the History worksheet).

Make some changes and save the workbook You cannot display the History worksheet until you save the workbook as a shared workbook, and you or another user then make and save some changes. To display the History worksheet, select the Track changes while editing check box, and then click OK. When prompted, save the workbook. Make some changes and save the workbook again. The next time you click the Highlight Changes command, the List changes on a new sheet check box will be available.


 Macro Error

Macro Error

There is an error in the macro you were running. The specified method can't be used on the specified object for one of the following reasons.

  • An argument contains a value that is not valid. A common cause of this problem is trying to gain access to an object that does not exist; for example, Workbooks(5) when only three workbooks are open.

  • The method can't be used in the applied context. For example, some Range object methods require that the range contain data. If the range does not contain data, the method fails.

  • An external error occurred, such as a failure to read or write from a file.

For more information about how to use the method, search for the method name in Visual Basic Help.


Automatically track workbooks in the Outlook Journal

To do this procedure, make sure that Microsoft Outlook has been installed and configured on your computer.

  1. Start Outlook.

  2. On the Tools menu, click Options.

  3. On the Preferences tab, click the Journal Options button.

  4. In the Also record files from list, select the Microsoft Excel check box.

Note Workbooks that are automatically recorded in the Outlook Journal sometimes take a few minutes to appear in the Journal.


Display a linked or embedded object as an icon

  1. Click the linked or embedded object you want to display as an icon.

  2. On the Edit menu, point to object name Object (for example, Document Object), and then click Convert.

  3. Select the Display as icon check box.

  4. To change the default icon image or label, click Change Icon.


Display the content of a linked or embedded object

  1. Click the icon for the linked or embedded object you want to display.

  2. On the Edit menu, point to object type Object (for example, Document Object), and then click Convert.

  3. Clear the Display as icon check box.


Turn on or off program tips from the Office Assistant

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. Under Show tips about, select the check boxes next to the types of tips you want, and clear the check boxes next to those you don't want.


Turn on or off Help with wizards from the Office Assistant

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Help with wizards check box.

Notes

  • Not all wizards have Help provided by the Assistant.

  • Help for wizards is not available when the Office Assistant is turned off.


Turn on or off automatic suggestion of Help topics by the Office Assistant

The Assistant can suggest Help that is relevant to the specific task you're performing, even before you ask for it.

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Guess Help topics check box.


 Manually record activity on any file in the Outlook Journal

Manually record activity on any file in the Outlook Journal

To do this procedure, make sure that Microsoft Outlook has been installed and configured on your computer and that the file you want to record work for is closed.

  1. Start Outlook.

  2. On the Outlook Bar, click Other or Other Shortcuts.

  3. Double-click My Computer [image] , and then locate the file you want to record activity for.

    If My Computer is not available, you need to install the Microsoft Outlook Integrated File Management system. How to install a program or component.

  4. On the Outlook Bar, click Outlook or Outlook Shortcuts, and then make sure Journal [image] is visible.

  5. Drag the file you want to record onto Journal [image].

  6. Select the options you want, and then click Save and Close [image] .

    For Help on an option, click What's This? on the Help menu, and then click the option.


 Move a submenu anywhere on the screen

Move a submenu anywhere on the screen

You can move a submenu only if it has a move handle Horizontal bar at top of submenu.

  1. Show the toolbar that contains the submenu you want to move.

  2. Display the submenu.

  3. Click its move handle Horizontal bar at top of submenu, and then drag the submenu to a new location on the screen.

    The submenu becomes a floating toolbar.


Move or copy a menu to a toolbar

  1. Show both the toolbar with the menu you want to move or copy and the toolbar you want to move or copy the menu to.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Do one of the following:

    To move a menu, drag it to the new location on the same or another toolbar.

    To copy a menu, hold down CTRL and drag the menu to the new location.


 Open a workbook on your intranet or the World Wide Web

Open a workbook on your intranet or the World Wide Web

You can open workbooks that are stored on your intranet if your company has one. To open workbooks at HTTP sites on the World Wide Web, you must have access to the Internet either through a direct network connection or through a dial-in Internet service provider.

  1. Click Open [image] .

  2. In the File name box, type the address for the workbook you want to open, and then press ENTER. For example, you might type
    http://myserver/quote.xls
    to gain access to sales quotes on your intranet.

    If you type an address without a file name in the File name box, such as http://myserver/, the default HTML document at the site you specify is automatically opened in Microsoft Excel. If you type an address without a file name or without the http:// prefix, such as myserver, the myserver folder appears in the Look in list and you can select the file you want to open.

Notes

  • You can also open a workbook at an FTP site or open a file on a Web server.

  • You can open HTML documents in your browser by using Microsoft Excel.

  • You can save a workbook to a Web page either by copying the Excel workbook (.xls) file to the HTTP address or by converting the Excel file to HTML format.

Tip To open a workbook quickly, type its address in the Address box on the Web toolbar, and then press ENTER.


Reset a built-in menu

  1. Show the toolbar that has the menu you want to restore to its original settings.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Right-click the menu you want to reset, and then click Reset on the shortcut menu.

Note You can also return to the default commands on the personalized (short) menus that appeared when you first started Microsoft Excel.


 Open a workbook on your network by using a UNC address

Open a workbook on your network by using a UNC address

  1. Click Open [image] .

  2. In the File name box, type the network portion of the UNC address where the workbook is located, and then press ENTER. For example, to open a workbook on a server named "Computer1" type \\Computer1

  3. In the folder list, double-click folders until you open the folder that contains the workbook you want.

  4. Double-click the workbook.


 Add a task for a workbook to your Outlook task list

Add a task for a workbook to your Outlook task list

To do this procedure, make sure that Microsoft Outlook has been installed and configured on your computer.

  1. Open the workbook you want to add a task for in the Outlook task list.

  2. On the Reviewing toolbar, click Create Microsoft Outlook Task [image] .

  3. Select the options you want, and then click Save and Close [image] .

    For information about how to create a task or link a contact to a task, look up "Create a task" in Outlook Help.

Note You can also create a task request from an existing task.


 Create a Lotus Notes 3.x form that includes an embedded workbook

Create a Lotus Notes 3.x form that includes an embedded workbook

  1. Click the database you want in Lotus Notes, and then click Forms on the Design menu.

  2. In the Forms box, click an existing form to edit, and then click Edit.

    To create a new form, click New or New Copy.

  3. Click where you want the embedded object to appear.

  4. On the Edit menu, point to Insert, and then click Object.

  5. In the Object type box, click Microsoft Excel Worksheet.

  6. To change how the embedded object will appear, click Display Format, select the format you want, and then click OK.

  7. To insert an existing workbook as an embedded object, click Choose File, select the workbook you want from the list, and then click OK.

    To insert a new blank workbook, click OK.

Note When you click Microsoft Excel Worksheet in the Object type box, you insert an entire Microsoft Excel workbook in your Lotus Notes form. The Lotus Notes form displays only one worksheet or chart sheet at a time. To display a different sheet, double-click the Microsoft Excel object, and then click a different sheet.


 Copy information from an existing file as a linked or embedded object

Copy information from an existing file as a linked or embedded object

  1. From a program other than Microsoft Excel, select the information you want to copy as a linked or embedded object.

  2. Click Copy [image] .

  3. Switch to the worksheet you want to place the information in, and then click where you want the information to appear.

  4. On the Edit menu, click Paste Special.

  5. To paste the information as a linked object, click Paste link.

    To paste the information as an embedded object, click Paste. In the As box, click the entry with the word "object" in its name. For example, if you copied the information from a Word document, click Microsoft Word Document Object.

Note You can't paste worksheet cells or a chart as a linked or embedded object in a Microsoft Excel workbook. However, you can use the Copy Picture command (hold down SHIFT and click the Edit menu) to create a link to cells on this or another sheet or workbook. For more information, click [image] .


 Insert a linked object or embedded object from an existing file

Insert a linked object or embedded object from an existing file

  1. Click in the worksheet where you want to place the linked object or embedded object.

  2. On the Insert menu, click Object, and then click the Create from File tab.

  3. In the File name box, type the name of the file, or click Browse to select from a list.

  4. To create a linked object, select the Link to file check box.

    To create an embedded object, clear the Link to file check box.

  5. If others will view the workbook online, you can display the object as an icon by selecting the Display as icon check box. Viewers can double-click the icon to display the object.

Notes

  • You cannot use the Object command on the Insert menu to insert graphics and certain types of files. To insert a graphic, point to Picture on the Insert menu, and then click From File.

  • How to link to worksheet data on your intranet or the Internet


 I can't open a workbook on the Internet.

I can't open a workbook on the Internet.

To open files on Internet sites, such as World Wide Web or FTP sites, you must have access to the Internet either through a direct network connection or through a dial-in Internet service provider.

If you have this access, the site might be busy; try to open the workbook later.


Move or copy a menu command

  1. Show the toolbar that has the command you want to move or copy and the toolbar that has the menu you want to add the command to.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. On the toolbar, click the menu that contains the command you want to move or copy.

  4. Do one of the following:

    To move the command, drag it over the menu you want. When the menu displays a list of commands, point to where you want the command to appear, and then release the mouse button.

    To copy the command, hold down CTRL and drag the command over the menu you want. When the menu displays a list of commands, point to where you want the command to appear, and then release the mouse button.


 Open a workbook as a copy

Open a workbook as a copy

  1. Click Open [image] .

  2. In the Look in list, click the drive, folder, or FTP location that contains the workbook you want to open, and then locate and double-click the folder that contains the workbook.

    If you can't find the workbook, you can search for it.

    How?

  3. Click the workbook you want to open a copy of.

  4. Click the arrow next to the Open button, and then click Open as Copy.

Notes

  • When you open a workbook as a copy, a new copy of the workbook is created in the folder that contains the original workbook.

  • You can't open a folder, a shortcut to a workbook, or an FTP site as a copy.


 Open a workbook at an FTP site

Open a workbook at an FTP site

To open workbooks at FTP sites on the Internet, you must have access to the Internet either through a direct network connection or through a dial-in Internet service provider.

Before you can open a workbook at an FTP site, you must add the FTP site to the list of FTP locations.

  1. Click Open [image] .

  2. In the Look in list, click FTP Locations.

  3. In the list of FTP locations, double-click the site you want, and then double-click directories until you open the directory that contains the workbook you want to open.

  4. Double-click the workbook.


 Post a workbook to a Microsoft Exchange folder

Post a workbook to a Microsoft Exchange folder

Before you post a workbook on a Microsoft Exchange folder, you need to get permission from your system administrator.

  1. Open the workbook you want to post.

  2. On the File menu, point to Send To, and then click Exchange Folder.

  3. In the folder list, click the folder where you want to post the workbook.

Note If you post a shared workbook to an Exchange folder, the workbook is removed from shared use, and the change history is no longer maintained. For more information about the effects of removing a workbook from shared use, click [image] .


Turn on or off the Tip of the Day

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Show the Tip of the Day at startup check box.


 Use conditions and values in the Find dialog box

Use conditions and values in the Find dialog box

Conditions The conditions available depend on the property selected. Some conditions require a value. If the Value box is available when you select a property and a condition, the condition requires a value.

Values You can use operators such as and and or in the Value box to separate multiple values. For example, to find files with the author Mary or John, click Author in the Property box. Click includes words in the Condition box, and then type Mary or John in the Value box. If you leave a space between the values you're searching for, the results are the same as when you use the and operator. For example, if you type Mary John in the Value box, you will get the same result as typing Mary and John.

For text fields

You can use wildcards in the Value box with the includes words, includes phrase, and is (exactly) conditions. Type ? (question mark) to find any single character, or type * (asterisk) to find any string of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started".

For numeric values

To use the any number between condition, type the two numbers you want the value to be between in the Value box, separated by the operator and. For example, type 1 and 5.

For date values

To use the any time between condition, type a first and second date in the Value box, separated by the operator and. For example, type March 1, 1999 and March 30, 1999.


Set screen resolution to show more or less on screen

Your monitor and video adapter determine whether you can change your screen resolution.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Display icon [image].

  3. Click the Settings tab.

  4. Under Desktop area, drag the slider to change the screen resolution.


 Insert a Microsoft Excel workbook as an embedded object in a Lotus Notes 3.x document

Insert a Microsoft Excel workbook as an embedded object in a Lotus Notes 3.x document

  1. Click the database you want in Lotus Notes, and then click the form you want to create the document from on the Compose menu.

    The form must include an editable rich text field.

  2. Click in the editable rich text field.

  3. On the Edit menu, point to Insert, and then click Object.

  4. In the Object Type box, click Microsoft Excel Worksheet.

  5. To change how the embedded object will appear, click Display Format, select the format you want, and then click OK.

  6. To insert an existing workbook as an embedded object, click Choose File, select the workbook you want from the list, and then click OK.

    To insert a new blank workbook as an embedded object, click OK.

Note When you click Microsoft Excel Worksheet in the Object type box, you insert an entire Microsoft Excel workbook in your Lotus Notes document. The Lotus Notes form displays only one worksheet or chart sheet at a time. To display a different sheet, double-click the Microsoft Excel object, and then click a different sheet.


 The Office Assistant doesn't show the Help topic I want.

The Office Assistant doesn't show the Help topic I want.

Language-specific information

Get tips and pointers about searching for Help If you don't see the topic you want, click None of the above, look for more help on the Web in the Assistant balloon. Information about finding Help topics appears, along with suggestions for finding the Help you want. Click search tips for guidelines on how to narrow the list of topics by rephrasing your question or by using the Index in Help.

Look for more Help on the Web If you still can't find the Help you want, click Send and go to the Web to open your Web browser and go to a Web site where you can look for more Help. You can also describe what you were trying to do at the time you asked the Assistant for Help. Your question and any comments you provide will be used to improve future versions of Help.

Note Depending on your system configuration, None of the above, look for more help on the Web might not be available on your computer. You must have a Web browser installed on your computer and access to the Internet to use this feature. If this feature isn't available, see your system administrator.


 It takes a long time to search for files.

It takes a long time to search for files.

Specified search criteria may increase search time Some search criteria that you specify in the Find dialog box (Tools menu in the Open dialog box) can require more time to locate files. For example, a search that specifies a wildcard character (* or ?) under Define more criteria takes longer than a search for a specific word. Selecting the Match case check box can also add to the search time.

Make sure the drive and folders have been indexed by Find Fast Find Fast is a Windows program that builds indexes to speed up the search for files from the Open dialog box in any Microsoft Office program. For best results, a Find Fast index should be available in or above the folder you are searching in. This index should cover all file types you are searching for.

To check indexes, point to Settings on the Windows Start menu, click Control Panel, and then double-click Find Fast [image]. Click Update Index on the Index menu, and then click an index by its folder location. If an index exists, it is often in the root directory of a drive or a network share.

If you are not sure whether an index exists or where it is, use the Create Index command on the Index menu to create an index at the root directory of the drive or share you want to search in. If an index already exists in or below this root directory, Find Fast will prompt you to update the index at that location.

Set search for specific file types If an index exists, check to see that it covers the file types you typically search for. It is faster to search for a more specific file type such as Microsoft Office Documents. An index of this type covers all documents created by Microsoft Office programs and also text, RTF, and HTML files.

If the files you typically search for are not included in the index, you may want to delete the index and create it again. Click All Files only if you often search for other files not covered on this list. Searches for all files usually take more time, and indexes covering all files are usually much larger. Be sure that the Continue to update automatically check box is selected.

Set search for file contents and properties Find Fast speeds up searching for file contents or properties. Find Fast does not speed up searches that use only a file name.


The Office Assistant is distracting.

Choose a different Office Assistant Some Assistants are more active than others. To choose a different one, right-click the Assistant, and then click Choose Assistant on the shortcut menu. On the Gallery tab, click Back or Next to see the available Assistants. The Office Logo is the least active of the Assistants.

Limit its movements Click the Assistant, and then click Options. On the Options tab, clear the Move when in the way check box.

Move it Drag the Assistant to another location on your screen.

Hide it On the Help menu, click Hide the Office Assistant.

Turn it off Click the Assistant, and then click Options. On the Options tab, clear the Use the Office Assistant check box. How to get Help without using the Assistant.

Turn off its sounds Click the Assistant, and then click Options. On the Options tab, clear the Make sounds check box.


 When I click a hyperlink, an error message appears.

When I click a hyperlink, an error message appears.

Make sure the destination file is available The destination file for the hyperlink might have been deleted, moved, or renamed. You can reconnect the hyperlink by updating the path for the hyperlink to the new location. Learn about changing the destination of a hyperlink.

Make sure you have Internet access If the destination of the hyperlink is located on the Internet or the World Wide Web, you must have access to the Internet either through a direct network connection or through a dial-in Internet service provider. If you have this access, the site might be busy; try to open the workbook later.

Make sure your network is running properly If the destination of the hyperlink is located on your network or intranet, check your network connections, and make sure your network server is running. See your network administrator to make sure you have access to the location of the destination file.


When I save a workbook with my own file name extension, .xls is also added.

To save a workbook with an extension other than the default *.xls extension, you must enclose the entire file name in quotation marks — for example, "Budget.abc".

When you change a file name extension, only the visible extension changes — not the file format. Learn about saving a workbook with a different file format.


I can't find the Customize command.

You may have removed the command from a menu To customize a toolbar if you removed the Toolbars command from the View menu, or if you removed the View or Tools menu, right-click a button on any toolbar or the menu bar, and then click Customize on the shortcut menu.

To restore the Customize command, right-click a button on any toolbar or the menu bar, click Customize on the shortcut menu, leave the Customize dialog box open, and then do one of the following:

  • To restore the command to the Toolbar submenu (View menu), right-click the View menu, and then click Reset on the shortcut menu.

  • To restore the command to the Tools menu, click the Commands tab In the Customize dialog box. Click Built-in Menus in the Categories list, and then drag Tools or View from the Commands list to the menu bar.


 I can't open a Microsoft Excel object from another program.

I can't open a Microsoft Excel object from another program.

  1. In Microsoft Excel, click Options on the Tools menu, and then click the General tab.

  2. Clear the Ignore other applications check box.

    If this option is selected, Microsoft Excel ignores requests from programs that link to Microsoft Excel data by means of DDE rather than OLE.


Overview of subtotals in lists

Insert automatic subtotals
Display nested subtotals
Create reports and charts


Overview of subtotals in lists


 Insert an imported picture or clip art

Insert an imported picture or clip art

Use this procedure to place a picture on a worksheet. You can also apply a picture to certain chart items, such as data markers. For more information, click [image] .

If you installed Clip Gallery when you installed Microsoft Office, you can insert clip art in your workbook by using the Clip Art command (Insert menu, Picture submenu). For information about how to install Clip Gallery, click [image] .

  1. To insert a picture on a worksheet or chart sheet, click the sheet tab for the worksheet or chart sheet.

    To insert a picture on an embedded chart, click the embedded chart.

  2. On the Insert menu, point to Picture, and then click From File.

  3. Locate the folder that contains the picture you want to insert.

  4. Double-click the picture.


 Change a fill color in a drawing object

Change a fill color in a drawing object

  1. Select the object you want to change.

  2. Click the arrow next to Fill Color [image] , and then click the color you want.

    If you don't see the color you want, click More Fill Colors. Click a color on the Standard tab, or click the Custom tab and mix your own color, and then click OK.


 Add or change a gradient (shaded), patterned, textured, or picture fill in a drawing object

Add or change a gradient (shaded), patterned, textured, or picture fill in a drawing object

  1. Select the object you want to change.

  2. Click the arrow next to Fill Color [image] , click Fill Effects, and then click the Gradient, Texture, Picture, or Pattern tab.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.


 Create a script for a Web page

Create a script for a Web page

If you want to write the script in a different script language, you can change the default language.

If you have not already done so, add the Web script commands to the Tools menu.

  1. In Microsoft Excel, open the Excel workbook or the Web page where you want to add a script, and click anywhere in the data.

  2. On the Tools menu, point to Macro, and then click Insert Script.

  3. In the Script Editor, write your script.

  4. To save your changes, click Save on the Script Editor File menu.

  5. To return to Excel, click Exit on the Script Editor File menu.

Notes

  • If you have script anchors turned on, an anchor appears in your workbook when you insert a script. This anchor does not print and does not appear when you view your Web page in a Web browser. How to show or hide script anchors.

  • While you view a workbook and its scripts in the Script Editor, you are actually viewing a separate HTML copy of the workbook. If you save changes to this copy in the Script Editor, the changes are not reflected in Excel until you save and quit the Script Editor. To update the workbook in Excel with changes you save during a Script Editor session, switch to the Excel window and click Refresh [image] on the Refresh toolbar.

Tips

  • For information about how to create a Web script and where to locate scripts on your Web page, refer to Microsoft Script Editor Help.

  • You can view the first 50 characters of a Web script by resting the mouse pointer over the script anchor.


 Add text to an AutoShape

Add text to an AutoShape

  • Click any AutoShape — except a line, connector, or freeform — and then type the text.

Note The text is attached to the AutoShape and is treated as part of the shape. If you don't want to attach the text to the shape, use the Text Box tool [image] on the Drawing toolbar.


 Add text by using the Text Box tool

Add text by using the Text Box tool

  1. On the Drawing toolbar, click Text Box [image] .

  2. Drag the text box to the size you want, and then start typing.

Tip To change the shape of a text box to any AutoShape, click the border of the text box, click Draw on the Drawing toolbar, point to Change AutoShape, point to a category, and then click the shape you want.


 Make an AutoShape or text box automatically fit its text

Make an AutoShape or text box automatically fit its text

  1. Click the border of the AutoShape or text box you want to resize.

  2. If you selected an AutoShape, click AutoShape on the Format menu, and then click the Alignment tab.

    If you selected a text box, click Text Box on the Format menu, and then click the Alignment tab.

  3. Select the Automatic size check box.

Note If you later change the size of the AutoShape or text box, you must fit the AutoShape or text box to the text again by selecting the Automatic size check box.


Align drawing objects with cells

  1. On the Drawing toolbar, click Draw, and then point to Snap.

  2. To automatically align objects with the cell grid when you move or draw them, click To Grid.

    To automatically align objects with the vertical and horizontal edges of other shapes when you move or draw them, click To Shape.

Tip You can also snap the object to the cell grid by holding down ALT while you move, draw, or resize a drawing object.


Align drawing objects with other drawing objects

  1. Select the objects you want to align.

  2. On the Drawing toolbar, click Draw, and then point to Align or Distribute.

  3. Click the command for the alignment you want.
    To align objects | Click
    By their left edges | Align Left
    Horizontally by their centers | Align Center
    By their right edges | Align Right
    By their top edges | Align Top
    Vertically by their middles | Align Middle
    By their bottom edges | Align Bottom


Change the Office interface font

This topic does not apply if you are using Microsoft Office with a Japanese, Korean, Traditional Chinese, or Simplified Chinese interface.

Caution The following buttons change the entry for the Office interface font in the Windows registry file. Unexpected results might occur.

Click to use the system font

Click to use the Office interface font

Note Close all open Office programs, and then start them again for the new font setting to take effect.

Return to About the Office interface font.


 Change the margins around text in an AutoShape or text box

Change the margins around text in an AutoShape or text box

  1. Click the border of the AutoShape or text box whose margins you want to change.

  2. If you selected an AutoShape, click AutoShape on the Format menu, and then click the Margins tab.

    If you selected a text box, click Text Box on the Format menu, and then click the Margins tab.

  3. Under Internal margin, adjust the measurements to increase or decrease the distance between the text and the object.


Maintain the proportions of an object while resizing it

To resize a selected object | Hold down
Proportionally from a corner | SHIFT and drag a corner sizing handle
Vertically, horizontally, or diagonally from the center outward | CTRL and drag a sizing handle
Proportionally from the center outward | CTRL+SHIFT and drag a corner sizing handle
While temporarily turning on or off the Snap to Grid feature | ALT and drag a sizing handle


Change the default Web scripting language

  1. On the Tools menu, point to Macro, and then click Microsoft Script Editor.

  2. In the window for your workbook, click the Source tab.

  3. In the list at the bottom of the Properties window, click the language you want in the list to the right of the defaultClientScript property.


 Modify Java applet code

Modify Java applet code

Modifying the code for a Java applet requires knowledge of programming.

  1. Double-click the Java applet icon Java applet icon.

  2. Modify the HTML code for the <APPLET> tag.

  3. To save any changes you made and return to Microsoft Excel, click Save All on the Microsoft Script Editor File menu, and then click Exit.

Tip For information about modifying text in the Script Editor, refer to Microsoft Script Editor Help.


Freeforms I drew won't align evenly.

Instead of using the Align or Distribute command on the Draw menu (Drawing toolbar), try to align the objects by moving them.

  • Use the Nudge tools on the Draw menu to move the object in 1-pixel increments. If the To Grid or To Shape command (Draw menu, Snap submenu) is selected, nudging moves an object one grid point at a time.

  • If the To Grid command (Draw menu, Snap submenu) is selected, temporarily turn it off by pressing ALT as you drag a freeform.


 Freehand drawing is hard to control.

Freehand drawing is hard to control.

  • Try increasing the magnification in the Zoom box. It's easier to draw details at 200 percent.

  • Use the Freeform tool [image] on the Drawing toolbar (AutoShapes menu, Lines submenu) instead of the Scribble tool [image] .

  • Try setting your mouse to the slowest tracking speed available in Windows Control Panel. You have greater control when you draw at a slow speed.

  • You can adjust the shape of freeforms to make them look smoother. For more information about changing the shape of freeforms, click [image] .


 I can't rotate a graphic.

I can't rotate a graphic.

Only drawing objects can be flipped or rotated. If you can convert an object to a drawing object by ungrouping it and then grouping it again, you can flip or rotate it. You can't convert a bitmap to a drawing object.

  • To convert an object, select it, click Ungroup on the Draw menu (Drawing toolbar), and then click Group.

  • If you can't convert the object, open it in another drawing program, rotate it there, and then save it. When you reopen it in Microsoft Excel, it will appear rotated.


 Align text in an AutoShape or text box

Align text in an AutoShape or text box

  1. Click the border of the AutoShape or text box you want to resize.

  2. If you selected an AutoShape, click AutoShape on the Format menu, and then click the Alignment tab.

    If you selected a text box, click Text Box on the Format menu, and then click the Alignment tab.

  3. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.


 Remove a fill in a drawing object

Remove a fill in a drawing object

  1. Select the object you want to change.

  2. Click the arrow next to Fill Color [image] , and then click No Fill.


 Resize an object

Resize an object

  1. Select the object you want to resize.

    On an embedded chart, select the chart area by clicking the blank area between the border of the chart and the plot area.

  2. Drag a sizing handle until the object is the shape and size you want.

    For information about maintaining the proportions of an object while resizing it, click [image] .


 Colors within objects aren't smooth.

Colors within objects aren't smooth.

  • Make sure the magnification in the Zoom box is set to 100 percent. Shading patterns can appear distorted at reduced or enlarged views.

    Show Me

  • If your monitor can show only 16 colors, shading may not appear smooth. Shading shows up best on monitors that display 256 or more colors.


 The lines in my drawing are jagged.

The lines in my drawing are jagged.

  • Curved lines — and straight lines that are not absolutely vertical or horizontal — will have some degree of jaggedness on the screen. When printed, the curves appear smooth.

  • Two tools on the Drawing toolbar (AutoShapes menu, Lines submenu), the Curve tool [image] and the Freeform tool [image] , will also give your drawing a smoother look than using the Scribble tool [image] .

  • Try increasing the magnification in the Zoom box. It's easier to draw details at 200 percent.

  • Try setting your mouse to the slowest tracking speed available in Windows Control Panel. You have greater control when you draw at a slow speed.

  • You can adjust the shape of freeforms to make them look smoother. Click the shape, click Edit Points on the Draw menu (Drawing toolbar) to make the vertexes appear, and then drag any vertex. Make sure to increase the magnification in the Zoom box to 200 percent.

  • You can smooth freeforms by removing individual vertexes. Click the shape, and then click Edit Points on the Draw menu to make the vertexes appear. Point to the vertex you want to delete, and then press CTRL as you click the vertex.


 View or modify a Web script

View or modify a Web script

  1. If you have not already done so, add the Web script commands to the Tools menu.

  2. Double-click the script anchor for the Web script you want to view or modify. How to display script anchors.

  3. To save any changes you made and return to Microsoft Excel, click Save on the Microsoft Script Editor File menu, and then click Exit.

Notes

  • To use the Script Editor to view the entire workbook as HTML, point to Macro on the Tools menu, and then click Microsoft Script Editor.

  • While you view a workbook and its scripts in the Script Editor, you are actually viewing a separate HTML copy of the workbook. If you save changes to this copy in the Script Editor, the changes are not reflected in Excel until you save and quit from the Script Editor. To update the workbook in Excel with changes you save during a Script Editor session, switch to the Excel window and click Refresh [image] on the Refresh toolbar.


 Keys for working with Help

Keys for working with Help

With the Help window displayed

Press | To
F6 | Move between the navigation pane and the topic pane
ALT+O | Display the Options menu to access any Help toolbar command
ALT+SPACEBAR | Display the program Control menu
F5 | Refresh the Help topic

In the navigation pane

CTRL+TAB | Switch to the next tab
ENTER | Open a selected book or Help topic
DOWN ARROW | Select the next book or Help topic
UP ARROW | Select the previous book or Help topic

In the topic pane

ALT+RIGHT ARROW | Go to the next Help topic
ALT+LEFT ARROW | Go to the previous Help topic
TAB | Go to the first or next hyperlink
SHIFT+TAB | Go to the last or previous hyperlink
ENTER | Activate a selected hyperlink
UP ARROW | Scroll toward the beginning of a Help topic
DOWN ARROW | Scroll toward the end of a Help topic
PAGE UP | Scroll toward the beginning of a Help topic in greater increments
PAGE DOWN | Scroll toward the end of a Help topic in greater increments
HOME | Move to the beginning of a Help topic
END | Move to the end of a Help topic
CTRL+P | Print the active Help topic
CTRL+A | Select the entire Help topic
CTRL+C | Copy the selected items to the Clipboard


 How Microsoft Excel workbook file properties work with Lotus Notes fields

How Microsoft Excel workbook file properties work with Lotus Notes fields

Notes fields can display Excel file property information If you have a Microsoft Excel workbook inserted as an embedded object in a Notes form, you can create fields in the Notes form that display file property information from your Excel workbook. You can include as many file property fields from the Properties dialog box in Excel as there are fields in the Notes form.

Fields and properties correspond with each other An asterisk next to a property in the following table indicates that the property is a two-way field: Changes in the Excel workbook are reflected in the Notes field, and changes in the Notes field are reflected in the Excel workbook. Those properties without asterisks are one-way fields: Changes made in the embedded workbook are reflected in the Notes field, but changes made to the Notes fields do not appear in the embedded workbook.

Because there is no file name or folder for an embedded object, the Filename and Location fields from the workbook are blank when they are displayed in the Lotus Notes form.

Microsoft Excel property | Lotus Notes field | Lotus data type
*Title | Title | Text
*Subject | Subject | Text
*Author | Author | Text
*Keywords | Keywords | Text
*Comments | Comments | Text
Template | Template | Text
*Manager | ManagerText | Text
*Company | Company | Text
*Category | Category | Text
Created | DateCreated | Time
Modified | LastSavedDate | Time
Last Saved By | LastSavedBy | Text
Size | NumberOfBytes | Text
Revision Number | NumberOfRevisions | Number
Total Editing Time | TotalEditingTime | Number
Printed | LastPrintedDate | Time
Pages | NumberOfPages | Number
Words | NumberOfWords | Number
Characters | NumberOfCharacters | Number
Paragraphs | NumberOfParagraphs | Number
Lines | NumberOfLines | Number
Security | Security | Number
Document Class | DocumentClass | Text
Name of Application | NameOfApplication | Text
*Custom Property Name | Name of the custom property | Text
* Property is a two-way field.


 The Clipboard toolbar no longer appears when I copy and paste items.

The Clipboard toolbar no longer appears when I copy and paste items.

If you close the Clipboard toolbar three times consecutively without clicking the Paste All button or any of the collected items on the toolbar, the toolbar will no longer appear automatically. To show it again, point to Toolbars on the View menu, and then click Clipboard. You can also show it again by copying an item two times consecutively.

When you show the Clipboard toolbar manually, the count is reset and the toolbar will appear automatically again. You can also reset the count by resetting the program tips. In the Assistant, click Options, and then click Reset my tips. If the Assistant isn’t showing, click the Office Assistant button [image] .


When I added a 3-D effect to my drawing object, the object shadow disappeared.

You can't apply both a shadow and a 3-D effect to the same drawing object.


I aligned my drawing objects, and they are stacked on top of each other.

Depending on the alignment option you click, objects will move straight up, down, left, or right and might cover an object already there. You can undo the alignment with the Undo command (Edit menu) and move the drawing objects to new positions before you align them.


 I can't add additional items to the Office Clipboard.

I can't add additional items to the Office Clipboard.

You may have copied more than 12 items The Office Clipboard can only hold up to 12 items. If the Office Clipboard contains 12 items, and you copy an additional item in a program other than Microsoft Word, Excel, Access, Outlook, or PowerPoint, the additional item is not copied.

You may have copied large items The Office Clipboard may stop adding items — even if there are fewer than 12 — if you copy large items to it. To begin copying items again, click Clear Clipboard [image] on the Clipboard toolbar.


I can't find a menu command, toolbar button, or dialog box option.

The menu may not be expanded If arrows Double arrows pointing down appear at the bottom of the menu, the command may be available on the expanded menu. Click the arrows, and then click the command you want. You can also double-click the menu to expand it, or you can change the setting to display the entire set of commands for all menus.

The toolbar may be on the same row as another toolbar The button may not appear on the toolbar because there isn't enough room to display all buttons. Click More Buttons [image] and then click the button you want, or you can change the setting to show all buttons on the toolbar.

The component may not be installed Run the installer again and install the component.

You may have a different language setting The command or control doesn't appear if you don't have editing enabled for the language that the command or control applies to. You need to enable editing for the language you want to work with. Learn about multilingual editing and proofing tools kits.

Other possibilities Learn about other reasons why a command, button, or option may be missing.


I created a custom toolbar and shared it with another person, but it looks different on their computer.

Based on how often you use them, Microsoft Excel automatically customizes the commands on menus and toolbars and then stores this information as your personal menu and toolbar settings. When you select the Menus show recently used commands first check box on the Options tab (Tools menu, Customize command), information about which commands you use affects the commands that appear on each menu. Additionally, if there isn't enough room on a toolbar to display all buttons (such as when you position a toolbar in the same row as another toolbar), information about which buttons you use affects the buttons that appear on the toolbar.

The buttons and commands that you share with another person are always available, but whether or not they appear on the personalized (short) version of a menu or on an abbreviated toolbar depends on the personal menu and toolbar settings for the other person.


I ungrouped a group of drawing objects and can't regroup them.

If you are working with multiple groups of drawing objects, make sure to select a drawing object in the group that you want to regroup. If you close Microsoft Excel and later want to regroup the objects, select the objects by holding down SHIFT as you click each object, and then click Group on the Draw menu (Drawing toolbar).


 My settings aren't available when I log on.

My settings aren't available when I log on.

The user profile might not be valid for the operating system A user profile is valid only on the operating system for which it was created. For example, a Microsoft Windows NT user profile cannot be used on a computer running Microsoft Windows 95. If your user profile is created in Windows 95 and you log on to a computer running Windows NT, you won't see any of your settings. You need to make sure that you log on to a computer that uses the same operating system that the user profile was created in or that you have a profile created for each operating system.

The computer might not be configured for multiple users If you log on to a computer running Windows, the computer might not be configured to allow settings for multiple users. To enable multiple users to personalize settings on a computer running Windows, do the following:

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Passwords Set of keys icon, and then click the User Profiles tab.

  3. Click Users can customize their preferences and desktop settings.

Your user account might not be enabled Your system administrator might not have configured your user account on the network to use roaming user profiles. If you don't see any of your settings when you log on to a computer, see your system administrator.

Multiple log ons differ between operating systems If you're logged on to more than one computer at the same time, the changes you make to your settings on one computer may or may not be immediately available on another computer because of differences between operating systems. On computers running Microsoft Windows 95, Windows 98, or Windows NT 4.0, the changes you make on the last computer you logged off from are the settings that are copied to your user profile and used the next time you log on. On computers running Microsoft Windows 2000, you'll see changes you make to your settings immediately because your user profile is copied to the server at regular intervals.


My custom templates don't appear on the correct tab.

Make sure that you save your custom templates in the appropriate subfolder within your Templates folder. You can find the Templates folder in the following location:

Root\OS\Profiles\User_name\Application Data\Microsoft\Templates

where Root is a server location or a directory on a drive from which all other folders branch (for example, C:\), OS is the operating system folder (for example, Windows), and User_name is your user name.

Templates in the Templates folder appear on the General tab in the New dialog box (File menu, New command); templates in subfolders of the Templates folder appear on tabs with the same names as the subfolders. For example, if you create a subfolder called Reports, a Reports tab will appear in the New dialog box.

Note In Microsoft Windows 2000, the path for the Templates folder is Root\Documents and Settings\User_name\Application Data\Microsoft\Templates.


Items on the Align or Distribute menu are dimmed, and I can't select them.

You must select at least two drawing objects to make the alignment options available and at least three objects to make the distribution options available.


The Office interface doesn't look right.

Text in dialog boxes might be missing or an empty box might appear in place of some characters If the default Microsoft Office interface font is missing or damaged, another font is used in its place. However, dialog boxes are designed for the default Office interface font, not necessarily for other fonts. For example, if the default Office interface font is missing or damaged, a dialog box might display an empty box in place of characters it can't display. To reinstall the default Office interface font, click Detect and Repair on the Help menu. If you switched to the default system font, you might also experience these symptoms. Change back to the Office interface font.

You might not like the Office interface font If you want, you can use the default system font for your Office programs instead of the default Office interface font. Change to the system font.


The Paste All button is not available.

In some cases, Paste All [image] is not available on the Clipboard toolbar even when individual items are available for pasting.

  • In all Microsoft Office programs Paste All is unavailable if any individual item on the Office Clipboard cannot be pasted into the program. For example, if the Clipboard toolbar contains Office Art, Paste All is unavailable in Excel.

  • In Microsoft Excel Paste All is unavailable if you copy an Office Art object to the Office Clipboard.

If the Paste All button is not available, you might still be able to paste specific items.


The Clipboard toolbar is not available.

The Copy, Cut, and Paste commands may not be available The Clipboard toolbar is not available in views where the Copy, Cut, and Paste commands are not available.

You might be using a program other than Microsoft Excel, Word, Access, Outlook, or PowerPoint The Clipboard toolbar is available only in Excel, Word, Access, Outlook, and PowerPoint. The Clipboard toolbar is not available in Visual Basic Editor. However, if the Office Clipboard is displayed in any Office program, any items you cut or copy in any program are collected automatically.


When I change the fill color of a drawing object with a shadow or 3-D effect, the shadow or 3-D effect doesn't change color.

Changing the fill color affects only the face of the drawing object. To change the color of the shadow or 3-D effect, use the Shadow or 3-D tools on the Drawing toolbar.


 I can't see the border around a drawing object.

I can't see the border around a drawing object.

  • Adding a 3-D effect to a drawing object turns off its border.

  • The border has been turned off, the border is the same color as the background, or an embossed or engraved shadow effect has been added to the object. To add a visible border, select the object. On the Drawing toolbar, click the arrow next to Line Color [image] , and then click a color for the border.


 I can't ungroup an imported picture.

I can't ungroup an imported picture.

The image might be a bitmap, which can't be ungrouped and converted to a drawing object.

You can change the bitmap image in an imaging program. For example, to flip or rotate a bitmap image, open it in a program such as Microsoft Photo Editor, flip or rotate it, and then insert it in your worksheet or chart sheet.


I changed the fill, border, shadow, or 3-D effect, but I get the old settings when I draw an object.

The default style is being applied to the new drawing object. To change the default settings for new objects, select an object that has the attributes you want. On the Drawing toolbar, click Draw, and then click Set AutoShape Defaults.


I can't change the color of some parts of a picture.

Try ungrouping the image, and then use the tools on the Drawing toolbar to change the colors.


 Change the custom prompt for a parameter query in Excel

Change the custom prompt for a parameter query in Excel

This procedure changes the custom prompt only for the current session of the workbook. Parameter queries cannot be used to retrieve data from OLAP databases.

  1. In Microsoft Excel, click a cell anywhere in the external data range created with a parameter query.

  2. On the External Data toolbar, click Query Parameters [image] .

  3. In the list on the left side of the Parameters dialog box, click the parameter you want to change.

  4. In the Prompt for value using the following string box, type the text you want to use for the prompt, and then click OK. The custom prompt can contain up to 100 characters.

  5. To use the new custom prompt and refresh the data, click Refresh Data [image] on the External Data toolbar.

Note If you want to permanently save your changes to the custom prompt, save the workbook or change the prompt for the query in Microsoft Query. For more information about changing a query in Microsoft Query, click [image] .


 Use data from a cell on a worksheet as a parameter value

Use data from a cell on a worksheet as a parameter value

This procedure is not available when you retrieve data from OLAP databases.

  1. On your worksheet in Microsoft Excel, type the values that you may want to use as criteria in the query.

  2. Click a cell anywhere in the external data range created with a parameter query.

  3. On the External Data toolbar, click Query Parameters [image] .

  4. In the list on the left side of the Parameters dialog box, click the parameter you want to change.

  5. Click Get the value from the following cell.

  6. On the worksheet, click the cell that contains the value you want to use.

    To refresh the data whenever you change the value in the cell, select the Refresh automatically when cell value changes check box.

  7. Click OK.

  8. To refresh the data, click Refresh Data [image] on the External Data toolbar.


 Use a report template to retrieve external data

Use a report template to retrieve external data

You must have the appropriate data source driver installed to connect to the external data source. If Microsoft Query is installed on your machine, the correct ODBC driver or OLAP provider may already be installed. Learn about installing ODBC drivers and installing OLAP providers so that you can gain access to external data sources.

  1. In Microsoft Excel, click New on the File menu.

  2. Double-click the report template you want to open.

    A report template has an .xlt file name extension.

    If necessary, provide the path to connect to the data source and a password.


Quick calculations on a worksheet

Show a total
Insert totals
Create a simple formula


Quick calculations on a worksheet


 A message indicates that the path to my database is not valid.

A message indicates that the path to my database is not valid.

Check for a mapped network drive If your database is on a shared network directory, when you set up the data source and selected the database file, the path to the database may have been recorded in the data source with the mapped drive letter in use by your system at that time. For example, if your database is named Inventory.mdb, and you had drive G mapped to the shared network directory where this database is stored, your data source might record this location as G:\public\Inventory.mdb. When you try to use this data source, or you or other users try to run queries created with this data source, the ODBC driver displays a message that the path is not valid if drive G is not mapped to the same shared network directory.

Use an alternative to drive mapping If you are using the Microsoft Access driver or the Microsoft Excel driver, you can correct this problem by creating a new data source. When you specify the location of the database file, don't select the mapped drive for the shared network directory. Instead, type the UNC address of the shared network directory, and then locate the database file. For example, if your database file is stored on a server named Shared, you could type \\Shared\public and then select the file Inventory.mdb.

Map the same network drive letter before using the data source For other ODBC drivers, before you use a data source or run a query created with that data source, make sure the same drive is mapped to the shared network directory where the database is located as was mapped when the data source was created.


 An ODBC driver that I used previously doesn't work.

An ODBC driver that I used previously doesn't work.

You may need to use a different driver with Microsoft Query 2000 in the following situations:

Make sure you're using a 32-bit ODBC driver Microsoft Query 2000 requires 32-bit ODBC drivers, such as the ones supplied with Microsoft Query 2000 and Microsoft Query 97. For example, if you develop a Microsoft Excel 2000 program in Visual Basic to get external data and distribute your program to Microsoft Excel version 5.x users, the program may not run with the 16-bit ODBC drivers on the Microsoft Excel version 5.x systems.

Make sure Microsoft drivers are version 3.0 or later If you install Microsoft ODBC drivers other than the ones included with Microsoft Excel 2000 or Microsoft Office 2000, make sure you install version 3.0 or later of these drivers. Earlier versions of the Microsoft ODBC drivers may not work with Microsoft Query 2000. The drivers supplied with Microsoft Excel 97 and Microsoft Office 97 are version 3.0 or later. When you install these drivers, any old versions on your system should be replaced automatically.

Make sure you have the correct version of a third-party driver If you are working with a third-party ODBC driver, you may also need to install a new ODBC driver for Microsoft Query when you upgrade your database or install a new version of the database. To determine whether this is necessary, check the documentation for your database.


 I can't find or delete a data source.

I can't find or delete a data source.

Data sources created with earlier versions of Query Data sources that were created with versions of Microsoft Query earlier than Query 97 have an asterisk next to the data source name. All data sources, including new ones that are created with Query 2000, are stored as files with file name extension .dsn. To list data sources that were created with earlier versions of Query, click Options in the Choose Data Source dialog box (Data menu, Get External Data submenu, New Database Query command), and then select the Include registry DSNs in list of available databases check box. If these data sources are stored in the default location, you can select them in the Choose Data Source dialog box and then click Delete.

Locations for data source files Data source files from earlier versions of Microsoft Query are usually stored in the ODBC Datasources folder in the Common Files folder. Data source files for Query 2000 are stored in your user profile folder under Application Data\Microsoft\Queries. To see what folders are used to store data source files, point to Get External Data on the Data menu, click New Database Query, click the Databases tab, and then click Options.

Find and delete the data source file You can find and delete data source files by doing the following:

  • Use the Windows Control Panel If all data source files are in the Common Files\ODBC Datasources folder or your user profile folder, double-click the ODBC Data Sources (32bit) icon in Control Panel, click the File DSN tab, and then use the Remove button to delete any .dsn files that you don't want.

  • Search for .dsn files If data source files are in several folders, use the Microsoft Windows Find command to search for all files with file name extension .dsn, and then delete any files that you don't want.


 I can't create a new data source.

I can't create a new data source.

Check your driver First, make sure you have the right ODBC driver or data source driver for your data source. ODBC drivers and data source drivers make Microsoft Query flexible so that you can connect to new databases as they become available by installing new drivers. However, you must make sure you install and set up the right driver for the type of database you're using.

Make sure the driver works with Query In addition to the drivers provided with Microsoft Query, you can use ODBC and data source drivers provided by third-party manufacturers. Before you try to use a third-party driver, it's a good idea to make sure the manufacturer has tested the driver with Microsoft Query 2000. For some databases, the driver supplied with the database software may be the best choice. Contact the administrator for your database to find out what's available and what works best at your site. See a list of the drivers supplied with Query.

Check the server address and logon information Before you set up a data source, make sure you know the address where the database is located on your network and have the necessary permissions to connect to the database and log on. See the administrator for your database for a logon name, password, or any other permissions required, and to make sure the access you've been granted is working properly.

Make sure the driver is properly installed To display the list of available drivers, point to Get External Data on the Data menu, click New Database Query, double-click New Data Source on the Databases or OLAP Cubes tab, type a name in step 1 of the Create New Data Source dialog box, and then click the list in step 2. If you don't see the driver you need, you should check to make sure the ODBC driver or data source driver is installed properly. How to install drivers.

Make sure you supplied all of the configuration information After you've installed the driver and selected it in step 2 of the Create New Data Source dialog box, make sure you provide all of the necessary information in step 3 of the dialog box. For information about a Microsoft driver, click Connect, and then click Help in the setup dialog box for the driver. For third-party drivers, see the Help system or the documentation for the driver.

If you are setting up a data source with an ODBC driver or data source driver provided by Microsoft, click the name of your driver for information about the settings you should make in step 3 of the Create New Data Source dialog box.

ODBC drivers

Microsoft Access driver

Microsoft dBASE driver

Microsoft FoxPro driver

Microsoft Excel driver

Microsoft ODBC for Oracle driver

Microsoft Paradox driver

Microsoft text driver

SQL Server driver

Data source driver

Microsoft SQL Server OLAP Services driver


 Microsoft Query repeatedly runs out of time without connecting to my database.

Microsoft Query repeatedly runs out of time without connecting to my database.

Set a longer connect time By default, Microsoft Query tries to connect to your database for an amount of time predetermined by the ODBC driver for the data source. If connections to your database often require more time, you can set a longer interval. On the Edit menu in Microsoft Query, click Options, make sure the Cancel the connection if not connected within check box is selected, and then enter the number of seconds you want to allow for the connection.

Have Query try to connect indefinitely If you want Microsoft Query to try to connect for an indefinite amount of time, clear the Cancel the connection if not connected within check box. If Microsoft Query can't connect to your database, you can cancel the attempt by pressing ESC.


 Why does my data source have an asterisk next to it?

Why does my data source have an asterisk next to it?

The data source is from an earlier version of Microsoft Query Query 2000 and Query 97 data sources have a different format from data sources that were created with earlier versions of Query. Data sources and queries that were created with versions earlier than Query 97 can still be used with Query 2000, but queries that are created by using these data sources cannot be shared with other users. Versions earlier than Query 97 store data source information as part of your Microsoft Windows operating system, and that information is available only on your system.

Identify nonshareable data sources To use data sources that were created by using earlier versions of Query, click Options in the Choose Data Source dialog box (Data menu, Get External Data submenu, New Database Query command), and then select the Include registry DSNs in list of available databases check box. All data sources that were created by using a version earlier than Query 97 will appear in the Choose Data Source dialog box with asterisks next to their names.

Create shareable data sources If you want to share queries or report templates that use data from the external databases that are specified in your nonshareable data sources, create new Microsoft Query 2000 data sources for these databases, and use the new data sources to create the queries, query files, and report templates.

Delete the old data sources How to delete nonshareable data sources.


Change the image or label of the icon that represents a linked or embedded object

  1. Click the icon you want to change.

  2. On the Edit menu, point to object type Object (for example, Document Object), and then click Convert.

  3. Click Change Icon.

  4. Click the icon you want from the Icon list, or type a label in the Caption box.


 Edit a linked object

Edit a linked object

  1. On the Edit menu, click Links.

  2. In the Source file list, click the source for the linked object, and then click Open Source.

  3. Make the changes you want to the linked object.

  4. In the source program, click Exit on the File menu.


About changing the way Microsoft Excel calculates formulas

Change when calculation occurs Because Microsoft Excel automatically recalculates all open workbooks when the value in a cell changes, the application may become slow. You can control when calculation occurs by changing the calculation process to manual calculation.

Change the precision of calculations When a formula performs calculations, Excel usually uses the values stored in cells referenced by the formula. For example, if two cells each contain the value 10.005 and the cells are formatted to display values in currency format, the value $10.01 is displayed in each cell. If you add the two cells together, the result is $20.01 because Excel adds the stored values 10.005 and 10.005, not the displayed values. You can change the precision of calculations so that Excel uses the displayed value instead of the stored value when it recalculates formulas.

Change the number of times Excel calculates, or iterates, a formula Excel cannot automatically calculate a formula that refers to the cell — either directly or indirectly — that contains the formula. If a formula refers back to one of its own cells, you must determine how many times the formula should recalculate.

Learn about how Excel calculates formulas.

Note You can use Solver when you need to find the optimum value for a particular cell by adjusting the values of several cells or when you want to apply specific limitations to one or more of the values in the calculation. How to use Solver to define and solve problems.


The Office Assistant balloon disappeared.

  • A tip or message balloon might appear in front of another balloon. Close the balloon in front to see the one behind it.

  • Some message balloons close automatically when you click in the program window. These are informational messages that don't require a response. For example, when you check spelling, a message tells you when you're finished. You won't see this type of message again unless you repeat the action that causes it to appear — in this example, when you check spelling again.


Why can't I continue to work in Microsoft Excel?

When some messages are displayed, either by the Office Assistant or without the Assistant, you may not be able to work in Microsoft Excel until you close the message. These are important messages that require a response from you. To continue to work in Microsoft Excel, click an option button in the message that appears. If Microsoft Excel no longer displays the message but does display a tip or Help topic, click anywhere in the Microsoft Excel window to display the message again.


I can't open a workbook because it was protected with an encryption scheme that is unavailable.

Some workbook protection and encryption features vary depending on the language of the operating system they were created in. Before you can open a protected workbook, you must unprotect it by using the same operating system and language in which it was created.

For example, if you are using the U.S. English version of Windows and receive a workbook that was protected by using the Danish version of Windows, you can open the workbook only after it is unprotected by using the Danish version.


Ways to find values in a list by using filters

Overview
Basic AutoFilter
Custom AutoFilter
Filter by selection
Advanced filter


Ways to find values in a list by using filters


Ways to forecast values with what-if analysis

Data tables
Scenarios
Goal Seek and Solver


Ways to forecast values with what-if analysis


Ways to put Excel data on the Web

Entire workbooks
Noninteractive data or charts
Interactive spreadsheets
Interactive PivotTable lists
Interactive charts
Combination Web pages


Ways to put Excel data on the Web


Customize menus and toolbars

Customize menus

Customize menu commands

Customize toolbars

Customize toolbar buttons

Customize menus

Add a command or other item to a menu

Delete a command from a menu

Move menus or menu commands

Rename a menu

Reset built-in menus

Return to top

Customize menu commands

Change the appearance of a menu command

Rename a menu command

Return to top

Customize toolbars

Add a button to a toolbar

Delete a toolbar button

Move or copy a toolbar button

Move or copy a menu to a toolbar

Add a built-in menu to a toolbar

Add a custom menu to a toolbar

Delete a menu from a toolbar

Add or remove a separator on a toolbar

Change the width of a drop-down list box on a toolbar

Create a custom toolbar

Rename a custom toolbar

Delete a custom toolbar

Reset built-in toolbars

Return to top

Customize toolbar buttons

Change the appearance of a toolbar button

Rename a toolbar button

Return to top


Ways to reset built-in menus and toolbars

If you customize built-in menus, toolbars, menu commands, or toolbar buttons, you can also reset them to their original settings. You cannot reset a custom menu, toolbar, or button, or a button that displays a list when you click it.

Menus If you add, remove, or reorganize commands and submenus, you can reset a built-in menu to its original set and arrangement of commands and submenus.

Toolbars If you add, remove, or reorganize buttons, you can reset a built-in toolbar to its original set and arrangement of buttons.

Toolbar buttons or menu commands If you change the label or image for a built-in button or command, you can reset the built-in toolbar button or menu command to its original image and label.


 Open a file created in another program

Open a file created in another program

  1. Click Open [image] .

  2. In the Look in list, click the drive, folder, or FTP location that contains the file you want to open, and then locate the folder that contains the file. Make sure you select All Files in the Files of type list.

  3. If you can't find the file, you can search for it.

    How?

  4. Click the file you want to open.

  5. Click the Open button.


What to do before you print

Overview
Format the sheet on-screen
Add headers and footers
Repeat titles on every page
Change the layout
Preview and adjust margins
Check page breaks


What to do before you print


Graphics Interchange Format (GIF) filter

The Graphics Interchange Format filter (Gifimp32.flt) supports file format versions GIF87a (including interlacing) and GIF89a (including interlacing and transparency).

You don't need the GIF filter to import and export GIF files, nor do you need the filter to save a workbook that contains GIF images as a Web page (*.htm or *.html). You must have the GIF filter installed to import and export GIF images to the Clip Gallery and to import pictures into Microsoft Photo Editor. You also need to have the GIF filter installed to export a single chart to a GIF file by using Visual Basic for Applications.

You don't need the GIF filter to insert animated GIF images into Excel workbooks. When you save a workbook that contains an animated GIF image as a Web page, the animation is preserved. You cannot perform certain editing operations — such as cropping or changing the fill, border, or shadow — on an animated GIF image. Make these changes in an animated GIF editing program, and then insert the file again.

The GIF filter imports only the first image of a multi-image GIF file.


Computer Graphics Metafile graphics filter

The Computer Graphics Metafile graphics filter (Cgmimp32.flt) supports Version 1 of CGM:1992. The filter handles all three encodings and interprets and supports all elements. The filter will correctly handle all valid .cgm graphics files.

The major industry profiles of ATA (Air Transport Association) and CALS (Continuous Acquisition and Life Cycle Support) are fully supported by the Computer Graphics Metafile filter. The filter has been certified as ATA-compliant and CALS-compliant by testing administered by the National Institute of Standards and Technology (NIST).

If you install the filter during Setup, the following files are installed: Cgmimp32.flt, Cgmimp32.fnt, Cgmimp32.cfg, and Cgmimp32.hlp.

The Computer Graphics Metafile filter has the following limitation: CGM 1992 Versions 2, 3, and 4 are not supported.

Note The Computer Graphics Metafile graphics filter is available only if you installed Microsoft Office.


CorelDRAW graphics filter

The CorelDRAW graphics filter (Cdrimp32.flt) supports .cdr, .cdt, .cmx, and .pat files from CorelDRAW 3.0, 4.0, 5.0, and 6.0, and has the following limitations:

  • CorelDRAW Preferences, such as page size and orientation, units, grid, and guidelines, are not supported.

  • Lenses and powerclips are not supported.

  • Pages, layers, and grouped drawing elements are not supported.

  • OLE objects are not supported.

  • Rotated bitmaps are not supported.

  • Object and PostScript texture fills are replaced with solid gray fills.

  • Gradient fills are split into monocolored stripes.

  • Vector fills are not supported.

  • Multiarea paragraph text is not supported.


Encapsulated PostScript graphics filter

The Encapsulated PostScript (EPS) graphics filter (Epsimp32.flt) supports the Adobe Systems Encapsulated PostScript Specification versions 3.0 and earlier. The filter supports .eps images from tagged image file format (TIFF) and Windows Metafile (.wmf) embedded previews.

If an Encapsulated PostScript graphics file contains an embedded TIFF or Windows Metafile preview, a representation of the image appears on the screen. The quality of the preview depends on the resolution of the TIFF or Windows Metafile image embedded in the Encapsulated PostScript file when it is created. Low, medium, and high resolutions are generally available for creating an EPS file. The higher the resolution of the preview image, the larger the EPS file size will be. Because such previews are intended primarily to be used to position images on the page, resolution is often low. A high-resolution preview is not necessary because it is discarded when the EPS file is printed to a PostScript printer.

If an embedded TIFF or Windows Metafile preview is not included in the Encapsulated PostScript graphic you import, the graphic displays a message instead of a preview of the graphic in your workbook. However, the graphic prints correctly to a PostScript printer. If you print an EPS graphic to a non-PostScript printer, the preview image is printed as it appears on the screen.

Encapsulated PostScript graphics are designed to be printed on a PostScript printer.


Kodak Photo CD graphics filter

The Photo CD graphics filter supports Kodak Photo CD Version 3.0. The Photo CD graphics file format stores multiple versions of an image, each with a different resolution and color depth. The filter must choose one of the images when you import a Kodak Photo CD file. When you import a Kodak Photo CD file, an Options dialog box appears, so that you can choose the resolution, orientation, and color depth of the image before it is imported. By default, the filter imports an image with 768 x 512 pixels and 24-bit color depth.

If you install the filter during Setup, the following files are installed: Pcdimp32.flt and Pcdlib32.dll.

Note The Photo CD graphics filter is available only if you installed Microsoft Office.


Macintosh PICT graphics filter

The Macintosh PICT graphics filter (Pictim32.flt) is used to import Macintosh PICT graphics. Rename your Macintosh PICT files with the .pct extension when you copy them to a computer that uses Windows, so that Microsoft Excel for Windows can recognize the files as PICT graphics. For example, if you have a graphics file named Bear on the Macintosh, rename the file to Bear.pct before you insert the file into a Microsoft Excel workbook for Windows.


PC Paintbrush graphics filter

The PC Paintbrush graphics filter (Pcximp32.flt) supports all versions of the .pcx file format through ZSoft version 3.0, with support for 256-color images. This is the common interchange format used by Microsoft Windows Paintbrush.


Tagged Image File Format (TIFF) graphics filter

The Tagged Image File Format graphics filter (Tiffim32.flt) supports all image types and compressions that conform to TIFF Specification Revision 5.0 and 6.0, Part1: Baseline TIFF. These types include monochrome, grayscale, palette color, and RGB Full Color images. The filter correctly handles a single 8-bit alpha channel stored with an RGB Full Color image. The TIFF filter also supports the TIFF Extension for CMYK images.

Only the first image of a TIFF file with multiple images (subfiles) is imported.


WordPerfect Graphics import filter

The WordPerfect Graphics import filter (Wpgimp32.flt) supports WordPerfect Graphics versions 1.0, 1.0e, and 2.0, which correspond to WordPerfect version 6.x and earlier. For .wpg images created in DrawPerfect, the picture frame size is the size of the screen.

The WordPerfect Graphics import filter has the following limitations:

  • PostScript information is lost in Encapsulated PostScript images embedded in WordPerfect Graphics files.

  • WordPerfect Graphics files with large, embedded bitmaps may not appear properly on computers that use the Mach series video drivers from ATI. If you think this problem has occurred, try running Windows Setup and changing your video driver to the 8514/a drivers supplied with Windows.

Note The WordPerfect Graphics import filter is available only if you installed Microsoft Office.


 Insert a picture in a worksheet by using a scanner or camera

Insert a picture in a worksheet by using a scanner or camera

To do this procedure, your device (a scanner or digital camera) must be connected to your computer and be TWAIN-compatible. You should also make sure that you have installed the device software that supports TWAIN.

Some devices come with more than one software program. If you are not sure what software is TWAIN-compatible, check the device documentation or contact the manufacturer of the device.

  1. Open the worksheet in which you want to insert the picture.

  2. If you're using a scanner, set up the picture in the scanning device.

  3. In Microsoft Excel, point to Picture on the Insert menu, and then click From Scanner or Camera.

  4. If you have more than one device connected to your computer, under Device, click the device you want to use.

  5. Do one of the following:

    Click Web Quality to use a lower resolution or if you intend for your document to be viewed on screen.

    Click Print Quality to use a higher resolution or if you intend for your document to be printed.

  6. Do one of the following:

    Click Insert if you're using a scanner and you want to use predefined settings to scan your picture.

    Click Custom Insert if you're using a scanner and you want to change the image settings, or if you're using a camera. Then follow the instructions that came with the device you're using.

  7. When the image appears on the worksheet, make any changes you want.

    You can use the tools on the Picture toolbar to make changes such as cropping the picture, and adjusting its brightness, contrast, and color.

Note The Insert button might be unavailable when using some scanners because the scanner software doesn't support an automatic scanning. If so, you can use the Custom Insert button instead.


Portable Network Graphics (PNG) filter

The Portable Network Graphics filter (Png32.flt) supports files that conform to the Portable Network Graphics Tenth Specification (Version 1.0). You must have the filter installed to insert a .png file into a Microsoft Excel workbook as a Microsoft Clip Gallery object or a Photo Editor object. However, to insert a .png file directly into an Excel workbook, you don't need the Portable Network Graphics filter.


JPEG File Interchange Format file

The Joint Photographic Experts Group (JPEG) graphics filter (Jpegim32.flt) supports Version 6.0 of the JPEG File Interchange Format (JFIF). The filter supports cyan-magenta-yellow-black (CMYK) JPEG files. You must have the JPEG filter installed to insert a JPEG file into a Microsoft Excel workbook as a Microsoft Clip Gallery object or a Photo Editor object. The JPEG filter is also used to export a single chart to a JPEG file by using Visual Basic for Applications. However, to insert a JPEG file directly into a Microsoft Excel workbook, you don't need the JPEG filter.

The filter does not support JPEG Tagged Interchange Format (JTIF) files.


Windows Bitmap files

The Windows Bitmap graphics filter (Bmpimp32.flt) supports Windows and OS/2 bitmaps, Run Length Encoded (RLE) bitmaps, and device-independent bitmaps (DIB). You must have the Windows Bitmap filter installed to insert a bitmap file into a Microsoft Excel workbook as a Microsoft Clip Gallery object or a Photo Editor object. However, to insert a bitmap file directly into a Microsoft Excel workbook, you don't need the Windows Bitmap filter.

Note The Windows Bitmap graphics filter is available only if you installed Microsoft Office.


 Correct spelling and typing errors as you type

Correct spelling and typing errors as you type

To correct your common typing errors automatically, you must specify the word that is mistyped in advance.

  1. On the Tools menu, click AutoCorrect.

    Show Me

  2. Make sure the Replace text as you type check box is selected.

  3. In the Replace box, type the word that you often mistype or misspell — for example, usualy

  4. In the With box, type the correct spelling of the word — for example, type usually

  5. Click Add.

Tip If you save a long phrase or passage of text as an AutoCorrect entry, you can enter the text later by typing only a few letters. Select the text you want to reuse, copy it, and then click AutoCorrect on the Tools menu. In the Replace box, type a unique sequence of characters — a sequence that you would not usually type in a workbook. Click in the With box, press CTRL+V to paste the copied text, and then click Add. For example, you could type afd to enter "Aperture Film Distributors."


Reset a toolbar button or menu command

  1. Show the toolbar that has the button or command you want to restore to its original settings.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Do one of the following:

    To reset a button, right-click the button, and then click Reset on the shortcut menu.

    To reset a command, click the menu that contains the command, right-click the command, and then click Reset on the shortcut menu.

Notes

  • The Reset command restores the built-in button or command to its original image, name, and command. If you have assigned a macro to the button or command, the macro is no longer associated with the button or command, but your macro is not deleted.

  • The Reset command is not available for a button that displays a list when you click it.


Enhanced Metafile

The Enhanced Metafile graphics filter (Emfimp32.flt) converts Enhanced Metafiles (.emf) to Windows Metafiles (.wmf). You must have the Enhanced Metafile filter installed to insert an .emf file into a Microsoft Excel workbook as a Microsoft Clip Gallery object or a Photo Editor object. However, to insert an .emf file directly into a Microsoft Excel workbook, you don't need the Windows Metafile filter.

Note The Enhanced Metafile graphics filter is available only if you installed Microsoft Office.


 Update one-way or two-way fields from the embedded workbook

Update one-way or two-way fields from the embedded workbook

  1. In Lotus Notes 4.0, right-click the Microsoft Excel workbook inserted as an embedded object in the Notes document or form, and then click Open on the shortcut menu.

    In Lotus Notes 3.x, double-click the Microsoft Excel workbook inserted as an embedded object in the Notes document or form.

  2. On the File menu in Microsoft Excel, click Properties.

  3. Change the information in any file property fields you previously defined.

  4. Close the workbook, and return to Lotus Notes.


 Update two-way fields from Lotus Notes

Update two-way fields from Lotus Notes

  1. In Lotus Notes, open the document that contains the field you want to update.

  2. Select the text in the field you want to update.

  3. Type the new information between the field brackets.

  4. To update the properties in the workbook, double-click the embedded Microsoft Excel workbook in the Lotus Notes document or form.


Windows Metafile

The Windows Metafile graphics filter (Wmfimp32.flt) supports the Windows Metafile format. You must have the Windows Metafile filter installed to insert a Windows Metafile into a Microsoft Excel workbook as a Microsoft Clip Gallery object. However, to insert a Windows Metafile directly into a Microsoft Excel workbook, you don't need the Windows Metafile filter.

Note The Windows Metafile graphics filter is available only if you installed Microsoft Office.


 When I double-click a linked or embedded object, a "cannot edit" message appears.

When I double-click a linked or embedded object, a "cannot edit" message appears.

This message appears when the source file or source program can't be opened.

Make sure the source program is available If the source program is not installed on your computer, convert the object to the file format of a program you do have installed. For information about converting an object to a different file format, click [image] .

Ensure that memory is adequate Make sure you have enough memory to run the source program. Close other programs to free up memory, if necessary.

Close all dialog boxes If the source program is running, make sure it doesn't have any open dialog boxes. Switch to the source program, and close any open dialog boxes.

Close the source file If the source file is a linked object, make sure someone else doesn't have the it open.

Ensure that the source file name has not changed If the source file you want to edit is a linked object, make sure it has the same name as it did when you created the link and has not been moved. Select the linked object, and then click the Links command on the Edit menu to see the name of the source file. If the source file has been renamed or moved, use the Change Source button in the Links dialog box to locate the source file and reconnect the link.


 Cell references are wrong after I move or copy cells.

Cell references are wrong after I move or copy cells.

Absolute or relative cell references If the copied formulas contain relative cell references, Microsoft Excel adjusts the references (and the relative parts of mixed cell references) in the duplicate formulas. For example, suppose cell B8 contains the formula =SUM(B1:B7). If you copy the formula to the cell C8, the duplicate formula refers to the corresponding cells in that column: =SUM(C1:C7). If the copied formulas contain absolute cell references, the references in the duplicate formulas are not changed.

If you have formulas in cells If you move cells, formulas in the moved cells are not adjusted. However, formulas that refer to the moved cells are adjusted so that they refer to the cells at their new location.

When you need to redo the move or copy If you did not get the results you want, change the references in the original formulas to either relative or absolute cell references. Then recopy the cells. For more information about the difference between relative and absolute cell references, click [image] .


 Recover information from a damaged workbook file

Recover information from a damaged workbook file

To recover as much information as possible from a damaged workbook file, try the following steps. These steps will work only if the damage is limited to the first few bytes of the file, and recover only data. Formulas and macros can't be recovered.

  1. On the File menu, click Open.

  2. Double-click the folder that contains the damaged workbook, and then click Cancel.

  3. On the File menu, click New.

  4. In the new workbook, enter the following formula in cell A1, where workbookname is the name of the damaged file and sheetname is the name of the worksheet that contains the data you want to recover.

    =[workbookname]sheetname!A1

  5. Click the fill handle of cell A1 and drag down as many rows as there are rows of data on the worksheet in the damaged workbook.

  6. Click the fill handle of the last cell you filled, and drag right as many columns as there are columns of data on the worksheet in the damaged workbook.

  7. With all of the filled cells selected, click Copy on the Edit menu.

  8. On the Edit menu, click Paste Special.

  9. Click Values, and then click OK.

Note If a filled cell contains #REF!, that part of the worksheet is damaged and can't be recovered.


Convert a Microsoft Excel list to a Microsoft Access database

After you convert a list to Microsoft Access, you maintain the data only in Access. Changes you make to the Access database after the conversion do not affect the Microsoft Excel list.

To convert an Excel list, you must have Access installed. If the Convert to MS Access command does not appear on the Data menu in Excel, you need to install and load the AccessLinks add-in program.

  1. Select a cell in the Excel list.

  2. On the Data menu, click Convert to MS Access.

  3. To create a new Access database for the list, click New database.

    To add the list to an existing Access database, click Existing database, and then type the path to the database in the box under Existing database. To look for the database on your system or network, click Browse.

  4. Click OK.

    The Access Import Spreadsheet Wizard and Table Analyzer Wizard guide you as you permanently convert your Excel list to an Access database.

Notes

  • After the conversion, AccessLinks places a text box to the right of the original list stating that the list has been converted to Access data. The original data, however, does not change.

  • For more information about the Access Import Spreadsheet Wizard and Table Analyzer Wizard, see Access Help.


(Untitled)

You can attach notes to cells by using comments.

How to add a comment to a cell.

Cell with comment

You can view each comment when you rest the pointer over the cell or view all comments at the same time. You can print comments in the same locations where they appear on the worksheet or in a list at the end of the worksheet.

More information

Review the comments in a document


(Untitled)

You can make it easy to see changes you and others make to a shared workbook by highlighting changes.

Microsoft Excel assigns a different color to each user's changes. For example, a new row inserted by one user is marked with green, and two cells changed by another user are marked with yellow. You can also review the highlighted changes one at a time and then decide whether to accept or reject each one.

To highlight changes and view information about changes, your workbook must be shared before the changes are made. How to set up a shared workbook.


 About displaying tips and messages through the Office Assistant

About displaying tips and messages through the Office Assistant

The Office Assistant can answer your questions, offer tips, and provide Help for a variety of features specific to the program you're using. To use the Assistant, you must first turn the Assistant on. The Assistant is shared by all Microsoft Office programs. Any changes you make to its options — such as the types of tips it displays — will affect the Assistant in all of your Office programs. The Assistant can display Help in the following ways.

Program tips You can change the type of tips displayed from the Assistant. For example, you can turn on or off displaying tips for keyboard shortcuts. When a yellow light bulb appears next to the Assistant; click the light bulb to see a tip. If the Assistant is hidden when a tip arrives, the Microsoft Excel Help [image] button on the Standard toolbar displays a light bulb. Click the button to display the Assistant and the tip in a balloon.

You can also turn on or off showing the Tip of the Day.

When the Assistant displays a Microsoft Outlook reminder, it can't display a tip at the same time. If you click a button in the reminder to close it, the tip appears.

Automatic suggestion of Help topics The Assistant can suggest Help that is relevant to the specific task you're performing, even before you ask for it. For example, if you click the Assistant while you make changes to a chart, the Assistant returns topics about how to work with charts. You can turn this feature on or off.

Help with wizards You can get Help from the Assistant when you start some wizards. If you don't want it, you can turn off Help with wizards. Not all wizards have Help provided by the Assistant.

System messages The Assistant can display system messages and alerts. You can choose to see your messages in the Assistant balloon or see the messages in a dialog box.


About charts

This topic provides reference information about:

Creating a chart

How worksheet data is represented in a chart

Embedded charts and chart sheets

Creating a chart

Charts are visually appealing and make it easy for users to see comparisons, patterns, and trends in data. For instance, rather than having to analyze several columns of worksheet numbers, you can see at a glance whether sales are falling or rising over quarterly periods, or how the actual sales compare to the projected sales.

You can create a chart on its own sheet or as an embedded object on a worksheet. You can also publish a chart on a Web page. To create a chart, you must first enter the data for the chart on the worksheet. Then select that data and use the Chart Wizard to step through the process of choosing the chart type and the various chart options.

Worksheet data and chart

Worksheet data and chart

You can also create a chart in one step without using the Chart Wizard. When created this way, the chart uses a default chart type and formatting that you can change later.

A PivotChart report is an interactive summary of data in a chart format. It is created differently than regular Microsoft Excel charts. After you create a PivotChart report, you can view different levels of detail or reorganize the layout of the chart by dragging its fields and items. Learn about creating PivotChart reports.

Return to top

How worksheet data is represented in a chart

A chart is linked to the worksheet data it's created from and is updated automatically when you change the worksheet data.

Worksheet data in a chart

How worksheet data appears in a chart

Axis values Microsoft Excel creates the axis values from the worksheet data. Note that the axis values in the example above range from 0 to 140000, which encompasses the range of values on the worksheet. Unless you specify differently, Excel uses the format of the upper-left cell in the value range as the number format for the axis.

Category names Excel uses column or row headings in the worksheet data for category axis names. In the example above, the worksheet row headings 1st Quarter, 2nd Quarter, and so on appear as category axis names. You can change whether Excel uses column or row headings for category axis names or create different names.

Chart data series names Excel also uses column or row headings in the worksheet data for series names. Series names appear in the chart legend. In the example above, the row headings Projected and Actual appear as series names. You can change whether Excel uses column or row headings for series names or create different names.

Data markers Data markers with the same pattern represent one data series. Each data marker represents one number from the worksheet. In the example above, the rightmost data marker represents the Actual 4th Quarter value of 120000.

Tips A chart tip that tells you the name of a chart item appears when you rest the pointer over the chart item. For example, when you rest the pointer over the legend, the chart tip Legend appears.

More information

How data is organized in a chart

Return to top

Embedded charts and chart sheets

You can create a chart on its own chart sheet or as an embedded chart on a worksheet. Either way, the chart is linked to the source data on the worksheet, which means the chart is updated when you update the worksheet data.

Embedded charts An embedded chart is considered a graphic object and is saved as part of the worksheet on which it is created. Use embedded charts when you want to display or print one or more charts with your worksheet data.

Embedded pie charts

Embedded pie charts

Chart sheets A chart sheet is a separate sheet within your workbook that has its own sheet name. Use a chart sheet when you want to view or edit large or complex charts separately from the worksheet data or when you want to preserve screen space as you work on the worksheet.

A chart sheet

Return to top


About collaborating on Excel workbooks with other people

With Microsoft Excel and other Office programs, you can create and store files in the following ways so that multiple people can view or access them.

Share a workbook You can share a workbook so that multiple people can work on the workbook at the same time. Excel can track changes to the workbook and help you resolve conflicts when differing values are placed in a cell.

Distribute workbooks to other people You can distribute a copy of your workbook or worksheet by sending your worksheet or workbook as an attachment in an e-mail message, sending your worksheet as the body of your e-mail message, routing your workbook from one person to another, or posting your workbook to a Microsoft Exchange public folder. You can also set up an online meeting so that people can view and discuss your workbook online.

Publish or save Excel data as a Web page You can publish or save Excel data on a Web page so that others can use their Web browsers to view or work with the data. You can also put a copy of a file on the Web; however, users can open the file only if they have a program that can read that file type.


 About controlling how an external data range is refreshed

About controlling how an external data range is refreshed

Run a query in the background or while you wait You can run the underlying query in the background and continue working in Microsoft Excel while the external data is retrieved, or you can run the query while you wait for the data to be retrieved. If you decide to wait, the query may run faster because more of your computer’s resources are available to retrieve the data. How to run a query in the background or while you wait.

Refresh data at specific intervals You can specify that Excel refresh the external data range at specific intervals — for example, every 60 minutes.

Refresh data While you can run a query in the background or at specific time intervals, you can also manually refresh external data at any time.

Require a password If your external data source requires a password to gain access to the data, you can require that the password be entered each time the external data range is refreshed. This option is not available if you're running a Web query to retrieve the data or retrieving the data from a text file. How to require a password.

Specify how new data is added When the size of the external data range changes, you can specify how new data from the external data source is added. You can insert new cells and delete unused cells, insert an entire row and clear unused cells, or replace existing cells with new data.

Fill formulas adjacent to the external data range When an external data range expands and additional records are returned, Excel can fill formulas in adjacent columns or within the data range so that they remain next to the appropriate data.

Note You can also set options that control the formatting and layout of an external data range when it is refreshed.


 About editing a linked object or an embedded object

About editing a linked object or an embedded object

Edit a linked object To edit a linked object in your workbook, use the Links command on the Edit menu. If the Links command is unavailable, your workbook does not contain linked information. How to edit a linked object in the source program.

Edit the source file If the source program is installed on your computer, double-click the embedded object to edit it. After you double-click the embedded object, some programs temporarily replace the toolbars in the open program so that you can remain in that program and edit the embedded object in place. Other programs start the source program in a separate window and then open the object there for editing. How to edit an embedded object in the source program.

Convert the embedded object if source program is unavailable If you don't have the source program, convert the embedded object to the file format of a program you do have. For example, if your workbook contains an inserted Microsoft Works Spreadsheet object and you don't have Works, you can convert the object to Microsoft Excel Workbook format and edit it in Excel. How to edit an embedded object in a program other than the source program.


 About how linked information is updated in Microsoft Excel

About how linked information is updated in Microsoft Excel

Updating automatically A linked object is updated automatically by default every time you open the destination file or any time the source file changes while the destination file is open. How to automatically update links to information from other programs when performing calculations.

Changing the update setting You can update linked information automatically or manually — that is, only when you specifically request the update. How to change the way a linked object is updated.

Updating manually You can update a linked object at any time regardless of whether automatic or manual updating is turned on. How to update a linked object manually.

Preventing updates to links To prevent updates, you can lock individual links or all links in a workbook. When you lock a link, Microsoft Excel uses the last information available from the source program. How to lock all links in Microsoft Excel.

Using remote reference formulas If you use a remote reference formula to link data from other programs, that data is updated automatically in Excel whenever it is changed in the other program. To prevent updates and "freeze" the current data on your worksheet, you can replace the entire formula, or only the remote reference, with its calculated value. Learn about replacing a remote reference with its calculated value.


 About opening a workbook

About opening a workbook

Opening files from different locations

Workbooks on your hard disk or network From the Open dialog box (File menu), you can open workbooks from many different locations. For example, you can open workbooks that are stored on your hard disk or network drives that you have connections to. You can also open workbooks on your network without first setting up a connection to a network server if your network supports UNC addresses.

Workbooks on the Web If you have access to the Internet and you have a modem and an Internet account through a service provider, or if you have access through the network, you can open workbooks on the Internet or your intranet or open a workbook on a Web server.

Files created in other programs If you have a file that was created in another program, such as Lotus 1-2-3 or Quattro Pro, you can use Microsoft Excel to open the file.

Methods for opening files

Open as copy or as read-only If you want to make sure that a workbook remains unchanged, and you have permission to save files where the workbook is stored, you can create and work on a copy of the workbook instead of the original file, or you can open the workbook as read-only, regardless of its location. How to open a workbook as read-only.

Open files in the browser You can use Excel to open HTML files in your browser.

The Web toolbar The Web toolbar is available in your Microsoft Office programs to make it easy to browse through workbooks and other Office documents that contain hyperlinks. You can use the Web toolbar to open a start page or a search page in your Web browser. When you find interesting workbooks on the Web, you can use the Web toolbar to add them to your Favorites folder so that you can quickly find them. The Web toolbar keeps a list of the last 25 workbooks you found by using the toolbar. How to open your Web start page or open your Web search page.

More information

Open several workbooks at once

Save and open a group of workbooks in a customized workspace


 Overview

One chart, many views A PivotChart report combines the interactive summarization of data provided by a PivotTable report with the visual appeal and benefits of a chart.

PivotChart report focusing on western region sales PivotChart report focusing on produce sales

One PivotChart report can be pivoted to show different ways to view the same data. The first view focuses on sales activity in the western region. The second view focuses on produce sales.

When to use a PivotChart report Use a PivotChart report when you want to quickly change the view of the chart to see comparisons and trends in different ways.

For instance, in the first example above, Region is the page field and West is the selected item in the page field. Therefore, the chart summarizes the sales information for only that region. By clicking a different item in the Region drop-down list, the chart shows you similar information for any or for all of the other regions in the list.

Or, if you'd rather focus on produce sales, as in the second example, you can move the Type field from the category field area to the page field area, and move the Region field to the category field area. If you select Produce from the Type drop-down list, your chart graphically summarizes produce sales.

Source data A PivotChart report is always associated with a PivotTable report and is based on the same types of source data as a PivotTable report.

Formatting You can change chart types and apply formatting to PivotChart reports the same way you do with any Microsoft Excel chart, with just a few differences. Because the formatting of data series, including the addition of trendlines and error bars, is not retained after you change the layout of the PivotChart report, you should wait until you are satisfied with a particular layout or view of data before you apply formatting to data series.

More information

Guidelines for creating a PivotChart report


 About protecting workbooks and worksheets from changes

About protecting workbooks and worksheets from changes

Microsoft Excel provides several ways to restrict how users can view or change data in workbooks and worksheets.

  • Protect worksheet elements You can prevent others from changing some or all of the contents of an individual worksheet, viewing hidden rows or columns, viewing formulas, changing graphic objects, or changing saved scenarios. See a list of all worksheet elements you can protect.

  • Protect workbook elements You can prevent others from changing elements of a workbook by adding or deleting worksheets in a workbook or viewing hidden worksheets. You can also prevent others from changing the size and position of the windows for a workbook, removing a shared workbook from shared use, or turning off the change history. See a list of all workbook elements you can protect.

  • Protect a shared workbook You can prevent others from changing data in a shared workbook by assigning a password, or hiding rows, columns, or worksheets.

  • Protect cells When you protect a workbook or worksheet, cells are automatically locked. If you want to change the value in the cell after you protect the workbook, you must first unlock the cell.

  • Hide a workbook To hide an entire workbook so that users can't see it but can gain access to its contents, use the Hide command on the Window menu, and then save the changes to the hidden workbook.

  • Recommend read-only access You can recommend that users open a workbook as read-only by displaying a message when the workbook is opened.

  • Require a password You can limit who can open and use the data in a workbook by requiring a password to open or save changes to the workbook.

    Require a password to open or use data in a workbook

    Require a password to modify and save a workbook

  • Prevent macro viruses You can prevent viruses from infecting your macros by turning on macro virus protection.


 (Untitled)

Fields and items A PivotTable report contains fields, each of which corresponds to a column (or OLAP dimension) in the source data and summarizes multiple rows of information from the source data. Fields in a PivotTable report list items of data across rows or down columns. The cells where the rows and columns intersect show summarized data for the items at the top of the column and the left side of the row.

In this PivotTable report, the Product field contains the items Dairy and Meat.

Data fields and cells A data field, such as Sum of Sales, provides the values that are summarized in the PivotTable report. In the example, cell C6 shows the total for Davolio's May dairy sales — that is, the sum of the sales figures from every row in the source data that contains May for the month, Davolio for the salesperson, and Dairy for the product.

Summary functions To summarize the data field values, PivotTable reports use summary functions, such as Sum, Count, or Average. These functions also provide subtotals and grand totals automatically, where you choose to show them. In this example, the data from the Sales column in the source list is summarized with Sum, showing subtotals for the months and grand totals for the rows and columns. For OLAP source data, the OLAP server provides precalculated summary functions. How to use totals and subtotals in a PivotTable report.

Viewing details In most PivotTable reports, you can view the detail rows from the source data that make up the summary value in a particular data cell. OLAP source data is not organized in rows that you can view in this way, but you can change the level of detail displayed in the entire PivotTable report when it's based on OLAP source data. How to control the amount of detail displayed in a PivotTable report.

Changing the layout By dragging a field button to another part of the PivotTable report, you can view your data in various ways and calculate different summarized values. For example, you can view the names of salespersons across the columns instead of down the rows. How to change the report layout by dragging a field or item.

PivotTable field being dragged

The Salesperson field being dragged to the column orientation

More information

Elements of a PivotTable report


 (Untitled)

A PivotTable report in indented format is similar to a traditional database banded report or formatted report. The data for each row field is indented in a layout similar to a text outline. By using this format, you can read all of the summarized figures for a data field down a single column. It's useful for long reports or reports that you distribute as printouts.

Indented-format PivotTable report

An example of an indented-format PivotTable report

Creating an indented-format PivotTable report The indented layout is an autoformat that you apply after you create a PivotTable report. When you use an autoformat to change a PivotTable report to indented format, the column fields in the report become row fields, and Excel applies different character and cell formats to the PivotTable report. You can change the formatting to customize the look of the report.

Printing an indented-format PivotTable report Microsoft Excel provides some print settings specific to PivotTable reports. You can automatically repeat the PivotTable row and column labels and item labels on each printed page, and you can automatically insert page breaks between the sections of the report.

More information

Change a PivotTable report to indented or nonindented format

Print a PivotTable report


 (Untitled)

Graphical views of PivotTable data A PivotChart report is an interactive chart that you can use to view and rearrange data graphically, in a similar manner to a PivotTable report. A PivotChart report always has an associated PivotTable report in the same workbook, and includes all of the source data from the associated report. And like a PivotTable report, a PivotChart report has field buttons that you can use to display different data and change the layout.

An example of a PivotChart report

More information

About PivotChart reports

Create a PivotChart report


 (Untitled)

Source data for a PivotTable report You can create a PivotTable report from a Microsoft Excel list, an external database, multiple Excel worksheets, or another PivotTable report. The following source data is used for the rest of the sample reports in this topic so that you can compare the different presentations of the same data.

Data for a PivotTable report

An example of data for a PivotTable report

How to set up the source data Source data from Excel lists and most databases is organized in rows and columns. Your source data must have similar facts in the same column. In the example, the region for a sale is always in column E, the amount sold is in column D, and so forth.

OLAP source data OLAP databases organize large amounts of data in dimensions and levels instead of rows and columns. You can use PivotTable reports to display and analyze data from OLAP databases. Because the OLAP server, rather than Excel, calculates the summary values for the PivotTable report, data retrieval from an OLAP database is more efficient, and you can analyze larger amounts of data than you can with other types of databases. Excel also lets you create OLAP cubes from data in external databases and save cube files so that you can work with the data offline.

More information

About choosing a data source for a PivotTable report

Differences between PivotTable reports that are based on OLAP versus non-OLAP data

About creating an OLAP cube from queried data


 (Untitled)

PivotTable lists on the Web You can save a PivotTable report on a Web page and publish the page to a public location, such as a Web server. There the report is called a PivotTable list and has much of the same interactive functionality as the report in Microsoft Excel.

Other users who have installed the Microsoft Office Web Components can view and interact with the PivotTable list by using version 4.01 or later of the Microsoft Internet Explorer Web browser. Users can install the Office Web Components either by installing Microsoft Office 2000 or, if their company has an Office 2000 site license, by downloading the Office Web Components from their corporate intranet.

PivotTable list on a Web page

An example of a PivotTable list on a Web page

More information

About displaying Microsoft Excel PivotTable reports on the Web


 About retrieving external data for a PivotTable or PivotChart report by using Microsoft Query

About retrieving external data for a PivotTable or PivotChart report by using Microsoft Query

Prerequisites To retrieve external data from within the PivotTable and PivotChart Wizard, you must install Microsoft Query and the appropriate open database connectivity (ODBC) drivers or data source drivers to gain access to the external data you want. You use Microsoft Query to retrieve external data for use in Microsoft Excel, including data from databases such as Microsoft SQL Server or Microsoft Access, and data from text files. For data from OLAP databases, you use Microsoft Query to set up a data source to access the database.

To run Microsoft Query from the wizard Run the PivotTable and PivotChart Wizard and, in step 2, click Get Data. In Microsoft Query, you can select an existing data source or query file, or create a new query. To create a new query by using the Query Wizard:

  • Select the wizard Make sure you select the Use the Query Wizard to create/edit queries check box in the Choose Data Source dialog box.

  • Choose a data source Specify the data source you want to use, or define a new one.

  • Select the data Specify the tables or files in the data source that contain the data you want.

  • Organize the data Display, sort, and filter data from selected fields in your external data source.

Return to the PivotTable and PivotChart Wizard by selecting Return data to Microsoft Excel in the last step of the Query Wizard.

Customizing your query If you need a more complex query than the Query Wizard can create, you can run the Microsoft Query program from the last step of the Query Wizard. How to create a query in Microsoft Query.

More information

Types of external databases you can access

Create a PivotTable report

Create a PivotChart report


About setting the expiration time for the change history

The number of days you specify for keeping the change history determines how long Microsoft Excel saves the information on the History worksheet. The default is 30 days, so if you plan on keeping your workbook longer than that, be sure to specify a number that exceeds the number of days you want to keep the change history.

Each time you close the workbook, Excel erases any part of the stored change history that is older than the number of days you specified. The changes that have not exceeded the expiration time remain.


 About tracking activity on a workbook by using Outlook

About tracking activity on a workbook by using Outlook

Microsoft Outlook is a desktop information management program that you can use to send e-mail messages; schedule meetings, events, and appointments; store a list of contacts; maintain a task list or a to-do list for yourself; assign tasks to others; track your activities; and keep track of the current status of your Microsoft Excel workbooks and worksheets.

Outlook is available with Microsoft Office 2000. To use Outlook, you must have used the Install Now option during installation. How to install Outlook on your computer.

Keep track of tasks You can use your Outlook task list to track any personal or work-related duty or errand, including recurring tasks, through completion. If the task involves work you must perform for an Excel workbook, you can add the task to your task list from Excel. For example, if you need to review a workbook by a certain date, you can open the workbook in Excel and then add the review to your task list. You can also use Outlook to assign tasks that others must perform for a workbook or file.

Automatically record file activity By using the Outlook Journal, you can automatically record work activity — for example, when a file was created or revised — for any file you create in an Office program. This feature is turned on by default.

Manually record file activity To track work for a single Office file or files in programs other than Office, you can manually record file activity in the Outlook Journal.

Track items by using a contact You can link tasks, journal entries, and workbooks to a contact person so that you can keep track of all items related to that contact. For example, if you want to track a workbook by the name of the person who is responsible for it, you can link contact information to a workbook and other related items, such as e-mail messages and appointments. For more information about how to link tasks, journal entries, and workbooks to a contact, see Outlook Help.

You can also track changes that have been made within a workbook.


About using multiple labels in formulas

Stacked labels When you have labels for the columns and rows on your worksheet, you can use those labels to create formulas that refer to data on the worksheet. If your worksheet contains stacked column labels — in which a label in one cell is followed by one or more labels below it — you can use the stacked labels in formulas to refer to data on the worksheet. For example, if the label West is in cell E5 and the label Projected is in cell E6, the formula =SUM(West Projected) returns the total value for the West Projected column.

The order for stacked labels When you refer to information by using stacked labels, you refer to the information in the order in which the labels appear, from top to bottom. If the label West is in cell F5 and the label Actual is in cell F6, you can refer to the actual figures for West by using West Actual in a formula. For example, to calculate the average of the actual figures for West, use the formula =AVERAGE(West Actual).


(Untitled)

An area chart emphasizes the magnitude of change over time. By displaying the sum of the plotted values, an area chart also shows the relationship of parts to a whole.

In this example, an area chart emphasizes increased sales in Washington and illustrates the contribution of each state to total sales.


(Untitled)

A bar chart illustrates comparisons among individual items. Categories are organized vertically, values horizontally, to focus on comparing values and to place less emphasis on time.

Stacked bar charts show the relationship of individual items to the whole.

Stacked bar chart


 (Untitled)

A bubble chart is a type of xy (scatter) chart. The size of the data marker indicates the value of a third variable.

To arrange your data, place the x values in one row or column, and enter corresponding y values and bubble sizes in the adjacent rows or columns.

Data to be charted

The chart in this example shows that Company A has the most products and the greatest market share, but not the highest sales.

Note You cannot use the bubble chart type for a PivotChart report.


(Untitled)

Clip art is ready-made art that you can use to dress up your worksheet. Clip art is available from many sources, including the Clip Gallery, which you can install when you install Microsoft Office.

Clip art is often in metafile format. Metafiles can be converted to drawing objects and then edited with Microsoft Excel drawing tools. How to insert and edit a picture or clip art.


(Untitled)

A column chart shows data changes over a period of time or illustrates comparisons among items. Categories are organized horizontally, values vertically, to emphasize variation over time.

Stacked column charts show the relationship of individual items to the whole. The 3-D perspective column chart compares data points along two axes.

3-D perspective column chart

In this 3-D chart, you can compare four quarters of sales performance in Europe with the performance of two other divisions.


 About calculating a value based on a condition

About calculating a value based on a condition

This topic provides reference information about:

Overview

The SUMIF and COUNTIF worksheet functions

The IF worksheet function

The Conditional Sum Wizard

Overview

A formula in Microsoft Excel performs calculations on values in your worksheet. Typically, formulas perform calculations on all the values in a given range. However, what if you want Excel to change your formula if a certain condition is true, or what if you want to include only the values that meet certain conditions in the calculation? For example, you might want to track the orders placed by your salespeople and then summarize the sales for each salesperson without reorganizing your data. Or you might want to determine the bonus amount awarded for each sale, based on the total invoice amount. When you want formulas to perform conditional tests, you can use conditional formulas in Excel.

A list of sales by salesperson. Use conditional formulas to calculate bonus percentages and to summarize, per salesperson, the number of orders placed and the total amount invoiced during a given period.

Excel includes three worksheet functions that calculate results based upon conditions. To count the number of occurrences that a specific value appears in a range of cells, use the COUNTIF worksheet function. To calculate a total amount based on a single condition, use the SUMIF worksheet function. To return one of two values — such as the bonus percent amount — use the IF worksheet function.

If you are not familiar with worksheet functions, the Conditional Sum Wizard that can assist you with creating formulas that calculate sums based on conditions.

More information

How formulas calculate values

Learn about using functions to calculate values

Return to top

The SUMIF and COUNTIF worksheet functions

Suppose that you want to create a summary of that shows, for each salesperson, the total number of orders placed and the total amount invoiced for a given period. To count the number of orders placed, use the COUNTIF worksheet function. To calculate the total amount invoiced, use the SUMIF worksheet function.

COUNTIF

The COUNTIF worksheet function counts the number of orders placed for each salesperson.

Summary of orders placed

COUNTIF has two arguments: the range to be checked and the value to check for within the range (the criteria).

=COUNTIF(range,criteria)

For Buchanan, the function (in cell B32) looks like this:

=COUNTIF(A2:A26,A32)

The function counts the number of times the name in cell A32 (the criteria argument) appears in the Salesperson list (A2:A26, the range argument).

SUMIF

Summary of total sales

The SUMIF worksheet function calculates the total amount invoiced for each salesperson.

The SUMIF worksheet function checks for a value within a range and then sums all the corresponding values in another range. SUMIF has three arguments: the range to be checked, the value to check for within the range (the criteria), and the range containing the values to be summed.

=SUMIF(range,criteria,sum_range)

For Buchanan, the function (in cell C32) looks like this:

=SUMIF(A2:A26,A32,B2:B26)

The formula checks for the text in cell A32 (the criteria argument) in the Salesperson list (A2:A26, the range argument) and then sums the corresponding amounts from the Total Invoice column (B2:B26 the sum_range argument).

More information

Learn about using functions to calculate values

Learn about the COUNTIF worksheet function

Learn about the SUMIF worksheet function

Return to top

The IF worksheet function

Suppose that your company determines sales bonuses on a sliding scale, awarding either 10 percent or 15 percent, based on the invoice amount. To determine which one of two values to use, based on a condition that is either true or false, use the IF worksheet function.

Conditional formula that uses the IF worksheet function

The IF worksheet function returns a bonus of either 10% or 15%, based on the invoice amount.

The IF worksheet function checks a condition that must be either true or false. If the condition is true, the function returns one value; if the condition is false, the function returns another value. The function has three arguments: the condition you want to check, the value to return if the condition is true, and the value to return if the condition is false.

=IF(logical_test,value_if_true,value_if_false)

For Suyama's $8,000 invoice, the function (in cell C4) looks like this:

=IF(B4<10000,10%,15%)

If the invoice amount is less than $10,000 (the logical_test argument), the bonus is 10 percent (the value_if_true argument). If the invoice amount is $10,000 or greater, the bonus is 15 percent (the value _if_false argument).

More information

Learn about using functions to calculate values

Learn about the IF worksheet function

Return to top

The Conditional Sum Wizard

Suppose you have multiple conditions you want to check. The Conditional Sum Wizard can create the conditional formulas for you.

Conditional Sum Wizard

The Conditional Sum Wizard quickly builds formulas that contain multiple conditions. You can use the mouse to define the conditions and then the wizard adds the formulas to your worksheet.

In the wizard, you specify the location of the list, the condition to check, and the location for the result. In the preceding example, you are summing the invoice amounts for Buchanan's sales that were greater than $10,000.

The wizard then creates an array formula that calculates the result for you. If you need to change the condition, you can use the wizard again and replace the results in the location you originally specified.

The Conditional Sum Wizard is an add-in program supplied with Excel.

More information

Summarize values that meet conditions by using the Conditional Sum Wizard

Learn about array formulas

Return to top


(Untitled)

The cone, cylinder, and pyramid data markers can lend a dramatic effect to 3-D column and bar charts.

3-D bar chart with cylinder data markers

3-D column chart with pyramid data markers


 Differences between PivotChart reports and regular charts

With regular charts, you must create one chart for each view of the data summary that you want to see. With PivotChart reports, you can create a single chart and view the summaries several ways just by using your mouse.

If you are familiar with regular charts, you will find that most operations — such as formatting, choosing a chart type, displaying category or axis labels and titles, and so on — are performed the same way in PivotChart reports as they are in charts. However, there are some differences:

Chart creation To create a regular chart in Microsoft Excel, you use the Chart Wizard. To create a PivotChart report, the method you use depends on the source data. You can use the Chart Wizard if you're creating a PivotChart report that will reflect the view of an existing PivotTable report in the same workbook. To create a PivotChart report not based on the view of an existing PivotTable report, you use the PivotTable and PivotChart Wizard. When you do this, Excel automatically creates an associated PivotTable report. How to create a PivotChart report.

Source data Regular charts are linked directly to worksheet cells. PivotChart reports are not linked to worksheet cells. Instead, they can be based on several different types of data, including Excel lists and databases, multiple data ranges that you want to consolidate, and external sources, such as Microsoft Access databases and OLAP databases. Learn about the types of source data that PivotChart reports use.

Chart elements PivotChart reports contain the same elements as regular charts but also contain fields and items that can be added to, rotated, or removed to display different views of your data. Categories, series, and data found in regular Excel charts are category fields, series fields, and data fields in PivotChart reports, respectively. PivotChart reports can also contain page fields. Each of these fields contains items, which in regular charts are displayed as category labels or series names in legends. Fields in PivotChart reports can be hidden for printing or publishing to the Web.

Formatting preservation Loss of formatting is not a problem with regular charts. However, certain types of formatting might not be preserved in a PivotChart report after you change the layout or refresh the PivotChart report to include more or less data. Types of formatting that might not be preserved are trendlines and error bars, changes to data labels, and changes in data series. If you want to format your chart for printing or presentation purposes, it is recommended that you do so only after you are satisfied with a particular layout, or view, of the data.

Moving or resizing items Certain elements of PivotChart reports cannot be moved or resized the way they can be in regular charts. You cannot move or resize the plot area in a PivotChart report. You cannot move or resize the legend by using a mouse, but you can move the legend by using the Placement option on the Legend tab (Chart menu, Chart Options command). Chart and axis titles cannot be moved, but they can be resized by changing the size of the font.

Chart location Regular charts are embedded on worksheets by default. PivotChart reports are created on chart sheets by default. You can change the location of the PivotChart report to be embedded on a worksheet.

Default chart type The default chart type for a regular chart is a clustered column chart, which compares values across categories. The default chart type for a PivotChart report is a stacked column chart, which compares the contribution of a value to a total across categories. You can change the chart type to any type except xy (scatter), stock, or bubble chart.


(Untitled)

Like a pie chart, a doughnut chart shows the relationship of parts to a whole, but it can contain more than one data series. Each ring of the doughnut chart represents a data series.


(Untitled)

You can create your own graphics by inserting and editing clip art, and by drawing your own pictures by inserting a Paintbrush Picture object or by using the tools on the Drawing toolbar. These tools enable you to add and combine AutoShapes, such as lines, basic shapes, flowchart shapes, block arrows, stars, banners, and callouts. You can also draw lines, freeforms, and scribbles.

More information

How to show or hide the Drawing toolbar

Learn about freeforms and curves


FlashPix graphics filter

The FlashPix graphics filter (Fpx32.flt) allows you to import FlashPix (.fpx) and Microsoft Picture It! (.mix) pictures into a workbook. Also, FlashPix is the common interchange format used by many digital cameras.


(Untitled)

Graphic used as a hyperlink

You can make graphics and buttons "hot" by using them as hyperlinks. When you click the graphic, you go to a specified location in the current document or Web page, to a different Microsoft Excel workbook or Web page, or to a file that was created in a different program. For example, you can insert a graphic that represents your company's stock symbol and then use it as a hyperlink to go to a page that contains your company's current stock prices. How to create a hyperlink from a graphic.


(Untitled)

Chart with graphics as data markers

You can add graphic objects to embedded charts and chart sheets, and you can also use graphics as data markers.


(Untitled)

Graphic used to start a macro

Macros You can assign a macro — that is, an automated Visual Basic for Applications program — to run when you click a graphic or button. You can even use graphics on worksheets to create an integrated workbook interface for your automated program. For example, you can create a graphic that represents a currency symbol and assign a macro to it that finds and displays the current monthly budget for your company. How to run a macro from a button or graphic control.


 (Untitled)

Hide workbook elements Hide data you don't want users to see when they fill out the form. For example, you can hide cells that contain formulas or the list of choices linked to a list control. How to hide the contents of specific cells.

Position and resize a control You can position and size form controls in the same way as you would drawing objects you create with the Drawing toolbar.

On-screen forms only

Restrict cell entries To restrict the information users can enter in a specific worksheet cell or an edit box control, you can use the Validation command on the Data menu to specify which entries are valid.

Protect the worksheet To prevent users from changing the form, you can protect the worksheet.

Before protecting the sheet, select the cells that will receive the entered data, through either direct entry or links to a control.


 (Untitled)

Remove extra worksheets Delete unused sheets from the workbook

before you save it as a form template.

Turn off gridlines After you finish formatting a form, turn off the display of cell gridlines before you save the form.

On-screen forms only

Prevent automatic changes To prevent Microsoft Excel from inserting the copyright symbol (©) when you type (c), or making other automatic changes, turn off the AutoCorrect Replace text as you type option. How to prevent automatic corrections.


 (Untitled)

Add graphics You can add graphics to your forms. For example, you can add scanned images and drawing objects that you create with the Drawing toolbar, including text boxes and the text effects you create with the WordArt tool. Learn about adding graphics on worksheets and charts.

Use controls You can add controls to on-screen forms to make data entry simple, and to collect and process the entered information. Controls are available from the Forms toolbar.

Option button and check box controls

For example, users of on-screen forms can select items from a drop-down list (combo box) control that is linked to cells that contain the list. How to add buttons, check boxes, or other controls.

For printed forms, you can add labeled check boxes and option buttons. Set the controls to be cleared (unchecked) by default so that the boxes and small circles appear blank, suitable for marking on paper. If users must write several lines of information, you can use light gray cell borders to add lines to the form.

For forms intended for custom Visual Basic for Applications programs or for use on the Web, you should use the more powerful and versatile ActiveX controls on the Control Toolbox. Learn about ActiveX controls.

On-screen forms only

Create macros You can add macros to a form to automatically process data and further customize the form, depending on users' entries. For example, if a user selects a check box labeled "Married," a macro linked to the check box control might display the entry "Name of spouse."

Add comments To include instructions about filling out a form, you can add comments to the cells.

Create formulas Because the form has all the functionality of a worksheet, you can use the cell data in formulas. For example, as users fill out item numbers and quantities in an order entry form, formulas can calculate totals, tax, and shipping costs. How to create a formula to calculate a value.

Formula that calculates a subtotal

More information

Create an on-screen or printed form


 (Untitled)

On-screen forms

For on-screen forms, you can use tools such as controls, formulas, and macros to make your form interactive.

When you create forms for use on-screen, you should determine whether you want the data that you collect to be stored in a database. You can use the Template Wizard with Data Tracking add-in to link the template to the database. Learn about the Template Wizard with Data Tracking.

If you want to make a form available to others on a network, store the form template on a network location and have users set this network location as their alternate startup folder. Alternatively, you can create a shortcut to the form template and have users copy the shortcut to their Templates folder. You can also distribute and collect a form by using e-mail.

Printed forms

With forms users will fill out on paper, you'll be mainly concerned with organizing and formatting the form so that it is easy to read and fill out. Learn about formatting features that are useful for forms.


Hanako graphics filters

Note The Hanako graphics filters are used for the Japanese language version of Microsoft Office.

The Hanako graphics filters (Jshimp.flt, Jahimp.flt, and Jbhimp.flt) support and convert .jsh, .jah, and .jbh files from Hanako versions 2.0 and 3.0 to Windows Metafile format.

The filters have the following limitations:

  • Image data is deleted when the files are opened.

  • Files with large amounts of data either may take time to convert or may not convert at all. If this occurs, delete any unnecessary data or objects, or resave the file as multiple files, and then try reopening them.

  • Complex text formatting or image properties that cannot be expressed in the Windows Metafile format are deleted or simplified when the files are opened. This may affect the alignment of text or images.


 How data is represented in a PivotChart report

PivotChart reports are always associated with PivotTable reports. Both types of reports have fields that correspond to one another. When you change the position of a field in one report, the corresponding field in the other report also changes. Row fields in tables correspond to category fields in charts; column fields in tables correspond to series fields in charts. Page fields and data fields in tables correspond to page fields and data fields in charts.

The following example shows the correspondence between the fields in each type of report:

Corresponding fields in PivotTable and PivotChart reports

When you create a PivotChart report from a PivotTable report, the layout of the PivotChart report — that is, the position of its fields — is determined initially by the layout of the PivotTable report. When you create the PivotChart report first, you determine the chart layout by dragging fields from the group of field buttons on the PivotTable toolbar to the appropriate drop areas on a chart sheet. Microsoft Excel automatically creates an associated PivotTable report that uses a corresponding layout.


(Untitled)

A formula is an equation that performs operations on worksheet data. Formulas can perform mathematical operations, such as addition and multiplication, or they can compare worksheet values or join text. Formulas can refer to other cells on the same worksheet, cells on other sheets in the same workbook, or cells on sheets in other workbooks. The following example adds 25 to the value in cell B4 and then divides the result by the sum of the values in cells D5, E5, and F5.

Structure of a formula

Learn about frequently used formulas in Microsoft Excel.


(Untitled)

Work simultaneously on a single workbook When you want to allow multiple users to work on a single copy of a workbook at the same time, you can share the workbook. After the workbook is shared, several people can simultaneously change values, formatting, and other elements of the workbook.

For example, you may have a workbook that contains monthly sales forecasts for 10 salespeople. You want your salespeople to enter their most current sales projections by tomorrow morning so that you can present the information to your supervisor. To get this done on time, several people need to work in the workbook at the same time.


 I typed new text or numbers on the worksheet, but the chart wasn't updated.

I typed new text or numbers on the worksheet, but the chart wasn't updated.

If you type text or values for the data series and categories on the Series tab of the Source Data dialog box (Chart menu, Source Data command), Microsoft Excel breaks the links between the chart and the worksheet data that the chart is based on. Excel also breaks the links between data labels and the worksheet data that the labels are based on if you type information directly in the label in the chart. You can reestablish each of these links by using one of the following methods.

Chart sheets To reestablish links between the worksheet and a chart sheet, redefine the range of cells used to create the chart.

Embedded charts To reestablish links between the worksheet and an embedded chart, redefine the cell range, or drag and resize the color-coded ranges on the worksheet to include the data you want.

Data labels To reestablish links between worksheet data and data labels, select the Automatic text check box on the Data Labels tab for the selected series or the entire chart.

Additional data If you typed additional labels and values on the worksheet that are outside the range of data that the chart is based on, you need to add the new data to the chart.

PivotChart reports A PivotChart report is not linked to worksheet data. Instead, it uses a copy of your data that is stored in memory. If you made a change to your source data and the PivotChart report wasn't updated, try to refresh the PivotChart report.


(Untitled)

A line chart shows trends in data at equal intervals.


(Untitled)

Share a workbook By sharing the workbook, you allow up to 256 people to access a single copy of the workbook simultaneously. How to set up a shared workbook.

Turn on change tracking and set the expiration time You can use change tracking to record who made which changes to the workbook and when. However, to manage the file's size, Excel keeps the change history for only the number of days you specify. The default is 30 days, so if you to keep a history of changes to your workbook longer than that, you should increase the expiration time. This is important because after expiration time has past, Excel deletes the change history records that are older than the days specified. How to turn on the change history for a workbook.

Protect the workbook You can protect a workbook so that others cannot open, view, or edit portions of worksheets, complete worksheets, or workbooks. How to limit what others can see and change in a shared workbook.

Note Some of the settings on the Advanced tab of the Share Workbook dialog box (Tools menu) are personal settings that each user of a shared workbook can set individually. Users can decide how often to update the workbook (that is, save their changes to the file and see others' recent changes). They can also determine how they want to resolve conflicting changes.


(Untitled)

Make the workbook available to others After you set up a shared workbook, you should store it in a location where all of the reviewers can access it. For example, you can store a workbook on a network location where all potential reviewers can open and edit the workbook.


(Untitled)

Formatting limitations You cannot use certain features of Microsoft Excel after you share a workbook. For example, you can't merge cells, delete worksheets, or insert charts. You can work around these limitations by planning ahead and making the changes before you share the workbook, or you may need to temporarily remove the workbook from shared use while you make the changes. Learn about limitations of shared workbooks

Provide instructions for updating the workbook You can create instructions directly in the workbook by adding comments. Comments can appear automatically when you open a workbook or only when you rest the pointer over a particular cell. How to add a comment to a cell


 (Untitled)

In a PivotTable report in indented format, the data for each row field is indented. The summarized figures for each data field appear in a single column.

Example of indented-format PivotTable report

An example of an indented-format PivotTable report


(Untitled)

Inserting You can insert pictures and scanned photographs from other programs and locations on your worksheet or as a background for your worksheet.

If you are connected to a scanner, you can scan a photograph and insert it on your worksheet.

Editing Pictures that you draw by using programs such as Microsoft Paint, or pictures that look like photographs, are usually in bitmap format. Bitmaps are made up of dots and can't be ungrouped. However, you can edit them by using the tools on the Picture toolbar, which appears when you select a picture. You can crop the picture, resize it, add a border to it, adjust its brightness and contrast, and make parts of the picture transparent. You can change it from a color picture to a black-and-white picture, a grayscale, or a watermark. How to edit a picture.

Using graphics filters Microsoft Excel recognizes a wide variety of picture formats. Because all Office programs share the same graphics filters, if you installed a graphics filter when you installed another Office program — Word, for example — you can use that same filter in this program. Learn about picture formats and graphics filters.


(Untitled)

A pie chart shows the proportional size of items that make up a data series to the sum of the items. It always shows only one data series and is useful when you want to emphasize a significant element.

To make small slices easier to see, you can group them together as one item in a pie chart and then break down that item in a smaller pie or bar chart next to the main chart.

Pie chart containing smaller pie chart


 Workbook elements you can protect

Workbook elements you can protect

When you protect a workbook by using the Protect Workbook command (Tools menu, Protection submenu), you can limit access to the workbook. To remove these restrictions, users must remove protection from the workbook with the Unprotect Workbook command (Tools menu, Protection submenu). If you set a password for the elements you protect, others must know that password to remove protection.

Protect the structure When you select the Structure check box in the Protect Workbook dialog box, users cannot do the following unless they turn off protection first:

  • View worksheets that you have hidden.

  • Move, delete, hide, or rename worksheets.

  • Insert new worksheets or chart sheets. Users can add embedded charts to existing worksheets by using the Chart Wizard.

  • Move or copy worksheets to another workbook.

  • In PivotTables, display the source data for a cell in the data area, or display page field pages on separate worksheets.

  • For scenarios, create a summary report by using the Scenario Manager.

  • In the Analysis ToolPak, use the analysis tools that place results on a new worksheet.

  • Record new macros. If you run a macro that includes an operation that can't be performed in a protected workbook, a message appears and the macro stops running.

Protect the windows When you select the Windows check box in the Protect Workbook dialog box, users cannot do the following unless they turn off protection first:

  • Change the size and position of the windows for the workbook when the workbook is opened.

  • Move, resize, or close the windows. However, they can hide and unhide windows.

Note In the Visual Basic Editor, programmers can protect macros so that they can't be viewed or changed by users. Programmers can protect macros by using the Protection tab of the Project Properties dialog box in the Visual Basic Editor (Tools menu, Project Properties command). For more information, see Visual Basic Editor Help.


(Untitled)

In a radar chart, each category has its own value axis radiating from the center point. Lines connect all the values in the same series.

A radar chart compares the aggregate values of a number of data series. In this chart, the data series that covers the most area, Brand A, represents the brand with the highest vitamin content.


(Untitled)

Excel comes with a set of ready-made shapes, called AutoShapes, that you can use in your presentations. AutoShapes are also referred to as drawing objects. The AutoShapes menu on the Drawing toolbar contains several categories of shapes. How to show or hide the Drawing toolbar. After you add an AutoShape to your worksheet, you can resize, rotate, flip, color, and combine the shape with other shapes to make more complex shapes. How to add a circle, square, or other AutoShape.

Circle and arrow AutoShapes

If you can't find the shape you want, you can click More AutoShapes on the AutoShapes menu to display AutoShapes that are stored in the Clip Gallery.

You can also add text to Autoshapes. Text you add becomes part of the shape — if you move, rotate, or flip the shape, the text moves with it. The orientation of the text remains the same.


 Request a digital certificate from a commercial certification authority

Request a digital certificate from a commercial certification authority

To obtain a digital certificate from a commercial certification authority, such as VeriSign, Inc., you or your organization must submit an application to that authority. Depending on your status as a developer, you should apply for either a Class 2 or Class 3 digital certificate for software publishers.

  • Class 2 This class of digital certificate is designed for people who publish software as individuals and provides assurance as to the identity of the individual publisher.

  • Class 3 This class of digital certificate is designed for companies and other organizations that publish software and provides greater assurance about the identity of the publishing organization. Class 3 certificates represent the level of assurance provided today by retail channels for software. An applicant for a Class 3 certificate must meet a minimum financial stability level that is based on ratings from Dun & Bradstreet Financial Services.

When you receive your digital certificate, you also receive instructions for installing it on the computer you use to sign your Microsoft Office solutions.

Learn about digital signatures.


 Request a digital certificate from your organization

Request a digital certificate from your organization

Some organizations and corporations might have a security administrator or group act as their certification authority and use tools such as Microsoft Certificate Server to produce or distribute digital certificates. Microsoft Certificate Server can function as a stand-alone certification authority or as part of an existing certification authority hierarchy. Depending on how your organization uses Microsoft Office digital-signature features, you might be able to sign macro projects by using a digital certificate from your organization’s internal certification authority. Or you might need to have an administrator sign macro projects for you by using an approved certificate. For information about your organization’s policy, contact your network administrator.

Learn about digital signatures.


 (Untitled)

An xy (scatter) chart either shows the relationships among the numeric values in several data series or plots two groups of numbers as one series of xy coordinates. This chart shows uneven intervals — or clusters — of data and is commonly used for scientific data.

When you arrange your data, place x values in one row or column, and then enter corresponding y values in the adjacent rows or columns.

Data to be charted

XY (scatter) chart

Note You cannot use an xy (scatter) chart type for a PivotChart report.


(Untitled)

You can add text to worksheets just by typing it into cells, and then you can use formatting options to change the size, alignment, color, and face of the font for the text. When you want to add "floating" text that is not in a specific cell — for example, to create a caption for a picture — you can add a text box to your worksheet. You can also add text to most AutoShapes, except lines, connectors, and freeforms.

You can add a special effect to text by using the Insert WordArt tool on the Drawing toolbar. You can create shadowed, skewed, rotated, and stretched text, as well as text that is fitted to predefined shapes. Because a special text effect is a drawing object, you can also use tools on the Drawing toolbar to change the effect — for example, to fill a text effect with a picture.

WordArt drawing object

Note You can't use the Microsoft Office proofing tools to check the spelling of a WordArt drawing object.


 (Untitled)

The high-low-close chart is often used to illustrate stock prices. This chart can also be used for scientific data, for example, to indicate temperature changes. You must organize your data in the correct order to create this and other stock charts.

A stock chart that measures volume has two value axes: one for the columns that measure volume, and the other for the stock prices. You can include volume in a high-low-close or open-high-low-close chart.

Stock chart with two value axes

Note You cannot use the stock chart type for a PivotChart report.


(Untitled)

A surface chart is useful when you want to find optimum combinations between two sets of data. As in a topographic map, colors and patterns indicate areas that are in the same range of values.

This chart shows the various combinations of temperature and time that result in the same measure of tensile strength.


Symbols used in drawing object manipulation

Special symbols are used to indicate the state of a drawing object and how it can be manipulated. Not all drawing objects can be manipulated or changed in the same way, so not all drawing objects use every symbol.

Symbol name | Example | Description
Selection handles | Object with selection handles | These appear on a drawing object when it is selected. When you drag these handles, the size of the object is reduced or enlarged.
Rotate handles | Object with rotate handles | When you click the Free Rotate button on the Draw toolbar, green circular handles appear on the object. You can then rotate the object by dragging one of the handles.
Adjustment handle | Objects with adjustment handles | A yellow adjustment handle on AutoShapes allows shape manipulation. In the example, the handle was dragged toward the middle of the shape to make the shape thinner.
Vertex | Object with vertexes | These are black squares that appear at the ends and intersections of lines or curves in selected curves and freeform drawing objects when you click Edit Points on the Draw menu. You can drag them to change the shape of the object.
Hatched border | Text box with a hatched border | When a text box is surrounded by a hatched border, you can enter, delete, select, and format the text inside.
Dotted border | Text box with a dotted border | When a text box is surrounded by a dotted border, you can format the text box itself. To get the dotted border, click the hatched border.

More information

Add a circle, square, or other AutoShape

Add a freeform object

Add text by using the Text Box tool


Text (Unicode) format

The Text (Unicode) format saves all text and values as they appear in cells of the active worksheet.

However, if you open a file in Text (Unicode) format by using a program that does not read Unicode, such as Notepad in Microsoft Windows 95 or a Microsoft MS-DOS-based program, your data will be lost.

Note Notepad in Microsoft Windows NT does read files in Text (Unicode) format.


An apostrophe ('), a caret (^), or a quotation mark (") appears in the formula bar but not in the cells.

These characters are formatting codes, which may be displayed in documents created in Lotus 1-2-3 or if you are working with keys that are used for navigation in Lotus 1-2-3. In Lotus 1-2-3 formats, an apostrophe (') indicates left-aligned text, a quotation mark (") indicates right-aligned text, and a caret (^) indicates centered text.

To remove the codes, click Options on the Tools menu, click the Transition tab, and then clear the Transition navigation keys check box.


Automatically update links to other programs when performing calculations

  1. On the Edit menu, click Links.

  2. Click the link you want to change. (If you want to change several links at once, hold down the CTRL key and click the links you want to change.)

  3. Next to Update, click Automatic.

  4. Click OK.

  5. On the Tools menu, click Options, and then click the Calculation tab.

  6. Select the Update remote references check box.


Align data at the top, center, or bottom of a cell

  1. Select the cells you want to format.

  2. On the Format menu, click Cells, and then click the Alignment tab.

  3. In the Vertical box, click the option you want.


 Restrict cell entries to the data from a list

Restrict cell entries to the data from a list

  1. On the same worksheet, type the list of valid entries down a single column or across a single row. Do not include blank cells in the list.

  2. Select the cells that you want to restrict.

  3. On the Data menu, click Validation, and then click the Settings tab.

  4. In the Allow box, click List.

  5. In the Source box, enter a reference to your list of valid data.

    If you want to select from a list of the entries when you click a restricted cell, make sure the In-cell dropdown check box is selected.

    To specify that the entry is not valid if the restricted cells or the cells that contain your list of valid data are blank, clear the Ignore blank check box.

  6. To display messages to prompt for entries and to explain or prevent incorrect entries, specify the types of messages you want on the Input Message and Error Alert tabs.

    How?

    To omit display of messages, clear the Show input message when cell is selected check box on the Input Message tab, and clear the Show error alert after invalid data is entered check box on the Error Alert tab.

Tips

  • If the list of valid entries is short, you can type them in the Source box instead of typing the entries on a worksheet, separated by the Windows list separator character (commas by default). For example, you could type Low, Average, High in the Source box instead of entering the three words on a worksheet.

  • If the list of valid entries might change, name the list range, and then enter the name in the Source box. When the named range grows or shrinks because of changes you make to the list on the worksheet, the list of valid entries for the cell automatically reflects the changes.

  • If the list of valid entries is in another worksheet or workbook, define a name for the external data on the active worksheet. In the Source box, you can then refer to the name on the same worksheet. For example, if the list of valid entries is in cells A6:A12 on the first worksheet in a workbook named Budget.xls, you could define the name ValidData on the active worksheet to be =[Budget.xls]Sheet1!$A$6:$A$12 and then enter =ValidData in the Source box. For information about defining names, click [image] .


 Restrict cell entries to numbers, dates, or times within specified limits

Restrict cell entries to numbers, dates, or times within specified limits

  1. Select the cells that you want to restrict.

  2. On the Data menu, click Validation, and then click the Settings tab.

  3. In the Allow box, click the type of data.

    To specify only numbers, click Whole Number or Decimal.

    To specify only dates or times, click Date or Time.

  4. Click the operator you want in the Data box, and then specify the upper or lower limit for the data, or both limits, depending on the operator you select. You can enter values, cell references, or formulas for the limits.

    If you want to allow the cell that you're restricting to be blank, or you set limits that use a cell reference or formula that depends on cells that are initially blank, make sure Ignore blank is selected.

    To enforce the restrictions you set for blank cells, treating these cells as if they contain zeros, clear the Ignore blank check box.

  5. To display messages to prompt for entries and to explain or prevent incorrect entries, specify the types of messages you want on the Input Message and Error Alert tabs.

    How?

    To omit display of messages, clear the Show input message when cell is selected check box on the Input Message tab, and clear the Show error alert after invalid data is entered check box on the Error Alert tab.

Notes

  • When you specify the type of allowable data, the cell formatting is not affected. To format the cells as numbers, dates, or times, click Cells on the Format menu, and then click the Number tab. Select the format you want in the Category box, and then select any options you want.

  • A formula for a limit can evaluate data only on the worksheet where you set up the restrictions. To use data in other worksheets or workbooks in a formula, enter a reference to the external data in a cell on the active worksheet, or define a name for the external data on the active worksheet. The formula can then refer to the cell or name on the same worksheet. For example, if the data you want to use in a formula is in cell A6 on the first worksheet in a workbook named Budget.xls, you could define the name ValidData on the active worksheet to be =[Budget.xls]Sheet1!$A$6 and then enter a reference =ValidData when you specify the limits for the data. For information about defining names, click [image] .

  • You cannot use array constants in data restriction formulas.


 Center data or align data to the left or right

Center data or align data to the left or right

In cells that have the default General format, text is left-aligned, and numbers, dates, and times are right-aligned. Changing the alignment does not change the type of data.

  1. Select the cells you want to format.

  2. On the Formatting toolbar, click the appropriate button.
    To align text | Click
    To the left | Align Left
    Centered | Center
    To the right | Align Right

Tips

  • To center text that spans several columns, such as column labels, you can merge selected cells in a row and center the text in the resulting merged cell. For more information, click [image] .

  • To restore the default alignment, select the cells, click Cells on the Format menu, and then click the Alignment tab. In the Horizontal box click General.


 Check spelling

Check spelling

  1. Select the range of cells you want to check.

    To check the entire sheet, click any cell.

  2. Click Spelling [image] .


 Copy a Microsoft Excel chart into a Word document or PowerPoint presentation

Copy a Microsoft Excel chart into a Word document or PowerPoint presentation

  1. In Microsoft Excel, click the chart you want to copy.

  2. Click Copy [image] .

  3. Switch to your Word document or PowerPoint presentation.

  4. Click where you want to paste the chart.

  5. On the Edit menu in Word or PowerPoint, click Paste Special.

  6. In the As box, click Microsoft Excel Chart Object.

  7. If the chart is based on data that is likely to change, and you want the chart to reflect the latest information, click Paste link. The chart is pasted as a linked object.

    If you want to paste only the information reflected in the current chart, click Paste. The chart is pasted as an embedded object.

Note For more information about linked and embedded objects, click [image] .


 Copy a color palette to another workbook

Copy a color palette to another workbook

  1. Open the workbook that contains the color palette you want to copy.

  2. Switch to the workbook that you want to copy the color palette to.

  3. On the Tools menu, click Options, and then click the Color tab.

    Show Me

  4. In the Copy colors from box, click the workbook that contains the color palette you want to copy, and then click OK.


 Copy part of a macro to create another macro

Copy part of a macro to create another macro

  1. Open the workbook that contains the macro you want to copy.

  2. On the Tools menu, point to Macro, and then click Macros.

    Show Me

  3. In the Macro name box, enter the name of the macro that you want to copy.

  4. Click Edit.

  5. Select the lines of the macro you want to copy.

    To copy the entire macro, make sure to include the Sub and End Sub lines in the selection.

  6. Click Copy [image] .

  7. Switch to the module where you want to place the code.

  8. Click Paste [image] .

Tip To make a macro available whenever you run Microsoft Excel, store the macro in the Personal Macro Workbook. Because the Personal Macro Workbook is a hidden workbook that is always open, you must unhide it if you want to copy a macro. For more information about unhiding a workbook, click [image] .


 Copy a macro module to another workbook

Copy a macro module to another workbook

  1. Open the workbook that contains the module and the workbook you want to copy the module to.

  2. On the Tools menu, point to Macro, and then click Visual Basic Editor.

  3. On the View menu, click Project Explorer Project Explorer button.

  4. Drag the module you want to copy to the destination workbook.


 Copy the result of a formula into a Word document or PowerPoint presentation

Copy the result of a formula into a Word document or PowerPoint presentation

  1. On your worksheet, click the cell that contains the formula.

  2. Click Copy [image] .

  3. Switch to your Word document or PowerPoint presentation.

  4. Click where you want to paste the results.

  5. On the Edit menu in Word or PowerPoint, click Paste Special.

  6. To paste the result as text within other text of the document or presentation, click Formatted Text (RTF) or Unformatted Text.

    To paste the result so that you can size and position it like a picture, click Microsoft Excel Worksheet Object.

  7. To use only the current value of the formula, click Paste.

    To use the latest result of the formula if the original data changes in Microsoft Excel, click Paste link.

Notes

  • In PowerPoint, the Paste link option is available only if you select the Microsoft Excel Worksheet Object format.

  • If you use the Paste link option, the result is pasted as a linked object. If you select the Microsoft Excel Worksheet Object and Paste options, the result is pasted as an embedded object. For more information about linked and embedded objects, click [image] .


 Copy worksheet cells into a Word document or PowerPoint presentation

Copy worksheet cells into a Word document or PowerPoint presentation

  1. On your worksheet, select the range you want to copy, and then click Copy [image] .

  2. Switch to your Word document or PowerPoint presentation, and click where you want to insert the cells.

  3. On the Edit menu in Word or PowerPoint, click Paste Special.

  4. To paste the cells so that you can size and position them like a picture, click Microsoft Excel Worksheet Object.

    To paste the cells in Word as a table you can resize and format, click Formatted Text (RTF).

    To paste the cells as text separated by tabs, click Unformatted Text.

  5. To keep only the current result of the formula, click Paste.

    To keep the copied information up-to-date if the original data changes in Microsoft Excel, click Paste link.

Notes

Pasting links from PowerPoint In PowerPoint, the Paste link option is available only if you select the Microsoft Excel Worksheet Object format.

Pasting an Excel worksheet object If you select the Microsoft Excel Worksheet Object and Paste options, only the visible data in the cells appears in the embedded picture. If data is cut off, double-click the object, and resize the columns to show all the data. If you paste a worksheet object with the Paste link option, the linked picture reflects the column width and other formatting of the original cells as they currently appear in the source workbook.

Linked vs. embedded objects If you select the Paste link option, the result is pasted as a linked object. If you select the Microsoft Excel Worksheet Object and Paste options, the result is pasted as an embedded object. For more information about linked and embedded objects, click [image] .

Adding data later If you linked the cells and might later want to include additional rows or columns of data, first name the range in Microsoft Excel. Then copy the range and paste the cells as a linked object in Word or PowerPoint. If you add more data to the range in Microsoft Excel, you can redefine the range name to include the additional cells. The new data is added to the linked object in Word or PowerPoint the next time you update the link.


 Create a PivotChart report

Create a PivotChart report

When you create a PivotChart report, Microsoft Excel automatically creates an associated PivotTable report. If you have an existing PivotTable report, you can use it to create the PivotChart report, which will reflect the view of that table.

When you base a PivotChart report on external non-OLAP source data, you might have to retrieve the external data before you create the report. Learn about creating a PivotChart report from an external data source.

  1. Open the workbook where you want to create the PivotChart report.

    If you are basing the report on an Excel list or database, click a cell in the list or database.

  2. On the Data menu, click PivotTable and PivotChart Report.

  3. In step 1 in the PivotTable and PivotChart Wizard, follow the instructions, and click PivotChart (with PivotTable) under What kind of report do you want to create?

  4. Follow the instructions in step 2 of the wizard.

  5. In step 3 of the wizard, specify where you want to put the associated PivotTable report. The PivotChart report is automatically created on a new chart sheet. Then determine whether you need to click Layout.

  6. Do one of the following:

    If you clicked Layout in step 3 of the wizard, after you lay out the PivotChart report in the wizard, click OK in the Layout dialog box, and then click Finish to create the PivotChart report.

    If you did not click Layout in step 3 of the wizard, click Finish, and then lay out the PivotChart report on the chart sheet.

Tip If you do not want the associated PivotTable report to be visible, you can hide the worksheet on which the PivotTable report is located.


 Change a color in a color palette

Change a color in a color palette

  1. Switch to the workbook that contains the color palette you want to change.

  2. On the Tools menu, click Options, and then click the Color tab.

    Show Me

  3. Click the color you want to change, and then click Modify.

  4. To replace the selected color on the palette with a different standard color, click the Standard tab, and then click the color you want.

    To change the hue or another aspect of the selected color, click the Custom tab, and then change the options.

    For Help on an option, click the question mark [image] and then click the option.

Notes

  • To restore the default color palette, click Reset on the Color tab.

  • If you copy an object or cells with a custom color to another workbook, the custom color is replaced by the color in the corresponding position on the other workbook's color palette. To retain the custom color, either copy the customized color palette to the other workbook or change the corresponding color in the workbook.

  • To replace the default color palette in new workbooks, change the color palette in the default workbook template or in the custom template you use to create workbooks. For information about changing a template, click [image] .


 Data is missing from a PivotTable or PivotChart report after I refresh the report.

Data is missing from a PivotTable or PivotChart report after I refresh the report.

Set page fields to view all data Make sure you select All in every page field list before you refresh the PivotTable or PivotChart report.

If a page field list does not include All, either the page field is set to query for external data as you select each item, or the PivotTable or PivotChart report is based on source data from an OLAP database that does not include information for the All item for this field. In either case, the data is refreshed whenever you select a different item. Learn about page field settings.

Check the location of the missing data For a PivotTable or PivotChart report that is based on a Microsoft Excel list, the new data might have been added outside the source range you originally specified, or the source data could have been moved to a new location. Change the source range specification to include the new data or to specify the new location.

Check that the query is selecting the right data If the PivotTable or PivotChart report is based on external non-OLAP source data, review the query in Microsoft Query to make sure it is retrieving the data you want.

Check the cube or cube file If the PivotTable or PivotChart report is based on a cube created by the OLAP Cube Wizard, check the contents of the cube to make sure it contains the data you want. If the report is based on a cube file, check the cube file contents. If the report is based on source data from an OLAP server database, see your database administrator to find out whether the database has changed.


Rotate text in a cell

  1. Select the cells in which you want to rotate text.

  2. On the Format menu, click Cells, and then click the Alignment tab.

  3. In the Orientation box, click a degree point, or drag the indicator to the angle you want.

    To display text vertically from top to bottom, click the vertical Text box under Orientation.


 Find a record in a list by using a data form

Find a record in a list by using a data form

  • To move through records one at a time, use the scroll bar arrows in the dialog box. To move through 10 records at a time, click the scroll bar between the arrows.

  • To move to the next record in the list, click Find Next. To move to the previous record in the list, click Find Prev.

  • To set search conditions, or comparison criteria, click Criteria. Enter the criteria into the data form. To find records that match the criteria, click Find Next or Find Prev. To return to the data form without searching for records based on the criteria you specified, click Form. For more information about types of comparison criteria, click [image] .


 Formatting is lost when my PivotTable report is refreshed or I change its layout.

Formatting is lost when my PivotTable report is refreshed or I change its layout.

Check the preserve formatting setting Click a cell in the report, and click Table Options (PivotTable toolbar, PivotTable menu). Under Format options, make sure the Preserve formatting check box is selected. You can then reapply the formatting, and it will be preserved when you refresh or change the layout.

Cell borders aren't retained Microsoft Excel does not retain changes to cell borders when you change the layout or refresh a PivotTable report.

Conditional formatting does not work If you try to apply conditional formats to cells in a PivotTable report, you will get unpredictable results.


 Indent text from the left edge of a cell

Indent text from the left edge of a cell

  1. Select the cells that contain text you want to indent.

  2. On the Formatting toolbar, click Increase Indent [image] .

    To decrease or remove indentation, click Decrease Indent [image] .


 Create a hyperlink to a specific location in a workbook

Create a hyperlink to a specific location in a workbook

To link to a location in the current workbook or another workbook, you can either define a name for the destination cells or use a cell reference.

  1. To use a name, name the destination cells in the destination workbook.

  2. In the source workbook, right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.

  3. Do one of the following:

    To link to a location in your current workbook, click Place in this document under Link to.

    To link to a location in another workbook, click Existing file or Web page under Link to.

  4. If you chose Existing file or Web page in step 3, locate and select the workbook you want to link to, and then click the Bookmark button under Browse for.

  5. Do one of the following:

    In the list under Cell Reference, click the sheet you want to link to, and then type the cell reference in the Type in the cell reference box. Click OK.

    In the list under Defined Names, click the name that represents the cell or cells you want to link to. Click OK.

  6. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip and then type the text you want in the ScreenTip text box. Click OK.

Notes

  • If you do not specify a ScreenTip, the workbook name, sheet name, and cell reference or defined name becomes the ScreenTip.

  • You cannot create a hyperlink from a control that was created by using the Forms toolbar or from a button or graphic that has a macro attached to it.

  • The path to the new destination file is by default relative to the location of the active workbook. You can specify a different default path by setting a hyperlink base address.


 Create a hyperlink to a new file

Create a hyperlink to a new file

  1. Right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.

  2. Under Link to, click Create new document.

  3. Type a name for the new file in the Name of new document box.

  4. To specify a location other than the one shown under Full Path, click Change and then select the location you want. Click OK.

  5. Under When to edit, click an option to specify whether to open the new file for editing now or later.

  6. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip and then type the text you want in the ScreenTip text box. Click OK.

Notes

  • If you do not specify a ScreenTip, the path of the new file becomes the ScreenTip.

  • If you want to change the text that represents the hyperlink in your original workbook, type the new text in the Text to display box.

  • The path to the new destination file is by default relative to the location of the active workbook. You can specify a different default path by setting a hyperlink base address.

  • You cannot create a hyperlink from a control created by using the Forms toolbar or from a button or graphic that has a macro attached to it.


Microsoft Press books about Microsoft Excel

Microsoft Press offers the training and support materials you need to help you get the most from Excel and Microsoft Office.

Whether you're a beginning user, an advanced user, a support professional, or a software developer, Microsoft Press has what you're looking for — from quick-and-easy handbooks and self-paced training guides to desktop references, technical resources, and programming titles.

Books about Excel

If you want | Read
A hands-on, self-paced tutorial with basic information about Excel. | Microsoft Excel 2000 for Windows Step by Step Author: Catapult, Inc. ISBN: 1-57231-974-1
A quick reference for beginning to intermediate users who need a portable and reliable resource for software questions. | Microsoft Excel 2000 Field Guide Author: Stephen L. Nelson ISBN: 1-57231-971-2
A highly visual quick reference guide to solving specific problems. | Microsoft Excel 2000 at a Glance Author: Perspection, Inc. ISBN: 1-57231-942-9
A comprehensive user's guide that contains reference information, examples, and inside tips from software experts. | Running Microsoft Excel 2000 Authors: Mark Dodge and Craig Stinson ISBN: 1-57231-935-6
A learning tool for beginning to intermediate users, with fast-paced instruction that focuses on tasks instead of on features. | Quick Course in Microsoft Excel 2000 Author: Online Press, Inc. ISBN: 1-57231-977-1

Books about Office 2000 that include information about Excel

If you want | Read
An integrated training kit for Office 2000 users that includes both print-based and multimedia-based hands-on learning. | Microsoft Office 2000 Step by Step Learning Kit Author: Microsoft Press ISBN: 0-7356-0508-4
Comprehensive, task-based, multimedia training for both beginning and advanced users of Office 2000. | Microsoft Office 2000 Starts Here Author: Microsoft Press ISBN: 0-7356-0506-8
A learning tool for beginning to intermediate users, with fast-paced instruction that focuses on tasks instead of on features. | Quick Course in Microsoft Office 2000 Standard and Professional Author: Online Press, Inc. ISBN: 1-57231-981-X
A highly visual quick reference guide to solving specific problems. | Microsoft Office 2000 Standard and Professional At a Glance Author: Perspection, Inc. ISBN: 1-57231-937-2
A comprehensive user's guide that contains reference information, examples, and inside tips from software experts. | Running Microsoft Office 2000 Standard and Professional Authors: Michael Halvorson and Michael Young ISBN: 1-57231-936-4
A comprehensive reference and user's guide that contains reference information, examples, and inside tips from software experts. | Running Microsoft Office 2000 Premium Authors: Michael Halvorson and Michael Young ISBN: 1-57231-945-3
A hands-on, self-paced tutorial with basic information about Office. | Microsoft Office 2000 Standard and Professional 8-in-1 Step by Step Authors: Catapult, Inc., Perspection, Inc., and SES Publishing ISBN: 1-57231-984-4
A procedural approach to programming with Visual Basic. | Microsoft Office 2000 Visual Basic Fundamentals Author: David Boctor ISBN: 0-7356-0594-7
To build on your knowledge of Visual Basic and learn how to create concise, lean, and efficient code with the powerful programming language used in Office 2000. This guide helps you become more productive with Visual Basic for Applications. Learn how to create custom commands, menus, dialog boxes, messages, and buttons, and to display custom online Help for all these items. | Microsoft Office 2000/Visual Basic Programmer's Guide Author: Microsoft Corporation ISBN: 1-57231-952-6
A definitive guide about how to install, configure, and support Office 2000 in your organization. This kit is designed for system administrators, other information technology professionals, consultants, and power users, and offers complete coverage, whether you use Office 2000 on computers running Microsoft Windows 95, Windows 98, or Windows NT Workstation. | Microsoft Office 2000 Resource Kit Author: Microsoft Corporation ISBN: 0-7356-0555-6

Microsoft Press books are available worldwide wherever quality books are sold. To find the Microsoft Press retailer nearest you or to order direct, call (800) MSPRESS in the United States or (800) 667-1115 in Canada, or order through the CompuServe Electronic Mall (GO MSP). Outside the United States and Canada, fax (206) 936-7329, or write to the following address:

International Coordinator
Microsoft Press
One Microsoft Way
Redmond, WA 98052-6399
USA

For more information, check the Microsoft Press Web site.


 Enter an array formula

Enter an array formula

When you enter an array formula, Microsoft Excel automatically inserts the formula between { } (braces).

  1. If the array formula will return one result, click the cell in which you want to enter the array formula.

    If the array formula will return multiple results, select the range of cells in which you want to enter the array formula.

  2. Type the array formula.

  3. Press CTRL+SHIFT+ENTER.


 Print in black and white

Print in black and white

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. Select the Black and white check box.


 Print in draft quality

Print in draft quality

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Sheet tab.

  3. Select the Draft quality check box.


 Limit the number of characters in cell entries

Limit the number of characters in cell entries

  1. Select the cells that you want to restrict.

  2. On the Data menu, click Validation, and then click the Settings tab.

  3. In the Allow box, click Text Length.

  4. Click the operator you want in the Data box, and then specify the upper or lower limit, or both limits, depending on the operator you select. You can enter values, cell references, or formulas for the limits.

    If you want to allow the cell that you're restricting to be blank, or you set limits that use a cell reference or formula that depends on cells that are initially blank, make sure Ignore blank is selected.

    To enforce the restrictions you set for blank cells, treating these cells as if they contain zeros, clear the Ignore blank check box.

  5. To display messages to prompt for entries and to explain or prevent incorrect entries, specify the types of messages you want on the Input Message and Error Alert tabs.

    How?

    To omit display of messages, clear the Show input message when cell is selected check box on the Input Message tab, and clear the Show error alert after invalid data is entered check box on the Error Alert tab.

Notes

  • To specify that a cell must contain text without placing any restrictions on the number of characters, select greater than or equal to in the Data box, and then type 0 (zero) in the Minimum box.

  • When you set the text length, the cell formatting is not affected. To format the cells as text, click Cells on the Format menu, and then click the Number tab. In the Category box, select Text.

  • A formula for a limit can evaluate data only on the worksheet where you set up the restrictions. To use data in other worksheets or workbooks in a formula, enter a reference to the external data in a cell on the active worksheet, or define a name for the external data on the active worksheet. The formula can then refer to the cell or name on the same worksheet. For example, if the data you want to use in a formula is in cell A6 on the first worksheet in a workbook named Budget.xls, you could define the name ValidData on the active worksheet to be =[Budget.xls]Sheet1!$A$6 and then enter a reference to ValidData when you specify the limits for the data. For information about defining names, click [image] .

  • If you use a formula to enter data in a cell with a restricted text length, Microsoft Excel checks the length of the result, not the length of the formula. For example, if the length is restricted to a minimum of three characters, and you enter =20+50 in the cell, the result, 70, would be two characters and therefore would not be valid.

  • You cannot use array constants in data restriction formulas.


 Set the print quality

Set the print quality

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. In the Print quality box, click the resolution you want to use.


 Determine valid entries for a cell by using a formula

Determine valid entries for a cell by using a formula

  1. Select the cells that you want to restrict.

  2. On the Data menu, click Validation, and then click the Settings tab.

  3. In the Allow box, click Custom.

  4. In the Formula box, enter a formula that calculates a logical value (TRUE or FALSE). Entries for the cell are invalid when the formula calculates a value of FALSE. Start the formula with an equal sign (=).

    For example, on a worksheet that calculates profit by subtracting the total of the expense entries from the total revenue calculation, you might have a goal of keeping the profit above a certain percentage of expenses. For cells D6:D13, where you enter each expense, you could determine the valid entries with a formula such as =Profit > SUM(D6:D13) * 15%, where Profit would be a named cell.

    If you want to allow the cell that you're restricting to be blank, or your formula depends on cells that are initially empty, make sure Ignore blank is selected.

    To enforce the restrictions you set for blank cells, treating these cells as if they contain zeros, clear the Ignore blank check box.

  5. To display messages to prompt for entries and to explain or prevent incorrect entries, specify the types of messages you want on the Input Message and Error Alert tabs.

    How?

    To omit display of messages, clear the Show input message when cell is selected check box on the Input Message tab, and clear the Show error alert after invalid data is entered check box on the Error Alert tab.

Notes

  • Before evaluating the formula, Microsoft Excel recalculates the worksheet with the data entered in the cell.

  • A data restriction formula can evaluate data only on the worksheet where you set up the restrictions. To use data in other worksheets or workbooks in a formula, enter a reference to the external data in a cell on the active worksheet, or define a name for the external data on the active worksheet. The formula can then refer to the cell or name on the same worksheet. For example, if the data you want to use in a formula is in cell A6 on the first worksheet in a workbook named Budget.xls, you could define the name ValidData on the active worksheet to be =[Budget.xls]Sheet1!$A$6 and then enter a reference to ValidData in your formula. For information about defining names, click [image] .

  • You cannot use array constants in data restriction formulas.

  • If you choose a value other than Custom in the Allow box, your data restriction formulas must evaluate to a number.


Add security to messages

What do you want to do?

Seal all outgoing messages

Add a digital signature to all outgoing messages

Not sure which choice you want?


Change the font and colors for Help topics

What do you want to do?

Change the font for Help topics

Change the text size for Help topics

Change the text colors and background color for Help topics

Change other accessibility options

Not sure which choice you want?


Collaborate on Excel workbooks with other people

What do you want to do?

Share a workbook

Distribute workbooks to other people

Put Excel data on a Web page

Not sure which choice you want?


Create pictures of cells, charts, and other objects

What do you want to do?

Create a picture of a chart, cells, or an object that is not linked to the source data

Create a picture of cells that is linked to the source data

Not sure which choice you want?


 Save an existing workbook

Save an existing workbook

  • Click Save [image] .


Microsoft Excel did not change every occurrence of a misspelled word, even though I chose the Change All button.

  • If you close the Spelling dialog box before Microsoft Excel finishes checking the entire worksheet, errors in the unchecked portion are not corrected.

  • If you've selected a range of cells, Microsoft Excel checks only the selected range. To check the entire sheet, click any cell, and then repeat the spelling check.


INDEX

See Also

Returns the reference of the cell at the intersection of a particular row and column. If the reference is made up of nonadjacent selections, you can pick the selection to look in.

The INDEX function has two syntax forms: array and reference. The array form always returns a value or an array of values; the reference form always returns a reference.

Syntax 2

Reference form

INDEX(reference,row_num,column_num,area_num)

Reference is a reference to one or more cell ranges.

  • If you are entering a nonadjacent selection for reference, enclose reference in parentheses. For an example of using INDEX with a nonadjacent selection, see the fifth example following.

  • If each area in reference contains only one row or column, the row_num or column_num argument, respectively, is optional. For example, for a single row reference, use INDEX(reference,,column_num).

Row_num is the number of the row in reference from which to return a reference.

Column_num is the number of the column in reference from which to return a reference.

Area_num selects a range in reference from which to return the intersection of row_num and column_num. The first area selected or entered is numbered 1, the second is 2, and so on. If area_num is omitted, INDEX uses area 1.

For example, if reference describes the cells (A1:B4,D1:E4,G1:H4), then area_num 1 is the range A1:B4, area_num 2 is the range D1:E4, and area_num 3 is the range G1:H4.

After reference and area_num have selected a particular range, row_num and column_num select a particular cell: row_num 1 is the first row in the range, column_num 1 is the first column, and so on. The reference returned by INDEX is the intersection of row_num and column_num.

If you set row_num or column_num to 0 (zero), INDEX returns the reference for the entire column or row, respectively.

Remarks

  • Row_num, column_num, and area_num must point to a cell within reference; otherwise, INDEX returns the #REF! error value. If row_num and column_num are omitted, INDEX returns the area in reference specified by area_num.

  • The result of the INDEX function is a reference and is interpreted as such by other formulas. Depending on the formula, the return value of INDEX may be used as a reference or as a value. For example, the formula CELL("width",INDEX(A1:B2,1,2)) is equivalent to CELL("width",B1). The CELL function uses the return value of INDEX as a cell reference. On the other hand, a formula such as 2*INDEX(A1:B2,1,2) translates the return value of INDEX into the number in cell B1.

Examples

On the following worksheet, the range A2:C6 is named Fruit, the range A8:C11 is named Nuts, and the range A1:C11 is named Stock.

INDEX(Fruit,2,3) equals the reference C3, containing 38

INDEX((A1:C6,A8:C11),2,2,2) equals the reference B9, containing $3.55

SUM(INDEX(Stock,0,3,1)) equals SUM(C1:C11) equals 216

SUM(B2:INDEX(Fruit,5,2)) equals SUM(B2:B6) equals 2.42


INDEX

See Also

Returns the value of an element in a table or an array, selected by the row and column number indexes.

The INDEX function has two syntax forms: array and reference. The array form always returns a value or array of values; the reference form always returns a reference. Use the array form if the first argument to INDEX is an array constant.

Syntax 1

Array form

INDEX(array,row_num,column_num)

Array is a range of cells or an array constant. For more information about values in array constants, click [image] .

Row_num selects the row in array from which to return a value. If row_num is omitted, column_num is required.

Column_num selects the column in array from which to return a value. If column_num is omitted, row_num is required.

  • If both the row_num and column_num arguments are used, INDEX returns the value in the cell at the intersection of row_num and column_num.

  • If array contains only one row or column, the corresponding row_num or column_num argument is optional.

  • If array has more than one row and more than one column, and only row_num or column_num is used, INDEX returns an array of the entire row or column in array.

  • If you set row_num or column_num to 0 (zero), INDEX returns the array of values for the entire column or row, respectively. To use values returned as an array, enter the INDEX function as an array formula in a horizontal range of cells. To enter an array formula, press CTRL+SHIFT+ENTER in Microsoft Excel for Windows or COMMAND +RETURN in Microsoft Excel for the Macintosh.

Remarks

Row_num and column_num must point to a cell within array; otherwise, INDEX returns the #REF! error value.

Examples

INDEX({1,2;3,4},2,2) equals 4

If entered as an array formula, then:

INDEX({1,2;3,4},0,2) equals {2;4}

If cells B5:B6 contain the text Apples and Bananas, and cells C5:C6 contain the text Lemons and Pears, respectively, then:

INDEX(B5:C6,2,2) equals Pears

INDEX(B5:C6,2,1) equals Bananas


LOOKUP

See Also

The LOOKUP function has two syntax forms: vector and array.

A vector is a range of only one row or one column. The vector form of LOOKUP looks in a one-row or one-column range (known as a vector) for a value and returns a value from the same position in a second one-row or one-column range. Use this form of the LOOKUP function when you want to specify the range that contains the values you want to match. The other form of LOOKUP automatically looks in the first column or row.

Syntax 1

Vector form

LOOKUP(lookup_value,lookup_vector,result_vector)

Lookup_value is a value that LOOKUP searches for in the first vector. Lookup_value can be a number, text, a logical value, or a name or reference that refers to a value.

Lookup_vector is a range that contains only one row or one column. The values in lookup_vector can be text, numbers, or logical values.

Important The values in lookup_vector must be placed in ascending order: ...,-2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE; otherwise, LOOKUP may not give the correct value. Uppercase and lowercase text are equivalent.

Result_vector is a range that contains only one row or column. It must be the same size as lookup_vector.

  • If LOOKUP can't find the lookup_value, it matches the largest value in lookup_vector that is less than or equal to lookup_value.

  • If lookup_value is smaller than the smallest value in lookup_vector, LOOKUP gives the #N/A error value.

Examples

In the preceding worksheet:

LOOKUP(4.91,A2:A7,B2:B7) equals "orange"

LOOKUP(5.00,A2:A7,B2:B7) equals "orange"

LOOKUP(7.66,A2:A7,B2:B7) equals "violet"

LOOKUP(7.66E-14,A2:A7,B2:B7) equals #N/A, because 7.66E-14 is less than the smallest value in the lookup_vector A2:A7


LOOKUP

See Also

The LOOKUP function has two syntax forms: vector and array.

The array form of LOOKUP looks in the first row or column of an array for the specified value and returns a value from the same position in the last row or column of the array. Use this form of LOOKUP when the values you want to match are in the first row or column of the array. Use the other form of LOOKUP when you want to specify the location of the column or row.

Tip In general, it's best to use the HLOOKUP or VLOOKUP function instead of the array form of LOOKUP. This form of LOOKUP is provided for compatibility with other spreadsheet programs.

Syntax 2

Array form

LOOKUP(lookup_value,array)

Lookup_value is a value that LOOKUP searches for in an array. Lookup_value can be a number, text, a logical value, or a name or reference that refers to a value.

  • If LOOKUP can't find the lookup_value, it uses the largest value in the array that is less than or equal to lookup_value.

  • If lookup_value is smaller than the smallest value in the first row or column (depending on the array dimensions), LOOKUP returns the #N/A error value.

Array is a range of cells that contains text, numbers, or logical values that you want to compare with lookup_value.

The array form of LOOKUP is very similar to the HLOOKUP and VLOOKUP functions. The difference is that HLOOKUP searches for lookup_value in the first row, VLOOKUP searches in the first column, and LOOKUP searches according to the dimensions of array.

  • If array covers an area that is wider than it is tall (more columns than rows), LOOKUP searches for lookup_value in the first row.

  • If array is square or is taller than it is wide (more rows than columns), LOOKUP searches in the first column.

  • With HLOOKUP and VLOOKUP, you can index down or across, but LOOKUP always selects the last value in the row or column.

Important The values must be placed in ascending order: ...,-2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE; otherwise, LOOKUP may not give the correct value. Uppercase and lowercase text are equivalent.

Examples

LOOKUP("C",{"a","b","c","d";1,2,3,4}) equals 3

LOOKUP("bump",{"a",1;"b",2;"c",3}) equals 2


 (Untitled)

What sorting does When you sort a list, Microsoft Excel rearranges rows according to the contents of a column you choose — the Sort By column.

Ascending sort To arrange a list alphanumerically using the data in one column, you can specify an ascending sort order (0 to 9, leading spaces, punctuation, A to Z). In the following example, sorting the list in ascending order by the "Sold by" column puts the names of the salespersons in alphabetical order.

List before ascending sort List after ascending sort

More information

Sort rows in ascending order based on the contents of one column


(Untitled)

You can also specify a sort based on the contents of rows so that the order of the columns is changed instead of the order of the rows. In the following example, the list is sorted by row 1, putting the columns in alphabetical order by their labels.

List sorted by rows to alphabetize the column labels

Sorting by rows changes the order of the columns.

More information

Sort columns based on the contents of rows


 (Untitled)

Microsoft Excel sorts lists in ascending, alphanumeric order by default. If you need to sort months and weekdays according to their calendar order instead of their alphabetical order, use a custom sort order.

In the following example, the list is sorted with the months in calendar order.

List sorted by months in calendar order

Use a custom sort order to arrange the months in calendar order.

You can also rearrange lists in a specific order by creating your own custom sort orders. For example, if you have a list that contains the entry "Low," "Medium," or "High" in a column, you can create a sort order that arranges rows with "Low" first, rows with "Medium" next, and rows with "High" last.

More information

Sort months, weekdays, or custom lists

Default sort orders


(Untitled)

To sort a list in reverse order, use descending (Z to A, punctuation, leading spaces, 9 to 0) sort order. For example, to sort a list of sales in order from the largest to the smallest, you could sort the Sales column in descending order.

More information

Sort rows in descending order based on the contents of one column


(Untitled)

You can choose a sort based on the contents of two or more columns. In the following example, the list is first sorted by region. Then the rows for each region are sorted by salesperson so that the names of the salespersons are alphabetized within each region.

List sorted first by one column and then by another

More information

Sort rows based on the contents of two or more columns


About using file properties to locate files

Set file properties for a workbook or file File properties are details about a file that help you identify and find the file. Statistics such as file size and when a file was created or modified are automatically maintained for you. You can fill in other standard properties, such as the author, a descriptive title, and keywords that identify major topics. How to set file properties for the active workbook or set file properties for any Microsoft Excel or Office file.

Create custom file properties To track specific information that is not tracked by the properties in Excel, you can create custom file properties for the active workbook.

Create custom file properties linked to content in a workbook You can create a custom file property and link the property to defined information in the file, such as a named cell. For example, you can create a custom file property that is linked to the cell named "Total" in all your budget files and then search for budget files with totals that exceed a certain amount. How to create custom file properties linked to content in the active workbook.

Set properties when saving a workbook To remind yourself to set file properties, you can have Excel automatically display the Properties dialog box when saving workbooks for the first time.


(Untitled)

You can add graphics to your worksheets and charts to make them more visually appealing, to create eye-catching reports, or to add emphasis. For example, you can display a logo on your worksheet, create a flowchart, and use graphics in chart data markers. You can make your worksheet interactive by using graphic objects as hyperlinks or by assigning buttons to macros.

Types of graphics

Two types of graphics can be used in Microsoft Excel: bitmap-type pictures and metafile-type pictures.

Bitmap type Bitmap-type pictures are made of dots, or pixels. Photographs, for example, are bitmap-type pictures. When you select a bitmap-type picture, the Picture toolbar appears with tools you can use to crop the picture, add a border to it, set transparency, or adjust its brightness and contrast. Unlike metafile-type pictures, bitmaps can't be disassembled, or ungrouped.

Metafile type Metafile-type pictures usually look like illustrations and are made up of separate lines and curves joined in a group. Most illustrations, or clip art, are in metafile format. You can ungroup and convert them to drawing objects, and then edit the graphics by using the Excel drawing tools. For example, you might insert a clip art image of a person, ungroup it, change the color of the person's clothing, and then add the modified image to another clip art image. The ready-made AutoShapes that come with Excel are in this format. When you select a metafile-type graphic, the Ungroup command is available on the Draw menu.


Add a constraint in Solver

  1. On the Tools menu, click Solver.

  2. Click Add.

  3. In the Cell Reference box, enter the reference or name of the cell range for which you want to constrain the value.

  4. Click the relationship ( <=, =, >=, Int, or Bin ) that you want between the referenced cell and the constraint. If you click Int, "integer" appears in the Constraint box. If you click Bin, "binary" appears in the Constraint box.

  5. In the Constraint box, type a number, a cell reference or name, or a formula.

  6. To accept the constraint and add another, click Add.

    To accept the constraint and return to the Solver Parameters dialog box, click OK.

Notes

  • You can apply the Int and Bin relationships only in constraints on adjustable cells.

When the Assume Linear Model check box on the Solver Options dialog box is selected, there is no limit on the number of constraints. For nonlinear problems, each adjustable cell can have up to 100 constraints, in addition to bounds and integer restrictions on the variables. Information about the options in the Add Constraint dialog box.


 Add or remove a field in a PivotTable or PivotChart report

Add or remove a field in a PivotTable or PivotChart report

  1. Click the PivotTable or PivotChart report to activate the PivotTable toolbar and, for PivotTable reports, the outlines of the areas for each type of field.

  2. On the PivotTable toolbar, make sure the list of fields is displayed.

    If you don't see the field buttons on the toolbar, make sure the toolbar is undocked, and then make sure Display Fields [image] is pressed in.

  3. Do one of the following:

    To add a field, drag the field button to the area of the PivotTable or PivotChart report for the type of field that you want to create. Click More Fields [image] or [image] to view all of the available fields.

    In PivotTable and PivotChart reports that are based on OLAP databases, dimension fields can be used only as PivotTable row, column, or page fields; or as PivotChart data series, categories, or page fields. These dimension fields appear at the top of the field list and are identified by Dimension field icon at the beginning of the row. The fields at the end of the field list, identified by Data field icon at the beginning of the row, can be used only as PivotTable data fields or as PivotChart value axis values.

    To remove a field, drag the field button out of the diagram in a PivotTable report or out of the chart area in a PivotChart report. When you remove a field, its associated data is deleted from the PivotTable report. For OLAP dimension fields, all levels and items in the dimension are deleted. The source data is not affected.

Notes

  • What to do if data is slow to appear If data is slow to appear when you drag the fields onto the worksheet, use the PivotTable and PivotChart Wizard to add the fields.

  • OLAP dimension fields operate as sets When you add a dimension field to a PivotTable or PivotChart report, all levels and items in the dimension are also added, with the highest level initially displayed. You can then display different levels and display or hide items.

  • Some fields can't be dragged You cannot drag certain fields.

  • Effects on associated PivotChart reports When you add or remove a field in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Add another source area to a consolidation

Add another source area to a consolidation

You can add source areas and reconsolidate data in the destination area only if you did not create links to the source areas. If you created links to the source areas and you want to add more data to the consolidation, delete the consolidation table and, if the worksheet has an outline, remove it. For information about removing an outline, click [image] .

  1. Click the upper-left cell in the consolidation table.

  2. On the Data menu, click Consolidate.

    Show Me

  3. Click in the Reference box.

  4. Enter the new source area to add to the consolidation.

    Open the workbook that contains the new source area, and select the source area. For information about the types of source areas, click [image] .

  5. Click Add.

  6. To reconsolidate the data, including the new source area, click OK.

    To accept the changes without reconsolidating the data, click Close.


 Add data to a chart by copying and pasting

Add data to a chart by copying and pasting

  1. Select the cells that contain the data you want to add to the chart.

    If you want the column or row label for the new data to appear in the chart, include the cell that contains the label in the selection.

  2. Click Copy [image] .

  3. Click the chart.

  4. To have Microsoft Excel automatically paste the data in the chart, click Paste [image] .

    To specify how you want to plot the data in the chart, click Paste Special on the Edit menu, and then select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Note This procedure does not apply to PivotChart reports. Learn about using different source data for PivotChart reports.


 Add data to an embedded chart by dragging

Add data to an embedded chart by dragging

  1. Select the cells that contain the data you want to add to the chart. The cells must be next to each other on the worksheet.

    If you want the column or row label for the new data to appear in the chart, include the cell that contains the label in the selection.

  2. Point to the border of the selection.

    Pointer on selection border

  3. Drag the selection to the embedded chart you want to update.

    If Microsoft Excel needs more information to plot the data, the Paste Special dialog box appears.

    For Help on an option, click the question mark [image] and then click the option.

Notes

  • If you cannot drag the selection, make sure that the Allow cell drag and drop check box is selected. To check this setting, click Options on the Tools menu, and then click the Edit tab.

  • This procedure does not apply to PivotChart reports. Learn about using different source data for PivotChart reports.


 Add data to an embedded chart by using color-coded ranges

Add data to an embedded chart by using color-coded ranges

The embedded chart must be created from adjacent selections and be on the same worksheet as the data used to create it.

  1. Type the data and labels you want to add on the worksheet in the cells next to the existing data.

  2. Select the chart area by clicking the blank area between the border of the chart and the plot area.

  3. To add new categories and data series to the chart, on the worksheet, drag the blue selection handle to include the new data and labels in the rectangle.

    To add new data series only, on the worksheet, drag the green selection handle to include the new data and labels in the rectangle.

    To add new categories and data points, on the worksheet, drag the purple selection handle to include the new data and labels in the rectangle.

Tip To change the range of data plotted in the chart, drag the border of the color-coded range.

Note This procedure does not apply to PivotChart reports. Learn about using different source data for PivotChart reports.


 Add row numbers to an external data range

Add row numbers to an external data range

This procedure does not apply to data retrieved from a text file (*.txt) or a Web query (*.iqy).

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. Under Data formatting and layout, select the Include row numbers check box, and then click OK.

  3. To display the row numbers and refresh the external data range, click Refresh Data [image] on the External Data toolbar.


 Add voting buttons to an e-mail message

Add voting buttons to an e-mail message

This procedure is applicable only if you and your recipients are using Microsoft Exchange Server. You must also install Microsoft Outlook in Corporate or Workgroup mode. How to get information about your Microsoft Outlook installation.

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. Under Voting and Tracking options, click Use voting buttons, and then click the names of the voting button you want to use.

    To create your own voting button names, delete the default names, and then type any text you want. Separate the text with semicolons — for example: Small;Large;Extra Large.

  6. To track voting responses, select the Save sent message to check box, and then enter the folder name in which you want the message saved.

Note For information about viewing voting responses, see Outlook Help.


Change column width and row height

You can adjust the width of columns and the height of rows. You can also define the default width of columns for a worksheet. Defining the default column width adjusts all columns to the same width, except columns that have previously been changed.

What do you want to do?

Change column width

Change row height

Define the default column width


 Arrange PivotTable page fields in rows or columns

Arrange PivotTable page fields in rows or columns

  1. Click the PivotTable report to activate the PivotTable toolbar.

  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.

  3. In the Page layout box, select the order in which you want the page fields to appear.

  4. In the Fields per row or Fields per column box, enter the number of page fields that you want to include in a row or column before starting another row or column.

Note PivotChart page fields always appear in rows across the top of the chart area, regardless of the Page layout setting.


 Run a macro from a button or graphic control

Run a macro from a button or graphic control

You can assign a macro to a button, drawing object, or a graphic control on your worksheet. When you click the button or drawing object, or change the control — for example, by clicking a check box or an item in a list — your macro will run automatically. For more information about creating a button or graphic control, click [image] . For more information about creating drawing objects, click [image] .

You can also run a macro from an ActiveX control. More information about creating an ActiveX control.

  1. Click the button or graphic control so that selection handles appear.

  2. Right-click a selection handle for the button or graphic control, and then click Assign Macro on the shortcut menu.

  3. To assign an existing macro to the button or graphic control, enter the name of the macro in the Macro name box, and then click OK.

    To record a new macro to assign to the button or graphic object, click Record.

    To write a new macro in the Visual Basic Editor, click New. To edit an existing macro, click the name of the macro in the Macro Name box, and then click Edit. How to view and edit macros.

Note If you assign a macro to a button or other object that is already in use as a hyperlink, the hyperlink information is deleted. From then on, clicking the button or object runs the macro instead.


 Run a macro from a keyboard shortcut

Run a macro from a keyboard shortcut

  1. On the Tools menu, point to Macro, and then click Macros.

    Show Me

  2. In the Macro name box, enter the name of the macro you want to assign to a keyboard shortcut.

  3. Click Options.

  4. To run the macro by pressing a keyboard shortcut key, enter a letter in the Shortcut key box. You can use CTRL+ letter or CTRL+SHIFT+ letter, where letter is any letter key on the keyboard. The shortcut key will override any default Microsoft Excel shortcut keys while the workbook that contains the macro is open.

    To include a description of the macro, type the description in the Description box.

  5. Click OK.

  6. Click Cancel.


 Run a macro from an area, or hot spot, on a graphic object

Run a macro from an area, or hot spot, on a graphic object

  1. Create a graphic object.

    How?

  2. Draw another graphic object over the first object in the place where you want the hot spot.

  3. With the second graphic object still selected, right-click a selection handle of the button or graphic object to display the shortcut menu.

  4. On the shortcut menu, click Assign Macro.

  5. To assign an existing macro to the button or graphic object, enter the name of the macro in the Macro name box, and then click OK.

    To record a new macro to assign to the selected graphic object, click Record. When you finish recording the macro, click Stop Recording [image] on the Stop Recording toolbar.

    To write a new macro in the Visual Basic Editor, click New. To edit an existing macro, click the name of the macro in the Macro Name box, and then click Edit. How to view and edit macros.

  6. On the Format menu, click AutoShape, and then click the Color and Lines tab.

  7. Under Fill, click No Fill in the Color box. Under Line, click No Line in the Color box.

  8. Repeat steps 2 through 7 for each hot spot you want to create.


 Assign a message to an Outlook category

Assign a message to an Outlook category

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options, and then click Categories.

  5. In the Available categories list, select the check boxes next to the categories you want.

  6. To create a new category, click the Master Category List button.

  7. In the New category box, type a name for the category, and then click Add.

  8. Click OK.

  9. To create more categories, repeat step 7.

  10. Click OK, and then click Close.

Notes

  • You can also assign a message to a category by clicking Options and then typing the category name in the Categories box. If you use this method, make sure you spell and capitalize the category name correctly; otherwise the message won't be assigned to a category in the Master Category List. Categories that are not included in the Master Category List are not available to assign other messages to.

  • Learn more about assigning a message to a category.


Auditing: Trace the relationships between formulas and cells (Circle invalid data)

To display this topic, click the graphic.

To display this topic, click the graphic


Auditing: Trace the relationships between formulas and cells (Comments)

To display this topic, click the graphic.

To display this topic, click the graphic


Auditing: Trace the relationships between formulas and cells (Range Finder)

To display this topic, click the graphic.

To display this topic, click the graphic


Auditing: Trace the relationships between formulas and cells (Trace dependents)

To display this topic, click the graphic.

To display this topic, click the graphic


Auditing: Trace the relationships between formulas and cells (Trace errors)

To display this topic, click the graphic.

To display this topic, click the graphic


Auditing: Trace the relationships between formulas and cells (Trace precedents)

To display this topic, click the graphic.

To display this topic, click the graphic


 Automate a Microsoft Excel task by using an ActiveX control

Automate a Microsoft Excel task by using an ActiveX control

You can automate a task with an ActiveX control by writing a macro for the control. For more information about writing macros, see Visual Basic Help.

  1. To create a macro for an ActiveX control on a worksheet or form, make sure the Control Toolbox is displayed. To display the Control Toolbox, point to Toolbars on the View menu, and then click Control Toolbox.

  2. Click Design Mode [image] .

  3. To write a new macro or change the macro for the control, right-click the control, and then click View Code on the shortcut menu.

  4. In the Visual Basic Editor, write the macro.

  5. When you finish writing the macro, click Close and Return to Microsoft Excel on the File menu.

  6. When you finish designing the control, click Exit Design Mode [image] .


 Change paragraph direction by using shortcut keys

Change paragraph direction by using shortcut keys

  • Do one of the following:

    To activate right-to-left paragraph direction, press CTRL+RIGHT SHIFT.

    To activate left-to-right paragraph direction, press CTRL+LEFT SHIFT.

Note You cannot use CTRL+SHIFT to change reading order and alignment if there is a strong character in a control. You can only use CTRL+SHIFT when the control is empty or contains only neutral characters.


 Replace part of a formula with its calculated value

Replace part of a formula with its calculated value

  1. Click the cell that contains the formula.

  2. In the formula bar, select the portion of the formula you want to replace with its calculated value. When you select the part of the formula you want to replace, make sure to include the entire operand. For example, if you select a function, you must select the entire function name, the opening parenthesis, the arguments, and the closing parenthesis.

  3. To calculate the selected portion, press F9.

  4. To replace the selected portion of the formula with its calculated value, press ENTER.

    If the formula is an array formula, press CTRL+SHIFT+ENTER.

    To restore the original formula, press ESC.


 Change Microsoft Excel to calculate by using Lotus 1-2-3 rules

Change Microsoft Excel to calculate by using Lotus 1-2-3 rules

  1. On the Tools menu, click Options, and then click the Transition tab.

  2. To calculate formulas according to Lotus 1-2-3 rules, select the Transition formula evaluation check box.

    To calculate formulas according to Microsoft Excel rules, clear the Transition formula evaluation check box.

    For information about calculation differences between Microsoft Excel and Lotus 1-2-3 formulas, click [image] .

    Caution Avoid alternately selecting and canceling the Transition formula evaluation option; otherwise, the values calculated on your worksheet might change.


Change or delete a constraint in Solver

  1. On the Tools menu, click Solver.

  2. In the Subject to the Constraints box, click the constraint that you want to change or delete.

  3. To delete the constraint, click Delete.

    To change the constraint, click Change, and then make the changes you want.

    Information about options in the Change Constraint dialog box.


 Run a query in the background or while you wait

Run a query in the background or while you wait

If you choose to run the query and wait until it is complete, you won't be able to use Microsoft Excel until the query is finished.

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. Do one of the following:

    To run the query in the background so that you can continue working in Excel, select the Enable background refresh check box.

    To run the query and wait until it is complete, clear the Enable background refresh check box.

Notes

  • Stop a query To stop a query from running when Enable background refresh is turned off, press ESC.

  • Stop a background refresh To stop a query that is running in the background, double-click the background refresh Background refresh icon on the status bar to display the External Data Refresh Status dialog box, and then click Stop Refresh.

  • Recording a macro While you are recording a macro that includes a query, Excel will not run the query in the background. To change the recorded macro so that it runs in the background, edit the macro in the Visual Basic Editor and change the refresh method for the QueryTable object from "BackgroundQuery := False" to "BackgroundQuery := True". For information about editing macros, see Visual Basic Help.


Change the image on a toolbar button or menu command

  1. Show the toolbar that has the button or command you want to change.

  2. On the Tools menu, click Customize.

    The Customize dialog box must remain open; however, you might need to move it out of your way.

  3. Do one of the following:

    On the toolbar, right-click the button you want to change, point to Change Button Image on the shortcut menu, and then click the image you want.

    Click the menu that contains the command you want to change, right-click the command, point to Change Button Image on the shortcut menu, and click the image you want.


 Change PivotTable character and cell formatting

Change PivotTable character and cell formatting

  1. Select the part of the PivotTable report you want to format.

    How?

  2. To apply the formatting changes you want, use the buttons on the Formatting toolbar and the commands on the Format menu.

Notes

  • Preserving formatting You can use either PivotTable selection or regular selection when you format a PivotTable report. Most formatting is retained when you refresh the report or change its layout as long as the Preserve formatting check box is selected (to locate this option, click PivotTable on the PivotTable toolbar, and then click Table Options).

  • No conditional formatting or data validation If you try to apply conditional formats to cells in a PivotTable report, you will get unpredictable results and formats will not be preserved when you change the layout of the report. You cannot set up data validation for cells in a PivotTable report.

  • Cell borders aren't retained Microsoft Excel does not retain changes to cell borders when you change the layout or refresh a PivotTable report.

  • PivotTable reports with page fields To apply formatting to all pages of a PivotTable report that has page fields, select All for each page field, and then apply formatting. If a page field does not have the All item, display each page field item separately, and then apply formatting.

  • Removing all formatting To remove all formatting from a PivotTable report, click PivotTable on the PivotTable toolbar, click Table Options, clear the AutoFormat table check box, click OK, click Format Report [image] , and click the None format. To remove formatting whenever the PivotTable report is refreshed, click PivotTable on the PivotTable toolbar, click Table Options, and then clear the Preserve formatting check box.

  • Files from previous Excel versions When you format a PivotTable report that was created in an earlier version of Microsoft Excel, be sure to save the workbook as a Microsoft Excel 2000 file so that the Excel 2000 formatting features will be saved. On the File menu, click Save As, and then click Microsoft Excel Workbook (*.xls) in the Save as type list.


 Change the data or fields included in the source range for a PivotTable or PivotChart report

Change the data or fields included in the source range for a PivotTable or PivotChart report

Use this procedure for PivotTable and PivotChart reports that are based on data from a Microsoft Excel worksheet. For PivotTable and PivotChart reports that are based on external data, you can use the Refresh Data command on the PivotTable toolbar to include new data that meets the criteria in the underlying query, or you can change the query to retrieve additional fields from the source database.

  1. Click the PivotTable report. For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable Wizard [image] .

  3. In step 3 of the wizard, click Back.

  4. In step 2 of the wizard, select the new source data range.

  5. Click Finish.

    If the redefined range includes new fields, the new fields appear in the field list on the PivotTable toolbar.

  6. If you want to include new fields, add the fields to the PivotTable or PivotChart report.

Notes

  • When data in the source range changes and you want to incorporate the new information into the PivotTable or PivotChart report, click Refresh Data [image] on the PivotTable toolbar.

  • When you change the source data used for a PivotChart report or the PivotTable report that is associated with a PivotChart report, some chart formatting may be lost.


 Change the content and settings of a cube that was created by the OLAP Cube Wizard

Change the content and settings of a cube that was created by the OLAP Cube Wizard

Use this procedure only if your cube was created in Microsoft Query by using the OLAP Cube Wizard. If you are not sure whether the OLAP cube you want to change was created this way or, instead, is an offline cube file that was created in Microsoft Excel, consult the person who created the offline cube file, the PivotTable or PivotChart report, or the .oqy file. How to change the content and settings of an offline cube file created in Excel.

  1. Run Microsoft Query. You can do this by opening a saved query or creating a new one if you have no saved queries.

    How?

  2. In Microsoft Query, open the .oqy file, and make any changes you want in the OLAP Cube Wizard.

    For example, you can change the summary functions for data fields, change how the levels and dimensions are organized, delete any dimensions or levels you no longer want, and change the type of cube that's created.

Notes

  • Learn about creating a cube from queried data. For full information and instructions, see Help in Microsoft Query and Help in the OLAP Cube Wizard.

  • After you create an OLAP cube in Microsoft Query, you cannot add more fields to it from the original relational database. You can, however, create a new OLAP cube from the same query to use different fields if you saved a query (.dqy) file when you created the query in Microsoft Query. For information about saving and opening query files, see Help in Microsoft Query.

  • If you created an offline cube file, the wizard replaces this file on disk with a new file containing your changes.


 Use a custom calculation for a PivotTable or PivotChart data field

Use a custom calculation for a PivotTable or PivotChart data field

  1. Do one of the following:

    In the data area of the PivotTable report, click a cell for the field for which you want to use a custom calculation.

    In a PivotChart report, click the data field for which you want to use a custom calculation.

  2. On the PivotTable toolbar, click Field Settings [image] .

  3. Click Options.

  4. Under Show data as, click the custom calculation you want.

    If the Base field box is available, click the field that has the data you want to use in the calculation. Click a field other than the one you chose in step 1.

    If the Base item box is available, click the item that has the data you want to use in the calculation.

Note The base field and base item provide the data used in the custom calculation. Learn about using custom calculations in a PivotTable or PivotChart report.


 Change the number format for the data area in a PivotTable report

Change the number format for the data area in a PivotTable report

  1. Select a cell in the data area of the PivotTable report.

  2. On the PivotTable toolbar, click Field Settings [image] .

  3. Click Number.

  4. In the Category list, click the format category you want.

  5. Select the options you want, and then click OK.

    For Help on an option, click the question mark [image] and then click the option.

Notes

  • In the PivotTable report, Microsoft Excel changes the number format for all cells that belong to the same data field as the selected cell. If the report has more than one field in the data area, you must format each field separately.

  • When you change the number format in a PivotTable report that has an associated PivotChart report, the formatting of the value axis labels in the chart changes to use the same formatting.


 Change the plotting order of data series

Change the plotting order of data series

  1. Click a data series in the chart you want to change.

    To change the plotting order of data series in a surface chart, click a legend key.

  2. On the Format menu, click Selected Data Series or Selected Legend Key, and then click the Series Order tab.

  3. In the Series order box, click the series you want to move.

  4. To place the series in the order you want, click Move Up or Move Down.


 Change a reference to a source area in a consolidation

Change a reference to a source area in a consolidation

You can adjust source areas and reconsolidate data in the destination area only if you did not create links to the source areas. If you created links to the source areas and you want to adjust the data that is included in the consolidation, delete the consolidation table, and then remove the outline. For information about removing an outline, click [image] .

  1. Click the upper-left cell in the consolidation table.

  2. On the Data menu, click Consolidate.

    Show Me

  3. Under All references, select the source area you want to change.

  4. In the References box, edit the selected reference.

  5. Click Add.

  6. If you don't want to keep the old reference, select it in the All references box, and then click Delete.

  7. To consolidate by using the adjusted source areas, click OK.

    To accept the changes without consolidating the data, click Close.


 Change the summary function for a PivotTable or PivotChart data field

Change the summary function for a PivotTable or PivotChart data field

You can change the summary function only for reports that are based on non-OLAP source data. For reports that are based on OLAP data, the available summary functions depend on how the cube was defined on the server. For information about summary functions available for your source data, contact your OLAP database administrator.

  1. Do one of the following:

    In the data area of the PivotTable report, click a cell for which you want to change the summary function.

    In a PivotChart report, click the data field for which you want to change the summary function.

  2. On the PivotTable toolbar, click Field Settings [image] .

  3. In the Summarize by box, click the summary function you want to use to summarize the values in the underlying data for the field.

Learn about the summary functions available for PivotTable and PivotChart reports that are based on data from sources other than OLAP databases.


 Change the summary function used to calculate PivotTable subtotals

Change the summary function used to calculate PivotTable subtotals

This procedure is not available for PivotTable and PivotChart reports that are based on source data from OLAP databases.

  1. Double-click the field button for which you want to change the subtotal summary function.

  2. Under Subtotals, click one or more of the summary functions. For information about the summary functions that you can specify for subtotal types, click [image] .

Notes

  • To add subtotals to inner row or column fields, or to display two or more types of subtotals (such as Sum and Average) for a selected PivotTable field, click Custom.

  • You cannot change the summary function used for subtotals in fields that contain calculated items.


 Change a PivotTable layout by dragging a field or item

Change a PivotTable layout by dragging a field or item

  1. Click the PivotTable report to display the blue outlines of the areas for each type of field.

    If you don't see the outlines, click Display Fields [image] so that the button is pressed in.

  2. To move a field and all items associated with it, drag the field button to a new position.

    To move an item so that the items in a field appear in a different order, click the item label, and then point to the bottom border of the cell. When the pointer becomes an arrow, drag the cell to a new position.

  3. To create a page field, drag the field to the page field area, above the upper-left cell of the PivotTable report. If the row or column fields in your report start in row 1 so that there is no page field area, you can use the wizard to create the page field.

  4. To remove a page, row, or column field, drag the field button out of the PivotTable report.

  5. To change the order in which the data fields are displayed, right-click a data field, point to Order on the shortcut menu, and use the commands on the Order menu to move the field to the position that you want.

Notes

  • What to do if data is slow to appear If data is slow to appear when you drag the fields into place, instead use the PivotTable and PivotChart Wizard to change the layout.

  • OLAP dimension and data fields In PivotTable reports that are based on OLAP databases, dimension fields can be used only as PivotTable row, column, or page fields. These fields are identified by Dimension field icon at the beginning of the row in the field list on the PivotTable toolbar. The fields identified by Data field icon at the beginning of the row on the toolbar can be used only as PivotTable data fields.

  • OLAP dimension fields operate as sets When you move a dimension field to change the layout, all levels and items in the dimension move with it.

  • Some fields can't be dragged You cannot drag certain fields.

  • Page fields that query for each item If a page field is set to query for external data as you select each item, dragging the page field to another position changes the field so that Microsoft Excel retrieves external data for all items at the same time. Learn about page field settings.

  • Effects on associated PivotChart reports When you change the layout of a PivotTable report that is associated with a PivotChart report, your layout changes also affect the PivotChart report. For example, if you exchange row fields for column fields in the PivotTable report, you are exchanging the categories and series in the PivotChart report. In addition, when you change the PivotTable report, some PivotChart report formatting may be lost.


 Change PivotTable or PivotChart layout by using the PivotTable and PivotChart Wizard

Change PivotTable or PivotChart layout by using the PivotTable and PivotChart Wizard

Use this procedure when data is slow to appear after you drag the fields directly on the worksheet, or when you want to add a page field to a PivotTable report that does not have one and starts in row 1.

  1. Click the PivotTable report to activate the PivotTable toolbar. For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable Wizard [image] .

  3. In step 3 of the wizard, click Layout.

  4. Drag field buttons to the row, column, data, or page area, as desired. For a PivotChart report, to change the PivotChart report's series labels, drag the table's corresponding column field. To sort the chart's category labels, drag the table's corresponding row field.

    How?

  5. To remove fields that you no longer want in the PivotTable or PivotChart report, drag the field buttons out of the layout diagram.

Notes

  • OLAP dimension and data fields In PivotTable and PivotChart reports that are based on OLAP databases, dimension fields can be used only as PivotTable row, column, or page fields; or as PivotChart data series, categories, or page fields. The names of these fields are identified by Dimension field icon at the beginning of the row on the PivotTable toolbar. The fields identified by Data field icon at the beginning of the row on the toolbar can be used only as PivotTable data fields or as PivotChart value axis values.

  • OLAP dimension fields operate as sets When you move a dimension field to change the layout, all levels and items in the dimension move with it.

  • Page fields that query for each item If a page field is set to query for external data as you select each item, dragging the field to another position in the pivot area changes the field so that Microsoft Excel retrieves external data for all items at the same time. Learn about page field settings.

  • Effects of layout changes on PivotChart formatting When you change the layout of a PivotTable report that is associated with a PivotChart report, your layout changes also affect the PivotChart report. For example, if you exchange row fields for column fields in the PivotTable report, you are exchanging the categories and series in the PivotChart report. In addition, when you change the PivotTable report, some PivotChart report formatting may be lost.


Change the default chart type

  1. To activate the Chart menu, click a chart.

  2. On the Chart menu, click Chart Type.

  3. On the Standard Types or Custom Types tab, click the chart type you want.

    The Custom Types tab lists the current default chart, the built-in custom chart types, and any custom chart types you've added. You can create a chart with the chart type, items, and formatting you want and then save it as a custom chart type.

    How?

  4. Click Set As Default Chart, and then click Yes.

  5. To close the dialog box without changing the chart type of the current chart, click Cancel.

    To close the dialog box and change the chart type of the current chart, click OK.


 Consolidate data by category

Consolidate data by category

  1. Click the upper-left cell of the destination area for the consolidated data.

  2. On the Data menu, click Consolidate.

    Show Me

  3. In the Function box, click the summary function you want Microsoft Excel to use to consolidate the data. For information about the available summary functions, click [image] .

  4. In the Reference box, enter a source area you want to consolidate. Make sure to include the data labels in the selection. For information about source areas, click [image] .

  5. Click Add.

  6. Repeat steps 4 and 5 for each source area you want to consolidate.

  7. Under Use labels in, select the check boxes that indicate where the labels are located in the source area: either the top row, the left column, or both.

  8. To update the consolidation table automatically when the source data changes, select the Create links to source data check box.

    To create links, the source and destination areas must be on different worksheets. Once you create links, you cannot add new source areas or change the source areas that are included in the consolidation.

Note Labels in a source area that do not match any labels in the other source areas result in separate rows or columns when you consolidate data.


 Consolidate data by position

Consolidate data by position

  1. Click the upper-left cell of the destination area for the consolidated data.

  2. On the Data menu, click Consolidate.

    Show Me

  3. In the Function box, click the summary function you want Microsoft Excel to use to consolidate the data. For information about the available summary functions, click [image] .

  4. In the Reference box, enter a source area you want to consolidate. For information about source areas, click [image] .

  5. Click Add.

  6. Repeat steps 4 and 5 for each source area to consolidate.

  7. To update the consolidation table automatically when the source data changes, select the Create links to source data check box.

    To create links, the source and destination areas must be on different worksheets. Once you create links, you cannot add new source areas or change the source areas that are included in the consolidation.

Note When you consolidate by position, Microsoft Excel does not copy the category labels in the source areas to the destination area. If you want labels for the destination worksheet, copy them or enter them manually.


Consolidate data by using 3-D references

  1. On the consolidation worksheet, copy or enter the labels you want for the consolidated data.

  2. Click a cell that you want to contain consolidated data.

  3. Type a formula that includes references to the source cells on each worksheet that contains data you want to consolidate. For information about source references, click [image] .

  4. Repeat steps 2 and 3 for each cell where you want to consolidate data.

Tip To enter a reference in a formula without typing, enter the formula up to the point where you need the reference, and then click the cell on the worksheet. If the cell is on another worksheet, first click the worksheet tab, and then click the cell.


 Use startup switches when you start Excel

Use startup switches when you start Excel

  1. Do one of the following:

    If you use the Start menu to start Microsoft Excel, use Windows Explorer to locate the Excel shortcut icon in the Start Menu folder of your Windows folder. Right-click the shortcut icon, click Properties, and then click the Shortcut tab.

    If you use the Office Shortcut Bar to start Excel, right-click the Microsoft Excel button, click Properties, and then click the Shortcut tab.

  2. In the Target box, type a space after the path to the Excel program, and then type one or more of the switches listed in the following table.

    For example, to open the workbook Actuarial Lists.xls, type a space after the path and then type:
    c:\Reference Data\Actuarial Lists.xls
    To start Excel and | Type
    Open a specific workbook | workbook path\file name
    Open a specific workbook as
    read-only
    /r     workbook path\file name
    Prevent display of the Excel startup screen and a new blank workbook

    /e
    Specify the working folder | /p folder path\folder name

Note The folder specified in the startup switch is used instead of the location specified in the Default file location box on the General tab (Tools menu, Options command).


 Change the number of times Microsoft Excel calculates, or iterates, a formula

Change the number of times Microsoft Excel calculates, or iterates, a formula

When iteration is turned on, Microsoft Excel recalculates the worksheet the number of times specified in the Maximum iterations box or until the results between calculations change less than the amount specified in the Maximum change box.

  1. On the Tools menu, click Options, and then click the Calculation tab.

  2. Select the Iteration check box.

  3. To set the maximum number of times Microsoft Excel will recalculate, type the number of iterations in the Maximum iterations box. The higher the number of iterations, the more time Microsoft Excel needs to calculate a worksheet.

  4. To set the maximum amount of change you will accept between calculation results, type the amount in the Maximum change box. The smaller the number, the more accurate the result and the more time Microsoft Excel needs to calculate a worksheet.

Note Solver can use iteration to solve complex worksheet problems. For information about setting the iterations for Solver, click [image] .


Control the way empty cells are plotted in a chart

  1. Click the chart.

  2. On the Tools menu, click Options, and then click the Chart tab.

  3. Under Plot empty cells as, click the option you want.

    For Help on an option, click the question mark [image] and then click the option.


 Create a picture of cells that is linked to the source data

Create a picture of cells that is linked to the source data

Only the visible information in the cells is included in the picture. If necessary, resize the columns in Microsoft Excel to show all the data you want in the picture. Cell gridlines appear in the picture if they are displayed. To omit gridlines, click Options on the Tools menu, click the View tab, and then clear the Gridlines check box.

  1. On the worksheet, select the cells you want to make into a picture.

  2. Click Copy [image] .

  3. Click the worksheet or other document where you want to paste the picture.

  4. To paste the picture to another worksheet, hold down SHIFT and click Paste Picture Link on the Edit menu. The picture is linked by a formula that refers to the copied cells.

    To paste the picture to a document created in another Office program, click Paste Special on the Edit menu. In the As box, click Picture, click Paste link, and then click OK.

    You can use the Picture toolbar to change the image.

Note The picture is linked to the copied cells by using Dynamic Data Exchange (DDE). For more information about DDE, see the Microsoft Office 2000 Resource Kit. How to obtain the Office Resource Kit.


 Create a picture of a chart, cells, or an object that is not linked to the source data

Create a picture of a chart, cells, or an object that is not linked to the source data

Cell gridlines appear in the picture if they are displayed. To omit gridlines, click Options on the Tools menu, click the View tab, and then clear the Gridlines check box.

  1. On the worksheet or chart sheet, select the cells or click the chart or object you want to copy as a picture.

  2. Hold down SHIFT and click Copy Picture on the Edit menu.

  3. For best picture quality, make sure As shown on screen and Picture are selected, and then click OK.

  4. Click the worksheet or other document where you want to paste the picture.

  5. Click Paste [image] .

    You can use the Picture toolbar to change the image.

Tip To paste information you've copied from another program as a picture in Microsoft Excel, hold down SHIFT and click Paste Picture or Paste Picture Link on the Edit menu.


 Move or copy whole cells

Move or copy whole cells

  1. Select the cells you want to move or copy.

    How?

  2. Point to the border of the selection.

    Selected cell and pointer

  3. To move the cells, drag the selection to the upper-left cell of the paste area. Microsoft Excel replaces any existing data in the paste area.

    To copy the cells, hold down CTRL as you drag.

    To insert the cells between existing cells, hold down SHIFT (if moving) or SHIFT+CTRL (if copying) as you drag.

    To drag the selection to a different sheet, hold down ALT and drag over a sheet tab.

Tip To move or copy cells to a different workbook or a long distance, select the cells and click Cut [image] to move the cells or Copy [image] to copy the cells. Switch to the other sheet or workbook, select the upper-left cell of the paste area, and then click Paste [image] .


 Copy data within a row or column

Copy data within a row or column

  1. Select the cells that contain the data you want to copy.

  2. Drag the fill handle across the cells you want to fill, and then release the mouse button.

    Existing values or formulas in the cells you fill are replaced, and formatting is copied.

Notes

  • To quickly fill in the active cell with the contents of the cell above it, press CTRL+D. To fill in with contents of the cell to the left, press CTRL+R.

  • If you drag the fill handle up or to the left of a selection and stop in the selected cells without going past the first column or the top row, you delete the data in the selection but the formatting is preserved.

  • If values such as numbers or dates are incremented through the selected range instead of copied, select the original values again and hold down CTRL as you drag the fill handle.


 Copy formulas when an external data range expands

Copy formulas when an external data range expands

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. To copy formulas in an adjacent column, or in a column within the external data range, when you refresh and the size of the external data range changes, select the Fill down formulas in columns adjacent to data check box.

Notes

  • Microsoft Excel copies only those formulas that are immediately adjacent to or within the external data range.

  • To enter a new formula and copy it to all rows in an external data range, enter the formula in the top cell of the adjacent column, select the cell, and then double-click the fill handle.


 Move or copy part of a cell's contents into another cell

Move or copy part of a cell's contents into another cell

  1. Double-click the cell that contains the data you want to move or copy.

  2. In the cell, select the characters to move or copy.

  3. To move the selection, click Cut [image] .

    To copy the selection, click Copy [image] .

  4. Double-click the cell to which you want to move or copy the data.

  5. In the cell, click where you want to paste the data.

  6. Click Paste [image] .

  7. Press ENTER.

Notes

  • To copy all or part of a formula, select the characters, click Copy [image] , and then press ESC to move out of the cell. Double-click the cell where you want to paste the data, position the insertion point, and then click Paste [image] .

  • When you double-click a cell or press F2 to edit a cell, the arrow keys work only within that cell. To use the arrow keys to move to another cell, first press ENTER to complete your editing changes to the active cell.


 Move or copy characters within a cell

Move or copy characters within a cell

  1. Double-click the cell you want to edit.

  2. In the cell, select the characters you want to move or copy.

  3. To move the characters, click Cut [image] .

    To copy the characters, click Copy [image] .

  4. In the cell, click where you want to paste the characters.

  5. Click Paste [image] .

  6. Press ENTER.


 Copy a Word table onto a Microsoft Excel worksheet

Copy a Word table onto a Microsoft Excel worksheet

To use the more powerful calculation and list management features of Microsoft Excel on data you've listed in a table in Microsoft Word, you can copy the table from Word and paste the table cells onto a worksheet.

  1. In Word, select the rows and columns of the table you want to copy.

    To select the entire table, click in the table, point to Select on the Table menu, and then click Table.

  2. Click Copy [image] .

  3. Switch to your Excel worksheet.

  4. Click in the upper-left corner of the worksheet area where you want to paste the table.

    Cells from the copied table replace any existing cells in the area.

  5. Click Paste [image] .


 About creating a PivotTable or PivotChart report to consolidate multiple data ranges

About creating a PivotTable or PivotChart report to consolidate multiple data ranges

When you have several Microsoft Excel lists with similar categories of data and you want to summarize the data from the lists together on one worksheet, one option is to use a PivotTable or PivotChart report. Excel also provides other ways to consolidate data that work with lists in all kinds of formats and layouts.

Setting up the source data When you consolidate data from multiple lists or worksheets, the lists or worksheets must have matching row and column names for items that you want to summarize together. Do not include any total rows or total columns from the source data when you create the PivotTable or PivotChart report. Learn about setting up data in list format.

Using named ranges when source data is likely to expand To make the PivotTable or PivotChart report easier to refresh when the source ranges change, name each source range and use the names when you create the PivotTable or PivotChart report. If a named range expands to include more data, you can refresh the report to include the new data.

Using page fields in consolidations A consolidation uses custom page fields that contain items that each represent one or more of the source ranges. For example, if you're consolidating budget data from the Marketing, Sales, and Manufacturing departments, a page field could include one item for each department plus an item to show the combined data.

Page field options After you click Multiple consolidation ranges in step 1 of the PivotTable and PivotChart Wizard, you can choose the kind of page fields you want.

  • A single page field To display a single page that consolidates all ranges from the source data, letting you display each individual range or the consolidation, click Create a single page field for me in step 2a of the wizard.

  • Multiple page fields You can create as many as four page fields and assign item names for each source data range, or you can create a consolidation that doesn't have page fields. Click I will create the page fields in step 2a of the wizard. Use this option when you want to compare partial and full consolidations. You can assign any subset of your ranges to a page field so that you can display a consolidation that includes only the ranges you assign.

More information

Create a PivotTable report

Create a PivotChart report


 About creating a PivotTable or PivotChart report from a Microsoft Excel list or database

About creating a PivotTable or PivotChart report from a Microsoft Excel list or database

You can use data from an Excel worksheet as the basis for a PivotTable or PivotChart report. Because Microsoft Excel uses the data in the first row of the worksheet list for the field names in the report, the source list or database must contain column labels. Learn about setting up data in list format.

Selecting the source data automatically Click a cell in your list or in the row below the list before running the PivotTable and PivotChart Wizard. The wizard fills in the reference to the list for you.

Using a named range when the source data is likely to expand To make the PivotTable or PivotChart report easier to refresh when the source data changes, name the source range and use the name when you create the PivotTable or PivotChart report. If the named range expands to include more data, you can refresh the report to include the new data.

Using filtered data Microsoft Excel ignores any filters you have applied to a list by using the commands on the Filter submenu of the Data menu. The PivotTable or PivotChart report automatically includes all data in the list.

To create a PivotTable or PivotChart report that includes only the filtered data, use the Advanced Filter command to extract filtered data to another worksheet location and then base the PivotTable or PivotChart report on the extracted range.

Including totals Excel automatically creates subtotals and grand totals in the PivotTable report. If the source list contains automatic subtotals and grand totals, remove all totals before you create the PivotTable or PivotChart report.

More information

Create a PivotTable report

Create a PivotChart report


 About creating a PivotTable or PivotChart report from another PivotTable report

About creating a PivotTable or PivotChart report from another PivotTable report

Memory and disk space economy Each time you create a new PivotTable or PivotChart report, Microsoft Excel must create an intermediary copy of the data that is used by the report. The copy is created in memory and saved as part of the workbook file, thus requiring extra memory and disk space. However, when you use an existing PivotTable report as the source for a new PivotTable or PivotChart report in the same workbook, both reports share the same intermediary data. Because you reuse the same copy of the data, the size of the workbook file is reduced and less data is required to reside in memory.

Using an existing PivotTable or PivotChart report

You can base a new PivotTable or PivotChart report on an existing PivotTable report, but you can't base one directly on an existing PivotChart report. However, because Excel creates an associated PivotTable report whenever you create a PivotChart report, you can base a new PivotTable or PivotChart report on the associated report.

Changes that affect both reports When you refresh the data in the new PivotTable or PivotChart report, Microsoft Excel automatically updates the data in the original report on which the new report is based, and vice versa. When you group or ungroup data in one report, both are affected. When you create calculated fields or calculated items in one report, both reports are affected.

Location requirements To use a PivotTable report to create another PivotTable or PivotChart report, both reports must be in the same workbook. If the original PivotTable report is in a different workbook, copy the original report to the workbook where you want the new report to appear. PivotTable and PivotChart reports in different workbooks each have their own separate intermediary copy of the data in memory and in the workbook file, so that you can refresh the reports separately.

Page field settings The original PivotTable report cannot contain any page fields that are set to query for external data as you select each item. Learn about page field settings.

PivotTable reports that are independent of PivotChart reports Changes to a PivotChart report affect the associated PivotTable report, and vice versa. If you want to be able to change the layout or display different data without these changes affecting both reports, you can create a separate independent PivotTable report.

Using a PivotTable list from a Web page

You can export a PivotTable list from your Web browser to Excel and view and save the list as a PivotTable report. The new PivotTable report and the PivotTable list on the Web will both use the same source data. However, no link is maintained between the PivotTable report itself and the original PivotTable list on the Web page.

When you bring a PivotTable list from a Web page into Excel, you may notice some differences in content and calculations. For more information, see Help for the PivotTable list in the Web browser before you export the PivotTable list to Excel.

More information

Create a PivotTable report

Create a PivotChart report

About PivotTable lists on the Web


 Create a calculated field in a PivotTable or PivotChart report

Create a calculated field in a PivotTable or PivotChart report

You can create calculated fields only for reports that are based on non-OLAP source data. For reports that are based on OLAP data, the available fields depend on how the cube was defined on the server. For information about calculations available for your source data, contact your OLAP database administrator.

  1. Click a cell in the PivotTable report, or click the PivotChart report.

  2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Field.

  3. In the Name box, type a name for the calculated field.

  4. In the Formula box, type the formula for the field.

    To use the data from a field in the formula, click the field in the Fields box, and then click Insert Field.

  5. Click Add, and then click OK.

  6. If necessary, position the calculated field where you want it in the report.

    How?

Notes

  • Formulas for calculated fields always operate on all the available data; you cannot narrow their scope by specifying a particular part of the data in the formula. Learn about writing formulas for calculated fields.

  • When you create a calculated field in a PivotChart report, the formula and its results are reflected in the associated PivotTable report, and vice versa. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report. Learn more about formulas in PivotChart reports.


 Create a calculated item in a PivotTable or PivotChart report

Create a calculated item in a PivotTable or PivotChart report

You can create calculated items only for reports that are based on non-OLAP source data. For reports that are based on OLAP data, the available calculations depend on how the cube was defined on the server. For information about calculations available for your source data, contact your OLAP database administrator.

PivotChart reports When you create a calculated item in a PivotChart report, the formula and its results are reflected in the associated PivotTable report, and vice versa. If you are working with a PivotChart report and plan to create complex formulas, it is recommended that you create the formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results that are plotted in the PivotChart report. Learn more about formulas in PivotChart reports.

  1. If items in the field to which you want to add the calculated item are grouped, ungroup them.

    How?

  2. Select the field or an item in the field to which you want to add the calculated item.

  3. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Item.

  4. In the Name box, type a name for the calculated item.

  5. In the Formula box, type the formula for the item.

    To use the data from an item in the formula, click the field in the Fields box, click the item in the Items list, and then click Insert Item.

    You can include only items from the same field in which you are creating the calculated item.

  6. Click Add, and then click OK.

  7. If the items were originally grouped and you ungrouped them in step 1, you can group them again or create new groups that include the new calculated item, if you want.

    How?

Notes

  • Learn about writing calculated item formulas.

  • You cannot change the summary function for fields that contain calculated items.

  • When a cell in the data area is the intersection of a calculated item and a calculated field, the formula for the calculated field overrides the calculated item formula.


 Create a parameter query that prompts for criteria each time you run it

Create a parameter query that prompts for criteria each time you run it

This procedure is not available to retrieve data from OLAP databases. You can use this procedure for all other databases you can access by using the ODBC drivers that Microsoft supplies with Query. To find out whether a third-party driver supports parameter queries, contact your driver vendor.

  1. Create a query that includes the tables and fields for the records you want. Do not return the results to Microsoft Excel.

    How?

  2. Make sure Auto Query [image] is not pressed in.

  3. Make sure Show/Hide Criteria [image] is pressed in.

  4. Click the first cell in the Criteria Field row, and then click the arrow in the cell to select a field from the list that you want to use as the parameter for the query.

  5. Click the first cell in the Value row. Type [ (a left square bracket) followed by the text for the prompt you want Microsoft Query to display when the query is run, and then type ] (a right square bracket). An example is shown in the following illustration.

    Example of a prompt

    The text of the prompt must be different from the field name, although it can include the field name. For more information about the types of criteria you can use to refine a query, see Microsoft Query Help.

  6. Press ENTER.

  7. To run the query in Microsoft Query, click Query Now [image] .

    To return the result set to Microsoft Excel, click Return Data [image] .


 Create a hyperlink to an e-mail address

Create a hyperlink to an e-mail address

When you click a hyperlink to an e-mail address, your e-mail program automatically starts and creates an e-mail message with the correct address in the To box, provided you have an e-mail program installed.

  1. Right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.

  2. Under Link to, click E-mail address.

  3. In the E-mail address box, type the e-mail address you want.

  4. In the Subject box, type the subject of the e-mail message.

    Note that some Web browsers and e-mail programs might not recognize the subject line.

  5. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip, type the text you want in the ScreenTip text box, and then click OK.

Notes

  • If you do not specify a ScreenTip, the text “mailto” followed by the e-mail address and the subject line become the ScreenTip.

  • You can also create a hyperlink to an e-mail address in a cell by typing the address directly in the cell. For example, type someone@microsoft.com, and the hyperlink is created automatically.


 Create a hyperlink to an existing file

Create a hyperlink to an existing file

  1. Right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.

  2. Under Link to, click Existing file or Web page.

  3. Do one of the following:

    To select the file from a list of files you have recently used, click Recent Files and then click the file you want to link to.

  4. To select the file from a list of existing files, click the File button under Browse for, and then locate and double-click the file you want to link to.

  5. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip and then type the text you want in the ScreenTip text box. Click OK.

Notes

  • If you do not specify a ScreenTip, the path of the linked-to file becomes the ScreenTip.

  • If you want to change the text that represents the hyperlink in your original workbook, type the new text in the Text to display box.

  • The path to the new destination file is by default relative to the location of the active workbook. You can specify a different default path by setting a hyperlink base address.

  • You cannot create a hyperlink from a control created by using the Forms toolbar or from a button or graphic that has a macro attached to it.


 Create a hyperlink to a specific location on a Web page

Create a hyperlink to a specific location on a Web page

To create a hyperlink to a specific location on a Web page, make sure the Web page has a bookmark at that location. You can use an existing bookmark, or you can insert a new one in a Web page source document for which you have write privileges.

  1. In Microsoft Excel, right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.

  2. Under Link to, click Existing file or Web page.

  3. Do one of the following:

    To select the Web page from a list of Web pages you have recently browsed, click Browsed Pages and then click the Web page you want to link to.

    To select the Web page by opening your browser and searching for the page, click the Web Page button under Browse for, open the Web page you want to link to, and then switch back to Excel without closing your browser.

  4. Click Bookmark, and then double-click the bookmark you want.

  5. To assign a tip to appear when you rest the pointer on the hyperlink, click ScreenTip, type the text you want in the ScreenTip text box, and then click OK.

Notes

  • If you do not specify a ScreenTip, the URL to the linked-to Web page, including the bookmark name, becomes the ScreenTip.

  • You cannot create a hyperlink from a control created by using the Forms toolbar or from a button or graphic that has a macro attached to it.


 Create a hyperlink to a Web page

Create a hyperlink to a Web page

  1. Right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.

  2. Under Link to, click Existing file or Web page.

  3. Do one of the following:

    To select the Web page from a list of Web pages you have recently browsed, click Browsed Pages and then click the Web page you want to link to.

    To select the Web page by opening your browser and searching for the page, click the Web Page button under Browse for, open the Web page you want to link to, and then switch back to Microsoft Excel without closing your browser.

  4. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip and then type the text you want in the ScreenTip text box. Click OK.

Notes

  • If you do not specify a ScreenTip, the URL of the linked-to Web page becomes the ScreenTip.

  • If you want to change the text that represents the hyperlink in your original workbook, type the new text in the Text to display box.

  • You can also create a hyperlink in a cell by typing a Web page address directly in the cell, as long as you begin the address with http:// or ftp://, or \\server\share\. The address itself becomes the hyperlink text.

  • You cannot create a hyperlink from a control created by using the Forms toolbar or from a button or graphic that has a macro attached to it.


 Update a consolidation automatically if the component data changes

Update a consolidation automatically if the component data changes

If the worksheet that contains the destination area also contains an outline or has been used previously for a linked consolidation, do not create new links without first removing the outline, if the worksheet has one, or deleting the old consolidation table. For information about removing an outline, click [image] .

  1. Click the upper-left cell in the consolidation table.

  2. On the Data menu, click Consolidate.

    Show Me

  3. Select the Create links to source data check box.

    Note The consolidation table must be on a different worksheet from the source areas.


 Name cells by using existing row and column labels

Name cells by using existing row and column labels

  1. Select the range you want to name, including the row or column labels.

  2. On the Insert menu, point to Name, and then click Create.

    Show Me

  3. In the Create names in box, designate the location that contains the labels by selecting the Top row, Left column, Bottom row, or Right column check box.

Note A name created by using this procedure refers only to the cells that contain values and does not include the existing row and column labels.


 Create a PivotChart report that reflects the view of an existing PivotTable report in one step

Create a PivotChart report that reflects the view of an existing PivotTable report in one step

When you create a chart by using this method, Microsoft Excel automatically creates a stacked column chart on a chart sheet. The chart uses the layout of the PivotTable report to determine the placement of fields. Row fields in the table become category fields in the PivotChart report, and column fields in the table become series fields in the chart.

  1. Click a cell in the PivotTable report from which you want to create a PivotChart report.

  2. Click Chart Wizard [image] on the Standard toolbar.

Notes

  • If you want to specify options for the chart — such as the chart type, titles, legend placement, data labels, chart location, and so on — during the creation process, you can use a different procedure that allows you to step through the Chart Wizard to create a PivotChart report.

  • A PivotChart report changes when you change the PivotTable report, and vice versa.

  • To change the chart type or the location of the chart after you've created it, or to make other changes or additions to titles, axes, gridlines, the legend, and so on, make sure the chart sheet is active, and then click Chart Wizard [image].


 Create a template that automatically retrieves external data when you open it

Create a template that automatically retrieves external data when you open it

  1. Create a PivotTable report or external data range.

    How?

  2. Format the workbook the way you want it.

  3. Click Save [image] .

  4. In the File name box, type the name you want.

  5. In the Save as type list, click Template (*.xlt).

  6. In the Save in list, locate and click the folder you want to store the template in.

  7. Click Save.

  8. Do one of the following:

    To remove the external data range from the workbook and automatically refresh it the next time the report template is opened, click Yes.

    To display the current data in the external data range whenever someone opens a copy of the template, click No.


 Create your own digital certificate

Create your own digital certificate

  1. Run the Office 2000 setup program again.

  2. On the Select Features screen in the setup program, expand Office Tools.

  3. Select Digital Signature for VBA projects, click the arrow next to your selection, and then select Run from My Computer.

  4. In Windows Explorer, locate and then double-click the file SelfCert.exe in C:\Program Files\Microsoft Office\Office.

Note Because a digital certificate that you create yourself isn’t issued by a formal certification authority, macro projects that are signed by using such a certificate are referred to as self-signed projects. Depending on how your organization uses the digital-signature features in Microsoft Office, you might be prevented from using such a certificate, and other users might not be able to run self-signed macros for security reasons. Learn about digital signatures.

For more information about creating digital certificates, see Help in Visual Basic for Applications.


 Create a Microsoft Access report based on data from a Microsoft Excel list

Create a Microsoft Access report based on data from a Microsoft Excel list

To create a Microsoft Access report, you must have Access installed. If the MS Access Report command does not appear on the Data menu in Microsoft Excel, you need to install the AccessLinks add-in program. For more information, click [image] .

  1. Click a cell in the Excel list.

  2. On the Data menu, click MS Access Report.

  3. If prompted, save the workbook by clicking Save [image] . Then click MS Access Report on the Data menu again.

  4. To create the report in a new Access database, click New database.

    To create the report in an existing Access database, click Existing database, and then type the path to the database in the box under Existing database. To look for the database on your system or network, click Browse.

  5. Click OK, and then follow the instructions in the Access Report Wizard. Do not change the names that the wizard proposes for the table and report.

Notes

  • To view the report again, click the View MS Access Report button, which AccessLinks places on the worksheet to the right of your list. For more information about the report and the Access Report Wizard, see Access Help.

  • If you make changes to the Excel list or add data to it, these changes are not reflected in the report. To include changes and new data, you must create a new report. First delete the View MS Access Report button by holding down the CTRL key, clicking the button, and then pressing DELETE, and then follow the steps in this topic to create a new report.


 Name cells on more than one worksheet by using a 3-D reference

Name cells on more than one worksheet by using a 3-D reference

  1. On the Insert menu, point to Name, and then click Define.

    Show Me

  2. In the Names in workbook box, type the name.

  3. If the Refers to box contains a reference, select the equal sign (=) and the reference and press BACKSPACE.

  4. In the Refers to box, type = (an equal sign).

  5. Click the tab for the first worksheet to be referenced.

  6. Hold down SHIFT and click the tab for the last worksheet to be referenced.

  7. Select the cell or range of cells to be referenced.


 Delay delivery of a message

Delay delivery of a message

This feature is available only with Microsoft Exchange Server.

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. Under Delivery options, click Do not deliver before, and then enter the delivery date you want.


 Delete a reference to a source area from a consolidation

Delete a reference to a source area from a consolidation

  1. Select the upper-left cell in the consolidation table.

  2. On the Data menu, click Consolidate.

    Show Me

  3. In the All references box, click the source area reference you want to delete.

  4. Click Delete.

  5. To consolidate without the deleted source area, click OK.

    To accept the changes without consolidating the data, click Close.


Delete cells, rows, or columns

  1. Select the cells, rows, or columns you want to delete.

  2. On the Edit menu, click Delete.

    Surrounding cells shift to fill the space.

Note Microsoft Excel keeps formulas up to date by adjusting absolute references to the shifted cells to reflect their new locations. However, a formula that refers to a deleted cell displays the #REF! error value.


Show or hide detail for a category in a PivotChart report

  1. Right-click the category axis label for which you want to show or hide detail, or in a pie or doughnut chart, click the slice or ring whose detail you want to show or hide.

  2. On the shortcut menu, click Show detail category name or Hide detail category name.

    If prompted, double-click the field that has the detail you want to show.

Notes

  • Some formatting in your PivotChart report, including trendlines and error bars, might not be retained when you show or hide detail.

  • You can use a different procedure to show or hide different levels of detail for PivotChart reports that are based on OLAP source data.


 Display or hide axes in a chart

Display or hide axes in a chart

Hiding an axis hides the labels and tick marks along the axis. Pie and doughnut charts do not have axes.

  1. Click the chart in which you want to display or hide axes.

  2. On the Chart menu, click Chart Options, and then click the Axes tab.

  3. Select the check boxes for the axes you want to display.

    Clear the check boxes for the axes you want to hide.


 Display or hide a data table in a chart

Display or hide a data table in a chart

Data tables can be displayed in line, area, column, and bar charts. In bar charts, the data table does not replace an axis of the chart but is aligned to the chart.

  1. Click the chart to which you want to add a data table.

  2. On the Chart menu, click Chart Options, and then click the Data Table tab.

  3. To display the chart data in a grid at the bottom of the chart, select the Show data table check box.

    To hide the data table, clear the check box.

Note To attach the data table to the category axis in a 3-D chart, click 3-D View on the Chart menu, and then select the Right angle axes check box.


 Display a message when incorrect data is entered in a cell

Display a message when incorrect data is entered in a cell

For more information about specifying data restrictions, click [image] .

  1. Select the cells for which you want to display a message.

  2. On the Data menu, click Validation, and then click the Settings tab.

  3. Specify the data restrictions for which you want to display the message.

    For Help on an option, click the question mark [image] and then click the option.

  4. Click the Error Alert tab.

  5. Make sure the Show error alert after invalid data is entered check box is selected.

  6. In the Style box, specify the type of message you want.

    To display an information message that has OK and Cancel buttons and has OK as the default button, click Information.

    To display a warning message with the text "Continue?", followed by Yes, No, and Cancel buttons, with No as the default button, click Warning.

    In both message types, the OK and Yes buttons enter the invalid data in the cell. The No button returns to the cell for further editing. The Cancel button restores the previous value to the cell.

    To display a stop message that has Retry and Cancel buttons, with Retry as the default button, click Stop.

  7. If you want a title to appear in the title bar of the message or in the Office Assistant balloon if the Office Assistant is displayed, type the text in the Title box. If you leave the Title box blank, the title defaults to Microsoft Excel.

  8. If you want to display your own text for the message, type the text in the Error message box, up to 225 characters. Press ENTER to start a new line in the message. If you don't enter any text in the Error message box, the message displays the following: "The value you entered is not valid. A user has restricted values that can be entered into this cell."

Note Microsoft Excel displays the message only when a user types data in the cell. Formulas that calculate to invalid data, data placed in the cell by a macro, and data that has been copied or filled in cells do not cause the error message to be displayed.


 Display an input message when a cell is selected

Display an input message when a cell is selected

  1. Select the cells for which you want to display a message.

  2. On the Data menu, click Validation, and then click the Input Message tab.

  3. Make sure the Show input message when cell is selected check box is selected.

  4. To display a bold title in the message, type the text in the Title box.

  5. Type the text of the message in the Input Message box, up to 255 characters. Press ENTER to start a new line in the message.

    You must enter text in the Input Message box for the message to appear.


 Change the page field item displayed in a PivotTable or PivotChart report

Change the page field item displayed in a PivotTable or PivotChart report

  1. Click the arrow Field arrow next to the displayed page field item.

  2. In PivotTable or PivotChart reports that are based on source data from OLAP databases, you may need to click Plus box beside a level to list the lower-level items, or click Minus box to display higher-level items, until the item you want appears in the list.

  3. In the list, click the item you want to display, and then click OK.

Note When you change the page field item in a PivotTable report that is associated with a PivotChart report, some chart formatting may be lost.


 Display PivotTable page field pages on separate worksheets

Display PivotTable page field pages on separate worksheets

This procedure is not available for PivotTable reports that are based on source data from OLAP databases.

  1. Click a cell in the PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Show Pages.

  3. Click the page field that contains the items you want to display on separate worksheets.

Note Microsoft Excel inserts a new worksheet for each item in the page field. These worksheets are not based on any sheet templates you may have.


 Add or remove subtotals in a PivotTable report

Add or remove subtotals in a PivotTable report

Microsoft Excel automatically displays subtotals for outer row and column fields when you create two or more row or column fields in a PivotTable report. For inner row or column fields, Excel displays subtotals only if you add them.

  1. Double-click the field button for which you want to add or remove subtotals.

  2. Do one of the following:

    To display subtotals for an outer row or column field, click Automatic under Subtotals.

    To display subtotals for an inner row or column field, click Custom under Subtotals, and then click a summary function in the box to the right. For PivotTable reports that are based on source data from OLAP databases, the Custom option is unavailable.

    To remove subtotals, click None under Subtotals.

  3. To use a different summary function or to display more than one type of subtotal, click the summary functions you want to use in the box to the right of Custom. See a description of the available summary functions.

    In PivotTable reports that are based on source data from OLAP databases, you cannot change the summary function for subtotals.

Notes

  • Summary functions In PivotTable reports that are based on non-OLAP source data, totals and subtotals use the same default summary function as the data fields being totaled. You can specify the summary function to use for subtotals only if the field you are subtotaling doesn't contain a calculated item.

  • Multiple subtotals Excel adds one subtotal line for each summary function you select.

  • Including hidden page field items To include hidden page field items in the subtotals, click PivotTable on the PivotTable toolbar, and then click Table Options. Select the Subtotal hidden page items check box under Format options. This option is not available in PivotTable reports that are based on source data from OLAP databases.


 Enter a formula

Enter a formula

For information about how formulas calculate values, click [image] .

  1. Click the cell in which you want to enter the formula.

  2. Type = (an equal sign).

    If you click Edit Formula Edit Formula button or Paste Function [image] , Microsoft Excel inserts an equal sign for you.

  3. Enter the formula.

  4. Press ENTER.

Tips

  • You can enter the same formula into a range of cells by selecting the range first, typing the formula, and then pressing CTRL+ENTER.

  • You can also enter a formula into a range of cells by copying a formula from another cell. For more information about copying a formula, click [image] .


 When I try to trace errors, Microsoft Excel stops before it finds the source of the error.

When I try to trace errors, Microsoft Excel stops before it finds the source of the error.

If more than one error path exists, Microsoft Excel stops tracing at the branch point when you use Trace Error [image] . To continue tracing the error, click Trace Error [image] again.

If the formula that displays the error contains a reference to another worksheet or workbook, double-click the arrow that displays the worksheet icon worksheet icon. In the Go to list, double-click the reference you want to locate. Then, click Trace Error [image] again.


 Select the current adjacent region

Select the current adjacent region

Use this procedure to select the current region, such as an entire list.

  1. Click any cell in the range of data.

  2. On the Edit menu, click Go To.

    Show Me

  3. Click Special.

  4. Click Current region.

Tip To select a range of filled-in cells in a row or column, click the first or last cell in the range. Then hold down SHIFT and double-click the side of the active cell in the direction that you want to select. For example, to select the range of filled-in cells above the active cell, double-click the top of the cell. The selection extends only to the next blank cell in the row or column.


 Find text or numbers

Find text or numbers

  1. Select the range of cells you want to search.

    To search the entire sheet, click any cell.

  2. On the Edit menu, click Find.

  3. In the Find what box, enter the text or numbers you want to search for.

  4. In the Look in box, click the type of information you want to search for.

  5. Click Find Next.

Note To cancel a search in progress, press ESC.


 Create an independent PivotTable report from the same data as a PivotChart report

Create an independent PivotTable report from the same data as a PivotChart report

When you create a PivotChart report, Microsoft Excel automatically creates an associated PivotTable report that reflects all changes you make to the chart. An independent PivotTable report is not associated with the chart. The table is not affected when you change the view in the chart, and you can change the view in the independent PivotTable report with no effect on the chart.

If a workbook has more than one PivotChart report, you can determine which PivotTable report is associated with your chart by clicking the chart and then clicking Options on the PivotChart menu (PivotTable toolbar). The name of the associated PivotTable report is displayed in the Name box.

  1. Open the workbook that contains the PivotChart report, and click a worksheet.

  2. On the Data menu, click PivotTable and PivotChart Report.

  3. In step 1 of the PivotTable and PivotChart Wizard, click Another PivotTable or PivotChart under Where is the data that you want to analyze, and then click PivotTable under What kind of report do you want to create.

  4. In step 2 of the wizard, click the name of the report that is associated with the chart for which you want to create the independent PivotTable report.

  5. In step 3 of the wizard, determine whether you need to click Layout.

  6. Do one of the following:

    If you clicked Layout in step 3, after you lay out the PivotTable report in the wizard, click OK in the PivotTable and PivotChart Wizard – Layout dialog box, and then click Finish to create the report.

    If you did not click Layout in step 3, click Finish, and then lay out the report on the worksheet.


 Keep row and column labels visible as you scroll

Keep row and column labels visible as you scroll

  1. To freeze the top horizontal pane, select the row below where you want the split to appear.

    To freeze the left vertical pane, select the column to the right of where you want the split to appear.

    To freeze both the upper and left panes, click the cell below and to the right of where you want the split to appear.

  2. On the Window menu, click Freeze Panes.


 Create a more complex query in Microsoft Query

Create a more complex query in Microsoft Query

  1. Click the cell where you want to start the external data range.

    To ensure that the external data does not replace existing data, make sure that the worksheet has no data below or to the right of the cell you click.

  2. On the Data menu, point to Get External Data, and then click New Database Query.

  3. On the Databases tab, select the database from which you want to retrieve the data, or create a new data source.

    How?

  4. Clear the Use the Query Wizard to create/edit queries check box, and then click OK.

  5. Add the tables you want. For more information, see Microsoft Query Help.

  6. Add the fields you want to appear in the result set. For more information, see Microsoft Query Help.

    If you want to narrow your result set to include specific records, enter the expressions and criteria to filter the records. For more information, see Microsoft Query Help.

    If you want to create a parameter query that prompts for criteria when you run it, specify the parameters.

    How?

    You can create inner joins or outer joins between your tables to change the result set. For more information, see Microsoft Query Help.

  7. To return the result set to Microsoft Excel, click Return Data [image] .

    The Returning External Data to Microsoft Excel dialog box is displayed.

  8. Click Properties to set formatting and layout options for how the external data range is brought into Microsoft Excel. For more information, click [image] .

  9. To return the external data range to the location you selected in step 1, click Existing worksheet, and then click OK.

    To return the external data range to a new worksheet, click New worksheet, and then click OK. Microsoft Excel adds a new worksheet to your workbook and automatically puts the external data range in the upper-left corner of the new worksheet.

    To use the external data in a PivotTable report, click PivotTable report, click OK, and then follow the instructions in the PivotTable and PivotChart Wizard.

Note To check the status of a query that's running in the background and taking a long time to return data, click Refresh Status [image] on the External Data toolbar. To cancel the query, click Stop Refresh.


 Get external data by using the Query Wizard

Get external data by using the Query Wizard

  1. Click the cell where you want to start the external data range.

  2. On the Data menu, point to Get External Data, and then click New Database Query.

  3. Select the Use the Query Wizard to create/edit queries check box.

  4. On the Databases tab, double-click the database you want to retrieve the data from.

    If you need to set up a new data source, double-click New Data Source, and then specify the data source.

  5. Follow the instructions in the Query Wizard.

  6. In the Query Wizard – Finish dialog box, do one of the following:

    To return the data directly to Microsoft Excel, click Return data to Microsoft Excel, click Finish, and then select where you want to put the external data.

    To save the query in a .dqy query file that you can open and run in Excel or open and edit in Microsoft Query, click Save Query. This optional step is recommended if you plan to create an OLAP cube from the query.

    To run the OLAP Cube Wizard, where you can create a cube from the data in your query, click Create an OLAP cube from this query, click Finish, and then follow the directions in the OLAP Cube Wizard. This option is recommended only for experienced users. Learn about creating OLAP cubes.

    To refine the query further, click View data or edit query in Microsoft Query, and then click Finish. The result set is displayed in Query, where you can make further changes and then save a query file, create an OLAP cube, or return the result set to Excel. For more information, see Microsoft Query Help.

Notes

  • To check the status of a query that's running in the background and taking a long time to return data, click Refresh Status [image] on the Excel External Data toolbar. To cancel the query, click Stop Refresh.

  • Learn about the kinds of queries you can create by using the Query Wizard.


Get information about your Microsoft Outlook installation

  • On the Help menu, click About Microsoft Outlook.

    Information about your installation — whether Internet Mail Only or Corporate or Workgroup mode — appears in the dialog box.


 Group or ungroup dates or times in a PivotTable or PivotChart field

Group or ungroup dates or times in a PivotTable or PivotChart field

You cannot group dates or times in PivotTable and PivotChart reports that are based on source data from OLAP databases.

To group dates or times, do the following:

  1. Right-click the field that contains the date or time items that you want to group, point to Group and Outline on the shortcut menu, and then click Group.

  2. If necessary, type the first item to group in the Starting at box, and type the last item to group in the Ending at box.

  3. In the By box, click one or more time periods for the items in the group.

    To group items by weeks, click Days in the By box, make sure Days is the only time period selected, and then click 7 in the Number of days box. You can then click additional time periods to group by, such as Month, if you want.

Notes

  • To ungroup date or time items Right-click the group, point to Group and Outline on the shortcut menu, and then click Ungroup. You cannot ungroup a single group in a date or time field; Microsoft Excel ungroups all groups for the field.

  • Effects on associated PivotChart reports When you group and ungroup data in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Group or ungroup items in a PivotTable or PivotChart page field

Group or ungroup items in a PivotTable or PivotChart page field

You cannot group items in PivotTable and PivotChart reports that are based on source data from OLAP databases.

To group items in a page field, do the following:

  1. If the PivotTable or PivotChart report is based on external data, make sure the page field is set to retrieve external data for all of its items at the same time.

    How?

  2. Drag the selected page field to the row or column area so that the page field items become row or column labels. For a PivotChart report, drag the field in the associated PivotTable report.

  3. Select the items that you want to group.

  4. Right-click the selected items, point to Group and Outline on the shortcut menu, and then click Group.

  5. Drag the grouped field to the page area.

Notes

  • To ungroup page field items Drag the grouped page field back to the row or column area, right-click the group, point to Group and Outline on the shortcut menu, and then click Ungroup. You can then drag the field back to the page area.

  • Effects on associated PivotChart reports When you group and ungroup data in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Group or ungroup numeric items in a PivotTable or PivotChart field

Group or ungroup numeric items in a PivotTable or PivotChart field

You cannot group items in PivotTable and PivotChart reports that are based on source data from OLAP databases.

To group numeric items, do the following:

  1. Right-click the field that contains the numeric items that you want to group, point to Group and Outline on the shortcut menu, and then click Group.

  2. If necessary, type the first item that you want to group in the Starting at box.

  3. If necessary, type the last item that you want to group in the Ending at box.

  4. In the By box, type the number of items that you want in each group.

Notes

  • To ungroup numeric items Right-click the group, point to Group and Outline on the shortcut menu, and then click Ungroup. You cannot ungroup a single group in a numeric field; Microsoft Excel ungroups all groups for the field.

  • Effects on associated PivotChart reports When you group and ungroup data in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Group or ungroup selected items in a PivotTable or PivotChart field

Group or ungroup selected items in a PivotTable or PivotChart field

You cannot group items in PivotTable and PivotChart reports that are based on OLAP source data.

To group items, do the following:

  1. Select the items that you want to group. For a PivotChart report, select the items in the chart's associated PivotTable report.

    How?

  2. Right-click the selected items, point to Group and Outline on the shortcut menu, and then click Group.

    Microsoft Excel creates a new item that combines the selected items and adds a group field to the PivotTable report.

Notes

  • To ungroup a set of items Right-click the group, point to Group and Outline on the shortcut menu, and then click Ungroup. You cannot ungroup a single set of numbers, dates, or times that you've grouped at the same time; Excel ungroups all sets in the field.

  • Ungrouping the last group in a field If you ungroup the last item in a row field or column field, Excel removes the group field from the PivotTable report.

  • Effects on associated PivotChart reports When you group and ungroup data in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Have replies to your message sent to another user

Have replies to your message sent to another user

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. Under Delivery options, select the Have replies sent to check box.

  6. Type the name of another user, or click Select Names to select from a list.

Note You cannot have replies sent to a personal distribution list.


 Change the text colors and the background color for Help topics

Change the text colors and the background color for Help topics

  1. On the toolbar in the Help window, click Options [image], and then click Internet Options.

  2. On the General tab, click Accessibility.

  3. Select the Ignore colors specified on Web pages check box, and then click OK.

  4. On the General tab, click Colors, and then select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

    To set your own text color and background color, clear the Use Windows colors check box.

Note The colors you set affect Help in all Microsoft Office programs and also affect Web pages that you view in your browser.


 Change the font for Help topics

Change the font for Help topics

  1. On the toolbar in the Help window, click Options [image], and then click Internet Options.

  2. On the General tab, click Accessibility.

  3. Select the Ignore font styles specified on Web pages check box, and then click OK.

  4. On the General tab, click Fonts, and then select the options you want.

    For Help on an option, click the question mark [image] and then click the option.

Note The font you set is used for Help in all Microsoft Office programs and is also used in Web pages that you view in your browser.


 Change the text size for Help topics

Change the text size for Help topics

You cannot make the text in Help topics smaller than the default size. Use this procedure to make the text larger in Help topics.

  1. In your Web browser, set the text size you want for Web pages. For instructions, see Help in your browser.

  2. On the toolbar in the Help window, click Options [image], and then click Internet Options.

  3. On the General tab, click Accessibility.

  4. Select the Ignore font sizes specified on Web pages check box, and then click OK.


 Display or hide detail data in a PivotTable report

Display or hide detail data in a PivotTable report

This procedure is not available for PivotTable reports that are based on source data from OLAP databases. In PivotTable reports based on source data from OLAP databases, you can display and hide different levels of detail.

  1. Select the item for which you want to show or hide row or column detail.

    How?

  2. On the PivotTable toolbar, click Show Detail [image] or Hide Detail [image] .

    If prompted, click the field that has the detail that you want to show.

Notes

  • If you want to show the details of the underlying source data for a data cell in the PivotTable report, double-click the cell. Microsoft Excel places the detail data summarized in the cell on a new worksheet in the workbook.

  • When you display or hide detail in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Show or hide grand totals in a PivotTable report

Show or hide grand totals in a PivotTable report

  1. Click a cell in the PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.

  3. To display grand totals, under Format options, select the Grand totals for columns check box, the Grand totals for rows check box, or both.

    To hide grand totals, clear either or both check boxes.

Note In PivotTable reports that are based on non-OLAP source data, grand totals use the same default summary function as the data fields being totaled. You can specify the summary function to use for grand totals only if the field you are totaling doesn't contain a calculated item. In PivotTable reports that are based on OLAP source data, the OLAP server determines what summary functions are available.


 Display or hide items in a PivotTable or PivotChart field

Display or hide items in a PivotTable or PivotChart field

Use this procedure to display or hide items in row and column fields in a PivotTable report, or category and series field items in a PivotChart report. The procedure to display or hide page field items is different.

  1. Click the arrow Field arrow at the right of the field for which you want to hide or show items.

  2. Select the check box for each item that you want to show, and clear the check box for each item that you want to hide.

    For PivotTable and PivotChart reports that are based on OLAP source data, the double-check ( Double-checked box ) for a level indicates that some or all of the items at lower levels are checked. To display all items at lower levels, single-check a level and then display or hide lower-level items individually, or clear the check box for a level to hide all lower-level items. Click Plus box beside a level to list the lower-level items so that you can display or hide them individually. Click a check box repeatedly to single-check, double-check, or clear it.

  3. To show or hide items that have no data, double-click the field, and then in the PivotTable Field dialog box, select or clear the Show items with no data check box.

    For example, if there were no sales in April, you will see an item for April sales only if you show items with no data.

    For PivotTable and PivotChart reports that are based on source data from OLAP databases, this option is unavailable.

Notes

  • Hidden items in totals and subtotals Totals and subtotals in a PivotTable or PivotChart report may either include or exclude hidden items. Learn about how totals and subtotals are calculated.

  • Hiding items doesn't change the source data When you hide the data in the PivotTable or PivotChart report, the source data is not affected.

  • Effects on display of top or bottom items For PivotTable and PivotChart reports that are based on source data from OLAP databases, changing the items selected for display resets the display of top or bottom items so that your selected items are displayed instead of the top or bottom ones.

  • Effects on associated PivotChart reports When you display or hide items in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


How formulas calculate values (Constructing a formula)

To display this topic, click the graphic.

To display this topic, click the graphic


How formulas calculate values (Referring to cells)

To display this topic, click the graphic.

To display this topic, click the graphic


How formulas calculate values (Using worksheet functions)

To display this topic, click the graphic.

To display this topic, click the graphic


Assign a hyperlink to a toolbar button or menu command

When you assign a hyperlink to a toolbar button or menu command, the hyperlink replaces the command currently assigned to that button or menu command. You cannot assign a hyperlink to a button that displays a list or menu when clicked.

  1. Display the toolbar you want to change.

  2. On the Tools menu, click Customize.

  3. If the toolbar that contains the button is not visible, click the Toolbars tab, and then select the check box next to the toolbar name.

    If the menu command you want to assign a hyperlink to is not on a toolbar, add the command to a menu.

  4. If the button you want to assign a hyperlink to is not on a menu, click the Commands tab, and then click Macros in the Categories list. In the Commands list, drag the Custom button onto a toolbar.

  5. Right-click the toolbar button or menu command, point to Assign Hyperlink on the shortcut menu, and then click Open.

  6. Under Link to, click the source you want to link to.

  7. Select the options you want.

    For Help on an option, click the question mark [image] and then click the option.


 I added a drawing object or graphic to my embedded chart, but it doesn't move when I move the chart.

I added a drawing object or graphic to my embedded chart, but it doesn't move when I move the chart.

You must select the embedded chart before you add a shape or graphic. Otherwise, the shape or graphic is added to the worksheet instead of the chart. Click the embedded chart first, click the command you want to use on the Drawing toolbar, and then click the chart.


 I can't find the correct menu, command, toolbar button, tab, or dialog box option.

I can't find the correct menu, command, toolbar button, tab, or dialog box option.

Select the chart or chart item The Chart menu and Chart toolbar appear when you select an item on an embedded chart or click a sheet tab at the bottom of the workbook window to move to a chart sheet.

Display the Chart toolbar If Microsoft Excel doesn't display the Chart toolbar after you select a chart item or a chart sheet, point to Toolbars on the View menu, and then click Chart. After the toolbar appears, if the button you want doesn't also appear, click More Buttons [image] on that toolbar. For Help on an option, press SHIFT+F1, and then click the option.

Check what is selected in the chart The name of the Format menu command for a selected chart item depends on the item selected. For example, if a data series is selected, the first command on the Format menu is Selected Data Series. You can also double-click a chart item to see its formatting options. Learn about ways to select chart items.


I can't maximize or close the workbook window.

The Maximize and Close buttons do not appear on windows that have been protected.

To remove protection, point to Protection on the Tools menu, and then click Unprotect Workbook. If prompted, enter the password. (If you are prompted for a password and you do not know the password, you cannot remove protection.)

To protect a workbook without protecting the windows, you can limit changes to an entire workbook without selecting window protection.


 I can't view the macros in a workbook or add-in program that I opened in Excel 97.

I can't view the macros in a workbook or add-in program that I opened in Excel 97.

The macros might have been digitally signed from within the Visual Basic Editor in Microsoft Excel 2000. Excel 97 doesn't recognize digital signatures, so it can't update the signature if you modify a signed Visual Basic for Applications macro. Therefore, to prevent modifications, you cannot view in Excel 97 the code for macros that have been digitally signed in Excel 2000.


I get a macro virus warning when I open an Excel template.

Microsoft Excel does not consider the Excel templates to be trusted sources. Even if you selected the Trust all installed add-ins and templates check box on the Trusted Sources tab and clicked Medium or High on the Security Level tab (Tools menu, Macro submenu, Security command), the macro virus warning appears when you open a template provided with Excel.

To prevent the virus warning from appearing, you can set the security level to Low, but first make sure that all of the workbooks you may potentially open are safe and virus-free.


 Open an entire text file in Microsoft Excel

Open an entire text file in Microsoft Excel

  1. Click Open [image] .

  2. In the Look in box, locate the drive, folder, or Internet location that contains the file you want to open.

  3. In the Files of type box, click Text Files.

  4. Double-click the file you want to import.

  5. Follow the instructions in the Text Import Wizard to specify how you want to divide the text into columns.

Note How to import an entire text file into a refreshable Microsoft Excel data range


 Enter a formula that contains a function

Enter a formula that contains a function

  1. Click the cell in which you want to enter the formula.

  2. To start the formula with the function, click Edit Formula Edit Formula button in the formula bar.

  3. Click the down arrow next to the Functions box Functions box.

  4. Click the function you want to add to the formula. If the function does not appear in the list, click More Functions for a list of additional functions.

  5. Enter the arguments.

  6. When you complete the formula, press ENTER.


 Insert a blank row after each item group for an outer PivotTable row field

Insert a blank row after each item group for an outer PivotTable row field

You can insert blank rows for all but the innermost (rightmost) row field.

  1. Double-click the field button for the outer row field that has the items you want to separate with blank rows.

  2. Click Layout.

  3. Select the Insert blank line after each item check box.

Notes

  • The blank rows appear after each item, or after the total row for the item if you're displaying totals at the bottom for the field.

  • You cannot enter data in the blank rows, but you can format the cells in the blank rows.

  • If you move a field so that it is no longer an outer row field, the blank row setting remains in effect, but the blank rows aren't displayed unless you move the field back to an outer row field position.

  • To remove the blank rows, double-click the field button, click Layout, and then clear the Insert blank line after each item check box.


 Insert moved or copied cells between existing cells

Insert moved or copied cells between existing cells

  1. Select the cells that contain the data you want to move or copy.

  2. To move the selection, click Cut [image] .

    To copy the selection, click Copy [image] .

  3. Select the upper-left cell where you want to place the cut or copied cells.

  4. On the Insert menu, click Cut Cells or Copied Cells.

  5. Click the direction you want to shift the surrounding cells.

Note To cancel the moving border after you finish copying, press ESC.


 Insert a horizontal page break

Insert a horizontal page break

  1. Click the heading for the row below the row where you want to insert the page break.

  2. On the Insert menu, click Page Break.


 Insert a vertical page break

Insert a vertical page break

  1. Click the heading for the column to the right of the column where you want to insert the page break.

  2. On the Insert menu, click Page Break.


 Install Data Access Objects (DAO) for Visual Basic

Install Data Access Objects (DAO) for Visual Basic

DAO for Visual Basic is installed automatically when you install Microsoft Query. For more information about creating macros that use DAO for Visual Basic, see Visual Basic Help.


 Load an installed add-in program in Microsoft Excel

Load an installed add-in program in Microsoft Excel

  1. On the Tools menu, click Add-Ins.

    Show Me

    If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in. If the add-in is not installed on your computer, you can install it.

    How?

  2. In the Add-Ins available box, select the check box next to the add-in you want to load.


 My xy (scatter) chart doesn't use my values along the horizontal (x) axis.

My xy (scatter) chart doesn't use my values along the horizontal (x) axis.

  • If your category axis displays numbers like 1, 2, 3, 4 instead of the values you want, you may have selected a line chart instead of an xy (scatter) chart when you created the chart. Delete the chart, select the worksheet data that you want to plot, and then click Chart Wizard [image] . In the Chart Wizard - Step 1 of 4 - Chart Type dialog box, click XY (scatter) in the Chart type box. If you want lines to connect the data markers, click one of the xy (scatter) subtypes that has a line.

  • Make sure to enter the data for the xy (scatter) chart in the correct order on the worksheet. The top row (or left column) of your data selection represents the x series, and each successive row (or column) represents a y series. For an example of the data for an xy (scatter) chart, click [image] .

  • Make sure that your x values are formatted as numbers. Numbers formatted as text may appear as 0, 1, 2, 3 instead of the values you want. Learn about numbers that are not displayed or calculated as numeric values.

Note You can also create an xy (scatter) chart with a different x value for each set of y values. On the Series tab in the Source Data dialog box (Chart menu), select the series for which you want to change the x values. Then, in the X values box, enter a cell reference or type the x values you want, separated by commas, for example .02, .03, .04.


 Display the contents of a worksheet cell in an AutoShape or text box

Display the contents of a worksheet cell in an AutoShape or text box

  1. Click the AutoShape or text box you want to link.

  2. In the formula bar, type an equal sign (=).

  3. Click the worksheet cell that contains the data or text you want to link to.

    You can also type the reference to the worksheet cell. Include the sheet name, followed by an exclamation point, for example:

    Sheet1!F2

  4. Press ENTER.

Note You cannot use this procedure in a freeform, scribble, line, or connector.


 Lock all links in Microsoft Excel

Lock all links in Microsoft Excel

  1. Switch to the worksheet that contains the links.

  2. On the Tools menu, click Options.

  3. On the Calculation tab, clear the Update remote references check box.

    Note Clearing the check box overrides the Automatic option (for all links) in the Links dialog box (Edit menu).


Use the selected chart as the default chart type

  1. Click the chart you want to use as the default chart type.

  2. On the Chart menu, click Chart Type.

  3. On the Custom Types tab, click Set As Default Chart, and then click Yes.

  4. If the Add Custom Chart Type dialog box appears, type a name in the Name box, type a description in the Description box, and then click OK.


 Recommend opening a workbook as read-only

Recommend opening a workbook as read-only

  1. On the File menu, click Save As.

    Show Me

  2. On the Tools menu, click General Options.

  3. Select the Read-only recommended check box, and then click OK.

  4. Click Save.

  5. If prompted, click Yes to replace the existing workbook with the open workbook.

Notes

  • Whenever anyone tries to open the workbook, Microsoft Excel displays a message that recommends that the workbook should be opened as read-only unless it's necessary to save changes. Excel does not prevent users from editing and then saving changes to the workbook.

  • You can prevent other users from making and saving changes to a workbook file by making the file read-only.

  • When you open a workbook file, you can open the file as read-only regardless of whether the file is read-only or opening it as read-only is recommended.


 Return an indented-format PivotTable report to nonindented format

Return an indented-format PivotTable report to nonindented format

If you changed the PivotTable report to indented format recently, you may be able to restore it to its previous format and layout by clicking Undo [image] . If you have made additional changes and cannot undo the change to indented format, follow this procedure.

  1. Click the PivotTable report.

  2. On the PivotTable toolbar, click Format Report [image] .

  3. In the list of report formats, click any of formats Table 1 through Table 10, or PivotTable Classic, which is at the bottom of the list.

    These formats do not restore the original layout of the report. The Table 1 through Table 10 formats move the leftmost row field so that it becomes a column field; PivotTable Classic does not move any of the fields.

  4. To restore the former layout of the PivotTable report, click each row field that was formerly a column field, and drag it back to the column area.

Note When a change to nonindented format changes the layout of a PivotTable report that has an associated PivotChart report, category fields may become series fields. In addition, some chart formatting may be lost.


 Make a sent message unavailable after a specified date

Make a sent message unavailable after a specified date

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. Under Delivery options, click Expires after, and then enter the expiration date.


 Mark a message as private, personal, or confidential

Mark a message as private, personal, or confidential

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. Under Message settings, click the sensitivity level you want.

Note Marking a message as private prevents the message from being modified after you send it but does not affect the worksheet.


 Change a report template

Change a report template

  1. In Microsoft Excel, click Open [image] .

  2. Locate and click the report template you want to open.

    A report template has an .xlt file name extension.

  3. In the Open dialog box, click the Open button.

  4. Make the changes you want.

    Learn about formatting and layouts you can change.

  5. Make sure refresh of the external data is complete, and then click Save [image] .

  6. To remove the external data range from the workbook and automatically refresh it the next time the template is opened, click Yes.


 Move around a worksheet by using Lotus 1-2-3 keystrokes

Move around a worksheet by using Lotus 1-2-3 keystrokes

  1. On the Tools menu, click Options, and then click the Transition tab.

  2. Select the Transition navigation keys box.

    To move around the worksheet by using Microsoft Excel keystrokes, clear the Transition navigation keys box.

Tip To quickly move across a block of nonblank cells, press the END key, and then press the arrow key for the direction you want to move. For more information about the Transition navigation keys, click [image] .


 Name a cell or a range of cells

Name a cell or a range of cells

  1. Select the cell, range of cells, or nonadjacent selections that you want to name.

  2. Click the Name box at the left end of the formula bar.

    Example of Name box

  3. Type the name for the cells.

  4. Press ENTER.

Note You cannot name a cell while you are changing the contents of the cell.


 Display or hide different levels of detail in a PivotTable or PivotChart report

Display or hide different levels of detail in a PivotTable or PivotChart report

Use this procedure only for PivotTable and PivotChart reports that are based on OLAP databases. How to tell whether a PivotTable or PivotChart report is based on OLAP data.

  1. Click the arrow Field arrow in the field for which you want to display different levels of detail.

  2. Do one of the following:

    To list the lower levels of detail for the field, click Plus box next to an item, and then scroll to find the level that you want to display.

    To list only the higher levels of detail for the field, click Minus box next to items for which detail is currently listed.

  3. Make sure the check box next to the item that you want to display is selected.

  4. Click the item that you want to display, and then click OK.

Tip To view the next available level of detail for a field or item, click the field or item and then click Show Detail [image] on the PivotTable toolbar. To view only higher levels of detail, click Hide Detail [image] .

Notes

  • Determining what levels of detail are available The levels of detail that are available are determined by how your OLAP database is organized on the server. If you need different levels of detail, contact your database administrator.

  • Hiding and displaying upper levels To hide higher levels of detail in row and column fields of PivotTable reports, right-click the field button for the first level you want to hide, and then click Hide levels on the shortcut menu. The level you selected and all higher levels in the dimension are removed from view, and the arrow Field arrow no longer appears in any of the field buttons for the dimension.

    When you want to select different levels to hide, you must first redisplay the previously hidden levels. To redisplay the hidden levels and the arrow Field arrow in the topmost field of the dimension, right-click any field button for the dimension, and then click Show levels on the shortcut menu.

    To hide or display upper levels of detail in series and category fields of PivotChart reports, hide or display the levels in the associated PivotTable report.

  • Effects of renaming items If you rename fields or items and then redisplay them or add them back into the report after removing them from view, the renamed fields or items will return to the original names they were assigned in the OLAP database. For example, if you rename Region to be Area, then display the higher level Country, and then return to the lower level, the field will again be named Region.

  • Effects on associated PivotChart reports When you display different levels of detail in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting might be lost.


 Open a document in your browser by using Microsoft Excel

Open a document in your browser by using Microsoft Excel

  1. Click Open

  2. In the Look in list, click the drive, folder, or FTP location that contains the document you want to open, and then locate and double-click the folder that contains the document.

    If you can't find the document, you can search for it.

    How?

  3. Click the .htm document (Web page) you want to open in your browser.

  4. Click the arrow next to the Open button, and then click Open in Browser.


 Open a workbook on your Web server

Open a workbook on your Web server

  1. In Microsoft Excel, click Open [image] .

  2. On the Places Bar, click Web Folders.

  3. Locate and double-click the workbook you want to open.

Tip To open a file you've used recently, click History on the Places Bar.


Overview of subtotals in lists (Create reports and charts)

To display this topic, click the graphic.

To display this topic, click the graphic


Overview of subtotals in lists (Display nested subtotals)

To display this topic, click the graphic.

To display this topic, click the graphic


 Copy one selection to several locations

Copy one selection to several locations

  1. Select the cells you want to move or copy.

  2. Click Copy [image] .

  3. Hold down CTRL and select the upper-left cell of each paste area.

  4. Click Paste [image] .

    To paste the same copy area again on a different worksheet, switch to the other sheet and repeat steps 3 and 4.

Note To cancel the moving border after you finish copying, press ESC.


 Print the sections of a PivotTable report on separate pages

Print the sections of a PivotTable report on separate pages

You can have Microsoft Excel insert automatic page breaks after the items in particular outer PivotTable row fields (outer row fields include all but the innermost field) so that each report section in each such field is printed on a separate page. You can't set automatic page breaks for the innermost row field, column fields, or page fields.

  1. Double-click the field that has the items you want to print on separate pages.

  2. Click Layout.

  3. Select the Insert page break after each item check box.

Notes

  • Location of page breaks Excel inserts the page breaks after the last row for each item, or after the total row for the item if you're displaying totals at the bottom for the field. If you select the check box to insert a blank row after each item group, Excel inserts the page breaks after the blank rows.

  • Adding other page breaks You can insert manual page breaks in addition to the automatic page breaks.

  • Moving and deleting page breaks To change where an automatic page break falls, you can move a page break, which turns it into a manual page break, or you can delete a page break. Use page break preview to view and change the page breaks.

  • Turning off the automatic page breaks To remove the automatic page breaks for a field, clear the Insert page break after each item check box in the PivotTable Field Layout dialog box. Any page breaks you moved and any manual page breaks you set remain in place.

  • Page breaks remain associated with the field After you set a field to have automatic page breaks, the page breaks affect your printed pages if you change the position of the field, as long as you don't move the field to be the innermost row field or to be a column or page field. If you move the field to one of these positions, the page breaks do not affect your printed pages. However, if you move the field back so that it is again an outer row field, the page breaks will reappear.


 Plot data series from worksheet rows instead of columns, and vice versa

Plot data series from worksheet rows instead of columns, and vice versa

  1. Click the chart.

  2. On the Chart menu, click Source Data, and then click the Data Range tab.

  3. Click Series in rows or Series in columns.

Notes

  • You can also change the orientation of a data series by clicking By Row [image] or By Column [image] on the Chart toolbar.

  • This procedure does not apply to PivotChart reports. To change the orientation of a series in a PivotChart report, you must change the layout of the report.


 Plot a data series along a secondary value axis in a 2-D chart

Plot a data series along a secondary value axis in a 2-D chart

When the range of values for different data series in a 2-D chart varies widely, or when you have mixed types of data (such as price and volume), you can plot one or more data series on a secondary value (y) axis. The scale of the secondary axis reflects the values for the associated series.

  1. Click the data series you want to plot along a secondary value axis.

  2. On the Format menu, click Selected Data Series, and then click the Axis tab.

  3. Click Secondary axis.


 Use a constant parameter value for a query

Use a constant parameter value for a query

This procedure is not available when you retrieve data from OLAP databases.

  1. In Microsoft Excel, click a cell anywhere in the external data range created with a parameter query.

  2. On the External Data toolbar, click Query Parameters [image] .

  3. In the list on the left side of the Parameters dialog box, click the parameter you want to change.

  4. Click Use the following value.

  5. Type the value you want to use for the parameter, and then click OK.

  6. To refresh the data, click Refresh Data [image] on the External Data toolbar.


 Display a message that stops incorrect data entry

Display a message that stops incorrect data entry

For more information about specifying data restrictions, click [image] .

  1. Select the cells for which you want to display a message and prevent incorrect entries.

  2. On the Data menu, click Validation, and then click the Settings tab.

  3. Specify the data restrictions for which you want to display the message.

    For Help on an option, click the question mark [image] and then click the option.

  4. Click the Error Alert tab.

  5. Make sure the Show error alert after invalid data is entered check box is selected.

  6. In the Style box, click Stop. The message will have a Retry button that returns to the cell for further editing and a Cancel button that restores the previous value in the cell.

  7. If you want a title to appear in the title bar of the message or in the Office Assistant balloon if the Office Assistant is displayed, type the text in the Title box. If you leave the Title box blank, the title defaults to Microsoft Excel.

  8. If you want to display your own text for the message, type the text in the Error message box, up to 225 characters. Press ENTER to start a new line in the message. If you don't enter any text in the Error message box, the message displays the following: "The value you entered is not valid. A user has restricted values that can be entered into this cell."

Note Microsoft Excel displays the message only when a user types data in the cell. Formulas that calculate to invalid data, data placed in the cell by a macro, and data that has been copied or filled do not cause the message to appear.


 Customize field names in an external data range

Customize field names in an external data range

This procedure applies only to data retrieved from a database, not to data retrieved from a text file (*.txt) or a Web query (*.iqy).

  1. Be sure there is a blank row above the external data range. How to insert a row.

  2. Type the labels you want in the blank row above the external data range, not over the field names.

  3. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  4. Under Data formatting and layout, clear the Include field names check box, and then click OK.

  5. To remove existing field names and refresh the external data range, click Refresh Data [image] on the External Data toolbar.

Note When you retrieve data from a database, changes you make to column names in Microsoft Query are retained in the external data range. For information about changing column names in Microsoft Query, see Microsoft Query Help.


 Refresh PivotTable or PivotChart data when the workbook file is opened

Refresh PivotTable or PivotChart data when the workbook file is opened

  1. Click the PivotTable or PivotChart report.

  2. On the PivotTable toolbar, click PivotTable (or PivotChart), and then click Table Options (or Options).

  3. Under Data source options, select the Refresh on open check box.

Tip To make a copy of a PivotTable report that can no longer be refreshed or pivoted, copy the PivotTable report, click Paste Special on the Edit menu, and then click Values.


 Print a PivotTable report with outer row field items repeated on each page

Print a PivotTable report with outer row field items repeated on each page

Item labels are repeated for all row fields to the left of the field for which a page break separates a group of items.

Repeating item labels after a page break

If a page break falls between items in the Product field, the current items in the Salesperson and Region fields are reprinted at the top of the next page.

  1. Click the PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.

  3. Under Format options, select the Repeat item labels on each printed page check box.

  4. On the File menu, click Print.

Note To print the item labels on only the first printed pages, clear the Repeat item labels on each printed page check box in the PivotTable Options dialog box.


 Limit viewing and editing of an individual worksheet

Limit viewing and editing of an individual worksheet

When you protect the worksheet, the cells and graphic objects that you did not unlock in steps 2 and 3 are protected and cannot be changed.

  1. Switch to the worksheet you want to protect.

  2. Unlock any cells that you want to be able to change after you protect the worksheet.

    How?

  3. Unlock any graphic objects that you want to be able to change after you protect the worksheet.

    How?

  4. Hide any formulas that you don't want to be visible.

    How?

  5. On the Tools menu, point to Protection, and then click Protect Sheet.

  6. To prevent changes to cells on worksheets or to data and other items in charts, and to prevent viewing of hidden rows, columns, and formulas, select the Contents check box.

    To prevent changes to graphic objects on worksheets or charts, select the Objects check box.

    To prevent changes to the definitions of scenarios on a worksheet, select the Scenarios check box.

    To prevent others from removing worksheet protection, type a password, click OK, and then retype the password in the Confirm Password dialog box. Passwords are case sensitive. Type the password exactly as you want to enter it, including uppercase and lowercase letters.

    If you assign a password, write it down and keep it in a secure place. If you lose the password, you cannot gain access to the protected elements on the worksheet.


 Limit changes to an entire workbook

Limit changes to an entire workbook

  1. On the Tools menu, point to Protection, and then click Protect Workbook.

  2. To protect the structure of a workbook so that worksheets in the workbook can't be moved, deleted, hidden, unhidden, or renamed and new worksheets can't be inserted, select the Structure check box.

    To use windows of the same size and position each time the workbook is opened, select the Windows check box.

  3. To prevent others from removing workbook protection, type a password, click OK, and then retype the password in the Confirm Password dialog box. Passwords are case sensitive. Type the password exactly as you want to enter it, including uppercase and lowercase letters.

    When you assign a password, write it down and keep it in a secure place. If you lose the password, you cannot gain access to the protected workbook elements.

    Note If you add a password-protected workbook to a binder, the password protection is lost. You will be prompted to enter the password when you add the workbook to the binder, but the protection is removed after it becomes a binder section.


 Print a PivotTable report with row and column labels repeated on each page

Print a PivotTable report with row and column labels repeated on each page

To repeat field and item names when you print a PivotTable report, the report must be the only one in the print area.

  1. Click the PivotTable report.

  2. On the File menu, click Page Setup, click the Sheet tab, and then make sure the Rows to repeat at top and Columns to repeat at left boxes are blank.

  3. On the PivotTable toolbar, click PivotTable, and then click Table Options.

  4. Under Format options, select the Set print titles check box.

  5. On the File menu, click Print.

Notes

  • The repeated labels include all row, column, and data field labels and item labels in the PivotTable report.

  • You can use print preview to see how the repeated labels will look on each page.

  • To print the row and column labels only on the first page of the printed PivotTable report, clear the Set print titles check box in the PivotTable Options dialog box, and then make sure you don't have the rows and columns set as print titles on the Sheet tab in the Page Setup dialog box (File menu).


 Put a filtered list on a Web page

Put a filtered list on a Web page

Use this procedure to put a list that has been filtered by using the AutoFilter command on a Web page so that others can interact with the data. You can also put a filtered list on a Web page so that others can only view the data.

Before you save or publish data on a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. Select the filtered list you want to put on a Web page.

  2. On the File menu, click Save as Web Page.

    Show Me

  3. Click Publish.

  4. Under Viewing options, select the Add interactivity with check box and click the type of functionality you want.

    Learn about ways to put Excel data on the Web.

  5. To add a title to the published data, click Change, type the title you want, and click OK.

  6. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  7. If you want to view the Web page in your browser after you publish it, select the Open published Web page in browser check box.

  8. Click Publish.

Notes

  • Some formatting and features for your filtered list are not retained when you save it as a Web page.

  • After you save your filtered list as a Web page, you can't open and modify the .htm file in Microsoft Excel without losing formatting and functionality. Use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to modify the Web page.

  • If the list you want to save or publish has been filtered with a custom filter, and you choose spreadsheet or PivotTable functionality, the filtered list initially appears the same on the Web page as it does in Excel. Users can change the way the list is filtered in the browser, but they cannot use the custom filter after they have used another filter.


 Put a chart on a Web page

Put a chart on a Web page

Use this procedure to put a chart on a Web page so that others can interact with the data. You can also put a chart on a Web page so that others can only view the data.

Before you save or publish data on a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. Click the chart or the chart sheet that you want to put on a Web page.

  2. On the File menu, click Save as Web Page.

    Show Me

  3. Click Publish.

  4. Under Viewing options, select the Add interactivity with check box. (Chart functionality is automatically selected.)

  5. To add a title to the published chart, click Change, type the title you want, and click OK.

  6. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  7. If you want to view the Web page in your browser after you publish it, select the Open published Web page in browser check box.

  8. Click Publish.

Notes

  • The associated data for the chart is also placed on the Web page when you use interactive functionality. When you save a chart, an associated interactive spreadsheet is included, and when you save a PivotChart report, an associated PivotTable list is included.

  • Some formatting and features for your chart are not retained when you save it as a Web page.

  • You can learn more about publishing charts.

  • After you save your chart as a Web page, you can't open and modify the .htm file in Microsoft Excel without losing formatting and functionality. Use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to modify the Web page.


 Put an entire workbook on a Web page

Put an entire workbook on a Web page

  1. On the File menu, click Save as Web Page.

  2. In the Save in list, locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  3. Under Save, click Entire workbook.

  4. To add a title for the Web page to the title bar in the browser, click Change Title, type the title you want, and click OK.

  5. In the File name box, enter a name for the Web page file.

  6. Click Save.

Notes

  • Most of the features and formatting in your workbook are retained if you open your Web page (.htm) file in Microsoft Excel later. Learn about features that are not retained.

  • You can't save an entire workbook so that the Web page has interactive functionality. If you want to make portions of your workbook interactive, you must save the worksheet or items individually.

  • After you save your entire workbook as a Web page, the Web page (.htm) file becomes the current file in Excel. You can then make any changes you want in Excel.


 Put a form on a Web page

Put a form on a Web page

If you created an on-screen form in Microsoft Excel by using Microsoft Visual Basic, you can save or publish the form as an interactive Web page, but you must use Web scripts that were created with the Microsoft Script Editor to automate controls other than simple data entry fields. Learn about Web scripts.

You can save or publish the form as a noninteractive Web page if you want users to print the form to use it. None of the form's interactive functionality will work on the Web.

How to put Microsoft Excel data on the Web

Note If you use a Forms3 control, your users must have Microsoft Office 97 or 2000 and Microsoft Internet Explorer 5 installed on their computers to view and interact with the Web page.


 Put a PivotTable report on a Web page

Put a PivotTable report on a Web page

Use this procedure to put a PivotTable report on a Web page so that others can interact with the data. You can also put a PivotTable report on a Web page so that others can only view the data.

Before you save or publish data on a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. Select the PivotTable report you want to put on a Web page.

    How?

  2. On the File menu, click Save as Web Page.

    Show Me

  3. Click Publish.

  4. Under Viewing options, select the Add interactivity with check box, and click the type of functionality you want for your PivotTable report.

    Learn about the differences between spreadsheet and PivotTable functionality.

  5. To add a title to the published PivotTable report, click Change, type the title you want, and click OK.

  6. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  7. If you want to view the Web page in your browser after you publish it, select the Open published Web page in browser check box.

  8. Click Publish.

Notes

  • All formatting is lost, and some features for your PivotTable report are not retained when you save it as a Web page.

  • After you save your PivotTable report as a Web page, you can't open and modify the .htm file in Microsoft Excel without losing formatting and functionality. Use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to modify the Web page.


 Put a print area on a Web page

Put a print area on a Web page

Use this procedure to put the contents of a print area on a Web page so that others can interact with the data. You can also put the contents of a print area on a Web page so that others can only view the data.

Before you save or publish data on a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. On the File menu, click Save as Web Page.

    Show Me

  2. Click Publish.

  3. In the Choose box, click the worksheet that contains the print area you want to put on a Web page. For example, if the print area is on a worksheet called Sales, click Items on Sales.

  4. In the selection list, click Print Area.

  5. Under Viewing options, select the Add interactivity with check box and click the type of functionality you want.

    Learn about ways to put Excel data on the Web.

  6. To add a title to the published data, click Change, type the title you want, and click OK.

  7. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  8. If you want to view the Web page in your browser after you publish it, select the Open published Web page in browser check box.

  9. Click Publish.

Notes

  • When you put your print area on a Web page, your Excel print settings aren't retained in the browser. For example, when users print the Web page in the browser, print titles won't appear, and the entire page is printed, rather than only the print area. Learn about formatting and features that are not retained when you save or publish to a Web page.

  • After you save your print area as a Web page, you can't open and modify the .htm file in Microsoft Excel without losing formatting and functionality. Use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to modify the Web page.


 Put a range of cells on a Web page

Put a range of cells on a Web page

Use this procedure to put a range of cells on a Web page so that others can interact with the data. You can also put a range of cells on a Web page so that others can only view the data.

Before you save or publish data on a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. Select the range of cells you want to put on a Web page.

  2. On the File menu, click Save as Web Page.

    Show Me

  3. Click Publish.

  4. Under Viewing options, check the Add interactivity with box and click the type of functionality you want for your range of cells. Spreadsheet functionality is the most common type.

    Learn about ways to put Excel data on the Web.

  5. To add a title to the published data, click Change, type the title you want, and click OK.

  6. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  7. If you want to view the Web page in your browser after you publish it, select the Open published Web page in browser check box.

  8. Click Publish.

Notes

  • Some formatting and features for your range of cells are not retained when you save it as a Web page.

  • After you save your range of cells as a Web page, you can't open and modify the .htm file in Microsoft Excel without losing formatting and functionality. Use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to modify the Web page.


 Put an external data range on a Web page

Put an external data range on a Web page

Use this procedure to put an external data range on a Web page so that others can interact with the data and refresh it from the source data. You can also put an external data range on a Web page so that others can only view the data.

Before you save or publish data on a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. Select the external data range you want to put on a Web page.

  2. On the File menu, click Save as Web Page.

    Show Me

  3. Click Publish.

  4. Under Viewing options, select the Add interactivity with check box, and click the type of functionality you want for your external data range. If you want to be able to refresh the data on the Web page, click PivotTable functionality.

    Learn about ways to put Excel data on the Web.

  5. To add a title to the published data, click Change, type the title you want, and click OK.

  6. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  7. Click Publish.

Notes

  • If you want to publish or save an external data range with PivotTable functionality, and you do not want the data on the Web page to be refreshable, freeze the data in the external data range before you publish or save it.

  • Some of the formatting and features for your external data range are not retained when you save it as a Web page.

  • After you save your external data range as a Web page, you can't open and modify the .htm file in Microsoft Excel without losing formatting and functionality. Use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to modify the Web page.

  • Any manual changes you made to the external data range on your worksheet do not appear on the Web page.


 Put a worksheet on a Web page

Put a worksheet on a Web page

Use this procedure to put a worksheet on a Web page so that others can interact with the data. You can also put a worksheet on a Web page so that others can only view the data.

Before you save or publish data on a Web page, save your workbook as an .xls file so that you have a version you can modify if you want to later change your Web page.

  1. Click the worksheet you want to put on a Web page.

  2. On the File menu, click Save as Web Page.

    Show Me

  3. Click Publish.

  4. Make sure that Items on sheetname is selected in the Choose box and Sheet All contents of sheetname is selected in the list.

  5. Under Viewing options, select the Add interactivity with check box, and click the type of functionality you want for your worksheet.

    Learn about the differences between spreadsheet and PivotTable functionality.

  6. To add a title to the published worksheet, click Change, type the title you want, and click OK.

  7. In the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page.

  8. If you want to view the Web page in your browser after you publish it, select the Open published Web page in browser check box.

  9. Click Publish.

Notes

  • If you select a worksheet that contains a chart and publish it with interactive functionality, the chart will not be included on the Web page. To put an interactive chart on a Web page, you must save it separately.

  • Some formatting and features of your worksheet are not retained when you save it as a Web page.

  • After you save your worksheet as a Web page, you can't open and modify the .htm file in Microsoft Excel without losing formatting and functionality. Use Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 to modify the Web page.


Quick calculations on a worksheet (Create a simple formula)

To display this topic, click the graphic.

To display this topic, click the graphic


Quick calculations on a worksheet (Insert Totals)

To display this topic, click the graphic.

To display this topic, click the graphic


My workbook takes a long time to open.

When you open a workbook that was created in an earlier version of Microsoft Excel, the workbook is completely recalculated to ensure that all formulas are fully optimized for Excel 2000. After you save the workbook as an Excel 2000 workbook, the next time you open it, opening will take less time.

Learn about recalculating workbooks that were created in earlier versions of Microsoft Excel.


 Receive notification when a message is delivered

Receive notification when a message is delivered

This procedure is applicable only if you are using Microsoft Exchange Server, and you installed Microsoft Outlook in Corporate or Workgroup mode. How to get information about your Microsoft Outlook installation.

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Select Options.

  5. Under Voting and Tracking options, click Request a delivery receipt for this message.


 Receive notification when a message is read

Receive notification when a message is read

This procedure is applicable only if you installed Microsoft Outlook in Corporate or Workgroup mode. How to get information about your Microsoft Outlook installation.

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Select Options.

  5. Under Voting and Tracking options, click Request a read receipt for this message.


 Refresh an offline cube file from the original OLAP database

Refresh an offline cube file from the original OLAP database

Important Because the entire offline cube file has to be re-created, refreshing a cube can take a long time and can require a large amount of temporary disk space. To cancel a refresh in progress, press ESC.

Before you refresh the offline cube file, make sure you are connected to your network and can access the original OLAP database that supplied the data for the offline cube file.

  1. Click a PivotTable or PivotChart report that's based on the offline cube file that you want to refresh.

    If the report for which you created an offline cube file is currently connected to the OLAP server database, reconnect to the offline cube file.

  2. On the PivotTable toolbar, click Refresh Data [image] .

Notes

  • When you refresh an offline cube file, the entire file is re-created from the original server database, and the existing file on disk is replaced.

  • If you have based multiple PivotTable or PivotChart reports on the same offline cube file, all such reports are affected by the refresh.

  • How to solve problems with refreshing an offline cube file.


 Refresh an OLAP Cube Wizard data source from the original database

Refresh an OLAP Cube Wizard data source from the original database

Important Because the entire cube has to be re-created, refreshing a cube can take a long time. To cancel a refresh in progress, press ESC.

Before you refresh the cube, make sure you are connected to your network and can access the original relational database that supplied the data for the cube. If you aren't sure what original database was used to supply the data for the cube, consult the person who created the PivotTable report or the cube.

  1. Click a PivotTable or PivotChart report that's based on the cube that you want to refresh.

  2. On the PivotTable toolbar, click Refresh Data [image] .

Notes

  • Refreshing the cube does not require any changes to the cube definition (.oqy) file, if your report is based on this file.

  • When you refresh an offline cube file, the entire file is re-created from the original database, and the existing file on disk is replaced.

  • If you have based multiple PivotTable or PivotChart reports on the same offline cube file, all such reports are affected by the refresh.

  • How to solve problems with refreshing a cube.


 Preserve cell formatting when you refresh an external data range

Preserve cell formatting when you refresh an external data range

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. To preserve cell formatting that you apply, select the Preserve cell formatting check box under Data formatting and layout.

    To preserve column widths that you set, clear the Adjust column width check box under Data formatting and layout.

  3. Click OK.

  4. To refresh the external data range, click Refresh Data [image] on the External Data toolbar.


 Freeze data in an external data range

Freeze data in an external data range

In this procedure, Microsoft Excel retains the data in the external data range but does not save the underlying query information, which prevents further refreshing of the data.

This procedure does not delete saved database query files (*.dqy). If you saved the query when you created it in the Query Wizard or in Microsoft Query, the query file (*.dqy) is still saved on your computer and you can use it again to retrieve external data.

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. Under Query definition, clear the Save query definition check box.

Note After you save your workbook, the underlying query is permanently removed from the workbook.


 Replace a formula with its calculated value

Replace a formula with its calculated value

Caution When you replace a formula with its value, Microsoft Excel permanently removes the formula. If you accidentally replace a formula with a value and want to restore the formula, click Undo [image] immediately after you enter or paste the value.

  1. Select the cell that contains the formula.

    If the formula is an array formula, select the range that contains the array formula.

    How?

  2. Click Copy [image] .

  3. On the Edit menu, click Paste Special.
  4. Under Paste, click Values.


 Replace text or numbers

Replace text or numbers

  1. Select the range of cells you want to search.

    To search the entire sheet, click any cell.

  2. On the Edit menu, click Replace.

    Show Me

  3. In the Find what box, enter the text or numbers you want to search for.

  4. In the Replace with box, enter the replacement characters.

    To delete the characters in the Find what box, leave the Replace with box blank.

  5. Click Find Next.

  6. To replace the highlighted occurrence of the found characters, click Replace.

    To replace all occurrences of the found characters, click Replace All.

Note To cancel a search in progress, press ESC.


 Require a password to open a workbook

Require a password to open a workbook

When you create a password, write it down and keep it in a secure place. If you lose the password, you cannot open or gain access to the data in a password-protected workbook.

  1. On the File menu, click Save As.

    Show Me

  2. On the Tools menu, click General Options.

  3. In the Password to open box, type a password, and then click OK.

    Passwords are case sensitive. Type the password exactly as you want users to enter it, including uppercase and lowercase letters.

  4. In the Reenter password to proceed box, type the password again, and then click OK.

  5. Click Save.

  6. If prompted, click Yes to replace the existing workbook with the open workbook.

Note If you add a password-protected workbook to a binder, the password protection is lost. You will be prompted to enter the password when you add the workbook to the binder, but the protection is removed after it becomes a binder section.


 Require a password to save changes to a workbook

Require a password to save changes to a workbook

When you create a password, write it down and keep it in a secure place.

  1. On the File menu, click Save As.

    Show Me

  2. On the Tools menu, click General Options.

  3. In the Password to modify box, type a password, and then click OK.

    Passwords are case sensitive. Type the password exactly as you want users to enter it, including uppercase and lowercase letters.

  4. In the Reenter password to modify box, type the password again, and then click OK.

  5. Click Save.

  6. If prompted, click Yes to replace the existing workbook with the open workbook.

Notes

  • You can save changes to a password-protected workbook without using the password by first opening the workbook as read-only. Make the changes you want in the workbook, and then save it with a different name. The workbook saved with a new name does not require a password and is available for editing.

  • If you add a password-protected workbook to a binder, the password protection is lost. You will be prompted to enter the password when you add the workbook to the binder, but the protection is removed after it becomes a binder section.


 Reconnect to the original OLAP database after using an offline cube file

Reconnect to the original OLAP database after using an offline cube file

Use this procedure when you want your PivotTable or PivotChart report to retrieve its source data by connecting directly to the original OLAP database on the network server instead of using an offline cube file. If you want to re-create the offline cube file to include changes and updates from the original database, you can refresh the offline cube file.

  1. Click the PivotTable report.

    For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Client-Server Settings.

  3. Click Server-based data, and then click OK.

  4. If prompted to locate the data source, click Browse to find source, and locate the OLAP server on your network.

  5. To retrieve data from the server for the current view of the report, click Refresh Data [image] .

Note If the report was originally created by using a data source that connects directly to the offline cube file, you cannot reconnect the file to the server. For information about connecting to the OLAP database server from which the file was originally created, contact the creator of the offline cube file. Learn about OLAP data sources for reports.


 Reconnect to an offline cube file after using the original OLAP database

Reconnect to an offline cube file after using the original OLAP database

Use this procedure when you already have an offline cube file for a PivotTable or PivotChart report and want to resume using this file to provide the source data for the report after connecting directly to the original OLAP database on the network server. If you do not have an offline cube file and want to start using one, you can create a new offline cube file.

  1. Click the PivotTable report.

    For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Client-Server Settings.

  3. Click Local data file, and then click OK.

  4. To update the offline cube file with recent changes to the data from the server, click Refresh Data [image] .


Reset to the default Solver settings

  1. On the Tools menu, click Solver.

  2. To return the settings to their original values, click Reset All.


 Return a protected shared workbook to unrestricted use

Return a protected shared workbook to unrestricted use

When you remove protection from a shared workbook for which sharing is protected with a password, you also remove the workbook from shared use. When you remove a workbook from shared use, Microsoft Excel disconnects all other users from the workbook, turns off the change history, and erases the stored change history so that you can no longer view the history or merge this copy with other copies of the workbook. To ensure that others do not lose their work in progress, make sure that all other users have saved and closed the shared workbook. On the Tools menu, click Share Workbook, click the Editing tab, and then make sure you are the only person listed in the Who has this workbook open now box.

  1. On the Tools menu, point to Protection, and then click Unprotect Shared Workbook.

  2. If prompted, enter the password for the workbook.

  3. If prompted about the effects on other users of removing protection from the shared workbook, click Yes.

  4. If removing protection also removed the workbook from shared use, return the workbook to shared use.

    How?

Note If your shared workbook is protected but does not have a password, the workbook remains shared when you remove the protection.


Remove protection from an entire workbook

  • On the Tools menu, point to Protection, and then click Unprotect Workbook.

    If prompted, enter the password assigned when the workbook was protected. Passwords are case sensitive. You must type the password exactly as it was created, including uppercase and lowercase letters.


Remove protection from an individual worksheet

  1. Switch to the worksheet you want to return to full access.

  2. On the Tools menu, point to Protection, and then click Unprotect Sheet.

    If prompted, enter the protection password for the worksheet. Passwords are case sensitive. You must type the password exactly as it was created, including uppercase and lowercase letters.


 Reverse the plotting order of categories, values, or series

Reverse the plotting order of categories, values, or series

You can reverse the plotting order of categories or values for most charts, as well as of data series for 3-D charts with a third axis. You cannot reverse the plotting order of values in a radar chart.

  1. Click the axis for the categories, values, or series whose plotting order you want to change.

  2. On the Format menu, click Selected Axis, and then click the Scale tab.

  3. To reverse the plotting order of categories, select the Categories in reverse order check box.

    To reverse the plotting order of values, select the Values in reverse order check box.

    To reverse the plotting order of series for 3-D charts, select the Series in reverse order check box.


 Run a macro in Microsoft Excel

Run a macro in Microsoft Excel

To interrupt a macro before it completes its actions, press ESC.

  1. Open the workbook that contains the macro.

  2. On the Tools menu, point to Macro, and then click Macros.

    Show Me

  3. In the Macro name box, enter the name of the macro you want to run.

  4. Click Run.


 Run a macro from a Visual Basic module

Run a macro from a Visual Basic module

  1. Open the workbook that contains the macro.

  2. On the Tools menu, point to Macro, and then click Macros.

    Show Me

  3. In the Macro name box, enter the name of the macro you want to run.

  4. Click Edit.

  5. Click Run Sub/UserForm Run Sub/UserForm button.

Tip If you want to run a different macro while you are in the Visual Basic Editor, click Macros on the Tools menu. In the Macro name box, enter the name of the macro you want to run, and then click Run.


 Save a new, unnamed workbook

Save a new, unnamed workbook

  1. On the File menu, click Save As.

  2. In the Save in list, select the drive and folder where you want to save the workbook.

    To save the workbook in a new folder, click Create New Folder [image].

  3. In the File name box, type a name for the workbook.

    You can use long, descriptive file names.

  4. Click Save.

Tips

  • If you want quick access to a workbook, save it in the Favorites folder. To open the Favorites folder, click Favorites [image] on the Places Bar. To save the workbook in a different folder but still have quick access to it, you can place a shortcut to it in the Favorites folder.

  • To make it easier to find a workbook quickly, click Properties on the File menu. On the Summary tab, type information such as the workbook's title, subject, author, keywords, and comments. You can then use the information to find the file by clicking Find on the Tools menu (Open dialog box).


 Save a copy when you send a message

Save a copy when you send a message

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Select Options.

  5. Under Delivery options, click Save sent message to.

    To specify a folder to save the message in, click Browse.

Note This option applies to the current message only.


 Select where to put an external data range

Select where to put an external data range

  1. In the Returning External Data to Microsoft Excel dialog box, click Properties to control formatting and layout options for the external data range being brought into Microsoft Excel. For more information, click [image] .

  2. To return the external data range to the selected worksheet, click Existing worksheet. On your worksheet, click the cell where you want to place the upper-left corner of the external data range, and then click OK.

    To return the external data range to a new worksheet, click New worksheet, and then click OK. Microsoft Excel adds a new worksheet to your workbook and automatically puts the external data range in the upper-left corner of the new worksheet.

    To use the external data in a PivotTable report, click PivotTable Report, and then click OK.

Note You can check the status of a query that's running in the background and taking a long time to return data. While the query is executing, click Refresh Status [image] on the External Data toolbar. To cancel the query, click Stop Refresh.


 Send a worksheet as the body of an e-mail message directly from Excel

Send a worksheet as the body of an e-mail message directly from Excel

System requirements for mailing workbooks and worksheets

  1. In Excel, click E-mail [image] on the Standard toolbar.

  2. Click Send single sheet as message body.

  3. In the To and Cc boxes, enter recipient names, separated by semicolons.

    To select recipient names from a list, click the icon next to To or Cc. The name of the worksheet appears in the Subject box by default, but you can type another name.

  4. Set the options you want for this message .

  5. Click Send this Sheet [image] .


 A Web page that I opened has the wrong character set or font.

A Web page that I opened has the wrong character set or font.

If the wrong font for a Web page or plain text file is applied when you import a Web page into Microsoft Excel, you can select the character set that you think the page is encoded in. Then you can choose from a list of fonts that depends on which character set you chose.

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Fonts tab.

  3. In the Character set list, click the character set that you think the Web page uses.

  4. In the Proportional font and Size lists, click a font and size for normal text.

  5. In the Fixed-width font and Size lists, click a font and size for monospace text.

    Note This option applies to the current page and any future pages that you import in Excel.


 Set the importance level for a message

Set the importance level for a message

System requirements for mailing workbooks and worksheets

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send single sheet as message body.

  4. Do one of the following:

    To mark the message as very important, click Importance: High [image] .

    To mark the message as not important, click Importance: Low [image] .

    To remove the importance-level symbol from the message, click the Importance: High or Importance: Low button again.


 Set a message flag

Set a message flag

System requirements for mailing workbooks and worksheets

Flagging a message is a quick way to either mark a message that you want to follow up or mark a message with a request for someone else. When the recipient receives a message with a flag, a comment on the purpose of the flag appears at the top of the message. If you set a due date, the date also appears.

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send single sheet as message body.

  4. Click Message Flag

  5. In the Flag to box, enter the flag you want.

    To clear a flag you've already entered, click Clear Flag.

  6. In the Reminder box, enter a due date.


Set Solver solution time and iterations

  1. On the Tools menu, click Solver.

  2. Click Options.

  3. In the Max Time box, type the number of seconds that you want to allow for the solution time.

  4. In the Iterations box, enter the maximum number of iterations that you want to allow.

Notes

  • If the solution process reaches the maximum time or number of iterations before Solver finds a solution, Solver displays the Show Trial Solution dialog box.

  • More information about options in the Show Trial Solution dialog box.


Set the degree of precision and convergence in Solver

  1. On the Tools menu, click Solver.

  2. Click Options.

  3. In the Precision box, type the degree of precision that you want — the smaller the number, the higher the precision.

  4. In the Convergence box, type the amount of relative change you want to allow in the last five iterations before Solver stops with a solution — the smaller the number, the less relative change that is allowed.

    More information about options in the Solver Options dialog box.


Set the integer tolerance in Solver

  1. On the Tools menu, click Solver.

  2. Click Options.

  3. In the Tolerance box, type the percentage of error you want to allow in the solution.

    More information about options in the Solver Options dialog box.


 Change the precision of calculations in a workbook

Change the precision of calculations in a workbook

Caution When you change the precision of the calculations in a workbook by using the displayed (formatted) values, Microsoft Excel permanently changes any constant values on the worksheets in the workbook. If you later choose to calculate with full precision, the original underlying values cannot be restored.

  1. On the Tools menu, click Options, and then click the Calculation tab.

  2. Under Workbook options, select the Precision as displayed check box.


 Show summary data for all page field items in a PivotTable or PivotChart report

Show summary data for all page field items in a PivotTable or PivotChart report

  1. Click the arrow Field arrow next to the displayed page field item.

  2. Click All.

Notes

  • The All option is not available for page fields that query for external data as you select each item. Learn about page field settings.

  • Some page fields in PivotTable and PivotChart reports that are based on source data from OLAP databases may not have the All option, depending on how the OLAP database is set up. If All is present, it is the first item at the top of the list.

  • When you change the page field item in a PivotTable report that is associated with a PivotChart report, some chart formatting may be lost.


 Display or hide items in a PivotTable or PivotChart page field

Display or hide items in a PivotTable or PivotChart page field

Use this procedure for PivotTable and PivotChart reports that are based on non-OLAP source data. For PivotTable and PivotChart reports that are based on source data from OLAP databases, you can drag the page field temporarily to the row or column area, display or hide the items, and then drag the field back to the page area. How to tell whether a PivotTable report is based on OLAP data.

  1. If the PivotTable or PivotChart report is based on external data, make sure the page field is set to retrieve external data for all of its items at the same time.

    How?

  2. Click Field Settings [image] on the PivotTable toolbar.

  3. Under Hide items, select each item that you want to hide, and clear selection from each item that you want to show. To select multiple items, hold down CTRL while you click the items.

  4. To show or hide items that have no data, select or clear the Show items with no data check box.

Notes

  • Example of items with no data If you have sales data broken down by months, and there were no sales in April, you will see an item for April sales only if you show items with no data.

  • Hidden items in totals By default, hidden items are not included in totals and subtotals. To include hidden items, click PivotTable or PivotChart on the PivotTable toolbar, click Table Options or Options, and then select the Subtotal hidden page items check box. To exclude hidden items, clear the check box.

  • Effects on source data When you hide the data in a PivotTable or PivotChart report, the source data is not affected.

  • Effects on display of top or bottom items For PivotTable and PivotChart reports that are based on source data from OLAP databases, changing the items selected for display resets the display of top or bottom items so that your selected items are displayed instead of the top or bottom ones.

  • Effects on associated PivotChart reports When you display or hide items in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Show or hide detail for a series in a PivotChart report

Show or hide detail for a series in a PivotChart report

  1. Click the series for which you want to show or hide detail.

  2. On the PivotTable toolbar, click Show Detail [image] or Hide Detail [image] .

    If prompted, double-click the field that has the detail you want to show.

Notes

  • Some formatting in your PivotChart report, including trendlines and error bars, might not be retained when you show or hide detail.

  • You can use a different procedure to show or hide different levels of detail for PivotChart reports that are based on OLAP source data.

  • You can show detail for individual slices in a pie chart, but the Show Detail button is not available when you select an entire pie chart.


 Display the top or bottom items for a PivotTable or PivotChart field

Display the top or bottom items for a PivotTable or PivotChart field

  1. Double-click the field for which you want to show items. For a PivotChart report, double-click the field in the associated PivotTable report.

  2. In the PivotTable Field dialog box, click Advanced.

  3. Under AutoShow options, click Automatic.

  4. In the Show box, click Top or Bottom, and in the box to the right, enter the number of items that you want to display.

  5. In the Using field box, click the field that contains the values that you want to use to determine the top or bottom items.

Notes

  • Effects of refreshing or making changes When you refresh the PivotTable or PivotChart report, change its layout, or display a different page field item, Microsoft Excel recalculates and displays the new top or bottom items.

  • Hidden items While Excel is displaying the top or bottom items, other items for the field are hidden. To restore the display of these items, click Manual under AutoShow options. Totals and subtotals in the PivotTable or PivotChart report may either include or exclude hidden items. Learn about how totals and subtotals are calculated.

  • Hidden levels In reports that are based on source data from OLAP databases, when you display the top or bottom items for a level in a dimension field, lower levels in the same dimension are also affected. For example, if a dimension has levels Country, Region, and City, and you display the top ten countries, the report will also display the top ten regions in each country and the top ten cities in each region. If you hide upper levels of detail, make sure you display the highest level for which you displayed the top or bottom items.

  • Effects on associated PivotChart reports When you display top or bottom items in a PivotTable report associated with a PivotChart report, some PivotChart report formatting may be lost.


 Sort columns based on the contents of rows

Sort columns based on the contents of rows

  1. Click a cell in the list you want to sort.

  2. On the Data menu, click Sort.

    Show Me

  3. Click Options.

  4. Under Orientation, click Sort left to right, and then click OK.

  5. In the Sort by and Then by boxes, click the rows you want to sort.


 Sort rows based on the contents of two or more columns

Sort rows based on the contents of two or more columns

For best results, the list you sort should have column labels.

  1. Click a cell in the list you want to sort.

  2. On the Data menu, click Sort.

    Show Me

  3. In the Sort by and Then by boxes, click the columns you want to sort.

    If you need to sort by more than three columns, sort by the least important columns first. For example, if your list contains employee information and you need to organize it by Department, Title, Last Name, and First Name, sort the list twice. First, click First Name in the Sort by box and sort the list. Second, click Department in the Sort by box, click Title in the first Then by box, and click Last Name in the second Then by box, and sort the list.

  4. Select any other sort options you want, and then click OK.

    Repeat steps 2 through 4 if needed, using the next most important columns.

Notes

  • If the column you specify in the Sort by box has duplicate items, you can sort the values further by specifying another column in the first Then by box. If there are duplicate items in the second column, you can specify a third column to sort by in the second Then by box.

  • When you sort rows that are part of a worksheet outline, Microsoft Excel sorts the highest-level groups (level 1) so that the detail rows or columns stay together, even if the detail rows or columns are hidden.


 Sort PivotTable or PivotChart items by labels

Sort PivotTable or PivotChart items by labels

  1. Click the field that you want to sort on.

    For a PivotChart report, click the field in the associated PivotTable report. To sort the chart's series labels, click the table's corresponding column field. To sort the chart's category labels, click the table's corresponding row field.

  2. On the Data menu, click Sort.

  3. Under Sort by, click Ascending or Descending.

  4. Under Sort, click Labels.

Notes

  • To sort by labels automatically whenever you refresh or change the layout of the PivotTable report, double-click the field that you want to sort on, click Advanced in the PivotTable Field dialog box, and under AutoSort options, click Ascending or Descending. In the Using field box, click the same field that you are sorting on.

  • When you sort data in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.


 Sort PivotTable or PivotChart items by values in the data area

Sort PivotTable or PivotChart items by values in the data area

  1. Double-click the field that contains the items that you want to sort on. To sort the series labels in a PivotChart report, double-click the series field. To sort the category labels, double-click the category field.

    In a PivotTable report, if you select a column field, items will be sorted from left to right. If you select a row field, items will be sorted from top to bottom.

  2. In the PivotTable Field dialog box, click Advanced.

  3. Under AutoSort options, click Ascending or Descending.

  4. In the Using field box, click the data field that has the values that you want to use to sort the items.

Notes

  • If you don't want to retain the new sorting sequence when you refresh or change the layout of the table, sort the items manually. Click Manual under AutoSort options, and then click OK twice. Select the field that you want to sort on, and then click Sort on the Data menu. In the Sort by box, enter a cell in the data area for the values that you want to use to sort on.

  • When you sort data in a PivotTable report that is associated with a PivotChart report, some PivotChart report formatting may be lost.

  • When you hide upper levels in a dimension field of a report that is based on source data from an OLAP database, your AutoSort options settings for hidden levels no longer affect the lower levels that are still displayed. If you sort the highest level that is still displayed, all items in that level are sorted together. For example, if your dimension has Region and City levels, and you hide the Region level and then set the Ascending option for the City level, cities from different regions are then sorted together.


 Sort months, weekdays, or custom lists

Sort months, weekdays, or custom lists

  1. Select a cell or range in the list you want to sort.

  2. On the Data menu, click Sort.

    Show Me

  3. Click Options.

  4. Under First key sort order, click the custom sort order you want, and then click OK.

  5. Click any other sorting options you want.

Notes

  • The custom sort order applies only to the column specified in the Sort by box. To sort multiple columns by using a custom sort order, sort by each column separately. For example, to sort by columns A and B, in that order, first sort by column B, and then specify the custom sort order by using the Sort Options dialog box. Next, sort the list by column A.

  • If you want to arrange a list in a specific order — for example, organizational data — you can sort it by using a custom list for the custom sort order. For more information about adding a custom list, click [image] .


 Sort rows in ascending order based on the contents of one column

Sort rows in ascending order based on the contents of one column

If you previously sorted a list on the same worksheet, Microsoft Excel uses the same sorting options unless you change them.

  1. Click a cell in the column you would like to sort by.

  2. Click Sort Ascending [image] .

Note In a PivotTable, Microsoft Excel uses the selected field to sort items in ascending alphabetic order. Numbers are sorted from lowest to highest value.


 Sort rows in descending order based on the contents of one column

Sort rows in descending order based on the contents of one column

If you previously sorted a list on the same worksheet, Microsoft Excel uses the same sorting options unless you change them.

  1. Click a cell in the column you would like to sort by.

  2. Click Sort Descending [image] .

Note In a PivotTable, Microsoft Excel uses the selected field to sort items in descending alphabetic order. Numbers are sorted from highest to lowest value.


 Specify an additional startup folder

Specify an additional startup folder

Caution Because Microsoft Excel will attempt to open every file in the additional startup folder, make sure you specify an empty folder or a folder that contains only files that Excel can open.

  1. On the Tools menu, click Options, and then click the General tab.

    Show Me

  2. In the Alternate startup file location box, type the path to the additional startup folder.

Note If a file with the same name is in both the XLStart folder and the additional startup folder, the file in the XLStart folder opens.


 Specify how new data is added when the size of an external data range changes

Specify how new data is added when the size of an external data range changes

  1. If the External Data Range Properties dialog box is not displayed, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.

  2. To control whether new cells or entire rows are inserted, or to replace existing data when you refresh and the size of an external data range changes, click the option you want under If the number of rows in the data range changes upon refresh.


 Specify which e-mail account to use to send a message

Specify which e-mail account to use to send a message

This procedure is applicable only if you installed Microsoft Outlook in Internet Mail Only mode. How to get information about your Microsoft Outlook installation.

  1. In Microsoft Excel, select the worksheet you want to send.

  2. On the Standard toolbar, click E-mail [image] .

  3. Click Send entire workbook as attachment or Send single sheet as message body.

  4. Click Options.

  5. In the Send message using box, click the account you want to use, and then click Close.


View two parts of a sheet at the same time

  1. At the top of the vertical scroll bar or at the right end of the horizontal scroll bar, point to the split box.

  2. When the pointer changes to a split pointer [image], drag the split box down or to the left to the position you want.

For information about viewing multiple sheets or workbooks at the same time, click [image] .


Start NetMeeting

  • On the Windows Start menu, point to Programs and then click NetMeeting.


Stop a workbook from loading when Excel starts

Workbook stored in an XLStart folder All workbooks stored in an XLStart folder load automatically when you start Microsoft Excel. In Windows Explorer, move the workbook icon out of the XLStart folder.

Workbook stored in an additional startup folder On the Tools menu, click Options, and then click the General tab. Change or delete the path in the Alternate startup file location box.

Shortcut with a startup switch specifying a workbook You may need to remove the startup switch.

Note If you want to prevent the loading of a blank workbook, use a startup switch.


 Use more than one summary function for a PivotTable or PivotChart data field

Use more than one summary function for a PivotTable or PivotChart data field

You can use this procedure to select multiple summary functions only for fields in PivotTable reports that are based on non-OLAP source data. For reports that are based on OLAP data, each data field has a single summary function, and the available summary functions and fields depend on how the cube was defined on the server. You can add another data field with a different summary function only if such a field is available from the server. For information about summary functions available for your source data, contact your OLAP database administrator.

To see the results of different summary functions for a data field in a PivotChart report, do the following procedure in the associated PivotTable report. The results will be reflected in the chart.

  1. From the list of fields on the PivotTable toolbar, click a field that is already summarized in the data area of the PivotTable report, and drag it onto the data area a second time.

  2. In the data area of the PivotTable report, click the new field, and then click Field Settings [image] on the PivotTable toolbar.

  3. Under Summarize by, select another summary function for the field.

Learn about the summary functions available for PivotTable and PivotChart reports that are based on data from sources other than OLAP databases.


There are gaps between the dates plotted in my chart.

If the worksheet data for the category axis contains date number formatting, Microsoft Excel automatically uses a special type of axis in your chart called a time-scale axis. A time-scale axis shows a blank category for dates for which you have no data. If you do not want to see these gaps — for example, if you have data for 1-Jan, 15-Jan, 3-Feb, 12-Feb, and 2-Mar, and you want to plot the days next to each other — you can change the time-scale axis to a standard category axis. Click the chart to select it, and then click Chart Options on the Chart menu. Then on the Axes tab, click Category under Category (X) axis.

For more information about time-scale axes, click [image] .


 Text is missing along the horizontal axis of the chart.

Text is missing along the horizontal axis of the chart.

There may not be enough room in the chart to display all of the axis labels. If some of the category names aren't visible along the horizontal axis of the chart, try the following:

  • If the chart is an embedded chart, click the chart, and then drag one of the black sizing handles to enlarge the chart. By default, the fonts in the chart scale proportionally as you resize the chart.

  • Click the axis, click the arrow next to Font Size [image] , and then click a smaller font size.

  • Double-click the axis labels, and then change the rotation angle on the Alignment tab. If the angle is 0, 90, or – 90 degrees, the text will wrap.


 Microsoft Excel beeps when I click the Trace Dependents button or the Trace Precedents button.

Microsoft Excel beeps when I click the Trace Dependents button or the Trace Precedents button.

If Microsoft Excel beeps when you click Trace Dependents [image] or Trace Precedents [image] on the Auditing toolbar, either Microsoft Excel has traced all levels of the formula, or you are attempting to trace an item that cannot be traced. The following items on worksheets that can be referenced by formulas cannot be traced by using the auditing tools:

  • References to text boxes, embedded charts, or pictures on worksheets

  • PivotTable reports

  • References to named constants

  • Formulas located in another workbook that refer to the active cell if the other workbook is closed


Why are the auditing commands unavailable on my worksheet?

The auditing commands are not available on a protected worksheet. To remove protection from the worksheet, point to Protection on the Tools menu, and then click Unprotect Sheet.


 When I change my worksheet, the tracer arrows disappear.

When I change my worksheet, the tracer arrows disappear.

All tracer arrows disappear if you change the formula the arrows point to, insert or delete columns or rows, or delete or move cells. To restore the tracer arrows after making any of these changes, you must use auditing commands on the worksheet again.

Tip To keep track of the original tracer arrows, print the worksheet with the tracer arrows displayed before you make the changes.


 Change when a worksheet or workbook calculates

Change when a worksheet or workbook calculates

  1. On the Tools menu, click Options, and then click the Calculation tab.

  2. Under Calculation, select an option.

    For Help on an option, click the question mark [image] and then click the option.

  3. If you select an option other than Automatic, press F9 to calculate all worksheets in all open workbooks.

    To calculate only the active worksheet, press SHIFT+F9.

Note If a worksheet contains a formula that is linked to a worksheet that has not been calculated and you update that link, Microsoft Excel displays a message stating that the source worksheet is not completely calculated. To update the link with the current value stored on the source worksheet, even though the value might not be correct, click OK. To cancel updating the link and use the previous value obtained from the source worksheet, click Cancel.


Types of data validation messages

Error type | Buttons | Effects
Information | OK | Enters the invalid data in the cell (default).
 | Cancel | Restores the previous value to the cell.
Stop | Retry | Returns to the cell for further editing (default).
 | Cancel | Restores the previous value to the cell.
Warning | Yes | Enters the invalid data in the cell.
 | No | Returns to the cell for further editing (default).
 | Cancel | Restores the previous value to the cell.

Note The Warning error type includes the text "Continue?" above the buttons. For all error types, if you don't enter any text in the Error message box, the message displays the following text: "The value you entered is not valid. A user has restricted values that can be entered into this cell."


 Limitations of change highlighting in Microsoft Excel

Limitations of change highlighting in Microsoft Excel

When you use the Highlight Changes command (Tools menu, Track Changes submenu), Microsoft Excel highlights the following changes:

  • Changes to cell contents, including moved and pasted contents

  • Inserted and deleted rows and columns

Microsoft Excel does not highlight the following changes:

  • Formatting changes

  • Hidden and unhidden rows and columns

  • Changes to the names on worksheet tabs. You can view information about changes to worksheet names on the History worksheet.

  • Inserted or deleted worksheets

  • New comments and changes to comments. If a user has added a comment to a highlighted cell, the user's comment appears after the change information when you rest the pointer over the cell.

  • Cell values that change because of changes to dependent cells used in formulas. To view information about these changes, use the Auditing toolbar.

  • Because the workbook is shared, you can make only certain types of changes because some features are unavailable. For more information, click [image] .

Notes

  • You can review changes in the order that they were made, then accept or reject each change. For more information, click [image] .

  • You can highlight changes as you make them, but the History worksheet shows only the changes that have been saved. To include all changes from your current session on the History worksheet, save the workbook before you display the History worksheet.

  • Some Microsoft Excel commands and operations are not available in a shared workbook. For more information, click [image] .


 Unload an add-in program from Microsoft Excel

Unload an add-in program from Microsoft Excel

  1. On the Tools menu, click Add-Ins.

    Show Me

  2. In the Add-Ins available box, clear the check box next to the add-in you want to unload.

  3. To remove the add-in from memory, restart Excel.

    Note When you unload an add-in from Excel, it is not removed from your computer system. How to remove an add-in program from your computer.


Specify which graphic objects can be changed after a worksheet is protected

To unlock graphic objects so that they can be changed, the worksheet must not be protected. For information about removing protection from a worksheet, click [image] .

Graphic objects include embedded charts, maps created with the Microsoft Excel mapping feature, buttons, text boxes, and other objects created by using the Drawing or Forms toolbar. You do not need to unlock a button or control to be able to use it so that it performs its assigned function after you protect the worksheet. However, if you have a linked cell, you must unlock the cell if the contents of the worksheet are protected. Unlock a button only if you want to be able to change its text, appearance, or properties.

  1. Select a graphic object you want to unlock by holding down CTRL and clicking the object.

  2. On the Format menu, click the command for the object you selected. Depending on the type of graphic object, the command could be AutoShape, Object, Text Box, Picture, Control, or WordArt.

  3. Click the Protection tab.

  4. Clear the Locked check box.

    If the selected object is a text box, label, group box, button, check box or option button, clear the Lock text check box.

Note After you protect the worksheet, the graphic objects that you unlocked by using this procedure are the only ones that can be changed.

Tips

  • To see which elements on a worksheet are graphic objects, click Go To on the Edit menu, click Special, and then click Objects.

  • To move between unlocked graphic objects on a protected worksheet, click an unlocked object, and then press TAB to move to the next object.

  • When a worksheet has protected objects, you can only assign a macro to a button if the Lock text check box is selected and the Locked check box is cleared.


 Specify which cells can be changed after a worksheet is protected

Specify which cells can be changed after a worksheet is protected

To unlock cells so that they can be changed, the worksheet must not be protected. For information about removing protection from a worksheet, click [image] .

  1. Select the cell range you want to unlock.

    How?

  2. On the Format menu, click Cells, and then click the Protection tab.

  3. Clear the Locked check box.

Note After you protect the worksheet, the cells that you unlocked in this procedure are the only cells that can be changed.

Tip To move between unlocked cells on a protected worksheet, click an unlocked cell, and then press TAB.


 Refresh data in a PivotTable or PivotChart report

Refresh data in a PivotTable or PivotChart report

  1. Click the PivotTable or PivotChart report.

  2. On the PivotTable toolbar, click Refresh Data [image] .

Notes

  • Refresh from OLAP source data If PivotTable and PivotChart reports are based on source data from OLAP databases, Microsoft Excel refreshes them automatically whenever you change what's displayed in the report. If your source data is from an offline cube file, the Refresh Data command connects Excel to the original OLAP database and refreshes both the data in the cube file and the data displayed in the report, then disconnects from the OLAP database. How to refresh cubes and cube files.

  • Refreshing automatically You can have Excel refresh a PivotTable or PivotChart report whenever you open the workbook and/or at timed intervals. Click PivotTable (or PivotChart) on the PivotTable toolbar, and then click Table Options (or Options). Under Data options, select the Refresh on open check box to refresh whenever you open the workbook. To refresh a report from the external source data periodically, select the Refresh every check box, and then enter the interval you want in the minutes box. This check box is unavailable for reports that are based on Excel source data.

  • Adding new fields from the refreshed data If the PivotTable or PivotChart report is based on a Microsoft Excel list and you have added new fields within the source data range, the new fields appear in the field list on the PivotTable toolbar after the PivotTable or PivotChart report is refreshed. You can then add the new fields to the PivotTable or PivotChart report. If new fields or data become available outside the original source range, you can expand the source range.

  • Entering your password automatically To save the password for your external database as a part of the query so that you don't have to enter the password whenever the PivotTable or PivotChart report is refreshed, click PivotTable (or PivotChart) on the PivotTable toolbar, and then click Table Options (or Options). Select the Save password check box under External data options. If this option is unavailable, your administrator may have disabled it.

  • Effects of refreshing on PivotChart formatting When you refresh a PivotChart report or the PivotTable report that is associated with a PivotChart report, some chart formatting may be lost.


 Use a custom sort order in a PivotTable or PivotChart report

Use a custom sort order in a PivotTable or PivotChart report

  1. Click the field that you want to sort on.

    For a PivotChart report, click the field in the associated PivotTable report. To sort the chart's series labels, click the table's corresponding column field. To sort the chart's category labels, click the table's corresponding row field.

  2. On the Data menu, click Sort.

  3. Click Options.

  4. In the First key sort order box, click an option.

Notes

  • Custom sort order doesn't persist when you refresh The custom sort order is not preserved when you refresh the PivotTable report. To restore the custom sort order, sort on the field again.

  • Creating a new custom sort order For information about creating your own custom sort order, click [image] .

  • Built-in custom sort orders When you sort a PivotTable report that contains items that are usually sorted chronologically — such as Jan, Feb, Mar — rather than alphanumerically, Microsoft Excel automatically sorts the items by using a built-in custom sort order. If you sort or move items into another order, use the procedure above to return the items to the original, chronological sort order.

  • Effects on associated PivotChart reports When you sort data in a PivotTable report associated with a PivotChart report, some PivotChart report formatting may be lost.


Enter data in a Microsoft Excel list by using a Microsoft Access form

Use this procedure when you want to enter data by using a Microsoft Access form that you previously created by using the MS Access Form command on the Data menu.

  1. On the worksheet, click the View MS Access Form button to the right of your list.

  2. The form you previously created is displayed so that you can enter data. For information about entering data in the form, see Microsoft Access Help.

Notes

  • If Microsoft Excel cannot find the form, the Create Microsoft Access Form dialog box appears. To look for the Microsoft Access .mdb file that is linked with your worksheet, click Browse.

  • For more information about the Microsoft Access form and the Microsoft Access Form Wizard, see Microsoft Access Help.


 Use Microsoft Excel data as a mailing list in Word

Use Microsoft Excel data as a mailing list in Word

You can use this procedure to create form letters, mailing labels, and other merged documents by merging a list of data with a Word document. You must create the list before you perform this procedure. The list must include column labels and contain no blank rows. For information about creating a list, click [image] .

  1. Save and close the workbook that contains the list you want to merge with a document in Word.

  2. Switch to Microsoft Word.

  3. Open the Word main document that contains the standard text for the form letter or other document you want to merge with the list.

    If you're starting a new document or printing mailing labels or envelopes, click New [image] to open a new blank document.

  4. On the Tools menu in Word, click Mail Merge.

  5. Click Create, and select the type of document.

  6. Click Get Data, and then click Open Data Source.

  7. In the Open Data Source dialog box, open the folder that contains your Microsoft Excel workbook.

  8. In the Files of type box, click MS Excel Worksheets (*.xls).

  9. Double-click the workbook that contains your data.

  10. In the Microsoft Excel dialog box, select the named range, or type the cell references that identify the data you want to use, and then click OK.

  11. When Word displays a message, click Edit Main Document or Set Up Main Document.

  12. If you're creating a form letter, use the Insert Merge Field list on the Mail Merge toolbar to insert merge fields within the standard text. When you finish, click Mail Merge Helper [image] on the Mail Merge toolbar.

    If you're printing address labels or envelopes, select the printer and the size of address labels or envelopes. Then insert the merge fields in the Create Labels or Envelope Address dialog box.

  13. In the Mail Merge Helper dialog box, click Merge, and then select the options you want.

Tips

  • For more information about creating merged documents in Word, use the Office Assistant or Help index in Word to search for "mail merge."

  • To display only the rows of data you want to merge before you select the list in Word, you can first filter the list in Microsoft Excel. When you select a filtered list as a data source in Word, select _FilterDatabase in the Microsoft Excel dialog box. For information about filtering a list, click [image] .


 View workbook changes made by other users

View workbook changes made by other users

This procedure displays the changes made by all other users since the last time you saved the shared workbook.

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    Show Me

  2. Make sure the Track changes while editing check box is selected. This check box turns on workbook sharing and the change history.

    If the Track changes while editing check box is not selected, Microsoft Excel has not saved any changes for you to view.

  3. Make sure the When check box is selected, and then click Since I last saved in the When box.

  4. Make sure the Who and Where check boxes are cleared.

  5. To view the changes highlighted on the worksheet and display details when you rest the pointer over a changed cell, select the Highlight changes on screen check box.

    To view the details about changes on a separate History worksheet, select the List changes on a new sheet check box.

  6. Click OK, and if prompted, save the workbook.

Notes

  • The List changes on a new sheet check box becomes available only after the workbook has been saved with the Track changes while editing check box selected.

  • If you save the workbook, Excel removes the History worksheet. To view the History worksheet after you save, you must repeat steps 1 through 6.


 View the history of all changes to a workbook

View the history of all changes to a workbook

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    Show Me

  2. Make sure the Track changes while editing check box is selected. This check box turns on workbook sharing and the change history.

    If the Track changes while editing check box is not selected, Microsoft Excel has not saved any changes for you to view.

  3. Select the When check box, and then click All in the When box.

  4. To view the changes on a separate History worksheet that lets you filter the information to find the changes you want, select the List changes on a new sheet check box.

    To view the changes highlighted on the worksheet and display details when you rest the pointer over a changed cell, select the Highlight changes on screen check box.

  5. Click OK, and if prompted, save the workbook.

Notes

  • The List changes on a new sheet check box becomes available only after the workbook has been saved with the Track changes while editing check box selected.

  • If you list the changes on a new sheet, you can find specific types of changes by filtering the list. On the History worksheet, click the arrow to the right of the column label for a column that has information you want to find, and select the type of data you want to display in that column. You can refine your search by filtering other columns.

  • Excel does not update the History worksheet automatically. To update the History worksheet so that it includes changes made and saved since the last time you displayed it, save the workbook and then repeat steps 1 through 5 to display the History worksheet again.


 View workbook changes for a particular date, user, or range of cells

View workbook changes for a particular date, user, or range of cells

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    Show Me

  2. Make sure the Track changes while editing check box is selected. This check box turns on workbook sharing and the change history.

    If the Track changes while editing check box is not selected, Microsoft Excel has not saved any changes for you to view.

  3. Under Highlight which changes, select the types of changes you want to see. You must select at least one of the following:

    To view changes entered since a specific date, select the When check box, click Since date in the When box, and then type a date in the When box. To view changes from the time when the change history was turned on, click All in the When box.

    To view changes made by a specific user, select the Who check box, and then click a user in the Who box.

    To view all changes to a specific range of cells, select the Where check box, and then enter a range reference in the Where box, or select a range on the worksheet. To view changes to the entire workbook, clear the Where check box.

  4. To view the changes highlighted on the worksheet and display details when you rest the pointer over a changed cell, select the Highlight changes on screen check box.

    To view the details about changes on a separate History worksheet, select the List changes on a new sheet check box.

  5. Click OK, and if prompted, save the workbook.

Notes

  • The List changes on a new sheet check box becomes available only after the workbook has been saved with the Track changes while editing check box selected.

  • If you save the workbook, Excel removes the History worksheet. To view the History worksheet after you save, you must repeat steps 1 through 5.


Ways to find values in a list by using filters (Advanced filter)

To display this topic, click the graphic.

To display this topic, click the graphic


Ways to find values in a list by using filters (Basic AutoFilter)

To display this topic, click the graphic.

To display this topic, click the graphic


Ways to find values in a list by using filters (Custom AutoFilter)

To display this topic, click the graphic.

To display this topic, click the graphic


Ways to find values in a list by using filters (Filter by selection)

To display this topic, click the graphic.

To display this topic, click the graphic


What to do before you print (Add headers and footers)

To display this topic, click the graphic.

To display this topic, click the graphic


What to do before you print (Change the layout)

To display this topic, click the graphic.

To display this topic, click the graphic


What to do before you print (Check page breaks)

To display this topic, click the graphic.

To display this topic, click the graphic


What to do before you print (Format the sheet on-screen)

To display this topic, click the graphic.

To display this topic, click the graphic


What to do before you print (Preview and adjust margins)

To display this topic, click the graphic.

To display this topic, click the graphic


What to do before you print (Repeat titles on every page)

To display this topic, click the graphic.

To display this topic, click the graphic


 What you need to know about working in a shared workbook

What you need to know about working in a shared workbook

Viewing and changing a shared workbook differs from working in a workbook that is not shared in the following ways:

Shared workbooks require Microsoft Excel 97 or later To make changes to a shared workbook, you must use Microsoft Excel 97 or later. You cannot use earlier versions. You can work on the same shared workbook from both Windows-based and Macintosh computers if you are using Excel for Windows, version 97 or later, or Excel for the Macintosh, version 98 or later.

Excel identifies you by your user name When you make changes to a shared workbook, Microsoft Excel uses your user name to identify your work. To set your user name, click Options on the Tools menu, and then click General. Type your user name in the User name box.

Some commands are not available Some Excel commands and operations are not available in a shared workbook. For more information, click [image] .

Multiple comments may appear in a cell If more than one user adds a comment to the same cell in a shared workbook, the text of all saved comments for the cell appears when each user saves the shared workbook.

You can view changes made by others By default, you see changes made by other users who have saved their copies of the workbook whenever you save the shared workbook. If you prefer, you can get these updates automatically at specified intervals. Each user can specify a different update interval. For more information, click [image] .

You can resolve conflicts manually or automatically By default, if changes you are saving conflict with changes saved by another user, Excel displays the Resolve Conflicts dialog box so that you can decide whether to save your changes or keep the changes made by others. You can also choose to save your changes automatically instead of reviewing conflicting changes so that you never see the dialog box. For more information, click [image] .

Excel saves each user's filter and print settings By default, Excel saves each user's personal filter and print settings for a shared workbook. For more information, click [image] .

You can view all changes to a shared workbook You can view a complete list of changes to the workbook, including the names of the users who made the changes, data that was deleted or replaced, and information about conflicting changes. For more information, click [image] .


I added words to a custom dictionary, but Excel still questions them.

  • If Microsoft Excel questions a word when it appears with mixed lowercase and capital letters — all lowercase, initial capital, or all capital letters — reenter the word in the custom dictionary in all lowercase letters. Various capitalizations of the word are then recognized.

  • The word may be in a different custom dictionary. Excel can consult only one custom dictionary at a time. When Excel questions a word during a spelling check, make sure the correct custom dictionary is selected in the Add words to box in the Spelling dialog box.

  • A custom dictionary might contain a nonprintable character or a misspelled word. Use the Notepad accessory program to open the custom dictionary that you use with Excel. Correct any words and delete any nonprintable characters, which are usually displayed as small boxes. Then save the dictionary in the folder that contains the main spelling dictionary. If you use Microsoft Word or another program to edit a custom dictionary, save the dictionary in Text Only format with a .dic file extension.


Change the appearance of a comment by using the drawing tools

What do you want to do?

Change the color of a line or border around a drawing object

Change the style of a drawing object line or border

Make a dashed line or border around a drawing object

Add a shadow or 3-D effect to a drawing object


Change a graphic on a worksheet or chart sheet

What do you want to do?

Insert and edit a picture

Change the style of a drawing object line or border

Make a dashed line or border around a drawing object

Add a shadow or 3-D effect to a drawing object

Change the appearance of text in an AutoShape

Add or edit a special text effect

Change the AutoShape type

Add, change, or remove a fill in a drawing object

Rotate a drawing object

Flip a drawing object

Resize or crop an object

Align and arrange drawing objects


(Untitled)

You can create a list box that contains entries from which a user must choose. Use the Validation command on the Data menu to create the list. How to restrict cell entries to the data from a list

Drop-down list with valid entries


(Untitled)

You can create a message that appears when a user enters invalid data in a cell. There are three types of error alerts to choose from: Stop, Warning, and Information. The type you choose determines whether Microsoft Excel enforces the restrictions when an invalid entry is made in a restricted cell. Stop prevents users from continuing until an acceptable value is entered. Warning and Information provide help but allow users to enter out-of-range data if they choose to.

If the Office Assistant is turned on, it will deliver the message.

Alert message for incorrect data

How to display a message when incorrect data is entered in a cell


(Untitled)

You can search for cell entries that do not meet your criteria and automatically circle the cells by clicking Circle Invalid Data on the Auditing toolbar. Learn more about identifying incorrect values in cells

When you correct the entry, the circle disappears.

Sheet with invalid data circled


(Untitled)

Provide a message that assists the user You can create a message that appears when a user selects a cell. The message explains the type of data that can be entered in the cell. You can put limits on the data that can be entered in a cell, set minimum or maximum values, or check for the effect an entry might have on another cell. How to display a message when a cell is selected

Prompt with instructions


About displaying data in a map

This topic provides reference information about:

Creating a map

Adding labels, text, and pin maps

Map formats and options

Creating a map

Map and worksheet data

Map and worksheet data

You can create a map to analyze sales or market research by geographic region. First, arrange the information in columns on a worksheet. One column must contain geographic data, such as names of countries or states.

Worksheet data

Use the demographic data included with the Microsoft Excel mapping feature — such as population or household income — along with your own data to recognize trends and perform analysis in a map. Look for the file Mapstats.xls in the Data folder under the folder where you installed Microsoft Map.

Return to top

Adding labels, text, and pin maps

You can automatically add labels to map features, such as countries. You can even create sets of custom labels to mark important locations on a map and then save the custom labels as a pin map for future use. When you use the Map toolbar, you can easily add labels, text, and custom pin maps.

Map toolbar buttons

Map toolbar buttons for adding text, labels, and custom pin maps.

Return to top

Map formats and options

You can perform analysis or get the look you want for a presentation by displaying different columns of data from the worksheet in the map. You can also specify a format for the data, such as dot density or graduated symbol.

To change the data displayed in the map, drag a column heading button to the box in the Microsoft Map Control dialog box. Then drag a format button next to the column name. To change the options for a map format, double-click the format and column heading listed in the box.

Microsoft Map Control dialog box

Microsoft Map Control dialog box

Return to top


 (Untitled)

Microsoft Excel provides tools that help you track down problems on your worksheets. For example, the value you see in a cell may be the result of a formula, or it may be used by a formula that produces an incorrect result. The auditing commands graphically display, or trace, the relationships between cells and formulas with tracer arrows.

When you audit a worksheet, you can trace the precedents (the cells that provide data to a specific cell) or you can trace the dependents (the cells that depend on the value in a specific cell.

Worksheet with tracer arrows

One blue tracer arrow shows that cells D9 through D11 are precedents of cell B5, which contains the formula =SUM(D9:D11). The other blue tracer arrows show that cells C9, C10, and C11 are precedents of B6, which contains the formula =C9+C10+C11. Notice that D9:D11, because it's a range in the formula, is traced as a group.

More information

How formulas calculate values


 About formatting charts

About formatting charts

This topic provides reference information about:

Colors, textures, and gradient fills

Number formats, axis scale, and tick marks

Fonts and rotated text

Special options for each chart type

Chart with formatting

Figure 1

Colors, textures, and gradient fills

You can apply colors, borders, and fill effects to data markers, the chart area, the plot area, and other chart items.

In Figure 1, the plot area is filled with a two-color gradient. The data marker for the first data series (Actual) is filled with a texture. The data marker for the second series (Projected) is filled with one color. The data marker for the third series (Expenses) has a shadow.

More information

Change colors, patterns, lines, fills, and borders in charts

Change colors in a surface chart

Add a picture to a chart item

Return to top

Number formats, axis scale, and tick marks

You can specify the range of values displayed on the value axis and change the interval between values along the axis. The chart in Figure 1 shows the range of values $0 to $140 with an interval of $20. You can also specify whether an axis has tick marks.

You can format numbers in a chart as you would numbers on a worksheet. To apply the most common number formats, click the axis or data label that has the number you want to format, and then apply currency, percent, or comma style formatting by clicking the buttons on the Formatting toolbar.

Number formatting buttons on Formatting toolbar

Figure 2

More information

Change number formats in charts

Change the scale of the value axis

Change the spacing of tick marks and labels on the category axis

Change tick mark appearance and label placement on an axis

Return to top

Fonts and rotated text

You can format text in a chart as you would any other text. Click the text or item, and then change the font, size, and color by clicking the buttons on the Formatting toolbar.

Text formatting buttons on Formatting toolbar

Figure 3

More information

Change the font and size of text in a chart

Align text in chart titles and text boxes

Rotate text in a chart title or along an axis

Return to top

Special options for each chart type

Special lines, bars, data markers, and other options are available for different chart types. For example, you can get a layered effect for column and bar charts by changing the overlap property for the data series.

The line chart in Figure 1 has a shadow behind each diamond-shaped marker and uses a smoothed line.

More information

Overlap or space data markers in bar and column charts

Smooth the angles of line charts

Change the size, color, or shape of line, xy (scatter), or radar chart markers

Return to top


(Untitled)

To see details about each change, rest the pointer over a highlighted cell.

Comment showing details

The comment shows details about the highlighted cell.

You can also view these details on a separate History worksheet where you can filter to find specific changes and also print.


 I can't drag a PivotTable or PivotChart field to a new position.

I can't drag a PivotTable or PivotChart field to a new position.

Check the page field settings If the field you want to drag is set to query for external data as you select each item, the field may be locked in page field orientation. Click the field, and click Field Settings [image] on the PivotTable toolbar. Click Advanced, and clear the Disable pivoting of this field check box under Page field options. If you drag the field so that it is no longer in page orientation, Microsoft Excel retrieves the external data for all items in the field at the same time, unless you drag the field back to page orientation.

Check for OLAP source data In PivotTable and PivotChart reports that are based on source data from OLAP databases, some fields can be used only as row, column, or page fields in PivotTable reports, and as series, category, and page fields in PivotChart reports. These fields are identified by Dimension field icon at the beginning of the row on the PivotTable toolbar. Fields identified by Data field icon can be used only as data fields. How to tell whether a report is based on OLAP data.

Check for VBA macros A Visual Basic for Applications (VBA) macro that is used to create a PivotTable or PivotChart report can also turn off the ability to change the layout by dragging fields. If the cancel symbol appears over the pointer when you try to drag the field, dragging has been turned off for that field. For help with this case, contact the author of the macro.

Check for protection If the PivotTable report that is associated with a PivotChart report is protected, you cannot move fields or make changes to the PivotChart report. Learn about removing protection from workbooks and worksheets.


(Untitled)

By using the Data Validation feature in Microsoft Excel, you can limit acceptable data entered into cells. You can have Excel circle invalid data to show the cells with values that do not meet validation rules applied to them.

Cell with invalid data

The value in this cell is circled because it does not meet a validation rule.

When you correct the data within the cell, the circle disappears.

Keep in mind, however, that validation rules do not apply to cells that contain formulas, to cells that are changed by copying or filling data from other cells, or to cells that are changed by macros. Therefore, Excel won't circle invalid data in such cases.

More information

Identify incorrect values in cells

About defining the valid entries for a cell

Hide the circles around incorrect values in cells


(Untitled)

As you audit a worksheet, you may find that you need to document the structure or data within the worksheet. You can insert a comment about a cell, either to track information about the data in the cell or the formula in the cell.

When you rest the pointer over a comment, Microsoft Excel displays the comment on the screen. You can even print comments, either in place on the worksheet or as a list at the end of the worksheet.

More information

Add a comment to a cell

Print comments

About adding comments and highlighting changes in a workbook


(Untitled)

When you edit a formula, Microsoft Excel automatically shows the cells referred to by the formula. Range Finder color-codes each reference to a range and adds a border with the same color to the corresponding cell or range.

Range Finder color-codes precedent cells

Color codes show that the formula in cell D9 refers to cells B9 and C9.

If you want to change which cells are included in the range reference, drag the handle in the lower-right corner of the color-coded range. To select a different range, drag the border of the color-coded range to the new range.

More information

Locate or change the cells a formula refers to by using Range Finder


 (Untitled)

Any cell that contains a formula that refers to the cell you have selected is known as a dependent cell. The value in a dependent cell changes when the value in the selected cell changes.

When you select a particular cell, and then click Trace Dependents [image] , a blue tracer arrow shows which formulas on the active worksheet depend on that cell. If you click Trace Dependents again, Microsoft Excel goes one level deeper and traces any cells on the active worksheet that reference the dependent cells.

If a cell on another worksheet or workbook refers to the selected cell, a black tracer arrow points to a worksheet icon worksheet icon. The other workbook must be open before Excel can trace these dependencies, however.

Tracing dependent cells

The blue tracer arrow between B9 and D9 shows that the total cost of Blue Sky Airlines stock depends on the purchase price. The blue tracer arrow between D9 and B5 shows that the total cost of all stock depends on the total cost of the Blue Sky Airlines shares.

More information

Locate formulas that use the value in the active cell


 (Untitled)

If a formula displays an error value, such as #DIV/0!, you can use Trace Error [image] to locate all cells that provide data to the formula. Red arrows point from the cell that causes the error to the cell that has the error; blue arrows point to the precedent cells of the cell that causes the error.

Tracing error values

Red tracer arrows show that the error #DIV/0! in cell G11 causes the error in H11, which then causes an error in B3. Cell G11 contains the formula =E11/B11; Microsoft Excel interprets cell B11 as zero (0) because it is blank.

More information

Locate cells that cause errors in a formula


 (Untitled)

If the cell you have selected contains a formula, you can locate all of the cells that provide data to the formula. The cells that provide data are known as precedent cells. The formula in the selected cell calculates a new result when the values in the precedent cells change.

When you click Trace Precedents [image] , blue tracer arrows show cells on the active worksheet that provide data to the formula. If you click Trace Precedents again, Microsoft Excel goes one level deeper and traces any cells on the active worksheet referenced by the precedent cells.

If the selected cell contains a reference to another worksheet or workbook, a black tracer arrow points from the worksheet icon worksheet icon to the selected cell.

Tracing precedent cells

The blue box around the range D9:D11 and the blue tracer arrow that points to cell B5 show that D9:D11 provide data to the formula in cell B5.

More information

Locate cells that provide data to a formula


(Untitled)

You can set the orientation of the printed worksheet to portrait or landscape.

When to use landscape Switch to landscape when you need to print many more columns of data than will fit on a portrait page. If you don't want to use landscape, you can change the layout of the printed worksheet to fit the data to the available space, or adjust the margins.

Making the data fit the page You can make the printed image fit the page or paper size by shrinking or expanding the printed image. Other changes you can make to the layout of the printed worksheet include setting the paper size, centering the data on the printed page, and controlling how the pages are numbered. These changes affect only the worksheet's printed appearance, not how it looks on the screen.

Print partial data To print only selected parts of the data on a worksheet, you can specify which areas to print.

More information

Change the page orientation

Center worksheet data on the printed page

Set the size of the paper

Change the worksheet area that appears on the printed page

Size and set up a chart for printing


 (Untitled)

Page break preview shows where page breaks occur on the worksheet and which area of the worksheet will be printed. Page breaks you set are solid blue lines, and automatic page breaks set by Microsoft Excel are dashed blue lines.

Page break preview

When to move page breaks To fit one or two more lines on the current page, move the page break. In page break preview, this automatically shrinks the data to fit on the page. You may want to preview the page again to make sure the font size isn't too small.

Forcing page breaks To end a page at a particular point and start a new page, you can set a new page break.

Printing order and print areas You can also see the printing order for the pages of your worksheet and adjust where data will print by moving page breaks. To print different areas of the worksheet, use page break preview to quickly set a print area and add and remove different areas in the print area. How to set a print area.


(Untitled)

Formats and layouts that work well for on-screen viewing may not produce good printed results. You may need to make some adjustments. For example, if you're viewing in color but printing on a black-and-white printer, be sure to use colors that contrast well.

A list formatted for on-screen viewing

More information

Change column width and row height

Wrap text in cells

Change the size, font, color, or other text format

Change number formats

Apply borders to cells


(Untitled)

To put page numbers or other text above or below the worksheet data on each page, you can add headers or footers to your printed worksheet. Headers print at the top of every page; footers appear at the bottom of every page.

Printed pages with headers

Headers and footers are separate from the data on your worksheet — they appear only when you preview and print. In addition to headers and footers, you can repeat worksheet data as print titles on every page. For more information, click "Repeat titles on every page" in the contents list on the left in this topic.

You can use the built-in headers and footers in Microsoft Excel or create your own.

More information

Change the font in header and footer text


 (Untitled)

To see each page exactly as it will print, click Print Preview [image] . In print preview, you can see headers, footers, and print titles.

When to adjust margins Adjust the margins or columns when your data is slightly too wide to fit across the page and you don't want to shrink it to fit. In print preview, you can change the width of the margins and columns on the worksheet by dragging the sizing handles. Click the Margins button to display the handles.

Gridlines, page order, and other settings In print preview, you can change the way your worksheet prints. With the Setup button, you can turn gridlines on or off, quickly print a draft copy of your worksheet, and change the order in which pages are printed.


(Untitled)

Repeat row and column labels If the data on your worksheet has column or row labels (also called print titles), you can have Microsoft Excel repeat these labels on every page of the printed worksheet.

Worksheet with print titles

The labels don't have to be in the first rows or columns of the worksheet, but they don't begin repeating until after the row or column they originally appeared in has been printed. How to print labels on every page.

Repeat row and column headings You can also print the row numbers and column letters for a worksheet (don't confuse these headings with the labels in your data).

You can use any combination of headers and footers, repeating labels, and row and column headings.


 (Untitled)

When you want to add a trendline to a chart in Microsoft Excel, you can choose any of the six different trend/regression types. The type of data you have determines the type of trendline you should use. How to add a trendline to a chart.

Trendline reliability A trendline is most reliable when its R-squared value is at or near 1. When you fit a trendline to your data, Excel automatically calculates its R-squared value. If you want, you can display this value on your chart.


About consolidating data with 3-D references

Data consolidated from three worksheets

A consolidation rolls up the data from several worksheets.

Use 3-D references to combine data When the source worksheets have different layouts and different data labels, or you want to create a custom layout or use custom summary formulas for a consolidation, use 3-D references. 3-D references are updated automatically whenever the source data changes.

In the following example, the formula in cell A2 adds three numbers that are located in different positions on three different worksheets.

Formula to consolidate cells from three worksheets

Add data to a consolidation When all of your source worksheets have the same layout, you can use a range of sheet names in 3-D formulas. To add another worksheet to the consolidation, just move the sheet into the range your formula refers to.

Inserting another sheet in a consolidation

More information

Consolidate data


 (Untitled)

Formulas calculate values in a specific order. A formula in Microsoft Excel always begins with an equal sign (=). The equal sign tells Excel that the succeeding characters constitute a formula. Following the equal sign are the elements to be calculated (the operands), which are separated by calculation operators. Excel calculates the formula from left to right, according to a specific order for each operator in the formula. You can change the order of operations by using parentheses.

In the example below, the parentheses around the first part of the formula force Excel to calculate B4+25 first and then divide the result by the sum of the values in cells D5, E5, and F5.

=(B4+25)/SUM(D5:F5)

More information

About constructing formulas

Calculation operators in formulas

The order in which Microsoft Excel performs operations


(Untitled)

A formula is an equation that performs calculations in a cell. You can create a formula that performs mathematical operations, such as addition and multiplication.

Formula in a cell

The formula =$E$2*D5 in cell E5 calculates the total fee by multiplying the hourly fee (cell E2) with the hours (cell D5).

More information

How formulas calculate values

Examples of common formulas.


 (Untitled)

There are three ways that Microsoft Excel can plot an empty cell in the data range. By default, Excel does not plot a point for that cell. This causes a break in a data series, as in the following example, where there is no fuel expense data for December:

Chart with data series break

If you don't want to see a break in the series, you can have Excel interpolate, or estimate, the point. For example, in this chart, Excel averages the data for November and January to estimate the missing December data:

Chart with interpolation

If the empty cell actually reflects a zero value, your chart can also reflect a zero value:

Chart with zero-value plotting

How to control the way empty cells are plotted in a chart


 (Untitled)

Microsoft Query is a program for bringing data from external sources into Microsoft Excel. By using Query to retrieve data from your corporate databases and files, you don't have to retype the data you want to analyze in Excel. You can also update your Excel reports and summaries automatically from the original source database whenever the database is updated with new information.

Types of databases you can access You can retrieve data from several types of databases, including Microsoft Access, Microsoft SQL Server, and Microsoft SQL Server OLAP Services. You can also retrieve data from Excel lists and from text files. See a list of types of databases you can access.

In Excel, you can also retrieve data from Web pages, but you don't need Query to do this.

Selecting data from a database You retrieve data from a database by creating a query, which is a question you ask about data stored in an external database. For example, if your data is stored in an Access database, you might want to know the sale figures for a specific product by region. You can retrieve a part of the data by selecting only the data for the product and region you want to analyze and omitting the data you don't need.

Example of selecting data in Query

With Query, you can select the columns of data that you want and bring only that data into Excel.

Updating your worksheet in one operation After you have external data in an Excel workbook, whenever your database changes, you can refresh the data to update your analysis — without having to recreate your summary reports and charts. For example, you can create a monthly sales summary and refresh it every month when the new sales figures come in.

Using Query to retrieve data Bringing external data into Excel with Query takes three steps: First you set up a data source to connect to your database, then you use the Query Wizard to select the data you want, and finally you return the data to Excel where you can format it, summarize it, and create reports from it.


 (Untitled)

An exponential trendline is a curved line that is most useful when data values rise or fall at increasingly higher rates. You cannot create an exponential trendline if your data contains zero or negative values.

In the following example, an exponential trendline is used to illustrate the decreasing amount of carbon 14 in an object as it ages. Note that the R-squared value is 1, which means the line fits the data perfectly.

Chart with exponential trendline


Worksheet form example

This topic provides information about how to:

Format the worksheet to use as a form

Use controls to simplify data entry

Add formulas to calculate values

Automate filling out forms with macros

Restrict entries to specific cells

The following is an example of a form that was created by using a worksheet.

Figure 1

Return to top

Format the worksheet to use as a form

To create a single large cell that spans several rows or columns, you can select the cells you want to combine and then merge them. How to merge cells to span several columns or rows.

To adjust spacing between items on the form, you can resize the column width and row height and change the horizontal and vertical text alignment.

Use other features to format the form so that it's well organized and easy to fill out. For example, in Figure 1, users enter data in the plain white cells that are outlined with borders. Other cells in the form have color shading, and a sheet background repeats a corporate logo, much like a watermark. How to format a worksheet to use as a form.

Return to top

Use controls to simplify data entry

Controls such as drop-down lists make it easier to fill out an on-screen form. In a range of cells elsewhere in your workbook, enter the options you want in the drop-down list, and then link the cells to the control. You can hide the sheet that contains input lists and other data. You can use option button and check box controls in forms.

that users will fill out on-screen or on paper.

Examples of controls

Figure 2

Return to top

Add formulas to calculate values

In forms you design for users to fill out on-screen, you can include formulas to calculate totals and other values.

Example of a formula

Figure 3

More information

Quick calculations on a worksheet

How formulas calculate values

Automate filling out forms with macros

You can assign a macro to a control to automate filling out the form on-screen and processing the entered data.

For example, if a user selects a check box labeled Route to manager, a macro could attach the form to a mail message or save the form in a shared folder on the manager's computer. If you plan to use the form only in Microsoft Excel, you can add controls from the Forms toolbar.

If you plan to use the form on a Web site or in a custom Visual Basic program, use the more powerful ActiveX controls from the Control Toolbox.

More information

Record a macro

Show a toolbar

Automate a task by using an ActiveX control

Return to top

Restrict entries to specific cells

With on-screen forms, you can limit data entry to specific cells by locking those cells.

You can also restrict the types of information users are allowed to enter in specific cells of the form by using Data Validation. How to display messages that prompt for data or explain incorrect entries.

Return to top


 (Untitled)

A formula can refer to constant values and to other cells. The cell that contains the formula is known as a dependent cell when its value depends on the values in other cells. For example, cell B2 is a dependent cell if it contains the formula =C2.

Whenever a cell that the formula refers to changes, the dependent cell also changes, by default. For example, if a value in any of the following cells changes, the result of the formula =B2+C2+D2 also changes.

Data in a worksheet

If you use constant values in the formula instead of references to the cells (for example, =30+70+110), the result changes only if you modify the formula yourself.

Formulas can also refer to ranges of cells or to names or labels that represent cells or ranges. Learn about references to cell ranges, names, or labels.


(Untitled)

Microsoft Excel contains many predefined, or built-in, formulas, which are known as functions. Functions can be used to perform simple or complex calculations. The most frequently used function is the SUM function, which is used to add the numbers in a range of cells.

SUM worksheet function

The SUM worksheet function adds the values in the range D5:F5.

Learn about using functions to calculate values.


 (Untitled)

A linear trendline is a best-fit straight line that is used with simple linear data sets. Your data is linear if the pattern in its data points resembles a line. A linear trendline usually shows that something is increasing or decreasing at a steady rate.

In the following example, a linear trendline clearly shows that refrigerator sales have consistently risen over a 13-year period. Notice that the R-squared value is 0.9036, which is a good fit of the line to the data.

Chart with linear trendline


 (Untitled)

A logarithmic trendline is a best-fit curved line that is most useful when the rate of change in the data increases or decreases quickly and then levels out. A logarithmic trendline can use negative and/or positive values.

The following example uses a logarithmic trendline to illustrate predicted population growth of animals in a fixed-space area, where population leveled out as space for the animals decreased. Note that the R-squared value is 0.9407, which is a relatively good fit of the line to the data.

Chart with logarithmic trendline


 (Untitled)

What is a data source? A data source is a stored set of information that allows Microsoft Excel to connect to an external database. When you use Microsoft Query to set up a data source, you give the data source a name, and then supply the name and location of the database or server, the type of database, and your logon and password information. The information also includes the name of an ODBC driver or data source driver, which is a program that makes connections to a specific type of database. For some types of external databases (OLAP cubes), all you need to do to retrieve the data is to set up a data source.

How Microsoft Query uses data sources After you set up a data source for a particular database, you can use it whenever you want to create a query to select and retrieve data from that database — without having to retype all of the connection information. Query uses the data source to connect to the external database and show you what data is available. After you create your query and return the data to Excel, Query retrieves the data and provides the Excel workbook with both the query and data source information so you can reconnect to the database when you want to refresh the data.

Diagram of how Query uses data sources

A data source is the means through which Query and Excel connect to a specific database and retrieve data.

More information

What you need to retrieve data


(Untitled)

A moving average trendline smoothes out fluctuations in data to show a pattern or trend more clearly. A moving average uses a specific number of data points (set by the Period option), averages them, and uses the average value as a point in the line. If Period is set to 2, for example, then the average of the first two data points is used as the first point in the moving average trendline. The average of the second and third data points is used as the second point in the trendline, and so on.

In the following example, a moving average trendline shows a pattern in number of homes sold over a 26-week period.

Chart with moving average line


(Untitled)

By default, Microsoft Excel plots categories and values in the order in which they appear on your worksheet. If you want them in a different order, you can reverse them.

In the following example, categories are plotted in the order in which they appear on the worksheet — April, March, February, and January:

Categories in default order

If you want the months to appear in chronological order instead, you can reverse the order:

Categories in reverse order

In the example above, you could also reverse the order of the values so that the scale shows 0 at the top and 800 at the bottom.

How to reverse the plotting order of categories, values, or series.


 (Untitled)

Example of default PivotTable report

An example of a default PivotTable report

Row fields Fields from the underlying source data that are assigned a row orientation in a PivotTable report. In the preceding example, Product and Sold By are row fields. A PivotTable report that has more than one row field has one inner row field (Sold By, in the example), the one closest to the data area. Any other row fields are referred to as outer row fields. Inner and outer row fields have different attributes. Items in the outermost field are displayed only once, but items in the rest of the fields are repeated as needed.

Column field A field that's assigned a column orientation in a PivotTable report. In the preceding example, Quarters is a column field with two items, Qtr2 and Qtr3. A PivotTable report can have multiple column fields just as it can have multiple row fields. Most indented format PivotTable reports do not have column fields.

Item A subcategory, or member, of a PivotTable field. In the preceding example, Dairy and Meat are items in the Product field. Items represent unique entries in the same field, or column, in the source data. Items appear as row or column labels or in the drop-down lists for page fields.

Page field A field that's assigned to a page, or filter, orientation. In the example, Region is a page field that you can use to filter the report by region. With the Region field, you can display summarized data for only the East region, for only the West region, or for other regions. When you click a different item in a page field, the entire PivotTable report changes to display only the summarized data associated with that item.

Page field item Each unique entry or value from the field, or column, in the source list or table becomes an item in the page field list. In the example, East is the currently selected item for the Region page field, and the PivotTable report displays the summarized data for only the East region.

Data field A field from a source list or database that contains data to be summarized. In the example, Sum of Sales is a data field that summarizes the entries from the Sales field, or column, in the source data. In the indented-format report example, this field is named Sales instead of Sum of Sales.

A data field usually summarizes numeric data, such as statistics or sales figures, but the underlying data can also be text. By default, Microsoft Excel summarizes text data in PivotTable reports by using the Count summary function and summarizes numeric data by using Sum. In PivotTable reports that are based on OLAP source data, you cannot change the summary function for a field: Summary functions are selected by the OLAP system administrator and precalculated on the OLAP server.

Data area The part of a PivotTable report that contains summary data. The cells of the data area show summarized data for the items in the row and column fields. Each value in the data area represents a summary of data from the source records, or rows.

In the preceding example, the value in cell C6 is a summary of Dodsworth's second-quarter dairy sales — that is, a summary of the sales figures for every record, or row, in the source data that contains the items Dairy, Dodsworth, and Qtr2. In the indented-format report example, this information is shown in cell D7.

Field drop-down arrow The arrow Field arrow at the right side of each field. Click this arrow to select the items that you want to show.

In PivotTable reports that are based on source data from OLAP databases, the field arrow appears on only the highest level field in a dimension, and you can select items at different levels in the field. Clicking the drop-down arrow for a Year field might show the following:

Drop-down list for OLAP dimension field

An example of a drop-down list for an OLAP dimension field

The year 1998 is hidden. Within 1999, Qtr1 is hidden. The double check marks in the 1999 and Qtr2 boxes indicate that some or all of the lower level items for 1999 and Qtr2 are displayed. The single check mark in the 2000 box indicates that 2000 is currently selected for display.

Expand indicator The Plus box or Minus box indicator beside the items for a field. Click the indicator for an item to show or hide detail for the item.

More information

Elements of a PivotChart report


 (Untitled)

A PivotTable report is an interactive table that you can use to quickly summarize large amounts of data. You can rotate its rows and columns to see different summaries of the source data, filter the data by displaying different pages, or display the details for areas of interest.

Simple PivotTable report

An example of a simple PivotTable report. The source data is in the list on the left.

When to use a PivotTable report Use a PivotTable report when you want to compare related totals, especially when you have a long list of figures to summarize and you want to compare several facts about each figure. Use PivotTable reports when you want Microsoft Excel to do the sorting, subtotaling, and totaling for you. In the example above, you can easily see how the third-quarter golf sales in cell F5 stack up against sales for another sport or quarter, or grand total sales. Because a PivotTable report is interactive, you or other users can change the view of the data to see more details or calculate different summaries.

Creating a PivotTable report To create a PivotTable report, use the PivotTable and PivotChart Wizard as a guide to locate and specify the source data you want to analyze and to create the report framework. You can then use the PivotTable toolbar to arrange the data within that framework.

Types of PivotTable reports A default PivotTable report looks like the preceding example. You can also display a PivotTable report in indented format, to view all the summary figures of the same type in one column. You can create a PivotChart report to view the data graphically. You can also make a PivotTable report available on the Web by using a PivotTable list on a Web page. When you publish an Excel PivotTable report to a PivotTable list, others can view and interact with the data from within their Web browsers.


 (Untitled)

By default, Microsoft Excel plots the data series in the order in which the data appears on your worksheet. If you want, you can change the order of the series to make your chart more effective. The following example is a 3-D column chart that shows sales for each state plotted in the order in which they appear on the worksheet:

Data series in default order

To make the data series for AK and OR visible, without reorganizing the worksheet data — you could change the order on the chart to look like this:

Data series in changed order

How to change the plotting order of the data series


 (Untitled)

A polynomial trendline is a curved line that is used when data fluctuates. It is useful, for example, for analyzing gains and losses over a large data set. The order of the polynomial can be determined by the number of fluctuations in the data or by how many bends (hills and valleys) appear in the curve. An Order 2 polynomial trendline generally has only one hill or valley. Order 3 generally has one or two hills or valleys. Order 4 generally has up to three.

The following example shows an Order 2 polynomial trendline (one hill) to illustrate the relationship between speed and gasoline consumption. Notice that the R-squared value is 0.9474, which is a good fit of the line to the data.

Chart with polynomial trendline


 (Untitled)

A power trendline is a curved line that is best used with data sets that compare measurements that increase at a specific rate — for example, the acceleration of a race car at 1-second intervals. You cannot create a power trendline if your data contains zero or negative values.

In the following example, acceleration data is shown by plotting distance in meters by seconds. The power trendline clearly demonstrates the increasing acceleration. Note that the R-squared value is 0.9923, which is a nearly perfect fit of the line to the data.

Chart with power trendline


 Prevent access to PivotTable or PivotChart detail

Prevent access to PivotTable or PivotChart detail

This procedure is not available for PivotTable and PivotChart reports that are based on source data from OLAP databases.

When you double-click a cell in the data area of a PivotTable report, Microsoft Excel displays a list of the source data summarized by that cell. Use this procedure to turn off access to this source detail.

  1. Click the PivotTable or PivotChart report to activate the PivotTable toolbar.

  2. Do one of the following:

    In a PivotTable report, click PivotTable on the PivotTable toolbar, and then click Table Options.

    In a PivotChart report, click PivotChart on the PivotTable toolbar, and then click Options.

  3. Under Data options, clear the Enable drilldown check box.

Note Excel has other security features that you can also use to prevent access or changes to PivotTable and PivotChart reports.


 (Untitled)

If you want to display the total value of a range of cells, use the AutoCalculate feature in Microsoft Excel. When you select cells, Excel displays the sum of the range in the status bar, which is the horizontal area in Excel below the worksheet window. If the status bar is not displayed, click Status Bar on the View menu.

Status bar displays sum of selected range

With these two cells selected, AutoCalculate displays their total ($735.00) in the status bar.

AutoCalculate can also perform other types of calculations for you. When you right-click the status bar, a shortcut menu appears. You can find the average of or the minimum or maximum value in the selected range. If you click Count Nums, AutoCalculate counts the cells that contain numbers. If you click Count, AutoCalculate counts the number of filled cells. Whenever you start Excel, AutoCalculate resets to the SUM function.


 (Untitled)

Create a total You can insert a sum for a range of cells automatically by using AutoSum. When you select the cell where you want to insert the sum and click AutoSum [image] , Microsoft Excel suggests a formula. To accept the formula, press ENTER.

To change the suggested formula, select the range you want to total and press ENTER.

Grand totals If your worksheet contains multiple total values created with the SUM function, you can create a grand total for the values by using AutoSum [image] .

Grand total using AutoSum

AutoSum suggests the formula =SUM(E16,E11), which sums E16 (the June total) and E11 (the May total).

If you have a report or list of information and want to calculate subtotals and grand totals, you can use the Subtotal feature. You specify the items you want subtotals for, the values you want subtotaled, and the type of subtotal you want (such as a sum or average). How to insert subtotals into a list.

More information

Overview of subtotals in lists


 (Untitled)

After you create a query in the Query Wizard or Microsoft Query, you can return the data to a Microsoft Excel worksheet. The data becomes an external data range or a PivotTable report that you can format, analyze, and refresh.

Formatting and analyzing the data In Excel, you can use familiar tools such as the Chart Wizard or automatic subtotals to present and summarize the data. You can format the data, and your formatting is retained when you refresh the external data from the source database. If you add columns of formulas to the external data range, the formulas can be copied automatically to any new rows that are added to the range when you refresh the data. You can use your own column labels instead of the field names, and add row numbers automatically. Learn about controlling the formatting and layout of an external data range.

Reusing and sharing queries In both the Query Wizard and Query, you can save a .dqy query file that you can modify, reuse, and share. Excel can open .dqy files directly, which allows you or others to create additional external data ranges from the same query.

If you want to share a summary or report that is based on external data, you can give other users a workbook that contains an external data range, or you can create a report template. A report template lets you save the summary or report without saving the external data so that the file is smaller. The external data is retrieved when a user opens the report template.

Refreshing external data When you refresh external data, you run the query to retrieve any new or changed data that matches your specifications. Excel provides several options for refreshing queries, including refreshing the data whenever you open the workbook and automatically refreshing it at timed intervals. You can continue to work in Excel while data is being refreshed, and you can also check the status while it's being refreshed. Learn about refreshing external data.

More information

Ways to share external data

About controlling how an external data range is refreshed


 (Untitled)

Use the Query Wizard for most queries The Query Wizard, which is part of Microsoft Query, is designed for users who are new to creating queries. The wizard makes it easy to select and bring together data from different tables and fields in your database. After you select the data you want, you can also use the wizard to filter and sort the results of your query. You can use the Query Wizard either to create a complete query or to start a query that you make further changes to directly in Query.

Work directly in Query for other types of queries If you are familiar with creating queries or want to create a more complex query, you can work directly in Query. You can use Query to view and change queries you start creating in the Query Wizard, or you can create new queries without using the wizard.

Use Query directly when you want to create queries that do the following:

  • Select specific data from a field In a large database, you may want to choose some of the data in a field and omit data you don't need. For example, if you need data for two of the products in a field that has information for many products, you could use criteria to select data for only the two products you want. For information about using criteria, run Microsoft Query, and then see Help in Microsoft Query.

  • Retrieve data based on different criteria each time you run the query If you need to create the same Excel report or summary for several areas in the same external data — such as a separate sales report for each region — you can create a type of query called a parameter query. When you run a parameter query, you are prompted for the data to use as the criteria when the query selects records. For example, a parameter query might prompt you to enter a specific region, and you could reuse this query to create each of your regional sales reports. Learn about parameter queries.

  • Combine data in different ways You can use Query to combine, or join, the data from different tables in your database. For example, if you have a table of product sales information and a table of customer information, you might join these tables in ways that show which customers have not made purchases recently. For information about joining tables, run Microsoft Query, and then see Help in Microsoft Query.

More information

When to use the Query Wizard versus Microsoft Query


 (Untitled)

A secondary value axis is useful when the average values for different data series vary widely or when you are plotting different types of data in one chart. For example, to show both the number of homes sold each week and the average sales price per week, plot the number along one axis and the average price along the second axis.

Chart with two axes

How to plot a data series along a secondary value axis


 (Untitled)

When you create a chart in Microsoft Excel, you can determine which part of your data you want to emphasize. By default, Excel plots whatever you have fewer of — rows or columns — as the data series. In the following example, Excel plots the years (two) as the data series rather than the countries (three). This chart emphasizes the comparison of sales by country.

Chart with years as data series

If you change the default option to have the country data used as the data series, the chart emphasizes a comparison of sales by year.

Chart with country as data series

How to plot a data series from worksheet rows instead of columns, and vice versa.


(Untitled)

You can insert subtotals for smaller groups within existing subtotal groups. For example, you can insert subtotals for each product type in a list that already has subtotals for each salesperson. Before inserting nested subtotals, be sure to sort by all the columns for which you want subtotal values so that the rows you want subtotaled are grouped together.

This example calculates subtotals for Buchanan and Davolio, and then inserts nested subtotals for Dairy and Meat.

List with nested subtotals

More information

Create "nested," or multiple-level, subtotals


(Untitled)

Create summary reports When you add automatic subtotals to a list, the list is outlined so that you can see its structure. You can create a summary report by clicking the outline symbols to hide the details and show only the subtotals.

Outlined list with only total rows showing

Chart the summary data You can create a chart that uses only the visible data in a list that contains automatic subtotals. If you show or hide list details, the associated chart will also be updated to show or hide the data.

Chart made from subtotal data

More information

Create summary reports

Create charts


(Untitled)

When you use the AutoFilter command, AutoFilter arrows appear to the right of the column labels in the filtered list. How to filter a list.

Using the AutoFilter arrows Clicking an AutoFilter arrow displays a list of all unique, visible items in the column, including blanks (all spaces) and nonblanks. By selecting an item from a list for a specific column, you can instantly hide all rows that don't contain the selected value.

The list in this example is filtered to show only the rows for the salesperson Davolio.

List filtered for Davolio

Quickly filtering values If you are filtering a list of numbers, you can quickly view the largest values in the list by clicking the Top 10 item in the AutoFilter list. To resume viewing everything in the column, click All. Learn about filter options.

Viewing a filtered list Microsoft Excel indicates the filtered items with some visual cues. In this example, the AutoFilter arrow in the column that has a selected value is blue. The filtered row numbers are also blue.


 (Untitled)

While you are viewing a large list, you may scroll to a row that contains data of interest and then want to see any other rows that contain the same data. You can filter the list to display all rows that have values matching the value in the selected cell.

Filtering to match a selection Click a cell in a list and then click AutoFilter [image] to filter by your selection. Microsoft Excel turns on AutoFilter and then filters the list to show only the rows you want.

List with cell for filtering selected

More information

Add a button to a toolbar


 (Untitled)

Filtering is a quick and easy way to find and work with a subset of data in a list. A filtered list displays only the rows that meet the criteria you specify for a column. Microsoft Excel provides two commands for filtering lists:

  • AutoFilter, which includes filter by selection, for simple criteria

  • Advanced Filter, for more complex criteria

Unlike sorting, filtering does not rearrange a list. Filtering temporarily hides rows you do not want displayed.

When Excel filters rows, you can edit, format, chart, and print your list subset without rearranging or moving it.


 (Untitled)

You can use the Advanced Filter command to apply multiple criteria to a single column, apply multiple criteria to multiple columns, or create criteria that result from a formula. How to filter a list by using an advanced filter.

When you use an advanced filter, the AutoFilter drop-down arrows do not appear. Instead, you enter the criteria in a criteria range on your worksheet. To change how the data is filtered, you change the values in the criteria range and filter the data again.

For example, this list is filtered to show sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

List filtered using Advanced Filter

More information

Examples of advanced filter criteria

Types of comparison criteria


(Untitled)

You use custom AutoFilter to display rows that contain either one value or another. You can also use custom AutoFilter to display rows that meet more than one condition for a column, such as rows that contain values within a specific range (such as values between 2,000 and 3,000).

The list in this example is filtered to show the rows that contain either "Davolio" or "Suyama" in the Salesperson column.

List filtered for Davolio or Suyama

More information

Filter a list by using a custom AutoFilter

Filter a list by comparing values

Types of comparison criteria


(Untitled)

Preparing to print Microsoft Excel provides lots of optional settings that let you adjust the final appearance of the printed page to suit your needs. To make sure you've checked everything likely to affect your printout, follow the steps that are listed to the left in the order shown.

Viewing how your worksheet will print Microsoft Excel provides three ways to see and adjust how the worksheet will look.

  • Normal view The default. It's best for on-screen viewing and working.

  • Print preview Shows you the printed page and lets you easily adjust columns and margins.

  • Page break preview Shows you what data will go on each page and lets you quickly adjust the print area and page breaks.

As you make settings that affect how your worksheet will print, you can switch between the different views to see the effects before you send the data to the printer.


 (Untitled)

Microsoft Excel can automatically summarize data by calculating subtotal and grand total values in a list. To use automatic subtotals, your list must contain labeled columns and the list must be sorted on the columns for which you want subtotals.

When you insert automatic subtotals, Excel outlines the list by grouping detail rows with each associated subtotal row, and grouping subtotal rows with the grand total row.

You can choose the function for Excel to use when it calculates totals. This example uses the Sum function to calculate subtotals for Buchanan and Davolio and a grand total for the entire list.

List with subtotals and grand total

More information

Insert subtotals into a list

Create a labeled list

Sort a list

How subtotals and grand totals are calculated


 (Untitled)

A data table is a range of cells that shows how changing certain values in your formulas affects the results of the formulas. Data tables provide a shortcut for calculating multiple versions in one operation and a way to view and compare the results of all of the different variations together on your worksheet.

One-variable data tables For example, use a one-variable data table if you want to see how different interest rates affect a monthly mortgage payment. In the following example, cell D2 contains the payment formula, =PMT(B3/12,B4,-B5), which refers to the input cell B3.

Data table with one variable

Two-variable data tables A two-variable data table can show how different interest rates and loan terms will affect the mortgage payment. In the following example, cell C2 contains the payment formula, =PMT(B3/12,B4,-B5), which uses two input cells, B3 and B4.

Data table with two variables

More information

Create a one-variable data table

Create a two-variable data table


 (Untitled)

Goal Seek

When you know the desired result of a single formula but not the input value the formula needs to determine the result, you can use the Goal Seek feature. When goal seeking, Microsoft Excel varies the value in one specific cell until a formula that's dependent on that cell returns the result you want.

Model with payment dependent on interest

For example, use Goal Seek to change the interest rate in cell B3 incrementally until the payment value in B4 equals $900.00.

Solver

You can also determine resulting values when you need to change more than one cell used in a formula and have multiple constraints for those values. Solver adjusts the values in the cells you specify to produce the result you want from the formula.

Model where several cells affect budget and profit

For example, use Solver to maximize the profit shown in cell F7 by changing the quarterly advertising budget (cells B5:E5) while limiting the total advertising budget (cell F5) to $40,000.

More information

Find a specific result for a cell by adjusting the value of one other cell

Define and solve a problem by using Solver


 (Untitled)

A scenario is a set of values that Microsoft Excel saves and can substitute automatically in your worksheet. You can use scenarios to forecast the outcome of a worksheet model. You can create and save different groups of values on a worksheet and then switch to any of these new scenarios to view different results.

Creating scenarios For example, if you want to create a budget but are uncertain of your revenue, you can define different values for the revenue and then switch between the scenarios to perform what-if analyses.

Worst Case scenario

In the example above, you could name the scenario Worst Case, set the value in cell B1 to $50,000, and set the value in cell B2 to $13,200.

Best Case scenario

You could name the second scenario Best Case and change the values in B1 to $150,000 and B2 to $26,000.

Scenario summary reports To compare several scenarios, you can create a report that summarizes them on the same page. The report can list the scenarios side by side or summarize them in a PivotTable report.

More information

Create a scenario

Display a scenario

Create a scenario summary report


 Display items in a page field

Display items in a page field

To display items in the page field that don't have associated data, do the following:

  1. Click the field button for the page field.

  2. On the PivotTable toolbar, click Field Settings [image] .

  3. Select the Show items with no data check box.

To include the All item for page fields in PivotTable reports that are based on external data, do the following:

  1. Click the field button for the page field.

  2. On the PivotTable toolbar, click Field Settings [image] .

  3. Click Advanced.

  4. Under Page field options, click Retrieve external data for all page field items.

To change the criteria so that the query for a PivotTable report that is based on external data returns an item for a page field, do the following:

  1. Click a cell in the PivotTable report.

  2. On the PivotTable toolbar, click PivotTable and PivotChart Wizard [image] .

  3. Click Back.

  4. Click Get Data.

  5. In Microsoft Query, make changes to the criteria so that at least one entry appears in the column for the field that's displayed as a page field in the PivotTable report. For information about setting criteria, see Microsoft Query Help.


Copy a Microsoft Excel chart into a Word document or PowerPoint presentation

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


Copy the result of a formula into a Word document or PowerPoint presentation

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


Copy worksheet cells into a Word document or PowerPoint presentation

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


Give others access to workbooks on my hard disk

To display this topic, click the graphic:

To display this topic, click the graphic.

To display this topic by using the keyboard, press F6 to activate the topic pane, press the TAB key to select the graphic, and then press ENTER.


Macro Function Help File Not Installed

To display Help topics for Microsoft Excel 4.0 macro functions, you must first download and install the complete macro function Help file. Learn how to obtain the Help file.


 Turn off the AutoSort feature

Turn off the AutoSort feature

  1. Click the field button for the field for which you want to turn off the AutoSort feature.

  2. On the PivotTable toolbar, click Field Settings [image] .

  3. Click Advanced.

  4. Under AutoSort options, click Manual.


 Turn off the custom calculation feature

Turn off the custom calculation feature

  1. Click the field button for the field that has a custom calculation.

  2. On the PivotTable toolbar, click Field Settings [image] .

  3. Click Options.

  4. In the Show data as box, click Normal.


I can't disable a macro

You may be trying to open a workbook that contains a type of macro that cannot be disabled. Microsoft Excel has two types of macros: those written in Visual Basic for Applications (VBA) and those written in Excel version 4.0 macro language (XLM macros). Only macros written in VBA can be disabled.

When you open a workbook that contains XLM macros, the Auto_Open macro can be disabled, but other XLM macros still run.

It is recommended that you make sure that the source of the workbook is reliable before you open the workbook.

Notes

  • Learn about turning off checking for macros that might contain viruses.

  • To find out more about macro viruses — including how to purchase antivirus software that scans your workbooks and removes known macro viruses — you can download virus protection information from Microsoft on the World Wide Web.


 Enter a formula by using Lotus 1-2-3 entry methods

Enter a formula by using Lotus 1-2-3 entry methods

With the Transition formula entry option selected, Microsoft Excel applies names for ranges as you enter references to ranges in formulas. In addition, if a function does not require arguments, you can type @ followed by the Lotus 1-2-3 function name, and the function is converted to its Microsoft Excel equivalent.

  1. On the Tools menu, click Options, and then click the Transition tab.

  2. Select the Transition formula entry check box.

  3. Click OK.

  4. Enter your formula.

Notes

  • When you select and clear the Transition formula entry check box, formulas don't automatically reapply names or restore names to references.

  • When you select the Transition formula entry option, Lotus 1-2-3 formula entry remains active for that worksheet until you clear the Transition formula entry option, even if you save the Lotus 1-2-3 worksheet as a Microsoft Excel worksheet.


About control properties for Forms toolbar check boxes and option buttons

Control properties for check boxes

Property | Description
Value | Determines the state of the check box, that is, whether it is selected (Checked), cleared (Unchecked), or neither (Mixed).
Cell link | Reflects the value of the state of the check box. If the check box is selected, the cell in the Cell link box displays the logical value TRUE. If the check box is cleared, the cell displays the logical value FALSE. If the check box state is mixed, the cell displays the error value #N/A. If the linked cell is empty, Microsoft Excel interprets the cell's state as FALSE.

Control properties for option buttons

Property | Description
Value | Determines the state of the option button, that is, whether it is selected (Checked) or cleared (Unchecked).
Cell Link | Reflects which option button is selected. Because an option button is used to choose one option in a group of options, you place the related option buttons together in a group box and then link each option button to the same cell on the worksheet by using the Cell link box. When you select an option button, the cell contains the number of the selected option button in the group. This number can then be used in a formula to return a result based on the selected option. For example, if you create a personnel form with an option button labeled Full-time and another option button labeled Part-time, you link the two option buttons to cell C1. The following formula displays "Full-time" if the first option button is selected or "Part-time" if the second option button is selected: =IF(C1=1,"Full-time","Part-time")


About control properties for Forms toolbar list boxes and combo boxes

Control properties for list boxes

Property | Description
Input range | Refers to a list of values on a worksheet. This range provides the values in the list box.
Cell link | A cell that returns a value that represents the selected item in the list. This number can be used in a formula to return a result based on the selected item in the list. For example, if a list box is linked to cell C1 and the input range for the list is D10:D15, the following formula returns the value from range D10:D15 based on the selection in the list: =INDEX(D10:D15,C1)
Selection type | Specifies how items can be selected in the list. If you set the selection type to Multi or Extend, the cell specified in the Cell link box is ignored.

Control properties for combo boxes

A combo box is a drop-down list box.

Property | Description
Input range | Refers to a list of values on a worksheet. This range provides the values in the drop-down list.
Cell link | A cell that returns a value that represents the selected item in the list. This number can be used in a formula to return a result based on the selected item in the list.
Drop-down lines | Specifies the number of lines to display in the drop-down list.


About control properties for Forms toolbar scroll bars and spinner controls

Control properties for scroll bars

Property | Description
Current value | Represents the relative position of the scroll box within the scroll bar.
Minimum value | Represents the position of the scroll box closest to the top of a vertical scroll bar or the left end of a horizontal scroll bar.
Maximum value | Represents the position of the scroll box farthest from the top of a vertical scroll bar or the right end of a horizontal scroll bar.
Incremental change | The amount the scroll box moves when an arrow at either end of the scroll bar is clicked.
Page change | The amount the scroll box moves when you click between the scroll box and one of the scroll arrows.
Cell link | Returns the current value of the scroll box. This number can be used in a formula to return a result based on the position of the scroll box.

Control properties for spinner controls

The control properties for a spinner button are the same as those for a scroll bar, except that spinner buttons do not have a Page change property.


What's new with basic features?

The little things you do each time you use Microsoft Excel, such as opening and saving files, have just gotten easier.

Open and save your Microsoft Office documents (Improved in 2000) With the improved File Open and File Save dialog boxes, you can see more files at one time and access them faster in every Office program. You can use the new Places Bar to get to the folders and locations you use the most, click History to see the last 20–50 documents and folders you have worked with, and then click the Back button to easily return to folders you have recently visited.

Collect and paste with the Office Clipboard (New in 2000) You can use the new Office Clipboard to collect objects from all of your programs, including your Web browser, and then paste them when you need them. You can store up to 12 objects on the Office Clipboard.

See-Through View (New in 2000) When you select cells with colored text, the color remains the same instead of appearing in an inverse color scheme.

Euro currency symbol (New in 2000) Additional number formats are available with the euro currency symbol.

Multiple Undo (New in 97) You can undo up to the last 16 actions.

Easier entry of range references in dialog boxes (New in 97) Dialog boxes that accept range references now have a button that collapses the dialog box to a smaller size so that it's not in the way while you select the range you want on your worksheet.

Yes to All option when closing multiple files (New in 97) When you quit Excel with multiple files open, you can choose to save all the files before exiting, instead of being prompted to close each open file. A popular request from our customers.

IntelliMouse pointing device (New in 97) Use the wheel button on the mouse to scroll or zoom your view of a worksheet and drill up and down on data in PivotTable reports, outlines, and subtotaled lists.

Row and column headings indicate the active cell (New in 97) As you move the highlight for the active cell, the row number and column letter "light up," so it's easy to see exactly where you are.

Better drag-and-drop editing (New in 95) Drag the border of a range of cells to move the range to another workbook or worksheet window, or hold down ALT to drag the range to a sheet tab in the same workbook. When you drag a range with the right mouse button, a shortcut menu with copy and paste options is displayed.

View comments and row and column indicators (New in 95) When you rest the pointer over a cell with a comment indicator (a red triangle in the upper-right corner of a cell), the contents are automatically displayed. When you drag the scroll box to see other parts of a worksheet, an indicator shows the row or column you will move to.


What's new with data analysis and presentation with charts?

Increased capacity and high-end display options give you powerful ways to analyze your data visually.

PivotChart reports (New in 2000) The new PivotChart report brings the power of PivotTable reports to your charts. PivotChart reports are interactive, with field buttons that you can use to show and hide items in a chart.

Display units (New in 2000) If your chart values consist of large numbers, you can make the axis text shorter and more readable by changing the display unit of the axis. For example, if the chart values range from 1,000,000 to 50,000,000, you can display the numbers as 1 to 50 on the axis and show a label that indicates that the units express millions.

Improved Chart Wizard (New in 97) The Chart Wizard is integrated with the tabbed dialog boxes and options you use to format and edit your chart, giving you one consistent way to work with charts. The wizard includes more options and Help from the Office Assistant, so that you get the right chart the first time.

Chart Type dialog box and chart types (New in 97) Standard and custom chart types (previously "chart autoformats") are organized in one place: the Chart Type command on the Chart menu. Chart types include bubble, pie of pie, and bar of pie. The pyramid, cone, and cylinder shapes for 3-D bar and column charts give your presentations pizzazz.

Up to 32,000 points per series in 2-D charts (New in 97) Increased from 4,000 points per series in earlier versions, for better analysis of large sets of financial or scientific data.

Chart Tips and Chart Objects list (New in 97) Like ToolTips on toolbar buttons, tips on chart items help you select the element you want by showing you the name of the chart item when you rest the pointer over it. You can select a chart item by clicking it or by clicking its name in the Chart Objects list on the Chart toolbar. Chart Tips on data points can also show the value of the data point.

Time-scale axes (New in 97) A special type of category axis for data that is organized by date. Microsoft Excel automatically uses a time-scale axis in your chart if the worksheet data for the chart contains date number formatting.

Data tables in charts (New in 97) You can show the worksheet data for a chart in a grid at the bottom of the chart. The data table is aligned to an axis of the chart.

View an embedded chart in a window (Improved in 97) You can open an embedded chart in its own window. Click the embedded chart, and then click Chart Window on the View menu.

Single-click selection for embedded charts (New in 97) You no longer have to double-click an embedded chart before you can work on it. Just click the item you want to change.

Improved text in charts (New in 97) You can rotate text along a chart axis — for example, set the text at a 45-degree angle. Data labels can be positioned automatically as a group in the center, at the base, or at the end of the data markers. To keep your chart legible at any size, fonts in charts scale automatically when you resize the chart.

Range Finder in embedded charts (New in 97) When you click an embedded chart, data and labels for the chart are outlined in blue, green, and purple on the worksheet. You can quickly see which cells make up the chart, and you can change the data for the chart by dragging and sizing the color-coded borders around the ranges.

More formatting options for charts (New in 97) You can apply a picture or texture fill effect to the walls and floor of 3-D charts and to the faces of bars and columns. Gradient fills on chart items provide a high-end look. Line, scatter, and radar chart markers are scalable.

Microsoft Map (New in 95) If your data is organized by geographic regions, you can "plot" it in a map — for example, color code sales by country in a map of Europe. Overlay accompanying demographic data for deeper analysis of your data.


Charting specifications

Feature | Maximum limit
Charts linked to a worksheet | Limited by available memory
Worksheets referred to by a chart | 255
Data series in one chart | 255
Data points in a data series for 2-D charts | 32,000
Data points in a data series for 3-D charts | 4,000
Data points for all data series in one chart | 256,000
Line styles | 8
Line weights | 4
Area patterns (screen display) | 18
Total area pattern and color combinations (color display) | 56,448
Pattern and color combinations (color printer) | 56,448 (the actual number depends on your printer and its software)
Page fields in a PivotChart report | 256 (may be limited by available memory)
Data fields in a PivotChart report | 256
Calculated item formulas in a PivotChart report | Limited by available memory


 I have an error in my formula.

I have an error in my formula.

Microsoft Excel corrects the most common errors you encounter as you enter formulas into your worksheet. If Formula AutoCorrect cannot correct an error in your formula, do one of the following.

Match all open and close parentheses Make sure all parentheses are part of a matching pair. When you create a formula, Excel displays parentheses in color as they are entered.

Use a colon to indicate a range When you refer to a range of cells, use a colon (:) to separate the reference to the first cell in the range and the reference to the last cell in the range. Learn about operators in formulas.

Enter all required arguments Some functions have required arguments. Also, make sure you have not entered too many arguments.

Nest no more than seven functions You can enter, or nest, no more than seven levels of functions within a function. Learn about creating nested functions.

Enclose other sheet names in single quotation marks If the formula refers to values or cells on other worksheets or workbooks and the name of the other workbook or a worksheet contains a nonalphabetical character, you must enclose its name within single quotation marks ( ' ). Learn about using formulas to calculate values on other worksheets and workbooks.

Include the path to external workbooks Make sure each external reference contains a workbook name and the path to the workbook. Learn about using formulas to calculate values on other worksheets and workbooks.

Enter numbers without formatting Do not format numbers as you enter them in formulas. For example, even if the value you want to enter is $1,000, enter 1000 in the formula. How to change the format for numbers, dates, and times.


CSV (Comma delimited) format

The CSV (Comma delimited) file format saves only the text and values as they are displayed in cells of the active worksheet. All rows and all characters in each cell are saved. Columns of data are separated by commas, and each row of data ends in a carriage return. If a cell contains a comma, the cell contents are enclosed in double quotation marks.

If cells display formulas instead of formula values, the formulas are converted as text. All formatting, graphics, objects, and other worksheet contents are lost.

Note If your workbook contains special font characters such as a copyright symbol (©), and you will be using the converted text file on a computer with a different operating system, save the workbook in the text file format appropriate for that system. For example, if you are using Windows and want to use the text file on a Macintosh computer, save the file in the CSV (Macintosh) format. If you are using a Macintosh computer and want to use the text file on a system running Windows or Windows NT, save the file in the CSV (Windows) format.


 What's new with data analysis in PivotTable reports?

What's new with data analysis in PivotTable reports?

PivotTable reports can pull together large amounts of data in crisp summaries — and new features make them even easier to tailor to your needs. This topic provides reference information about:

PivotTable features

PivotTable options

Formulas and calculations in PivotTable reports

PivotTable features

Lay out reports directly on worksheets (New in 2000) After you click Finish in the PivotTable and PivotChart Report Wizard, blue outlined drop areas appear on your worksheet and the PivotTable toolbar displays a list of the fields from your source data. You can lay out the PivotTable report directly on the worksheet by dragging the fields from the toolbar to the drop areas.

PivotChart reports (New in 2000) The new PivotChart report brings the power of PivotTable reports to your charts. PivotChart reports are interactive and have field buttons that you can use to show and hide items in a chart.

Indented formats (New in 2000) You can specify that a PivotTable report appear in an indented format — similar to traditional banded or formatted database reports — which makes a large or complex PivotTable report easier to read.

PivotTable AutoFormats (New in 2000) You can use PivotTable AutoFormats to display indented and nonindented PivotTable reports, and you can set PivotTable print options to set page breaks and repeat row and column labels for PivotTable reports that appear in an indented format.

Display and hide items in fields (New in 2000) Row and column fields now have field drop-down arrows Field arrow. Click the arrows to display and select from a list of available items. The list provides a quick way to show and hide items in fields.

Data selection and formatting (Improved in 2000) You no longer have to use PivotTable selection when you format a PivotTable report. Formatting that you apply by using regular Excel selection is retained when you refresh or change the layout.

OLAP source data (New in 2000) You can create PivotTable reports from OLAP databases and create OLAP cubes from your queries for other databases. OLAP databases and cubes organize the data for PivotTable reports, making it faster to retrieve and update data than when using traditional databases.

Interactive PivotTable list component for Web pages (New in 2000) You can make a PivotTable report available on a Web page as a PivotTable list, which is a component that lets users interact with the data in the Web browser. Users can also refresh the data, change the layout, and select different items for display.

Page fields that retrieve data one item at a time (New in 97) When you work with large external databases, you can query the database for each item in a page field as you display it so that your PivotTable reports can gain access to much larger amounts of data.

Automatic sorting (New in 97) You can sort items in a PivotTable report automatically and keep the sort order when you refresh the PivotTable report or change its layout.

Automatic display of top or bottom items (New in 97) You can show the top or bottom items for a field and set the number of top or bottom items you want to display.

Dates stored as numbers in PivotTable reports (New in 97) Sorting and formatting dates in PivotTable reports now works the same as on the rest of a worksheet.

Return to top

PivotTable options

PivotTable options (New in 97) You can set options that affect the entire PivotTable report in a separate PivotTable Options dialog box. This dialog box is available both from the PivotTable and PivotChart Report Wizard and in finished PivotTable reports.

Background queries (New in 97) You can run a query to get PivotTable report data from an external database in the background so that you can continue working in Microsoft Excel while the data is being retrieved.

Merged labels (New in 97) You can use merged cells automatically for outer row and column fields in PivotTable reports.

Page field layout (New in 97) If you use many page fields in a PivotTable report, you can fit more page fields on the screen by displaying the page fields down rows or across columns.

Options for error values and empty cells (New in 97) You can display a value you choose, including a blank cell, instead of the default error displays, such as #REF and #NAME, or displaying a 0 (zero) for empty cells.

Memory optimization (New in 97) You can optimize memory for fields that have fewer than 256 items so that smaller PivotTable reports use much less memory.

Return to top

Formulas and calculations in PivotTable reports

Calculated fields and items (New in 97) You can create fields and items within fields that calculate your own formulas on data from the PivotTable report.

List the formulas in a PivotTable report (New in 97) You can display a list of the formulas you used for your calculated fields and items.

Change the calculation order (New in 97) When you create more than one formula for a calculated item, you can specify which calculated item formulas take precedence over other formulas.

References to PivotTable report data in formulas (New in 97) The GETPIVOTDATA worksheet function lets your formulas outside of PivotTable reports perform calculations that use the data in PivotTable reports.

Return to top


Data validation operators

In the option boxes, you can enter values, cell references, or formulas.

Operator | Options
between | Valid entries are greater than or equal to the entry for the Minimum, Start date, or Start time option and less than or equal to the entry for the Maximum, End date, or End time option.
not between | Valid entries are less than the entry for the Minimum, Start date, or Start time option or greater than the entry for the Maximum, End date, or End time option.
equal to | Valid entries match the entry for the Value, Length, Date, or Time option.
not equal to | Valid entries do not match the entry for the Value, Length, Date, or Time option.
greater than | Valid entries exceed the entry for the Minimum, Start date, or Start time option.
less than | Valid entries are below the entry for the Maximum, End date, or End time option.
greater than or equal to | Valid entries match or exceed the entry for the Minimum, Start date, or Start time option.
less than or equal to | Valid entries match or are below the entry for the Maximum, End date, or End time option.


Types of data restrictions

The options displayed in the Data Validation dialog box change depending on the selections you make in the Allow and Data boxes.

Type | Description and options
Any Value | Places no restrictions on the valid entries. Use this setting if you want to display an input message without checking for valid entries.
Custom Lets you enter a formula, use an expression, or refer to a calculation in another cell to determine valid entries.

Formula — Enter a formula, starting with an equal sign (=). The formula must evaluate True or False.

Ignore blank — Select to allow blank entries in the cell. Clear to specify that blank entries are not valid.
Date Specifies that entries must be dates.

Data — Click an operator, and then fill in the options. For information about the available operators and options, click [image] .

Date — Enter the date for the operator.

Start date — Enter the first date for the operator.

End date — Enter the last date for the operator.

Ignore blank — Select to allow blank entries in the cell. Clear to specify that blank entries are not valid.
Decimal Specifies that entries must be numbers or fractions.

Data — Click an operator, and then fill in the options. For information about the available operators and options, click [image] .

Value — Enter the number for the operator.

Minimum — Enter the smallest number for the operator.

Maximum — Enter the largest number for the operator.

Ignore blank — Select to allow blank entries in the cell. Clear to specify that blank entries are not valid.
List Lets you specify a list of the valid entries.

Source — Enter a reference to the range in the workbook where you have entered the valid entries, enter a reference to a defined name, or type the valid entries, separated by commas (for example, low, medium, high)

Ignore blank — Select to allow blank entries in the cell. Clear to specify that blank entries are not valid.

In-cell dropdown — Select to display a drop-down arrow that provides the list to select from when the person entering data clicks the cell. Clear to omit the drop-down list.
Text Length Specifies the number of characters for entries.

Data — Click an operator, and then fill in the options. For information about the available operators and options, click [image] .

Length — Enter the number for the operator.

Minimum — Enter the smallest number for the operator.

Maximum — Enter the largest number for the operator.

Ignore blank — Select to allow blank entries in the cell. Clear to specify that blank entries are not valid.
Time Specifies that entries must be times.

Data — Click an operator, and then fill in the options. For information about the available operators and options, click [image] .

Time — Enter the time for the operator.

Start time — Enter the earliest time for the operator.

End time — Enter the latest time for the operator.

Ignore blank — Select to allow blank entries in the cell. Clear to specify that blank entries are not valid.
Whole Number Specifies that entries must be integers.

Data — Click an operator, and then fill in the options. For information about the available operators and options, click [image] .

Value — Enter the number for the operator.

Minimum — Enter the smallest number for the operator.

Maximum — Enter the largest number for the operator.

Ignore blank — Select to allow blank entries in the cell. Clear to specify that blank entries are not valid.


 dBASE file formats

dBASE file formats

The dBASE file formats DBF 2 (dBASE II), DBF 3 (dBASE III), and DBF 4 (dBASE IV) save only the text and values as they are displayed in cells of the active worksheet. All cell formatting, page layout settings, graphics, objects, and other Microsoft Excel 2000 features are lost. The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • All rows are saved; the following numbers of columns are saved.
    Format | Columns
    DBF 2 (dBASE II) | 32
    DBF 3 (dBASE III) | 128
    DBF 4 (dBASE IV) | 256

  • If a range of cells is named "Database," only that range of cells is converted. If you have added new records after naming the database range, you must redefine the range to include the new records before you save the file in dBASE format. If a database range is not defined, the list of data in the current region is converted.

  • Text values in the first row of the range are used as dBASE field names, which are limited to 10 characters; subsequent characters are truncated. If the first row contains all numbers, automatic field names (N1, N2, and so on) are inserted in the converted file.

  • Data types of values in the first row of data in the converted range determine the data types of each field (column) of data. If the first row of data contains a blank value for a field, the field is converted as a text field, even if subsequent rows contain numbers in that field; the numbers are converted as text.

  • Only data visible in the worksheet cells is saved. Widen the columns in Excel, and make sure all the data is visible before you save the sheet in dBASE format.

  • If cells contain decimal fractions but are formatted in Excel with the General number format, the values are rounded to the closest whole number. To preserve numbers to the right of the decimal point, format the cells with the Number format, and then specify the number of decimal places you want saved.

  • If cells in the converted range contain formulas, only the resulting values of formulas are saved, even if the sheet display options are set to show formulas in the worksheet cells instead of values. To ensure that the formula values are converted correctly, click Options on the Tools menu, click the View tab, and clear the Formulas check box. Then make sure that all values are visible before you save the file. If you want to save a formula as text, insert an apostrophe (') before the formula.


DIF (Data Interchange Format) format

The DIF (Data Interchange Format) format saves only the text, values, and formulas on the active worksheet.

  • All rows and all characters in each cell are saved.

  • If worksheet options are set to display formula results in the cells, only the formula results are saved in the converted file. To save the formulas, display the formulas on the worksheet before saving the file. To display the formulas, select the Formulas check box on the View tab of the Options dialog box (Tools menu).

  • Column widths and most number formats are saved, but all other formats are lost.

  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.

  • Cell comments, graphics, embedded charts, objects, form controls, hyperlinks, data validation settings, conditional formatting, and other worksheet features are lost.

  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • Visual Basic code is lost.


 Worksheet elements you can protect

Worksheet elements you can protect

Protect the worksheet When you protect a worksheet by using the Protect Sheet command (Tools menu, Protection submenu), you can limit access to the worksheet as follows. To remove these restrictions, users must remove protection from the worksheet with the Unprotect Sheet command (Tools menu, Protection submenu). If you set a password for elements you protect, others must know the password to remove protection.

Run macros that contain valid operations for protected worksheets If you run a macro that includes an operation that can't be performed on a protected worksheet, a message appears and the macro stops running.

Protect the contents When you select the Contents check box in the Protect Sheet dialog box, users cannot do the following unless they turn off protection first:

  • Make changes to cells, unless you unlocked the cells before protecting the worksheet. For example, if you use a worksheet as a form, you can leave cells that contain labels and instructions locked, but unlock the entry fields so that others can fill them in. Users can press the TAB key to move between unlocked cells on a protected worksheet.

  • View rows or columns that you hid before you protected the worksheet.

  • View the formulas for the cells for which you hid the formulas before you protected the worksheet.

  • For chart sheets, make changes to items on the chart sheet, such as data series, axes, and legends. The chart continues to reflect changes made to its source data.

Protect the objects When you select the Objects check box in the Protect Sheet dialog box, users cannot do the following unless they turn off protection first:

  • Make changes to graphic objects — including maps created with the Microsoft Excel mapping feature, embedded charts, shapes, text boxes, and controls — unless you unlocked the objects before you protected the worksheet. For example, if a worksheet has a button that runs a macro, you can click the button to run the macro, but you cannot delete the button.

  • Make any changes, such as formatting, to an embedded chart. However, if you protect an embedded chart, the chart continues to update when you change its source data.

  • Update a map, if the map is protected.

  • Add or edit comments.

  • For chart sheets, make changes to graphic objects, such as text boxes, that you've added to the chart, unless you unlocked the objects before protecting the chart sheet.

Protect the scenarios When you select the Scenarios check box in the Protect Sheet dialog box, users cannot do the following unless they turn off protection first:

  • View scenarios that you have hidden.

  • Make changes to scenarios that you have prevented changes to, or delete these scenarios. Users can edit the values in the changing cells, if the cells are not protected, and add new scenarios.

Note In the Visual Basic Editor, programmers can use the EnableSelection property of Visual Basic for Applications to protect cells so that users cannot select them. For more information, see Visual Basic Editor Help.


What's new with formulas and data entry?

Creating formulas on worksheets is easier than ever. New tools help you build and edit formulas, enter functions, and create custom forms and templates.

Four-digit date formats (New in 2000) Additional number formats with four-digit dates.

Formula Palette and the Paste Function command (New in 97) The Formula Palette makes it easier to create formulas by automatically correcting common mistakes and using the Answer Wizard to provide help as you work.

Recommended worksheet functions (New in 97) If you use the Paste Function dialog box but don't know which function generates the result you want, just type a brief description of what you want to do. The Office Assistant will suggest which worksheet functions to use.

Range Finder (New in 97) As you edit a formula, all cells and ranges that the formula refers to are displayed in color, and a matching color border is applied to the cells and ranges.

Natural-language formulas (New in 97) Use row and column labels in formulas to refer to cells without using cell references or creating names.

Built-in templates (New in 95) New templates provide online forms that can store data in lists or databases. The new templates include an expense statement and a purchase order.

Template Wizard with Data Tracking (New in 95) You can create your own custom forms that store data in a list or database by using the Template Wizard with Data Tracking.

AutoCalculate (New in 95) View the total value for a range of cells in the status bar when you select the range.

AutoComplete (New in 95) Compares text you are typing into a cell with text already entered into the same column, and then completes typing the entry for you.

AutoCorrect (New in 95) As you type text into cells, common spelling errors are automatically corrected.

Data validation (New in 97) You can specify the type of data allowed in a cell, such as text, whole numbers, or dates, and the range of valid data, such as numbers less than an amount you specify or values from a list you supply.

Custom data entry input and error messages for data validation (New in 97) With data validation, you can display custom input and error messages when a user selects a cell with restrictions or enters invalid data into a cell.

Check for invalid data on worksheets (New in 97) The Auditing toolbar contains a new Circle Invalid Data button that finds cells that contain invalid data.


Mathematical operators in Lotus 1-2-3 and Microsoft Excel

The following list compares the mathematical operators used by Microsoft Excel and Lotus 1-2-3.

Order of evaluation The order in which Lotus 1-2-3 performs operations in formulas is as follows: exponentiation, positive and negative, multiplication and division, addition and subtraction, comparison (= < > <= >= <>, #not#, #and# and #or#), and then concatenation. Learn about the order in which Microsoft Excel performs operations in formulas.

Description | Lotus 1-2-3 operator | Microsoft Excel operator
Exponentiation | ^ | ^
Positive and negative | + and – | – (positive is assumed in Microsoft Excel)
Multiplication and division | * and / | * and /
Addition and subtraction | + and – | + and –
Comparison | = < > <= >= <> | = < > <= >= <>
 | #not# | NOT worksheet function
 | #and# and #or# | AND and OR worksheet functions
Connect two strings of text (concatenation) (Release 2.0 or later only) | & | &

Notes

  • Lotus 1-2-3 evaluates the exponentiation operator (^) before the negation operator (–); Excel evaluates negation first. For example, the formula =–2^4 produces the value –16 in Lotus 1-2-3, but it produces 16 in Excel. To correct this difference, use parentheses to change the order of evaluation; for example =–(2^4) produces –16.

  • In both Lotus 1-2-3 and Excel, operators with the same precedence, such as AND and OR, are evaluated left to right.


 I can't change my worksheet or chart sheet while a PivotTable or PivotChart query is running.

I can't change my worksheet or chart sheet while a PivotTable or PivotChart query is running.

Check whether the area you want to change is being updated While a query is running in the background, you can continue to work with other Microsoft Excel workbooks and worksheets, and you can create and change other reports. However, you cannot make changes to the PivotTable or PivotChart report that is currently being updated, nor can you change other reports that are based on the report that is being updated.

Wait for the query to complete, or cancel it You can make changes to the PivotTable or PivotChart report after retrieval of the external data is complete. To check the progress of a query that is running in the background, double-click the refresh indicator icon in the status bar to display the External Data Refresh Status dialog box. To stop the query, click Stop Refresh in the dialog box.

Check whether the query is set to run while you wait or run in the background If you run the PivotTable or PivotChart query while you wait, you cannot change the worksheet while the query is running, but the query may complete faster.

How to run a PivotTable or PivotChart query in the background or while you wait.


Formatted Text (Space delimited) format

The Formatted Text (Space delimited) (*.prn) format saves only the text and values as they are displayed in cells of the active worksheet.

All rows are saved. If a row of cells contains more than 240 characters, characters beyond 240 wrap to a new line at the end of the converted file. For example, if the rows 1 through 10 all contain more than 240 characters, the remaining text in row 1 is placed in row 11, the remaining text in row 2 is placed in row 12, and so on.

Columns of data are separated by commas, and each row of data ends in a carriage return. If cells display formulas instead of formula values, the formulas are converted as text. All formatting, graphics, objects, and other worksheet contents are lost.

Before saving a worksheet in this format, make sure all data that you want converted is visible and that there is adequate spacing between the columns. Otherwise, data may be lost or not properly separated in the converted file. You may need to adjust the column widths of the worksheet.


What's new with formatting and layout?

Enhanced formatting and layout features help you get the printed report or online form with the look you want.

List AutoFill (New in 2000) Microsoft Excel 2000 automatically extends formatting and formulas in lists, simplifying this common task.

Euro currency symbol (New in 2000) Additional number formats are available with the euro currency symbol.

Page break preview (New in 97) With the Page Break Preview command on the View menu, Microsoft Excel offers an intuitive way to set your worksheet up for printing. Drag page breaks and print area borders where you want — Microsoft Excel automatically scales the information to fit the printed page. You can work on your worksheet as you usually would — for example, move and copy cells and objects, and edit text in cells — while you preview page breaks.

Merged cells (New in 97) It's easier to get the alignment and look you want for online forms by using merged cells. You can reference the merged cell in a formula.

Indented text in cells (New in 97) True indenting of text within cells means you can indent text up to 15 steps in a cell.

Rotated text in cells (New in 97) Rotate text to any angle in a cell. With wrapped and rotated text, you can reduce the amount of horizontal space required by long text items such as headings, leaving more room for the details of your data.

Conditional formats (New in 97) Microsoft Excel can dynamically apply a different font style, pattern, and border to cells whose values fall outside or within the limits you specify. This lets you quickly spot areas of interest, without reading through tables of values.

Easier number formatting (New in 95) Microsoft Excel makes it easy to change number formats — without using codes. On the Format menu, click Cells, and then click the Number tab. Click the category with the example that looks like the format you want. Built-in formats are available for the most common number formatting tasks.


What's new with user assistance and other Microsoft technical resources?

Task-oriented Help topics walk you through every feature step by step. The power of the Web brings Microsoft technical resources to your desktop.

See the Assistant out of the box (Improved in 2000) The Office Assistant is now out of the box. The Assistant uses less space on your screen, while still providing great help when you need it. But if it can't answer your question, you can ask the Assistant to take you to the Web for more information. You can also let Microsoft know which questions aren't answered (which helps improve future versions of Office). If you don't like the Assistant, you can turn it off permanently and use the Help index or table of contents.

Technical resources on the Web (New in 97) If you are connected to the Internet, use the Office on the Web command (Help menu) as a path to free software, product information, and comprehensive technical resources, such as the Microsoft Knowledge Base.

Informational tips about toolbar buttons, dialog box options, commands, and screen items (Improved in 95) When you rest the pointer on a toolbar button, the name of the button is displayed in a tip. You can find out what each dialog box item does without interrupting your work. To see a tip, click the question mark [image] button in the dialog box title bar, and then click an item. To see a description for a menu command, toolbar button, or screen item, click What's This? on the Help menu, and then click the command or item.


Hidden function

This function is available only in another language version of Microsoft Excel.


I can't find the Copy Picture, Paste Picture, or Paste Picture Link command.

Hold down SHIFT and click the Edit menu.


What's new with installation, graphics, worldwide settings, and integration with Microsoft Office?

Shared tools across Office programs mean that you only need to learn one way to get your work done. This topic provides reference information about:

Getting Office 2000 up and running

Using graphics and the Clip Gallery

Using Office worldwide

Making your Office 2000 desktop easier to use

Getting Office 2000 up and running

Install Office 2000 (Improved in 2000) Office 2000 determines the best installation for your computer, based on what is already installed and used. If you have an earlier version of Office, Office 2000 uses the Office Profile Wizard to preserve many of your user settings. Office 2000 can also remove earlier versions for you.

Get the program you need when you need it (New in 2000) As you use Office, you might see shortcuts, icons, and commands for programs and components that weren't installed when you originally installed Office. When you need this functionality, you can just click a command, and Office 2000 installs the program or component for you.

Keep Office 2000 running (New in 2000) You can have Office fix problems with noncritical files (such as fonts and templates) by clicking Detect and Repair on the Help menu. This command reinstalls files that are missing or corrupted. Problems with essential files and registry entries are automatically detected and fixed when you open your Office program.

Take your Office with you when you go (New in 2000) Your system administrator can now configure your user profile to travel with you so that it's always available when you log on to a computer. Your user profile contains information such as custom dictionaries, custom templates, and AutoCorrect and AutoFormat lists. In addition, customization preferences and options that are different for each user—such as installed programs, desktop icons, and color options—are available when you log on to a computer with your user profile.

Return to top

Using Graphics and the Clip Gallery

The Clip Gallery (Improved in 2000) When you use the Clip Gallery, you can organize pictures into custom categories, assign keywords to pictures, drag images into your Office documents, and leave the Clip Gallery open in a smaller window while you're working on your documents. The Clip Gallery can also store sounds and movies. If you use a picture, sound, or movie often, you can add it to the Clip Gallery for easy access.

Drawing toolbar (New in 97) Microsoft Excel shares drawing tools with other Office programs. Choose from several categories of predefined shapes, and create interesting text effects.

More graphics filters (New in 97) The Graphics Interchange Format (.gif) and JPEG File Interchange Format (.jpg) filters help you export charts in common graphics formats so you can display them on the World Wide Web.

Return to top

Using Office worldwide

Use multiple languages (New in 2000) You can enter, display, and edit text in all supported languages in any language version of Office 2000. Supported languages include European languages, Japanese, Chinese, Korean, Hebrew, and Arabic.

Change your interface language (New in 2000) Office 2000 makes it easy to change the language of the user interface. For example, if your corporation wants to use the standard English installation of Office 2000, you can easily adjust the Interface and Help language to the language you prefer to work in, without help from your system administrator.

Unicode support (New in 2000) All Office 2000 programs support Unicode for easier multilingual document creation. Now you can enter and display text from any of the supported languages in a single language version of Office. (In Outlook, this is true only for e-mail and not for the other items, such as contacts, meeting requests, tasks, and so on.)

Return to top

Making your Office 2000 desktop easier to use

Office 2000 personalizes your menus and toolbars (New in 2000) Only the items that you use most often are prominently featured on the new personalized menus and toolbars. You can easily expand menus to reveal all commands. After you click a command, it appears on your personalized menu. Toolbars share space in a single row on the screen, so you have more room for your work. When you click a button on a toolbar, that button is added to the personalized toolbars on your screen. You can easily customize your toolbars by dragging and dropping command controls on the toolbar.

See what documents you have open (New in 2000) You can use the Windows taskbar to switch between open Office documents—each one is represented by an icon on the taskbar.

Create shortcuts to get there faster (New in 2000) You or your system administrator can create shortcuts to files, folders, and Web pages by using hyperlinks or the Favorites folder. You can customize buttons on your Office toolbars to link to the company-specific content and Internet resources you use the most.

Office Binder (New in 95, improved in 97) Group all of your documents, workbooks, and presentations for a project in one place. You can organize and print the files that make up a binder as a single document, with one header and footer and continuous pagination.

Office Shortcut Bar (New in 95) Quickly find and open documents or databases, set up appointments, and even send e-mail messages. You can customize the Office Shortcut Bar to show frequently used files as buttons.

Return to top


 Lotus 1-2-3 functions that have equivalent Microsoft Excel functions

Lotus 1-2-3 functions that have equivalent Microsoft Excel functions

Many Lotus 1-2-3 functions have Microsoft Excel equivalents. However, Microsoft Excel uses different calculation rules than Lotus 1-2-3 when evaluating text in formulas, certain database criteria, and the value of certain logical operators.

For more information about a Microsoft Excel worksheet function in the following table, click the Microsoft Excel function name. For information about how to enter a formula that contains a function, click [image] .

Lotus function | Equivalent function in Microsoft Excel | Notes
@@ | INDIRECT |
@ABS | ABS |
@ACOS | ACOS |
@ASIN | ASIN |
@ATAN | ATAN |
@ATAN2 | ATAN2 |
@AVG | AVERAGEA |
@CELL | CELL |
@CELLPOINTER | CELL | When used without a second argument, the CELL worksheet function returns information about the cell containing the function.
@CHAR | CHAR |
@CHOOSE | CHOOSE |
@CLEAN | CLEAN |
@CODE | CODE |
@COLS | COLUMNS |
@COS | COS |
@COUNT | COUNTA |
@CTERM | NPER | The NPER worksheet function requires you to supply a periodic payment value instead of a future value.
@DATE | DATE |
@DAVG | DAVERAGE |
@DAY | DAY |
@D360 | DAYS360 | The @D360 function is available only in Lotus 1-2-3 Release 3 or later.
@DCOUNT | DCOUNTA |
@DDB | DDB |
@DGET | DGET |
@DMAX | DMAX |
@DMIN | DMIN |
@DSTD | DSTDEVP |
@DSTDS | DSTDEV | The @DSTDS function is available only in Lotus 1-2-3 Release 3 or later.
@DSUM | DSUM |
@DVAR | DVARP |
@DVARS | DVAR | The @DVARS function is available only in Lotus 1-2-3 Release 3 or later.
@ERR |  | Microsoft Excel does not have an equivalent function. You can type error values such as #N/A and #VALUE! directly into cells and formulas in Microsoft Excel.
@EXACT | EXACT |
@EXP | EXP |
@FALSE | FALSE |
@FIND | FIND |
@FV | FV |
@HLOOKUP | HLOOKUP |
@HOUR | HOUR |
@IF | IF | In Microsoft Excel, the last two arguments can be any value, or contain another worksheet function; they are not limited to numbers or strings, as in @IF.
@INDEX | INDEX | The INDEX worksheet function has two forms, including one to select values from an array.
@INT | TRUNC |
@IRR | IRR | The list of arguments for the IRR worksheet function is in reverse order of the arguments for the @IRR function.
@ISERR | ISERR | The ISERR worksheet function detects any of six error values in Microsoft Excel.
@ISNA | ISNA |
@ISNUMBER | ISNONTEXT |
@ISRANGE | ISREF | The @ISRANGE function is available only in Lotus 1-2-3 Release 3 or later.
@ISSTRING | ISTEXT |
@LEFT | LEFT |
@LENGTH | LEN |
@LN | LN |
@LOWER | LOWER |
@LOG | LOG |
@MAX | MAXA |
@MID | MID |
@MIN | MINA |
@MINUTE | MINUTE |
@MOD | MOD |
@MONTH | MONTH |
@N | N |
@NA | NA |
@NOW | NOW |
@NPV | NPV |
@PI | PI |
@PMT | PMT | You supply the list of arguments for the PMT worksheet function in a different order than you do for the @PMT function.
@PROPER | PROPER |
@PUREAVG | AVERAGE | The @PUREAVG function is available only in Lotus 1-2-3 Release 4 or later.
@PURECOUNT | COUNT | The @PURECOUNT function is available only in Lotus 1-2-3 Release 4 or later.
@PUREMAX | MAX | The @PUREMAX function is available only in Lotus 1-2-3 Release 4 or later.
@PUREMIN | MIN | The @PUREMIN function is available only in Lotus 1-2-3 Release 4 or later.
@PURESTD | STDEVP | The @PURESTD function is available only in Lotus 1-2-3 Release 4 or later.
@PURESTDS | STDEV | The @PURESTDS function is available only in Lotus 1-2-3 Release 4 or later.
@PUREVAR | VARP | The @PUREVAR function is available only in Lotus 1-2-3 Release 4 or later.
@PUREVARS | VAR | The @PURVARS function is available only in Lotus 1-2-3 Release 4 or later.
@PV | PV | You supply the list of arguments for the PV worksheet function in a different order than you do for the @PV function.
@RAND | RAND | The RAND worksheet function calculates values randomly each time the function is recalculated. The @RAND function calculates the same values in each work session.
@RATE | RATE | You supply the list of arguments for the RATE worksheet function in a different order than you do for the @RATE function.
@REPEAT | REPT |
@REPLACE | REPLACE |
@RIGHT | RIGHT |
@ROUND | ROUND |
@ROWS | ROWS |
@S | T |
@SECOND | SECOND |
@SIN | SIN |
@SLN | SLN |
@SQRT | SQRT |
@STD | STDEVPA |
@STDS | STDEVA |
@STRING | FIXED |
@SUM | SUM |
@SYD | SYD |
@TAN | TAN |
@TERM | NPER | You supply the list of arguments for the NPER worksheet function in a different order than you do for the @TERM function.
@TIME | TIME |
@TIMEVALUE | TIMEVALUE |
@TODAY | TODAY |
@TRIM | TRIM |
@TRUE | TRUE |
@UPPER | UPPER |
@VALUE | VALUE |
@VAR | VARPA |
@VARS | VARA |
@VDB | VDB |
@VLOOKUP | VLOOKUP |
@YEAR | YEAR |


 Lotus 1-2-3 terminology and Microsoft Excel equivalent terms

Lotus 1-2-3 terminology and Microsoft Excel equivalent terms

The following table lists Lotus 1-2-3 terms and equivalent Microsoft Excel terms. The Microsoft Excel term may not necessarily be an exact equivalent of the Lotus 1-2-3 term, but you can use the term to look for more information in Microsoft Excel Help.

Lotus 1-2-3 term | Microsoft Excel term or concept
@ Function | Function
Address | Reference
Anchor cell | Selecting a range of cells
Border | Row and column headings
CALC indicator | Status bar
Cell pointer | Active cell
Column labels | Column headings
Control panel | Menu bar, formula bar, status bar
Copy | Copy and then paste
Crosshatching | Chart patterns
Current cell | Active cell
Current worksheet | Active worksheet or chart sheet
Cursor | Insertion point
Data range | Data series
Data table 1 | One-input data table
Data table 2 | Two-input data table
Date format | Number format
Erase | Clear
Formula criteria | Computed criteria
Global | Workspace
Graph | Chart
Graph labels | Chart text
Graph titles | Chart titles
Highlight | Select or selection
Indicator | Status bar
Input range | List or range reference (for Analysis Tools)
Label | Text
Label-prefix | Horizontal alignment
Label/matching criteria | Comparison criteria
Logical 0 | FALSE
Logical 1 | TRUE
Menu pointer | Menu selection
Mode indicator | Status bar
Numbering/matching criteria | Comparison criteria
Numeric format | Number format
Output range | Extract range
Picture file | Chart, chart sheet (no separate file)
Pointer movement keys | Arrow keys
Print range | Print area
Protected cell | Locked/protected cell
Range highlight | Selected range
Repeating label | Horizontal fill alignment (Format menu, Cells command, Alignment tab)
Retrieve a file | Open a file
Row numbers | Row headings
Stacked bar graph | Stacked Column chart, Stacked Bar chart, 100% Stacked Column chart, 100% Stacked Bar chart
Status indicator, status line | Status bar
String | Text
Target cell | Dependent cell
Target file | Dependent document
Time format | Number format
Titles | Split worksheet window with frozen panes
Translate utility | Open and Save As commands on the File menu
Value | Number
Window | Multiple windows, pane


Lotus 1-2-3 Release 1.x (WKS) format

The Lotus 1-2-3 Release 1.x (WKS) format saves only text, values, and formulas of the active worksheet.

The following features are not saved: Visual Basic code, cell comments, imported graphics and drawing objects, embedded charts, scenarios, embedded objects, form controls, hyperlinks, data validation settings, and conditional formatting.

Other features are saved as follows:

  • Rows beyond row 2,048 are discarded; up to 240 characters are saved per cell.

  • Most formulas are saved. If a formula contains a function that is not supported by Lotus 1-2-3 Release 1.x, Excel calculates the function before saving the file and replaces the formula with the resulting value. For example, the A functions available in Excel 97 and Excel 2000 are converted to their resulting values.

  • The Excel intersection (blank space) and union (comma) operators are not converted.

  • Defined names of ranges are saved.

  • References to rows beyond 2,048 wrap to the beginning of the worksheet; for example, the reference A2049 becomes the reference A1 in the converted WKS file.

  • Formulas that contain 3-D references or other references to nonadjacent ranges of cells cannot be saved in this Lotus 1-2-3 format. Formulas that contain references to other workbooks are converted to their resulting values.

  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • Column widths are saved. All other cell and text formats are lost. Fonts are converted to 10-point Courier font.

  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.

  • Display of gridlines is turned off.

  • Most number formats are saved.
    • Negative numbers represented as -1234 in Excel are enclosed in parentheses. Negative numbers displayed in red font color are displayed in the default font color.

    • Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

    • Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

    • Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

    • Fractional seconds formats are saved in General format.

    • Fractional formats (for example, 13/64) are converted to decimal fractions.

    • Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

For more information about converting Excel workbooks to Lotus 1-2-3 file formats, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.


Lotus 1-2-3 Release 2.x (WK1) format

The Lotus 1-2-3 Release 2.x (WK1) format saves text, values, and formulas of the active worksheet.

The following features are not saved: Visual Basic code, cell comments, imported graphics and drawing objects, embedded charts, embedded objects, scenarios, form controls, hyperlinks, data validation settings, and conditional formatting.

Other Microsoft Excel features are saved as follows:

  • Rows beyond row 8,192 are discarded; up to 240 characters are saved per cell.

  • Most formulas are saved. If a formula contains a function that is not supported by Lotus 1-2-3 Release 2.x, Excel calculates the function before saving the file and replaces the formula with the resulting value. For example, the A functions available in Excel 97 and Excel 2000 are converted to their resulting values.

  • The Excel intersection (blank space) and union (comma) operators are not converted.

  • Defined names of ranges are saved.

  • References to rows beyond 8,192 wrap to the beginning of the worksheet; for example, the reference A8193 becomes the reference A1 in the converted WK1 file.

  • Formulas that contain 3-D references or other references to nonadjacent ranges of cells cannot be saved in this Lotus 1-2-3 format. However, if formulas contain references to adjacent ranges of cells, either on the same sheet or in another workbook, the formulas and references are saved.

  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • Column widths are saved. All other cell and text formats are lost. Fonts are converted to 10-point Courier font. To save most formatting, save workbooks in the Lotus WK1,ALL (1-2-3) or WK1,FMT (1-2-3) format.

  • Most number formats are saved.
    • Negative numbers represented as -1234 in Excel are enclosed in parentheses. Negative numbers displayed in red font color are displayed in the default font color.

    • Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

    • Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

    • Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

    • Fractional seconds formats are saved in General format.

    • Fractional formats (for example, 13/64) are converted to decimal fractions.

    • Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

For more information about converting Excel workbooks to Lotus 1-2-3 file formats, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.


Lotus 1-2-3 Release 2.x (WK1, ALL) format

If you save a Microsoft Excel 2000 workbook in the Lotus 1-2-3 file format WK1,ALL (1-2-3), formatting is saved in a separate ALL file. The ALL file is used in Lotus 1-2-3 by the ALLWAYS add-in to format worksheets. If you reopen the WK1 file in Excel, the formatting in the associated ALL file is applied automatically.

Embedded charts, which are not saved in WK1 format, are saved on a separate chart sheet in WK1,ALL format. Charts and PivotChart reports are saved in the closest available Lotus 1-2-3 chart format. Gradient fills, patterns, and shading are saved in the closest available solid color. The following chart features are not saved: embedded charts, data tables in chart sheets; trendlines and error bars; shadows; and 3-D marker shapes. Rotated text on axis and data labels is saved with horizontal orientation.

For information about Microsoft Excel worksheet features that are saved in the WK1 file, click [image] .

Excel formats are saved as follows:

  • Column widths and row heights are saved.

  • In cells that contain text with different text formats, all text in the cell takes on the format of the first character in the cell.

  • Bold, italic, and underline formats are saved; accountant underline format is converted to regular underline format. Superscript, subscript, and strikethrough formats are not saved.

  • Fonts are converted according to the font substitution settings for your system. Font color is converted to the closest available color supported by Lotus 1-2-3. Font sizes are converted.

  • Text formatted with the Shrink to fit option on the Alignment tab (Format menu, Cells command) is saved in the original point size (before the Shrink to fit option was applied).

  • All rotated and vertically oriented text is changed to horizontal orientation.

  • Centered, right-aligned, and left-aligned formatting is saved. Alignment, such as wrapped text, is not saved.

  • Text is saved with bottom vertical alignment.

  • Indentation within cells is removed, and the contents of cells are left-aligned.

  • Merged cells are split into their original configuration. Data is placed in the top-left cell.

  • Conditional formatting is lost, and cells are reformatted with the Normal style.

  • Sheet backgrounds are not saved.

  • Borders are converted to the closest available border style; for example, double and dotted borders are converted to single lines. Color borders are converted to black.

  • Cell shading is converted to black shading. Fill patterns are saved as gray shading (dotted).


Lotus 1-2-3 Release 2.x (WK1, FMT) format

When you save a Microsoft Excel workbook in the Lotus 1-2-3 Release 2.x (WK1, FMT) format, data is saved in the resulting WK1 file, and formatting information is saved separately in the FMT file. If you reopen the WK1 file in Microsoft Excel, the formatting in the associated FMT file is applied automatically.

Embedded charts, which are not saved in WK1 format, are saved on the worksheet in WK1,FMT format. Charts and PivotChart reports are saved in the closest available Lotus 1-2-3 chart format. Gradient fills, patterns, and shading are saved in the closest available solid color. The following chart features are not saved: data tables in chart sheets; trendlines and error bars; shadows; 3-D marker shapes. Rotated text on axis and data labels is saved with horizontal orientation.

For information about Microsoft Excel worksheet features saved in the *.wk1 file, click [image] .

For information about the cell and text formatting saved in the *.fmt file, click [image] .


Lotus 1-2-3 Release 3 (WK3) format

The Lotus 1-2-3 Release 3 (WK3) format saves only text, values, and formulas.

The following features are not saved: Visual Basic code, cell comments, imported graphics and drawing objects, embedded objects, scenarios, form controls, hyperlinks, data validation settings, conditional formatting.

  • The number of worksheets saved depends on the available memory. Sheet names are converted to the Lotus 1-2-3 default names A, B, C, and so on.

  • Up to 8,192 rows are saved, and up to 255 characters are saved per cell.

  • Most formulas are saved. If a formula contains a function that is not supported by Lotus 1-2-3 Release 3, Excel calculates the function before saving the file and replaces the formula with the resulting value.

  • The functions available in Excel 97 and Excel 2000 are converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.

  • The Excel intersection (blank space) and union (comma) operators are not converted.

  • Defined names of ranges are saved.

  • References to rows beyond 8,192 wrap to the beginning of the worksheet; for example, the reference A8193 becomes the reference A1 in the converted WK3 file.

  • 3-D references and external references to other workbooks and sheets in formulas are saved.

  • Embedded charts are saved as separate chart sheets in the closest available Lotus 1-2-3 chart format. Gradient fills, patterns, and shading are saved in the closest available solid color. The following chart features are not saved: trendlines and error bars; shadows; 3-D marker shapes. Rotated text on axis and data labels is saved with horizontal orientation.

    Embedded charts are saved on the sheet if you save the workbook in WK3, FM3 (1-2-3) format.

  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • If a workbook is saved in WK3 format without an associated FM3 file, column widths and most number formats are saved. All other cell and text formats are lost. Fonts are converted to 10-point Courier font.

  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.

  • Most number formats are saved.
    • Negative numbers represented as -1234 in Excel are enclosed in parentheses.

    • Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

    • Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

    • Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

    • Fractional seconds formats are saved in General format.

    • Fractional formats (for example, 13/64) are converted to decimal fractions.

    • Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

For more information about converting Excel workbooks to Lotus 1-2-3 file formats, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.


Lotus 1-2-3 Release 3 (WK3, FM3) format

When you save a Microsoft Excel workbook in the Lotus 1-2-3 Release 3 (WK3, FM3) format, data is saved in the resulting WK3 file, and formatting information is saved separately in the FM3 file. If you reopen the WK3 file in Microsoft Excel, the formatting in the associated FM3 file is applied automatically.

For information about the data saved in the WK3 file, click [image] .

For information about the cell and text formatting saved in the FM3 file, click [image] .


Lotus 1-2-3 Release 4 (WK4) format

The Lotus 1-2-3 Release 4.0 (WK4) format saves sheet data and formatting in a single file.

The following Microsoft Excel features are not saved: Visual Basic code, cell comments, imported graphics and drawing objects, embedded objects, scenarios, form controls, hyperlinks, data validation settings, and conditional formatting.

For more information about converting Excel workbooks to the Lotus 1-2-3 file formats, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.

Data, formulas, and other worksheet features

Worksheet text, values, formulas, and other worksheet features are saved as follows:

  • The number of worksheets saved depends on the available memory. Sheet names of up to 15 characters are saved.

  • Up to 8,192 rows are saved, and up to 255 characters are saved per cell.

  • Most formulas are saved. If a formula contains a function that is not supported by Lotus 1-2-3 Release 4, Excel calculates the function before saving the file and replaces the formula with the resulting value.

  • The functions available in Excel 97 and Excel 2000 are converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.

  • The Excel intersection (blank space) and union (comma) operators are not converted.

  • Defined names of ranges are saved.

  • 3-D references and external references to other workbooks and sheets in formulas are saved.

  • Embedded charts are saved on the sheet in the closest available Lotus 1-2-3 chart format. Gradient fills, patterns, and shading are saved in the closest available solid color. The following chart features are not saved: trendlines and error bars; shadows; 3-D marker shapes. Rotated text on axis and data labels is saved with horizontal orientation.

  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • Page breaks and most settings specified in the Page Setup dialog box (File menu) are saved.

  • Most number formats are saved.
    • Negative numbers represented as -1234 in Excel are enclosed in parentheses.

    • Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

    • Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

    • Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

    • Fractional seconds formats are saved in General format with two decimal places.

    • Fractional formats (for example, 13/64) are converted to decimal fractions.

    • Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Formatting features

Excel formats are saved as follows:

  • Column widths and row heights are saved.

  • Bold, italic, and underline formats are saved; accountant underline format is converted to regular underline format. Superscript, subscript, and strikethrough formats are not saved. In cells that contain text with different text formats, all text in the cell takes on the format of the first character in the cell.

  • Fonts, font sizes, and font colors are saved.

  • Text formatted with the Shrink to fit option on the Alignment tab (Format menu, Cells command) is saved in the original point size (before the Shrink to fit option was applied).

  • Rotated text and vertically oriented text are saved in their current orientation.

  • Centered, right-aligned, and left-aligned formatting is saved.

  • Top, centered, and bottom vertical alignment is saved.

  • Indentation within cells is removed, and the contents of cells are left-aligned.

  • Merged cells are split into their original configuration. Data is placed in the top-left cell.

  • Conditional formatting is lost, and cells are reformatted with the Normal style.

  • Sheet backgrounds are not saved.

  • Except for diagonal borders, borders formats are saved. Dashed border line styles are not saved. Fill colors and patterns are converted to the closest available color and pattern supported by Lotus 1-2-3.


What's new with list management and data summary?

Finding and sorting data in lists is one of the most common uses of Microsoft Excel. Now you can quickly find the information you need and create automatic subtotals of your data.

List AutoFill (New in 2000) Excel 2000 automatically extends formatting and formulas in lists, simplifying this common task.

AutoFilter (Improved in 95 and 97) AutoFilter displays rows of information in a list based upon selections you make. With Microsoft Excel 95, use the Top Ten feature to find the top or bottom values in your list. With Microsoft Excel 97 and 2000, AutoFilter displays only filters based on applied filters.

AutoComplete (New in 95) Compares text you are typing into a cell with text already entered into the same column, and then completes the typing for you.


 Microsoft Excel 2.x Worksheet format

Microsoft Excel 2.x Worksheet format

Only the active worksheet is saved in the resulting Excel 2.x *.xls worksheet file. If the sheet contains a formula with 3-D references to other sheets in the workbook, you cannot save the sheet in the version 2.x format.

Workbook properties and settings

Excel 2000 feature | In Excel 2.x Worksheet format
65,536 rows per worksheet | Rows after 16,384 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Visual Basic for Applications (VBA) 97 modules, VBA module sheets | Not saved.
Dialog sheets, Office Forms dialog box controls | Not saved.

Formatting and layout features

Excel 2000 feature | In Excel 2.x Worksheet format
Cells that contain text with different text formats | All text in the cell takes on the format of the first character in the cell.
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Text alignment | Centered, left-aligned, and right-aligned formats are saved. All other text alignments — including top and centered vertical alignment and wrapped text format — are not saved. Rotated and vertically oriented text is saved in horizontal orientation.
Indentations within cells | Indentation is removed, and the contents of cells are left-aligned.
Merged cells | Cells are split into their original configuration, and data appears in the upper-left cell.
Conditional formatting | Conditional formatting is lost, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
New border styles | Border styles are converted to the closest style available in Excel 2.x. Diagonal borders are not saved.
Aligned underlining of multiple fonts | Underlining might not be aligned.

Chart features

Embedded charts on the active worksheet are not saved. To save a chart, move the chart to a chart sheet, and then save the sheet in the Excel 2.x Chart format. Only the active chart sheet is saved.

Excel 2000 feature | In Excel 2.x Chart format
Pie of pie/Bar of pie chart | Saved as type 1 pie chart.
Bubble chart | Saved as type 1 xy (scatter) chart.
Surface charts | Saved as column charts.
3-D marker shape (cylinder, pyramid, and cone) | Saved as 2-D column.
Combination charts | All data series are plotted by using a single value axis in the primary chart type.
Trendlines and error bars | Not saved.
Data tables in charts | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills and patterns in chart items | Saved as the closest available solid color and pattern.
Time-scale axis (x-axis categories with date format) | Special scaling information is lost, and the axis is converted to a normal category axis.
Shadows on series and points | Not saved.
Sizable line and xy (scatter) data markers | Not saved.
Special placement of data labels | Saved in the default position for the chart item.
PivotChart reports | Displayed as regular charts. Multiple level category labels are modified, and value axis display units are converted to literal values.

PivotTable, analysis, and data access features

Excel 2000 feature | In Excel 2.x Worksheet format
PivotTable reports | Data displayed in the current PivotTable structure is saved.
Web queries (Data menu, Get External Data submenu commands) | Data resulting from the latest query is saved, but the query is not.
Shared queries (connections without a data source name) | Not saved.
Parameterized queries | Not saved.
Report templates | Reporting features are not saved.
Natural-language references in formulas | Column and row label references are converted to A1 reference notation. Defined names of cells and ranges are preserved.
Worksheet functions not supported by Excel version 2.x | Excel calculates the function before saving the file and then replaces the formula with the resulting value.
Scenarios | Not saved.
External data ranges | Not saved.
OLAP PivotTable and PivotChart reports | Appear as read-only.
Indented format PivotTable reports | If edited in Excel 97 or earlier, reports change to a nonindented layout but maintain character and cell formatting.

OLE objects and graphics

Excel 2000 feature | In Excel 2.x Worksheet format
OLE objects | Not saved.
Map and organization chart objects | Not saved.
Drawing objects and graphics | Not saved.

Workgroup and Internet features

Excel 2000 feature | In Excel 2.x Worksheet format
Comments | Saved as notes.
Hyperlinks | Not saved.
Change tracking and audit trail | Change history is lost.
Shared workbooks | Workbook is removed from shared use, and the change history is lost.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2000 feature | In Excel 2.x Worksheet format
Excel macro sheets (*.xlm) | Macro code and functionality are saved.
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Dialog sheets and Office Forms dialog box controls | Not saved.

For more information about compatibility, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.


 Microsoft Excel 97-2000 & 5.0/95 Workbook format

Microsoft Excel 97-2000 & 5.0/95 Workbook format

When you save a workbook in the Microsoft Excel 97-2000 & 5.0/95 Workbook format, the workbook is saved in a single file that includes the Excel 97-2000 and Excel 5.0/95 file formats. (Excel version 5.0 and Excel 95 have identical file formats, as do Excel 97, Excel 98 for the Macintosh, and Excel 2000.) The file size will be larger because the file contains both sets of data.

Users of Excel 2000 can continue to work in a workbook saved in the dual format without losing any features or formatting unique to this version. When users of Excel version 5.0 or Excel 95 open the workbook, a message appears recommending that they use the file read-only. However, if users ignore the recommendation and save the workbook in an earlier version of Excel, features and formatting available only in Excel 2000 or Excel 97 are lost. Learn about features that are lost.

To avoid losing work performed in Excel 2000, you can protect a workbook from changes by requiring a password to change the workbook or by making the workbook read-only. Learn about assigning a password or making a workbook read-only.


Microsoft Excel formats saved in Lotus 1-2-3 FMT and FM3 files

If you save a Microsoft Excel 2000 workbook in the Lotus 1-2-3 file format WK1,FMT (1-2-3) (*.wk1) or WK3,FM3 (1-2-3) (*.wk3), formatting is saved in a separate *.fmt or *.fm3 file. The formatting files are used in Lotus 1-2-3 by the WYSIWIG or Impress add-in to format worksheets.

Excel formats are saved as follows:

  • Column widths and row heights are saved.

  • In cells that contain text with different text formats, all text in the cell takes on the format of the first character in the cell.

  • Bold, italic, and underline formats are saved; accountant underline format is converted to regular underline format. Superscript, subscript, and strikethrough formats are not saved.

  • TrueType fonts are converted to the closest available printer font. Font color is converted to the closest available color supported by Lotus 1-2-3. Font sizes are saved.

  • Text formatted with the Shrink to fit option on the Alignment tab (Format menu, Cells command) is saved in the original point size (before the Shrink to fit option was applied).

  • All rotated and vertically oriented text is changed to horizontal orientation.

  • Centered, right-aligned, and left-aligned formatting is saved.

  • Text is saved with bottom vertical alignment.

  • Indentation within cells is removed, and the contents of cells are left-aligned.

  • Merged cells are split into their original configuration. Data is placed in the top-left cell.

  • Conditional formatting is lost, and cells are reformatted with the Normal style.

  • Sheet backgrounds are not saved.

  • Borders are converted to the closest available border style; for example, dotted borders are converted to single lines. Color borders are converted to black. Fill colors and patterns are converted to the closest available color and pattern supported by Lotus 1-2-3; some shading colors and patterns may be converted to black shading.


Microsoft Excel functions that do not have equivalent Lotus 1-2-3 functions

The following Microsoft Excel functions have no equivalents in Lotus 1-2-3 Release 3.1 or earlier, or in Lotus 1-2-3 for Windows Release 1.0. If you save a workbook in one of these formats, these functions are replaced with the resulting value of the function. For more information about a function in the following table, click the Microsoft Excel function name.

Note This list does not include many Microsoft Excel add-in functions and statistical functions that do not have Lotus 1-2-3 equivalents.

Microsoft Excel function
AREAS
DOLLAR
DPRODUCT
FACT
FREQUENCY
GETPIVOTDATA
GROWTH
INT
HYPERLINK
IPMT
ISBLANK
ISERROR
ISLOGICAL
LINEST
LOGEST
LOOKUP
MATCH
MDETERM
MINVERSE
MIRR
MMULT
PPMT
PRODUCT
SEARCH
SUBSTITUTE
TEXT
TRANSPOSE
TREND
TYPE
WEEKDAY


 What's new with Microsoft Excel and the Web?

What's new with Microsoft Excel and the Web?

Explore the power of familiar Excel spreadsheets and the Web.

Web Queries (Improved in 2000) You can create and run queries to retrieve data available on the World Wide Web. You can either select an entire Web page or specify a table on a Web page to retrieve. Excel 2000 provides several sample Web queries that you can run.

Create documents for the Web (New in 2000) Excel 2000 provides fast and easy methods for creating Web pages by building on the tools and features you are familiar with. Now you can seamlessly move Excel data to a Web server as interactive spreadsheets and charts. If you want to add graphics or text, or move the published or saved items around on the Web page, you can open your Web page in another program, such as Microsoft FrontPage 2000 or Microsoft Access, and then edit the data on the Web page.

Use the interactive PivotTable list component for Web pages (New in 2000) You can make a PivotTable report available on a Web page as a PivotTable list, which is a component that lets users interact with the data in the Web browser. Users can also refresh the data, change the layout, and select different items for display.

Customize your Web pages (New in 2000) You can quickly change how Microsoft Office 2000 generates and formats Web pages by using the Web Options dialog box (Tools menu, Options command, General tab, Web Options button). For example, you can customize where graphics and other supporting files are stored, and you can specify what format graphics are saved in for use on Web pages. When possible, the options you set are shared across all Office programs.

Manage your files and links (New in 2000) Office programs automatically manage companion files, such as graphics. When you create a Web page, all supporting files are stored in a file folder that has the same name as the file. When you save your file to a new location, Office 2000 checks the links and repairs those that aren't working.

Create an international presence (New in 2000) If you create Web pages for international use, Office 2000 saves files by using the appropriate international text encoding so that users on any language system can view the correct characters.

Use graphics and objects (New in 2000) Office 2000 makes using graphics on Web pages easy. Graphics for Web pages are automatically stored in GIF, JPEG, or PNG format and are also saved in Vector Markup Language (VML). Even after you save your file as a Web page, you can still edit graphics and objects when you open your Web page in an Office program. Office 2000 automatically generates alternative text for graphics based on an image's file name.

Keep Office-specific formatting (New in 2000) You can use features that aren't supported on the Web, such as line colors and character effects, in all of your Office files. When you save a file as a Web page, default colors and other formatting options that aren't supported on the Web are stored with the file. When you open your file in your Web browser, these features will not appear. However, when you reopen your Office file in your Office program, you can still view and edit this formatting.

Use scripts in your Web documents (New in 2000) Office 2000 now gives developers the chance to create scripts and HTML-based client solutions within any Office program by using the Microsoft Script Editor. The editor has full browser support for debugging, and script anchors can be used in Office files. You can also use Office WebBots, which are similar to the general-purpose WebBots included in Microsoft FrontPage 2000 (available in Office 2000 Premium).

Manage your Web documents (New in 2000) You can use the Web Folders feature to manage files that you store on a Web server and to put Excel data on the Web. You can access Web Folders through Windows Explorer or any Office program, and then use the feature to create folders, view properties, and drag and drop files on any Web server that you have permissions for. (This feature requires that Microsoft Office Server Extensions be installed on your Web server.)

Start a Discussion (New in 2000) In either your Web browser or your favorite Office program, you and your colleagues can review any type of Office document. You can anchor the discussion pane at the bottom of the document to add comments or have conversations about the document, or you can add your comments right in the text of the document. (This feature requires that Office Server Extensions be installed on your Web server.)

Subscribe to a document (New in 2000) Make collaborating even easier with Web subscriptions and notification features. Office 2000 automates the process of sending e-mail when a document has been updated. You can subscribe to a document or Web page and then indicate when you would like to be notified that the document has been changed. You can choose to receive e-mail or to add the page to your Microsoft Internet Explorer channel. (This feature requires that the Office Server Extensions be installed on your Web server.)

Start an online meeting (New in 2000) By using Microsoft NetMeeting, you can share and exchange information with people at different sites, in real time and as if everyone were in the same room. You can use the Internet or your corporate intranet to initiate an online meeting from within any Office program, or you can work directly in the NetMeeting program by pointing to Programs on the Windows Start menu, pointing to Internet Explorer, and then clicking Microsoft NetMeeting. In NetMeeting, you can use the Whiteboard, send messages in the Chat window, or transfer files to other participants. You can also use Microsoft Outlook 2000 to schedule online meetings in advance.

Hyperlinks (New in 97) You can create hyperlinks that jump to other Office files on your system, your network, your company's intranet, or the Internet. A hyperlink can be text in a cell or a graphic, or you can write a formula that creates a hyperlink.

URLs in formulas (New in 97) You can use URL addresses in formulas as you do other file names and network addresses.

Open from URL (New in 97) You can open workbooks directly from HTTP or FTP servers.

Save to URL (New in 97) You can save workbooks to FTP servers.

Web toolbar (New in 97) This toolbar makes it easy to browse your Microsoft Excel and Office files that are connected by hyperlinks. The toolbar can work with your Web browser and gives you another means of access to your start page and search page.


 Microsoft Excel 3.0 Worksheet format

Microsoft Excel 3.0 Worksheet format

If you save a Microsoft Excel 2000 workbook as an Excel 3.0 Worksheet, only the active worksheet is saved in the resulting Excel 3.0 .xls worksheet file. If the sheet contains a formula with 3-D references to other sheets in the workbook, you cannot save the sheet in the Excel 3.0 format.

Workbook properties and settings

Excel 2000 feature | In Excel 3.0 Worksheet format
65,536 rows per worksheet | Rows after 16,384 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Visual Basic for Applications (VBA) 97 modules, VBA module sheets | Not saved.
Dialog sheets, Office Forms dialog box controls | Not saved.

Formatting and layout features

Excel 2000 feature | In Excel 3.0 Worksheet format
Cells that contain text with different text formats | All text in a cell takes on the format of the first character in the cell.
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated text | Text rotated at angles other than 90 degrees, -90 degrees, or 0 (zero) degrees is changed to horizontal orientation.
Indentations within cells | Indentation is removed, and the contents of cells are left-aligned.
Merged cells | Cells are split into their original configuration, and data appears in the upper-left cell.
Conditional formatting | Conditional formatting is lost, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
New border styles | Border styles are converted to the closest style available in Excel 3.0.
Aligned underlining of multiple fonts | Underlining might not be aligned.

Chart features

Embedded charts on the active worksheet are saved in the Excel version 3.0.xls worksheet file. To save a chart sheet, save the sheet in the Excel 3.0 Chart format. Only the active chart sheet is saved.

Excel 2000 feature | In Excel 3.0 Chart format
Pie of pie/Bar of pie chart | Saved as type 1 pie chart.
Bubble chart | Saved as type 1 xy (scatter) chart.
Surface chart | Saved as a 3-D column chart.
3-D marker shape (cylinder, pyramid, and cone) | Saved as a 3-D column chart.
Combination chart | All data series are plotted by using a single value axis in the primary chart type.
Trendlines and error bars | Not saved.
Data tables in charts | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills and patterns in chart items | Saved as the closest available solid color and pattern.
Time-scale axis (x-axis categories with date format) | Special scaling information is lost, and the axis is converted to a normal category axis.
Shadows on series and points | Not saved.
Sizable line and xy (scatter) data markers | Not saved.
Special placement of data labels | Saved in the default position for the chart item.
PivotChart reports | Displayed as regular charts. Multiple level category labels are modified, and value axis display units are converted to literal values.

Analysis, PivotTable, and data access features

Excel 2000 feature | In Excel 3.0 Worksheet format
PivotTable reports | Data displayed in the current PivotTable structure is saved.
Web queries (Data menu, Get External Data submenu commands) | Data resulting from the latest query is saved, but the query is not.
Shared queries (connections without a data source name) | Not saved.
Parameterized queries | Cannot be run or edited.
Report templates | Reporting features are not saved.
Natural-language references in formulas | Column and row label references are converted to A1 reference notation. Names of named cells and ranges are preserved.
Worksheet functions not supported by Excel 3.0 | Excel calculates the function before saving the file and then replaces the formula with the resulting value.
Scenarios | Not saved.
External data ranges | Not saved.
OLAP PivotTable and PivotChart reports | Appear as read-only.
Indented format PivotTable reports | If edited in Excel 97 or earlier, reports change to a nonindented layout but maintain character and cell formatting.

OLE objects and graphics

Excel 2000 feature | In Excel 3.0 Worksheet format
OLE objects | Not saved.
Map objects | Not saved.
WordArt objects | Not saved.
AutoShape drawing objects | Converted to the closest available Excel 4.0 drawing object; three-dimensional shapes are preserved as two-dimensional objects.
Organization chart objects | Not saved.
Scanned photographic images | Saved only if inserted in picture (metafile) format.

Workgroup and Internet features

Excel 2000 feature | In Excel 3.0 Worksheet format
Comments | Saved as cell notes.
Hyperlinks | Not saved.
Change tracking and audit trail | Change history is lost.
Shared workbooks | Workbook is removed from shared use, and the change history is lost.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2000 feature | In Excel 3.0 Worksheet format
Excel macro sheets (*.xlm) | Macro code and functionality are saved.
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Dialog sheets and Office Forms dialog box controls | Not saved.

For more information about compatibility, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.


 Microsoft Excel 4.0 Workbook format

Microsoft Excel 4.0 Workbook format

If you save a Microsoft Excel 2000 workbook as an Excel 4.0 workbook, all sheets in the workbook are saved as bound worksheets or chart sheets in the resulting Excel 4.0 .xlw workbook file. However, users of Excel 4.0 on systems that run Microsoft Windows version 3.1 might not be able to open workbooks that contain more than 25 sheets.

Workbook properties and settings

Excel 2000 feature | In Excel 4.0 Workbook format
65,536 rows per worksheet | Rows after 16,384 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Visual Basic for Applications (VBA) 97 modules, VBA module sheets | Not saved.
Dialog sheets, Office Forms dialog box controls | Not saved.

Formatting and layout

Excel 2000 feature | In Excel 4.0 Workbook format
Partial page breaks | Saved as full page breaks.
Cells that contain text with different text formats | All text in a cell takes on the format of the first character in the cell.
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated text | Text rotated at angles other than 90 degrees, -90 degrees, or 0 (zero) degrees is changed to horizontal orientation.
Indentations within cells | Indentation is removed, and the contents of cells are left-aligned.
Merged cells | Cells are split into their original configuration, and data appears in the upper-left cell.
Conditional formatting | Conditional formatting is lost, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
New border styles | Border styles are converted to the closest style available in Excel 4.0.
Aligned underlining of multiple fonts | Underlining might not be aligned.

Chart features

Embedded charts are saved on the bound worksheets in the version 4.0 workbook file. Chart sheets are saved as bound chart sheets. To save only the active chart sheet, save the sheet in the Excel 4.0 Chart format.

Excel 2000 feature | In Excel 4.0 Workbook format
Pie of pie/Bar of pie chart | Saved as type 1 pie chart.
Bubble chart | Saved as type 1 xy (scatter) chart.
3-D marker shape (cylinder, pyramid, and cone) | Saved as 3-D column chart (rectangular shape).
Combination charts | All data series are plotted by using a single value axis in the primary chart type.
Trendlines and error bars | Not saved.
Data tables in charts | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills and patterns in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Not saved.
Time-scale axis (x-axis categories with date format) | Special scaling information is lost, and the axis is converted to a normal category axis.
Shadows on series and points | Not saved.
Sizable line and xy (scatter) data markers | Not saved.
Special placement of data labels | Saved in the default position for the chart item.
PivotChart reports | Displayed as regular charts. Multiple level category labels are modified, and value axis display units are converted to literal values.

Analysis, PivotTable, and data access features

Excel 2000 feature | In Excel 4.0 Workbook format
Formulas that contain 3-D references | The value of the formula is saved in the cell, but the formula is not saved (the formula is replaced with =#N/A).
PivotTable reports | Data displayed in the current PivotTable structure is saved.
Web queries (Data menu, Get External Data submenu commands) | Data resulting from the latest query is saved, but the query is not.
Parameterized queries | Cannot be run or edited.
Report templates | Reporting features are not saved.
Shared queries (connections without a data source name) | Not saved.
Natural-language references in formulas | Column and row label references are converted to A1 reference notation. Names of named cells and ranges are preserved.
Defined labels | Not saved.
Worksheet functions not supported by Excel 4.0 | Excel calculates the function before saving the file and then replaces the formula with the resulting value.
External data ranges | Not saved.
OLAP PivotTable and PivotChart reports | Appear as read-only.
Indented format PivotTable reports | If edited in Excel 97 or earlier, reports change to a nonindented layout but maintain character and cell formatting.

OLE objects and graphics

Excel 2000 feature | In Excel 4.0 Workbook format
OLE objects | Not saved.
Map objects | Not saved.
WordArt objects | Not saved.
AutoShape drawing objects | Converted to the closest available Excel 4.0 drawing object; three-dimensional shapes are preserved as two-dimensional objects.
Organization chart objects | Not saved.
Scanned photographic images | Saved only if inserted in picture (metafile) format.

Workgroup and Internet features

Excel 2000 feature | In Excel 4.0 Workbook format
Comments | Saved as cell notes.
Hyperlinks | Not saved.
Change tracking and audit trail | Change history is lost.
Shared workbooks | Workbook is removed from shared use, and the change history is lost.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2000 feature | In Excel 4.0 Workbook format
Excel macro sheets (*.xlm) | Macro code and functionality are saved.
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Dialog sheets and Office Forms dialog box controls | Not saved.

For more information about compatibility, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.


Microsoft Excel 4.0 Worksheet format

If you save a Microsoft Excel 2000 workbook as an Excel 4.0 Worksheet, only the active worksheet is saved in the resulting *.xls file. If the sheet contains a formula with 3-D references to other sheets in the workbook, you cannot save the sheet in Excel 4.0 format.

For information about the Excel 2000 features that are not saved in Excel 4.0 format, click [image] .


What happens when you open and save an Excel 2000 workbook in Excel 97?

The following features of Microsoft Excel 2000 are not preserved if you open and then save an Excel 2000 workbook in Excel 97.

Excel 2000 feature | In Excel 97
OLAP PivotTable and PivotChart reports | Appear as read-only.
External data ranges | Autorefresh doesn't work, nor does column formatting, filtering, and sorting.
Indented format PivotTable reports | If edited in Excel 97 or earlier, reports change to nonindented layout but maintain character and cell formatting.
PivotChart reports | Appear as regular charts. Multiple level category labels are modified, and value axis display units convert to literal values.
ScreenTips for hyperlinks | Not saved.


 Microsoft Excel 5.0/95 Workbook format

Microsoft Excel 5.0/95 Workbook format

The following features of Excel 2000 are not preserved if you save an Excel 2000 workbook in the Excel 5.0/95 Workbook (*.xls) format.

Workbook properties and settings

Excel 2000 feature | In Excel 5.0/95 Workbook format
65,536 rows per worksheet | Rows after 16,384 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.

Formatting features

Excel 2000 feature | In Excel 5.0/95 Workbook format
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated text | Text rotated at angles other than 90 degrees, -90 degrees, or 0 (zero) degrees is changed to horizontal orientation.
Indentations within cells | Indentation is removed, and the contents of cells are left-aligned.
Merged cells | Cells are split into their original configuration, and data appears in the upper-left cell.
Conditional formatting | Conditional formatting is lost, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
New border styles | Border styles are converted to the closest style available in Excel 5.0 or Excel 95.
Aligned underlining of multiple fonts | Underlining might not be aligned.

Chart features

Excel 2000 feature | In Excel 5.0/95 Workbook format
Pie of pie/Bar of pie chart | Saved as type 1 pie chart.
Bubble chart | Saved as type 1 xy (scatter) chart.
3-D marker shape (cylinder, pyramid, and cone) | Saved as 3-D column chart (rectangular shape).
Data tables in charts | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills and patterns in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Not saved.
Time-scale axis (x-axis categories with date format) | Special scaling information is lost, and the axis is converted to a normal category axis.
Shadows on series and points | Not saved.
Sizable line and xy (scatter) data markers | Not saved.
Special placement of data labels | Saved in the default location for chart items.
PivotChart reports | Displayed as regular charts. Multiple level category labels are modified, and value axis display units are converted to literal values.

Analysis, PivotTable, and data access features

Excel 2000 feature | In Excel 5.0/95 Workbook format
Natural-language references in formulas | Column and row label references are converted to A1 reference notation. Names of named cells and ranges are preserved.
New worksheet functions not supported in Excel 95 or version 5.0 (AVERAGEA; MAXA; MINA; STDEVA; STDEVPA; VARA; VARPA; HYPERLINK; GETPIVOTDATA) | Excel calculates the function before saving the file and replaces the formula with the resulting value. The HYPERLINK function is resolved to the value =#N/A.
Calculated fields, calculated items, and formatting based on structured data tables | Preserved until the user changes or refreshes the PivotTable data, after which these features are lost.
Preserved formatting in PivotTable reports | Formatting is saved, but structured behavior is lost as soon as users make changes to or refresh the PivotTable data.
PivotTable features All properties new in Excel 2000 are lost, including the following:
  • Page field placement across columns or down rows

  • Alternate strings for #N/A and error cell display

  • Server-based page fields

  • AutoSort and AutoShow on fields

  • Multiple selection on page fields

  • Persistent grouping and sorting

  • Data fields displayed as numbers
Web and database queries to external data sources | Data resulting from the latest query is saved, but the query is not.
Parameterized queries | Cannot be run or edited.
Shared queries (connections without a data source name) | Supported in Excel 95 (with ODBC 2.0). In Excel 5.0 (with ODBC 1.0), users are prompted for connection information.
Report templates | Not saved.
Indented format PivotTable reports | If edited in Excel 97 or earlier, reports change to nonindented layout but maintain character and cell formatting.
OLAP PivotTable and PivotChart reports | Appear as read-only.
External data ranges | Not saved.

OLE objects and graphics

If you use the Excel 5.0/95 Workbook file format as the default when you save a workbook, and you insert in the workbook an OLE object that contains Excel 2000 features, those features will not be saved if you open and then save the workbook in either Excel 5.0 or Excel 95. However, if you open the workbook in Excel 2000, insert a workbook object that contains Excel 2000 features, and then save the workbook, the Excel 2000 OLE object features are saved.

For example, you can open a workbook in Excel 5.0 or Excel 95 that was saved in the Excel 5.0/95 format. However, if you insert a workbook object that contains features unique to Excel 2000 — such as merged cells or a bubble chart — and then save the workbook, those features are lost.

For more information, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.

Excel 2000 feature | In Excel 5.0/95 Workbook format
WordArt objects | Saved as filled rectangles.
AutoShape drawing objects | Converted to Excel 5.0/95 drawing objects; three-dimensional shapes are preserved as two-dimensional objects.
Scanned photographic images | Saved only if inserted in a graphics format that is available in Excel 5.0 or Excel 95.

Workgroup and Internet features

Excel 2000 feature | In Excel 5.0/95 Workbook format
Comments | Saved as cell notes.
Hyperlinks | Not saved.
Change tracking and audit trail | Change history is lost.
Shared workbooks | Workbook is removed from shared use, and the change history is lost.
Data validation rules specified for cells | Not saved.

Programmability features

Visual Basic modules are converted to module sheets. All text is preserved in the module; however, not all new objects, methods, and properties in Excel 2000 are supported in the Excel 5.0/95 format. In some cases, you must edit the converted code to run the macros. Excel macro sheets (.xlm sheets) are preserved with no loss of function.

For more information about compatibility, see the Microsoft Office 2000 Resource Kit, available at the Microsoft Web site.

Excel 2000 feature | In Excel 5.0/95 Workbook format
ActiveX controls | Appear but cannot be used.
Office Forms dialog box controls | Not supported.


What's new with data retrieval from external databases?

When you want to analyze data from outside Microsoft Excel, there's no need to retype the data: With just a few keystrokes, you can bring it right to your worksheet.

Web Queries (Improved in 2000) You can create and run queries to retrieve data that is available on the World Wide Web. You can either select an entire Web page or specify a table on a Web page to retrieve. Excel 2000 provides several sample Web queries that you can run.

Refreshable text import (Improved in 2000) Data from text files can now be brought into Excel in the same way that you create other database queries. Formatting and formulas are retained when you open the file as refreshable.

Access to external databases with Microsoft Query (Improved in 97) Microsoft Query integration is improved, so Xlquery.xla is no longer needed (a version is supplied so that queries and macros from earlier versions continue to work).

Query Wizard (New in 97) This wizard steps you through the process of setting up a data source, connecting to a database, selecting and arranging fields, even sorting and filtering the data.

Sharable queries (New in 97) You can distribute queries to other Microsoft Excel users, so they don't have to repeat the steps of setting up the data source to run the query.

Report templates (New in 97) You can save a worksheet with a query as a template, without saving a copy of the retrieved data. When a user opens the report template, the external data is retrieved, and the user is prompted for the password if one is required. With report templates, you can share query files that are smaller and help maintain system security.

Parameterized queries (New in 97) You can create queries that prompt you for parameters each time they're run, so that you can create more flexible queries and work with larger databases. For example, instead of retrieving data for every product in your database, you could use the product name as a parameter to retrieve data only for the products you want.

Background queries (New in 97) Queries now run in the background, so that you can continue to work in Microsoft Excel while data is being retrieved. You can also check the status of a query while it's running in the background.

Auto-adjust refresh (New in 97) When you refresh queried data on a worksheet, you can expand or contract the range of external data, so that rows of data below and to the right of the range aren't affected. If you have formulas that work with the external data, you can automatically copy or delete formulas as the size of the returned data range changes.

Streamlined editing features (New in 97) Instead of using Microsoft Query, you can work directly within the database to create new tables, save the result set of a query as a table, add an index to a table, or add, copy, or move records.

AccessLinks (New in 95) You can create Microsoft Access forms and reports from your worksheet, and you can move data from Microsoft Excel worksheets to Microsoft Access with the Convert to MS Access command.


Quattro Pro for DOS (WQ1) format

The WQ1 (Quattro Pro for DOS) file format saves only the text, values, and formulas on the active worksheet.

  • Microsoft Excel saves only rows 1 through 8192; up to 240 characters are saved per cell.

  • If a Microsoft Excel function is not supported in WQ1 format, Microsoft Excel calculates the function before saving the file and replaces the formula with the resulting value.

  • Text formatting is converted to 12-point Courier font; all other text formats, such as bold and italic, are lost.

  • Column widths are saved, but merged cells, rotated text, and other cell formats are lost.

  • Most number formats are saved.

  • Borders are converted to the closest available border style in Quattro Pro. Cell shading and color border line styles are not supported.

  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.

  • Cell comments, graphics, embedded charts, objects, form controls, hyperlinks, data validation settings, conditional formatting, and other worksheet features are lost.

  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • Visual Basic for Applications code is lost.


 Rules for using PivotTable or PivotChart names in formulas

Rules for using PivotTable or PivotChart names in formulas

All source fields are allowed Formulas for calculated fields can refer to any field in the source data for the PivotTable report, including fields that appear on the PivotTable toolbar but have not been dragged to the pivot area.

Number of fields and items allowed Calculated field formulas can refer to one or more field names. Calculated item formulas can each include only items from the field in which you create the calculated item.

The order of fields within names In a name that includes more than one field, the fields can be in any order. In the following example, cells C3:E3 can be 'Dodsworth Meat' or 'Meat Dodsworth'.

PivotTable report showing two field names

Names that include spaces, numbers, or symbols Use single quotation marks around names that are more than one word or include numbers or symbols. The inner row field in the example is 'Sold By'.

Totals Formulas cannot refer to totals, such as Meat Total, Seafood Total, and Grand Total in the example.

Field names in item references You can include the field name in a reference to an item. The item name must be in square brackets — for example, Product[Meat]. Use this format to avoid #NAME errors when two items in two different fields in a report have the same name. For example, if a report has an item named Meat in the Product field and another item named Meat in the Category field, you can prevent #NAME errors by referring to the items as Product[Meat] and Category[Meat].

Referring to items by position You can refer to an item by its position in the report as currently sorted and displayed. Product[1] is Meat, and Product[2] is Seafood. Hidden items are not counted in this index.

Referring to items by relative position You can use relative positions to refer to items. The positions are determined relative to the calculated item that contains the formula. If Qtr3 is the current quarter, Quarters[-1] is Qtr2; if Qtr2 is the current quarter, Quarters[+1] is Qtr3. For example, a calculated item could use the formula 'Sold By'[-1] * 3%. If the position you give is before the first item or after the last item in the field, the formula results in a #REF error. Learn about turning off the display of error results.

Reference by position turns off advanced options In calculated item formulas, if you refer to items by their position or relative position, any options you have set under AutoShow options and AutoSort options in the PivotTable Field Advanced Options dialog box are reset to the Manual option, and the options become unavailable.


Calculation differences between Microsoft Excel and Lotus 1-2-3 formulas

You can calculate formulas with Lotus 1-2-3 rules

Excel calculates formulas and database criteria in a different way than Lotus 1-2-3. To calculate according to Lotus 1-2-3 rules, select the Transition formula evaluation option on the Transition tab (Tools menu, Options command).

How Excel calculation rules are different

Text in calculations In Lotus 1-2-3, cells that contain text are considered to have a value of 0 (zero) when the cell is used in a formula. In Excel, you cannot combine text and numeric entries in a mathematical expression such as addition or subtraction. Worksheet functions in Excel, however, use the value 0 for cells that contain text.

For example, if cell A10 contains text and cell B10 contains the value 100, the formula =A10+B10 returns the error value #VALUE! if the Transition formula evaluation check box is cleared. However, the formula =SUM(A10,B10) returns the value 100. Learn about mathematical operators in Lotus 1-2-3 and Microsoft Excel.

Boolean values TRUE and FALSE Boolean expressions in Lotus 1-2-3 are evaluated to 0 (zero) or 1 and display 0 or 1 in the cell. Excel allows calculations on the Lotus 1-2-3 values but displays logical values as either TRUE or FALSE (TRUE is equal to 1 and FALSE is equal to 0). For example, in Lotus 1-2-3 the expression 2<3 displays 1 in the cell to represent True; Excel displays the logical value TRUE in the cell.

If the Transition formula evaluation option is selected, Excel displays 0 for FALSE and 1 for TRUE.

Database criteria Database criteria ranges are evaluated differently when you are extracting data, finding data, and using database functions. For example, the criteria "John" will find only rows where the value John is contained within the cell. If you clear the Transition formula evaluation check box, the criteria "John" finds any rows where the value in the cell begins with John — John, Johnson, and Johnsen. Learn about entering criteria ranges in Excel.

How Excel worksheet functions are different

Functions that are evaluated differently Some functions — including @MOD, @VLOOKUP, and @HLOOKUP — are evaluated differently. For example, the @VLOOKUP function in Lotus 1-2-3 looks for an exact match in the first column; the VLOOKUP worksheet function in Excel assumes the first column is sorted and finds the closest value in the first column without exceeding the lookup value.

The VLOOKUP and HLOOKUP worksheet functions in Excel include a fourth argument, range_lookup, which you can use to have Excel find an exact match. If you set this argument to FALSE, Excel will look for an exact match.

Compatible functions Excel 2000 contains functions for compatibility with Lotus 1-2-3 Release 4.0 and later. The "A" functions — AVERAGEA, MAXA, MINA, STDEVA, STDEVPA, VARA, and VARPA — calculate results by using all of the cells in a range (including blank cells), cells that contain text, and cells that contain the logical values TRUE or FALSE.

Learn about Lotus 1-2-3 functions and their equivalent functions in Microsoft Excel.


What's new with security?

Digital signing of macros (New in 2000) To improve security and user confidence, developers can sign their Visual Basic for Applications (VBA) macros to identify who authored them and to ensure that they are virus-free. Microsoft Office 2000 recognizes signed macros from trusted sources and doesn't display a warning message unless the macro has been modified in some way.

Virus checking (New in 97) Microsoft Excel can display a warning message whenever you start to open a workbook that contains macros that might include viruses. You can prevent macro viruses by opening these workbooks without the macros.

Protection for shared workbooks and their change history (New in 97) You can protect a workbook for sharing so that other users cannot remove it from shared use or turn off the change history. You're guaranteed that all changes are tracked.


What's new with shared workbooks, change highlighting, and change history?

Collaborating just got much easier, now that everyone in your workgroup can edit workbooks at the same time. With change highlighting, change history tracking, and comments, understanding other users' work becomes effortless.

Shared workbooks (New in 95, improved in 97) Shared lists in Microsoft Excel 95 provided limited functionality for users who wanted to work simultaneously on workbooks. Now you can use shared workbooks to create and edit formulas, change formatting, and even add sheets.

Timed updates of shared workbooks (New in 97) You can automatically receive updates of changes made to a shared workbook by other users, at an interval you specify. You also have the option of saving your own changes to the workbook at the same time.

Personal views of shared workbooks (New in 97) When you filter data in a shared workbook and make the print settings you want, your settings are then saved independently of settings made by other users. Whenever you open the shared workbook, your personal settings appear.

Manage conflicting changes (New in 97) Information about how conflicts are resolved is now available on the History worksheet (the Conflicts worksheet in Microsoft Excel 95). You can retrieve changes that get discarded by finding them in the History worksheet for the workbook.

Change highlighting (New in 97) You can mark revisions made to a shared workbook by you or other users. You can also mark changes from a certain time period or in a certain area of a worksheet. Changes are color coded by user, and when you rest the pointer over a highlighted cell, details are displayed about the time, type, and author of the change.

Accept or reject changes (New in 97) You can step through highlighted changes in a shared workbook and accept or reject each change. The History worksheet maintains information about any changes that are replaced by other changes.

Change history (New in 97) You can track the history of changes to a shared workbook for a specified amount of time. When you want to audit what changes have been made to the workbook, you can display a separate autofiltered History worksheet.

Comments (New in 97) Comments make it easy for you to annotate cells by typing directly in a comment box attached to a cell. You can move and format comments and display them at all times or only when you rest the pointer over a commented cell. Comments replace Microsoft Excel 95 cell notes. Sound notes are no longer available in Microsoft Excel.

Sequential comment review (New in 97) When you want to make sure you've read all the comments, you can step through the comments in a workbook in sequence by using the Reviewing toolbar.

Merge workbooks (New in 97) You can combine the changes from copies of a shared workbook that other users have edited. Comments on a cell from different users are identified by individual user names and merged into a single comment box. You can use this feature with the Windows Briefcase to work on a shared workbook when you aren't connected to your network and then merge your changes back into the copy of the workbook on your network.


What's new with specifications and performance?

Microsoft Excel has increased capacity to handle larger worksheets.

Up to 32,000 characters in a cell (New in 97) Increased from 255 characters, as requested by our customers and independent software vendors.

Up to 65,536 rows per worksheet (New in 97) Increased from 16,384 rows. A popular request from our customers.

Background queries (New in 97) Queries run in the background, so that you can continue to work in Microsoft Excel while data is being retrieved. You can also check the status of a query while it's running in the background. For more information about improvements to Microsoft Query, click [image] .


SYLK (Symbolic Link) format

The SYLK (Symbolic Link) (*.slk) format saves only the values and formulas on the active worksheet, and limited cell formatting.

  • All rows are saved; up to 255 characters are saved per cell.

  • If a Microsoft Excel function is not supported in SYLK format, Microsoft Excel calculates the function before saving the file and replaces the formula with the resulting value.

  • Most text formats are saved; converted text takes on the format of the first character in the cell. Rotated text, merged cells, and horizontal and vertical text alignment settings are lost. The font color might be converted to a different color if you reopen the converted SYLK sheet in Microsoft Excel. Borders are converted to single-line borders. Cell shading is converted to a dotted gray shading.

  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.

  • Cell comments are saved; you can display the comments if you reopen the SYLK file in Microsoft Excel.

  • Graphics, embedded charts, objects, form controls, hyperlinks, data validation settings, conditional formatting, and other worksheet features are lost.

  • Visual Basic code is lost.

  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • If you are converting the file for use in Microsoft Excel for the Macintosh version 1.5 or earlier, clear the 1904 date system check box on the Calculation tab of the Options dialog box (Tools menu), and then make sure that all values are visible before you save the file.


Template format

The Microsoft Excel 2000 template file format preserves all worksheet and chart data, formatting, macros, and other features available in Excel 2000.

You cannot save a workbook in the template file format of an earlier version of Excel.


Text (Tab delimited) format

The Text (Tab delimited) (*.txt) file format saves only the text and values as they are displayed in cells of the active worksheet. All rows and all characters in each cell are saved. Columns of data are separated by tab characters, and each row of data ends in a carriage return. If a cell contains a comma, the cell contents are enclosed in double quotation marks. All formatting, graphics, objects, and other worksheet contents are lost.

If cells display formulas instead of formula values, the formulas are saved as text. To preserve the formulas if you reopen the file in Microsoft Excel, select the Delimited option in the Text Import Wizard, and select tab characters as the delimiters.

Note If your workbook contains special font characters, such as a copyright symbol (©), and you will be using the converted text file on a computer with a different operating system, save the workbook in the text file format appropriate for that system. For example, if you are using Windows and want to use the text file on a Macintosh computer, save the file in the Text (Macintosh) format. If you are using a Macintosh computer and want to use the text file on a system running Windows or Windows NT, save the file in the Text (Windows) format.


 Change the query for an external data range

Change the query for an external data range

Microsoft Query is an optional feature for Microsoft Excel and is required to change a query. If Microsoft Query is not installed on your computer, you must install it in order to do this procedure. For more information, click [image] .

  1. Click a cell in the external data range you want to change.

  2. On the External Data toolbar, click Edit Query [image] .

  3. Make the changes you want.

    If the query can be edited in the Query Wizard, the Query Wizard – Choose Columns dialog box is displayed. How to use the Query Wizard.

    If the Microsoft Query window appears, your query can't be edited in the Query Wizard, and you can edit the query only in Microsoft Query. The Query Wizard will not appear if you most recently used Microsoft Query instead of the Query Wizard to create any query in any workbook, if the query is a parameter query or contains criteria for selecting records, or if the query contains any type of join other than an inner join.

    If you prefer to use other features in Microsoft Query to edit the query, click Next until you see the Query Wizard – Finish dialog box, and then click View data or edit query in Microsoft Query. How to use Microsoft Query to modify a query.

Note For more information once you're working in Microsoft Query, see Microsoft Query Help.


 (Untitled)

If you want to put an interactive chart or PivotChart report on a Web page, you can save the chart with interactive chart functionality.

Example of an interactive chart on a Web page

When you change the chart's corresponding data, the chart is updated automatically.

To create a chart with interactive functionality, you must first have a chart or a PivotChart report in Microsoft Excel. When you publish that chart interactively, Excel automatically includes the source data for the chart on the Web page. For a chart, Excel includes an interactive spreadsheet control. For a PivotChart report, Excel includes an interactive PivotTable list.

Users can't change the chart directly. When they change the data in the spreadsheet or change the layout of the PivotTable list on the Web page, the corresponding chart is updated automatically.

If you want to change the size of the chart on the Web page, you can open the Web page in either Microsoft FrontPage 2000 or data access page Design view in Microsoft Access and make the changes there.

You might lose some formatting and features when you save with interactive functionality.

When to consider using another program to publish your data If you work with source data from another program, such as Microsoft Access, it might be easier for you to publish your Web page directly from Access, rather than creating a query to get the data into Excel and then publishing it. You can use data access page Design view in Access when you want to build an Access-style form or report that works in a Web browser. For information about creating Web pages in Microsoft Access, see Help in Access.

More information

Learn more about putting Excel data on the Web.


(Untitled)

Most Web pages that you create will contain more than one item. For example, you might have a Web page that contains your logo, text, a PivotTable list, a list of noninteractive data, and a chart. The advantage of putting several items on a single page is that users need to look on only one Web page for all of the information they need.

Example of a Web page with multiple items

You can make parts of your Web page interactive and other parts noninteractive.

You can use features from several Microsoft Office programs to create one Web page. For example, you can save data as a Web page in Excel and then use Microsoft Access 2000 to add grouped data page controls or scripting. Then, you can open the Web page in Microsoft FrontPage 2000 and add themes to make your Web page look consistent with other pages in your site.

How to put Excel data on the Web.

You can use any combination of interactive and noninteractive data, and data from any Office program. For example, you can use Microsoft Access 2000 to get employee names, titles, and salaries from an employee database. Then, you can analyze the Access data in Excel. In Excel, you can add formulas that calculate the average salary per job title and create a chart. Save the analysis as an interactive spreadsheet or PivotTable list on a Web page. Then, use Microsoft FrontPage 2000 to add a company logo and description of the data on the page.

You might lose some formatting and features when you save with interactive functionality.

More information

Learn more about putting Excel data on the Web.

Learn more about scripting and Web pages.


 (Untitled)

A PivotTable report is an interactive table that you can use to quickly summarize large amounts of data. Use PivotTable reports when you want to compare related totals or when you want Microsoft Excel to do the sorting, subtotaling, and totaling for you.

Example of a PivotTable list on a Web page

In a PivotTable list on a Web page, you can analyze data by changing the layout.

If you want your Web users to be able to interact with a PivotTable report or if you want to publish an external data range that you can refresh, you can put an interactive PivotTable list on a Web page. (The Web version of a PivotTable report is called a PivotTable list.) When you publish interactively with PivotTable functionality, users can filter the data in the resulting PivotTable list, analyze your data by getting different views of it, and refresh external data in the browser.

Source data for PivotTable lists You can create an interactive PivotTable list from an existing PivotTable report or from other Microsoft Excel data. If you use other Excel data and select PivotTable functionality in the Publish dialog box, Excel creates a PivotTable list on the Web page for you.

If you want users to be able to update an external data range on your Web page, you must specify PivotTable functionality to publish the external data range to a PivotTable list. The data is updated automatically from the source database when users open your Web page in the browser or when users click the Refresh button in the PivotTable list.

Limitations to consider You might lose some formatting and features when you save with interactive functionality.

When to consider using another program to publish your data If you work with source data from another program, such as Microsoft Access, it might be easier for you to publish your Web page directly from Access, rather than creating a query to get the data into Excel and then publishing it. You can use data access page Design view in Access when you want to build an Access-style form or report that works in a Web browser. For information about creating Web pages in Microsoft Access, see Help in Access.

More information

Learn more about putting Excel data on the Web.

Learn about displaying Microsoft Excel PivotTable reports on the Web.


 (Untitled)

If you want users to be able to interact with the data on your Web page, you can create a Web page from a Microsoft Excel worksheet or items from the worksheet by saving the data with spreadsheet functionality. When you publish interactively with spreadsheet functionality, users can do the following:

  • Enter data

  • Format data

  • Calculate data

  • Analyze data

  • Sort and filter

Example of a Web page with interactive data

In interactive Web pages, users can change the data and layout of Web page items.

Calculating data on a Web page Spreadsheet functionality is particularly useful if you have data that users want to recalculate. For example, if you want your customers to calculate their mortgages based on particular interest rates, you can create a mortgage calculator for a Web page.

External data ranges If your interactive spreadsheet contains data from an Excel external data range, the spreadsheet data cannot be updated when the external data changes. To be able to refresh external data on a Web page, you must publish your external data range as an interactive PivotTable list.

You can put the following on a Web page with spreadsheet functionality:

  • Worksheets

  • PivotTable reports

  • External data ranges

  • Ranges of cells

  • Filtered lists

  • Print areas

You might lose some formatting and features when you save with interactive functionality.

When to consider using another program to publish your data If you work with source data from another program, such as Microsoft Access, it might be easier for you to publish your Web page directly from Access, rather than creating a query to get the data into Excel and then publishing it. You can use data access page Design view in Access when you want to build an Access-style form or report that works in a Web browser. For information about creating Web pages in Microsoft Access, see Help in Access.

More information

Learn more about putting Excel data on the Web.


 (Untitled)

If you want your data to appear in a format where users can only view the information, you can publish or save the data without interactivity. This is like publishing a "snapshot" of the data.

Example of a Web page with noninteractive data

In noninteractive Web pages, users can view the data, but not interact with it.

Users can view noninteractive Web pages in any Web browser, unlike when they view interactive pages, which requires Microsoft Internet Explorer version 4.01 or later. You can put all Microsoft Excel items on a Web page without interactivity, including workbooks, worksheets, cell ranges, PivotTable reports, data in print areas, filtered lists, and charts.

Note When you put noninteractive data on the Web that includes an external data range, the data on the Web page cannot be refreshed. To be able to refresh external data on a Web page, you must publish your data as an interactive PivotTable list.

When to consider using another program to publish your data If you work with source data from another program, such as Microsoft Access, it might be easier for you to publish your Web page directly from Access rather than to use a query to get data, put the data into Excel, and then publish it. You can use data access page Design view in Access when you want to build an Access-style form or report that works in a Web browser. For information about creating Web pages by using Microsoft Access, see Help in Access.

More information

Learn more about putting Excel data on the Web.


 (Untitled)

If you want to put all of the data in a workbook onto a Web page at one time, you can put an entire workbook on a Web page by selecting the Entire workbook option (File menu, Save as Web Page command). The data appears as it would in Microsoft Excel, including tabs for each worksheet that users can click to switch between worksheets.

Example of a workbook on the Web

Workbooks on the Web have tabs similar to the tabs in Excel workbooks.

When you save an entire workbook, you cannot make items in the workbook interactive. For example, if your workbook contains formulas or a PivotTable report, your Web page will show only the values that appeared in the workbook when you saved it.

Note When you put an entire workbook that contains an external data range on the Web, the data on the Web page cannot be refreshed. To be able to refresh external data on a Web page, you must publish your data as an interactive PivotTable list.

More information

Learn more about putting Excel data on the Web.


What's new in Microsoft Excel 2000 for developers?

If you are a developer, there are many important changes to Visual Basic for Applications (VBA) and the Visual Basic environment in Microsoft Office 2000. For more information about changes to Visual Basic and the Visual Basic object model in Excel 2000, see Visual Basic Help.

Antivirus support (New in 2000) Third-party virus checkers that use the programming interface to scan documents for viruses can be integrated into Office 2000. To improve security and user confidence, developers can sign their VBA macros to identify who authored them and to ensure that they are virus-free. Office 2000 recognizes signed macros from trusted sources and doesn't display a warning unless the macro has been modified in some way.

Microsoft Visual Basic for Applications 6 (New in 2000) The latest version of Visual Basic for Applications is included with Office 2000. Visual Basic 6 provides Office with features such as modeless user forms and support for additional ActiveX controls.

Use scripts in your Web documents (New in 2000) Office 2000 now gives developers the chance to create scripts and HTML-based client solutions within any Office program by using the Microsoft Script Editor. The editor has full browser support for debugging, and script anchors can be used in Office documents.

COM add-ins (New in 2000) All Office programs now support a single add-in architecture and object model called Component Object Model (COM) add-ins. The COM add-ins architecture makes it possible for users of development software that supports COM — such as Microsoft Office Developer 2000, Microsoft Visual Basic, Microsoft Visual C++, and Microsoft Visual J++ — to create a single add-in program that will work with all Office programs.

Object model additions (New in 2000) There are additions to the object model for the saving of worksheets as Web pages, improved accessibility, PivotChart reports, OLE DB and OLAP data sources for PivotTable reports, the display of unit labels in charts, and improved phonetic support.


 What does the error #DIV/0! mean?

What does the error #DIV/0! mean?

The #DIV/0! error value occurs when a formula divides by 0 (zero).

Possible cause | Suggested action
Using the cell reference to a blank cell or to a cell that contains zero as a divisor. (If an operand is a cell that is blank, Microsoft Excel interprets the blank as zero.) | Change the cell reference, or enter a value other than zero in the cell used as a divisor. You can enter the value #N/A into the cell referenced as the divisor, which will change the result of the formula to #N/A from #DIV/0! to denote that the divisor value is not available. To prevent an error value from displaying, use the IF worksheet function. If the cell used as the divisor is blank or contains a zero (0), then the IF function can display nothing instead of performing the calculation. For example, if cell B5 contains the divisor and A5 contains the dividend, use =IF(B5=0,"",A5/B5). The two quotation marks represent an empty text string.
Entering a formula that contains explicit division by zero (0) — for example, =5/0. | Change the divisor to a number other than zero.
Running a macro that uses a function or a formula that returns #DIV/0!. | Make sure the divisor in the function or formula is not zero or blank.


What does the error ##### mean?

A ##### error value occurs when the cell contains a number, date, or time that is wider than the cell or when the cell contains a date and/or time formula that produces a negative result.

Increase the width of the column You can resize the column by dragging the boundary between the column headings.

Apply a different number format In some cases, you can change the cell's number format to make the number fit within the existing cell width. For example, decrease the number of decimal places after the decimal point. How to change the way Microsoft Excel displays numbers, dates, and times.

Be sure date and time formulas are correct When you subtract dates and times, make sure you build the formula correctly. If you are using the 1900 date system, dates and times in Excel must be positive values. Therefore, subtracting a later date or time from an earlier date or time would cause the error #####. (To use the 1900 date system, click Options on the Tools menu, click the Calculation tab, and clear the 1904 date system check box.) If the formula is correct, although the result is a negative value, you can display the value by formatting the cell with a format that is not a date or time format. Click Cells on the Format menu, click the Number tab, and then select a format that is not a date or time format.


 What does the error #N/A mean?

What does the error #N/A mean?

The #N/A error value occurs when a value is not available to a function or formula. If certain cells on your worksheet will contain data that is not yet available, enter #N/A in those cells. Formulas that refer to those cells will then return #N/A instead of attempting to calculate a value.

Possible cause | Suggested action
Giving an inappropriate value for the lookup_value argument in the HLOOKUP, LOOKUP, MATCH, or VLOOKUP worksheet function. | Make sure the lookup_value argument is the correct type of value — for example, a value or a cell reference, but not a range reference. You can use the Lookup Wizard to create a lookup formula for you.
Using the VLOOKUP, HLOOKUP, or MATCH worksheet function to locate a value in an unsorted table. | By default, functions that look up information in tables must be sorted in ascending order. However, the VLOOKUP and HLOOKUP worksheet functions contain a range_lookup argument that instructs the function to find an exact match even if the table is not sorted. To find an exact match, set the range_lookup argument to FALSE. The MATCH worksheet function contains a match_type argument that specifies the order the list must be sorted in to find a match. If the function cannot find a match, try changing the match_type argument.
Using an argument in an array formula that is not the same number of rows or columns as the range that contains the array formula. | If the array formula has been entered into multiple cells, make sure the ranges referenced by the formula have the same number of rows and columns, or enter the array formula into fewer cells. For example, if the array formula has been entered into a range 15 rows high (C1:C15) and the formula refers to a range 10 rows high (A1:A10), the range C11:C15 will display #N/A. To correct this error, enter the formula into a smaller range (for example, C1:C10), or change the range to which the formula refers to the same number of rows (for example, A1:A15).
Omitting one or more arguments to a built-in or custom worksheet function. | Enter all arguments in the function.
Using a custom worksheet function that is not available. | Make sure the workbook that contains the worksheet function is open and the function is working properly.
Running a macro that enters a function that returns #N/A. | Make sure the arguments in the function are correct and in the correct position.


 What does the error #NAME? mean?

What does the error #NAME? mean?

The #NAME? error value occurs when Microsoft Excel doesn't recognize text in a formula.

Possible cause | Suggested action
Deleting a name used in the formula, or using a name that does not exist. | Make sure the name exists. On the Insert menu, point to Name, and then click Define. If the name is not listed, add the name by using the Define command.
Misspelling the name. | Correct the spelling. To insert the correct name in the formula, you can select the name in the formula bar, point to Name on the Insert menu, and then click Paste. In the Paste Name dialog box, click the name you want to use, and then click OK.
Using a label in a formula. | On the Tools menu, click Options, and then click the Calculation tab. Under Workbook options, select the Accept labels in formulas check box.
Misspelling the name of a function. | Correct the spelling. Insert the correct function name into the formula by using the Formula Palette. If the worksheet function is part of an add-in program, the add-in program must be loaded. For more information about using add-in programs, click [image] .
Entering text in a formula without enclosing the text in double quotation marks. Microsoft Excel tries to interpret your entry as a name even though you intended it to be used as text. | Enclose text in the formula in double quotation marks. For example, the following formula joins a piece of text "The total amount is " with the value in cell B50: ="The total amount is "&B50
Omitting a colon (:) in a range reference. | Make sure all range references in the formula use a colon (:), for example, SUM(A1:C10).


 What does the error #NULL! mean?

What does the error #NULL! mean?

The #NULL! error value occurs when you specify an intersection of two areas that do not intersect.

Possible cause | Suggested action
Using an incorrect range operator or incorrect cell reference. | To refer to two areas that don't intersect, use the union operator, the comma (,). For example, if the formula sums two ranges, make sure a comma separates the two ranges (SUM(A1:A10,C1:C10)). If the comma is omitted, Microsoft Excel attempts to sum the cells common to both ranges, but A1:A10 and C1:C10 have no cells in common because they do not intersect. Check for typing errors in the reference to the ranges.

For more information about reference and range operators, click [image] .


 What does the error #NUM! mean?

What does the error #NUM! mean?

The #NUM! error value occurs when a problem occurs with a number in a formula or function.

Possible cause | Suggested action
Using an unacceptable argument in a function that requires a numeric argument. | Make sure the arguments used in the function are the correct type of arguments.
Using a worksheet function that iterates, such as IRR or RATE, and the function cannot find a result. | Use a different starting value for the worksheet function.
Entering a formula that produces a number that is too large or too small to be represented in Microsoft Excel. | Change the formula so that its result is between minus one times ten to the 307th and one times ten to the 307th .


 What does the error #REF! mean?

What does the error #REF! mean?

The #REF! error value occurs when a cell reference is not valid.

Possible cause | Suggested action
Deleting cells referred to by other formulas, or pasting moved cells over cells referred to by other formulas. | Change the formulas, or restore the cells on the worksheet by clicking Undo [image] immediately after you delete or paste the cells.
Running a macro that enters a function that returns #REF!. | Check the function to see if an argument refers to a cell or range of cells that is not valid. For example, if the macro enters a function that refers to a cell above the function, and the cell that contains the function is in row 1, the function will return #REF! because there are no cells above row 1.
Using a remote reference to an application that is not running or to a Dynamic Data Exchange (DDE) topic such as "system" that is not available. | Start the application. Make sure that you're using the correct DDE topic.


 What does the error #VALUE! mean?

What does the error #VALUE! mean?

The #VALUE! error value occurs when the wrong type of argument or operand is used, or if the Formula AutoCorrect feature cannot correct the formula.

Possible cause | Suggested action
Entering text when the formula requires a number or a logical value, such as TRUE or FALSE. Microsoft Excel cannot translate the text into the correct data type. | Make sure the formula or function is correct for the required operand or argument, and that the cells that are referenced by the formula contain valid values. For example, if cell A5 contains a number and cell A6 contains the text "Not available", the formula =A5+A6 will return the error #VALUE!. Use the SUM worksheet function in the formula as follows to add the two values (the SUM function ignores text): =SUM(A5:A6)
Entering or editing an array formula, and then pressing ENTER. | Select the cell or range of cells that contains the array formula, press F2 to edit the formula, and then press CTRL+SHIFT+ENTER.
Entering a cell reference, a formula, or a function as an array constant. | Make sure the array constant is not a cell reference, formula, or function. For more information about items that can be used as array constants, click [image] .
Supplying a range to an operator or a function that requires a single value, not a range. | Change the range to a single value. Change the range to include either the same row or the same column that contains the formula.
Using a matrix that is not valid in one of the matrix worksheet functions. | Make sure the dimensions of the matrix are correct for the matrix arguments.
Running a macro that enters a function that returns #VALUE!. | Make sure the function is not using an incorrect argument.


 When I click a drawing object or graphic to move or edit it, a macro runs.

When I click a drawing object or graphic to move or edit it, a macro runs.

A macro has been assigned to run when you click the drawing object or graphic. To select the object without running the macro, do one of the following:

  • Right-click the object to select it and display a shortcut menu.

  • On the Drawing toolbar, click Select Objects [image] , and then drag around the object to select it.


 When I try to move a drawing object, it resizes, or vice versa.

When I try to move a drawing object, it resizes, or vice versa.

  • To move an AutoShape that does not have text attached to it, drag the body or border of the shape, but not a sizing handle or the adjustment handle. If the AutoShape has text attached to it, or if it has no fill (for example, shows only the outline of the shape), drag its border. If you click the body of a shape that has attached text, you select the text.

  • To resize a selected AutoShape, drag one of the sizing handles or the adjustment handle. If you drag the center or the border of the shape, you will either select text in the shape or move the shape instead of resizing it.


Workgroup specifications

Feature | Maximum limit
Users who can open and share a shared workbook at the same time | 256
Personal views in a shared workbook | Limited by available memory
Days that change history is maintained | 32,767 (default is 30 days)
Workbooks that can be merged at one time | Limited by available memory
Cells that can be highlighted in a shared workbook | 32,767
Colors used to identify changes made by different users when change highlighting is turned on | 32 (each user is identified by a separate color; changes made by the current user are highlighted with navy blue)


Worksheet and workbook specifications

This topic provides reference information about:

Worksheet and workbook specifications

Calculation specifications

PivotTable report specifications

Worksheet and workbook specifications

Feature | Maximum limit
Open workbooks | Limited by available memory and system resources
Worksheet size | 65,536 rows by 256 columns
Column width | 255 characters
Row height | 409 points
Length of cell contents (text) | 32,767 characters. Only 1,024 display in a cell; all 32,767 display in the formula bar.
Sheets in a workbook | Limited by available memory (default is 3 sheets)
Colors in a workbook | 56
Cell styles in a workbook | 4,000
Named views in a workbook | Limited by available memory
Custom number formats | Limited by available memory
Names in a workbook | Limited by available memory
Windows in a workbook | Limited only by system resources
Panes in a window | 4
Linked sheets | Limited by available memory
Scenarios | Limited by available memory; a summary report shows only the first 251 scenarios
Changing cells in a scenario | 32
Adjustable cells in Solver | 200
Custom functions | Limited by available memory
Zoom range | 10 percent to 400 percent
Reports | Limited by available memory
Sort references | 3 in a single sort; unlimited when using sequential sorts
Undo levels | 16
Fields in a data form | 32
Custom toolbars in a workbook | Limited by available memory
Custom toolbar buttons | Limited by available memory

Return to top

Calculation specifications

Feature | Maximum limit
Number precision | 15 digits
Largest allowed positive number | 9.99999999999999E307
Smallest allowed negative number | -9.99999999999999E307
Smallest allowed positive number | 1E-307
Largest allowed negative number | -1E-307
Length of formula contents | 1,024 characters
Iterations | 32,767
Worksheet arrays | Limited by available memory. Also, arrays cannot refer to entire columns. For example, an array cannot refer to the entire column C:C or to the range C1:C65536. However, an array can refer to the range C1:D65535 because the range is one row short of the maximum worksheet size and does not include the entire C or D column.
Selected ranges | 2,048
Arguments in a function | 30
Nested levels of functions | 7
Number of available worksheet functions | 329
Earliest date allowed for calculation | January 1, 1900 (January 1, 1904, if 1904 date system is used)
Latest date allowed for calculation | December 31, 9999
Largest amount of time that can be entered | 9999:99:99

Return to top

PivotTable report specifications

Feature | Maximum limit
PivotTable reports on a sheet | Limited by available memory
Items in a PivotTable report | 8,000
Row or column fields in a PivotTable report | Limited by available memory
Page fields in a PivotTable report | 256 (may be limited by available memory)
Data fields in a PivotTable report | 256
Calculated item formulas in a PivotTable report | Limited by available memory

Return to top


What's new with worksheet functions?

Want to use PivotTable summary data in a formula? Need to know how many blank cells are in a range? New and updated functions in Microsoft Excel can help you out.

AVERAGEA (New in 97) Returns the average of the values in a range of cells. Unlike the AVERAGE function, AVERAGEA includes in its calculation cells that contain text and the values TRUE and FALSE.

GETPIVOTDATA (New in 97) Retrieves data from a PivotTable report.

HYPERLINK (New in 97) Creates a shortcut or jump that opens a document stored on a network server, an intranet, or the Internet.

MAXA (New in 97) Returns the largest value in a range of cells. Unlike the MAX worksheet function, MAXA includes in its calculation cells that contain text and the values TRUE and FALSE.

MINA (New in 97) Returns the minimum value in a range of cells. Unlike the MIN worksheet function, MINA includes in its calculation cells that contain text and the values TRUE and FALSE.

STDEVA (New in 97) Estimates standard deviation based on a sample of a population. Unlike the STDEV worksheet function, STDEVA includes in its calculation cells that contain text and the values TRUE and FALSE.

STDEVPA (New in 97) Calculates standard deviation based on an entire population. Unlike the STDEVP worksheet function, STDEVPA includes in its calculation cells that contain text and the values TRUE and FALSE.

VARA (New in 97) Estimates the variance of a sample of a population. Unlike the VAR worksheet function, VARA includes in its calculation cells that contain text and the values TRUE and FALSE.

VARPA (New in 97) Calculates the variance based on the entire population. Unlike the VARP worksheet function, VARPA includes in its calculation cells that contain text and the values TRUE and FALSE.


 Display or hide multiple workbooks on the Windows taskbar

Display or hide multiple workbooks on the Windows taskbar

  1. On the Tools menu, click Options, and then click the View tab.

    Show Me

  2. Select or clear the Windows in taskbar check box.


 ActiveX controls that I installed don't appear in the More Controls command.

ActiveX controls that I installed don't appear in the More Controls command.

Custom controls must be installed When you install a new set of ActiveX controls, the setup program for the ActiveX controls usually registers each control, making it available to use from Microsoft Excel. ActiveX controls are stored either in control files, which have an extension of .ocx, or in dynamic link libraries, which have an extension of .dll.

New controls must be registered If you click More Controls [image] in the Control Toolbox and the control you want does not appear in the list, you must register the control. In the Control Toolbox, click More Controls [image] . At the bottom of the list, click Register Custom Control. In the Register Custom Control dialog box, locate the folder that contains the control files or dynamic link libraries for the controls. Select the control you want to register, and then click Open.


 After merging workbooks, I don't see the changes I expected.

After merging workbooks, I don't see the changes I expected.

Changes from the most recently selected workbook are used When you merge two workbooks, the changes in the workbook that you select to merge replace any conflicting changes in the workbook from which you started the merge operation. If you select more than one workbook to merge in a single operation, the workbooks are merged in the order in which they appear in the Select Files to Merge into Current Document dialog box. The changes from each successively merged workbook replace previously merged changes.

  • To see what information was replaced, you can display the History worksheet. For more information, click [image] .

  • To keep some of the changes from the merged copy and discard others, you can review the changes. For more information, click [image] .


 After removing a workbook from shared use and then sharing it again, I can't view the change history.

After removing a workbook from shared use and then sharing it again, I can't view the change history.

When you remove a workbook from shared use, the change history is turned off, and the information about changes is erased. If you share the workbook again, information about changes is kept from the point at which you again shared the workbook.

Copy the History worksheet before saving If you plan to remove a workbook from shared use but want to retain the change information, display information about all changes on the History worksheet, and then copy the information on the History worksheet to another worksheet or print the History worksheet. It's a good idea to make a copy of the shared workbook to which the History worksheet applies at the same time. For information about displaying the History worksheet, click [image] .

If you want to retain the full change history, do not remove the workbook from shared use. To work with features that are unavailable when the workbook is shared, work in a copy of the workbook, and remove only the copy from shared use.


 Numeric PivotTable items aren't sorted or formatted correctly after renaming.

Numeric PivotTable items aren't sorted or formatted correctly after renaming.

By default, numeric items in PivotTable fields are formatted to match the type of the underlying source data. For example, an item named 2.0 would get numeric formatting. When you rename a numeric PivotTable item, the item is then formatted as text even if it contains a number. Because Microsoft Excel sorts text separately from numbers, renamed numeric items no longer sort in sequence with the rest of the numbers.


 An error message doesn't appear when data changes in a cell.

An error message doesn't appear when data changes in a cell.

Microsoft Excel displays error messages defined for cells with the Validation command on the Data menu only when data is typed directly into the cells. In the following situations, the error messages don't appear:

  • When the value in a cell that has data restrictions and also contains a formula becomes invalid because the formula is recalculated.

  • When a macro places data in a cell that has data restrictions.

  • When a user enters data in a cell by copying or filling.

You can identify cells that contain incorrect data because of these reasons by auditing the worksheet for incorrect data. For more information, click [image] .


 Another user replaced data or a change that I wanted to keep.

Another user replaced data or a change that I wanted to keep.

Copy data from the History worksheet to the original worksheet If the change history is being maintained back to the time when your change was replaced, you can find the data that you originally entered on the History worksheet. You can then reenter the data from the History worksheet on the original worksheet. For information about displaying the History worksheet and finding the data, click [image] .

Make a copy of your changes To ensure that you have a copy of changes that you don't want to be replaced, use the Save As command on the File menu to make a copy of the workbook on your local system when you finish making your changes.


 The PivotTable report I want to use to create another report doesn't appear in the wizard list.

The PivotTable report I want to use to create another report doesn't appear in the wizard list.

Check the location of the report The list in step 2 of the wizard includes only the reports in the active workbook. If the PivotTable report you want to use as the source is in a different workbook, copy the report into the active workbook.

Check the page field settings The PivotTable report you want may have page fields that are set to query for external data as you select each item. To use a PivotTable report as the source for another report, its page fields must all be set to retrieve external data for all items at the same time. Double-click each page field, click Advanced, and then check the settings under Page field options. Learn about page field settings.


 An autoformat changed how my PivotTable report is organized.

An autoformat changed how my PivotTable report is organized.

Some of the autoformats available from Format Report [image] change the layout of the report while applying an indented or nonindented format. Learn about how the formats affect your PivotTable reports.

Undo the autoformat Try clicking Undo [image] . If you changed the PivotTable report to an indented format recently, you may be able to restore it to its previous format and layout.

Move fields back to their former locations Some autoformats change all of the column fields in the PivotTable report to row fields, and other autoformats change a single row field to a column field. You can move these fields back to their original positions.


A workbook doesn't use the calculation mode saved in the template it was based on.

Microsoft Excel uses the same calculation mode for all open workbooks. If you change the calculation mode in one open workbook, the mode is changed for all open workbooks. For more information, click [image] .


 Date or time fields are broken out incorrectly.

Date or time fields are broken out incorrectly.

Check the date or time field in the source database If you don't see the levels you expect in the date or time dimensions in source data that was created by using the OLAP Cube Wizard in Microsoft Query, check the date or time field from the underlying relational database that supplied the records for the query. The dates and times in the records might be stored as text instead of in a date or time format that the OLAP Cube Wizard can recognize. If you suspect this is the case, consult the database administrator for the relational database to verify and correct the date or time format for the field.

Check the top level of the dimension When you add date and time fields as lower levels of an existing dimension in the OLAP Cube Wizard, the wizard does not automatically break the data out into year/quarter/month/week and hour/minute/second levels. The wizard does this only when you add the date or time field as the top level of a new dimension. If the date or time field is not the top level, modify the cube by running the OLAP Cube Wizard in Microsoft Query, or contact the person who created the cube to make these changes.


 A PivotTable list from a Web page did not paste or import correctly.

A PivotTable list from a Web page did not paste or import correctly.

Use the Export To Excel command in the PivotTable list If you used the Copy command from a PivotTable list on the Web page and then pasted the data into Microsoft Excel, only the cell values are pasted, creating a noninteractive table on the worksheet. The copy includes only the currently displayed values and does not include any values that are filtered out or hidden. To copy all the data in a PivotTable list to an Excel PivotTable report, use the Export to Excel command in the PivotTable list.

Change the layout, if possible, before you export A PivotTable list on a Web page can display detail data at the same time that it displays summarized data. As a result, some layouts possible in a PivotTable list are not compatible with the layouts an Excel PivotTable report can accommodate. For information about changing the layout of a PivotTable list for successful export to Excel, consult the Help for the PivotTable list in the browser.


Blank records are added to the database I created with the Template Wizard.

If you include records from existing workbooks when you create the database in step 4 of the Template Wizard, the locations of data in the existing workbooks must match the locations of cells you select for the data fields in the template. For example, if in step 3 of the Template Wizard you indicate that the field Employee ID is entered in cell $D$4 of the sheet named Personal_Data, all existing workbooks must contain the employee number in the cell Personal_Data!$D$4. If the data locations do not match, incomplete records might be added to the database.


Borders aren't displayed the way I want.

The current version of Microsoft Excel applies borders differently from earlier versions.

Look at adjacent cells If you apply borders to a selected cell, the border is also applied to adjacent cells that share a bordered cell boundary. For example, if you apply a box border enclosing the range B1:C5, the cells D1:D5 acquire a left border.

Check which border was last applied If you apply two different types of borders to a shared cell boundary, the most recently applied border is displayed. In earlier versions of Microsoft Excel, the line style determined which border took precedence.

Choose the appropriate border type Another difference is that a selected range of cells is formatted as a single block of cells. If you apply a right border to the range of cells B1:C5, the border is displayed only on the right edge of the cells C1:C5. To display interior borders, use the All Borders button on the Borders palette.

See if borders are separated by a page break If you want to print the same border on cells that are separated by a page break, but the border appears on only one page, use the Cells command (Format menu) to apply an inside border. For example, suppose you want to print a border at the bottom of the last row of one page and to use the same border at the top of the first row on the next page. Select the rows on both sides of the page break, and then click Cells on the Format menu. Click the Border tab, and then click the Inside button [image] under Presets. Under Border, remove the vertical border by clicking it in the preview diagram.


Borders don't appear correctly when I save or publish data as a Web page.

If you published or saved your data with spreadsheet functionality, only borders with solid horizontal or vertical lines appear correctly on a Web page. Borders made of dots or dashes and borders that slant across a cell appear as solid lines on a Web page.

If you published or saved your data with PivotTable functionality, borders do not appear at all.


 Microsoft Excel can't find my offline cube file.

Microsoft Excel can't find my offline cube file.

The offline cube (.cub) file might have been renamed or moved.

Make sure you have the file If you're opening an .oqy file that you got from someone else, make sure you also have access to the .cub file.

Browse for the file If you're trying to connect to the offline cube file from the Client-Server Settings dialog box, click Browse, and locate the .cub file.

Reconnect to the original database If you cannot locate the file, you might be able to reconnect the report to the original OLAP server database. You can then create a new offline cube file. Learn about creating offline cube files.


 My cell names are not what I expect them to be when I publish or save Excel data as a Web page.

My cell names are not what I expect them to be when I publish or save Excel data as a Web page.

If the data you publish or save contains a reference to a cell or range of cells outside of the data you publish, Microsoft Excel, by default, saves the entire worksheet but only displays the cells in your selected range.

Depending on where your data started in your worksheet, the upper-left cell on your Web page might not be cell A1. To make the upper-left cell be A1, do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the General tab.

  3. Clear the Save any additional hidden data necessary to maintain formulas check box.

    Notes

    • This option applies to the current page and any future pages that you save in Excel.

    • If you choose not to save the hidden data, formulas that reference that data are replaced by the formulas' calculated values.


I chose to trust a certificate in the Certificate Properties dialog box, but the source was not added to the list of trusted sources.

If you use Microsoft Internet Explorer 4.0 with either Microsoft Office 2000 or Microsoft Excel 2000, the Certificate Properties dialog box appears when you click the Details button in the Security Warning dialog box to get information about a certificate for a digitally signed macro.

The Trust tab in the Certificate Properties dialog box provides an option to generally trust the certificate, but Office 2000 and Excel 2000 ignore any options you set on the Trust tab. Use the Security Warning dialog box to add a macro developer to the list of trusted sources.


 Commands and features are missing from Microsoft Excel.

Commands and features are missing from Microsoft Excel.

Check that optional features are installed The command or feature you want to use might be an optional component that you can choose to install when you set up Excel. How to install optional features. The command or feature might be provided by an add-in program. How to install and load add-ins.

Check whether you are editing in a cell When editing in a cell, many commands are unavailable. You can tell you are in edit mode when the insertion point (the blinking vertical line) is in a cell and EDIT appears on the status bar. To finish editing and keep your changes, press ENTER, or press ESC to discard your changes.

Check for customized menus or toolbars You might be using customized menus and toolbars. To make sure you have access to all available commands, you can restore built-in menus to their default settings and restore default buttons on built-in toolbars.

Check whether the workbook is customized You might be working in a workbook that has been customized by a Visual Basic program. The original menus and toolbars are restored when you close the customized workbook or switch to a different workbook.

Check whether the command is on the full menus To view all available commands on a menu, display the full menu.

Check whether the workbook is shared Some commands and features are unavailable in a shared workbook. You can identify a shared workbook by [Shared] in the title bar.

Check whether a chart is selected Some commands are not available if you are working in a chart.

Check whether a graphic object or map is selected When a graphic object or map is selected, only commands available for the object or map are available. To access other commands, click outside the object or map so that it is no longer selected.

Check whether your administrator has disabled commands If you installed Excel or Microsoft Office from your network or it was installed on your system automatically, the administrator in charge of your company's network may have chosen to make some commands and features unavailable. Contact your administrator for more information.

Check for changes to commands in Excel 2000 A command you used in a previous version of Excel may have been renamed or may not be available in Excel 2000.


Conditional formats are not applied correctly.

  • Check for multiple conditions If you specify multiple conditions and more than one condition is met, Microsoft Excel applies only the formats for the first true condition.

  • See whether conditions overlap If you specify conditions that overlap, Excel applies only the format of the first true condition. For example, if you specify a condition that applies yellow shading to cell values between 100 and 200, inclusive, and then you specify a second condition that applies red shading to cell values below 120, the cell values of 100 through 119.999999999999 will appear with yellow shading. It’s best to avoid overlapping conditions.

  • Check cell references If you used a formula as the formatting criteria, the cell references in the formula might not be correct.


 Data in my database is unavailable through the cube data source.

Data in my database is unavailable through the cube data source.

When you create a cube by using the OLAP Cube Wizard in Microsoft Query or save an offline cube file in Microsoft Excel, only the data that you select is included in the cube.

Wait for data retrieval to complete When you change your PivotTable or PivotChart report to display different data, new data is retrieved from the cube. When you refresh the report, new data is retrieved and the cube is completely reconstructed. For cubes created by using the OLAP Cube Wizard, the data for the cube is retrieved from the original relational database, and this process might take a while.

Check with the person who created the cube If you got the cube from someone else, and the list of fields on the PivotTable toolbar is missing fields that you need or levels of detail that you wanted are unavailable, ask the creator of the cube to change it so that it includes additional data.

Check the contents of an offline cube file If you created the offline cube (.cub) file in Excel, you can change the file to include different data, including different dimensions, data fields, and levels of detail.

Check the contents of a cube that was created by the OLAP Cube Wizard You cannot add data to this type of cube, but you can change the cube organization and delete data from the cube. If the cube is missing fields that you want from the original relational database, you can create a new cube in Microsoft Query to include those fields. For full instructions, see Help in Microsoft Query. Learn about creating cubes by using the OLAP Cube Wizard.


 Data I need is missing from the offline cube file.

Data I need is missing from the offline cube file.

When you created the offline cube file, you omitted some of the data.

Offline cube files that were created in Excel Reconnect a report to the server database, and then create a new offline cube file, making sure you include all dimensions, data fields and levels of detail used in the report. Learn about using the Offline Cube Wizard.

Offline cube files that were created in Microsoft Query If you created the cube from a relational database by using the OLAP Cube Wizard in Microsoft Query, you must create a new cube if you want to add data. Use Microsoft Query to open the query (.dqy) file that you used to create the OLAP cube in Microsoft Query, or create a new query if you did not keep a .dqy file. Add to the query any additional fields that you want in the cube, and then create a new cube. For full instructions, see Help in Microsoft Query. Learn about creating cubes by using the OLAP Cube Wizard.


Dates and phone numbers from my Lotus 1-2-3 file are displayed as numbers.

You formatted the date or phone number cells with a Text number format, and you used hyphens to separate the numbers (for example, 2-10-98 or 555-1212) in your Lotus 1-2-3 worksheet. Use either of the following methods to correct the problem.

Use Lotus 1-2-3

  1. Open the file in Lotus 1-2-3.

  2. Format dates that use a Text number format with a Date number format.

  3. Replace hyphens in dates with forward slashes (/).

Use Microsoft Excel

  1. Double-click the cell.

  2. Delete the equal sign (=) in front of the date or phone number, and press ENTER.

    Dates appear with forward-slash separators.

Note To display a date with hyphen separators, click the cell, and then click Cells on the Format menu. Click the Number tab, and click the date format you want in the Type box.


Decimal points are added to all the numbers I enter.

On the Tools menu, click Options, click the Edit tab, and then clear the Fixed Decimal check box.

To remove decimal points from numbers you've already entered, you can multiply the numbers by a power of 10. In an empty cell, enter a number such as 10, 100, or 1,000, depending upon the number of decimal places you want to remove. For example, enter 100 in the cell if the numbers contain two decimal places and you want whole numbers. Copy the cell, and then select the cells that contain the numbers with decimal places. (The selected cells must be adjacent.) On the Edit menu, click Paste Special, and then click Multiply.


Diagonal borders are displayed over rotated text.

Do not use the diagonal borders buttons [image] and [image] in the Border tab (Cells dialog box, Format menu) to apply borders to cells that contain rotated text. Remove the diagonal borders by selecting the cells and clicking None [image] on the Border tab under Presets. Then click the Inside [image] and Outline [image] buttons under Presets. The borders are applied to the edges of the cells, which are rotated to the same degree as the rotated text.


 Features I expect in a PivotTable report are missing.

Features I expect in a PivotTable report are missing.

The PivotTable report may be based on source data from an OLAP database. How to tell whether a PivotTable report is based on OLAP data.

OLAP databases provide many PivotTable features, such as different summary functions, on the OLAP server, making data retrieval faster than for other types of databases. Learn about feature differences for PivotTable reports based on OLAP versus non-OLAP data.


 When I dock the PivotTable toolbar, I can't display the field list.

When I dock the PivotTable toolbar, I can't display the field list.

The field list can be displayed only when the PivotTable toolbar is not docked. To display the field list, undock the toolbar. Click a cell in the PivotTable report and, if necessary, click Display Fields [image] .


Updating linked data or jumping to a hyperlink destination takes a long time.

The server at the destination or the destination site might be busy. Try the hyperlink again later, or try updating the linked data later. Experiment with updating links and clicking hyperlinks at different times of the day to determine when you're likely to get the best response. See your network administrator for information about the server.


Microsoft Excel can't open my Lotus 1-2-3 file.

Excel can't open some password-protected files.

Remove file-level password protection

  1. Open the file in Lotus 1-2-3.

  2. Save the file without password protection, or save it as a WKS or WK1 file.

Notes

  • Excel can open password-protected WKS and WK1 files and prompts you for the password before the worksheet is opened.

  • Excel cannot open WK3 or WK4 files that are protected with a file-level password.

  • Excel can open Lotus 1-2-3 files that are protected at the worksheet level.


 The summary function I want for my cube data is unavailable.

The summary function I want for my cube data is unavailable.

When you use the OLAP Cube Wizard to create a cube from records in a relational database, the only summary functions available for the data fields are Sum, Count, Min, and Max.

Create the report directly from the database records If you can refine your query sufficiently so that the amount of data it returns is not larger than your system can handle, and you don't need to create an OLAP cube for the data, try to return the data in the query to Microsoft Excel from Microsoft Query. When you create a PivotTable or PivotChart report that's based on records from a relational database, you have access to the full set of PivotTable summary functions.

Consider setting up an OLAP server for the database The Microsoft OLAP server product, Microsoft SQL Server OLAP Services, lets you set up a wider range of summary fields than the OLAP client software included in Microsoft Office.


When I try to save an offline cube file, I run out of disk space.

OLAP databases are designed to manage very large amounts of detailed data, and as a result, the server database might occupy a much larger amount of disk storage than your local hard disk provides. If you specify a large subset of this data for your offline cube file, you might run out of space.

Free up disk space or find another disk Try deleting files you don't need from your disk before saving the file. Or try saving the file on a network drive.

Include less data in the offline cube file Consider how you can minimize the amount of data in the file and still have what you need for your PivotTable or PivotChart report. Learn about using the Offline Cube Wizard. Try the following:

  • Eliminate dimensions In Step 2 of the Offline Cube Wizard, select only the dimensions that you actually have displayed as fields in your PivotTable and PivotChart report.

  • Eliminate levels of detail Click the Plus box box next to each selected dimension in Step 2 of the wizard, and clear the check boxes for levels lower than those displayed in your report.

  • Eliminate data fields In Step 3 of the wizard, click the Plus box box next to Measures, and select only the data fields you're using in the report.

  • Eliminate items of data Click the Plus box box next to each dimension in Step 3, and clear the check boxes for items you don't need to see in the report.

Stay connected to the server If you've eliminated all possible data and still cannot save an offline cube file, you'll need to continue using the connection to the server OLAP database to interact with your report.


The Find and Replace commands don't find data.

Check complete cells only On the Edit menu, click Find or Replace. Clear the Find entire cells only check box, and then try the search again. When this check box is selected, the Find and Replace commands find only cells that contain the characters specified in the Find what box. Cells that contain any additional characters are not found.

Check the entire worksheet Microsoft Excel searches only within the selected range of cells. To search the entire sheet, click any cell to cancel the active selection before you use the Find or Replace command.

Check in formulas and comments If the characters you want to search for are a constant value or a value that results from a formula, click Values in the Look in box of the Find dialog box. If the characters are in a formula or in cell comments, click Formulas or Comments in the Look in box.

Hide special characters If an asterisk (*), caret (^), quotation mark ("), or backslash (\) appears in the formula bar but not in the worksheet cells, the character is a formatting code. Because such characters are not actual data, you cannot use the Find and Replace commands to locate them. To hide the characters, click Options on the Tools menu, click the Transition tab, and then clear the Transition navigation keys check box.


How do I open files created in Quattro Pro?

Microsoft Excel 2000 can open Quattro Pro version 5.0 for Windows (WB1), version 6.0 for Windows (WB2), and version 7.0 for Windows (WB3).

Install the Quattro Pro file converter If you didn't install the converter for Quattro Pro files when you installed Excel, you must install it before you can open or save files in that format.

To open a Quattro Pro file, do the following.

  1. On the File menu, click Open.

  2. In the Files of type list, click the version of the Quattro Pro file you want to open.

  3. In the Look in list, click the drive that contains the file you want, and then locate and double-click the folder that contains the file.

  4. Click the file you want, and then click the Open button.


 I can see only the most recent changes.

I can see only the most recent changes.

Determine if the change history is turned off If the change history has been turned off for the workbook, you can only see changes made during your current editing session, since the last time any of the users saved the shared workbook.

Make sure you select the correct time period When you click Highlight Changes on the Track Changes submenu of the Tools menu, make sure the When setting is correct on the Highlight Changes dialog box.

  • Since I last saved shows only those changes made after the last time you saved the workbook.

  • Not yet reviewed shows only changes that you and other users haven't reviewed by using the Accept or Reject Changes command on the Track Changes submenu of the Tools menu and then saved.

  • To specify a beginning date, click Since date, and then type the date in the When box. If you click All in the When box or clear the When check box, you see all changes for the period in which the change history is maintained.

More information about viewing changes.

Specify the number of days to keep the change history To preserve information about changes from past editing sessions, you can maintain the change history for the number of days that you specify. To keep the change history for a long period of time, specify a very large number of days, such as 1,000. For more information, click [image] .


 I can't add a discussion remark to a workbook.

I can't add a discussion remark to a workbook.

The Discussions feature isn't available The Discussions feature is available only when Microsoft Office Server Extensions are installed on your server. Your system administrator must set up this feature before you can use it.

Refresh the discussion Recently added remarks might not automatically appear. To display the Discussions toolbar, point to Online Collaboration on the Tools menu, and then click Web Discussions. On the Discussions toolbar, click Discussions, and then click Refresh Discussions.

You might not have access rights to a Microsoft Office Web server For details, see your system administrator.

You might be working offline Office maintains a list of recently opened files, along with any discussions associated with them, by replicating those files on your hard disk. If you're working offline, you can view and filter discussions on a Web page, but you can't add any new discussions.


 I can't add a macro developer to the list of trusted sources.

I can't add a macro developer to the list of trusted sources.

The list of trusted sources might be locked Your system administrator might have locked your list of trusted sources so that you cannot add new macro developers to it.

The macro might not be digitally signed To add a macro developer to the list of trusted sources, the macro must be digitally signed by the developer.

Microsoft Internet Explorer 4.0 or later might not be installed To digitally sign a macro or verify that a developer is trusted, Internet Explorer version 4.0 or later must be installed on your computer.

The security level might be set to Low To add a macro developer to the list of trusted sources, you must change the security level to Medium or High.


 I can't automatically create a backup copy of my Web page.

I can't automatically create a backup copy of my Web page.

When you save a Web page, Microsoft Excel doesn't automatically create a backup copy. The Always create backup option does not apply to HTML files. (To locate this option, click Save as on the File menu, click Tools, and then click General Options.)

To save a backup copy of a Web workbook, save the original file, and then click Save As on the File menu. In the File name box, type a new name for the backup copy and then click Save. Close the backup copy and reopen your original file to continue editing.


 The field buttons on my PivotChart report are gone, and I can no longer change the layout.

The field buttons on my PivotChart report are gone, and I can no longer change the layout.

  • Check to see whether the field buttons have been hidden The Hide PivotChart Field Buttons option might be turned on. If this is the case, you can display the field buttons by clearing the option's check box.

  • See whether the report was converted to a static, or nonpivoting, chart A PivotChart report is converted to a static chart when the associated PivotTable report is deleted; when the PivotChart report is copied or moved to a new workbook; or when the workbook containing the report is saved as a Microsoft Excel 95 or earlier workbook or in a format other than an Excel workbook.


I can't change the security level for Excel.

Your network administrator may have enforced a security level for your workgroup or corporation to ensure that you use only macros that are virus-free. For more information, see your network administrator.


 The Source Data command on the Chart menu is not available.

The Source Data command on the Chart menu is not available.

When you want to change the position of your series or category data in a PivotChart report, or when you want to redefine the source data to be included, you cannot use the Source data command on the Chart menu, as you can with a regular chart. To change the position of your series or category data, you must change the PivotChart report layout by dragging fields to the appropriate drop areas. To include different source data in a PivotChart report, you must redefine the source data on which the PivotChart report is based.


In my Web browser, I can't export my Web page data to Microsoft Excel.

You must use Microsoft Internet Explorer version 4.01 or later and Microsoft Excel 2000 if you want to export data from your Web page. You can export only interactive PivotTable lists and spreadsheets.

You cannot export a chart from a Web page to Excel. However, you can export the source data for an interactive chart to Excel and then create a new chart that's based on that source data.


I can't filter the data that I published or saved as a Web page.

The data you are trying to filter might contain merged cells. In an interactive spreadsheet on a Web page, you cannot filter a list that contains merged cells. Split the merged cells in your workbook and then republish the Web page.


 I can't format or edit the History worksheet.

I can't format or edit the History worksheet.

Copy the contents to a new worksheet The History worksheet is locked and available only for viewing. You cannot format or edit the History worksheet. If you need to change the order of the columns or make other formatting or editing changes, copy the information from the History worksheet to another worksheet.

Make a separate copy of the shared workbook for reference When you make a copy of the History worksheet so that you can format it, it's a good idea to also save a separate copy of the shared workbook. If the workbook continues to change as you or others work on it, the History worksheet information that you have copied may no longer apply to the updated version of the shared workbook. For example, cell locations, including row numbers, recorded in the copied History information may no longer be current as the shared workbook continues to change.


 The History worksheet won't display.

The History worksheet won't display.

Confirm that you saved changes You and other users might not have saved any changes since you turned on the change history. Make some changes to the workbook, and then click Save on the File menu. You should then be able to display the History worksheet.

Confirm that the Highlight options are set correctly You might not have selected any changes to display on the History worksheet. In the Highlight Changes dialog box, make sure the When check box is selected, and then click All in the When box. Make sure the Who and Where check boxes are cleared. Select the List changes on a new sheet check box, and then click OK.


I can't open a file I created in Microsoft Works.

Microsoft Excel 2000 cannot directly open files created in Microsoft Works version 3.0 or later. To open a spreadsheet file in Excel, you must first open the Microsoft Works file you want to use in your Microsoft Works program. On the File menu, click Save As, and then select one of the following file formats in the Save as type list. Save and close the file before you try to open it in Excel.

  • Works for Windows 2.0/Works for DOS SS

  • Excel SS

  • Lotus 1-2-3

To open a Microsoft Works database file in Excel, first save the file in Microsoft Works as a dBASE file, and then open the dBASE file in Excel.


I can't publish or save my chart with interactive functionality.

Make sure you select only the chart You must select only the chart, not the worksheet it appears on, to publish or save the chart as an interactive chart on a Web page.

Make sure the data is on one worksheet The chart you are trying to publish or save might be based on data ranges from two separate worksheets. Make sure all source data for your chart is on a single worksheet.

Make sure noncontiguous data is added as a new series Before you published the chart, you might have added data that was not contiguous with the original data for the chart and added the cells as new data points, rather than as a new series. If you add data to an existing chart, and the new range is not contiguous to the original range, make sure you add the cells as a new data series, not as new data points, before you publish the chart.


I can't publish or save my Excel data to a Web folder.

To use a Web folder to publish or save Excel data, the Web server for the Web folder must have the Microsoft FrontPage Server Extensions installed. To find out which servers have FrontPage Server Extensions installed, contact your system administrator.

You can save a Web page to an FTP site regardless of whether the server has the FrontPage Server Extensions.


I can't publish or save password-protected data as a Web page.

You cannot publish or save Microsoft Excel data as a Web page if your worksheet or workbook is password protected. To publish or save your data, remove the password, and republish your data.


 I can't refresh the data that I published or saved as an interactive spreadsheet on a Web page.

I can't refresh the data that I published or saved as an interactive spreadsheet on a Web page.

Without scripting, you can't automatically refresh an external data range in an interactive spreadsheet. To refresh the data, you must republish the spreadsheet from Excel with the new data that you want to use.

To make it possible to refresh an external data range that you put on a Web page, publish or save the data as a PivotTable list. Users can then refresh the PivotTable list in the browser when the source data changes. For more information, see the Microsoft Office Web Component Help for PivotTable lists or spreadsheets. To display this Help, click an interactive spreadsheet or PivotTable list on your Web page in the Web browser, and then click the Help button on that control's toolbar.


 I can't move or resize the legend, titles, or plot area in my PivotChart report.

I can't move or resize the legend, titles, or plot area in my PivotChart report.

In a PivotChart report, the legend, titles and plot area cannot be moved or resized by using the mouse. However, you can move the legend by clicking the Legend tab in the Chart Options dialog box (Chart menu), and then clicking an option under Placement. You can resize titles by changing the size of the font.

You cannot move or resize the plot area manually; however, Microsoft Excel automatically resizes the plot area to accommodate additions, deletions, and changes in size to surrounding items, such as text, axes, field buttons, and the legend.


 I can't select the hyperlink text or graphic to make changes.

I can't select the hyperlink text or graphic to make changes.

To select a text hyperlink without jumping to the destination, do one of the following:

  • Click a cell next to the cell that contains the hyperlink, and then use the arrow keys to move onto the cell that contains the hyperlink.

  • Click the cell that contains the hyperlink, hold the mouse button down for at least a second, and then release the button.

  • Right-click the cell that contains the hyperlink, point to Hyperlink, and then click Edit Hyperlink on the shortcut menu.

Once you select the hyperlink, you can click the formula bar or press F2 to edit the text.

To select the graphic for a hyperlink without jumping to the destination, either hold down CTRL and click the graphic, or click Select Objects [image] on the Drawing toolbar, and then click the graphic.


I can't send my Web page as an attachment in e-mail.

Web pages cannot be sent as attachments. If you use Microsoft Excel to attach an HTML file to an e-mail message, Excel automatically converts the HTML file to an .xls file.

To send a copy of your Web page in e-mail, you must send it as the body of your message. On the File menu, point to Send To, and then click Mail Recipient.


Why can't I use all formats as conditional formats?

Cell formats that can change the row height or column width cannot be used as conditional formats.


I can't undo the last action.

Some actions can’t be undone, such as any command on the File menu. The Undo command is available for each action you can undo.


I can't use interactive data on a Web page.

To use interactive data To create or use Microsoft Excel interactive data on the Web, you must have Microsoft Office 2000 Professional, Premium, or Standard installed. These versions of Office include the Web Components. If you have a Microsoft Office 2000 site license, you can download the components from an intranet. For assistance, consult your network administrator.


 I can't use a macro in a workbook or add-in program that I opened.

I can't use a macro in a workbook or add-in program that I opened.

Macros might have been disabled automatically If the security level is set to High and you open a workbook or load an add-in program that contains unsigned macros, the macros are disabled and you cannot run them. You can enable macros that are not digitally signed if you change the security level to Medium, close the workbook or unload the add-in, and then reopen the workbook or reload the add-in. If you want Microsoft Excel to automatically disable unsigned macros in the future, remember to change the security level back to High.

You might have chosen to disable macros when you opened the workbook If the security level is set to Medium or High and you chose to disable macros because you don't trust their source, you cannot run the macros. To run the macros, close and then reopen the workbook or unload and reload the add-in program, and then click Enable Macros.


 I changed my start page to a Microsoft Office file, and I want to change it to an HTML file.

I changed my start page to a Microsoft Office file, and I want to change it to an HTML file.

  1. Open Microsoft Excel.

  2. Click Open [image] .

  3. In the File name box, type the HTTP address of the Web page you want and click Open; for example, http://www.microsoft.com

  4. On the Web toolbar, click Go and then click Set start page.

  5. Click Yes.

  6. Quit Excel.


I created an offline cube file, and now data is missing from my PivotTable or PivotChart report.

When you selected the contents for the offline cube file in the Offline Cube Wizard, you might have left out some of the data for the fields that were included in the report. As a result, when you change the report to display different data, data you expected to see isn't available in the offline cube file.

Reconnect the report to the server database, and make sure the report displays the data you want to see. Then change the offline cube file, making sure you include all dimensions, data fields, and levels of detail that are used in the report. Learn about using the Offline Cube Wizard.


I don't like the way my scanned image looks.

Do one or both of the following:

  • Use the Custom Insert button in the Insert Picture from Scanner or Camera dialog box (Insert menu, Picture submenu) to change image properties and preview the image before you scan.

  • Check the device documentation for instructions about changing image options.


 I don't see the changes I expect in my shared workbook.

I don't see the changes I expect in my shared workbook.

Turn on the change history To see the history of changes made to your shared workbook, turn on the change history. If you turn off change tracking or remove the workbook from shared use, the change history is deleted, and you can no longer see the record of previous changes. How to turn on the change history.

Make sure other users have saved their changes Other users may not have saved their changes. When you save the shared workbook or receive an automatic update, you receive only the saved changes from other users, not changes in their current editing sessions that they have not yet saved.

Confirm that your changes are a type that Microsoft Excel tracks The changes you're looking for may be types of changes that Excel does not highlight and keep history information for, such as formatting changes and comments. See a list of changes that can't be highlighted.

Check the change highlighting settings When you click Highlight Changes on the Track Changes submenu of the Tools menu, make sure your settings are correct on the Highlight Changes dialog box.

  • The When settings Make sure you click the right time period. Since I last saved shows only those changes made after the last time you saved the workbook. Not yet reviewed shows only changes that you and other users haven't reviewed by using the Accept or Reject Changes command on the Track Changes submenu of the Tools menu and then saved. To specify a beginning date, click Since date, and then type the date in the When box. If you click All in the When box or clear the When check box, you see all changes for the period in which the change history is maintained.

  • The Who settings Make sure you click the right users. Everyone but me shows you changes made by all other users but does not highlight your own changes. If you click Everyone or clear the Who check box, you see changes from all users, including yourself.

  • The Where settings Make sure you enter the right cell range. To view changes for the whole workbook, clear the Where check box.

More information about viewing changes.


 I don't see a warning when I open a workbook or load an add-in program that contains macros.

I don't see a warning when I open a workbook or load an add-in program that contains macros.

The security level might be set to Low To have Microsoft Excel warn you that a workbook or add-in contains macros, change the security level to Medium.

The security level might be set to High and the macros are not digitally signed To have Excel warn you that a workbook or add-in contains macros that have not been digitally signed, change the security level to Medium.

You or someone you have designated as a trusted source might have developed the macros If so, Excel opens the workbook and enables macros. If you no longer trust the macro developer, you can remove the developer from the list of trusted sources. To have Excel prompt you every time you open a workbook or load an add-in program that contains macros, remove every source from the list of trusted sources. To confirm that the macros in the workbook were signed and to see the source of the workbook, point to Macro on the Tools menu, and then click Visual Basic Editor. On the Tools menu in the editor, click Digital Signatures.


 I don't want to keep my supporting Web files in a separate folder.

I don't want to keep my supporting Web files in a separate folder.

When you save a Web page to a Web server, Microsoft Excel by default stores all supporting files — such as bullets, background textures, and graphics — in a separate subfolder. If you want to save supporting files in the same folder as the Web page, do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Files tab.

  3. Clear the Organize supporting files in a folder check box.

    Note This option applies to the current page and any future pages that you save in Excel.


 I want to keep the change history, but I don't want to share my workbook.

I want to keep the change history, but I don't want to share my workbook.

Assign a password to the workbook To maintain the change history for a workbook, you must save the workbook as a shared workbook. If you do not want to make the workbook available for others to edit, keep it on an area of your system that other users cannot gain access to, or assign a password to the workbook. For information about setting passwords, click [image] .

Some features and operations are not tracked Some Microsoft Excel features and operations cannot be tracked in the change history, because the change history can be maintained only when a workbook is shared. Other features available in a shared workbook cannot be highlighted or listed on the History worksheet. For a list of the features and operations that are unavailable in a shared workbook, click [image] . For a list of the features and operations that cannot be highlighted or listed on the History worksheet, click [image] .


I forgot or don't have the password for a workbook.

If you create a password that is required to open a workbook or gain access to its data, and then you forget the password, you can't open the workbook, gain access to its data in another workbook through links, remove protection from the workbook, or recover data from the workbook.

Because you cannot gain access to password-protected workbook or worksheet elements if you lose the password, it's a good idea to keep a list of your passwords and their corresponding workbook and worksheet names in a secure place.


I get an error message when I try to publish or save data as a Web page.

If you publish or save Microsoft Excel data as a Web page and get a message that says the file name cannot be accessed, one or more of the following might be the reason:

  • You're trying to publish or save a Web page that has the same file name as an existing HTML file. Specify a new name for your Web page file and publish again.

  • The location you're trying to publish to is unavailable, the path name is incorrect, or the file is already open. Check the path name, and then make sure no one else has the file open.

  • The amount of information you're saving might have exceeded the limit that can be accurately saved, especially if you're putting interactive data on the Web. Try to save a smaller amount of data.


I get an "Unexpected error" message when I select the database for the Template Wizard.

If you select dBASE or Microsoft FoxPro as the database type in step 2 of the Template Wizard, select only the folder that contains the database. Do not include a file name in the Type the location and name of the database box.


 I keep getting a warning about macros.

I keep getting a warning about macros.

The macro you want to run might not be from a trusted source If the security level is set to Medium or High and you open a workbook or load an add-in program that contains digitally signed macros that are not from a trusted source, you receive a macro warning. If you are sure that you trust the macro developer, add the name to the list of trusted sources.

The macro might contain a virus If you don’t expect the workbook to contain a macro, you might have a virus that is adding a macro virus to the workbook. Check your computer for viruses and then try to get an uninfected copy of the workbook from the source.

The macro might be in a file that you downloaded as an HTML page from a Web site and opened as a temporary file If your virus scanner tells you that it has removed a virus in this file every time you open it, you are removing the virus from the temporary file only and not from the original file on the Web server. Check your computer for viruses and then notify the source about problems with the original file.

The workbook contains legitimate macros Microsoft Excel cannot distinguish between safe and unsafe macros. If you know that these are legitimate and safe macros, you might want to digitally sign the macros and add your name to the list of trusted sources.

You might be using an Excel template Excel does not consider Excel templates to be trusted sources. Even if you selected the Trust all installed add-ins and templates check box on the Trusted Sources tab and clicked Medium or High on the Security Level tab (Tools menu, Macro submenu, Security command), the macro virus warning appears when you open a template provided with Excel. To prevent the warning from appearing, you can set the security level to Low, but first make sure that all of the workbooks you may potentially open are safe and virus-free.


I moved my Web page to another location, and now some of the links are broken.

When you save a Web page, Microsoft Excel by default saves all supporting files — such as bullets, background textures, and graphics — in a supporting subfolder. If you move or copy your Web page to another location, you must also move the supporting folder so that you maintain all links to your supporting files.

Learn about automatically updating links.


I can't change my OLAP cube.

Make sure the original database is available To make changes to an OLAP cube, you must have access to the original server database that supplied the data for the cube. Check the location of this database to make sure it hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Check for changes to the original database If you used the OLAP Cube Wizard to create the cube from a relational database, tables in the database might have been renamed or deleted so that the cube can no longer locate the original data. Check for any changes to the organization, or schema, of the database. For information about doing this, see Help in Microsoft Query and consult the database administrator. If the database has changed, you'll need to create a new cube in Microsoft Query. Learn about creating cubes by using the OLAP Cube Wizard.


 I published or saved a Web page, but I can't view the page in the Web browser.

I published or saved a Web page, but I can't view the page in the Web browser.

To view interactive data on Web pages, you must use Microsoft Internet Explorer version 4.01 or later and have the Microsoft Office Web Components installed to view interactive Web pages. You can install these components by installing Microsoft Office 2000 or, if your company has an Office 2000 site license, by downloading the Office Web Components from your corporate intranet.


I receive an error when I try to go to a cell in another workbook.

When you are tracing formula dependencies or precedents, Microsoft Excel cannot go to a cell in a workbook that is not open. Open the workbook that contains the cell, and then try going to the cell again.


 When I try to retrieve external data, I run out of disk space.

When I try to retrieve external data, I run out of disk space.

How much space do you need? When you create a query, the query is temporarily placed on your hard disk. As a general rule, you should have a minimum of 3 to 5 MB of available disk space to create the temporary query file. If your query is large, you will need more free disk space. If enough disk space is not available, the query will take longer to retrieve data or the query may quit running.

Check for available disk space To check available hard disk space, switch to the Windows desktop, double-click the My Computer icon, and then click the disk you want to check. On the File menu, click Properties. To free some space on your hard disk, try emptying the Recycle Bin, backing up unneeded files and then removing them from your hard disk, or removing Windows components that you don't use. For more information about freeing hard disk space, see Microsoft Windows Help.

Strategies you can try when disk space is limited If you have only a limited amount of space available on your hard disk, try the following:

  • Simplify your query Make sure you include only those tables and fields that are needed for your query. If your query contains unnecessary tables or fields, delete them from the query to reduce the size of the temporary query file.

  • Use criteria to reduce the size of the result set Use criteria to retrieve only specific records rather than retrieving all the records from a database. For more information, see Microsoft Query Help.

  • Set a limit on the number of records returned by the query Limit the number of records the query returns. In Microsoft Query, click Options on the Edit menu, select the Limit number of records returned to check box under User settings, and enter the maximum number of records to return in the Records box.


 I saved a file with the .xlt extension, but I can't use it as a template.

I saved a file with the .xlt extension, but I can't use it as a template.

Microsoft Excel does not save a file in template format if you type the .xlt file extension in a file name. To save a file as a template, click Save As on the File menu. In the Save as type box, click Template (*.xlt). In the Save in list, locate and click the location where you want to save the template. In the File name box, enter a file name, and then click Save.

To make the template available in the New dialog box (File menu), save custom templates in the Templates folder. If you save the file to a different location, you can only open file, not use it as a template. Save the default workbook template (Book.xlt) and the default sheet template (Sheet.xlt) in the XLStart folder or the alternate startup folder. The Templates folder is usually
C:\os\Profiles\user_name\Application Data\Microsoft\Templates
and the XLStart folder is usually
C:\os\Profiles\user_name\Application Data\Microsoft\Excel\XLStart
where os is the operating system folder — for example, Windows.


 I saved my Web page to a file server, and now some people can't find or view my page.

I saved my Web page to a file server, and now some people can't find or view my page.

If you use a long file name (a file name with spaces or more than eight characters) to save your Web page to a file server, users with Microsoft Windows 3.1 won't be able to find or open your Web page. Windows 3.1 recognizes and supports only short file names (8.3 notation). To always save files for Web pages with short file names, do the following:

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Files tab.

  3. Clear the Use long file names whenever possible check box.


 I see a blank image where the graphic should be on my Web page.

I see a blank image where the graphic should be on my Web page.

There are several reasons why graphics may not be appearing correctly on your Web page.

Adjust your browser settings Because different browsers support different versions of HTML and HTML extensions, text and graphics may look different in one computer's browser than they do in another. In some cases, graphic images appear as blanks because the browser is set to not display graphics. You can sometimes make missing graphics appear in your browser by adjusting the option to display graphics.

Test your page with different browsers When you create Web pages, consider testing them in different Web browsers — some of which are available for downloading from the Web — and with different monitor settings, to make sure all of your page elements appear correctly.

Graphics might be turned off in your Web browser To make sure that graphics are being downloaded, do the following:

  1. Open your Web page in Microsoft Excel.

  2. On the Tools menu, click Options, and then click the General tab.

  3. Click Web Options, and then click the Pictures tab.

  4. Clear the Rely on VML for displaying graphics in browsers check box.

You might have used the wrong picture format If you link a graphic to a Web page, and the graphic format isn't supported by your browser, your graphics won't show. Make sure that the linked picture is in a graphic format that is compatible with your browser. The graphic formats JPG and GIF are compatible with most browsers.

You might have changed a linked picture If you make a visual change to a linked picture, such as adding a shadow, border or outline, fill, or contrast or brightness adjustment, then Excel will create another picture with those changes for displaying in a Web page. When you view the Web page in Microsoft Internet Explorer 4 or earlier, the picture will appear with the changes but the link to the original picture will be broken. To fix the link, select the picture and click Reset Picture on the Picture toolbar.


 I see a "Lost or mismatched" message in the discussion pane.

I see a "Lost or mismatched" message in the discussion pane.

Discussions are stored separately on a discussion server, not with your workbook. If your workbook is on a Web server and you are not using Web folders or Microsoft FrontPage when you move the workbook, the links between the workbook and the discussion remarks break. You see this message because Microsoft Excel can't find your discussion for the current workbook.

To reconnect the workbook to its discussion, return the workbook to the original Web server and then move it again by using FrontPage. Or you can put the workbook in a Web folder on the Web server and then move the entire Web folder to the new Web server.


 I see a red X on my Web page.

I see a red X on my Web page.

Make sure your links are working properly A red X indicates a missing graphic. If you move or copy your Web page to a new location without moving the supporting files, the links to graphics — such as photos, bullets, and background textures — may be broken.

To automatically make the paths for the linked pictures and hyperlinks relative when you save Web pages in Microsoft Excel, do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Files tab.

  3. Select the Update links on save check box.

    Notes

    • When you select this option, Excel does not actually move or copy the supporting files when you move or copy a Web page. Rather, Excel updates the addresses to the relative links on the page.

    • You must save the moved or copied Web page for the updating to occur.

    You might have changed a linked picture If you make a visual change to a linked picture, such as adding a shadow, border or outline, fill, or contrast or brightness adjustment, then Excel will create another picture with those changes for displaying in a Web page. When you view the Web page in Microsoft Internet Explorer 4 or earlier, the picture will appear with the changes but the link to the original picture will be broken. To fix the link, select the picture and click Reset Picture on the Picture toolbar.


The scanner scanned too much or too little of my picture.

Do one or both of the following:

  • Use the Custom Insert button in the Insert Picture from Scanner or Camera dialog box (Insert menu, Picture submenu) to change image properties and preview the image before you scan.

  • Check the device documentation for instructions about changing image options.


 I turned on the change history, but no changes are displayed.

I turned on the change history, but no changes are displayed.

When you turn on the change history, Microsoft Excel maintains information about changes from that point on, for the number of days you specify. To view the information about changes, make some changes and then turn on change highlighting. To see the changes on the History worksheet, save the workbook, and then display the History worksheet. For more information, click [image] .


 I want to open an HTML file in Excel, but it opens in another Office program.

I want to open an HTML file in Excel, but it opens in another Office program.

In the Open dialog box (File menu), when you select a Hypertext Markup Language (HTML) file (a Web page) and click Open or double-click the file, the file opens in the program that the file was created in. For example, if you attempt to open in Microsoft Excel an HTML file that was created in Microsoft Word, the file opens in Word instead.

To open such an HTML file in Excel, right-click the file in the Open dialog box, and then click Open in Microsoft Excel on the shortcut menu.


 I want to protect sharing with a password, but I can't type in the Password box.

I want to protect sharing with a password, but I can't type in the Password box.

Protect the shared workbook If the workbook is already shared, you can protect the workbook and the change history by pointing to Protection on the Tools menu, clicking Protect Shared Workbook, and then selecting the Sharing with Track Changes check box. However, you cannot assign a password for this protection.

Assign a password to a workbook To assign a password, first remove the workbook from shared use, and then protect the workbook by pointing to Protection on the Tools menu, and then clicking Protect and Share Workbook. When you select Sharing with Track Changes and specify a password, the workbook is automatically returned to shared use. Because the stored change history is erased when you remove a workbook from shared use, the change history for the workbook will start from the point when the workbook is returned to shared use.


 I want to protect my shared workbook, but the Protect Workbook command isn't available.

I want to protect my shared workbook, but the Protect Workbook command isn't available.

Temporarily remove sharing While a workbook is shared, you cannot protect it. If you want to protect a shared workbook, you must temporarily remove the workbook from shared use. You can then protect the workbook and use the Share Workbook command (Tools menu) to return the workbook to shared use.

Notes

  • When you remove a workbook from shared use, the change history is automatically deleted.

  • For more information, click [image] .

Assign a password to the workbook To assign a password to a workbook, use the Protect Workbook command (Tools menu, Protection submenu). The workbook must not be shared when you do this.

Note that protecting a workbook is different from protecting sharing and the change history. When you protect a workbook by using the Protect Workbook command (Tools menu, Protection submenu), you must share the workbook after you assign the password. When you assign a password by clicking the Sharing with Track Changes option, the workbook is shared automatically. (To locate this option, point to Protection on the Tools menu, and click Protect and Share Workbook.)


 Arrow keys and keys such as PAGE UP, HOME, and SHIFT+TAB don't perform the expected action.

Arrow keys and keys such as PAGE UP, HOME, and SHIFT+TAB don't perform the expected action.

  • The keys may be performing the equivalent action in Lotus 1-2-3. On the Tools menu, click Options, and then click the Transition tab. Clear the Transition navigation keys check box, and then try to use the keys again.

  • If you want the active selection to move as you scroll through a worksheet, make sure scroll lock is off. If scroll lock is on, you can use the navigation keys without affecting the current selection.


Links to other Lotus 1-2-3 worksheets aren't converted correctly or have #REF! errors.

When you open a Lotus 1-2-3 worksheet in Microsoft Excel, you must click Yes when prompted to update the workbook with changes for Excel to convert links in the worksheet properly. When you convert a worksheet to Excel, you can maintain links to other Lotus 1-2-3 worksheets, or you can convert all the workbooks to Excel and change the links accordingly.

Correct the #REF! errors

  1. In Excel, close the converted worksheet without saving.

  2. Open the worksheet again in Excel, but this time click Yes when prompted to update the workbook with changes.

Keep links to other Lotus 1-2-3 worksheets when you convert to Excel

  1. Make sure the linked-to Lotus 1-2-3 worksheets are closed.

  2. In Excel, open the Lotus 1-2-3 worksheet that contains the links, and click Yes when prompted to update the workbook with changes.

  3. On the File menu, click Save As, and then click Microsoft Excel Workbook in the Save as type box.

Change links to use converted Excel workbooks

  1. In Excel, open all the linked-to Lotus 1-2-3 worksheets.

  2. Open the worksheet that contains the links.

  3. For each linked-to worksheet, click Save As on the File menu, and then click Microsoft Excel Workbook in the Save as type box.

  4. Save the workbook that contains the links.


 Changes to the layout or view of a PivotTable or PivotChart report take a long time.

Changes to the layout or view of a PivotTable or PivotChart report take a long time.

When a PivotTable or PivotChart report is based on a large external data source or an OLAP Cube Wizard data source, delays can be lengthy when you drag fields to change the layout on the worksheet.

Drop data items last Drop fields in the row or series, column or category, and page areas first, and drop fields in the data area last. This approach minimizes the amount of data Microsoft Excel has to display for interim steps.

Simplify the report Eliminate some fields, or use less source data for the PivotTable or PivotChart report.

Use the wizard to change the layout You can use the PivotTable and PivotChart Wizard to change the layout of a PivotTable or PivotChart report. When you use the wizard, you can make one or several layout changes and then retrieve and display the data in one step.


 Formats such as font color and cell shading automatically change.

Formats such as font color and cell shading automatically change.

If conditional formats have been applied to a cell, Microsoft Excel applies the formats depending on whether the cell value or other evaluated data meets a condition you specified.

  • If you base the formatting condition on the value of the selected cells, cells that contain text are evaluated as ASCII strings. Formats such as bold or the font color may change if you change the text.

  • Conditional formats have priority over formats that you apply directly to a cell by using the Cells command (Format menu) or a Formatting toolbar button. If a specified condition is true, the formats for that condition override the manual formatting.


 My calculated field or item isn't calculating as I expected.

My calculated field or item isn't calculating as I expected.

Calculated fields and calculated items are calculated in different ways. Formulas for calculated fields operate on the sum of the underlying data for any fields in the formula. For example, the formula 'Order Amount' * 1.2 multiplies the sum of the order amounts for each product and salesperson by 1.2; it does not multiply each individual order by 1.2 and then sum the multiplied amounts.

Formulas for calculated items, however, operate on the individual records; the calculated item formula Seafood * 115% multiplies each individual order for Seafood times 115%, after which the multiplied amounts are summarized together in the data area.

Check the formulas Make sure the formulas for all calculated fields and items in the PivotTable report are what you intended. To display a list of the formulas, click the PivotTable report, point to Formulas (PivotTable toolbar, PivotTable menu), and then click List Formulas. In a PivotChart report, point to Formulas (PivotTable toolbar, PivotChart menu), and then click List Formulas.

Check the order of calculation If you created more than one formula for the cells of a calculated item, make sure the order in which the formulas are calculated is correct. You can change the calculation order if it's incorrect.


The background color of a cell changes when I save or publish data as a Web page.

If you have a cell with no background color that is surrounded by cells with background color and you publish or save the cells as a Web page without interactive functionality, the cell with no background color takes on the background color of the surrounding cells. To prevent this, format the cell with white as the background color and republish the data.


My chart doesn't appear when I save or publish it as a Web page.

If you publish or save a worksheet or section of a worksheet with interactive functionality and the worksheet contains a chart, the chart is not saved on the Web page. To make the chart or PivotChart report appear on the Web page, you must publish or save it separately. How to put an interactive chart on a Web page.


My chart doesn't measure or display data the way I want.

Different chart types measure and accent different aspects of your data. For example, a pie chart is a good way to show the proportion of parts to the whole, and a column chart is better for illustrating comparison among items or showing variation over time. For examples of chart types, click [image] .

You can combine chart types in a chart. For more information, click [image] .


My computer stopped working when I tried to insert a picture from a scanner or camera.

Do one or both of the following:

  • If you used the Insert button in the Insert Picture from Scanner or Camera dialog box (Insert menu, Picture submenu) to insert your picture, try the Custom Insert button instead.

  • If you're still experiencing problems, call your device manufacturer (or go to the manufacturer's Web page) and check for updated information about the scanner or camera.


My converted workbook opens very slowly and is too big.

When you worked on the file in Lotus 1-2-3, you may have formatted entire columns. Microsoft Excel converts all formatted cells, even if they're blank, making the worksheet large and slow to open. You can use either of the following approaches to correct the problem.

Delete blank cells in Lotus 1-2-3

  1. Open the original WK4 file in Lotus 1-2-3, and select all blank cells below the last cell in the worksheet that contains data.

  2. On the Edit menu, click Delete, and then click OK.

  3. Save and close the worksheet, and open it again in Excel.

Correct the problem in Excel

  1. In Excel, select all blank rows below the last cell in your worksheet that contains data.

  2. On the Edit menu, click Delete.

  3. Save the workbook.


My data restrictions and messages don't work.

If restrictions and messages you defined for cells by using the Validation command on the Data menu don't seem to be working, check the following:

Apply restrictions to cells correctly Make sure the restrictions you defined were applied to the cells by finding the cells on the worksheet that have restrictions. For more information, click [image] .

Type data into cells Make sure users enter data in restricted cells by selecting each cell and then typing the data. If users copy or fill data in restricted cells, error messages don't appear, and incorrect data may be placed in the cells.

Turn off manual recalculation If manual recalculation is in effect, uncalculated cells may prevent data from being validated properly. To turn off manual recalculation, click Options on the Tools menu, click the Calculation tab, and then click Automatic under Calculation.

Check formulas for errors Make sure formulas in cells that have data restrictions do not result in errors, such as #REF or #DIV/0. Microsoft Excel ignores the data restrictions for the cell until you correct the error value.

Make sure formulas are referenced correctly If you restrict the valid data for a cell that contains a formula and then change a cell referenced by the formula so that calculation of the formula results in incorrect data, the error message for the cell is not displayed.

Note If cells that have data restrictions contain incorrect values because of formula calculation, because of copying or filling, or because a values were placed in cells by macros, you can still identify these cells. For more information about auditing a worksheet for incorrect data, click [image] .


 My fonts aren't formatted correctly on a Web page.

My fonts aren't formatted correctly on a Web page.

If you use Microsoft Internet Explorer 2.0, Netscape Navigator 3.0 or earlier, or any other browser that does not support cascading style sheets (CSS), you can reduce the size of your file when you save or publish a Web page by saving only in HTML format.

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the General tab.

  3. Clear the Rely on CSS for font formatting check box.

    Note This option applies to the current page and any future pages that you save in Excel.


Gridlines disappear when I click a hyperlink to a new worksheet.

When you insert a hyperlink to a new .htm file and then click the hyperlink to go to that Web page, the gridlines in the worksheet might not appear. To turn on the gridlines, do the following:

  1. Select the Web page that the hyperlink goes to.

  2. On the Tools menu in Microsoft Excel, click Options.

  3. Click the View tab.

  4. Under Window options, select the Gridlines check box.


My Lotus 1-2-3 formulas failed to convert or were converted to values.

Some Lotus 1-2-3 functions don't have equivalent Microsoft Excel functions. Cells containing unconverted formulas are identified by comments and show the last values that were calculated in Lotus 1-2-3.

To correct this problem, view comments, locate the unconverted formulas, and rewrite them. To display all of the comments, click Comments on the View menu.

Information about rewriting formulas in Excel

Differences between Lotus 1-2-3 and Microsoft Excel functions

Lotus 1-2-3 functions that have equivalent Microsoft Excel functions

Calculation differences between Microsoft Excel and Lotus 1-2-3 formulas

About entering a formula to calculate a value.


Patterns don't appear correctly when I save or publish data as a Web page.

You can't use patterns when you publish or save Microsoft Excel data as a Web page.

Instead of using patterns, use colors or solid borders to call attention to a specific cell or group of cells.


My PivotTable report doesn't appear correctly when I publish or save it as a Web page.

Some formatting and features are lost when you publish or save a PivotTable report as a Web page. For example, cell formatting, borders, and patterns do not appear on the Web page, and some types of data fields aren't published. Learn about limitations of putting PivotTable reports on a Web page.


 My print titles don't appear on some pages.

My print titles don't appear on some pages.

Microsoft Excel prints repeating row and column labels only on the pages that include the labeled rows or columns. For example, if you select cells A1:A5 as repeating row labels, Excel does not print these labels on pages that contain only rows below row 5. If you select cells A1:E1 as repeating column labels, Excel does not print these labels on pages that contain only columns to the right of column E. To have Excel print labels on the additional pages, copy the labels to the additional rows or columns.

Copy row labels to the additional rows

  1. Select the cells you want to repeat as row labels, and then click Copy [image] .

  2. Select cells in the same columns of the additional rows where you want the row labels to print, and then click Paste [image] .

  3. On the File menu, click Page Setup, and then click the Sheet tab.

  4. Click Columns to repeat at left, and then enter the entire columns that contain the row labels. For example, to repeat row labels that you copied to cells in column A, enter $A:$A.

Copy column labels to the additional columns

  1. Select the cells you want to repeat as column labels, and then click Copy [image] .

  2. Select cells in the same rows of the additional columns where you want the column labels to print, and then click Paste [image] .

  3. On the File menu, click Page Setup, and then click the Sheet tab.

  4. Click Rows to repeat at top, and then enter the rows that contain the column labels. For example, to repeat column labels that you copied to cells in rows 1 and 2, enter $1:$2.


 My query data is missing or is not updated properly.

My query data is missing or is not updated properly.

If you want to use a Web query that was created by using Microsoft Excel 97, note that Microsoft Excel 2000 automatically retrieves pictures, whereas Excel 97 does not. When the query retrieves data from a Web page, pictures on the page can sometimes cause formulas to result in errors because the pictures displace data and formulas. To avoid this, you can prevent Excel 2000 from retrieving pictures.

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the General tab.

  3. Clear the Load pictures from Web pages not created in Excel check box.

    Note This option applies to the current page and any future pages that you save in Excel.


 A query takes too long to run or the computer doesn't respond.

A query takes too long to run or the computer doesn't respond.

Simplify your query Make sure you include only the tables and fields that are necessary in your query. If your query contains unnecessary tables or fields, the query will take longer to retrieve data because it will search for records in all of the tables and retrieve data for all of the fields before the result set is displayed.

Make sure the query uses a correct join The Query Wizard automatically creates an inner join when it recognizes a primary key field in one table and a field with the same name in the other table. If you changed the join to an outer join by modifying the query in Microsoft Query, make sure that the join you created is correct. If your query has an incorrect join between tables, it will take longer for the query to retrieve data. For more information about joins and how they can affect your query, see Microsoft Query Help.

Use criteria to reduce the size of the result set Use criteria to retrieve only specific records rather than retrieving all the records from a database. Microsoft Query uses your criteria to retrieve the records you want and display them in the result set. For example, if you want to view only suppliers from France, you can specify that the Country field must contain France. For more information about criteria, see Microsoft Query Help.

Make sure there is adequate free space on your hard disk When you create a query, the query is temporarily placed on your hard disk. If there is not enough available disk space, the query will take longer to retrieve data or the query may stop running before it is complete.

Run the query when the server is least busy If you're retrieving data from a database stored on a network server, it may take longer to retrieve data during times when the server is busy. To work around this problem, you could create a batch file to retrieve data at another time, such as after normal work hours. For more information about creating a batch file, see the Microsoft Office 97/Visual Basic Programmer's Guide.

Run the query in the background If the query is running while you wait, the computer may seem to have stopped responding. To stop the query, press ESC. Try running the query again in the background, so that you can continue to use your computer while the data is retrieved. For more information, click [image] .

To check the status of a background query that's taking a long time to run, click Refresh Status [image] on the External Data toolbar. To cancel the query, click Stop Refresh.


 My Web page is displaying the wrong characters for a language.

My Web page is displaying the wrong characters for a language.

When you open a Web page, Microsoft Excel tries to determine the encoding used for that page. If Excel displays the wrong characters when you open the page in a Web browser, you can select the encoding that you think the page is using. Try each encoding until you can read the text.

  1. On the Tools menu in Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Encoding tab.

  3. In the Reload the current document as list, select the language you think the page is encoded in.


#NAME? appears when I publish or save Excel data that uses Analysis ToolPak functions.

If you publish or save Microsoft Excel data as a Web page and get the #NAME? error value, you might be missing the Msowcf.dll file, which enables certain spreadsheet functions to work properly. Either reinstall Microsoft Office 2000 or contact your system administrator.


 The arrow is missing from a field in a PivotTable or PivotChart report.

The arrow is missing from a field in a PivotTable or PivotChart report.

Check whether the field is in an OLAP dimension In PivotTable and PivotChart reports that are based on source data from OLAP databases, dimension fields in the row and column areas of PivotTable reports or the series and category areas of PivotChart reports have an arrow Field arrow in the field button only if the field is the topmost field in the dimension. You can use the arrow in this field to display or hide different levels of detail throughout the dimension. How to tell whether a PivotTable or PivotChart report is based on OLAP data.

Check whether upper levels are hidden When upper levels of a dimension are hidden, the topmost field is hidden, and none of the displayed fields have the arrow Field arrow. To redisplay the hidden levels and the arrow in the topmost field of the dimension, right-click any field button for the dimension, and then click Show Levels on the shortcut menu.


 The list of fields for the PivotTable or PivotChart report is missing.

The list of fields for the PivotTable or PivotChart report is missing.

Display and undock the PivotTable toolbar The list of fields for the report appears on the PivotTable toolbar, which must be undocked to display the fields. If the PivotTable toolbar has been hidden, display the toolbar. If the toolbar is docked, undock the toolbar.

Make sure the report is selected The list of fields is displayed on the PivotTable toolbar only when the report is selected. To select the report, click a cell in a PivotTable report, or click a PivotChart report.

Make sure the field list is displayed On the PivotTable toolbar, click Display Fields [image] so that the button is pressed in.


 New data doesn't appear in my PivotTable or PivotChart report when I refresh.

New data doesn't appear in my PivotTable or PivotChart report when I refresh.

The offline cube file, or the cube that was created in Microsoft Query by using the OLAP Cube Wizard, might not be able to connect with the original server database to retrieve new data.

Make sure the original database is available Check the location of the original server database that supplied the data for the cube. Make sure the database hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Make sure new data is available Check with the database administrator to determine whether the database has been updated in the areas included in your report.

Make sure the database organization hasn't changed If an OLAP server cube has been rebuilt, or a relational database supplying data to a cube has been reorganized, you might need to reorganize your report or create a new offline cube file or OLAP Cube Wizard cube to access the changed data. Contact the database administrator to find out about changes to the database. Learn about creating offline cube files. Learn about creating cubes by using the OLAP Cube Wizard.


 I got a message when I tried to insert a picture from a scanner or camera.

I got a message when I tried to insert a picture from a scanner or camera.

Install all the scanner or camera software When you connect the device to your computer and install your device software, be sure to follow the manufacturer's directions and install all of the software that accompanied your scanner or camera.

Make sure the device is TWAIN-compatible Make sure that your device is TWAIN-compatible and that you have installed the TWAIN support software that's provided by the device manufacturer. If you are not sure whether the device is TWAIN-compatible, see the device documentation or contact the device manufacturer. After you install the software, try to insert your picture again.

Try using another program If you installed new software and still can't scan or insert a picture from a camera in Microsoft Excel, try inserting the picture in another program that supports TWAIN, such as Microsoft Publisher 98 or later, Microsoft Picture It! version 2.0 or later, or Microsoft FrontPage 98 or later. If you can insert the picture successfully in another program, try using the Custom Insert button in the Insert Picture from Scanner or Camera dialog box (Insert menu, Picture submenu).

Use the Custom Insert button The device software might not support automatic scanning. Use the Custom Insert button instead of the Insert button in the Insert Picture from Scanner or Camera dialog box (Insert menu, Picture submenu).


The rotate text option doesn't work or isn't available.

Microsoft Excel cannot rotate indented cells or cells that are formatted with the Center Across Selection or Fill alignment options in the Horizontal box of the Alignment tab (Cells command, Format menu). If all selected cells have these conflicting alignment formats, the text rotation options under Orientation are not available. If the selection includes cells that are formatted with other, nonconflicting alignment options, the rotation options are available. However, cells formatted with a conflicting alignment format are not rotated.


 Numbers aren't displayed or calculated as numeric values.

Numbers aren't displayed or calculated as numeric values.

If the numbers are aligned to the left of the cell and if you have not changed the default alignment (General), the numbers are formatted or entered as text. To change the numbers to numeric data, do the following.

  1. Select a blank cell that you know has the General number format.

    If you aren't sure of the cell format, click Cells on the Format menu, and then click the Number tab. In the Category box, click General, and then click OK.

  2. In the cell, type 1 and then press ENTER.

  3. Click the cell, and then click Copy [image] on the Formatting toolbar.

  4. Select the range of cells that contain the "text" numbers.

  5. On the Edit menu, click Paste Special, click Multiply, and then click OK.


 While changing an OLAP cube, a message tells me data has been lost.

While changing an OLAP cube, a message tells me data has been lost.

A field you included in the cube is no longer available in the source database.

Check for changes to the original database If the cube is an offline cube file that was created from an OLAP server database, reconnect a report to the database and check the fields that are available on the PivotTable toolbar. If the field is no longer available from the database, you can create a new offline cube file.

If you created the cube from a relational database by using the OLAP Cube Wizard in Microsoft Query, use Microsoft Query to open the query (.dqy) file that you used to create the OLAP cube in Microsoft Query, or create a new query if you did not keep a .dqy file, and check what fields are available. For full instructions, see Help in Microsoft Query. If fields have been removed from the database, you can create a new cube. Learn about creating cubes by using the OLAP Cube Wizard.


Part of my comment doesn't appear

  1. Right-click the cell that contains the comment, and then click Edit Comment on the shortcut menu.

  2. Select a sizing handle, and drag it into the size and shape you want.

Note If the comment appears at the top of the window or worksheet and the bottom or right half of the comment is cut off, you may have frozen panes. To unfreeze the panes so that you can view the entire comment, click Unfreeze Panes on the Window menu.


Why doesn't Excel print multiple print areas on the same page?

If a print area contains nonadjacent areas of a worksheet, Microsoft Excel prints each area on a separate page by default. However, you can specify that separate parts of a worksheet print on the same page by using one of the following methods.

Bring together the columns you want To print nonadjacent columns side by side, first select the columns you don't want to print, point to Column on the Format menu, and then click Hide. Set one print area that contains all of the columns, including the hidden columns.

Bring together the rows you want To print nonadjacent rows above and below each other, first select the rows you don't want to print, point to Row on the Format menu, and then click Hide. Set one print area that contains all of the rows, including the hidden rows.


 A message tells me the PivotTable report is not valid

A message tells me the PivotTable report is not valid

Refresh the report For PivotTable reports that are based on non-OLAP source data, you will see this message when you first try to use a report that was saved as a Web page if a field in the source data contains more than one type of data — for example, both text and numbers. To reconnect to the source data, click Refresh Data [image] again.

Check the source data range If the PivotTable report is based on data from a Microsoft Excel worksheet, make sure that the source data has not been deleted. If the source data is from a named range and you used the name to specify the source data when you created the PivotTable report, make sure that the name has not been deleted from the source workbook. How to check the names in a workbook.

Check the external data source For reports that are based on external data, make sure the database is available and you can connect to it.

Make sure your system has enough memory If a report is not valid when you open a workbook, quit any programs you don't need so that more memory is available, and then try to open the workbook again.

Wait for the refresh to complete before copying a report When you refresh a PivotTable report, make sure the refresh is complete and the status bar displays "Ready" before you copy or paste the report into another workbook.

Check the file format If you are opening a PivotTable report that was created in Excel 97, and the report has calculated fields or has a page field that's set to retrieve data for each item individually, make sure you save the report in Excel 2000 format (click Save As on the File menu, and click Microsoft Excel Workbook in the Save as type box). Then, if you need to, you can save the workbook in an earlier Excel format.


 My PivotTable or PivotChart report looks completely different after I refresh it, or it can't be refreshed any more.

My PivotTable or PivotChart report looks completely different after I refresh it, or it can't be refreshed any more.

Check the availability of the source database Make sure you can still connect to the external database and view data.

Check for changes to the source database If the report is based on source data from an OLAP database, changes may have been made to the data available in the cube on the server. Contact the administrator of the OLAP server for more information.


I published a chart, but it's empty when I view it in the browser.

You must include both x and y values in an xy (scatter) chart and x, y, and bubble size values in a bubble chart that you want to publish to the Web. Microsoft Excel supplies default values if x values are not included in your data selection. These values appear in the chart in Excel, but they are not published. If you didn't include all necessary values in your chart, type them in an adjacent column and then add them to the chart.


 When I change the column order in Microsoft Query, the external data range isn't changed.

When I change the column order in Microsoft Query, the external data range isn't changed.

Rearrange the columns in Microsoft Excel When you edit the query or refresh the data, your Excel column order is retained. How to move columns in Excel.

Turn off preservation of column order If you don't want to move the columns in Excel, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar. Under Data formatting and layout, clear the Preserve column sort/filter/layout check box. When you change the column order in Query and return the data to Excel, the external data range has the new column order.


 I created a cube in Microsoft Query, but Microsoft Excel is using fields from the database instead.

I created a cube in Microsoft Query, but Microsoft Excel is using fields from the database instead.

If the PivotTable toolbar is showing you the fields from the relational database that you queried to create the cube, you returned the data from your query to Excel instead of opening the cube definition (.oqy) file that the OLAP Cube Wizard created. The cube definition file is the file that you saved after you clicked Finish in the wizard. If you did not specify a new location for this file, the file was saved in your user profile folder under Application Data\Microsoft\Queries.

To base a report on your new cube, click Open on the Excel File menu, click Query Files in the Files of type list, and then locate and double-click the .oqy file. If you want a PivotChart report, you can then create a PivotChart report that's based on the PivotTable report that's created when you open the .oqy file.


 After I change my query, the columns are in the wrong order in the external data range.

After I change my query, the columns are in the wrong order in the external data range.

You can preserve either Excel or Query column order To keep the columns where you moved them in Microsoft Excel after you refresh or change a query, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar. Under Data formatting and layout, select the Preserve column sort/filter/layout check box. To change the column order in Microsoft Query and have the changes reflected in the external data range, clear the check box.

Effects of changing column names in Query If you select the Preserve column sort/filter/layout check box and then change a column name in Query, when you return the data to Excel, the renamed column becomes the rightmost column in the external data range. You can prevent this from happening by clearing the check box before you change the query, or you can move the column to the position you want in Excel.


When I drag PivotTable data fields onto the worksheet, I can't get them in the order I want.

To change the order of the data fields, right click a data field, point to Order on the shortcut menu, and use the commands on the Order menu to move the field to the position you want.


Rotated text doesn't appear correctly when I save or publish data as a Web page.

You can't use rotated or vertical text when you publish or save Microsoft Excel data as a Web page. Rotated and vertical text are converted to horizontal text.


Rotated text isn't displayed at the correct angle.

If you've saved a workbook in another file format, the rotated text format might be lost. Most file formats do not support rotation within the full 180 degrees (+90 through – 90 degrees), which is possible in the current version of Microsoft Excel. Earlier versions of Excel can rotate text only at angles of +90, 0 (zero), or – 90 degrees. If the specified angle of rotation cannot be maintained in the other file format, the text is not rotated.


When I drag a field onto my PivotTable or PivotChart report, the data takes a long time to appear.

When a PivotTable or PivotChart report is based on a large amount of external data or an OLAP Cube Wizard data source, delays can be lengthy when you drag fields from the PivotTable toolbar onto the worksheet.

Drop data items last On PivotTable reports, drop fields in the row, column, and page areas first; on PivotChart reports, drop fields in the series, category, and page areas first. Drop fields in the data area last. This approach minimizes the amount of data Microsoft Excel has to display for interim steps.

Use the wizard to change the layout If the response is very slow, you can return to the PivotTable and PivotChart Wizard to lay out the table or chart. When you use the wizard, Microsoft Excel completes the layout and then retrieves and displays the data in one step.


The text box, picture, or floating text that I added to my user-defined chart type is not included when I create a chart.

Text boxes, pictures, and floating text on charts are not saved in user-defined charts. Add these objects after you create the chart that is based on the user-defined chart.


 Text doesn't appear correctly when I save or publish data as a Web page.

Text doesn't appear correctly when I save or publish data as a Web page.

Upgrade to Microsoft Internet Explorer version 4.01 or later To view a Web page that was saved with interactive data and have all the text appear correctly, you must use Microsoft Internet Explorer 4.01 or later and have the Microsoft Office Web Components installed.

Modify cells that contain automatically wrapped text You might have formatted cells with wrapped text before you published or saved the data as a Web page. In an interactive PivotTable list or spreadsheet on a Web page, text does not wrap within cells. To prevent text from being cut off when you publish or save it, you can shorten the text, use multiple cells for text, or widen the column in your worksheet, and then republish the data.

Merge the cells To prevent the text in a cell from being cut off when you publish or save noninteractive Web page items, you can merge the cells in Microsoft Excel and then republish.

Do not use CSS for font formatting If you are using an older browser that doesn't support cascading style sheets (CSS), such as Netscape Navigator 3.0, do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.

  2. Click Web Options, and then click the General tab.

  3. Clear the Rely on CSS for font formatting check box.

  4. Republish your data.


 Text in a drawing object doesn't rotate or flip.

Text in a drawing object doesn't rotate or flip.

In Microsoft Excel, text that is attached to an AutoShape will move with the shape, but it will not rotate or flip — for example, appear at an angle or upside-down — when you rotate or flip the shape. To change the position of text within a shape, click the border of the shape, click AutoShape on the Format menu, and then select the options you want on the Alignment and Margins tabs.


Text or other data I enter isn't displayed in the cells.

Reset the number format The cells may be formatted so that data in the cells is hidden. To remove specific number formats that may be affecting the displayed value, select the cells. On the Format menu, click Cells, and then click the Number tab. In the Category list, click General.

Check the color of text and the background If text in a cell is the same color as the background, nothing appears in the cell. You can change the color of the background or change the color of the text.


The Accept or Reject Changes command is unavailable.

To make the Accept or Reject Changes command available, you must share the workbook. However, changes you made before you shared the workbook won't be available for review.

  • If you want to highlight changes as well as review them, you can share the workbook when you turn on change highlighting. For more information, click [image] .

  • For information about how to share the workbook without turning on change highlighting, click [image] .


The controls are too big when I publish or save data as a Web page.

If the controls or graphics on your Web page are not the size you want, you can use Microsoft FrontPage 2000 to open the Web page and change the size, shape, and position of the controls.


 The discussions in my workbook aren't there.

The discussions in my workbook aren't there.

Note The Discussions feature is available only when Microsoft Office Server Extensions are installed on your server. Your system administrator must set up this feature before you can use it.

You might be connected to the wrong discussion server Discussions are stored separately on a discussion server, not with the workbook. If you're connected to a different server from the one on which the discussions are stored, you won't see the discussions. Make sure you are connected to the right server.

The workbook might have been moved Discussions are stored separately on a discussion server, not with your workbook. If your workbook is on a Web server and you don't use Web folders or Microsoft FrontPage to move the workbook, the links between the workbook and the discussion remarks will break. To maintain these links, make sure you use Web folders or FrontPage to move your workbook.

The workbook might have been renamed Because discussions are stored separately on a discussion server and not with the workbook, renaming a workbook will break the links between the workbook and the discussions. To maintain these links, avoid renaming workbooks that have discussions.

You might be working offline with an older browser To view your discussions while working offline, you need to use Microsoft Internet Explorer 5 or later.

The workbook might need to be refreshed Recently added discussions might not automatically appear in a workbook. To refresh the workbook, click Discussions on the Discussions toolbar, and then click Refresh Discussions.


Clicking the Edit button in my Web browser opens my Web page in the wrong program.

Which programs are available from the Edit button in the Web browser depends on how the page was published.

If clicking the Edit button in your Web browser opens a program that you do not want to use, close the program, start the program you want to use, and open the Web page from there.


 The E-mail button doesn't appear on the standard toolbar

The E-mail button doesn't appear on the standard toolbar

If you don't have an e-mail program (such as Microsoft Outlook) installed on your computer, E-mail [image] will not appear on the Standard toolbar. Learn about system requirements for using the E-mail feature in Excel.


 Formatting, trendlines, and error bars in my PivotChart report disappeared.

Formatting, trendlines, and error bars in my PivotChart report disappeared.

Microsoft Excel does not retain the formatting on data labels, data points, and data series, including the addition of trendlines and error bars, when you change the view of a PivotChart report or its associated PivotTable report.

Changing the view includes changing the layout, adding or removing fields and items, changing page field items, grouping or ungrouping items, displaying or hiding items, displaying or hiding detail, sorting, changing the summary function or display of totals, changing the source data or the query on the source data, or refreshing data in either the PivotChart report or the PivotTable report.

Before you modify formatting in a PivotChart report, make sure you are satisfied with the layout.

If you know how to record and run macros in Excel, you can record a macro as you apply the desired formatting and then run the recorded macro when you want to reapply your formatting. Learn about recording and running macros.


 The History worksheet doesn't display all the changes.

The History worksheet doesn't display all the changes.

Save the workbook and then view the History worksheet The History worksheet shows only changes made and saved up to the time of your last save. If other users have made and saved changes since your last save, these changes don't appear on the History worksheet. To see the most recent saved changes from other users, save the workbook, and then display the History worksheet.

View your own unsaved changes You cannot view information about unsaved changes made by other users. You can view information about your own unsaved changes only by highlighting your unsaved changes on the worksheet.

Save and then redisplay the History worksheet Microsoft Excel does not update the History worksheet after you display it. To display information about changes made since you displayed the History worksheet, save the workbook, and then redisplay the History worksheet. On the Tools menu, point to Track Changes, and then click Highlight Changes. Select the List changes on a new sheet check box, and then click OK.


The Insert button is dimmed when I select a scanner.

The Insert button might be unavailable because the scanner software does not support automatic scanning. Use the Custom Insert button instead.


Items I publish or save to an existing Web page always appear at the bottom of the page.

When you publish or save Microsoft Excel data to an existing Web page, Excel always appends the data to the bottom of the page.

To move the Excel data to another position on the Web page, you can open the Web page in Microsoft FrontPage 2000 or data access page Design view in Microsoft Access 2000 and rearrange the items. Learn more about programs you can use to change a Web page.


The links in my shared workbook don't work.

Manually update the links with #REF errors If another user creates and saves a new link in a shared workbook while you are editing the same workbook, the #REF error appears instead of the linked data when you save the shared workbook or receive an update. To clear the #REF error and display the linked data, click Links on the Edit menu, click the link with the error, and then click Update Now.

Check that file locations and link paths are correct If you copied or moved the shared workbook from its original location to your network, or if the source workbook for the links isn't saved in a network location, you may see a message that the links cannot be updated. You can repair the links as follows:

  • Make sure the source workbook for the links is stored on a network location, and that the links in the original version of the shared workbook on your local system have the correct network location. You can use the Links command (Edit menu) to check the links.

  • If you copied the shared workbook, open the original version of the shared workbook on your local system, and then use the Save As command (File menu) to save the shared workbook on the network location. This command updates the links for the new location.

  • If you moved the shared workbook or the original version is no longer available or current, open the moved shared workbook, and use the Links command (Edit menu) to correct the path for each link.


 The multiple-level category labels in my chart are positioned differently than when I created the chart.

The multiple-level category labels in my chart are positioned differently than when I created the chart.

Chart linked to a closed workbook When your chart is linked to data in a workbook that is closed, multiple-level category labels are displayed differently than when you originally created the chart. For example, the bottom level of labels may be left-aligned instead of centered. You can change the position of labels by opening the workbook that contains the source data for the chart. To do this, click Links on the Edit menu in the workbook that contains the chart. In the list, click the source file that contains the chart data, and then click Open Source. When the source workbook is open, the labels should return to their original positions.

Chart viewed in an earlier version of Microsoft Excel Multiple-level category labels might also look different if you save your workbook by using an earlier version format and then open the workbook in an earlier version of Excel.


The name of the supporting folder for a Web page is in another language.

When you save your file as a Web page, all supporting files — such as bullets, background textures, and graphics — are organized in a supporting folder. By default, the name of the supporting folder, plus an underscore (_), a period (.), or a hyphen (-), and the word "files," is the name of the Web page. The word "files" will appear in the language of the version of Microsoft Office 2000 that is used to save the file as a Web page. For example, if you use the Dutch language version of Office 2000 to save a file named Page1 as a Web page, because the Dutch word for "files" is "bestanden," the default name of the supporting folder would be Page1 bestanden. Learn more about the default name for supporting folders.


The names in data that I published or saved as a Web page appear as values or ranges.

Names and named ranges in your Microsoft Excel formulas are converted to values or cell references when you publish or save data as a Web page.


 The number in a worksheet cell isn't the same as the number in the formula bar.

The number in a worksheet cell isn't the same as the number in the formula bar.

The number format applied to a cell determines the way Microsoft Excel displays a number in that cell on the worksheet. The format does not affect the cell value used in calculations, which is displayed in the formula bar when the cell is active.

To remove specific number formats that may affect the displayed value, select the cells. On the Format menu, click Cells, and then click the Number tab. In the Category box, click General. For more information about how Microsoft Excel displays numbers, click [image] .


The Options command doesn't have the setting I want to change.

Many display settings, such as the window color and the color used to highlight the selection, and settings that vary with each country, such as default date and time formats, are Windows system settings. To change these options, point to Settings on the Start menu in Windows, and then click Control Panel.


 The page field options are unavailable.

The page field options are unavailable.

To locate the page field settings, double-click a page field and then click the Advanced button in the PivotTable Field dialog box. Learn about page field settings.

Check the type of field The field you selected might not be a page field. These settings are available only for page fields.

Check for external source data The PivotTable or PivotChart report might not be based on external data. These settings are not available for reports based on worksheet data.

Check for OLAP source data These settings are not available for PivotTable and PivotChart reports that are based on source data from OLAP databases. How to tell whether a PivotTable or PivotChart report is based on OLAP data.

Check the data type for the field The field in the source data might be an unsupported data type. The page field settings are unavailable for memo fields or fields that contain OLE objects.

Check for parameter query support The data source driver or ODBC driver for your external database might not support parameter queries. These settings are available only if the driver for the data source you are using supports parameter queries.

OLAP data source drivers do not support parameter queries. The ODBC drivers that Microsoft supplies with Microsoft Query all support parameter queries. To find out whether a third-party driver supports parameter queries, contact your driver vendor.

Check for reports based on another PivotTable report When you base another PivotTable report or more than one PivotChart report on an existing PivotTable report, page field settings are not available for any of the reports.

Check whether the field is grouped Ungroup the field to make the page field settings available.


 The position and size of items in my user-defined chart type aren't used when I create a PivotChart report.

The position and size of items in my user-defined chart type aren't used when I create a PivotChart report.

In a PivotChart report, the legend, titles, and plot area can't be moved or resized manually. Therefore, when you create a PivotChart report by using a user-defined chart in which these items have been manually moved or resized, the PivotChart report uses the default position and size of the items instead.


The scan took a very long time.

Select a lower resolution The higher the resolution, the longer the scan time.

Scan the picture only once If you are using a multiple-pass device to scan a color picture, and you use the Custom Insert button in the Insert Picture from Scanner or Camera dialog box (Insert menu, Picture submenu) instead of the Insert button, it will take longer to scan because the scanner makes multiple passes over the picture. To scan the picture only once, use the Insert button.

You might have a slow scanner Some scanners are not as fast as others.


 The Security Warning dialog box tells me that the source has not been authenticated.

The Security Warning dialog box tells me that the source has not been authenticated.

If the security level is set to High or Medium, this warning appears when you open a workbook or load an add-in program that contains a digitally signed macro whose digital certificate has not been authenticated — for example, when the macro developer has created his or her own digital certificate.

This type of unauthenticated certificate can be forged by a malicious user to claim it is anyone's certificate — for example, a malicious user can create a certificate named "Microsoft Corporation". The only warning you have that the certificate might be false is this specific warning. You should not expect professional software developers to sign with an unauthenticated certificate. You should only expect this type of certificate from individual co-workers or friends.

If the security level is set to High and you trust the macro source, you can select the Always trust macros from this source check box and enable the macros.

If the security level is set to Medium, you can enable the macros without adding the developer to the list of trusted sources. If you don't trust the developer, do not enable the macros or open the workbook until you have verified that the source can be trusted.


 The selected area grows when I click a cell or press keys to move around.

The selected area grows when I click a cell or press keys to move around.

  • If "EXT" appears in the status bar, press F8 to turn off the extend-selection option.


The settings I applied in the Conditional Formatting dialog box are now blank.

The current selection might include cells that have two or more types of conditional formatting. The dialog box can display only one set of conditional formatting criteria and cell formats at a time.

Select different cells and check the settings again. For information about finding all the cells on a worksheet that have the same conditional formats, click [image] .


The shadow on my drawing object is not solid

When you apply a shadow to a transparent object, the shadow appears as a line. To have a solid shadow, you must apply a fill color to the object or apply a fill effect to the object.


 The shared workbook can be opened only as read-only.

The shared workbook can be opened only as read-only.

Determine whether the workbook is an Excel 95 shared list When you open a Microsoft Excel 95 shared list in Microsoft Excel 2000, you see a message that shared files from Microsoft Excel 95 must be opened read-only. To convert the file to a Microsoft Excel 2000 shared workbook, click Save As on the File menu, click Microsoft Excel Workbook (*.xls) in the Save as type box, and type a new name in the File name box. You can then share the workbook.

Determine whether read-only is a recommendation Someone may have recommended opening the file as read-only. In this case, you can open the file for editing and saving by clicking No in response to the message suggesting that the file should be opened as read-only.

Use Save As to edit data Someone may have made the workbook file read-only. To edit and save the data in the file, you can use the Save As command on the File menu to save the shared workbook with a new name so that it can be edited.


Sheet tabs aren't listed across the bottom of the screen.

Turn on sheet tab display To display the sheet tabs, click Options on the Tools menu, click the View tab, and then select the Sheet tabs check box. You may also need to expand the tab scrolling area.

Increase the height of scroll bars If the sheet names are cut off or difficult to read, increase the scroll bar height. In the Windows Control Panel, double-click the Display icon, click the Appearance tab, click Scrollbar in the Item list, and then increase the number in the Size box.

Display hidden sheets A sheet may be hidden. On the Format menu, point to Sheet, and then click Unhide. If the Unhide command is unavailable, the workbook does not contain hidden sheets. If both the Rename and Hide commands are unavailable, the workbook is protected from structural changes. You'll need to remove protection from the workbook to determine whether sheets are hidden; removing protection may require a password.

Note If sheets are hidden by a Visual Basic for Applications program that assigns the property xlSheetVeryHidden, you cannot use the Unhide command to display the sheets. If you are using a workbook with Visual Basic macros and have problems with hidden sheets, contact the owner of the workbook for more information.


The spelling checker checked only part of my worksheet.

  • If you've selected a range of cells, Microsoft Excel checks only the selected range. To check the entire sheet, click any cell, and then repeat the spelling check.


 I can't change the summary function for a calculated field.

I can't change the summary function for a calculated field.

Calculated fields always summarize the data by using the Sum summary function. You cannot change the summary function for a calculated field.


Text in a cell is cut off when I publish or save data as a Web page.

Modify cells that contain automatically wrapped text You might have formatted cells with wrapped text before you published or saved the data as a Web page. In an interactive PivotTable list or spreadsheet on a Web page, text does not wrap within cells. To prevent text from being cut off when you publish or save it, you can shorten the text, use multiple cells for text, or widen the column in your worksheet, and then republish the data.

Merge the cells To prevent the text in a cell from being cut off when you publish or save noninteractive Web page items, you can merge the cells in Microsoft Excel and then republish.

Realign the text If you see text that is cut off in a cell and you are using Microsoft Internet Explorer 5, the text was longer than the length of the cell when it was published, and it was right or center aligned. You can do the following:

  1. Open the original workbook (.xls file) in Excel.

  2. Click the cell that contains the text that is cut off.

  3. On the Format menu, click Cells, and then click the Alignment tab.

  4. In the Horizontal box, click Left (Indent).

  5. Publish or save the data as a Web page again.

Note In Microsoft Internet Explorer version 4.01 or earlier, centered, left-aligned, and right-aligned text automatically wraps within the cell in noninteractive Web pages.


 The Validation command on the Data menu is unavailable.

The Validation command on the Data menu is unavailable.

The Validation command might be unavailable for any of the following reasons:

You are currently entering data The Validation command is not available while you are entering data in a cell.

The worksheet contents might be protected To remove the protection, use the Unprotect Sheet command on the Protection submenu of the Tools menu.

The workbook might be shared Although you can continue to enter data and the input and error messages continue to be displayed, the Validation command is unavailable while a workbook is shared. For information about removing a workbook from shared use, click [image] .


The worksheet background did not print.

Microsoft Excel does not print background patterns added to worksheets by using the Background command (Format menu, Sheet submenu).

Add the graphic to individual cells instead Excel does print graphics inserted on worksheets. How to add graphics to worksheets.

Use cell shading as an alternative Excel also prints cell shading. How to add shading to cells.


 The worksheet I sent through e-mail doesn't look the way I want it to.

The worksheet I sent through e-mail doesn't look the way I want it to.

You and the recipient of your mail must each have an e-mail program that can view messages in HTML format. If you view a worksheet in an e-mail program that doesn't support HTML, the worksheet may not be formatted correctly and its graphics may not display. You should send the worksheet again as an attachment in an e-mail message.


My name isn't appearing in the discussion header.

Your user information might not be correct If you've logged on to someone else's computer and are adding discussion text, the other person's display name might be appearing in the header. To add your name instead, click Options on the Tools menu, click the General tab, and then type your name in the User name box.

The option to display names might be turned off To turn on the option, click Discussions on the Discussions toolbar, click Discussion Options, and then select the Display name check box.


 Why do totals in my PivotTable report have asterisks next to them?

Why do totals in my PivotTable report have asterisks next to them?

OLAP totals include values for hidden items In PivotTable reports that are based on source data from OLAP databases, the calculations for subtotal and grand total values are performed on the OLAP server. As a result, these calculations always include the values for all items in the field, including the values for any items that you have hidden. The asterisks note that the total values include any hidden items in addition to the displayed items. Learn about how totals are calculated in PivotTable reports.

You can turn the asterisks off You cannot remove the asterisks by editing the subtotal and grand total labels. If you don't want to see the asterisks, click a cell in the PivotTable report, click Table Options (PivotTable toolbar, PivotTable menu), and under Format options, clear the Mark totals with * check box.


When I copy and paste, the selection becomes unselected.

You can copy and paste only one selection at a time. To ensure that the selection you are copying stays selected, do not copy any other selection.


Users can't open my interactive Web page

To use Microsoft Excel interactive data on the Web, your users must have Microsoft Office 2000 Professional, Premium, or Standard installed, or a Microsoft Office 2000 site license and the Web Components installed.

To insure that users on your intranet have the Web Components installed, you can specify that the Web components download to the user's machine when the user opens your Web page.

  1. On the Tools menu in Excel, click Options, and then click the General tab.

  2. Click Web Options, and then click the Files tab.

  3. Select the Download Office Web Components check box.

  4. In the Location box, type the path for the file server, such as file:\\my server\my folder.

Note Users must have access to the file server and the Web Components cannot be download through firewalls.


 I'm using dates in my chart, but I don't get a time-scale axis.

I'm using dates in my chart, but I don't get a time-scale axis.

Time-scale option Make sure that the Time-scale option on the Axes tab in the Chart options dialog box (Chart menu) is selected. If this option is not available, either you are not using the correct chart type or you don't have dates on the category axis of your chart.

Chart type The time-scale axis is available only on 2-D or 3-D line, column, bar, area, or stock chart types.

PivotChart reports The time-scale axis is not available on a PivotChart report.

Dates on category axis Make sure the dates are on the category axis of your chart. If they are not, you can change the way worksheet data is plotted in a chart.

Multiple-level category labels You cannot use a time-scale axis with multiple-level category labels. To change to one-level category labels in a chart created from worksheet data, do not include multiple rows of labels in the source data for the chart.


 What browser do I need in order to add discussions to Web pages?

What browser do I need in order to add discussions to Web pages?

You can use the Discussions feature with most browsers, although it works best when you use Microsoft Internet Explorer version 4.0 or later. If you're using an earlier version of Internet Explorer, or another browser (such as Netscape Navigator version 3.0 or later), you must use the Microsoft Office Server Extensions start page to add discussion remarks to a Web page. To access the Office Server Extensions start page from your browser, type http://ServerName/msoffice/ in the Address box, where ServerName is a Web server that you can save files to. Consult your system administrator for the name of a Web server that you can save files to.

When you connect to a Web page from the Office Server Extensions start page, no matter what browser you're using, the Discussions toolbar that appears looks different from the one that appears when you start a discussion from within Internet Explorer 4.0 or later.


 What happened to my module sheets?

What happened to my module sheets?

The sheets are from earlier versions of Microsoft Excel If you open a workbook that was created in an earlier version of Excel, Excel 2000 preserves Excel version 4.0 macro sheets and Excel version 5.0 dialog sheets and converts module sheets into modules in the workbook's Visual Basic for Applications project.

To run, view, and modify these sheets You can edit macro sheets and dialog sheets from within the Excel 2000 workbook. To modify your module sheets in Excel 2000, run the Visual Basic Editor.


When I apply the Text format to numbers, the numeric data doesn't change to text.

If you've already entered the numbers and applied the Text format to the cells, click each cell, press F2, and then press ENTER to reenter the numbers as text. To enter numbers as text, first apply the Text format to empty cells, and then enter the numbers in the formatted cells.


 When I click a control, I get a message that says Microsoft Excel cannot find a file.

When I click a control, I get a message that says Microsoft Excel cannot find a file.

The workbook with the macro may be unavailable Usually when you click a control that's assigned to a macro in another workbook, Microsoft Excel will open that workbook and run the macro. If you click a control and a message states that Excel cannot find a file, the workbook that contains the macro either no longer exists or has been moved or renamed.

Assign a different macro If you get this message, you need to assign a different macro to the control or delete the control. To assign a different macro to the control, make sure the workbook that contains the macro you want to assign to the control is open. Right-click the control, click Assign Macro, and then select the name of the macro in the Macro Name box.


When I click the Custom Insert button, nothing happens.

The device window might not be on top. If there is a button for the device software on the Windows taskbar, click it to display the window.


 When I click a button or other control, some of the commands in Microsoft Excel become unavailable.

When I click a button or other control, some of the commands in Microsoft Excel become unavailable.

You have clicked an ActiveX control. ActiveX controls are embedded graphical objects that lie on top of your worksheet. To make the commands available in Microsoft Excel, click a cell on the worksheet.


When I copy data to my workbook, my hyperlinks don't work properly

If you copy data containing hyperlinks to a workbook or open in Microsoft Excel a Web page containing hyperlinks, the hyperlinks might not appear correctly. A single cell can contain only one hyperlink. If more than one hyperlink or a hyperlink and extra text are placed in a single cell, the hyperlinks don't work.

To make a hyperlink work correctly, add it to the cell by using the Hyperlink command on the Insert menu.


When I create a comment, I don't want my name to appear in the comment

To prevent your name from appearing as the header in a comment, select your name and then press the DELETE key.

Note You can change the name that appears in the header when you insert new comments, but you can't delete headers entirely. To change the name, click Options on the Tools menu, and on the General tab, specify the name you want in the User name box. You must have a value in this field.

Keep in mind that Microsoft Excel also uses the user name for sharing workbooks and for identifying authors when files containing multiple changes are merged.


Why do some columns and rows print on the wrong page?

Column widths, row heights, page margins, and page breaks determine the number of columns and rows that print on a page.

Make margins smaller If some columns or rows print on the next page, try decreasing the size of the Top, Bottom, Left, and Right margins. On the File menu, click Page Setup, and then click the Margins tab.

Adjust page breaks You can move page breaks before you print your document. On the View menu, click Page Break Preview. Microsoft Excel displays manual page breaks as thick blue lines; automatic page breaks appear as dashed lines. You can move page breaks by dragging them left, right, up, or down.

If a column prints on the wrong page — for example, on the second page instead of the first page — drag the page break that is to the left of the column one column to the right. If a row prints on the page that follows the page where you want it to print, drag the page break that is above the row to a position below the row. Excel automatically scales the worksheet to fit the columns and rows to the page.

Make the sheet print one page wide If you want the worksheet to be only one page wide, regardless of the number of pages, you can restrict it to the width of a single page. On the File menu, click Page Setup, and then click the Page tab. Under Scaling, click Fit to, type 1 in either the page(s) wide by box or the tall box, and then delete the number (if any) from the other box.

Change the orientation If you need a few more columns to print on the same page, change the orientation to landscape. On the File menu, click Page Setup, and then click the Page tab. Under Orientation, click Landscape.


 When I protect and share a workbook, I can't set the number of days I want to maintain the change history.

When I protect and share a workbook, I can't set the number of days I want to maintain the change history.

When you use the Protect and Share Workbook command in an unshared workbook so that you can apply a password and share the workbook automatically, Microsoft Excel uses the more recent option settings made in the current editing session for the change history. If the workbook has never been shared, Excel uses 30 days, the default amount of time for maintaining the change history.

Set number of days before protecting and sharing the workbook If you want to adjust the change history settings, you can set the options before you protect the workbook. On the Tools menu, click Share Workbook, and then click the Editing tab. Select the Allow changes by more than one user at the same time check box, and then click the Advanced tab. Under Track changes, make the changes you want. Click the Editing tab, clear the Allow changes by more than one user at the same time check box, and then click OK. Then use the Protect and Share Workbook command (Tools menu, Protection submenu) to share and protect the workbook and the change history.

If you protect the workbook and change history with a password, the stored change history is not erased regardless of the settings in the Share Workbook dialog box. If you protect the workbook and change history without a password, users can increase the number of days to maintain the change history, but they cannot decrease the number of days or erase the stored change history. How to create a protected shared workbook.


 When I reopen the workbook, my hyperlinks no longer work.

When I reopen the workbook, my hyperlinks no longer work.

Remove the drive letter from server addresses The drive letter that was mapped to the shared network directory when you created the hyperlink might no longer be mapped to the directory. To make the hyperlink independent of the current drive mappings, edit the destination for the hyperlink, and make sure you specify the address by using the server and share name rather than a drive letter. For example, you could replace G:\myfile.xls with \\server\share\myfile.xls. How to change the destination for a hyperlink.

Make sure the destination file locations are correct Relative paths might be incorrect if the workbook or the destination files were moved since the workbook was last saved. Make sure that the locations of the destination files are correct. Learn about guidelines for managing Web files and hyperlinks.

Make sure your network is running properly You might not have network access to the destinations of the hyperlinks. Make sure that your network is running properly and that you have access to the required network resources.


 A range of blank cells is selected when I return data to Excel.

A range of blank cells is selected when I return data to Excel.

Check your ODBC driver You may not be using a compatible ODBC driver. Microsoft Excel 2000 and Microsoft Query 2000 use ODBC version 3.0 drivers. If you're using an ODBC driver from a previous version of Microsoft Excel or Microsoft Query, you must install the most recent version of the driver to retrieve data.

Check your system's free memory Your computer might not have enough memory available to retrieve the data. To check available memory, switch to the Windows desktop. Right-click the My Computer icon, click Properties, and then click the Performance tab to see the percentage of available memory. To free some memory, try closing unnecessary documents and applications.

Check whether Excel is ignoring other programs The Ignore other applications check box may be selected in Microsoft Excel. This option may prevent other programs, including Microsoft Query, from establishing a dynamic data exchange (DDE) connection to Microsoft Excel. On the Tools menu, click Options, and then click the General tab. Under Settings, make sure that the Ignore other applications check box is cleared. Then run the query again.


 When I right-click a control to modify the control, nothing happens.

When I right-click a control to modify the control, nothing happens.

If you right-click a control to display the shortcut menu and nothing happens, the control is an ActiveX control and not a control added from the Forms toolbar. To display the shortcut menu for ActiveX controls — for example, to edit properties or view macro code, you must be in design mode. To switch to design mode, click Design Mode [image] on the Control Toolbox.


 When I save data in dBASE format, some of my data is missing.

When I save data in dBASE format, some of my data is missing.

Note that only data in the named range or current region is saved When you save a Microsoft Excel worksheet in dBASE (DB2, DB3, or DB4) format and the worksheet contains a range named "Database," only data in the named range is saved in the dBASE file. If you add new records after naming the range, you must redefine the database range to include the new records before you save the sheet in dBASE format.

If there is no range named "Database" on the sheet, only data in the current region is converted. If the first row of data contains text, Microsoft Excel uses it as the header row to define field names. If the first row contains all numbers, Microsoft Excel creates field names such as N1, N2, and so on.

Make sure character strings are shorter than column width When saving data in dBASE format, Microsoft Excel assigns a data type to each field (column of data) that is based on the field data in the first record of the database range or current region.

If a field in the first record contains text, that field is assigned the character data type, and any numbers contained in the field in other rows become character strings. The column width of the field determines the string length; character strings longer than the column width are truncated in dBASE. To prevent losing data, select the range you want to convert in Microsoft Excel, and apply a monospaced font such as Courier. To size the columns to show all the data, point to Columns on the Format menu, and then click AutoFit Selection. Numeric data fields cannot contain text; any text in a numeric data field becomes null.

Use a number format other than General If decimal numbers have the General number format, the decimal places are truncated in dBASE. Before you save the data in dBASE format, apply a different number format to all data in that field. On the Format menu, click Cells, and then click the Number tab. In the Category box, click Number or Scientific, and then specify the number of decimal places you want.

Change time data to text data Fields that contain time data cannot be converted. Before you save data in dBASE format, you can change time data to text data by using the TEXT worksheet function. For example, to change the time 12:34 PM to text data, use the function =TEXT("12:34", "hh:mm AM/PM").


 When I try to save a shared workbook, a message tells me I'm no longer connected.

When I try to save a shared workbook, a message tells me I'm no longer connected.

Determine why a workbook is not available Another user may have removed the workbook from shared use or may have disconnected you from the workbook by clicking Share Workbook on the Tools menu, clicking the Editing tab, clicking your name, and clicking Remove. If the workbook was removed from shared use while you were editing it, you'll see this message even if the workbook is shared again.

Reconnect to a workbook To reconnect to the shared workbook, you can open the shared workbook again, but any unsaved changes you made in your current editing session will be lost.

Preserve unsaved work Click OK in response to the message telling you that you are no longer connected to the shared workbook, and then save the workbook with a different name in the Save As dialog box. Close the saved workbook, and then open the shared workbook again if it's still available. If the change history is being maintained in the shared workbook, you can use the Merge Workbooks command (Tools menu) to combine the changes from the file you saved with the original shared workbook.


 When I view my Web page, the graphics and text look different on another computer.

When I view my Web page, the graphics and text look different on another computer.

Reset your video resolution when you design a Web page Graphics and text can wrap differently, depending on the video resolution (the size of the screen elements relative to the screen size). The screen size you specify can affect the size and layout of images in a workbook, including the gradient page backgrounds. The pixel size affects the size of graphics relative to the size of text on the screen. Check the screen and pixel size settings on your computer.

If your graphics and text don't look the way you expect, change the screen and pixel settings by doing the following:

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.

    Show Me

  2. Click Web Options, and then click the Pictures tab.

  3. Under Target monitor, do the following:

    In the Screen size box, select a screen size.

    In the Pixels per inch box, select a pixel size.

    Note This option applies to the current page and any future pages that you save in Excel.

    Adjust your browser settings Because different browsers support different versions of HTML and HTML extensions, text and graphics may look different in one computer's browser than they look in another. You can sometimes change the appearance of graphics and text by adjusting the custom options in your browser, such as the default text and background colors and the option to display graphics.

    Test your page with different browsers When you create Web pages, consider testing them in different Web browsers — some of which are available for downloading from the Web — and with different monitor settings, to make sure all of your page elements appear correctly.


 What happened to the Info Window?

What happened to the Info Window?

The Info Window feature is no longer available in Microsoft Excel. However, other tools can provide information about cells on a worksheet:

Audit your worksheet You can locate the cells that provide data to formulas and find cells that depend on values in other cells by using the Auditing toolbar. To display the Auditing toolbar, point to Auditing on the Tools menu, and then click Show Auditing Toolbar.

View comments If your worksheet contains comments, you can view the comments by resting the pointer over cells that contain small red triangles in the upper-right corner, or view all comments simultaneously by clicking Comments on the View menu. Comments can be printed, either where the comment appears on the worksheet or at the end of the worksheet.

Review the formatting applied to a cell To see the formatting applied to a cell, click the cell, and then click Cells on the Format menu. You can review each tab in the Format Cells dialog box to see the formats applied to the cell.

Check the name applied to a cell If you need to know whether a name refers to a cell, click the cell. The Name box at the left end of the formula bar displays either the address of the cell, such as A1, or the name that refers to the cell. If the cell is part of a range of cells that has been named, review the names in the workbook by using the Define command (Insert menu, Name submenu).


 Why are the buttons on the Auditing toolbar unavailable?

Why are the buttons on the Auditing toolbar unavailable?

The buttons on the Auditing toolbar are unavailable if Hide all is selected on the View tab of the Options dialog box (Tools menu). Tracer arrows are graphical objects and cannot be displayed if objects are hidden. To display hidden objects, click Options on the Tools menu, click the View tab, and then click either Show All or Show Placeholders.


I can't rename a sheet.

Display the sheet tabs If sheet tabs aren't displayed, click Options on the Tools menu, click the View tab, and then select the Sheet tabs check box under Window options.

Shrink the horizontal scroll bar The sheet tabs could be covered by the scroll bar. To shrink the scroll bar area, look for the tab split bar at the far left side of the screen beside the scroll bar.

Tab split bar

Point to the tab split bar, and when the pointer changes to a split pointer Split pointer, drag the tab split bar to the right until the sheet tabs appear.

Check to see whether the workbook is protected To rename the sheet, first turn off the protection.


Why is ":1" or ":2" in the workbook title?

You have more than one window open for the active workbook. Switch to the window you want to close, and then click Close [image] in the upper-right corner of the workbook window.

Notes

  • The Close button that controls the workbook window is at the right end of the Microsoft Excel menu bar (if the window is maximized) or in the workbook window title bar.

  • If you save a workbook while more than one window is open and then close the workbook, the same number of windows will open the next time you open the workbook. To make sure only one window opens the next time you open the workbook, close all but one window before you save and close the workbook.


 About messages that prompt for data or explain incorrect entries

About messages that prompt for data or explain incorrect entries

When you specify data validation criteria for a cell, you can also have Microsoft Excel display a message before and/or after the user enters data in that cell. The Office Assistant displays the messages if the Assistant is turned on. Messages appear only when data is typed, copied, or filled in a cell, not when a formula in a cell calculates an incorrect value or when a macro places incorrect data in a cell. How to identify cells for which incorrect values have been calculated.

You can display these types of messages:

An input message This type of message explains what data is appropriate for the cell. It appears when a user selects the cell. Use the message to explain what data is appropriate for the cell. You do not have to set up any data restrictions for the cell in order to display this type of message. The message is displayed until the user selects a different cell. How to display an input message.

An error alert that warns or explains This is a message that appears after a user enters invalid data in a cell. You can have Excel display an informative message that the user can dismiss or a warning message that asks whether the user wants to continue or go back and correct the data. How to display a warning.

An error alert that prevents invalid data entry This is a message that prevents a user from entering invalid data in a cell. The message explains why the data entry was invalid and allows the user to retry or cancel. How to display a message and prevent entry of incorrect data.

Note While a workbook is shared, you cannot specify or change the messages that are displayed. Messages you specify before sharing a workbook continue to be displayed during data entry after you share the workbook.


A graphic won't import.

You might not have the right graphics filter installed in the correct folder, or the filter might be corrupted. Remove the filter you are using from the C:\Program Files\Common Files\Microsoft Shared\Grphflt folder. Then run Setup to reinstall the filter. For more information, click [image] .


All the text I type in a cell doesn't show.

  • To display multiple lines of text inside selected cells, click Cells on the Format menu, click the Alignment tab, and then select the Wrap text check box. If the text is a single long word, the characters won't wrap; you can widen the column or shrink the font size to see all the text.


 A macro I use to retrieve data won't run.

A macro I use to retrieve data won't run.

Make sure Microsoft Query is installed If you're using a Microsoft Visual Basic macro, make sure you have the Data Access Objects for Visual Basic that are installed when you install Microsoft Query.

Check your data source and driver Make sure that you have the correct ODBC driver or data source driver for the data source that is used by the macro. How to install drivers.

Install and load the Microsoft ODBC Function add-in program On the Tools menu, click Add-Ins, and then select the ODBC Add-in check box. If ODBC Add-in does not appear in the box, the add-in was made unavailable when you installed Microsoft Excel or Microsoft Office, and you need to install the ODBC add-in program.


Information is deleted when I drag the fill handle.

  • If you drag the fill handle up or to the left of a selection and stop in the selected cells without going past the first column or the top row in the selection, Microsoft Excel deletes data within the selection. You must drag the fill handle out of the selected area before releasing the mouse button.


Comments in a PivotTable don't stay with the applicable cells.

Comments in a PivotTable remain anchored to the cells where you entered them, not to the cell contents. If you pivot the table or make other changes that affect the layout, the comments do not move.


My data isn't grouped properly in a multilevel outline.

Select only the detail data for grouping When you manually group rows and columns, select only the detail rows or columns that make up the group. Do not include the related summary row or column in the selection. For example, if Row 6 contains totals for the data in Rows 3 through 5, select only Rows 3 through 5 to define the group.

Display all data before grouping When you group multiple outline levels, it's best to have all data displayed. If you're grouping manually, make sure to select all of the subordinate summary rows or columns, as well as their related detail data. For example, Rows 6 and 10 contain subtotals for Rows 3 through 5 and Rows 7 through 9, respectively. Row 11 contains grand totals. To group the detail data for Row 11, select Rows 3 through 10.

Change the direction of the outline If Microsoft Excel displays the show detail symbol [image] or the hide detail symbol [image] next to the wrong row or column of the outline, first display any hidden data, and then select the outlined range. On the Data menu, point to Group and Outline, click Settings, and then verify that the options under Direction are correct. If summary rows or columns are located above or to the left of the related detail rows and columns, clear the Summary rows below detail or Summary columns to right of detail check box.


Messages and restrictions for cell entries don't work when I copy or fill data.

Because you can fill or copy data to more than one cell at a time, and those cells might have different data restrictions and messages, data restrictions aren't supported in this situation. The messages don't appear when you copy or fill data to a cell. You also don't see messages if the designer of the worksheet has set up data restrictions without specifying any messages. To avoid this problem, try the following:

  • If a worksheet has data restrictions, tell people who enter data on the worksheet to type data into only one cell at a time.

  • To prevent users from filling and copying data using cell drag and drop, click Options on the Tools menu, click the Edit tab, and then clear the Allow cell drag and drop check box. Then unlock the cells where you want data to be entered, and protect the worksheet. For more information, click [image] .

Note You can identify cells that contain incorrect data because of copying and filling by auditing the worksheet for incorrect data. For more information, click [image] .


Numbers, dates, and times aren't displayed as expected.

Number formats Microsoft Excel displays numbers, dates, and times on a worksheet according to the number format applied to the cells. To change the number format, select the cells. On the Format menu, click Cells, click the Number tab, and then click the category and format you want. To use the default date format, click the cell and press CTRL+SHIFT+#. To use the default time format, press CTRL+SHIFT+@.

##### in place of a number A ##### error value occurs when the cell contains a number, date, or time that is wider than the cell or when the cell contains a date or time formula that produces a negative result. Try increasing the width of the column.

Regional settings Options you select in the Regional Settings of Control Panel determine the default format for currency, dates, times, and numbers.


 Drawing objects and imported graphics aren't sorted with the underlying cells.

Drawing objects and imported graphics aren't sorted with the underlying cells.

Size and placement The objects can be no taller than the row or no wider than the column you want to sort. For example, if you want to reorder rows of cells, objects can be no taller than a single row. If you want to reorder columns left to right, objects can be no wider than a single column. If necessary, adjust the row height or column width before you sort the data.

When you select the range of cells to sort, make sure you include all parts of the objects in the selection. For example, if an object extends into a blank row or column outside the filled-in cells you want to sort, include the blank row or column in the selection.

Settings The objects' settings may have been changed so that the objects do not move with cells. To set objects so that they can be sorted with cells, click Select Objects [image] on the Drawing toolbar, and then drag around the objects you want to change. Click AutoShape, Picture, TextBox, WordArt, Control, or Object on the Format menu, and then click Move but don't size with cells on the Properties tab.

For information about changing the properties of an ActiveX control, click [image] .


 I can't change an animated GIF picture.

I can't change an animated GIF picture.

You cannot crop or change the fill, border, shadow, or transparency of an animated GIF picture by using the Picture toolbar or the Format Picture dialog box in Microsoft Excel. Make these changes in an animated GIF editing program, and then insert the file in the workbook again.


I can't update a linked picture of cells from Microsoft Excel in another program.

You must save and name the workbook that contains the cells you want to link before you copy them to another program.

  1. Save the workbook you copied the picture from.

  2. Switch to the program the picture was copied to.

  3. On the Edit menu of the other program, click Links.

  4. Click Change Source, and then locate the name of the workbook saved in step 1.


 My printed header or footer doesn't look the way I want.

My printed header or footer doesn't look the way I want.

You can choose from several built-in headers and footers or create your own. On the View menu, click Header and Footer.

Use black and white only The text in headers and footers always prints in black. You cannot apply color to the text in headers or footers, even if you have a color printer.

Use print titles to repeat graphics and linked information If you want to repeat graphics or linked information at the top of every page, use print titles instead of a header. For example, to print a company logo and address at the top of every page, place the information in the first few rows of the worksheet. On the File menu, click Page Setup, click the Sheet tab, and then enter the rows that contain the logo and address in the Rows to repeat at top box. If you're printing a wide worksheet on multiple pages, be sure to copy the repeating information to additional rows or columns as needed.

Headers and footers cannot contain graphics or links to specific cells.

Use the existing left and right margins The left and right header and footer margins are three-quarters (.75) of an inch, regardless of the left and right margins on the page. You can simulate wider margins on a single line header or footer by typing spaces before the text in the Left section edit box and after the text in the Right section edit box. (To locate these edit boxes, click Custom Header or Custom Footer in the Page Setup dialog box.) The spaces you type in the Right section edit box won't appear in the edit box, but will appear in the printed worksheet.

Adjust the space for the header and footer You can adjust the distance between the top or bottom of the page and the header or footer. You can also change the distance between the data printed on a page and the header or footer. Click Print Preview [image] , click the Margins button, and drag the margin handles to adjust the spacing.

Use two ampersand (&) characters to print an ampersand Microsoft Excel uses the ampersand to initiate codes for special formatting in the headers and footers. Therefore, to enter an ampersand in the header or footer, you must enter &&. For example, to include "Subcontractors & Services" in a header, enter Subcontractors && Services.


I can't print or save an Excel workbook that was opened in an online meeting.

You can print or save only to the printer or hard disk from which the Microsoft Excel workbook was opened. When you click Print, you print the file on the printer of the person hosting the meeting. When you click Save, you save the file to the host's hard disk or server, not to your own.

If you want a copy of the file you're collaborating on, ask the host of the meeting to send you a copy of the file, or copy the document contents to a file on your computer.

Note You can save a workbook only if you have control of it.


 I can't scale a chart to print the size I want or print multiple charts on a single page.

I can't scale a chart to print the size I want or print multiple charts on a single page.

For chart sheets, set the print size If the chart is on a chart sheet, you can scale it when you print it. Activate the chart sheet, click Page Setup on the File menu, and then click the Chart tab. Under Printed chart size, click the scaling option you want. If you click Custom, the chart will be printed at the size you make it when you drag its selection handles.

For embedded charts, drag to resize If the chart is an embedded chart on a worksheet, resize the chart by clicking it and then dragging its selection handles.

To print charts together on a page, embed them You cannot print multiple chart sheets on a single page. To print two or more charts on a page, create embedded charts, and then resize them to fit on a single page. You can use the Page Break Preview command on the View menu to more closely see the location of the charts in the print area.


I don't see some items that other people in the online meeting see.

Make sure your screen resolution settings match the settings of the other online meeting participants. How to set your screen resolution.


 I made or moved a chart, but I can't find it.

I made or moved a chart, but I can't find it.

  • If you moved or created a chart sheet, you can view and format the chart by clicking the sheet tab for the chart at the bottom of the worksheet window.

  • If you moved or created an embedded chart, you can locate it on the worksheet by clicking Go To on the Edit menu, and then clicking Special. Click Objects, and then click OK.


 A message tells me Excel has insufficient memory to create the PivotTable or PivotChart report.

A message tells me Excel has insufficient memory to create the PivotTable or PivotChart report.

Check the memory use setting If the report is based on external non-OLAP source data, click OK in the message dialog box. Create the report again, and in step 3 of the wizard, click Options. Under External data options, select the Optimize memory check box.

Use page fields to save memory If you cannot create a PivotTable or PivotChart report from external data after optimizing memory, set up one or more of the page fields to retrieve the data as you select each item by doing the following. In step 3 of the wizard, click Layout, and then drag one or more fields to the PAGE area. Double-click a page field, and then click Advanced. Under Page field options, click Query external data source as you select each page field item. Learn about using page fields to save memory.

Simplify the report Make sure that you're not adding too many fields. The number of fields you can add depends on the amount of memory in your computer and the amount of source data used for the report. When you want to use a large number of fields, add them as row fields (in PivotTable reports), series fields (in PivotChart reports), or page fields. Page fields use the least memory. Row or series fields use less memory than column fields (in PivotTable reports) or category fields (in PivotChart reports).

Base multiple reports for the same data on one of the PivotTable reports When you create a PivotTable or PivotChart report, Microsoft Excel creates an intermediary storage area for the report. If you plan to create several reports from the same source data, for the second and subsequent reports, select Another PivotTable in step 1 of the wizard whenever possible. If you select this option, the reports all use the same intermediary storage instead of multiple copies that require more memory.

Simplify the file Reduce the number of PivotTable and PivotChart reports in the workbook.

Create the report in a separate file If your PivotTable or PivotChart report is based on a Microsoft Excel list, create the report in a separate workbook from the workbook that contains the list. That way, the list and the report do not have to be in memory at the same time. Keep in mind that when you create a PivotChart report, the PivotTable report that is associated with the chart must be in the same workbook.


I typed my password, but Microsoft Excel won't open the workbook.

  • Passwords are case sensitive. You must type uppercase and lowercase letters exactly as they were entered when the password was created.

  • You might have misspelled the password. Retype it to make sure it’s correct.

  • Before you open a workbook that requires a password, make sure you have not pressed the CAPS LOCK key.


Microsoft Excel ignores the page breaks I set.

If your workbook is set up so that Excel fits your printed work on a specific number of pages, Excel ignores the manual page breaks you've set and reduces the size of the printed worksheet. (To see whether this is the case, click Page Setup on the File menu, click the Page tab, and check the Fit to option under Scaling.)

Use Adjust To instead of Fit To To fit the worksheet to the specified number of pages and use the manual page breaks you inserted, click Page Setup on the File menu, click the Page tab, and then click Adjust to.

Set each page as a separate print range If Adjust to doesn't produce the results you want, you can set a print area with each page selected as a separate range. Excel prints nonadjacent ranges in a print area on separate pages.

  1. Insert a blank row or column in each location where you want a manual page break.

  2. Select the range you want to include as the entire first page, omitting the blank row or column.

  3. Hold down CTRL and select the range for the second page, omitting the blank rows or columns. Continue until you've selected all pages that you want to print.

  4. On the File menu, point to Print Area, and then click Set Print Area.

  5. On the File menu, click Page Setup, click the Page tab, click Fit to, and enter the number of pages you want.


I've ungrouped data or removed an outline, but data is still hidden.

If you ungroup or remove an outline while the detail data is hidden, the detail rows or columns may remain hidden. To display the data, drag across the visible row or column headings adjacent to the hidden rows and columns. On the Format menu, point to Row or Column, and then click Unhide.


I want my sheet to print one page wide (or tall).

You can prevent columns or rows from spilling over the edge of a page by shrinking the sheet so that it is one page wide or tall. On the File menu, click Page Setup, and then click the Page tab. Click Fit to, type 1 in either the page(s) wide by box or the tall box, and then delete the number (if any) from the other box.


 I want to select more or fewer cells without canceling my original selection.

I want to select more or fewer cells without canceling my original selection.

  • Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.

    To select additional nonadjacent cells or cell ranges, hold down CTRL and click or drag over the cells.


 Microsoft Excel doesn't always complete my column entries.

Microsoft Excel doesn't always complete my column entries.

Make sure AutoComplete is turned on On the Tools menu, click Options, click the Edit tab, and then make sure the Enable AutoComplete for cell values check box is selected.

Check where you last clicked Click after the last character in the cell. Microsoft Excel completes an entry only when the insertion point is at the end of the current cell contents.

Make sure entries match The characters you typed might not match an existing entry in the column, or the characters might match two or more entries. For example, if you type AXY and the possible entries are "AXY1" and "AXY2," Microsoft Excel does not complete the entry.

Select the correct entry To select the entry you want, press ALT+DOWN ARROW and select an entry from the list, or right-click the cell and then click Pick from list on the shortcut menu.

Entries in a row Microsoft Excel bases the list of potential entries on the column that contains the active cell. If your entries are repeated within a row, not a column, the entries are not completed.

Numbers, dates, and times Microsoft Excel completes only text entries. Entries that contain only numbers, dates, and times are not completed.

The current data region Check the location of the active cell; it may be outside the current data region. For example, if the data region is the range of cells A1:E10, Microsoft Excel completes an entry typed in cell A11, even if the cell A10 above it is blank. However, Microsoft Excel does not complete an entry in cell A12, because that cell is outside the data region.

Long lists If you are working in a large list, you may need to pause a moment to allow Microsoft Excel time to complete an entry.


The adjustable cells and constraint or target cells differ in magnitude.

When the typical values of the adjustable cells and the constraint cells or target cells differ from each other by more than a few orders of magnitude, select the Use Automatic Scaling check box in the Solver Options dialog box. For nonlinear problems, before you click Solve in the Solver Parameters dialog box, make sure that the initial values of the adjustable cells are the same order of magnitude as you expect for the final values.


 A data field is using Count instead of Sum, or Sum instead of Count, as the summary function.

A data field is using Count instead of Sum, or Sum instead of Count, as the summary function.

Check for blank items in the field By default, a data field in a PivotTable report that is based on non-OLAP source data uses the Sum summary function for numeric data and the Count summary function for nonnumeric data and data that includes blank cells. Therefore, if your data field is numeric but contains a blank cell, the field uses the Count summary function.

Check whether the report is based on OLAP source data In PivotTable and PivotChart reports that are based on source data from OLAP databases, the available summary functions are determined on the OLAP server, and you cannot change them in the Excel report. How to tell whether a PivotTable or PivotChart report is based on OLAP data.

Change the summary function for the field In PivotTable or PivotChart reports that are based on non-OLAP source data, you can double-click the field that is using Count and then click Sum in the Summarize by box.


 I can't print AutoShapes or objects copied or imported from other programs.

I can't print AutoShapes or objects copied or imported from other programs.

  1. Right-click the object you want to print.

    If an AutoShape has text attached to it, or if it has no fill (for example, shows only the outline of the shape), right-click its border.

  2. On the shortcut menu, click Format object type, and then click the Properties tab.

  3. Select the Print object check box.

Note If the object you want to print is an ActiveX control, you must display the Control Toolbox and change the control properties in design mode. For more information, click [image] .


My template is not listed in the New dialog box.

Microsoft Excel lists a template in the New dialog box if you save the template file in one of the following locations:

  • The Templates folder or a subfolder in the Templates folder, which is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Templates
    where os is the operating system folder — for example, Windows

  • The XLStart folder, which is usually
    C:\os\Profiles\user_name\Application Data\Microsoft\Excel\XLStart
    where os is the operating system folder — for example, Windows

  • The location you specified in the Alternate startup file location box on the General tab in the Options dialog box (Tools menu)


 My workbook opens with a read-only restriction.

My workbook opens with a read-only restriction.

One or both of the following may be true.

  • The creator of the workbook may have set a restriction so that the workbook can be opened only as read-only. Contact the creator of the workbook for more information.

  • If you try to use a version earlier than Microsoft Excel 97 to open an Excel 2000 workbook, the workbook appears to be password-protected so that you can only open it as read-only. To open and save the workbook, use Excel 97 or later.


 Number formatting is not shown for the formatted data in the PivotTable or PivotChart report.

Number formatting is not shown for the formatted data in the PivotTable or PivotChart report.

When you create a PivotTable or PivotChart report, Microsoft Excel does not use the number formatting from the source list for the data cells or value axis in the report. In a PivotTable report, Excel uses its default number format: no decimal places, no 1000 separator, and negative numbers displayed with a minus sign. In a PivotChart report, the value axis reflects the number formatting of the data cells in the associated PivotTable report.

PivotTable reports To apply different number formatting in a PivotTable report, click a cell in the data area. On the PivotTable toolbar, click Field Settings [image] . Click Number, and then click the category and options you want. Repeat for each field in the data area.

PivotChart reports To apply different number formatting in a PivotChart report value axis, which overrides the formatting it reflects from the associated PivotTable report, reformat the axis.


Other people in the online meeting see a cross-hatched pattern on the screen.

Make sure no windows are covering your workbook.

  • Quit programs you are not using.

  • Minimize other windows on your desktop.


I can't see the outline symbols on my worksheet.

If you cannot see the outline symbols on the worksheet, make sure you've chosen to display the symbols. On the Tools menu, click Options, and then click the View tab. Then select the Outline symbols check box. If the symbols still aren't visible or readable, use the Zoom box on the Standard toolbar to change the magnification to 100%.


Solver stops before a solution is found.

Solver might stop before reaching a solution for any of the following reasons:

  • You interrupted the solution process.

  • You selected Show Iteration Results in the Solver Options dialog box before you clicked Solve.

  • You clicked Stop while stepping through iterations or when the maximum time or number of iterations was reached.

  • You selected the Assume Linear Model check box in the Solver Options dialog box, but the problem is nonlinear.

  • The value in the Set Target Cell you specified in the Solver Parameters dialog box is increasing or decreasing without limit.

  • You need to allow Solver more time to find a solution. Adjust the Max Time or Iterations setting in the Solver Options dialog box.

  • For problems with integer constraints, you need to decrease the Tolerance setting in the Solver Options dialog box so that Solver can find a better integer solution.

  • For nonlinear problems, you need to decrease the Convergence setting in the Solver Options dialog box so that Solver can keep searching for a solution when the target cell value is changing slowly.

  • You need to select the Use Automatic Scaling check box in the Solver Options dialog box because some input values are several orders of magnitude apart, or input and output values differ by several orders of magnitude.

When Solver stops, a completion message appears in the Solver Results dialog box. Click Keep Solver Solution or Restore Original Values, make the changes you want, and then try again. For more information about Solver completion messages, click [image] .


 Some formulas were changed to text or values.

Some formulas were changed to text or values.

When Microsoft Excel opens a file created in another spreadsheet program and encounters an operator or function that it cannot convert, it uses the result of the formula — not the formula itself — for the contents of the cell. You can reenter the formula on your Microsoft Excel worksheet by using an equivalent operator or function.


A built-in template is missing in my version of Microsoft Excel.

All of the built-in templates are available only if you selected the templates when you performed a Custom installation of Microsoft Excel. For information about installing templates now, click [image] .


The file format I want to save a workbook in does not appear in the Save As dialog box.

Make sure that the file format you want is included with Microsoft Excel and is installed on your computer. For more information, click [image] .


The fill handle is missing.

  • On the Tools menu, click Options, click the Edit tab, and then make sure the Allow cell drag and drop check box is selected. If the entire row or column is selected, Microsoft Excel displays the fill handle at the beginning of the row or column.


 Why does the font size in my chart keep changing?

Why does the font size in my chart keep changing?

By default, fonts in a chart scale proportionally when you resize an embedded chart or the chart area of a chart sheet. If you want the font sizes in a chart to remain constant, select the chart area by clicking the blank area between the border of the chart and the plot area. On the Format menu, click Selected Chart Area, click the Font tab, and then clear the Auto scale check box.


 The name of the person I want to invite to an online meeting is not in the list.

The name of the person I want to invite to an online meeting is not in the list.

Connect to another server

  • In the Place a Call dialog box, click another directory in the Directory list.

Send an e-mail message or telephone the person

Let the person know that you want to have an online meeting. Find out what directory server the person is logged on to, or use the person's computer name or Internet protocol (IP) address.


 Microsoft Excel won't merge the workbooks I want to combine.

Microsoft Excel won't merge the workbooks I want to combine.

Requirements for merging changes To merge the changes from one workbook into another workbook, both workbooks must meet the following requirements:

  • Both workbooks must be copies of the same workbook.

  • Each copy must have a different file name.

  • The workbooks either must not have passwords or must both have the same password.

  • The workbook from which the copies were originally made must have been a shared workbook.

  • When the copies were made, the change history must have been turned on.

  • At the time that you merge the copies, the change history must have been maintained in both copies for at least as many days as have elapsed since the copies were originally made. For example, if the change history is being maintained in the workbooks for 30 days, and the copies were made 45 days ago, you can no longer merge the workbooks.

    When you turn on the change history but aren't sure when you'll merge the workbooks, you can preserve the change history by setting a large number of days to maintain the change history, up to the maximum of 32,767 days.

Merge changes manually If Microsoft Excel cannot merge the two workbooks, you can incorporate the information from one workbook into the other manually, by copying and pasting the information from one workbook to another.


The wrong data is entered when I copy cells using the fill handle.

  • If you copy types of data that Microsoft Excel can extend in a series, such as numbers, dates, or items in a custom fill series, the values are incremented instead of copied through the selected range. If this occurs, select the original values again, and then hold down CTRL as you drag the fill handle.


Values on the converted sheet don't match the values on the original sheet.

Microsoft Excel calculates some operators and functions in a different order from other spreadsheet programs. To calculate formulas using the same rules as Lotus 1-2-3, click Options on the Tools menu, and then click the Transition tab. Under Sheet options, select the Transition formula evaluation check box.


When to start from different initial solutions.

For nonlinear problems, it can be helpful to try different starting values for the adjustable cells, especially if Solver has found a solution that is significantly different from what you expected. You can also reduce the solution time by setting the adjustable cells to values that you suspect are close to optimal.

For linear models (that is, when the Assume Linear Model check box on the Solver Options dialog box is selected), the initial values of the adjustable cells don't affect the final values or the solution time.


 Why does Microsoft Excel print only a portion of my worksheet?

Why does Microsoft Excel print only a portion of my worksheet?

Check whether a print area is defined If the worksheet contains a print area, Microsoft Excel prints only the print area. To determine whether your worksheet contains a print area, click Page Break Preview on the View menu. The area of the worksheet that appears with a white background is the area that is printed.

To print the whole sheet, clear the print area You can clear the print area by using the Clear Print Area command (Print Area on the File menu).

Change the print area You can change the size of the print area so that it includes or excludes rows and columns. On the View menu, click Page Break Preview, and then drag the borders that surround the print area.

To add nonadjacent cells to the print area, select the cells, right-click any cell in the selection, and then click Add to Print Area on the shortcut menu.


When I try to print a document, nothing happens.

Check your printer setup in Windows Printing from your computer is primarily controlled by settings in Windows. Determine whether your printer setup in Windows is correct by using the Windows Print Troubleshooter. On the Windows Start menu, click Help. Click the Index tab, and then enter print troubleshooting. Click Display, and then follow the instructions in the Print Troubleshooter.

Check the Microsoft Excel printer settings If the Windows printer setup looks correct, check the Excel printer settings to make sure that the selected printer matches the printer you're using. On the File menu, click Print. Then click the printer you want in the Printer box.


 Sorting and formatting are incorrect after I refresh an external data range.

Sorting and formatting are incorrect after I refresh an external data range.

Formatting changes in Query don't affect Excel Formatting that you apply in Microsoft Query affects the view of the result set only in Microsoft Query. When you return the result set to Microsoft Excel, formatting changes you made while in Microsoft Query — such as hiding fields or changing the width of a column, the height of rows, or the font, style, or size of text — are not displayed in Microsoft Excel.

Preserve Excel formatting when you refresh Each time you refresh an external data range, Microsoft Excel replaces the existing data with new data and also removes any Microsoft Excel outlining and subtotals. You can preserve formatting, but not row sorting or outlining, for an external data range by clicking Data Range Properties [image] on the External Data toolbar and making sure that the Preserve cell formatting check box is selected under Data formatting and layout.

To preserve sorting, copy the data Each time you refresh an external data range, Excel automatically removes any sorting you applied. If you want to sort or format data from an external data range and keep all sorting and formatting, copy the data, and then use the Paste Special command and select the Values option to paste the data onto another sheet in the workbook. Then format the data the way you want. The sorting and formatting will be preserved; however, you won't be able to refresh the data because the underlying query associated with the external data range was not copied.

Record a macro to restore sorting and formatting If you want to be able to refresh an external data range and keep your sorting and formatting, try recording a macro for formatting the data in your external data range and then running the macro after you refresh the data. On the Tools menu, point to Macro, and then click Record New Macro. Format the external data range the way you want, and then click the Stop Macro button on the Stop Recording toolbar. For more information about recording a macro, click [image] .

Prevent autoformats from reappearing after you refresh You can prevent an autoformat from reappearing when you refresh external data. For more information, click [image] .


Database and List Management functions

DAVERAGE Returns the average of selected database entries

DCOUNT Counts the cells that contain numbers in a database

DCOUNTA Counts nonblank cells in a database

DGET Extracts from a database a single record that matches the specified criteria

DMAX Returns the maximum value from selected database entries

DMIN Returns the minimum value from selected database entries

DPRODUCT Multiplies the values in a particular field of records that match the criteria in a database

DSTDEV Estimates the standard deviation based on a sample of selected database entries

DSTDEVP Calculates the standard deviation based on the entire population of selected database entries

DSUM Adds the numbers in the field column of records in the database that match the criteria

DVAR Estimates variance based on a sample from selected database entries

DVARP Calculates variance based on the entire population of selected database entries

GETPIVOTDATA Returns data stored in a PivotTable


Date and Time functions

DATE Returns the serial number of a particular date

DATEDIF Calculates the number of days, months, or years between two dates.

DATEVALUE Converts a date in the form of text to a serial number

DAY Converts a serial number to a day of the month

DAYS360 Calculates the number of days between two dates based on a 360-day year

EDATE Returns the serial number of the date that is the indicated number of months before or after the start date

EOMONTH Returns the serial number of the last day of the month before or after a specified number of months

HOUR Converts a serial number to an hour

MINUTE Converts a serial number to a minute

MONTH Converts a serial number to a month

NETWORKDAYS Returns the number of whole workdays between two dates

NOW Returns the serial number of the current date and time

SECOND Converts a serial number to a second

TIME Returns the serial number of a particular time

TIMEVALUE Converts a time in the form of text to a serial number

TODAY Returns the serial number of today's date

WEEKDAY Converts a serial number to a day of the week

WORKDAY Returns the serial number of the date before or after a specified number of workdays

YEAR Converts a serial number to a year

YEARFRAC Returns the year fraction representing the number of whole days between start_date and end_date


DDE and External functions

CALL Calls a procedure in a dynamic link library (DLL) or code resource

REGISTER.ID Returns the register ID of the specified DLL or code resource that has been previously registered

SQL.REQUEST Connects with an external data source and runs a query from a worksheet, then returns the result as an array without the need for macro programming

More on the CALL and REGISTER functions


Engineering functions

BESSELI Returns the modified Bessel function In(x)

BESSELJ Returns the Bessel function Jn(x)

BESSELK Returns the modified Bessel function Kn(x)

BESSELY Returns the Bessel function Yn(x)

BIN2DEC Converts a binary number to decimal

BIN2HEX Converts a binary number to hexadecimal

BIN2OCT Converts a binary number to octal

COMPLEX Converts real and imaginary coefficients into a complex number

CONVERT Converts a number from one measurement system to another

DEC2BIN Converts a decimal number to binary

DEC2HEX Converts a decimal number to hexadecimal

DEC2OCT Converts a decimal number to octal

DELTA Tests whether two values are equal

ERF Returns the error function

ERFC Returns the complementary error function

GESTEP Tests whether a number is greater than a threshold value

HEX2BIN Converts a hexadecimal number to binary

HEX2DEC Converts a hexadecimal number to decimal

HEX2OCT Converts a hexadecimal number to octal

IMABS Returns the absolute value (modulus) of a complex number

IMAGINARY Returns the imaginary coefficient of a complex number

IMARGUMENT Returns the argument theta, an angle expressed in radians

IMCONJUGATE Returns the complex conjugate of a complex number

IMCOS Returns the cosine of a complex number

IMDIV Returns the quotient of two complex numbers

IMEXP Returns the exponential of a complex number

IMLN Returns the natural logarithm of a complex number

IMLOG10 Returns the base-10 logarithm of a complex number

IMLOG2 Returns the base-2 logarithm of a complex number

IMPOWER Returns a complex number raised to an integer power

IMPRODUCT Returns the product of two complex numbers

IMREAL Returns the real coefficient of a complex number

IMSIN Returns the sine of a complex number

IMSQRT Returns the square root of a complex number

IMSUB Returns the difference of two complex numbers

IMSUM Returns the sum of complex numbers

OCT2BIN Converts an octal number to binary

OCT2DEC Converts an octal number to decimal

OCT2HEX Converts an octal number to hexadecimal


Financial functions

ACCRINT Returns the accrued interest for a security that pays periodic interest

ACCRINTM Returns the accrued interest for a security that pays interest at maturity

AMORDEGRC Returns the depreciation for each accounting period

AMORLINC Returns the depreciation for each accounting period

COUPDAYBS Returns the number of days from the beginning of the coupon period to the settlement date

COUPDAYS Returns the number of days in the coupon period that contains the settlement date

COUPDAYSNC Returns the number of days from the settlement date to the next coupon date

COUPNCD Returns the next coupon date after the settlement date

COUPNUM Returns the number of coupons payable between the settlement date and maturity date

COUPPCD Returns the previous coupon date before the settlement date

CUMIPMT Returns the cumulative interest paid between two periods

CUMPRINC Returns the cumulative principal paid on a loan between two periods

DB Returns the depreciation of an asset for a specified period using the fixed-declining balance method

DDB Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify

DISC Returns the discount rate for a security

DOLLARDE Converts a dollar price, expressed as a fraction, into a dollar price, expressed as a decimal number

DOLLARFR Converts a dollar price, expressed as a decimal number, into a dollar price, expressed as a fraction

DURATION Returns the annual duration of a security with periodic interest payments

EFFECT Returns the effective annual interest rate

FV Returns the future value of an investment

FVSCHEDULE Returns the future value of an initial principal after applying a series of compound interest rates

INTRATE Returns the interest rate for a fully invested security

IPMT Returns the interest payment for an investment for a given period

IRR Returns the internal rate of return for a series of cash flows

ISPMT Calculates the interest paid during a specific period of an investment.

MDURATION Returns the Macauley modified duration for a security with an assumed par value of $100

MIRR Returns the internal rate of return where positive and negative cash flows are financed at different rates

NOMINAL Returns the annual nominal interest rate

NPER Returns the number of periods for an investment

NPV Returns the net present value of an investment based on a series of periodic cash flows and a discount rate

ODDFPRICE Returns the price per $100 face value of a security with an odd first period

ODDFYIELD Returns the yield of a security with an odd first period

ODDLPRICE Returns the price per $100 face value of a security with an odd last period

ODDLYIELD Returns the yield of a security with an odd last period

PMT Returns the periodic payment for an annuity

PPMT Returns the payment on the principal for an investment for a given period

PRICE Returns the price per $100 face value of a security that pays periodic interest

PRICEDISC Returns the price per $100 face value of a discounted security

PRICEMAT Returns the price per $100 face value of a security that pays interest at maturity

PV Returns the present value of an investment

RATE Returns the interest rate per period of an annuity

RECEIVED Returns the amount received at maturity for a fully invested security

SLN Returns the straight-line depreciation of an asset for one period

SYD Returns the sum-of-years' digits depreciation of an asset for a specified period

TBILLEQ Returns the bond-equivalent yield for a Treasury bill

TBILLPRICE Returns the price per $100 face value for a Treasury bill

TBILLYIELD Returns the yield for a Treasury bill

VDB Returns the depreciation of an asset for a specified or partial period using a declining balance method

XIRR Returns the internal rate of return for a schedule of cash flows that is not necessarily periodic

XNPV Returns the net present value for a schedule of cash flows that is not necessarily periodic

YIELD Returns the yield on a security that pays periodic interest

YIELDDISC Returns the annual yield for a discounted security. For example, a Treasury bill

YIELDMAT Returns the annual yield of a security that pays interest at maturity


Worksheet functions listed by category

Database and List Management

Date and Time

DDE and External

Engineering

Financial

Information

Logical

Lookup and Reference

Math and Trigonometry

Statistical

Text


Information functions

CELL Returns information about the formatting, location, or contents of a cell

COUNTBLANK Counts the number of blank cells within a range

ERROR.TYPE Returns a number corresponding to an error type

INFO Returns information about the current operating environment

ISBLANK Returns TRUE if the value is blank

ISERR Returns TRUE if the value is any error value except #N/A

ISERROR Returns TRUE if the value is any error value

ISEVEN Returns TRUE if the number is even

ISLOGICAL Returns TRUE if the value is a logical value

ISNA Returns TRUE if the value is the #N/A error value

ISNONTEXT Returns TRUE if the value is not text

ISNUMBER Returns TRUE if the value is a number

ISODD Returns TRUE if the number is odd

ISREF Returns TRUE if the value is a reference

ISTEXT Returns TRUE if the value is text

N Returns a value converted to a number

NA Returns the error value #N/A

TYPE Returns a number indicating the data type of a value


Logical functions

AND Returns TRUE if all its arguments are TRUE

FALSE Returns the logical value FALSE

IF Specifies a logical test to perform

NOT Reverses the logic of its argument

OR Returns TRUE if any argument is TRUE

TRUE Returns the logical value TRUE


Lookup and Reference functions

ADDRESS Returns a reference as text to a single cell in a worksheet

AREAS Returns the number of areas in a reference

CHOOSE Chooses a value from a list of values

COLUMN Returns the column number of a reference

COLUMNS Returns the number of columns in a reference

HLOOKUP Looks in the top row of an array and returns the value of the indicated cell

HYPERLINK Creates a shortcut or jump that opens a document stored on a network server, an intranet, or the Internet

INDEX Uses an index to choose a value from a reference or array

INDIRECT Returns a reference indicated by a text value

LOOKUP Looks up values in a vector or array

MATCH Looks up values in a reference or array

OFFSET Returns a reference offset from a given reference

ROW Returns the row number of a reference

ROWS Returns the number of rows in a reference

TRANSPOSE Returns the transpose of an array

VLOOKUP Looks in the first column of an array and moves across the row to return the value of a cell


Math and Trigonometry functions

ABS Returns the absolute value of a number

ACOS Returns the arccosine of a number

ACOSH Returns the inverse hyperbolic cosine of a number

ASIN Returns the arcsine of a number

ASINH Returns the inverse hyperbolic sine of a number

ATAN Returns the arctangent of a number

ATAN2 Returns the arctangent from x- and y- coordinates

ATANH Returns the inverse hyperbolic tangent of a number

CEILING Rounds a number to the nearest integer or to the nearest multiple of significance

COMBIN Returns the number of combinations for a given number of objects

COS Returns the cosine of a number

COSH Returns the hyperbolic cosine of a number

COUNTIF Counts the number of nonblank cells within a range that meet the given criteria

DEGREES Converts radians to degrees

EVEN Rounds a number up to the nearest even integer

EXP Returns e raised to the power of a given number

FACT Returns the factorial of a number

FACTDOUBLE Returns the double factorial of a number

FLOOR Rounds a number down, toward zero

GCD Returns the greatest common divisor

INT Rounds a number down to the nearest integer

LCM Returns the least common multiple

LN Returns the natural logarithm of a number

LOG Returns the logarithm of a number to a specified base

LOG10 Returns the base-10 logarithm of a number

MDETERM Returns the matrix determinant of an array

MINVERSE Returns the matrix inverse of an array

MMULT Returns the matrix product of two arrays

MOD Returns the remainder from division

MROUND Returns a number rounded to the desired multiple

MULTINOMIAL Returns the multinomial of a set of numbers

ODD Rounds a number up to the nearest odd integer

PI Returns the value of Pi

POWER Returns the result of a number raised to a power

PRODUCT Multiplies its arguments

QUOTIENT Returns the integer portion of a division

RADIANS Converts degrees to radians

RAND Returns a random number between 0 and 1

RANDBETWEEN Returns a random number between the numbers you specify

ROMAN Converts an arabic numeral to roman, as text

ROUND Rounds a number to a specified number of digits

ROUNDDOWN Rounds a number down, toward zero

ROUNDUP Rounds a number up, away from zero

SERIESSUM Returns the sum of a power series based on the formula

SIGN Returns the sign of a number

SIN Returns the sine of the given angle

SINH Returns the hyperbolic sine of a number

SQRT Returns a positive square root

SQRTPI Returns the square root of (number * Pi)

SUBTOTAL Returns a subtotal in a list or database

SUM Adds its arguments

SUMIF Adds the cells specified by a given criteria

SUMPRODUCT Returns the sum of the products of corresponding array components

SUMSQ Returns the sum of the squares of the arguments

SUMX2MY2 Returns the sum of the difference of squares of corresponding values in two arrays

SUMX2PY2 Returns the sum of the sum of squares of corresponding values in two arrays

SUMXMY2 Returns the sum of squares of differences of corresponding values in two arrays

TAN Returns the tangent of a number

TANH Returns the hyperbolic tangent of a number

TRUNC Truncates a number to an integer


Statistical functions

AVEDEV Returns the average of the absolute deviations of data points from their mean

AVERAGE Returns the average of its arguments

AVERAGEA Returns the average of its arguments, including numbers, text, and logical values

BETADIST Returns the cumulative beta probability density function

BETAINV Returns the inverse of the cumulative beta probability density function

BINOMDIST Returns the individual term binomial distribution probability

CHIDIST Returns the one-tailed probability of the chi-squared distribution

CHIINV Returns the inverse of the one-tailed probability of the chi-squared distribution

CHITEST Returns the test for independence

CONFIDENCE Returns the confidence interval for a population mean

CORREL Returns the correlation coefficient between two data sets

COUNT Counts how many numbers are in the list of arguments

COUNTA Counts how many values are in the list of arguments

COVAR Returns covariance, the average of the products of paired deviations

CRITBINOM Returns the smallest value for which the cumulative binomial distribution is less than or equal to a criterion value

DEVSQ Returns the sum of squares of deviations

EXPONDIST Returns the exponential distribution

FDIST Returns the F probability distribution

FINV Returns the inverse of the F probability distribution

FISHER Returns the Fisher transformation

FISHERINV Returns the inverse of the Fisher transformation

FORECAST Returns a value along a linear trend

FREQUENCY Returns a frequency distribution as a vertical array

FTEST Returns the result of an F-test

GAMMADIST Returns the gamma distribution

GAMMAINV Returns the inverse of the gamma cumulative distribution

GAMMALN Returns the natural logarithm of the gamma function, Γ(x)

GEOMEAN Returns the geometric mean

GROWTH Returns values along an exponential trend

HARMEAN Returns the harmonic mean

HYPGEOMDIST Returns the hypergeometric distribution

INTERCEPT Returns the intercept of the linear regression line

KURT Returns the kurtosis of a data set

LARGE Returns the k-th largest value in a data set

LINEST Returns the parameters of a linear trend

LOGEST Returns the parameters of an exponential trend

LOGINV Returns the inverse of the lognormal distribution

LOGNORMDIST Returns the cumulative lognormal distribution

MAX Returns the maximum value in a list of arguments

MAXA Returns the maximum value in a list of arguments, including numbers, text, and logical values

MEDIAN Returns the median of the given numbers

MIN Returns the minimum value in a list of arguments

MINA Returns the smallest value in a list of arguments, including numbers, text, and logical values

MODE Returns the most common value in a data set

NEGBINOMDIST Returns the negative binomial distribution

NORMDIST Returns the normal cumulative distribution

NORMINV Returns the inverse of the normal cumulative distribution

NORMSDIST Returns the standard normal cumulative distribution

NORMSINV Returns the inverse of the standard normal cumulative distribution

PEARSON Returns the Pearson product moment correlation coefficient

PERCENTILE Returns the k-th percentile of values in a range

PERCENTRANK Returns the percentage rank of a value in a data set

PERMUT Returns the number of permutations for a given number of objects

POISSON Returns the Poisson distribution

PROB Returns the probability that values in a range are between two limits

QUARTILE Returns the quartile of a data set

RANK Returns the rank of a number in a list of numbers

RSQ Returns the square of the Pearson product moment correlation coefficient

SKEW Returns the skewness of a distribution

SLOPE Returns the slope of the linear regression line

SMALL Returns the k-th smallest value in a data set

STANDARDIZE Returns a normalized value

STDEV Estimates standard deviation based on a sample

STDEVA Estimates standard deviation based on a sample, including numbers, text, and logical values

STDEVP Calculates standard deviation based on the entire population

STDEVPA Calculates standard deviation based on the entire population, including numbers, text, and logical values

STEYX Returns the standard error of the predicted y-value for each x in the regression

TDIST Returns the Student's t-distribution

TINV Returns the inverse of the Student's t-distribution

TREND Returns values along a linear trend

TRIMMEAN Returns the mean of the interior of a data set

TTEST Returns the probability associated with a Student's t-test

VAR Estimates variance based on a sample

VARA Estimates variance based on a sample, including numbers, text, and logical values

VARP Calculates variance based on the entire population

VARPA Calculates variance based on the entire population, including numbers, text, and logical values

WEIBULL Returns the Weibull distribution

ZTEST Returns the two-tailed P-value of a z-test


Text functions

ASC Changes full-width (double-byte) English letters or katakana within a character string to half-width (single-byte) characters.

CHAR Returns the character specified by the code number

CLEAN Removes all nonprintable characters from text

CODE Returns a numeric code for the first character in a text string

CONCATENATE Joins several text items into one text item

DOLLAR Converts a number to text, using currency format

EXACT Checks to see if two text values are identical

FIND Finds one text value within another (case-sensitive)

FIXED Formats a number as text with a fixed number of decimals

JIS Changes half-width (single-byte) English letters or katakana within a character string to full-width (double-byte) characters.

LEFT Returns the leftmost characters from a text value

LEN Returns the number of characters in a text string

LOWER Converts text to lowercase

MID Returns a specific number of characters from a text string starting at the position you specify

PHONETIC Extracts the phonetic (furigana) characters from a text string.

PROPER Capitalizes the first letter in each word of a text value

REPLACE Replaces characters within text

REPT Repeats text a given number of times

RIGHT Returns the rightmost characters from a text value

SEARCH Finds one text value within another (not case-sensitive)

SUBSTITUTE Substitutes new text for old text in a text string

T Converts its arguments to text

TEXT Formats a number and converts it to text

TRIM Removes spaces from text

UPPER Converts text to uppercase

VALUE Converts a text argument to a number

YEN Converts a number to text, using the ¥ (yen) currency format.


 Turn on or off editing directly in a cell

Turn on or off editing directly in a cell

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. To allow editing and typing data in cells, select the Edit directly in cell check box.

    To allow editing and typing data only in the formula bar, clear the check box.


 When I press ENTER, the wrong data is inserted.

When I press ENTER, the wrong data is inserted.

If you've recently used the Copy command on the Edit menu or the Copy button [image] , check if a moving border still surrounds the copy area. If so, the copied cells still exist on the Clipboard, and Microsoft Excel inserted them at the active cell when you pressed ENTER. To remove the moving border, press ESC.


 When I save the workbook, the History worksheet disappears.

When I save the workbook, the History worksheet disappears.

Check the change history The History worksheet shows only changes that you and other users have saved. When you display the History worksheet and later save the workbook, the History worksheet is deleted. However, the information for the History worksheet is still available in the change history. When you display the History worksheet again, you'll see your saved changes.

To display the History worksheet again, point to Track Changes on the Tools menu, and then click Highlight Changes. Select the List changes on a new sheet check box, and then click OK.